-- MySQL dump 8.21
--
-- Host: localhost    Database: WebGUI
---------------------------------------------------------
-- Server version	3.23.49

--
-- Table structure for table 'Article'
--

CREATE TABLE Article (
  wobjectId int(11) NOT NULL default '0',
  image varchar(255) default NULL,
  linkTitle varchar(255) default NULL,
  linkURL text,
  attachment varchar(255) default NULL,
  convertCarriageReturns int(11) NOT NULL default '0',
  templateId int(11) NOT NULL default '1',
  PRIMARY KEY  (wobjectId)
) TYPE=MyISAM;

--
-- Dumping data for table 'Article'
--


INSERT INTO Article VALUES (-2,NULL,'','','',0,1);
INSERT INTO Article VALUES (-3,NULL,'','',NULL,0,1);
INSERT INTO Article VALUES (-4,NULL,'','',NULL,0,1);
INSERT INTO Article VALUES (-5,NULL,'','',NULL,0,1);

--
-- Table structure for table 'EventsCalendar'
--

CREATE TABLE EventsCalendar (
  wobjectId int(11) NOT NULL default '0',
  calendarLayout varchar(30) NOT NULL default 'list',
  paginateAfter int(11) NOT NULL default '50',
  startMonth varchar(35) NOT NULL default 'current',
  endMonth varchar(35) NOT NULL default 'after12',
  defaultMonth varchar(35) NOT NULL default 'current',
  templateId int(11) NOT NULL default '1',
  eventTemplateId int(11) NOT NULL default '1',
  PRIMARY KEY  (wobjectId)
) TYPE=MyISAM;

--
-- Dumping data for table 'EventsCalendar'
--



--
-- Table structure for table 'EventsCalendar_event'
--

CREATE TABLE EventsCalendar_event (
  EventsCalendar_eventId int(11) NOT NULL default '0',
  wobjectId int(11) NOT NULL default '0',
  name varchar(255) default NULL,
  description text,
  startDate int(11) default NULL,
  endDate int(11) default NULL,
  EventsCalendar_recurringId int(11) NOT NULL default '0',
  PRIMARY KEY  (EventsCalendar_eventId),
  KEY EventsCalendar1 (wobjectId,endDate,startDate)
) TYPE=MyISAM;

--
-- Dumping data for table 'EventsCalendar_event'
--



--
-- Table structure for table 'ExtraColumn'
--

CREATE TABLE ExtraColumn (
  wobjectId int(11) NOT NULL default '0',
  spacer int(11) default NULL,
  width int(11) default NULL,
  class varchar(50) default NULL,
  PRIMARY KEY  (wobjectId)
) TYPE=MyISAM;

--
-- Dumping data for table 'ExtraColumn'
--



--
-- Table structure for table 'FAQ'
--

CREATE TABLE FAQ (
  wobjectId int(11) NOT NULL default '0',
  templateId int(11) NOT NULL default '1',
  PRIMARY KEY  (wobjectId)
) TYPE=MyISAM;

--
-- Dumping data for table 'FAQ'
--



--
-- Table structure for table 'FAQ_question'
--

CREATE TABLE FAQ_question (
  wobjectId int(11) NOT NULL default '0',
  FAQ_questionId int(11) NOT NULL default '0',
  question text,
  answer text,
  sequenceNumber int(11) NOT NULL default '0',
  PRIMARY KEY  (FAQ_questionId)
) TYPE=MyISAM;

--
-- Dumping data for table 'FAQ_question'
--



--
-- Table structure for table 'FileManager'
--

CREATE TABLE FileManager (
  wobjectId int(11) NOT NULL default '0',
  paginateAfter int(11) NOT NULL default '50',
  templateId int(11) NOT NULL default '1',
  PRIMARY KEY  (wobjectId)
) TYPE=MyISAM;

--
-- Dumping data for table 'FileManager'
--



--
-- Table structure for table 'FileManager_file'
--

CREATE TABLE FileManager_file (
  FileManager_fileId int(11) NOT NULL default '0',
  wobjectId int(11) NOT NULL default '0',
  fileTitle varchar(128) NOT NULL default 'untitled',
  downloadFile varchar(255) default NULL,
  groupToView int(11) NOT NULL default '2',
  briefSynopsis varchar(255) default NULL,
  dateUploaded int(11) default NULL,
  sequenceNumber int(11) NOT NULL default '1',
  alternateVersion1 varchar(255) default NULL,
  alternateVersion2 varchar(255) default NULL,
  PRIMARY KEY  (FileManager_fileId)
) TYPE=MyISAM;

--
-- Dumping data for table 'FileManager_file'
--



--
-- Table structure for table 'HttpProxy'
--

CREATE TABLE HttpProxy (
  wobjectId int(11) NOT NULL default '0',
  ProxiedUrl varchar(255) default NULL,
  timeout int(11) default NULL,
  removeStyle int(11) default NULL,
  filterHtml varchar(30) default NULL,
  followExternal int(11) default NULL,
  followRedirect int(11) default NULL,
  cookiebox varchar(30) default NULL,
  cacheHttp int(11) default '0',
  useCache int(11) default '0',
  debug int(11) default '0',
  PRIMARY KEY  (wobjectId)
) TYPE=MyISAM;

--
-- Dumping data for table 'HttpProxy'
--



--
-- Table structure for table 'Item'
--

CREATE TABLE Item (
  wobjectId int(11) NOT NULL default '0',
  linkURL text,
  attachment varchar(255) default NULL,
  templateId int(11) NOT NULL default '1',
  PRIMARY KEY  (wobjectId)
) TYPE=MyISAM;

--
-- Dumping data for table 'Item'
--



--
-- Table structure for table 'LinkList'
--

CREATE TABLE LinkList (
  wobjectId int(11) NOT NULL default '0',
  templateId int(11) NOT NULL default '1',
  PRIMARY KEY  (wobjectId)
) TYPE=MyISAM;

--
-- Dumping data for table 'LinkList'
--



--
-- Table structure for table 'LinkList_link'
--

CREATE TABLE LinkList_link (
  wobjectId int(11) NOT NULL default '0',
  LinkList_linkId int(11) NOT NULL default '0',
  name varchar(128) default NULL,
  url text,
  description text,
  sequenceNumber int(11) NOT NULL default '0',
  newWindow int(11) NOT NULL default '0',
  PRIMARY KEY  (LinkList_linkId)
) TYPE=MyISAM;

--
-- Dumping data for table 'LinkList_link'
--



--
-- Table structure for table 'MailForm'
--

CREATE TABLE MailForm (
  wobjectId int(11) NOT NULL default '0',
  width int(11) NOT NULL default '0',
  fromField text,
  fromStatus char(1) default '0',
  toField text,
  toStatus char(1) default '0',
  ccField text,
  ccStatus char(1) default '0',
  bccField text,
  bccStatus char(1) default '0',
  subjectField text,
  subjectStatus char(1) default '0',
  acknowledgement text,
  storeEntries char(1) default NULL
) TYPE=MyISAM;

--
-- Dumping data for table 'MailForm'
--



--
-- Table structure for table 'MailForm_entry'
--

CREATE TABLE MailForm_entry (
  MailForm_entryId int(11) NOT NULL default '0',
  wobjectId int(11) NOT NULL default '0',
  userId int(11) default NULL,
  username varchar(255) default NULL,
  ipAddress varchar(255) default NULL,
  submissionDate int(11) NOT NULL default '0',
  PRIMARY KEY  (MailForm_entryId)
) TYPE=MyISAM;

--
-- Dumping data for table 'MailForm_entry'
--



--
-- Table structure for table 'MailForm_entryData'
--

CREATE TABLE MailForm_entryData (
  MailForm_entryId int(11) NOT NULL default '0',
  wobjectId int(11) NOT NULL default '0',
  sequenceNumber int(11) NOT NULL default '0',
  name varchar(255) NOT NULL default '',
  value text,
  KEY MailForm1 (MailForm_entryId,sequenceNumber)
) TYPE=MyISAM;

--
-- Dumping data for table 'MailForm_entryData'
--



--
-- Table structure for table 'MailForm_field'
--

CREATE TABLE MailForm_field (
  wobjectId int(11) NOT NULL default '0',
  MailForm_fieldId int(11) NOT NULL default '0',
  sequenceNumber int(11) NOT NULL default '0',
  name varchar(255) NOT NULL default '',
  status char(1) NOT NULL default '0',
  type varchar(30) NOT NULL default '',
  possibleValues text,
  defaultValue text,
  width int(11) default NULL,
  validation varchar(255) NOT NULL default 'none',
  subtext mediumtext,
  rows int(11) default NULL,
  PRIMARY KEY  (MailForm_fieldId)
) TYPE=MyISAM;

--
-- Dumping data for table 'MailForm_field'
--



--
-- Table structure for table 'MessageBoard'
--

CREATE TABLE MessageBoard (
  wobjectId int(11) NOT NULL default '0',
  messagesPerPage int(11) NOT NULL default '50',
  templateId int(11) NOT NULL default '1',
  PRIMARY KEY  (wobjectId)
) TYPE=MyISAM;

--
-- Dumping data for table 'MessageBoard'
--



--
-- Table structure for table 'Poll'
--

CREATE TABLE Poll (
  wobjectId int(11) NOT NULL default '0',
  active int(11) NOT NULL default '1',
  graphWidth int(11) NOT NULL default '150',
  voteGroup int(11) default NULL,
  question varchar(255) default NULL,
  a1 varchar(255) default NULL,
  a2 varchar(255) default NULL,
  a3 varchar(255) default NULL,
  a4 varchar(255) default NULL,
  a5 varchar(255) default NULL,
  a6 varchar(255) default NULL,
  a7 varchar(255) default NULL,
  a8 varchar(255) default NULL,
  a9 varchar(255) default NULL,
  a10 varchar(255) default NULL,
  a11 varchar(255) default NULL,
  a12 varchar(255) default NULL,
  a13 varchar(255) default NULL,
  a14 varchar(255) default NULL,
  a15 varchar(255) default NULL,
  a16 varchar(255) default NULL,
  a17 varchar(255) default NULL,
  a18 varchar(255) default NULL,
  a19 varchar(255) default NULL,
  a20 varchar(255) default NULL,
  karmaPerVote int(11) NOT NULL default '0',
  randomizeAnswers int(11) NOT NULL default '0',
  PRIMARY KEY  (wobjectId)
) TYPE=MyISAM;

--
-- Dumping data for table 'Poll'
--



--
-- Table structure for table 'Poll_answer'
--

CREATE TABLE Poll_answer (
  wobjectId int(11) NOT NULL default '0',
  answer char(3) default NULL,
  userId int(11) default NULL,
  ipAddress varchar(50) default NULL
) TYPE=MyISAM;

--
-- Dumping data for table 'Poll_answer'
--



--
-- Table structure for table 'Product'
--

CREATE TABLE Product (
  wobjectId int(11) NOT NULL default '0',
  image1 varchar(255) default NULL,
  image2 varchar(255) default NULL,
  image3 varchar(255) default NULL,
  brochure varchar(255) default NULL,
  manual varchar(255) default NULL,
  warranty varchar(255) default NULL,
  price varchar(255) default NULL,
  productNumber varchar(255) default NULL,
  templateId int(11) NOT NULL default '1',
  PRIMARY KEY  (wobjectId)
) TYPE=MyISAM;

--
-- Dumping data for table 'Product'
--



--
-- Table structure for table 'Product_accessory'
--

CREATE TABLE Product_accessory (
  wobjectId int(11) NOT NULL default '0',
  AccessoryWobjectId int(11) NOT NULL default '0',
  sequenceNumber int(11) NOT NULL default '0',
  PRIMARY KEY  (wobjectId,AccessoryWobjectId)
) TYPE=MyISAM;

--
-- Dumping data for table 'Product_accessory'
--



--
-- Table structure for table 'Product_benefit'
--

CREATE TABLE Product_benefit (
  wobjectId int(11) NOT NULL default '0',
  Product_benefitId int(11) NOT NULL default '0',
  benefit varchar(255) default NULL,
  sequenceNumber int(11) NOT NULL default '0',
  PRIMARY KEY  (Product_benefitId)
) TYPE=MyISAM;

--
-- Dumping data for table 'Product_benefit'
--



--
-- Table structure for table 'Product_feature'
--

CREATE TABLE Product_feature (
  wobjectId int(11) NOT NULL default '0',
  Product_featureId int(11) NOT NULL default '0',
  feature varchar(255) default NULL,
  sequenceNumber int(11) NOT NULL default '0',
  PRIMARY KEY  (Product_featureId)
) TYPE=MyISAM;

--
-- Dumping data for table 'Product_feature'
--



--
-- Table structure for table 'Product_related'
--

CREATE TABLE Product_related (
  wobjectId int(11) NOT NULL default '0',
  RelatedWobjectId int(11) NOT NULL default '0',
  sequenceNumber int(11) NOT NULL default '0',
  PRIMARY KEY  (wobjectId,RelatedWobjectId)
) TYPE=MyISAM;

--
-- Dumping data for table 'Product_related'
--



--
-- Table structure for table 'Product_specification'
--

CREATE TABLE Product_specification (
  wobjectId int(11) NOT NULL default '0',
  Product_specificationId int(11) NOT NULL default '0',
  name varchar(255) default NULL,
  value varchar(255) default NULL,
  units varchar(255) default NULL,
  sequenceNumber int(11) NOT NULL default '0',
  PRIMARY KEY  (Product_specificationId)
) TYPE=MyISAM;

--
-- Dumping data for table 'Product_specification'
--



--
-- Table structure for table 'SQLReport'
--

CREATE TABLE SQLReport (
  wobjectId int(11) NOT NULL default '0',
  template text,
  dbQuery text,
  DSN varchar(255) default NULL,
  username varchar(255) default NULL,
  identifier varchar(255) default NULL,
  convertCarriageReturns int(11) NOT NULL default '0',
  paginateAfter int(11) NOT NULL default '50',
  preprocessMacros int(11) NOT NULL default '0',
  debugMode int(11) NOT NULL default '0',
  PRIMARY KEY  (wobjectId)
) TYPE=MyISAM;

--
-- Dumping data for table 'SQLReport'
--



--
-- Table structure for table 'SiteMap'
--

CREATE TABLE SiteMap (
  wobjectId int(11) NOT NULL default '0',
  startAtThisLevel int(11) NOT NULL default '0',
  depth int(11) NOT NULL default '0',
  indent int(11) NOT NULL default '5',
  templateId int(11) NOT NULL default '1',
  PRIMARY KEY  (wobjectId)
) TYPE=MyISAM;

--
-- Dumping data for table 'SiteMap'
--


INSERT INTO SiteMap VALUES (-1,1,0,5,2);

--
-- Table structure for table 'Survey'
--

CREATE TABLE Survey (
  wobjectId int(11) NOT NULL default '0',
  questionOrder varchar(30) default NULL,
  groupToTakeSurvey int(11) default NULL,
  groupToViewReports int(11) default NULL,
  mode varchar(30) default NULL,
  Survey_id int(11) NOT NULL default '0',
  PRIMARY KEY  (wobjectId)
) TYPE=MyISAM;

--
-- Dumping data for table 'Survey'
--



--
-- Table structure for table 'Survey_answer'
--

CREATE TABLE Survey_answer (
  Survey_id int(11) default NULL,
  Survey_questionId int(11) NOT NULL default '0',
  Survey_answerId int(11) NOT NULL default '0',
  sequenceNumber int(11) NOT NULL default '1',
  gotoQuestion int(11) default NULL,
  answer varchar(255) default NULL,
  isCorrect int(11) NOT NULL default '0',
  PRIMARY KEY  (Survey_answerId)
) TYPE=MyISAM;

--
-- Dumping data for table 'Survey_answer'
--



--
-- Table structure for table 'Survey_question'
--

CREATE TABLE Survey_question (
  Survey_id int(11) default NULL,
  Survey_questionId int(11) NOT NULL default '0',
  question text,
  sequenceNumber int(11) NOT NULL default '1',
  allowComment int(11) NOT NULL default '0',
  randomizeAnswers int(11) NOT NULL default '0',
  answerFieldType varchar(35) default NULL,
  PRIMARY KEY  (Survey_questionId)
) TYPE=MyISAM;

--
-- Dumping data for table 'Survey_question'
--



--
-- Table structure for table 'Survey_response'
--

CREATE TABLE Survey_response (
  Survey_id int(11) default NULL,
  Survey_questionId int(11) NOT NULL default '0',
  Survey_answerId int(11) NOT NULL default '0',
  Survey_responseId int(11) NOT NULL default '0',
  userId int(11) default NULL,
  username varchar(255) default NULL,
  ipAddress varchar(15) default NULL,
  response varchar(255) default NULL,
  comment text,
  dateOfResponse int(11) default NULL,
  PRIMARY KEY  (Survey_responseId)
) TYPE=MyISAM;

--
-- Dumping data for table 'Survey_response'
--



--
-- Table structure for table 'SyndicatedContent'
--

CREATE TABLE SyndicatedContent (
  wobjectId int(11) NOT NULL default '0',
  rssUrl text,
  templateId int(11) NOT NULL default '1',
  PRIMARY KEY  (wobjectId)
) TYPE=MyISAM;

--
-- Dumping data for table 'SyndicatedContent'
--



--
-- Table structure for table 'USS'
--

CREATE TABLE USS (
  wobjectId int(11) NOT NULL default '0',
  groupToContribute int(11) default NULL,
  submissionsPerPage int(11) NOT NULL default '50',
  defaultStatus varchar(30) default 'Approved',
  groupToApprove int(11) NOT NULL default '4',
  karmaPerSubmission int(11) NOT NULL default '0',
  templateId int(11) NOT NULL default '1',
  submissionTemplateId int(11) NOT NULL default '1',
  filterContent varchar(30) NOT NULL default 'javascript',
  PRIMARY KEY  (wobjectId)
) TYPE=MyISAM;

--
-- Dumping data for table 'USS'
--



--
-- Table structure for table 'USS_submission'
--

CREATE TABLE USS_submission (
  wobjectId int(11) NOT NULL default '0',
  USS_submissionId int(11) NOT NULL default '0',
  title varchar(128) default NULL,
  dateSubmitted int(11) default NULL,
  username varchar(30) default NULL,
  userId int(11) NOT NULL default '1',
  content text,
  image varchar(255) default NULL,
  attachment varchar(255) default NULL,
  status varchar(30) NOT NULL default 'Approved',
  convertCarriageReturns int(11) NOT NULL default '0',
  views int(11) NOT NULL default '0',
  PRIMARY KEY  (USS_submissionId),
  KEY test (wobjectId,status,userId)
) TYPE=MyISAM;

--
-- Dumping data for table 'USS_submission'
--



--
-- Table structure for table 'WobjectProxy'
--

CREATE TABLE WobjectProxy (
  wobjectId int(11) NOT NULL default '0',
  proxiedWobjectId int(11) NOT NULL default '0',
  PRIMARY KEY  (wobjectId)
) TYPE=MyISAM;

--
-- Dumping data for table 'WobjectProxy'
--



--
-- Table structure for table 'authentication'
--

CREATE TABLE authentication (
  userId int(11) NOT NULL default '0',
  authMethod varchar(30) NOT NULL default '',
  fieldName varchar(128) NOT NULL default '',
  fieldData text,
  PRIMARY KEY  (userId,authMethod,fieldName)
) TYPE=MyISAM;

--
-- Dumping data for table 'authentication'
--


INSERT INTO authentication VALUES (1,'LDAP','ldapUrl',NULL);
INSERT INTO authentication VALUES (3,'LDAP','ldapUrl','');
INSERT INTO authentication VALUES (1,'LDAP','connectDN',NULL);
INSERT INTO authentication VALUES (3,'LDAP','connectDN','');
INSERT INTO authentication VALUES (1,'WebGUI','identifier','No Login');
INSERT INTO authentication VALUES (3,'WebGUI','identifier','RvlMjeFPs2aAhQdo/xt/Kg');

--
-- Table structure for table 'collateral'
--

CREATE TABLE collateral (
  collateralId int(11) NOT NULL default '0',
  name varchar(128) NOT NULL default 'untitled',
  filename varchar(255) default NULL,
  parameters text,
  userId int(11) default NULL,
  username varchar(128) default NULL,
  dateUploaded int(11) default NULL,
  collateralFolderId int(11) NOT NULL default '0',
  collateralType varchar(30) NOT NULL default 'image',
  thumbnailSize int(11) NOT NULL default '50',
  PRIMARY KEY  (collateralId)
) TYPE=MyISAM;

--
-- Dumping data for table 'collateral'
--



--
-- Table structure for table 'collateralFolder'
--

CREATE TABLE collateralFolder (
  collateralFolderId int(11) NOT NULL default '0',
  name varchar(128) NOT NULL default 'untitled',
  parentId int(11) NOT NULL default '0',
  description varchar(255) default NULL
) TYPE=MyISAM;

--
-- Dumping data for table 'collateralFolder'
--


INSERT INTO collateralFolder VALUES (0,'Root',0,'Top level');

--
-- Table structure for table 'discussion'
--

CREATE TABLE discussion (
  messageId int(11) NOT NULL default '0',
  rid int(11) default NULL,
  wobjectId int(11) NOT NULL default '0',
  pid int(11) default NULL,
  userId int(11) default NULL,
  username varchar(30) default NULL,
  subject varchar(255) default NULL,
  message text,
  dateOfPost int(11) default NULL,
  subId int(11) default NULL,
  views int(11) NOT NULL default '0',
  locked int(11) NOT NULL default '0',
  status varchar(30) NOT NULL default 'Approved',
  userDefined1 varchar(255) default NULL,
  userDefined2 varchar(255) default NULL,
  userDefined3 varchar(255) default NULL,
  userDefined4 varchar(255) default NULL,
  userDefined5 varchar(255) default NULL,
  PRIMARY KEY  (messageId),
  KEY MessageBoard1 (wobjectId,pid,status,userId),
  KEY MessageBoard2 (wobjectId,rid,status)
) TYPE=MyISAM;

--
-- Dumping data for table 'discussion'
--



--
-- Table structure for table 'discussionSubscription'
--

CREATE TABLE discussionSubscription (
  threadId int(11) NOT NULL default '0',
  userId int(11) NOT NULL default '0',
  PRIMARY KEY  (threadId,userId)
) TYPE=MyISAM;

--
-- Dumping data for table 'discussionSubscription'
--



--
-- Table structure for table 'groupGroupings'
--

CREATE TABLE groupGroupings (
  groupId int(11) NOT NULL default '0',
  inGroup int(11) NOT NULL default '0'
) TYPE=MyISAM;

--
-- Dumping data for table 'groupGroupings'
--



--
-- Table structure for table 'groupings'
--

CREATE TABLE groupings (
  groupId int(11) NOT NULL default '0',
  userId int(11) NOT NULL default '0',
  expireDate int(11) NOT NULL default '2114402400',
  PRIMARY KEY  (groupId,userId)
) TYPE=MyISAM;

--
-- Dumping data for table 'groupings'
--


INSERT INTO groupings VALUES (5,3,2114402400);
INSERT INTO groupings VALUES (4,3,2114402400);
INSERT INTO groupings VALUES (3,3,2114402400);
INSERT INTO groupings VALUES (6,3,2114402400);

--
-- Table structure for table 'groups'
--

CREATE TABLE groups (
  groupId int(11) NOT NULL default '0',
  groupName varchar(30) default NULL,
  description varchar(255) default NULL,
  expireOffset int(11) NOT NULL default '314496000',
  karmaThreshold int(11) NOT NULL default '1000000000',
  ipFilter text,
  dateCreated int(11) NOT NULL default '997938000',
  lastUpdated int(11) NOT NULL default '997938000',
  deleteOffset int(11) NOT NULL default '14',
  expireNotifyOffset int(11) NOT NULL default '-14',
  expireNotifyMessage text,
  expireNotify int(11) NOT NULL default '0',
  PRIMARY KEY  (groupId)
) TYPE=MyISAM;

--
-- Dumping data for table 'groups'
--


INSERT INTO groups VALUES (1,'Visitors','This is the public group that has no privileges.',314496000,1000000000,NULL,997938000,997938000,14,-14,NULL,0);
INSERT INTO groups VALUES (2,'Registered Users','All registered users belong to this group automatically. There are no associated privileges other than that the user has an account and is logged in.',314496000,1000000000,NULL,997938000,997938000,14,-14,NULL,0);
INSERT INTO groups VALUES (3,'Admins','Anyone who belongs to this group has privileges to do anything and everything.',314496000,1000000000,NULL,997938000,997938000,14,-14,NULL,0);
INSERT INTO groups VALUES (4,'Content Managers','Users that have privileges to edit content on this site. The user still needs to be added to a group that has editing privileges on specific pages.',314496000,1000000000,NULL,997938000,997938000,14,-14,NULL,0);
INSERT INTO groups VALUES (5,'Style Managers','Users that have privileges to edit styles for this site. These privileges do not allow the user to assign privileges to a page, just define them to be used.',314496000,1000000000,NULL,997938000,997938000,14,-14,NULL,0);
INSERT INTO groups VALUES (6,'Package Managers','Users that have privileges to add, edit, and delete packages of wobjects and pages to deploy.',314496000,1000000000,NULL,997938000,997938000,14,-14,NULL,0);
INSERT INTO groups VALUES (7,'Everyone','A group that automatically includes all users including Visitors.',314496000,1000000000,NULL,997938000,997938000,14,-14,NULL,0);
INSERT INTO groups VALUES (8,'Template Managers','Users that have privileges to edit templates for this site.',314496000,1000000000,NULL,997938000,997938000,14,-14,NULL,0);

--
-- Table structure for table 'help'
--

CREATE TABLE help (
  helpId int(11) NOT NULL default '0',
  namespace varchar(30) NOT NULL default 'WebGUI',
  titleId int(11) default NULL,
  bodyId int(11) default NULL,
  seeAlso text,
  PRIMARY KEY  (helpId,namespace),
  KEY helpId (helpId)
) TYPE=MyISAM;

--
-- Dumping data for table 'help'
--


INSERT INTO help VALUES (20,'WebGUI',670,625,'49,WebGUI;');
INSERT INTO help VALUES (1,'FileManager',61,71,'3,FileManager;2,FileManager;21,WebGUI;');
INSERT INTO help VALUES (28,'WebGUI',678,633,'1,WebGUI;3,WebGUI;');
INSERT INTO help VALUES (31,'WebGUI',681,636,'30,WebGUI;1,WebGUI;3,WebGUI;');
INSERT INTO help VALUES (30,'WebGUI',680,635,'31,WebGUI;');
INSERT INTO help VALUES (25,'WebGUI',675,630,'60,WebGUI;');
INSERT INTO help VALUES (1,'Item',61,71,'2,Item;21,WebGUI;');
INSERT INTO help VALUES (6,'WebGUI',656,611,'12,WebGUI;');
INSERT INTO help VALUES (46,'WebGUI',696,651,NULL);
INSERT INTO help VALUES (22,'WebGUI',672,627,'12,WebGUI;');
INSERT INTO help VALUES (1,'USS',61,71,'3,USS;2,USS;21,WebGUI;');
INSERT INTO help VALUES (24,'WebGUI',674,629,'12,WebGUI;');
INSERT INTO help VALUES (1,'FAQ',61,71,'3,FAQ;2,FAQ;21,WebGUI;');
INSERT INTO help VALUES (13,'WebGUI',663,618,'12,WebGUI;');
INSERT INTO help VALUES (1,'SyndicatedContent',61,71,'2,SyndicatedContent;21,WebGUI;');
INSERT INTO help VALUES (1,'EventsCalendar',61,71,'2,EventsCalendar;3,EventsCalendar;21,WebGUI;');
INSERT INTO help VALUES (1,'MessageBoard',61,71,'2,MessageBoard;21,WebGUI;');
INSERT INTO help VALUES (1,'LinkList',61,71,'3,LinkList;2,LinkList;21,WebGUI;');
INSERT INTO help VALUES (21,'WebGUI',671,626,'19,WebGUI;18,WebGUI;27,WebGUI;14,WebGUI;');
INSERT INTO help VALUES (1,'Article',61,71,'21,WebGUI;');
INSERT INTO help VALUES (1,'ExtraColumn',61,71,'21,WebGUI;');
INSERT INTO help VALUES (27,'WebGUI',677,632,'1,Article;1,EventsCalendar;1,ExtraColumn;1,FAQ;1,FileManager;1,HttpProxy;1,Item;1,LinkList;1,MailForm;1,MessageBoard;1,Poll;1,Product;1,SiteMap;1,SQLReport;1,Survey;1,SyndicatedContent;1,USS;1,WobjectProxy;21,WebGUI;');
INSERT INTO help VALUES (1,'Poll',61,71,'21,WebGUI;');
INSERT INTO help VALUES (1,'SiteMap',61,71,'2,SiteMap;21,WebGUI;');
INSERT INTO help VALUES (1,'SQLReport',61,71,'21,WebGUI;');
INSERT INTO help VALUES (18,'WebGUI',668,623,NULL);
INSERT INTO help VALUES (17,'WebGUI',667,622,'10,WebGUI;');
INSERT INTO help VALUES (2,'WebGUI',652,607,'12,WebGUI;');
INSERT INTO help VALUES (15,'WebGUI',665,620,'10,WebGUI;');
INSERT INTO help VALUES (16,'WebGUI',666,621,'60,WebGUI;9,WebGUI;');
INSERT INTO help VALUES (14,'WebGUI',664,619,'21,WebGUI;');
INSERT INTO help VALUES (12,'WebGUI',662,617,'6,WebGUI;29,WebGUI;13,WebGUI;24,WebGUI;22,WebGUI;2,WebGUI;');
INSERT INTO help VALUES (10,'WebGUI',660,615,'17,WebGUI;15,WebGUI;8,WebGUI;');
INSERT INTO help VALUES (8,'WebGUI',658,613,'10,WebGUI;32,WebGUI;5,WebGUI;7,WebGUI;');
INSERT INTO help VALUES (9,'WebGUI',659,614,'19,WebGUI;18,WebGUI;16,WebGUI;4,WebGUI;');
INSERT INTO help VALUES (7,'WebGUI',657,612,'8,WebGUI;');
INSERT INTO help VALUES (32,'WebGUI',682,637,'8,WebGUI;');
INSERT INTO help VALUES (5,'WebGUI',655,610,'8,WebGUI;');
INSERT INTO help VALUES (3,'WebGUI',653,608,'1,WebGUI;');
INSERT INTO help VALUES (4,'WebGUI',654,609,'9,WebGUI;');
INSERT INTO help VALUES (1,'WebGUI',642,606,'52,WebGUI;3,WebGUI;');
INSERT INTO help VALUES (29,'WebGUI',679,634,'12,WebGUI;');
INSERT INTO help VALUES (33,'WebGUI',683,638,'34,WebGUI;35,WebGUI;50,WebGUI;');
INSERT INTO help VALUES (34,'WebGUI',684,639,'33,WebGUI;');
INSERT INTO help VALUES (35,'WebGUI',685,640,'33,WebGUI;');
INSERT INTO help VALUES (19,'WebGUI',669,624,'53,WebGUI;58,WebGUI;57,WebGUI;60,WebGUI;59,WebGUI;');
INSERT INTO help VALUES (1,'MailForm',61,71,'21,WebGUI;');
INSERT INTO help VALUES (2,'MailForm',62,72,'1,MailForm;');
INSERT INTO help VALUES (2,'FileManager',72,73,'1,FileManager;');
INSERT INTO help VALUES (2,'EventsCalendar',72,73,'4,EventsCalendar;1,EventsCalendar;');
INSERT INTO help VALUES (2,'FAQ',72,73,'1,FAQ;');
INSERT INTO help VALUES (2,'LinkList',72,73,'1,LinkList;');
INSERT INTO help VALUES (47,'WebGUI',697,698,'1,Article;17,WebGUI;1,MessageBoard;1,Poll;2,WebGUI;1,USS;');
INSERT INTO help VALUES (1,'WobjectProxy',5,6,'21,WebGUI;');
INSERT INTO help VALUES (1,'Product',38,39,'5,Product;4,Product;6,Product;2,Product;3,Product;7,Product;21,WebGUI;');
INSERT INTO help VALUES (2,'Product',40,41,'6,Product;1,Product;');
INSERT INTO help VALUES (3,'Product',42,43,'1,Product;');
INSERT INTO help VALUES (4,'Product',44,45,'1,Product;');
INSERT INTO help VALUES (5,'Product',46,47,'1,Product;');
INSERT INTO help VALUES (6,'Product',49,50,'2,Product;1,Product;');
INSERT INTO help VALUES (7,'Product',62,63,'1,Product;51,WebGUI;');
INSERT INTO help VALUES (1,'Survey',3,4,'21,WebGUI;');
INSERT INTO help VALUES (49,'WebGUI',785,786,'53,WebGUI;54,WebGUI;56,WebGUI;20,WebGUI;55,WebGUI;');
INSERT INTO help VALUES (50,'WebGUI',825,826,'33,WebGUI;');
INSERT INTO help VALUES (2,'Article',72,73,'1,Article;51,WebGUI;');
INSERT INTO help VALUES (51,'WebGUI',827,828,'2,Article;3,EventsCalendar;3,FAQ;3,FileManager;2,Item;3,LinkList;2,MessageBoard;7,Product;2,SiteMap;2,SyndicatedContent;33,WebGUI;2,USS;');
INSERT INTO help VALUES (3,'EventsCalendar',94,95,'1,EventsCalendar;51,WebGUI;');
INSERT INTO help VALUES (3,'FAQ',76,77,'1,FAQ;51,WebGUI;');
INSERT INTO help VALUES (3,'FileManager',75,76,'1,FileManager;51,WebGUI;');
INSERT INTO help VALUES (4,'EventsCalendar',96,97,'2,EventsCalendar;51,WebGUI;');
INSERT INTO help VALUES (2,'Item',73,74,'1,Item;51,WebGUI;');
INSERT INTO help VALUES (3,'LinkList',75,76,'1,LinkList;51,WebGUI;');
INSERT INTO help VALUES (2,'MessageBoard',73,74,'1,MessageBoard;51,WebGUI;');
INSERT INTO help VALUES (2,'SiteMap',72,73,'1,SiteMap;51,WebGUI;');
INSERT INTO help VALUES (2,'USS',74,75,'1,USS;51,WebGUI;');
INSERT INTO help VALUES (3,'USS',76,77,'1,USS;51,WebGUI;');
INSERT INTO help VALUES (52,'WebGUI',829,830,'1,WebGUI;33,WebGUI;');
INSERT INTO help VALUES (53,'WebGUI',831,832,'49,WebGUI;19,WebGUI;');
INSERT INTO help VALUES (54,'WebGUI',833,834,'49,WebGUI;');
INSERT INTO help VALUES (55,'WebGUI',835,836,'49,WebGUI;');
INSERT INTO help VALUES (56,'WebGUI',837,838,'49,WebGUI;');
INSERT INTO help VALUES (57,'WebGUI',839,840,'19,WebGUI;');
INSERT INTO help VALUES (58,'WebGUI',841,842,'19,WebGUI;');
INSERT INTO help VALUES (59,'WebGUI',843,844,'19,WebGUI;');
INSERT INTO help VALUES (60,'WebGUI',845,846,'19,WebGUI;16,WebGUI;');
INSERT INTO help VALUES (2,'SyndicatedContent',72,73,'1,SyndicatedContent;');
INSERT INTO help VALUES (1,'HttpProxy',10,11,'21,WebGUI;');

--
-- Table structure for table 'incrementer'
--

CREATE TABLE incrementer (
  incrementerId varchar(50) NOT NULL default '',
  nextValue int(11) NOT NULL default '1',
  PRIMARY KEY  (incrementerId)
) TYPE=MyISAM;

--
-- Dumping data for table 'incrementer'
--


INSERT INTO incrementer VALUES ('groupId',26);
INSERT INTO incrementer VALUES ('messageId',100000);
INSERT INTO incrementer VALUES ('pageId',1000);
INSERT INTO incrementer VALUES ('styleId',1000);
INSERT INTO incrementer VALUES ('userId',26);
INSERT INTO incrementer VALUES ('wobjectId',1);
INSERT INTO incrementer VALUES ('EventsCalendar_eventId',1000);
INSERT INTO incrementer VALUES ('LinkList_linkId',1000);
INSERT INTO incrementer VALUES ('FAQ_questionId',1000);
INSERT INTO incrementer VALUES ('USS_submissionId',1);
INSERT INTO incrementer VALUES ('EventsCalendar_recurringId',1000);
INSERT INTO incrementer VALUES ('messageLogId',1000);
INSERT INTO incrementer VALUES ('FileManager_fileId',1);
INSERT INTO incrementer VALUES ('collateralId',1);
INSERT INTO incrementer VALUES ('profileCategoryId',1000);
INSERT INTO incrementer VALUES ('templateId',1000);
INSERT INTO incrementer VALUES ('collateralFolderId',1000);
INSERT INTO incrementer VALUES ('Product_featureId',1000);
INSERT INTO incrementer VALUES ('Product_specificationId',1000);
INSERT INTO incrementer VALUES ('languageId',1000);
INSERT INTO incrementer VALUES ('MailForm_fieldId',1000);
INSERT INTO incrementer VALUES ('MailForm_entryId',1000);
INSERT INTO incrementer VALUES ('Product_benefitId',1000);
INSERT INTO incrementer VALUES ('Survey_answerId',1000);
INSERT INTO incrementer VALUES ('Survey_questionId',1000);
INSERT INTO incrementer VALUES ('Survey_responseId',1000);
INSERT INTO incrementer VALUES ('Survey_id',1000);

--
-- Table structure for table 'international'
--

CREATE TABLE international (
  internationalId int(11) NOT NULL default '0',
  namespace varchar(30) NOT NULL default 'WebGUI',
  languageId int(11) NOT NULL default '1',
  message mediumtext,
  lastUpdated int(11) default NULL,
  PRIMARY KEY  (internationalId,namespace,languageId)
) TYPE=MyISAM;

--
-- Dumping data for table 'international'
--


INSERT INTO international VALUES (367,'WebGUI',1,'Expire Offset',1044126611);
INSERT INTO international VALUES (39,'USS',3,'Post een reactie',1038528254);
INSERT INTO international VALUES (1,'Article',1,'Article',1031514049);
INSERT INTO international VALUES (1,'Article',4,'Artculo',1031510000);
INSERT INTO international VALUES (1,'Article',5,'Artigo',1031510000);
INSERT INTO international VALUES (37,'USS',3,'Verwijder',1038528247);
INSERT INTO international VALUES (89,'EventsCalendar',1,'Show 3 months from start.',1038190646);
INSERT INTO international VALUES (10,'LinkList',2,'Link Liste bearbeiten',1040644971);
INSERT INTO international VALUES (35,'USS',3,'Titel',1038528241);
INSERT INTO international VALUES (1,'ExtraColumn',1,'Extra Column',1031514049);
INSERT INTO international VALUES (1,'ExtraColumn',4,'Columna Extra',1031510000);
INSERT INTO international VALUES (1,'ExtraColumn',5,'Coluna extra',1031510000);
INSERT INTO international VALUES (34,'USS',3,'Return converteren',1038528234);
INSERT INTO international VALUES (1,'Item',1,'Link URL',1031514049);
INSERT INTO international VALUES (5,'ExtraColumn',6,'StyleSheet Class',1031510000);
INSERT INTO international VALUES (700,'WebGUI',6,'Dag',1031510000);
INSERT INTO international VALUES (4,'WebGUI',6,'Hantera instllningar.',1047894209);
INSERT INTO international VALUES (10,'Poll',2,'Abstimmung zurcksetzen',1040646831);
INSERT INTO international VALUES (33,'USS',3,'Bijlage',1038528227);
INSERT INTO international VALUES (1,'Poll',1,'Poll',1031514049);
INSERT INTO international VALUES (1,'Poll',4,'Encuesta',1031510000);
INSERT INTO international VALUES (1,'Poll',5,'Sondagem',1031510000);
INSERT INTO international VALUES (4,'USS',6,'Ditt meddelande har blivit validerat.',1031648642);
INSERT INTO international VALUES (4,'SyndicatedContent',6,'Redigera Syndicated inehll',1031510000);
INSERT INTO international VALUES (563,'WebGUI',2,'Standard Status',1041629585);
INSERT INTO international VALUES (32,'USS',3,'Plaatje',1038528221);
INSERT INTO international VALUES (1,'SQLReport',1,'SQL Report',1031514049);
INSERT INTO international VALUES (1,'SQLReport',4,'Reporte SQL',1031510000);
INSERT INTO international VALUES (1,'SQLReport',5,'Relatrio SQL',1031510000);
INSERT INTO international VALUES (31,'USS',3,'Inhoud',1038528215);
INSERT INTO international VALUES (1,'SyndicatedContent',1,'URL to RSS File',1031514049);
INSERT INTO international VALUES (1,'SyndicatedContent',5,'Ficheiro de URL para RSS',1031510000);
INSERT INTO international VALUES (1,'USS',1,'Who can approve?',1031514049);
INSERT INTO international VALUES (1,'USS',5,'Quem pode aprovar?',1031510000);
INSERT INTO international VALUES (18,'SQLReport',3,'Er waren geen resultaten voor deze query',1038527912);
INSERT INTO international VALUES (1,'WebGUI',1,'Add content...',1031514049);
INSERT INTO international VALUES (1,'WebGUI',4,'Agregar Contenido ...',1031510000);
INSERT INTO international VALUES (1,'WebGUI',5,'Adicionar conteudo...',1031510000);
INSERT INTO international VALUES (2,'EventsCalendar',1,'Events Calendar',1031514049);
INSERT INTO international VALUES (2,'EventsCalendar',4,'Calendario de Eventos',1031510000);
INSERT INTO international VALUES (2,'EventsCalendar',5,'Calendrio de eventos',1031510000);
INSERT INTO international VALUES (4,'SiteMap',6,'Niver att traversera',1031510000);
INSERT INTO international VALUES (4,'Poll',6,'Vem kan rsta?',1031510000);
INSERT INTO international VALUES (4,'MessageBoard',6,'Meddelanden per sida',1031510000);
INSERT INTO international VALUES (10,'SQLReport',2,'Fehler: Das SQL-Statement ist im falschen Format.',1040649121);
INSERT INTO international VALUES (17,'SQLReport',3,'<b>Debug:</b> Query:',1038527904);
INSERT INTO international VALUES (2,'FAQ',1,'F.A.Q.',1031514049);
INSERT INTO international VALUES (2,'FAQ',4,'F.A.Q.',1031510000);
INSERT INTO international VALUES (2,'FAQ',5,'Perguntas mais frequentes',1031510000);
INSERT INTO international VALUES (2,'Item',1,'Attachment',1031514049);
INSERT INTO international VALUES (16,'SQLReport',3,'Debug?',1038527891);
INSERT INTO international VALUES (1,'Article',10,'Artikkel',1032469833);
INSERT INTO international VALUES (2,'MessageBoard',1,'Message Board',1031514049);
INSERT INTO international VALUES (2,'MessageBoard',4,'Tablero de Mensajes',1039628673);
INSERT INTO international VALUES (2,'MessageBoard',5,'Quadro de mensagens',1031510000);
INSERT INTO international VALUES (4,'ExtraColumn',6,'Bredd',1031510000);
INSERT INTO international VALUES (15,'SQLReport',3,'Verwerk macros voor query?',1038527884);
INSERT INTO international VALUES (2,'SiteMap',1,'Site Map',1031514049);
INSERT INTO international VALUES (2,'SiteMap',5,'Mapa do site',1031510000);
INSERT INTO international VALUES (10,'WebGUI',2,'&nbsp;Verwalten: Mlleimer',1040640519);
INSERT INTO international VALUES (4,'Article',6,'Slutdatum',1032257354);
INSERT INTO international VALUES (3,'WebGUI',6,'Klistra in frn klippbord...',1031510000);
INSERT INTO international VALUES (14,'SQLReport',3,'Breek pagina af na',1038527876);
INSERT INTO international VALUES (2,'SyndicatedContent',1,'Syndicated Content',1031514049);
INSERT INTO international VALUES (2,'SyndicatedContent',5,'Conteudo sindical',1031510000);
INSERT INTO international VALUES (2,'USS',1,'Who can contribute?',1031514049);
INSERT INTO international VALUES (2,'USS',4,'Quines pueden contribuir?',1031510000);
INSERT INTO international VALUES (2,'USS',5,'Quem pode contribuir?',1031510000);
INSERT INTO international VALUES (13,'SQLReport',3,'Converteer Return?',1038527870);
INSERT INTO international VALUES (2,'WebGUI',1,'Page',1031514049);
INSERT INTO international VALUES (2,'WebGUI',4,'Pgina',1031510000);
INSERT INTO international VALUES (2,'WebGUI',5,'Pgina',1031510000);
INSERT INTO international VALUES (3,'Article',1,'Start Date',1031514049);
INSERT INTO international VALUES (3,'Article',4,'Fecha Inicio',1031510000);
INSERT INTO international VALUES (3,'Article',5,'Data de inicio',1031510000);
INSERT INTO international VALUES (11,'Article',2,'(Bitte anklicken, falls Sie nicht &lt;br&gt; in Ihrem Text hinzufgen.)',1040597800);
INSERT INTO international VALUES (3,'SQLReport',6,'Rapportmall',1032859295);
INSERT INTO international VALUES (3,'SiteMap',6,'Starta frn denna niv?',1031510000);
INSERT INTO international VALUES (3,'Poll',6,'Aktiv',1031510000);
INSERT INTO international VALUES (3,'ExtraColumn',1,'Spacer',1031514049);
INSERT INTO international VALUES (3,'ExtraColumn',4,'Espaciador',1031510000);
INSERT INTO international VALUES (3,'ExtraColumn',5,'Espaamento',1031510000);
INSERT INTO international VALUES (564,'WebGUI',6,'Vem kan posta?',1031510000);
INSERT INTO international VALUES (3,'LinkList',6,'ppna i nytt fnster?',1031649790);
INSERT INTO international VALUES (3,'Item',1,'Delete Attachment',1031514049);
INSERT INTO international VALUES (11,'FileManager',2,'Neuen Download hinzufgen.',1040644692);
INSERT INTO international VALUES (11,'Poll',3,'Stem!',1038526637);
INSERT INTO international VALUES (3,'LinkList',1,'Open in new window?',1031514049);
INSERT INTO international VALUES (3,'LinkList',5,'Abrir numa nova janela?',1031510000);
INSERT INTO international VALUES (564,'WebGUI',1,'Who can post?',1031514049);
INSERT INTO international VALUES (564,'WebGUI',4,'Quienes pueden participar?',1039818508);
INSERT INTO international VALUES (564,'WebGUI',5,'Quem pode colocar novas?',1031510000);
INSERT INTO international VALUES (22,'MessageBoard',3,'Verwijder bericht',1038526559);
INSERT INTO international VALUES (3,'Poll',1,'Active',1031514049);
INSERT INTO international VALUES (3,'Poll',4,'Activar',1031510000);
INSERT INTO international VALUES (3,'Poll',5,'Activo',1031510000);
INSERT INTO international VALUES (3,'SiteMap',1,'Start With',1039908390);
INSERT INTO international VALUES (3,'SiteMap',5,'Iniciando neste nvel?',1031510000);
INSERT INTO international VALUES (565,'WebGUI',3,'Wie kan bewerken?',1039780755);
INSERT INTO international VALUES (3,'SQLReport',1,'Report Template',1031514049);
INSERT INTO international VALUES (3,'SQLReport',4,'Modelo',1031510000);
INSERT INTO international VALUES (3,'SQLReport',5,'Template',1031510000);
INSERT INTO international VALUES (3,'ExtraColumn',6,'Mellanrum',1031649752);
INSERT INTO international VALUES (3,'Article',6,'Startdatum',1032257347);
INSERT INTO international VALUES (4,'Item',3,'Item',1038487811);
INSERT INTO international VALUES (5,'Item',3,'Download bijlage',1038487819);
INSERT INTO international VALUES (3,'USS',1,'You have a new user submission to approve.',1031514049);
INSERT INTO international VALUES (3,'USS',5,'Tem nova submisso para aprovar.',1031510000);
INSERT INTO international VALUES (3,'WebGUI',1,'Paste from clipboard...',1031514049);
INSERT INTO international VALUES (3,'WebGUI',4,'Pegar desde el Portapapeles...',1031510000);
INSERT INTO international VALUES (3,'WebGUI',5,'Colar do clipboard...',1031510000);
INSERT INTO international VALUES (11,'Poll',2,'Abstimmen!',1040646855);
INSERT INTO international VALUES (11,'MessageBoard',2,'Zurck zur Beitragsliste',1040646605);
INSERT INTO international VALUES (3,'Item',3,'Verwijder bijlage',1038487804);
INSERT INTO international VALUES (4,'Article',1,'End Date',1031514049);
INSERT INTO international VALUES (4,'Article',4,'Fecha finalizacin',1031510000);
INSERT INTO international VALUES (4,'Article',5,'Data de fim',1031510000);
INSERT INTO international VALUES (2,'Item',3,'Bijlage',1038487747);
INSERT INTO international VALUES (4,'EventsCalendar',1,'Happens only once.',1031514049);
INSERT INTO international VALUES (4,'EventsCalendar',4,'Sucede solo una vez.',1031510000);
INSERT INTO international VALUES (4,'EventsCalendar',5,'Apenas uma vez.',1031510000);
INSERT INTO international VALUES (1,'Item',3,'Link URL',1038487737);
INSERT INTO international VALUES (4,'ExtraColumn',1,'Width',1031514049);
INSERT INTO international VALUES (4,'ExtraColumn',4,'Ancho',1031510000);
INSERT INTO international VALUES (4,'ExtraColumn',5,'Largura',1031510000);
INSERT INTO international VALUES (2,'USS',6,'Vem kan gra inlgg?',1031510000);
INSERT INTO international VALUES (2,'SyndicatedContent',6,'Syndicated inehll',1031510000);
INSERT INTO international VALUES (4,'Item',1,'Item',1031514049);
INSERT INTO international VALUES (4,'MessageBoard',1,'Messages Per Page',1031514049);
INSERT INTO international VALUES (4,'MessageBoard',4,'Mensajes por pgina',1039628657);
INSERT INTO international VALUES (4,'MessageBoard',5,'Mensagens por pgina',1031510000);
INSERT INTO international VALUES (4,'Poll',1,'Who can vote?',1031514049);
INSERT INTO international VALUES (4,'Poll',4,'Quines pueden votar?',1031510000);
INSERT INTO international VALUES (4,'Poll',5,'Quem pode votar?',1031510000);
INSERT INTO international VALUES (13,'FAQ',3,'Zet [top] link aan?',1038487340);
INSERT INTO international VALUES (4,'SiteMap',1,'Depth To Traverse',1031514049);
INSERT INTO international VALUES (4,'SiteMap',5,'profundidade a travessar',1031510000);
INSERT INTO international VALUES (11,'SQLReport',2,'Fehler: Es gab ein Problem mit der Abfrage.',1040649134);
INSERT INTO international VALUES (12,'FAQ',3,'Zet V/A aan?',1038487333);
INSERT INTO international VALUES (4,'SQLReport',1,'Query',1031514049);
INSERT INTO international VALUES (4,'SQLReport',4,'Consulta',1031510000);
INSERT INTO international VALUES (4,'SQLReport',5,'Query',1031510000);
INSERT INTO international VALUES (11,'FAQ',3,'Zet inhoud aan?',1038487324);
INSERT INTO international VALUES (4,'SyndicatedContent',1,'Edit Syndicated Content',1031514049);
INSERT INTO international VALUES (4,'SyndicatedContent',5,'Modificar conteudo sindical',1031510000);
INSERT INTO international VALUES (19,'EventsCalendar',3,'Breek pagina af na',1038486795);
INSERT INTO international VALUES (4,'USS',1,'Your submission has been approved.',1031514049);
INSERT INTO international VALUES (4,'USS',5,'A sua submisso foi aprovada.',1031510000);
INSERT INTO international VALUES (4,'WebGUI',1,'Manage settings.',1031514049);
INSERT INTO international VALUES (4,'WebGUI',4,'Configurar Opciones.',1031510000);
INSERT INTO international VALUES (4,'WebGUI',5,'Organizar preferncias.',1031510000);
INSERT INTO international VALUES (11,'WebGUI',2,'Mlleimer leeren',1040650325);
INSERT INTO international VALUES (38,'USS',1,'(Select \"No\" if you\'re writing an HTML/Rich Edit submission.)',1031514049);
INSERT INTO international VALUES (20,'EventsCalendar',1,'Add an event.',1031514049);
INSERT INTO international VALUES (700,'WebGUI',1,'Day(s)',1031514049);
INSERT INTO international VALUES (700,'WebGUI',4,'Da',1031510000);
INSERT INTO international VALUES (700,'WebGUI',5,'Dia',1031510000);
INSERT INTO international VALUES (5,'ExtraColumn',1,'StyleSheet Class',1031514049);
INSERT INTO international VALUES (5,'ExtraColumn',4,'Clase StyleSheet',1031510000);
INSERT INTO international VALUES (5,'ExtraColumn',5,'StyleSheet Class',1031510000);
INSERT INTO international VALUES (5,'FAQ',1,'Question',1031514049);
INSERT INTO international VALUES (5,'FAQ',4,'Pregunta',1031510000);
INSERT INTO international VALUES (5,'FAQ',5,'Questo',1031510000);
INSERT INTO international VALUES (5,'Item',1,'Download Attachment',1031514049);
INSERT INTO international VALUES (816,'WebGUI',1,'Status',1038431169);
INSERT INTO international VALUES (566,'WebGUI',1,'Edit Timeout',1031514049);
INSERT INTO international VALUES (566,'WebGUI',4,'Timeout de edicin',1031510000);
INSERT INTO international VALUES (566,'WebGUI',5,'Modificar Timeout',1031510000);
INSERT INTO international VALUES (12,'Article',2,'Artikel bearbeiten',1040597813);
INSERT INTO international VALUES (15,'EventsCalendar',3,'Einddatum',1038486787);
INSERT INTO international VALUES (5,'Poll',1,'Graph Width',1031514049);
INSERT INTO international VALUES (5,'Poll',4,'Ancho del grfico',1031510000);
INSERT INTO international VALUES (5,'Poll',5,'Largura do grfico',1031510000);
INSERT INTO international VALUES (5,'SiteMap',1,'Edit Site Map',1031514049);
INSERT INTO international VALUES (5,'SiteMap',5,'Editar mapa do site',1031510000);
INSERT INTO international VALUES (14,'EventsCalendar',3,'Startdatum',1038486779);
INSERT INTO international VALUES (5,'SQLReport',1,'DSN',1031514049);
INSERT INTO international VALUES (5,'SQLReport',4,'DSN',1031510000);
INSERT INTO international VALUES (5,'SQLReport',5,'DSN',1031510000);
INSERT INTO international VALUES (93,'EventsCalendar',1,'Next Event',1038202290);
INSERT INTO international VALUES (5,'USS',1,'Your submission has been denied.',1031514049);
INSERT INTO international VALUES (5,'USS',5,'A sua submisso no foi aprovada.',1031510000);
INSERT INTO international VALUES (5,'WebGUI',1,'Manage groups.',1031514049);
INSERT INTO international VALUES (5,'WebGUI',4,'Configurar Grupos.',1031510000);
INSERT INTO international VALUES (5,'WebGUI',5,'Organizar grupos.',1031510000);
INSERT INTO international VALUES (6,'Article',1,'Image',1031514049);
INSERT INTO international VALUES (6,'Article',4,'Imagen',1031510000);
INSERT INTO international VALUES (6,'Article',5,'Imagem',1031510000);
INSERT INTO international VALUES (20,'EventsCalendar',3,'Evenement toevoegen',1038486813);
INSERT INTO international VALUES (701,'WebGUI',1,'Week(s)',1031514049);
INSERT INTO international VALUES (701,'WebGUI',4,'Semana',1031510000);
INSERT INTO international VALUES (701,'WebGUI',5,'Semana',1031510000);
INSERT INTO international VALUES (6,'ExtraColumn',1,'Edit Extra Column',1031514049);
INSERT INTO international VALUES (6,'ExtraColumn',4,'Editar Columna Extra',1031510000);
INSERT INTO international VALUES (6,'ExtraColumn',5,'Modificar coluna extra',1031510000);
INSERT INTO international VALUES (6,'FAQ',1,'Answer',1031514049);
INSERT INTO international VALUES (6,'FAQ',4,'Respuesta',1031510000);
INSERT INTO international VALUES (6,'FAQ',5,'Resposta',1031510000);
INSERT INTO international VALUES (12,'FileManager',2,'Sind Sie sicher, dass Sie diesen Download lschen mchten?',1040644704);
INSERT INTO international VALUES (6,'LinkList',1,'Link List',1031514049);
INSERT INTO international VALUES (6,'LinkList',4,'Lista de Enlaces',1031510000);
INSERT INTO international VALUES (6,'LinkList',5,'Lista de hiperlinks',1031510000);
INSERT INTO international VALUES (6,'MessageBoard',1,'Edit Message Board',1031514049);
INSERT INTO international VALUES (6,'MessageBoard',4,'Editar Tablero de Mensajes',1039628642);
INSERT INTO international VALUES (6,'MessageBoard',5,'Modificar quadro de mensagens',1031510000);
INSERT INTO international VALUES (6,'Poll',1,'Question',1031514049);
INSERT INTO international VALUES (6,'Poll',4,'Pregunta',1031510000);
INSERT INTO international VALUES (6,'Poll',5,'Questo',1031510000);
INSERT INTO international VALUES (6,'SiteMap',1,'Indent',1031514049);
INSERT INTO international VALUES (6,'SiteMap',5,'Destaque',1031510000);
INSERT INTO international VALUES (12,'EventsCalendar',2,'Veranstaltungskalender bearbeiten',1040644246);
INSERT INTO international VALUES (20,'FileManager',3,'Breek pagina af na',1039783664);
INSERT INTO international VALUES (6,'SQLReport',1,'Database User',1031514049);
INSERT INTO international VALUES (6,'SQLReport',4,'Usuario de la Base de Datos',1031510000);
INSERT INTO international VALUES (6,'SQLReport',5,'User da base de dados',1031510000);
INSERT INTO international VALUES (10,'HttpProxy',1,'HTTP Proxy, Add/Edit',1047858432);
INSERT INTO international VALUES (12,'LinkList',2,'Link bearbeiten',1040644982);
INSERT INTO international VALUES (19,'FileManager',3,'U heeft geen bestanden beschikbaar.',1039741230);
INSERT INTO international VALUES (6,'USS',1,'Submissions Per Page',1031514049);
INSERT INTO international VALUES (6,'USS',4,'Contribuciones por pgina',1031510000);
INSERT INTO international VALUES (6,'USS',5,'Submisses por pgina',1031510000);
INSERT INTO international VALUES (6,'WebGUI',1,'Manage styles.',1031514049);
INSERT INTO international VALUES (6,'WebGUI',4,'Configurar Estilos',1031510000);
INSERT INTO international VALUES (6,'WebGUI',5,'Organizar estilos.',1031510000);
INSERT INTO international VALUES (18,'FileManager',3,'Alternatieve Versie #2',1038487540);
INSERT INTO international VALUES (7,'Article',1,'Link Title',1031514049);
INSERT INTO international VALUES (7,'Article',4,'Ttulo del Enlace',1039817993);
INSERT INTO international VALUES (7,'Article',5,'Titulo da hiperlink',1031510000);
INSERT INTO international VALUES (2,'SiteMap',6,'Sitekarta',1031651399);
INSERT INTO international VALUES (2,'MessageBoard',6,'Meddelandeforum',1031650036);
INSERT INTO international VALUES (12,'MessageBoard',2,'Beitrag bearbeiten',1040646622);
INSERT INTO international VALUES (7,'FAQ',1,'Are you certain that you want to delete this question?',1031514049);
INSERT INTO international VALUES (7,'FAQ',4,'Est seguro de querer eliminar sta pregunta?',1031510000);
INSERT INTO international VALUES (7,'FAQ',5,'Tem a certeza que quer apagar esta questo?',1031510000);
INSERT INTO international VALUES (2,'Item',6,'Bilagor',1031510000);
INSERT INTO international VALUES (2,'FAQ',6,'F.A.Q.',1031510000);
INSERT INTO international VALUES (17,'FileManager',3,'Alternatieve Versie #1',1038487532);
INSERT INTO international VALUES (7,'MessageBoard',1,'Author:',1031514049);
INSERT INTO international VALUES (7,'MessageBoard',4,'Autor:',1031510000);
INSERT INTO international VALUES (7,'MessageBoard',5,'Autor:',1031510000);
INSERT INTO international VALUES (12,'SQLReport',2,'<b>Fehler:</b> Datenbankverbindung konnte nicht aufgebaut werden.',1040649187);
INSERT INTO international VALUES (7,'Poll',1,'Answers',1031514049);
INSERT INTO international VALUES (7,'Poll',4,'Respuestas',1031510000);
INSERT INTO international VALUES (7,'Poll',5,'Respostas',1031510000);
INSERT INTO international VALUES (16,'FileManager',3,'Upload datum',1038487525);
INSERT INTO international VALUES (7,'SQLReport',1,'Database Password',1031514049);
INSERT INTO international VALUES (7,'SQLReport',4,'Password de la Base de Datos',1031510000);
INSERT INTO international VALUES (7,'SQLReport',5,'Password da base de dados',1031510000);
INSERT INTO international VALUES (15,'FileManager',3,'Beschrijving',1038487513);
INSERT INTO international VALUES (560,'WebGUI',1,'Approved',1031514049);
INSERT INTO international VALUES (560,'WebGUI',4,'Aprobado',1031510000);
INSERT INTO international VALUES (560,'WebGUI',5,'Aprovado',1031510000);
INSERT INTO international VALUES (14,'FileManager',3,'Bestand',1038487506);
INSERT INTO international VALUES (7,'WebGUI',1,'Manage users.',1031514049);
INSERT INTO international VALUES (7,'WebGUI',4,'Configurar Usuarios',1031510000);
INSERT INTO international VALUES (7,'WebGUI',5,'Organizar utilizadores.',1031510000);
INSERT INTO international VALUES (8,'Article',1,'Link URL',1031514049);
INSERT INTO international VALUES (8,'Article',4,'Direccin del Enlace',1039818022);
INSERT INTO international VALUES (8,'Article',5,'URL da hiperlink',1031510000);
INSERT INTO international VALUES (8,'EventsCalendar',1,'Recurs every',1031514049);
INSERT INTO international VALUES (8,'EventsCalendar',4,'Se repite cada',1031510000);
INSERT INTO international VALUES (8,'EventsCalendar',5,'Repetio',1031510000);
INSERT INTO international VALUES (8,'FAQ',1,'Edit F.A.Q.',1031514049);
INSERT INTO international VALUES (8,'FAQ',4,'Editar F.A.Q.',1031510000);
INSERT INTO international VALUES (8,'FAQ',5,'Modificar perguntas mais frequentes',1031510000);
INSERT INTO international VALUES (12,'FileManager',3,'Weet u zeker dat u dit bestand wilt verwijderen?',1039741211);
INSERT INTO international VALUES (8,'LinkList',1,'URL',1031514049);
INSERT INTO international VALUES (8,'LinkList',4,'URL',1031510000);
INSERT INTO international VALUES (8,'LinkList',5,'URL',1031510000);
INSERT INTO international VALUES (12,'USS',2,'(Bitte deaktivieren, wenn Ihr Beitrag in HTML geschrieben ist)',1040649805);
INSERT INTO international VALUES (8,'MessageBoard',1,'Date:',1031514049);
INSERT INTO international VALUES (8,'MessageBoard',4,'Fecha:',1031510000);
INSERT INTO international VALUES (8,'MessageBoard',5,'Data:',1031510000);
INSERT INTO international VALUES (11,'FileManager',3,'Nieuw bestand toevoegen',1039741190);
INSERT INTO international VALUES (8,'Poll',1,'(Enter one answer per line. No more than 20.)',1031514049);
INSERT INTO international VALUES (8,'Poll',4,'(Ingrese una por lnea. No ms de 20)',1031510000);
INSERT INTO international VALUES (8,'Poll',5,'(Introduza uma resposta por linha. No passe das 20.)',1031510000);
INSERT INTO international VALUES (10,'FileManager',3,'Bewerk Bestand',1039741172);
INSERT INTO international VALUES (8,'SQLReport',1,'Edit SQL Report',1031514049);
INSERT INTO international VALUES (8,'SQLReport',4,'Editar Reporte SQL',1031510000);
INSERT INTO international VALUES (8,'SQLReport',5,'Modificar o relario SQL',1031510000);
INSERT INTO international VALUES (9,'FileManager',3,'Bewerk bestandsbeheer',1038487725);
INSERT INTO international VALUES (561,'WebGUI',1,'Denied',1031514049);
INSERT INTO international VALUES (561,'WebGUI',4,'Denegado',1031510000);
INSERT INTO international VALUES (561,'WebGUI',5,'Negado',1031510000);
INSERT INTO international VALUES (8,'WebGUI',1,'View page not found.',1031514049);
INSERT INTO international VALUES (8,'WebGUI',4,'Ver Pgina No Encontrada',1031510000);
INSERT INTO international VALUES (8,'WebGUI',5,'Ver pgina no encontrada.',1031510000);
INSERT INTO international VALUES (12,'WebGUI',2,'Administrationsmodus abschalten',1040640906);
INSERT INTO international VALUES (8,'FileManager',3,'Korte Omschrijving',1038487642);
INSERT INTO international VALUES (9,'Article',1,'Attachment',1031514049);
INSERT INTO international VALUES (9,'Article',4,'Adjuntar',1031510000);
INSERT INTO international VALUES (9,'Article',5,'Anexar',1031510000);
INSERT INTO international VALUES (9,'EventsCalendar',1,'until',1031514049);
INSERT INTO international VALUES (9,'EventsCalendar',4,'hasta',1031510000);
INSERT INTO international VALUES (9,'EventsCalendar',5,'at',1031510000);
INSERT INTO international VALUES (13,'Article',2,'Lschen',1040597823);
INSERT INTO international VALUES (7,'FileManager',3,'Groep die mag downloaden',1038487619);
INSERT INTO international VALUES (9,'FAQ',1,'Add a new question.',1031514049);
INSERT INTO international VALUES (9,'FAQ',4,'Agregar nueva pregunta.',1031510000);
INSERT INTO international VALUES (9,'FAQ',5,'Adicionar nova questo.',1031510000);
INSERT INTO international VALUES (728,'WebGUI',1,'Are you certain you wish to delete this file?',1031514049);
INSERT INTO international VALUES (6,'FileManager',3,'Bestand',1039741252);
INSERT INTO international VALUES (9,'LinkList',1,'Are you certain that you want to delete this link?',1031514049);
INSERT INTO international VALUES (9,'LinkList',4,'Est seguro de querer eliminar ste enlace?',1031510000);
INSERT INTO international VALUES (9,'LinkList',5,'Tem a certeza que quer apagar esta hiperlink?',1031510000);
INSERT INTO international VALUES (9,'MessageBoard',1,'Message ID:',1031514049);
INSERT INTO international VALUES (9,'MessageBoard',4,'ID del mensaje:',1039628613);
INSERT INTO international VALUES (9,'MessageBoard',5,'ID da mensagem:',1031510000);
INSERT INTO international VALUES (5,'FileManager',3,'Bestandstitel',1038487583);
INSERT INTO international VALUES (9,'Poll',1,'Edit Poll',1031514049);
INSERT INTO international VALUES (9,'Poll',4,'Editar Encuesta',1031510000);
INSERT INTO international VALUES (9,'Poll',5,'Modificar sondagem',1031510000);
INSERT INTO international VALUES (3,'FileManager',3,'Doorgaan met bestand toevoegen?',1038487572);
INSERT INTO international VALUES (9,'SQLReport',1,'<b>Debug:</b> Error: The DSN specified is of an improper format.',1031514049);
INSERT INTO international VALUES (9,'SQLReport',4,'Error: El DSN especificado est en un formato incorrecto.',1031510000);
INSERT INTO international VALUES (9,'SQLReport',5,'Erro: O DSN especificado tem um formato imprprio.',1031510000);
INSERT INTO international VALUES (13,'EventsCalendar',2,'Veranstaltung bearbeiten',1040644259);
INSERT INTO international VALUES (562,'WebGUI',1,'Pending',1031514049);
INSERT INTO international VALUES (562,'WebGUI',4,'Pendiente',1031510000);
INSERT INTO international VALUES (562,'WebGUI',5,'Pendente',1031510000);
INSERT INTO international VALUES (1,'FileManager',3,'Download Manager',1038487478);
INSERT INTO international VALUES (9,'WebGUI',1,'View clipboard.',1031514049);
INSERT INTO international VALUES (9,'WebGUI',4,'Ver Portapapeles',1031510000);
INSERT INTO international VALUES (9,'WebGUI',5,'Ver o clipboard.',1031510000);
INSERT INTO international VALUES (10,'Article',1,'Convert carriage returns?',1031514049);
INSERT INTO international VALUES (10,'Article',4,'Convertir saltos de lnea?',1039818142);
INSERT INTO international VALUES (10,'Article',5,'Converter o caracter de retorno (CR) ?',1031510000);
INSERT INTO international VALUES (13,'LinkList',2,'Neuen Link hinzufgen',1040644996);
INSERT INTO international VALUES (577,'WebGUI',2,'Antworten',1041629793);
INSERT INTO international VALUES (28,'Article',3,'Bekijk reacties',1037903267);
INSERT INTO international VALUES (10,'FAQ',1,'Edit Question',1031514049);
INSERT INTO international VALUES (10,'FAQ',4,'Editar Pregunta',1031510000);
INSERT INTO international VALUES (10,'FAQ',5,'Modificar questo',1031510000);
INSERT INTO international VALUES (10,'LinkList',1,'Edit Link List',1031514049);
INSERT INTO international VALUES (10,'LinkList',4,'Editar Lista de Enlaces',1031510000);
INSERT INTO international VALUES (10,'LinkList',5,'Modificar lista de hiperlinks',1031510000);
INSERT INTO international VALUES (394,'WebGUI',2,'&nbsp;Verwalten: Uploads',1040640559);
INSERT INTO international VALUES (6,'Article',10,'Billede',1031510000);
INSERT INTO international VALUES (4,'Article',10,'Til dato',1031510000);
INSERT INTO international VALUES (3,'Article',10,'Fra dato',1031510000);
INSERT INTO international VALUES (27,'Article',3,'Terug naar artikel',1037903260);
INSERT INTO international VALUES (10,'Poll',1,'Reset votes.',1031514049);
INSERT INTO international VALUES (10,'Poll',5,'Reinicializar os votos.',1031510000);
INSERT INTO international VALUES (23,'Article',3,'Datum',1037903242);
INSERT INTO international VALUES (24,'Article',3,'Post reactie',1037903252);
INSERT INTO international VALUES (10,'SQLReport',1,'<b>Debug:</b> Error: The SQL specified is of an improper format.',1031514049);
INSERT INTO international VALUES (10,'SQLReport',4,'Error: El SQL especificado est en un formato incorrecto.',1031510000);
INSERT INTO international VALUES (10,'SQLReport',5,'Erro: O SQL especificado tem um formato imprprio.',1031510000);
INSERT INTO international VALUES (22,'Article',3,'Auteur',1037903234);
INSERT INTO international VALUES (563,'WebGUI',1,'Default Status',1031514049);
INSERT INTO international VALUES (563,'WebGUI',4,'Estado por defecto',1031510000);
INSERT INTO international VALUES (563,'WebGUI',5,'Estado por defeito',1031510000);
INSERT INTO international VALUES (894,'WebGUI',3,'Discussie toelaten?',1037903226);
INSERT INTO international VALUES (10,'WebGUI',1,'Manage trash.',1031514049);
INSERT INTO international VALUES (10,'WebGUI',4,'Ver Papelera',1031510000);
INSERT INTO international VALUES (10,'WebGUI',5,'Ver o caixote do lixo.',1031510000);
INSERT INTO international VALUES (11,'Article',1,'(Select \"Yes\" only if you aren\'t adding &lt;br&gt; manually.)',1031514049);
INSERT INTO international VALUES (11,'Article',4,'(Seleccione a menos que est agregando &lt;br&gt; manualmente.)',1039818201);
INSERT INTO international VALUES (11,'Article',5,'(escolher se no adicionar &lt;br&gt; manualmente.)',1031510000);
INSERT INTO international VALUES (590,'WebGUI',10,'Sprog ID',1037205552);
INSERT INTO international VALUES (589,'WebGUI',10,'Redigr sprog.',1037205536);
INSERT INTO international VALUES (58,'Product',1,'Edit Product Template',1031514049);
INSERT INTO international VALUES (707,'WebGUI',1,'Show debugging?',1031514049);
INSERT INTO international VALUES (78,'EventsCalendar',1,'Don\'t delete anything, I made a mistake.',1031514049);
INSERT INTO international VALUES (780,'WebGUI',1,'File',1036912946);
INSERT INTO international VALUES (2,'EventsCalendar',6,'Hndelsekalender',1032259717);
INSERT INTO international VALUES (1,'WebGUI',6,'Lgg till innehll...',1031648961);
INSERT INTO international VALUES (1,'USS',6,'Vem kan validera?',1031510000);
INSERT INTO international VALUES (772,'WebGUI',1,'Edit File',1036893140);
INSERT INTO international VALUES (11,'MessageBoard',1,'Back To Message List',1031514049);
INSERT INTO international VALUES (11,'MessageBoard',4,'Regresar a la Lista de Mensajes',1039628709);
INSERT INTO international VALUES (11,'MessageBoard',5,'Voltar  lista de mensagens',1031510000);
INSERT INTO international VALUES (767,'WebGUI',1,'Collateral Id',1036892929);
INSERT INTO international VALUES (11,'SQLReport',1,'<b>Debug:</b> Error: There was a problem with the query.',1031514049);
INSERT INTO international VALUES (11,'SQLReport',4,'Error: Hay un problema con la consulta.',1031510000);
INSERT INTO international VALUES (11,'SQLReport',5,'Erro: Houve um problema com a query.',1031510000);
INSERT INTO international VALUES (391,'WebGUI',2,'Anhang lschen',1041631989);
INSERT INTO international VALUES (1,'SQLReport',6,'SQL Rapport',1031510000);
INSERT INTO international VALUES (1,'Poll',6,'Frga',1031510000);
INSERT INTO international VALUES (763,'WebGUI',1,'Add a snippet.',1036892785);
INSERT INTO international VALUES (11,'WebGUI',1,'Empy trash.',1031514049);
INSERT INTO international VALUES (11,'WebGUI',4,'Vaciar Papelera',1031510000);
INSERT INTO international VALUES (11,'WebGUI',5,'Esvaziar o caixote do lixo.',1031510000);
INSERT INTO international VALUES (355,'WebGUI',3,'Standaard',1038529857);
INSERT INTO international VALUES (12,'Article',1,'Edit Article',1031514049);
INSERT INTO international VALUES (12,'Article',4,'Editar Artculo',1031510000);
INSERT INTO international VALUES (12,'Article',5,'Modificar artigo',1031510000);
INSERT INTO international VALUES (354,'WebGUI',3,'Bekijk berichten log.',1038529850);
INSERT INTO international VALUES (12,'EventsCalendar',1,'Edit Events Calendar',1031514049);
INSERT INTO international VALUES (12,'EventsCalendar',4,'Editar Calendario de Eventos',1031510000);
INSERT INTO international VALUES (12,'EventsCalendar',5,'Modificar calendrio de eventos',1031510000);
INSERT INTO international VALUES (12,'LinkList',1,'Edit Link',1031514049);
INSERT INTO international VALUES (12,'LinkList',4,'Editar Enlace',1031510000);
INSERT INTO international VALUES (12,'LinkList',5,'Modificar hiperlink',1031510000);
INSERT INTO international VALUES (353,'WebGUI',3,'U heeft nu geen berichten log toevoegingen.',1038529844);
INSERT INTO international VALUES (12,'MessageBoard',1,'Edit Message',1031514049);
INSERT INTO international VALUES (12,'MessageBoard',4,'Editar mensaje',1039628721);
INSERT INTO international VALUES (12,'MessageBoard',5,'Modificar mensagem',1031510000);
INSERT INTO international VALUES (807,'WebGUI',1,'Manage the groups in this group.',1037579473);
INSERT INTO international VALUES (352,'WebGUI',3,'Datum van toevoeging',1038529833);
INSERT INTO international VALUES (12,'SQLReport',1,'<b>Debug:</b> Error: Could not connect to the database.',1031514049);
INSERT INTO international VALUES (12,'SQLReport',4,'Error: No se puede conectar a la base de datos.',1031510000);
INSERT INTO international VALUES (12,'SQLReport',5,'Erro: No  possvel ligar  base de dados.',1031510000);
INSERT INTO international VALUES (702,'WebGUI',10,'mned(er)',1036855955);
INSERT INTO international VALUES (350,'WebGUI',3,'Gereed',1038529818);
INSERT INTO international VALUES (351,'WebGUI',3,'Bericht',1038529825);
INSERT INTO international VALUES (12,'USS',1,'(Uncheck if you\'re writing an HTML submission.)',1031514049);
INSERT INTO international VALUES (12,'USS',4,'(desmarque si est escribiendo la contribucin en HTML.)',1031510000);
INSERT INTO international VALUES (12,'USS',5,'(deixar em branco se a submisso for em HTML.)',1031510000);
INSERT INTO international VALUES (388,'WebGUI',2,'Upload Datum',1041631980);
INSERT INTO international VALUES (12,'WebGUI',1,'Turn admin off.',1031514049);
INSERT INTO international VALUES (12,'WebGUI',4,'Apagar Admin',1031510000);
INSERT INTO international VALUES (12,'WebGUI',5,'Desligar o modo administrativo.',1031510000);
INSERT INTO international VALUES (349,'WebGUI',3,'Laatst beschikbare versie',1038529800);
INSERT INTO international VALUES (13,'Article',1,'Delete',1031514049);
INSERT INTO international VALUES (13,'Article',4,'Eliminar',1031510000);
INSERT INTO international VALUES (13,'Article',5,'Apagar',1031510000);
INSERT INTO international VALUES (348,'WebGUI',3,'Naam',1038529792);
INSERT INTO international VALUES (13,'EventsCalendar',1,'Edit Event',1031514049);
INSERT INTO international VALUES (13,'EventsCalendar',4,'Editar Evento',1031510000);
INSERT INTO international VALUES (13,'EventsCalendar',5,'Modificar evento',1031510000);
INSERT INTO international VALUES (387,'WebGUI',2,'Upload von',1040399607);
INSERT INTO international VALUES (13,'LinkList',1,'Add a new link.',1031514049);
INSERT INTO international VALUES (13,'LinkList',4,'Agregar nuevo Enlace',1031510000);
INSERT INTO international VALUES (13,'LinkList',5,'Adicionar nova hiperlink.',1031510000);
INSERT INTO international VALUES (385,'WebGUI',2,'Parameter',1041631959);
INSERT INTO international VALUES (347,'WebGUI',3,'Bekijk profiel van',1038529785);
INSERT INTO international VALUES (577,'WebGUI',1,'Post Reply',1031514049);
INSERT INTO international VALUES (577,'WebGUI',4,'Responder',1031510000);
INSERT INTO international VALUES (577,'WebGUI',5,'Responder',1031510000);
INSERT INTO international VALUES (13,'USS',1,'Date Submitted',1031514049);
INSERT INTO international VALUES (13,'USS',4,'Fecha Contribucin',1031510000);
INSERT INTO international VALUES (13,'USS',5,'Data de submisso',1031510000);
INSERT INTO international VALUES (386,'WebGUI',2,'Grafik bearbeiten',1041631972);
INSERT INTO international VALUES (13,'WebGUI',1,'View help index.',1031514049);
INSERT INTO international VALUES (13,'WebGUI',4,'Ver ndice de Ayuda',1031510000);
INSERT INTO international VALUES (13,'WebGUI',5,'Ver o indice da ajuda.',1031510000);
INSERT INTO international VALUES (761,'WebGUI',1,'Add an image.',1036892765);
INSERT INTO international VALUES (384,'WebGUI',2,'Datei',1041631951);
INSERT INTO international VALUES (516,'WebGUI',1,'Turn Admin On!',1031514049);
INSERT INTO international VALUES (517,'WebGUI',1,'Turn Admin Off!',1031514049);
INSERT INTO international VALUES (515,'WebGUI',1,'Add edit stamp to posts?',1031514049);
INSERT INTO international VALUES (14,'USS',1,'Status',1031514049);
INSERT INTO international VALUES (14,'USS',4,'Estado',1031510000);
INSERT INTO international VALUES (14,'USS',5,'Estado',1031510000);
INSERT INTO international VALUES (346,'WebGUI',3,'Deze gebruiker in geen lid meer van onze site. We hebben geen informatie meer over deze gebruiker.',1038529778);
INSERT INTO international VALUES (14,'WebGUI',1,'View pending submissions.',1031514049);
INSERT INTO international VALUES (14,'WebGUI',4,'Ver contribuciones pendientes.',1031510000);
INSERT INTO international VALUES (14,'WebGUI',5,'Ver submisses pendentes.',1031510000);
INSERT INTO international VALUES (345,'WebGUI',3,'Geen lid',1038529764);
INSERT INTO international VALUES (15,'MessageBoard',1,'Author',1031514049);
INSERT INTO international VALUES (15,'MessageBoard',4,'Autor',1031510000);
INSERT INTO international VALUES (15,'MessageBoard',5,'Autor',1031510000);
INSERT INTO international VALUES (343,'WebGUI',3,'Bekijk profiel.',1038529754);
INSERT INTO international VALUES (15,'USS',1,'Edit/Delete',1031514049);
INSERT INTO international VALUES (15,'USS',4,'Editar/Eliminar',1031510000);
INSERT INTO international VALUES (15,'USS',5,'Modificar/Apagar',1031510000);
INSERT INTO international VALUES (15,'WebGUI',1,'January',1031514049);
INSERT INTO international VALUES (15,'WebGUI',4,'Enero',1031510000);
INSERT INTO international VALUES (15,'WebGUI',5,'Janeiro',1031510000);
INSERT INTO international VALUES (379,'WebGUI',2,'Gruppen ID',1041631943);
INSERT INTO international VALUES (342,'WebGUI',3,'Bewerk account informatie.',1038529747);
INSERT INTO international VALUES (16,'MessageBoard',1,'Date',1031514049);
INSERT INTO international VALUES (16,'MessageBoard',4,'Fecha',1031510000);
INSERT INTO international VALUES (16,'MessageBoard',5,'Data',1031510000);
INSERT INTO international VALUES (341,'WebGUI',3,'Bewerk profiel.',1038529738);
INSERT INTO international VALUES (16,'USS',1,'Untitled',1031514049);
INSERT INTO international VALUES (16,'USS',4,'Sin ttulo',1031510000);
INSERT INTO international VALUES (16,'USS',5,'Sem titulo',1031510000);
INSERT INTO international VALUES (380,'WebGUI',2,'Style ID',1040596050);
INSERT INTO international VALUES (340,'WebGUI',3,'Vrouw',1038529731);
INSERT INTO international VALUES (16,'WebGUI',1,'February',1031514049);
INSERT INTO international VALUES (16,'WebGUI',4,'Febrero',1031510000);
INSERT INTO international VALUES (16,'WebGUI',5,'Fevereiro',1031510000);
INSERT INTO international VALUES (339,'WebGUI',3,'Man',1038529719);
INSERT INTO international VALUES (17,'MessageBoard',1,'Post New Message',1031514049);
INSERT INTO international VALUES (17,'MessageBoard',4,'Enviar Nuevo Mensaje',1039628689);
INSERT INTO international VALUES (17,'MessageBoard',5,'Colocar nova mensagem',1031510000);
INSERT INTO international VALUES (338,'WebGUI',3,'Bewerk profiel',1038529712);
INSERT INTO international VALUES (17,'USS',1,'Are you certain you wish to delete this submission?',1031514049);
INSERT INTO international VALUES (17,'USS',4,'Est seguro de querer eliminar sta contribucin?',1031510000);
INSERT INTO international VALUES (17,'USS',5,'Tem a certeza que quer apagar esta submisso?',1031510000);
INSERT INTO international VALUES (337,'WebGUI',3,'Home pagina URL',1038529705);
INSERT INTO international VALUES (17,'WebGUI',1,'March',1031514049);
INSERT INTO international VALUES (17,'WebGUI',4,'Marzo',1031510000);
INSERT INTO international VALUES (17,'WebGUI',5,'Maro',1031510000);
INSERT INTO international VALUES (336,'WebGUI',3,'Geboortedatum',1038529695);
INSERT INTO international VALUES (18,'MessageBoard',1,'Thread Started',1031514049);
INSERT INTO international VALUES (18,'MessageBoard',4,'Inicio',1031510000);
INSERT INTO international VALUES (18,'MessageBoard',5,'Inicial',1031510000);
INSERT INTO international VALUES (59,'USS',1,'Next Submission',1031514049);
INSERT INTO international VALUES (335,'WebGUI',3,'Geslacht',1038529629);
INSERT INTO international VALUES (18,'USS',1,'Edit User Submission System',1031514049);
INSERT INTO international VALUES (18,'USS',4,'Editar Sistema de Contribucin de Usuarios',1031510000);
INSERT INTO international VALUES (18,'USS',5,'Modificar sistema de submisso do utilizador',1031510000);
INSERT INTO international VALUES (334,'WebGUI',3,'Werk telefoon',1038529603);
INSERT INTO international VALUES (18,'WebGUI',1,'April',1031514049);
INSERT INTO international VALUES (18,'WebGUI',4,'Abril',1031510000);
INSERT INTO international VALUES (18,'WebGUI',5,'Abril',1031510000);
INSERT INTO international VALUES (333,'WebGUI',3,'Werk land',1038529597);
INSERT INTO international VALUES (19,'MessageBoard',1,'Replies',1031514049);
INSERT INTO international VALUES (19,'MessageBoard',4,'Respuestas',1031510000);
INSERT INTO international VALUES (19,'MessageBoard',5,'Respostas',1031510000);
INSERT INTO international VALUES (19,'USS',1,'Edit Submission',1031514049);
INSERT INTO international VALUES (19,'USS',4,'Editar Contribucin',1031510000);
INSERT INTO international VALUES (19,'USS',5,'Modificar submisso',1031510000);
INSERT INTO international VALUES (332,'WebGUI',3,'Werk postcode',1038529591);
INSERT INTO international VALUES (19,'WebGUI',1,'May',1031514049);
INSERT INTO international VALUES (19,'WebGUI',4,'Mayo',1031510000);
INSERT INTO international VALUES (19,'WebGUI',5,'Maio',1031510000);
INSERT INTO international VALUES (331,'WebGUI',3,'Werk staat',1038529585);
INSERT INTO international VALUES (20,'MessageBoard',1,'Last Reply',1031514049);
INSERT INTO international VALUES (20,'MessageBoard',4,'ltima respuesta',1031510000);
INSERT INTO international VALUES (20,'MessageBoard',5,'Ultima resposta',1031510000);
INSERT INTO international VALUES (20,'USS',1,'Post New Submission',1031514049);
INSERT INTO international VALUES (20,'USS',4,'Nueva Contribucin',1031510000);
INSERT INTO international VALUES (20,'USS',5,'Colocar nova submisso',1031510000);
INSERT INTO international VALUES (330,'WebGUI',3,'Werk stad',1038529579);
INSERT INTO international VALUES (20,'WebGUI',1,'June',1031514049);
INSERT INTO international VALUES (20,'WebGUI',4,'Junio',1031510000);
INSERT INTO international VALUES (20,'WebGUI',5,'Junho',1031510000);
INSERT INTO international VALUES (21,'USS',1,'Submitted By',1031514049);
INSERT INTO international VALUES (21,'USS',4,'Contribuida por',1031510000);
INSERT INTO international VALUES (21,'USS',5,'Submetido por',1031510000);
INSERT INTO international VALUES (329,'WebGUI',3,'Werk adres',1038529568);
INSERT INTO international VALUES (21,'WebGUI',1,'July',1031514049);
INSERT INTO international VALUES (21,'WebGUI',4,'Julio',1031510000);
INSERT INTO international VALUES (21,'WebGUI',5,'Julho',1031510000);
INSERT INTO international VALUES (328,'WebGUI',3,'Thuis telefoon',1038529561);
INSERT INTO international VALUES (22,'WebGUI',1,'August',1031514049);
INSERT INTO international VALUES (22,'WebGUI',4,'Agosto',1031510000);
INSERT INTO international VALUES (22,'WebGUI',5,'Agosto',1031510000);
INSERT INTO international VALUES (327,'WebGUI',3,'Thuis land',1038529555);
INSERT INTO international VALUES (23,'WebGUI',1,'September',1031514049);
INSERT INTO international VALUES (23,'WebGUI',4,'Septiembre',1031510000);
INSERT INTO international VALUES (23,'WebGUI',5,'Setembro',1031510000);
INSERT INTO international VALUES (572,'WebGUI',1,'Approve',1031514049);
INSERT INTO international VALUES (572,'WebGUI',4,'Aprobar',1031510000);
INSERT INTO international VALUES (572,'WebGUI',5,'Aprovar',1031510000);
INSERT INTO international VALUES (326,'WebGUI',3,'Thuis postcode',1038529549);
INSERT INTO international VALUES (24,'WebGUI',1,'October',1031514049);
INSERT INTO international VALUES (24,'WebGUI',4,'Octubre',1031510000);
INSERT INTO international VALUES (24,'WebGUI',5,'Outubro',1031510000);
INSERT INTO international VALUES (381,'WebGUI',2,'WebGUI hat eine verstmmelte Anfrage erhalten und kann nicht weitermachen. Dies kann z. B. durch das Verwenden von Sonderzeichen verursacht worden sein. Nutzen Sie bitte den \"Zurck\" Button Ihres Browsers und versuchen Sie es noch einmal.',1041593305);
INSERT INTO international VALUES (573,'WebGUI',1,'Leave Pending',1031514049);
INSERT INTO international VALUES (573,'WebGUI',4,'Dejan pendiente',1031510000);
INSERT INTO international VALUES (573,'WebGUI',5,'Deixar pendente',1031510000);
INSERT INTO international VALUES (325,'WebGUI',3,'Thuis provincie',1038529543);
INSERT INTO international VALUES (25,'WebGUI',1,'November',1031514049);
INSERT INTO international VALUES (25,'WebGUI',4,'Noviembre',1031510000);
INSERT INTO international VALUES (25,'WebGUI',5,'Novembro',1031510000);
INSERT INTO international VALUES (574,'WebGUI',1,'Deny',1031514049);
INSERT INTO international VALUES (574,'WebGUI',4,'Denegar',1031510000);
INSERT INTO international VALUES (574,'WebGUI',5,'Negar',1031510000);
INSERT INTO international VALUES (378,'WebGUI',2,'Benutzer ID',1041631784);
INSERT INTO international VALUES (324,'WebGUI',3,'Thuis plaats',1038529530);
INSERT INTO international VALUES (26,'WebGUI',1,'December',1031514049);
INSERT INTO international VALUES (26,'WebGUI',4,'Diciembre',1031510000);
INSERT INTO international VALUES (26,'WebGUI',5,'Dezembro',1031510000);
INSERT INTO international VALUES (323,'WebGUI',3,'Thuis adres',1038529524);
INSERT INTO international VALUES (27,'USS',1,'Edit',1031514049);
INSERT INTO international VALUES (27,'USS',4,'Editar',1031510000);
INSERT INTO international VALUES (27,'USS',5,'Modificar',1031510000);
INSERT INTO international VALUES (322,'WebGUI',3,'Pieper',1038529518);
INSERT INTO international VALUES (27,'WebGUI',1,'Sunday',1031514049);
INSERT INTO international VALUES (27,'WebGUI',4,'Domingo',1031510000);
INSERT INTO international VALUES (27,'WebGUI',5,'Domingo',1031510000);
INSERT INTO international VALUES (321,'WebGUI',3,'Mobiel nummer',1038529507);
INSERT INTO international VALUES (28,'USS',1,'Return To Submissions List',1031514049);
INSERT INTO international VALUES (28,'USS',4,'Regresar a lista de contribuciones',1031510000);
INSERT INTO international VALUES (28,'USS',5,'Voltar  lista de submisses',1031510000);
INSERT INTO international VALUES (376,'WebGUI',2,'Paket',1041631935);
INSERT INTO international VALUES (28,'WebGUI',1,'Monday',1031514049);
INSERT INTO international VALUES (28,'WebGUI',4,'Lunes',1031510000);
INSERT INTO international VALUES (28,'WebGUI',5,'Segunda',1031510000);
INSERT INTO international VALUES (29,'USS',1,'User Submission System',1031514049);
INSERT INTO international VALUES (29,'USS',4,'Sistema de Contribucin de Usuarios',1031510000);
INSERT INTO international VALUES (29,'USS',5,'Sistema de submisso do utilizador',1031510000);
INSERT INTO international VALUES (320,'WebGUI',3,'<a href=\"http://messenger.yahoo.com/\">Yahoo! Messenger</a> Id',1038529500);
INSERT INTO international VALUES (29,'WebGUI',1,'Tuesday',1031514049);
INSERT INTO international VALUES (29,'WebGUI',4,'Martes',1031510000);
INSERT INTO international VALUES (29,'WebGUI',5,'Tera',1031510000);
INSERT INTO international VALUES (1,'Item',6,'Lnk URL',1031510000);
INSERT INTO international VALUES (1,'ExtraColumn',6,'Extra kolumn',1031649742);
INSERT INTO international VALUES (30,'WebGUI',1,'Wednesday',1031514049);
INSERT INTO international VALUES (30,'WebGUI',4,'Mircoles',1031510000);
INSERT INTO international VALUES (30,'WebGUI',5,'Quarta',1031510000);
INSERT INTO international VALUES (31,'WebGUI',1,'Thursday',1031514049);
INSERT INTO international VALUES (31,'WebGUI',4,'Jueves',1031510000);
INSERT INTO international VALUES (31,'WebGUI',5,'Quinta',1031510000);
INSERT INTO international VALUES (377,'WebGUI',2,'Von Ihren (Paket)-Administratoren wurden keine Pakete bereitgestellt.',1040640135);
INSERT INTO international VALUES (32,'WebGUI',1,'Friday',1031514049);
INSERT INTO international VALUES (32,'WebGUI',4,'Viernes',1031510000);
INSERT INTO international VALUES (32,'WebGUI',5,'Sexta',1031510000);
INSERT INTO international VALUES (319,'WebGUI',3,'<a href=\"http://messenger.msn.com/\">MSN Messenger</a> Id',1038529481);
INSERT INTO international VALUES (33,'WebGUI',1,'Saturday',1031514049);
INSERT INTO international VALUES (33,'WebGUI',4,'Sabado',1031510000);
INSERT INTO international VALUES (33,'WebGUI',5,'Sabado',1031510000);
INSERT INTO international VALUES (34,'WebGUI',1,'set date',1031514049);
INSERT INTO international VALUES (34,'WebGUI',4,'fijar fecha',1031510000);
INSERT INTO international VALUES (34,'WebGUI',5,'acertar a data',1031510000);
INSERT INTO international VALUES (35,'WebGUI',1,'Administrative Function',1031514049);
INSERT INTO international VALUES (35,'WebGUI',4,'Funciones Administrativas',1031510000);
INSERT INTO international VALUES (35,'WebGUI',5,'Funo administrativa',1031510000);
INSERT INTO international VALUES (317,'WebGUI',3,'<a href=\"http://www.icq.com\">ICQ</a> UIN',1038529449);
INSERT INTO international VALUES (318,'WebGUI',3,'<a href=\"http://www.aol.com/aim/homenew.adp\">AIM</a> Id',1038529464);
INSERT INTO international VALUES (36,'WebGUI',1,'You must be an administrator to perform this function. Please contact one of your administrators. The following is a list of the administrators for this system:',1031514049);
INSERT INTO international VALUES (36,'WebGUI',4,'Debe ser administrador para realizar esta tarea. Por favor contacte a uno de los administradores. La siguiente es una lista de los administradores de ste sistema:',1031510000);
INSERT INTO international VALUES (36,'WebGUI',5,'Funo reservada a administradores. Fale com um dos seguintes administradores:',1031510000);
INSERT INTO international VALUES (316,'WebGUI',3,'Achternaam',1038529426);
INSERT INTO international VALUES (37,'WebGUI',1,'Permission Denied!',1031514049);
INSERT INTO international VALUES (37,'WebGUI',4,'Permiso Denegado!',1031510000);
INSERT INTO international VALUES (37,'WebGUI',5,'Permisso negada!',1031510000);
INSERT INTO international VALUES (38,'WebGUI',5,'\"No tem privilgios para essa operao. ^a(Identifique-se na entrada); com uma conta que permita essa operao.\"',1031510000);
INSERT INTO international VALUES (404,'WebGUI',1,'First Page',1031514049);
INSERT INTO international VALUES (38,'WebGUI',4,'\"No tiene privilegios suficientes para realizar sta operacin. Por favor ^a(ingrese con una cuenta); que posea los privilegios suficientes antes de intentar sta operacin.\"',1031510000);
INSERT INTO international VALUES (314,'WebGUI',3,'Voornaam',1038529408);
INSERT INTO international VALUES (315,'WebGUI',3,'Tussenvoegsel',1038529419);
INSERT INTO international VALUES (38,'WebGUI',1,'You do not have sufficient privileges to perform this operation. Please ^a(log in with an account); that has sufficient privileges before attempting this operation.',1031514049);
INSERT INTO international VALUES (375,'WebGUI',2,'Paket auswhlen, das verteilt werden soll',1041628124);
INSERT INTO international VALUES (374,'WebGUI',2,'&nbsp;Verwalten: Pakete',1040640537);
INSERT INTO international VALUES (313,'WebGUI',3,'Sta andere informatie toe?',1038529402);
INSERT INTO international VALUES (39,'WebGUI',1,'You do not have sufficient privileges to access this page.',1031514049);
INSERT INTO international VALUES (39,'WebGUI',4,'No tiene suficientes privilegios para ingresar a sta pgina.',1031510000);
INSERT INTO international VALUES (39,'WebGUI',5,'No tem privilgios para aceder a essa pgina.',1031510000);
INSERT INTO international VALUES (372,'WebGUI',2,'Gruppen eines Benutzers bearbeiten',1041628112);
INSERT INTO international VALUES (312,'WebGUI',3,'Sta bedrijfs informatie toe?',1038529396);
INSERT INTO international VALUES (40,'WebGUI',1,'Vital Component',1031514049);
INSERT INTO international VALUES (40,'WebGUI',4,'Componente Vital',1031510000);
INSERT INTO international VALUES (40,'WebGUI',5,'Componente vital',1031510000);
INSERT INTO international VALUES (371,'WebGUI',2,'Gruppierung hinzufgen',1041628410);
INSERT INTO international VALUES (310,'WebGUI',3,'Sta extra contact informatie toe?',1038529378);
INSERT INTO international VALUES (311,'WebGUI',3,'Sta thuis informatie toe?',1038529389);
INSERT INTO international VALUES (41,'WebGUI',1,'You\'re attempting to remove a vital component of the WebGUI system. If you were allowed to continue WebGUI may cease to function.',1031514049);
INSERT INTO international VALUES (41,'WebGUI',4,'Esta intentando eliminar un componente vital del sistema WebGUI. Si contina puede causar un mal funcionamiento de WebGUI.',1031510000);
INSERT INTO international VALUES (41,'WebGUI',5,'Est a tentar remover um componente vital do WebGUI. Se continuar pode haver um erro grave.',1031510000);
INSERT INTO international VALUES (42,'WebGUI',1,'Please Confirm',1031514049);
INSERT INTO international VALUES (42,'WebGUI',4,'Por favor confirme',1031510000);
INSERT INTO international VALUES (42,'WebGUI',5,'Confirma',1031510000);
INSERT INTO international VALUES (309,'WebGUI',3,'Sta echte naam toe?',1038529366);
INSERT INTO international VALUES (43,'WebGUI',1,'Are you certain that you wish to delete this content?',1031514049);
INSERT INTO international VALUES (43,'WebGUI',4,'Est seguro de querer eliminar ste contenido?',1031510000);
INSERT INTO international VALUES (43,'WebGUI',5,'Tem a certeza que quer apagar este conteudo?',1031510000);
INSERT INTO international VALUES (368,'WebGUI',2,'Diesem Benutzer eine neue Gruppe hinzufgen.',1041628100);
INSERT INTO international VALUES (308,'WebGUI',3,'Bewerk profiel instellingen',1038529358);
INSERT INTO international VALUES (44,'WebGUI',1,'Yes, I\'m sure.',1031514049);
INSERT INTO international VALUES (44,'WebGUI',4,'Si',1031510000);
INSERT INTO international VALUES (44,'WebGUI',5,'\"Sim, tenho a certeza.\"',1031510000);
INSERT INTO international VALUES (45,'WebGUI',1,'No, I made a mistake.',1031514049);
INSERT INTO international VALUES (45,'WebGUI',4,'No',1031510000);
INSERT INTO international VALUES (45,'WebGUI',5,'\"No, enganei-me.\"',1031510000);
INSERT INTO international VALUES (46,'WebGUI',1,'My Account',1031514049);
INSERT INTO international VALUES (46,'WebGUI',4,'Mi Cuenta',1031510000);
INSERT INTO international VALUES (46,'WebGUI',5,'Minha Conta',1031510000);
INSERT INTO international VALUES (307,'WebGUI',3,'Gebruik standaard metag tags?',1038529351);
INSERT INTO international VALUES (47,'WebGUI',1,'Home',1031514049);
INSERT INTO international VALUES (47,'WebGUI',4,'Home',1031510000);
INSERT INTO international VALUES (47,'WebGUI',5,'Inicio',1031510000);
INSERT INTO international VALUES (48,'WebGUI',1,'Hello',1031514049);
INSERT INTO international VALUES (48,'WebGUI',4,'Hola',1031510000);
INSERT INTO international VALUES (48,'WebGUI',5,'Ola',1031510000);
INSERT INTO international VALUES (304,'WebGUI',3,'Taal',1038529330);
INSERT INTO international VALUES (49,'WebGUI',1,'Click <a href=\"^\\;?op=logout\">here</a> to log out.',1031514049);
INSERT INTO international VALUES (49,'WebGUI',4,'Click <a href=\"^\\;?op=logout\">aqu</a> para salir.',1031510000);
INSERT INTO international VALUES (49,'WebGUI',5,'Clique <a href=\"^\\;?op=logout\">aqui</a> para sair.',1031510000);
INSERT INTO international VALUES (245,'WebGUI',3,'Datum',1038529270);
INSERT INTO international VALUES (50,'WebGUI',1,'Username',1031514049);
INSERT INTO international VALUES (50,'WebGUI',4,'Nombre usuario',1031510000);
INSERT INTO international VALUES (50,'WebGUI',5,'Username',1031510000);
INSERT INTO international VALUES (51,'WebGUI',1,'Password',1031514049);
INSERT INTO international VALUES (51,'WebGUI',4,'Password',1031510000);
INSERT INTO international VALUES (51,'WebGUI',5,'Password',1031510000);
INSERT INTO international VALUES (244,'WebGUI',3,'Afzender',1038529263);
INSERT INTO international VALUES (52,'WebGUI',1,'login',1031514049);
INSERT INTO international VALUES (52,'WebGUI',4,'ingresar',1031510000);
INSERT INTO international VALUES (52,'WebGUI',5,'entrar',1031510000);
INSERT INTO international VALUES (367,'WebGUI',2,'Verfallsabstand',1045243504);
INSERT INTO international VALUES (370,'WebGUI',2,'Gruppierung bearbeiten',1041628329);
INSERT INTO international VALUES (369,'WebGUI',2,'Ablaufdatum',1041631927);
INSERT INTO international VALUES (240,'WebGUI',3,'Bericht ID:',1038529257);
INSERT INTO international VALUES (53,'WebGUI',1,'Make Page Printable',1031514049);
INSERT INTO international VALUES (53,'WebGUI',4,'Hacer pgina imprimible',1031510000);
INSERT INTO international VALUES (53,'WebGUI',5,'Verso para impresso',1031510000);
INSERT INTO international VALUES (239,'WebGUI',3,'Datum:',1038529245);
INSERT INTO international VALUES (54,'WebGUI',1,'Create Account',1031514049);
INSERT INTO international VALUES (54,'WebGUI',4,'Crear Cuenta',1031510000);
INSERT INTO international VALUES (54,'WebGUI',5,'Criar conta',1031510000);
INSERT INTO international VALUES (238,'WebGUI',3,'Naam:',1038529239);
INSERT INTO international VALUES (2,'Auth/WebGUI',1,'Password (confirm)',1031514049);
INSERT INTO international VALUES (2,'Auth/WebGUI',4,'Password (confirmar)',1031510000);
INSERT INTO international VALUES (2,'Auth/WebGUI',5,'Password (confirmar)',1031510000);
INSERT INTO international VALUES (237,'WebGUI',3,'Onderwerp:',1038529234);
INSERT INTO international VALUES (56,'WebGUI',1,'Email Address',1031514049);
INSERT INTO international VALUES (56,'WebGUI',4,'Direccin de e-mail',1031510000);
INSERT INTO international VALUES (56,'WebGUI',5,'Endereo de e-mail',1031510000);
INSERT INTO international VALUES (233,'WebGUI',3,'(einde van bericht)',1038529218);
INSERT INTO international VALUES (234,'WebGUI',3,'Bezig met antwoord posten...',1038529227);
INSERT INTO international VALUES (57,'WebGUI',1,'This is only necessary if you wish to use features that require Email.',1031514049);
INSERT INTO international VALUES (57,'WebGUI',4,'Solo es necesaria si desea usar opciones que requieren e-mail.',1031510000);
INSERT INTO international VALUES (57,'WebGUI',5,'Apenas  necessrio se pretender utilizar as funcionalidade que envolvam e-mail.',1031510000);
INSERT INTO international VALUES (232,'WebGUI',3,'Geen onderwerp',1038529205);
INSERT INTO international VALUES (58,'WebGUI',1,'I already have an account.',1031514049);
INSERT INTO international VALUES (58,'WebGUI',4,'Ya tengo una cuenta!',1031510000);
INSERT INTO international VALUES (58,'WebGUI',5,'J tenho uma conta.',1031510000);
INSERT INTO international VALUES (59,'WebGUI',1,'I forgot my password.',1031514049);
INSERT INTO international VALUES (59,'WebGUI',4,'Perd mi password',1031510000);
INSERT INTO international VALUES (59,'WebGUI',5,'Esqueci a minha password.',1031510000);
INSERT INTO international VALUES (363,'WebGUI',2,'Position des Templates',1041628296);
INSERT INTO international VALUES (365,'WebGUI',2,'Ergebnisse der Abfrage',1041628307);
INSERT INTO international VALUES (366,'WebGUI',2,'Es wurden keine Seiten gefunden, die zu Ihrer Abfrage passen.',1041628087);
INSERT INTO international VALUES (229,'WebGUI',3,'Onderwerp',1038529178);
INSERT INTO international VALUES (230,'WebGUI',3,'Bericht',1038529190);
INSERT INTO international VALUES (231,'WebGUI',3,'Bezig met bericht posten...',1038529198);
INSERT INTO international VALUES (60,'WebGUI',1,'Are you certain you want to deactivate your account. If you proceed your account information will be lost permanently.',1031514049);
INSERT INTO international VALUES (60,'WebGUI',4,'Est seguro que quiere desactivar su cuenta. Si contina su informacin se perder permanentemente.',1031510000);
INSERT INTO international VALUES (60,'WebGUI',5,'Tem a certeza que quer desactivar a sua conta. Se o fizer  permanente!',1031510000);
INSERT INTO international VALUES (61,'WebGUI',1,'Update Account Information',1031514049);
INSERT INTO international VALUES (61,'WebGUI',4,'Actualizar informacin de la Cuenta',1031510000);
INSERT INTO international VALUES (61,'WebGUI',5,'Actualizar as informaes da conta',1031510000);
INSERT INTO international VALUES (228,'WebGUI',3,'Bewerk bericht...',1038529171);
INSERT INTO international VALUES (62,'WebGUI',1,'save',1031514049);
INSERT INTO international VALUES (62,'WebGUI',4,'Guardar',1039817728);
INSERT INTO international VALUES (62,'WebGUI',5,'gravar',1031510000);
INSERT INTO international VALUES (63,'WebGUI',1,'Turn admin on.',1031514049);
INSERT INTO international VALUES (63,'WebGUI',4,'Encender Admin',1031510000);
INSERT INTO international VALUES (63,'WebGUI',5,'Ligar modo administrativo.',1031510000);
INSERT INTO international VALUES (175,'WebGUI',3,'Macro\'s uitvoeren?',1038529122);
INSERT INTO international VALUES (64,'WebGUI',1,'Log out.',1031514049);
INSERT INTO international VALUES (64,'WebGUI',4,'Salir',1031510000);
INSERT INTO international VALUES (64,'WebGUI',5,'Sair.',1031510000);
INSERT INTO international VALUES (364,'WebGUI',2,'Suchen',1041631901);
INSERT INTO international VALUES (362,'WebGUI',2,'Nebeneinander',1041631893);
INSERT INTO international VALUES (65,'WebGUI',1,'Please deactivate my account permanently.',1031514049);
INSERT INTO international VALUES (65,'WebGUI',4,'Por favor desactive mi cuenta permanentemente',1031510000);
INSERT INTO international VALUES (65,'WebGUI',5,'Desactivar a minha conta permanentemente.',1031510000);
INSERT INTO international VALUES (174,'WebGUI',3,'Titel laten zien?',1038529116);
INSERT INTO international VALUES (66,'WebGUI',1,'Log In',1031514049);
INSERT INTO international VALUES (66,'WebGUI',4,'Ingresar',1031510000);
INSERT INTO international VALUES (66,'WebGUI',5,'Entrar',1031510000);
INSERT INTO international VALUES (171,'WebGUI',3,'Rich edit',1038529109);
INSERT INTO international VALUES (67,'WebGUI',1,'Create a new account.',1031514049);
INSERT INTO international VALUES (67,'WebGUI',4,'Crear nueva Cuenta',1031510000);
INSERT INTO international VALUES (67,'WebGUI',5,'Criar nova conta.',1031510000);
INSERT INTO international VALUES (169,'WebGUI',3,'Een nieuwe gebruiker toevoegen.',1038529049);
INSERT INTO international VALUES (170,'WebGUI',3,'Zoeken',1038529103);
INSERT INTO international VALUES (68,'WebGUI',1,'The account information you supplied is invalid. Either the account does not exist or the username/password combination was incorrect.',1031514049);
INSERT INTO international VALUES (68,'WebGUI',4,'La informacin de su cuenta no es vlida. O la cuenta no existe',1031510000);
INSERT INTO international VALUES (68,'WebGUI',5,'As informaes da sua conta no foram encontradas. No existe ou a combinao username/password est incorrecta.',1031510000);
INSERT INTO international VALUES (69,'WebGUI',1,'Please contact your system administrator for assistance.',1031514049);
INSERT INTO international VALUES (69,'WebGUI',4,'Por favor contacte a su administrador por asistencia.',1031510000);
INSERT INTO international VALUES (69,'WebGUI',5,'Contacte o seu administrador de sistemas para assistncia.',1031510000);
INSERT INTO international VALUES (361,'WebGUI',2,'Drei ber einem',1041617553);
INSERT INTO international VALUES (360,'WebGUI',2,'Einer ber drei',1040650631);
INSERT INTO international VALUES (357,'WebGUI',2,'Nachrichten',1041631774);
INSERT INTO international VALUES (358,'WebGUI',2,'Linke Spalte',1041631833);
INSERT INTO international VALUES (168,'WebGUI',3,'Bewerk gebruiker',1038529042);
INSERT INTO international VALUES (70,'WebGUI',1,'Error',1031514049);
INSERT INTO international VALUES (70,'WebGUI',4,'Error',1031510000);
INSERT INTO international VALUES (70,'WebGUI',5,'Erro',1031510000);
INSERT INTO international VALUES (71,'WebGUI',1,'Recover password',1031514049);
INSERT INTO international VALUES (71,'WebGUI',4,'Recuperar password',1031510000);
INSERT INTO international VALUES (71,'WebGUI',5,'Recuperar password',1031510000);
INSERT INTO international VALUES (72,'WebGUI',1,'recover',1031514049);
INSERT INTO international VALUES (72,'WebGUI',4,'recuperar',1031510000);
INSERT INTO international VALUES (72,'WebGUI',5,'recoperar',1031510000);
INSERT INTO international VALUES (73,'WebGUI',1,'Log in.',1031514049);
INSERT INTO international VALUES (73,'WebGUI',4,'Ingresar.',1031510000);
INSERT INTO international VALUES (73,'WebGUI',5,'Entrar.',1031510000);
INSERT INTO international VALUES (359,'WebGUI',2,'Rechte Spalte',1041631843);
INSERT INTO international VALUES (74,'WebGUI',1,'Account Information',1031514049);
INSERT INTO international VALUES (74,'WebGUI',4,'Informacin de la Cuenta',1031510000);
INSERT INTO international VALUES (74,'WebGUI',5,'Informaes da sua conta',1031510000);
INSERT INTO international VALUES (354,'WebGUI',2,'Posteingang anschauen.',1041601717);
INSERT INTO international VALUES (4,'Auth/LDAP',3,'Verbindt DN',1031516049);
INSERT INTO international VALUES (167,'WebGUI',3,'Weet u zeker dat u deze gebruiker wilt verwijderen? Alle gebruikersinformatie van deze gebruiker wordt permanent verwijdert als u \"Ja\" kiest.',1038529036);
INSERT INTO international VALUES (75,'WebGUI',1,'Your account information has been sent to your email address.',1031514049);
INSERT INTO international VALUES (75,'WebGUI',4,'La informacin de su cuenta ha sido enviada a su e-mail-',1031510000);
INSERT INTO international VALUES (75,'WebGUI',5,'As informaes da sua conta foram envidas para o seu e-mail.',1031510000);
INSERT INTO international VALUES (3,'Auth/LDAP',3,'LDAP URL',1031516049);
INSERT INTO international VALUES (76,'WebGUI',1,'That email address is not in our databases.',1031514049);
INSERT INTO international VALUES (76,'WebGUI',4,'El e-mail no est en nuestra base de datos',1031510000);
INSERT INTO international VALUES (76,'WebGUI',5,'Esse endereo de e-mail no foi encontrado nas nossas bases de dados',1031510000);
INSERT INTO international VALUES (356,'WebGUI',2,'Template',1040405929);
INSERT INTO international VALUES (355,'WebGUI',2,'Standard',1041630710);
INSERT INTO international VALUES (163,'WebGUI',3,'Gebruiker toevoegen',1038528963);
INSERT INTO international VALUES (164,'WebGUI',3,'Toegangs controle methode',1038528970);
INSERT INTO international VALUES (77,'WebGUI',1,'That account name is already in use by another member of this site. Please try a different username. The following are some suggestions:',1031514049);
INSERT INTO international VALUES (77,'WebGUI',4,'El nombre de cuenta ya est en uso por otro miembro. Por favor trate con otro nombre de usuario.  Los siguiente son algunas sugerencias:',1031510000);
INSERT INTO international VALUES (77,'WebGUI',5,'\"Esse nome de conta j existe, tente outro. Veja as nossas sugestes:\"',1031510000);
INSERT INTO international VALUES (162,'WebGUI',3,'Weet u zeker dat u alle pagina\'s en wobjects uit de prullenbak definitief wilt vernietigen?',1038528957);
INSERT INTO international VALUES (3,'Auth/WebGUI',1,'Your passwords did not match. Please try again.',1031514049);
INSERT INTO international VALUES (3,'Auth/WebGUI',4,'Su password no concuerda. Trate de nuevo.',1031510000);
INSERT INTO international VALUES (3,'Auth/WebGUI',5,'\"As suas passwords no coincidem, tente novamente.\"',1031510000);
INSERT INTO international VALUES (161,'WebGUI',3,'Ingevoerd door',1038528928);
INSERT INTO international VALUES (2,'Auth/LDAP',1,'Cannot connect to LDAP server.',1031514049);
INSERT INTO international VALUES (2,'Auth/LDAP',4,'No se puede conectar con el servidor LDAP',1031510000);
INSERT INTO international VALUES (2,'Auth/LDAP',5,'Impossivel ligar ao LDAP.',1031510000);
INSERT INTO international VALUES (160,'WebGUI',3,'Invoer datum',1038528922);
INSERT INTO international VALUES (80,'WebGUI',1,'Account created successfully!',1031514049);
INSERT INTO international VALUES (80,'WebGUI',4,'La cuenta se ha creado con xito!',1031510000);
INSERT INTO international VALUES (80,'WebGUI',5,'Conta criada com sucesso!',1031510000);
INSERT INTO international VALUES (159,'WebGUI',3,'Berichten log',1038528903);
INSERT INTO international VALUES (81,'WebGUI',1,'Account updated successfully!',1031514049);
INSERT INTO international VALUES (81,'WebGUI',4,'La cuenta se actualiz con xito!',1031510000);
INSERT INTO international VALUES (81,'WebGUI',5,'Conta actualizada com sucesso!',1031510000);
INSERT INTO international VALUES (82,'WebGUI',1,'Administrative functions...',1031514049);
INSERT INTO international VALUES (82,'WebGUI',4,'Funciones Administrativas...',1031510000);
INSERT INTO international VALUES (82,'WebGUI',5,'Funes administrativas...',1031510000);
INSERT INTO international VALUES (353,'WebGUI',2,'Sie haben momentan keine Nachrichten in Ihrem Posteingang.',1041610382);
INSERT INTO international VALUES (350,'WebGUI',2,'Abgeschlossen',1041628713);
INSERT INTO international VALUES (158,'WebGUI',3,'Een nieuwe stijl toevoegen.',1038528884);
INSERT INTO international VALUES (84,'WebGUI',1,'Group Name',1031514049);
INSERT INTO international VALUES (84,'WebGUI',4,'Nombre del Grupo',1031510000);
INSERT INTO international VALUES (84,'WebGUI',5,'Nome do grupo',1031510000);
INSERT INTO international VALUES (351,'WebGUI',2,'Beitrag',1041630690);
INSERT INTO international VALUES (157,'WebGUI',3,'Stijlen',1038528878);
INSERT INTO international VALUES (85,'WebGUI',1,'Description',1031514049);
INSERT INTO international VALUES (85,'WebGUI',4,'Descripcin',1031510000);
INSERT INTO international VALUES (85,'WebGUI',5,'Descrio',1031510000);
INSERT INTO international VALUES (352,'WebGUI',2,'Beitragsdatum',1041630701);
INSERT INTO international VALUES (155,'WebGUI',3,'Weet u zeker dat u deze stijl wilt verwijderen en alle pagina\'s die deze stijl gebruiken de \"fail safe\" stijl wilt geven?',1038528866);
INSERT INTO international VALUES (156,'WebGUI',3,'Bewerk stijl',1038528872);
INSERT INTO international VALUES (86,'WebGUI',1,'Are you certain you wish to delete this group? Beware that deleting a group is permanent and will remove all privileges associated with this group.',1031514049);
INSERT INTO international VALUES (86,'WebGUI',4,'Est segugo de querer eliminar ste grupo? Tenga en cuenta que la eliminacin es permanente y remover todos los privilegios asociados con el grupo.',1031510000);
INSERT INTO international VALUES (86,'WebGUI',5,'Tem a certeza que quer apagar este grupo. Se o fizer apaga-o permanentemente e a todos os seus provilgios.',1031510000);
INSERT INTO international VALUES (348,'WebGUI',2,'Name',1041628695);
INSERT INTO international VALUES (154,'WebGUI',3,'Style sheet',1038528823);
INSERT INTO international VALUES (87,'WebGUI',1,'Edit Group',1031514049);
INSERT INTO international VALUES (87,'WebGUI',4,'Editar Grupo',1031510000);
INSERT INTO international VALUES (87,'WebGUI',5,'Modificar grupo',1031510000);
INSERT INTO international VALUES (88,'WebGUI',1,'Users In Group',1031514049);
INSERT INTO international VALUES (88,'WebGUI',4,'Usuarios en Grupo',1031510000);
INSERT INTO international VALUES (88,'WebGUI',5,'Utilizadores no grupo',1031510000);
INSERT INTO international VALUES (349,'WebGUI',2,'Aktuelle Version',1041628705);
INSERT INTO international VALUES (151,'WebGUI',3,'Stijl naam',1038528817);
INSERT INTO international VALUES (89,'WebGUI',1,'Groups',1031514049);
INSERT INTO international VALUES (89,'WebGUI',4,'Grupos',1031510000);
INSERT INTO international VALUES (89,'WebGUI',5,'Grupos',1031510000);
INSERT INTO international VALUES (149,'WebGUI',3,'Gebruikers',1038528805);
INSERT INTO international VALUES (90,'WebGUI',1,'Add new group.',1031514049);
INSERT INTO international VALUES (90,'WebGUI',4,'Agregar nuevo grupo',1031510000);
INSERT INTO international VALUES (90,'WebGUI',5,'Adicionar novo grupo.',1031510000);
INSERT INTO international VALUES (148,'WebGUI',3,'Wobjects',1038528799);
INSERT INTO international VALUES (91,'WebGUI',1,'Previous Page',1031514049);
INSERT INTO international VALUES (91,'WebGUI',4,'Pgina previa',1031510000);
INSERT INTO international VALUES (91,'WebGUI',5,'Pgina anterior',1031510000);
INSERT INTO international VALUES (147,'WebGUI',3,'Pagina\'s',1038528793);
INSERT INTO international VALUES (92,'WebGUI',1,'Next Page',1031514049);
INSERT INTO international VALUES (92,'WebGUI',4,'Siguiente pgina',1031510000);
INSERT INTO international VALUES (92,'WebGUI',5,'Prxima pgina',1031510000);
INSERT INTO international VALUES (93,'WebGUI',1,'Help',1031514049);
INSERT INTO international VALUES (93,'WebGUI',4,'Ayuda',1031510000);
INSERT INTO international VALUES (93,'WebGUI',5,'Ajuda',1031510000);
INSERT INTO international VALUES (146,'WebGUI',3,'Aktieve sessies',1038528786);
INSERT INTO international VALUES (94,'WebGUI',1,'See also',1031514049);
INSERT INTO international VALUES (94,'WebGUI',4,'Vea tambin',1031510000);
INSERT INTO international VALUES (94,'WebGUI',5,'Ver tembm',1031510000);
INSERT INTO international VALUES (347,'WebGUI',2,'Profil anschauen von',1041628274);
INSERT INTO international VALUES (145,'WebGUI',3,'WebGUI versie',1038528780);
INSERT INTO international VALUES (95,'WebGUI',1,'Help Index',1031514049);
INSERT INTO international VALUES (95,'WebGUI',4,'ndice de Ayuda',1031510000);
INSERT INTO international VALUES (95,'WebGUI',5,'Indice da ajuda',1031510000);
INSERT INTO international VALUES (817,'WebGUI',1,'Active',1038431287);
INSERT INTO international VALUES (5,'Item',6,'Ladda ned bilaga',1031510000);
INSERT INTO international VALUES (346,'WebGUI',2,'Dieser Benutzer ist kein Mitglied. Wir haben keine weiteren Informationen ber ihn.',1041628075);
INSERT INTO international VALUES (99,'WebGUI',1,'Title',1031514049);
INSERT INTO international VALUES (99,'WebGUI',4,'Ttulo',1031510000);
INSERT INTO international VALUES (99,'WebGUI',5,'Titulo',1031510000);
INSERT INTO international VALUES (144,'WebGUI',3,'Bekijk statistieken.',1038528766);
INSERT INTO international VALUES (100,'WebGUI',1,'Meta Tags',1031514049);
INSERT INTO international VALUES (100,'WebGUI',4,'Comentarios Meta',1039629209);
INSERT INTO international VALUES (100,'WebGUI',5,'Meta Tags',1031510000);
INSERT INTO international VALUES (345,'WebGUI',2,'Kein Mitglied',1041628685);
INSERT INTO international VALUES (142,'WebGUI',3,'Sessie time out',1038528750);
INSERT INTO international VALUES (143,'WebGUI',3,'Beheer instellingen',1038528758);
INSERT INTO international VALUES (101,'WebGUI',1,'Are you certain that you wish to delete this page, its content, and all items under it?',1031514049);
INSERT INTO international VALUES (101,'WebGUI',4,'Est seguro de querer eliminar sta pgina',1031510000);
INSERT INTO international VALUES (101,'WebGUI',5,'\"Tem a certeza que quer apagar esta pgina, o seu conteudo e tudo que est abaixo?\"',1031510000);
INSERT INTO international VALUES (102,'WebGUI',1,'Edit Page',1031514049);
INSERT INTO international VALUES (102,'WebGUI',4,'Editar Pgina',1031510000);
INSERT INTO international VALUES (102,'WebGUI',5,'Modificar a pgina',1031510000);
INSERT INTO international VALUES (141,'WebGUI',3,'Niet gevonden pagina',1038528742);
INSERT INTO international VALUES (103,'WebGUI',1,'Page Properties',1046638742);
INSERT INTO international VALUES (103,'WebGUI',4,'Propio de la pgina',1031510000);
INSERT INTO international VALUES (103,'WebGUI',5,'Especificaes da pgina',1031510000);
INSERT INTO international VALUES (104,'WebGUI',1,'Page URL',1031514049);
INSERT INTO international VALUES (104,'WebGUI',4,'URL de la pgina',1031510000);
INSERT INTO international VALUES (104,'WebGUI',5,'URL da pgina',1031510000);
INSERT INTO international VALUES (140,'WebGUI',3,'Bewerk allerlei instellingen',1038528735);
INSERT INTO international VALUES (105,'WebGUI',1,'Layout',1046638916);
INSERT INTO international VALUES (105,'WebGUI',4,'Estilo',1031510000);
INSERT INTO international VALUES (105,'WebGUI',5,'Estilo',1031510000);
INSERT INTO international VALUES (342,'WebGUI',2,'Benutzerkonto bearbeiten',1041593115);
INSERT INTO international VALUES (341,'WebGUI',2,'Profil bearbeiten.',1041634112);
INSERT INTO international VALUES (340,'WebGUI',2,'weiblich',1041628400);
INSERT INTO international VALUES (138,'WebGUI',3,'Ja',1038528705);
INSERT INTO international VALUES (139,'WebGUI',3,'Nee',1038528710);
INSERT INTO international VALUES (106,'WebGUI',1,'Select \"Yes\" to change all the pages under this page to this style.',1031514049);
INSERT INTO international VALUES (106,'WebGUI',4,'Seleccione para dar este estilo a todas las sub-pginas.',1039630388);
INSERT INTO international VALUES (106,'WebGUI',5,'Escolha para atribuir este estilo a todas as sub-pginas',1031510000);
INSERT INTO international VALUES (135,'WebGUI',3,'SMTP server',1038528699);
INSERT INTO international VALUES (107,'WebGUI',1,'Privileges',1031514049);
INSERT INTO international VALUES (107,'WebGUI',4,'Privilegios',1031510000);
INSERT INTO international VALUES (107,'WebGUI',5,'Privilgios',1031510000);
INSERT INTO international VALUES (108,'WebGUI',1,'Owner',1031514049);
INSERT INTO international VALUES (108,'WebGUI',4,'Dueo',1031510000);
INSERT INTO international VALUES (108,'WebGUI',5,'Dono',1031510000);
INSERT INTO international VALUES (134,'WebGUI',3,'Bericht om wachtwoord terug te vinden',1038528692);
INSERT INTO international VALUES (343,'WebGUI',2,'Profil anschauen.',1041628263);
INSERT INTO international VALUES (133,'WebGUI',3,'Bewerk e-mail instellingen',1038528684);
INSERT INTO international VALUES (130,'WebGUI',3,'Maximum grootte bijlagen (bytes)',1038528675);
INSERT INTO international VALUES (338,'WebGUI',2,'Profil bearbeiten',1041628373);
INSERT INTO international VALUES (127,'WebGUI',3,'URL bedrijf',1038528652);
INSERT INTO international VALUES (339,'WebGUI',2,'mnnlich',1041628381);
INSERT INTO international VALUES (125,'WebGUI',3,'Bedrijfsnaam',1038528638);
INSERT INTO international VALUES (126,'WebGUI',3,'Email adres bedrijf',1038528644);
INSERT INTO international VALUES (116,'WebGUI',1,'Select \"Yes\" to change the privileges of all pages under this page to these privileges.',1031514049);
INSERT INTO international VALUES (116,'WebGUI',4,'Seleccione para dar estos privilegios a todas las sub-pginas.',1039630405);
INSERT INTO international VALUES (116,'WebGUI',5,'Escolher para atribuir estes privilgios a todas as sub-pginas.',1031510000);
INSERT INTO international VALUES (117,'WebGUI',1,'Edit User Settings',1031514049);
INSERT INTO international VALUES (117,'WebGUI',4,'Editar Opciones de Auntentificacin',1031510000);
INSERT INTO international VALUES (117,'WebGUI',5,'Modificar preferncias de autenticao',1031510000);
INSERT INTO international VALUES (337,'WebGUI',2,'Homepage URL',1041628364);
INSERT INTO international VALUES (124,'WebGUI',3,'Bewerk bedrijfsinformatie',1038528631);
INSERT INTO international VALUES (118,'WebGUI',1,'Anonymous Registration',1031514049);
INSERT INTO international VALUES (118,'WebGUI',4,'Registracin Annima',1031510000);
INSERT INTO international VALUES (118,'WebGUI',5,'Registo annimo',1031510000);
INSERT INTO international VALUES (8,'Auth/LDAP',3,'LDAP wachtwoord naam',1031516049);
INSERT INTO international VALUES (119,'WebGUI',1,'Authentication Method (default)',1031514049);
INSERT INTO international VALUES (119,'WebGUI',4,'Mtodo de Autentificacin (por defecto)',1031510000);
INSERT INTO international VALUES (119,'WebGUI',5,'Mtodo de autenticao (defeito)',1031510000);
INSERT INTO international VALUES (7,'Auth/LDAP',3,'LDAP identiteit naam',1031516049);
INSERT INTO international VALUES (5,'Auth/LDAP',1,'LDAP URL (default)',1031514049);
INSERT INTO international VALUES (5,'Auth/LDAP',4,'URL LDAP (por defecto)',1031510000);
INSERT INTO international VALUES (5,'Auth/LDAP',5,'URL LDAP (defeito)',1031510000);
INSERT INTO international VALUES (6,'Auth/LDAP',1,'LDAP Identity (default)',1031514049);
INSERT INTO international VALUES (6,'Auth/LDAP',4,'Identidad LDAP (por defecto)',1031510000);
INSERT INTO international VALUES (6,'Auth/LDAP',5,'Identidade LDAP (defeito)',1031510000);
INSERT INTO international VALUES (6,'Auth/LDAP',3,'LDAP identiteit (standaard)',1031516049);
INSERT INTO international VALUES (7,'Auth/LDAP',1,'LDAP Identity Name',1031514049);
INSERT INTO international VALUES (7,'Auth/LDAP',4,'Nombre Identidad LDAP',1031510000);
INSERT INTO international VALUES (7,'Auth/LDAP',5,'Nome da entidade LDAP',1031510000);
INSERT INTO international VALUES (5,'Auth/LDAP',3,'LDAP URL (standaard)',1031516049);
INSERT INTO international VALUES (8,'Auth/LDAP',1,'LDAP Password Name',1031514049);
INSERT INTO international VALUES (8,'Auth/LDAP',4,'Password LDAP',1031510000);
INSERT INTO international VALUES (8,'Auth/LDAP',5,'Nome da password LDAP',1031510000);
INSERT INTO international VALUES (124,'WebGUI',1,'Edit Company Information',1031514049);
INSERT INTO international VALUES (124,'WebGUI',4,'Editar Informacin de la Compana',1031510000);
INSERT INTO international VALUES (124,'WebGUI',5,'Modificar informao da empresa',1031510000);
INSERT INTO international VALUES (119,'WebGUI',3,'Toegangs controle methode (standaard)',1038528587);
INSERT INTO international VALUES (125,'WebGUI',1,'Company Name',1031514049);
INSERT INTO international VALUES (125,'WebGUI',4,'Nombre de la Compana',1031510000);
INSERT INTO international VALUES (125,'WebGUI',5,'Nome da empresa',1031510000);
INSERT INTO international VALUES (118,'WebGUI',3,'Anonieme registratie',1038528573);
INSERT INTO international VALUES (126,'WebGUI',1,'Company Email Address',1031514049);
INSERT INTO international VALUES (126,'WebGUI',4,'E-mail de la Compana',1031510000);
INSERT INTO international VALUES (126,'WebGUI',5,'Moarada da empresa',1031510000);
INSERT INTO international VALUES (333,'WebGUI',2,'Land (geschftlich)',1040641541);
INSERT INTO international VALUES (335,'WebGUI',2,'Geschlecht',1041628355);
INSERT INTO international VALUES (334,'WebGUI',2,'Telefon (geschftlich)',1040641557);
INSERT INTO international VALUES (336,'WebGUI',2,'Geburtstag',1041611473);
INSERT INTO international VALUES (127,'WebGUI',1,'Company URL',1031514049);
INSERT INTO international VALUES (127,'WebGUI',4,'URL de la Compana',1031510000);
INSERT INTO international VALUES (127,'WebGUI',5,'URL da empresa',1031510000);
INSERT INTO international VALUES (331,'WebGUI',2,'Bundesland (geschftlich)',1040641451);
INSERT INTO international VALUES (117,'WebGUI',3,'Bewerk toegangs controle instellingen',1038528565);
INSERT INTO international VALUES (130,'WebGUI',1,'Maximum Attachment Size',1031514049);
INSERT INTO international VALUES (130,'WebGUI',4,'Tamao mximo de adjuntos',1031510000);
INSERT INTO international VALUES (130,'WebGUI',5,'Tamanho mximo dos anexos',1031510000);
INSERT INTO international VALUES (330,'WebGUI',2,'Ort (geschftlich)',1040641430);
INSERT INTO international VALUES (133,'WebGUI',1,'Edit Messaging Settings',1044138764);
INSERT INTO international VALUES (133,'WebGUI',4,'Editar configuracin de e-mail',1031510000);
INSERT INTO international VALUES (133,'WebGUI',5,'Modificar preferncias de e-mail',1031510000);
INSERT INTO international VALUES (332,'WebGUI',2,'Postleitzahl (geschftlich)',1040641490);
INSERT INTO international VALUES (116,'WebGUI',3,'Vink \"Ja\" aan om deze privileges aan alle onderliggende pagina\'s te geven.',1038528552);
INSERT INTO international VALUES (134,'WebGUI',1,'Recover Password Message',1031514049);
INSERT INTO international VALUES (134,'WebGUI',4,'Mensaje para recuperar contrasea',1039628597);
INSERT INTO international VALUES (134,'WebGUI',5,'Mensagem de recuperao de password',1031510000);
INSERT INTO international VALUES (135,'WebGUI',1,'SMTP Server',1031514049);
INSERT INTO international VALUES (135,'WebGUI',4,'Servidor SMTP',1031510000);
INSERT INTO international VALUES (135,'WebGUI',5,'Servidor SMTP',1031510000);
INSERT INTO international VALUES (326,'WebGUI',2,'Postleitzahl (privat)',1041628242);
INSERT INTO international VALUES (327,'WebGUI',2,'Land (privat)',1041628337);
INSERT INTO international VALUES (138,'WebGUI',1,'Yes',1031514049);
INSERT INTO international VALUES (138,'WebGUI',4,'Si',1031510000);
INSERT INTO international VALUES (138,'WebGUI',5,'Sim',1031510000);
INSERT INTO international VALUES (139,'WebGUI',1,'No',1031514049);
INSERT INTO international VALUES (139,'WebGUI',4,'No',1031510000);
INSERT INTO international VALUES (139,'WebGUI',5,'No',1031510000);
INSERT INTO international VALUES (329,'WebGUI',2,'Strasse',1040641648);
INSERT INTO international VALUES (328,'WebGUI',2,'Telefon (privat)',1041628347);
INSERT INTO international VALUES (140,'WebGUI',1,'Edit Miscellaneous Settings',1031514049);
INSERT INTO international VALUES (140,'WebGUI',4,'Editar configuraciones miscelneas',1031510000);
INSERT INTO international VALUES (140,'WebGUI',5,'Modificar preferncias mistas',1031510000);
INSERT INTO international VALUES (141,'WebGUI',1,'Not Found Page',1031514049);
INSERT INTO international VALUES (141,'WebGUI',4,'Pgina no encontrada',1031510000);
INSERT INTO international VALUES (141,'WebGUI',5,'Pgina no encontrada',1031510000);
INSERT INTO international VALUES (142,'WebGUI',1,'Session Timeout',1031514049);
INSERT INTO international VALUES (142,'WebGUI',4,'Timeout de sesin',1031510000);
INSERT INTO international VALUES (142,'WebGUI',5,'Timeout de sesso',1031510000);
INSERT INTO international VALUES (325,'WebGUI',2,'Bundesland (privat)',1041628231);
INSERT INTO international VALUES (143,'WebGUI',1,'Manage Settings',1031514049);
INSERT INTO international VALUES (143,'WebGUI',4,'Configurar Opciones',1031510000);
INSERT INTO international VALUES (143,'WebGUI',5,'Organizar preferncias',1031510000);
INSERT INTO international VALUES (144,'WebGUI',1,'View statistics.',1031514049);
INSERT INTO international VALUES (144,'WebGUI',4,'Ver estadsticas',1031510000);
INSERT INTO international VALUES (144,'WebGUI',5,'Ver estatisticas.',1031510000);
INSERT INTO international VALUES (145,'WebGUI',1,'WebGUI Build Version',1031514049);
INSERT INTO international VALUES (145,'WebGUI',4,'Versin de WebGUI',1031510000);
INSERT INTO international VALUES (145,'WebGUI',5,'WebGUI verso',1031510000);
INSERT INTO international VALUES (323,'WebGUI',2,'Strasse (privat)',1041628019);
INSERT INTO international VALUES (146,'WebGUI',1,'Active Sessions',1031514049);
INSERT INTO international VALUES (146,'WebGUI',4,'Sesiones activas',1031510000);
INSERT INTO international VALUES (146,'WebGUI',5,'Sesses activas',1031510000);
INSERT INTO international VALUES (147,'WebGUI',1,'Pages',1031514049);
INSERT INTO international VALUES (147,'WebGUI',4,'Pginas',1031510000);
INSERT INTO international VALUES (147,'WebGUI',5,'Pginas',1031510000);
INSERT INTO international VALUES (148,'WebGUI',1,'Wobjects',1045312362);
INSERT INTO international VALUES (148,'WebGUI',4,'Wobjects',1031510000);
INSERT INTO international VALUES (148,'WebGUI',5,'Wobjects',1031510000);
INSERT INTO international VALUES (108,'WebGUI',3,'Eigenaar',1038528474);
INSERT INTO international VALUES (149,'WebGUI',1,'Users',1031514049);
INSERT INTO international VALUES (149,'WebGUI',4,'Usuarios',1031510000);
INSERT INTO international VALUES (149,'WebGUI',5,'Utilizadores',1031510000);
INSERT INTO international VALUES (107,'WebGUI',3,'Privileges',1038528468);
INSERT INTO international VALUES (151,'WebGUI',1,'Style Name',1031514049);
INSERT INTO international VALUES (151,'WebGUI',4,'Nombre del Estilo',1031510000);
INSERT INTO international VALUES (151,'WebGUI',5,'Nome do estilo',1031510000);
INSERT INTO international VALUES (505,'WebGUI',1,'Add a new template.',1031514049);
INSERT INTO international VALUES (504,'WebGUI',1,'Template',1031514049);
INSERT INTO international VALUES (503,'WebGUI',1,'Template ID',1031514049);
INSERT INTO international VALUES (502,'WebGUI',1,'Are you certain you wish to delete this template and set all pages using this template to the default template?',1031514049);
INSERT INTO international VALUES (154,'WebGUI',1,'Style Sheet',1031514049);
INSERT INTO international VALUES (154,'WebGUI',4,'Hoja de Estilo',1031510000);
INSERT INTO international VALUES (154,'WebGUI',5,'Estilo de pgina',1031510000);
INSERT INTO international VALUES (322,'WebGUI',2,'Pager',1041628008);
INSERT INTO international VALUES (321,'WebGUI',2,'Mobiltelefon',1041628000);
INSERT INTO international VALUES (324,'WebGUI',2,'Ort (privat)',1041628028);
INSERT INTO international VALUES (320,'WebGUI',2,'<a href=\"\" http://messenger.yahoo.com/\"\">Yahoo! Messenger</a> Id',1041627991);
INSERT INTO international VALUES (105,'WebGUI',3,'Stijl',1038528426);
INSERT INTO international VALUES (106,'WebGUI',3,'Vink \"Ja\" aan om deze stijl in alle onderliggende pagina\'s te gebruiken.',1038528461);
INSERT INTO international VALUES (155,'WebGUI',1,'Are you certain you wish to delete this style and migrate all pages using this style to the \"Fail Safe\" style?',1031514049);
INSERT INTO international VALUES (155,'WebGUI',4,'\"Est seguro de querer eliminar ste estilo y migrar todas la pginas que lo usen al estilo \"\"Fail Safe\"\"?\"',1031510000);
INSERT INTO international VALUES (155,'WebGUI',5,'\"Tem a certeza que quer apagar este estilo e migrar todas as pginas para o estilo \"\"Fail Safe\"\"?\"',1031510000);
INSERT INTO international VALUES (156,'WebGUI',1,'Edit Style',1031514049);
INSERT INTO international VALUES (156,'WebGUI',4,'Editar Estilo',1031510000);
INSERT INTO international VALUES (156,'WebGUI',5,'Modificar estilo',1031510000);
INSERT INTO international VALUES (104,'WebGUI',3,'Pagina URL',1038528420);
INSERT INTO international VALUES (157,'WebGUI',1,'Styles',1031514049);
INSERT INTO international VALUES (157,'WebGUI',4,'Estilos',1031510000);
INSERT INTO international VALUES (157,'WebGUI',5,'Estilos',1031510000);
INSERT INTO international VALUES (103,'WebGUI',3,'Pagina specifiek',1038528414);
INSERT INTO international VALUES (158,'WebGUI',1,'Add a new style.',1031514049);
INSERT INTO international VALUES (158,'WebGUI',4,'Agregar nuevo Estilo',1031510000);
INSERT INTO international VALUES (158,'WebGUI',5,'Adicionar novo estilo.',1031510000);
INSERT INTO international VALUES (102,'WebGUI',3,'Bewerk pagina',1038528401);
INSERT INTO international VALUES (471,'WebGUI',10,'Rediger bruger profil felt',1031510000);
INSERT INTO international VALUES (159,'WebGUI',4,'Contribuciones Pendientes',1031510000);
INSERT INTO international VALUES (159,'WebGUI',5,'Log das mensagens',1031510000);
INSERT INTO international VALUES (160,'WebGUI',1,'Date Submitted',1031514049);
INSERT INTO international VALUES (160,'WebGUI',4,'Fecha Contribucin',1031510000);
INSERT INTO international VALUES (160,'WebGUI',5,'Data de submisso',1031510000);
INSERT INTO international VALUES (319,'WebGUI',2,'<a href=\"\" http://messenger.msn.com/\"\">MSN Messenger</a> Id',1041627980);
INSERT INTO international VALUES (161,'WebGUI',1,'Submitted By',1031514049);
INSERT INTO international VALUES (161,'WebGUI',4,'Contribuido por',1031510000);
INSERT INTO international VALUES (161,'WebGUI',5,'Submetido por',1031510000);
INSERT INTO international VALUES (100,'WebGUI',3,'Meta tags',1038528357);
INSERT INTO international VALUES (101,'WebGUI',3,'Weet u zeker dat u deze pagina, de inhoud van deze pagina en alle inhoud en objecten er onder wilt verwijderen?',1038528395);
INSERT INTO international VALUES (162,'WebGUI',1,'Are you certain that you wish to purge all the pages and wobjects in the trash?',1031514049);
INSERT INTO international VALUES (162,'WebGUI',4,'Est seguro de querer eliminar todos los elementos de la papelera?',1031510000);
INSERT INTO international VALUES (162,'WebGUI',5,'Tem a certeza que quer limpar todas as pginas e wobjects para o caixote do lixo?',1031510000);
INSERT INTO international VALUES (99,'WebGUI',3,'Titel',1038529669);
INSERT INTO international VALUES (163,'WebGUI',1,'Add User',1031514049);
INSERT INTO international VALUES (163,'WebGUI',4,'Agregar usuario',1031510000);
INSERT INTO international VALUES (163,'WebGUI',5,'Adicionar utilizador',1031510000);
INSERT INTO international VALUES (95,'WebGUI',3,'Help index',1038529676);
INSERT INTO international VALUES (164,'WebGUI',1,'Authentication Method',1031514049);
INSERT INTO international VALUES (164,'WebGUI',4,'Mtodo de Auntentificacin',1031510000);
INSERT INTO international VALUES (164,'WebGUI',5,'Metodo de autenticao',1031510000);
INSERT INTO international VALUES (94,'WebGUI',3,'Zie ook',1038529682);
INSERT INTO international VALUES (3,'Auth/LDAP',1,'LDAP URL',1031514049);
INSERT INTO international VALUES (3,'Auth/LDAP',4,'LDAP URL',1031510000);
INSERT INTO international VALUES (3,'Auth/LDAP',5,'LDAP URL',1031510000);
INSERT INTO international VALUES (317,'WebGUI',2,'<a href=\"\" http://www.icq.com\"\">ICQ</a> UIN',1041627955);
INSERT INTO international VALUES (93,'WebGUI',3,'Help',1039783546);
INSERT INTO international VALUES (4,'Auth/LDAP',1,'Connect DN',1031514049);
INSERT INTO international VALUES (4,'Auth/LDAP',4,'Connect DN',1031510000);
INSERT INTO international VALUES (4,'Auth/LDAP',5,'Connectar DN',1031510000);
INSERT INTO international VALUES (91,'WebGUI',3,'Vorige pagina',1039783532);
INSERT INTO international VALUES (92,'WebGUI',3,'Volgende pagina',1039783539);
INSERT INTO international VALUES (167,'WebGUI',1,'Are you certain you want to delete this user? Be warned that all this user\'s information will be lost permanently if you choose to proceed.',1031514049);
INSERT INTO international VALUES (167,'WebGUI',4,'Est seguro de querer eliminar ste usuario? Tenga en cuenta que toda la informacin del usuario ser eliminada permanentemente si procede.',1031510000);
INSERT INTO international VALUES (167,'WebGUI',5,'Tem a certeza que quer apagar este utilizador? Se o fizer perde todas as informaes do utilizador.',1031510000);
INSERT INTO international VALUES (90,'WebGUI',3,'Voeg nieuwe groep toe.',1039783526);
INSERT INTO international VALUES (168,'WebGUI',1,'Edit User',1031514049);
INSERT INTO international VALUES (168,'WebGUI',4,'Editar Usuario',1031510000);
INSERT INTO international VALUES (168,'WebGUI',5,'Modificar utilizador',1031510000);
INSERT INTO international VALUES (89,'WebGUI',3,'Groepen',1039783512);
INSERT INTO international VALUES (169,'WebGUI',1,'Add a new user.',1031514049);
INSERT INTO international VALUES (169,'WebGUI',4,'Agregar nuevo usuario',1031510000);
INSERT INTO international VALUES (169,'WebGUI',5,'Adicionar utilizador.',1031510000);
INSERT INTO international VALUES (170,'WebGUI',1,'search',1031514049);
INSERT INTO international VALUES (170,'WebGUI',4,'buscar',1031510000);
INSERT INTO international VALUES (170,'WebGUI',5,'procurar',1031510000);
INSERT INTO international VALUES (88,'WebGUI',3,'Gebruikers in groep',1039783506);
INSERT INTO international VALUES (171,'WebGUI',1,'rich edit',1031514049);
INSERT INTO international VALUES (171,'WebGUI',4,'Edicin Mejorada',1039628270);
INSERT INTO international VALUES (171,'WebGUI',5,'rich edit',1031510000);
INSERT INTO international VALUES (318,'WebGUI',2,'<a href=\"\" http://www.aol.com/aim/homenew.adp\"\">AIM</a> Id',1041627969);
INSERT INTO international VALUES (87,'WebGUI',3,'Bewerk groep',1039783499);
INSERT INTO international VALUES (174,'WebGUI',1,'Display the title?',1031514049);
INSERT INTO international VALUES (174,'WebGUI',4,'Mostrar el ttulo?',1031510000);
INSERT INTO international VALUES (174,'WebGUI',5,'Mostrar o titulo?',1031510000);
INSERT INTO international VALUES (175,'WebGUI',1,'Process macros?',1031514049);
INSERT INTO international VALUES (175,'WebGUI',4,'Procesar macros?',1031510000);
INSERT INTO international VALUES (175,'WebGUI',5,'Processar macros?',1031510000);
INSERT INTO international VALUES (228,'WebGUI',1,'Editing Message...',1031514049);
INSERT INTO international VALUES (228,'WebGUI',4,'Editar Mensaje...',1039628571);
INSERT INTO international VALUES (228,'WebGUI',5,'Modificando mensagem...',1031510000);
INSERT INTO international VALUES (229,'WebGUI',1,'Subject',1031514049);
INSERT INTO international VALUES (229,'WebGUI',4,'Asunto',1031510000);
INSERT INTO international VALUES (229,'WebGUI',5,'Assunto',1031510000);
INSERT INTO international VALUES (230,'WebGUI',1,'Message',1031514049);
INSERT INTO international VALUES (230,'WebGUI',4,'Mensaje',1039628510);
INSERT INTO international VALUES (230,'WebGUI',5,'Mensagem',1031510000);
INSERT INTO international VALUES (231,'WebGUI',1,'Posting New Message...',1031514049);
INSERT INTO international VALUES (231,'WebGUI',4,'Enviando Nuevo Mensaje ...',1039628557);
INSERT INTO international VALUES (231,'WebGUI',5,'Colocando nova mensagem...',1031510000);
INSERT INTO international VALUES (232,'WebGUI',1,'no subject',1031514049);
INSERT INTO international VALUES (232,'WebGUI',4,'sin ttulo',1031510000);
INSERT INTO international VALUES (232,'WebGUI',5,'sem assunto',1031510000);
INSERT INTO international VALUES (86,'WebGUI',3,'Weet u zeker dat u deze groep wilt verwijderen? Denk er aan dat een groep verwijderen permanent en alle privileges geassocieerd met de groep verwijdert worden.',1039783493);
INSERT INTO international VALUES (233,'WebGUI',1,'(eom)',1031514049);
INSERT INTO international VALUES (233,'WebGUI',4,'(eom)',1031510000);
INSERT INTO international VALUES (233,'WebGUI',5,'(eom)',1031510000);
INSERT INTO international VALUES (85,'WebGUI',3,'Beschrijving',1039783481);
INSERT INTO international VALUES (234,'WebGUI',1,'Posting Reply...',1031514049);
INSERT INTO international VALUES (234,'WebGUI',4,'Respondiendo...',1031510000);
INSERT INTO international VALUES (234,'WebGUI',5,'Respondendo...',1031510000);
INSERT INTO international VALUES (315,'WebGUI',2,'Zweiter Vorname',1041627929);
INSERT INTO international VALUES (314,'WebGUI',2,'Vorname',1041627918);
INSERT INTO international VALUES (316,'WebGUI',2,'Nachname',1041627938);
INSERT INTO international VALUES (237,'WebGUI',1,'Subject:',1031514049);
INSERT INTO international VALUES (237,'WebGUI',4,'Asunto:',1031510000);
INSERT INTO international VALUES (237,'WebGUI',5,'Assunto:',1031510000);
INSERT INTO international VALUES (84,'WebGUI',3,'Groep naam',1039783474);
INSERT INTO international VALUES (238,'WebGUI',1,'Author:',1031514049);
INSERT INTO international VALUES (238,'WebGUI',4,'Autor:',1031510000);
INSERT INTO international VALUES (238,'WebGUI',5,'Autor:',1031510000);
INSERT INTO international VALUES (239,'WebGUI',1,'Date:',1031514049);
INSERT INTO international VALUES (239,'WebGUI',4,'Fecha:',1031510000);
INSERT INTO international VALUES (239,'WebGUI',5,'Data:',1031510000);
INSERT INTO international VALUES (313,'WebGUI',2,'Zustzliche Informationen anzeigen?',1041627910);
INSERT INTO international VALUES (82,'WebGUI',3,'Administratieve functies...',1039783468);
INSERT INTO international VALUES (240,'WebGUI',1,'Message ID:',1031514049);
INSERT INTO international VALUES (240,'WebGUI',4,'ID del mensaje:',1039628536);
INSERT INTO international VALUES (240,'WebGUI',5,'ID da mensagem:',1031510000);
INSERT INTO international VALUES (244,'WebGUI',1,'Author',1031514049);
INSERT INTO international VALUES (244,'WebGUI',4,'Autor',1031510000);
INSERT INTO international VALUES (244,'WebGUI',5,'Autor',1031510000);
INSERT INTO international VALUES (81,'WebGUI',3,'Account is aangepast!',1039783461);
INSERT INTO international VALUES (245,'WebGUI',1,'Date',1031514049);
INSERT INTO international VALUES (245,'WebGUI',4,'Fecha',1031510000);
INSERT INTO international VALUES (245,'WebGUI',5,'Data',1031510000);
INSERT INTO international VALUES (304,'WebGUI',1,'Language',1031514049);
INSERT INTO international VALUES (304,'WebGUI',4,'Idioma',1031510000);
INSERT INTO international VALUES (304,'WebGUI',5,'Lingua',1031510000);
INSERT INTO international VALUES (312,'WebGUI',2,'Geschftsadresse anzeigen?',1041627895);
INSERT INTO international VALUES (80,'WebGUI',3,'Account is aangemaakt!',1039783454);
INSERT INTO international VALUES (307,'WebGUI',1,'Use default meta tags?',1031514049);
INSERT INTO international VALUES (307,'WebGUI',5,'Usar as meta tags de defeito?',1031510000);
INSERT INTO international VALUES (2,'Auth/LDAP',3,'Kan niet verbinden met LDAP server.',1031516049);
INSERT INTO international VALUES (308,'WebGUI',1,'Edit Profile Settings',1031514049);
INSERT INTO international VALUES (308,'WebGUI',5,'Modificar as preferncias do perfil',1031510000);
INSERT INTO international VALUES (309,'WebGUI',1,'Allow real name?',1031514049);
INSERT INTO international VALUES (309,'WebGUI',5,'Permitir o nome real?',1031510000);
INSERT INTO international VALUES (311,'WebGUI',2,'Privatadresse anzeigen?',1041627883);
INSERT INTO international VALUES (3,'Auth/WebGUI',3,'De wachtwoorden waren niet gelijk. Probeer opnieuw.',1031516049);
INSERT INTO international VALUES (310,'WebGUI',1,'Allow extra contact information?',1031514049);
INSERT INTO international VALUES (310,'WebGUI',5,'Permitir informao extra de contacto?',1031510000);
INSERT INTO international VALUES (311,'WebGUI',1,'Allow home information?',1031514049);
INSERT INTO international VALUES (311,'WebGUI',5,'Permitir informao de casa?',1031510000);
INSERT INTO international VALUES (309,'WebGUI',2,'Name anzeigen?',1041627860);
INSERT INTO international VALUES (312,'WebGUI',1,'Allow business information?',1031514049);
INSERT INTO international VALUES (312,'WebGUI',5,'Permitir informao do emprego?',1031510000);
INSERT INTO international VALUES (313,'WebGUI',1,'Allow miscellaneous information?',1031514049);
INSERT INTO international VALUES (313,'WebGUI',5,'Permitir informaao mista?',1031510000);
INSERT INTO international VALUES (314,'WebGUI',1,'First Name',1031514049);
INSERT INTO international VALUES (314,'WebGUI',5,'Nome',1031510000);
INSERT INTO international VALUES (77,'WebGUI',3,'Deze account naam wordt al gebruikt door een andere gebruiker van dit systeem. Probeer een andere naam. We hebben de volgende suggesties:',1039783341);
INSERT INTO international VALUES (315,'WebGUI',1,'Middle Name',1031514049);
INSERT INTO international VALUES (315,'WebGUI',5,'segundo(s) nome(s)',1031510000);
INSERT INTO international VALUES (316,'WebGUI',1,'Last Name',1031514049);
INSERT INTO international VALUES (316,'WebGUI',5,'Apelido',1031510000);
INSERT INTO international VALUES (76,'WebGUI',3,'Dat e-mail adresis niet in onze database aanwezig.',1039783330);
INSERT INTO international VALUES (317,'WebGUI',1,'<a href=\"http://www.icq.com\">ICQ</a> UIN',1031514049);
INSERT INTO international VALUES (317,'WebGUI',5,'\"<a href=\"\"http://www.icq.com\"\">ICQ</a> UIN\"',1031510000);
INSERT INTO international VALUES (75,'WebGUI',3,'Uw account informatie is naar uw email adres verzonden.',1039783319);
INSERT INTO international VALUES (318,'WebGUI',1,'<a href=\"http://www.aol.com/aim/homenew.adp\">AIM</a> Id',1031514049);
INSERT INTO international VALUES (318,'WebGUI',5,'\"<a href=\"\"http://www.aol.com/aim/homenew.adp\"\">AIM</a> Id\"',1031510000);
INSERT INTO international VALUES (310,'WebGUI',2,'Kontaktinformationen anzeigen?',1041627871);
INSERT INTO international VALUES (566,'WebGUI',6,'Redigera Timeout',1031510000);
INSERT INTO international VALUES (74,'WebGUI',3,'Account informatie',1039783312);
INSERT INTO international VALUES (319,'WebGUI',1,'<a href=\"http://messenger.msn.com/\">MSN Messenger</a> Id',1031514049);
INSERT INTO international VALUES (319,'WebGUI',5,'\"<a href=\"\"http://messenger.msn.com/\"\">MSN Messenger</a> Id\"',1031510000);
INSERT INTO international VALUES (72,'WebGUI',3,'Terugvinden',1039783299);
INSERT INTO international VALUES (73,'WebGUI',3,'Log in.',1039783306);
INSERT INTO international VALUES (320,'WebGUI',1,'<a href=\"http://messenger.yahoo.com/\">Yahoo! Messenger</a> Id',1031514049);
INSERT INTO international VALUES (320,'WebGUI',5,'\"<a href=\"\"http://messenger.yahoo.com/\"\">Yahoo! Messenger</a> Id\"',1031510000);
INSERT INTO international VALUES (321,'WebGUI',1,'Cell Phone',1031514049);
INSERT INTO international VALUES (321,'WebGUI',5,'Telemvel',1031510000);
INSERT INTO international VALUES (71,'WebGUI',3,'Wachtwoord terugvinden',1039783252);
INSERT INTO international VALUES (322,'WebGUI',1,'Pager',1031514049);
INSERT INTO international VALUES (322,'WebGUI',5,'Pager',1031510000);
INSERT INTO international VALUES (70,'WebGUI',3,'Fout',1039783139);
INSERT INTO international VALUES (323,'WebGUI',1,'Home Address',1031514049);
INSERT INTO international VALUES (323,'WebGUI',5,'Morada (de casa)',1031510000);
INSERT INTO international VALUES (307,'WebGUI',2,'Standard Meta-Tags benutzen?',1041611420);
INSERT INTO international VALUES (324,'WebGUI',1,'Home City',1031514049);
INSERT INTO international VALUES (324,'WebGUI',5,'Cidade (de casa)',1031510000);
INSERT INTO international VALUES (308,'WebGUI',2,'Profileinstellungen bearbeiten',1041634082);
INSERT INTO international VALUES (325,'WebGUI',1,'Home State',1031514049);
INSERT INTO international VALUES (325,'WebGUI',5,'Concelho (de casa)',1031510000);
INSERT INTO international VALUES (69,'WebGUI',3,'Vraag uw systeembeheerder om assistentie.',1039783096);
INSERT INTO international VALUES (326,'WebGUI',1,'Home Zip Code',1031514049);
INSERT INTO international VALUES (326,'WebGUI',5,'Cdigo postal (de casa)',1031510000);
INSERT INTO international VALUES (327,'WebGUI',1,'Home Country',1031514049);
INSERT INTO international VALUES (327,'WebGUI',5,'Pas (de casa)',1031510000);
INSERT INTO international VALUES (328,'WebGUI',1,'Home Phone',1031514049);
INSERT INTO international VALUES (328,'WebGUI',5,'Telefone (de casa)',1031510000);
INSERT INTO international VALUES (329,'WebGUI',1,'Work Address',1031514049);
INSERT INTO international VALUES (329,'WebGUI',5,'Morada (do emprego)',1031510000);
INSERT INTO international VALUES (330,'WebGUI',1,'Work City',1031514049);
INSERT INTO international VALUES (330,'WebGUI',5,'Cidade (do emprego)',1031510000);
INSERT INTO international VALUES (68,'WebGUI',3,'De account informatie is niet geldig. Het account bestaat niet of de gebruikersnaam/wachtwoord was fout.',1039783031);
INSERT INTO international VALUES (331,'WebGUI',1,'Work State',1031514049);
INSERT INTO international VALUES (331,'WebGUI',5,'Concelho (do emprego)',1031510000);
INSERT INTO international VALUES (239,'WebGUI',2,'Datum:',1041627767);
INSERT INTO international VALUES (332,'WebGUI',1,'Work Zip Code',1031514049);
INSERT INTO international VALUES (332,'WebGUI',5,'Cdigo postal (do emprego)',1031510000);
INSERT INTO international VALUES (67,'WebGUI',3,'Creer een nieuw account.',1039782986);
INSERT INTO international VALUES (333,'WebGUI',1,'Work Country',1031514049);
INSERT INTO international VALUES (333,'WebGUI',5,'Pas (do emprego)',1031510000);
INSERT INTO international VALUES (334,'WebGUI',1,'Work Phone',1031514049);
INSERT INTO international VALUES (334,'WebGUI',5,'Telefone (do emprego)',1031510000);
INSERT INTO international VALUES (66,'WebGUI',3,'Log in',1039782927);
INSERT INTO international VALUES (335,'WebGUI',1,'Gender',1031514049);
INSERT INTO international VALUES (335,'WebGUI',5,'Sexo',1031510000);
INSERT INTO international VALUES (244,'WebGUI',2,'Autor',1040646786);
INSERT INTO international VALUES (336,'WebGUI',1,'Birth Date',1031514049);
INSERT INTO international VALUES (336,'WebGUI',5,'Data de nascimento',1031510000);
INSERT INTO international VALUES (65,'WebGUI',3,'Deaktiveer mijn account voorgoed.',1039782903);
INSERT INTO international VALUES (337,'WebGUI',1,'Homepage URL',1031514049);
INSERT INTO international VALUES (337,'WebGUI',5,'Endereo da Homepage',1031510000);
INSERT INTO international VALUES (338,'WebGUI',1,'Edit Profile',1031514049);
INSERT INTO international VALUES (338,'WebGUI',5,'Modificar perfil',1031510000);
INSERT INTO international VALUES (64,'WebGUI',3,'Log uit.',1039782874);
INSERT INTO international VALUES (339,'WebGUI',1,'Male',1031514049);
INSERT INTO international VALUES (339,'WebGUI',5,'Masculino',1031510000);
INSERT INTO international VALUES (240,'WebGUI',2,'Beitrags ID:',1041627791);
INSERT INTO international VALUES (340,'WebGUI',1,'Female',1031514049);
INSERT INTO international VALUES (340,'WebGUI',5,'Feminino',1031510000);
INSERT INTO international VALUES (63,'WebGUI',3,'Zet beheermode aan.',1039782413);
INSERT INTO international VALUES (341,'WebGUI',1,'Edit profile.',1031514049);
INSERT INTO international VALUES (341,'WebGUI',5,'Modificar o perfil.',1031510000);
INSERT INTO international VALUES (245,'WebGUI',2,'Datum',1041627799);
INSERT INTO international VALUES (62,'WebGUI',3,'Bewaar',1039781242);
INSERT INTO international VALUES (342,'WebGUI',1,'Edit account information.',1031514049);
INSERT INTO international VALUES (342,'WebGUI',5,'Modificar as informaes da conta.',1031510000);
INSERT INTO international VALUES (304,'WebGUI',2,'Sprache',1041627818);
INSERT INTO international VALUES (343,'WebGUI',1,'View profile.',1031514049);
INSERT INTO international VALUES (343,'WebGUI',5,'Ver perfil.',1031510000);
INSERT INTO international VALUES (351,'WebGUI',1,'Message',1031514049);
INSERT INTO international VALUES (468,'WebGUI',10,'Rediger bruger profil kategori',1031510000);
INSERT INTO international VALUES (61,'WebGUI',3,'Account informatie bijwerken',1039781048);
INSERT INTO international VALUES (345,'WebGUI',1,'Not A Member',1031514049);
INSERT INTO international VALUES (345,'WebGUI',5,'No  membro',1031510000);
INSERT INTO international VALUES (233,'WebGUI',2,'(eom)',1040650575);
INSERT INTO international VALUES (234,'WebGUI',2,'Antworten...',1041627750);
INSERT INTO international VALUES (346,'WebGUI',1,'This user is no longer a member of our site. We have no further information about this user.',1031514049);
INSERT INTO international VALUES (346,'WebGUI',5,'Esse utilizador j no  membro do site. No existe mais informao.',1031510000);
INSERT INTO international VALUES (237,'WebGUI',2,'Betreff:',1041627758);
INSERT INTO international VALUES (347,'WebGUI',1,'View Profile For',1031514049);
INSERT INTO international VALUES (347,'WebGUI',5,'Ver o perfil de',1031510000);
INSERT INTO international VALUES (60,'WebGUI',3,'Weet u zeker dat u uw account wilt deaktiveren? Als u doorgaat gaat alle account informatie voorgoed verloren.',1039521075);
INSERT INTO international VALUES (348,'WebGUI',1,'Name',1031514049);
INSERT INTO international VALUES (348,'WebGUI',5,'Nome',1031510000);
INSERT INTO international VALUES (349,'WebGUI',1,'Latest version available',1031514049);
INSERT INTO international VALUES (349,'WebGUI',5,'Ultima verso disponvel',1031510000);
INSERT INTO international VALUES (59,'WebGUI',3,'Ik ben mijn wachtwoord vergeten.',1039520960);
INSERT INTO international VALUES (350,'WebGUI',1,'Completed',1031514049);
INSERT INTO international VALUES (350,'WebGUI',5,'Completo',1031510000);
INSERT INTO international VALUES (351,'WebGUI',5,'Entrada no log de mensagens',1031510000);
INSERT INTO international VALUES (58,'WebGUI',3,'Ik heb al een account.',1039520779);
INSERT INTO international VALUES (352,'WebGUI',1,'Date Of Entry',1031514049);
INSERT INTO international VALUES (352,'WebGUI',5,'Data de entrada',1031510000);
INSERT INTO international VALUES (471,'WebGUI',6,'Redigera anvndarprofils attribut',1032859851);
INSERT INTO international VALUES (353,'WebGUI',5,'Actualmente no tem entradas no log de mensagens.',1031510000);
INSERT INTO international VALUES (471,'WebGUI',1,'Edit User Profile Field',1031514049);
INSERT INTO international VALUES (354,'WebGUI',5,'Ver o log das mensagens.',1031510000);
INSERT INTO international VALUES (57,'WebGUI',3,'Dit is alleen nodig als er functies gebruikt worden die e-mail nodig hebben.',1039780774);
INSERT INTO international VALUES (355,'WebGUI',1,'Default',1031514049);
INSERT INTO international VALUES (355,'WebGUI',5,'Por defeito',1031510000);
INSERT INTO international VALUES (356,'WebGUI',1,'Template',1031514049);
INSERT INTO international VALUES (357,'WebGUI',1,'News',1031514049);
INSERT INTO international VALUES (358,'WebGUI',1,'Left Column',1031514049);
INSERT INTO international VALUES (359,'WebGUI',1,'Right Column',1031514049);
INSERT INTO international VALUES (360,'WebGUI',1,'One Over Three',1031514049);
INSERT INTO international VALUES (361,'WebGUI',1,'Three Over One',1031514049);
INSERT INTO international VALUES (362,'WebGUI',1,'SideBySide',1031514049);
INSERT INTO international VALUES (363,'WebGUI',1,'Page Template Position',1034736999);
INSERT INTO international VALUES (364,'WebGUI',1,'Search',1031514049);
INSERT INTO international VALUES (365,'WebGUI',1,'Search results...',1031514049);
INSERT INTO international VALUES (366,'WebGUI',1,'No  pages were found with content that matched your query.',1031514049);
INSERT INTO international VALUES (368,'WebGUI',1,'Add a new group to this user.',1031514049);
INSERT INTO international VALUES (369,'WebGUI',1,'Expire Date',1031514049);
INSERT INTO international VALUES (370,'WebGUI',1,'Edit Grouping',1031514049);
INSERT INTO international VALUES (371,'WebGUI',1,'Add Grouping',1031514049);
INSERT INTO international VALUES (372,'WebGUI',1,'Edit User\'s Groups',1031514049);
INSERT INTO international VALUES (374,'WebGUI',1,'Manage packages.',1031514049);
INSERT INTO international VALUES (375,'WebGUI',1,'Select Package To Deploy',1031514049);
INSERT INTO international VALUES (376,'WebGUI',1,'Package',1031514049);
INSERT INTO international VALUES (377,'WebGUI',1,'No packages have been defined by your package manager(s) or administrator(s).',1031514049);
INSERT INTO international VALUES (11,'Poll',1,'Vote!',1031514049);
INSERT INTO international VALUES (31,'USS',1,'Content',1031514049);
INSERT INTO international VALUES (32,'USS',1,'Image',1031514049);
INSERT INTO international VALUES (33,'USS',1,'Attachment',1031514049);
INSERT INTO international VALUES (34,'USS',1,'Convert Carriage Returns',1031514049);
INSERT INTO international VALUES (35,'USS',1,'Title',1031514049);
INSERT INTO international VALUES (71,'MailForm',21,'          e-mail.\r\n<br><br>\r\n<b></b><br>\r\n    .     45.\r\n<br><br>\r\n<b>, , Cc, Bcc, </b><br>\r\n     email .          ,       \"\"  \"\".           ,        .\r\n<br><br>\r\n<b></b><br>\r\n        \"\".\r\n<br><br>\r\n<b> ?</b><br>\r\n   \"\",      .\r\n<br><br>\r\n<b>   ?</b><br>\r\n      ,   \"\".',1041689302);
INSERT INTO international VALUES (378,'WebGUI',1,'User ID',1031514049);
INSERT INTO international VALUES (379,'WebGUI',1,'Group ID',1031514049);
INSERT INTO international VALUES (380,'WebGUI',1,'Style ID',1031514049);
INSERT INTO international VALUES (381,'WebGUI',1,'WebGUI received a malformed request and was unable to continue. Proprietary characters being passed through a form typically cause this. Please feel free to hit your back button and try again.',1031514049);
INSERT INTO international VALUES (1,'FileManager',1,'File Manager',1038028463);
INSERT INTO international VALUES (90,'EventsCalendar',1,'Default Month',1038190708);
INSERT INTO international VALUES (3,'FileManager',1,'Proceed to add file?',1031514049);
INSERT INTO international VALUES (367,'WebGUI',6,'Bst fre',1031510000);
INSERT INTO international VALUES (5,'FileManager',1,'File Title',1031514049);
INSERT INTO international VALUES (6,'FileManager',1,'File',1038882929);
INSERT INTO international VALUES (7,'FileManager',1,'Group to Download',1031514049);
INSERT INTO international VALUES (8,'FileManager',1,'Brief Synopsis',1031514049);
INSERT INTO international VALUES (9,'FileManager',1,'Edit File Manager',1038028499);
INSERT INTO international VALUES (10,'FileManager',1,'Edit File',1038882889);
INSERT INTO international VALUES (11,'FileManager',1,'Add a new file.',1038882956);
INSERT INTO international VALUES (12,'FileManager',1,'Are you certain that you wish to delete this file?',1038882975);
INSERT INTO international VALUES (14,'FileManager',1,'File',1031514049);
INSERT INTO international VALUES (15,'FileManager',1,'Description',1031514049);
INSERT INTO international VALUES (16,'FileManager',1,'Date Uploaded',1031514049);
INSERT INTO international VALUES (766,'WebGUI',1,'Back to collateral list.',1036892898);
INSERT INTO international VALUES (770,'WebGUI',1,'Edit Snippet',1036893050);
INSERT INTO international VALUES (37,'USS',1,'Delete',1031514049);
INSERT INTO international VALUES (13,'SQLReport',1,'Convert carriage returns?',1031514049);
INSERT INTO international VALUES (17,'FileManager',1,'Alternate Version #1',1031514049);
INSERT INTO international VALUES (18,'FileManager',1,'Alternate Version #2',1031514049);
INSERT INTO international VALUES (19,'FileManager',1,'You have no files available.',1038882995);
INSERT INTO international VALUES (14,'EventsCalendar',1,'Start Date',1031514049);
INSERT INTO international VALUES (15,'EventsCalendar',1,'End Date',1031514049);
INSERT INTO international VALUES (20,'FileManager',1,'Paginate After',1031514049);
INSERT INTO international VALUES (14,'SQLReport',1,'Paginate After',1031514049);
INSERT INTO international VALUES (19,'EventsCalendar',1,'Paginate After',1031514049);
INSERT INTO international VALUES (384,'WebGUI',1,'File',1031514049);
INSERT INTO international VALUES (385,'WebGUI',1,'Parameters',1031514049);
INSERT INTO international VALUES (386,'WebGUI',1,'Edit Image',1031514049);
INSERT INTO international VALUES (387,'WebGUI',1,'Uploaded By',1031514049);
INSERT INTO international VALUES (388,'WebGUI',1,'Upload Date',1031514049);
INSERT INTO international VALUES (703,'WebGUI',10,'r',1036855939);
INSERT INTO international VALUES (391,'WebGUI',1,'Delete attached file.',1031514049);
INSERT INTO international VALUES (588,'WebGUI',10,'Er du sikker p at du vil indsende denne oversttelse til Plain Black for de kan inkludere den i den officielle distribution af WebGUI?.\r\nHvis du klikker p ja betyder det, at du giver Plain Black alle rettigheder til oversttelsen.',1037205505);
INSERT INTO international VALUES (779,'WebGUI',1,'Image',1036912938);
INSERT INTO international VALUES (394,'WebGUI',1,'Manage collateral.',1036954925);
INSERT INTO international VALUES (395,'WebGUI',1,'Add a new image.',1031514049);
INSERT INTO international VALUES (723,'WebGUI',10,'Undertrykt',1036855601);
INSERT INTO international VALUES (715,'WebGUI',10,'Rediriger URL',1036855743);
INSERT INTO international VALUES (398,'WebGUI',1,'Document Type Declaration',1031514049);
INSERT INTO international VALUES (399,'WebGUI',1,'Validate this page.',1031514049);
INSERT INTO international VALUES (400,'WebGUI',1,'Prevent Proxy Caching',1031514049);
INSERT INTO international VALUES (401,'WebGUI',1,'Are you certain you wish to delete this message and all messages under it in this thread?',1031514049);
INSERT INTO international VALUES (565,'WebGUI',1,'Who can moderate?',1031514049);
INSERT INTO international VALUES (22,'MessageBoard',1,'Delete Message',1031514049);
INSERT INTO international VALUES (402,'WebGUI',1,'The message you requested does not exist.',1031514049);
INSERT INTO international VALUES (403,'WebGUI',1,'Prefer not to say.',1031514049);
INSERT INTO international VALUES (405,'WebGUI',1,'Last Page',1031514049);
INSERT INTO international VALUES (406,'WebGUI',1,'Thumbnail Size',1031514049);
INSERT INTO international VALUES (407,'WebGUI',1,'Click here to register.',1031514049);
INSERT INTO international VALUES (15,'SQLReport',1,'Preprocess macros on query?',1031514049);
INSERT INTO international VALUES (16,'SQLReport',1,'Debug?',1031514049);
INSERT INTO international VALUES (17,'SQLReport',1,'<b>Debug:</b> Query:',1031514049);
INSERT INTO international VALUES (18,'SQLReport',1,'There were no results for this query.',1031514049);
INSERT INTO international VALUES (231,'WebGUI',2,'Neuen Beitrag schreiben...',1041611094);
INSERT INTO international VALUES (238,'WebGUI',2,'Autor:',1041593082);
INSERT INTO international VALUES (230,'WebGUI',2,'Beitrag',1041611083);
INSERT INTO international VALUES (229,'WebGUI',2,'Betreff',1041611043);
INSERT INTO international VALUES (232,'WebGUI',2,'kein Betreff',1041627741);
INSERT INTO international VALUES (175,'WebGUI',2,'Makros ausfhren?',1041611064);
INSERT INTO international VALUES (228,'WebGUI',2,'Beitrge bearbeiten ...',1041611074);
INSERT INTO international VALUES (169,'WebGUI',2,'Neuen Benutzer hinzufgen',1041611000);
INSERT INTO international VALUES (171,'WebGUI',2,'Bearbeiten mit Attributen',1041611022);
INSERT INTO international VALUES (170,'WebGUI',2,'suchen',1041611009);
INSERT INTO international VALUES (174,'WebGUI',2,'Titel anzeigen?',1041611054);
INSERT INTO international VALUES (168,'WebGUI',2,'Benutzer bearbeiten',1040639529);
INSERT INTO international VALUES (167,'WebGUI',2,'Sind Sie sicher, dass Sie diesen Benutzer lschen mchten? Die Benutzerinformation geht damit endgltig verloren!',1040648387);
INSERT INTO international VALUES (4,'Auth/LDAP',2,'Verbindungs DN',1045240216);
INSERT INTO international VALUES (3,'Auth/LDAP',2,'LDAP URL',1040644157);
INSERT INTO international VALUES (164,'WebGUI',2,'Authentifizierungsmethode',1041610972);
INSERT INTO international VALUES (163,'WebGUI',2,'Benutzer hinzufgen',1041610963);
INSERT INTO international VALUES (162,'WebGUI',2,'Sind Sie sicher, dass Sie alle Seiten und Wobjects im Mlleimer lschen mchten?',1040647879);
INSERT INTO international VALUES (160,'WebGUI',2,'Erstellungsdatum',1041610945);
INSERT INTO international VALUES (161,'WebGUI',2,'Erstellt von',1041610954);
INSERT INTO international VALUES (158,'WebGUI',2,'Neuen Style hinzufgen.',1040596030);
INSERT INTO international VALUES (506,'WebGUI',1,'Manage Templates',1031514049);
INSERT INTO international VALUES (159,'WebGUI',2,'Ausstehende Beitrge',1041610285);
INSERT INTO international VALUES (157,'WebGUI',2,'Styles',1040596005);
INSERT INTO international VALUES (156,'WebGUI',2,'Style bearbeiten',1040595987);
INSERT INTO international VALUES (155,'WebGUI',2,'Sind Sie sicher, dass Sie diesen Style lschen mchten? Beachten Sie, dass alle Seiten, die diesen Style benutzen, auf den Style \"Fail Safe\" umgestellt werden.',1040595965);
INSERT INTO international VALUES (154,'WebGUI',2,'Style Sheet',1041610928);
INSERT INTO international VALUES (151,'WebGUI',2,'Style Name',1040595820);
INSERT INTO international VALUES (149,'WebGUI',2,'Benutzer',1041610918);
INSERT INTO international VALUES (146,'WebGUI',2,'Aktive Sitzungen',1041610873);
INSERT INTO international VALUES (148,'WebGUI',2,'Wobjects',1045392042);
INSERT INTO international VALUES (147,'WebGUI',2,'Seiten',1041610909);
INSERT INTO international VALUES (145,'WebGUI',2,'WebGUI Build Version',1041610863);
INSERT INTO international VALUES (140,'WebGUI',2,'Sonstige Einstellungen bearbeiten',1041607814);
INSERT INTO international VALUES (144,'WebGUI',2,'Anschauen: Statistik',1040638400);
INSERT INTO international VALUES (141,'WebGUI',2,'\"Nicht gefunden\" Seite',1041607830);
INSERT INTO international VALUES (142,'WebGUI',2,'Sitzungs Zeitberschreitung',1041607845);
INSERT INTO international VALUES (143,'WebGUI',2,'Einstellungen verwalten',1041607865);
INSERT INTO international VALUES (139,'WebGUI',2,'Nein',1041607789);
INSERT INTO international VALUES (138,'WebGUI',2,'Ja',1041607758);
INSERT INTO international VALUES (135,'WebGUI',2,'SMTP Server',1041607780);
INSERT INTO international VALUES (134,'WebGUI',2,'Passwort wiederherstellen Text',1044376446);
INSERT INTO international VALUES (133,'WebGUI',2,'Benachrichtigungsoptionen bearbeiten',1045240845);
INSERT INTO international VALUES (130,'WebGUI',2,'Maximale Dateigre fr Anhnge',1041607705);
INSERT INTO international VALUES (125,'WebGUI',2,'Firmenname',1041607657);
INSERT INTO international VALUES (126,'WebGUI',2,'Emailadresse der Firma',1041607671);
INSERT INTO international VALUES (127,'WebGUI',2,'URL der Firma',1041607693);
INSERT INTO international VALUES (124,'WebGUI',2,'Firmeninformationen bearbeiten',1041607649);
INSERT INTO international VALUES (7,'Auth/LDAP',2,'LDAP Identitts-Name',1040644209);
INSERT INTO international VALUES (8,'Auth/LDAP',2,'LDAP Passwort/Name',1040644223);
INSERT INTO international VALUES (6,'Auth/LDAP',2,'LDAP Identitt (Standard)',1040644196);
INSERT INTO international VALUES (119,'WebGUI',2,'Authentifizierungsmethode (Standard)',1041607640);
INSERT INTO international VALUES (5,'Auth/LDAP',2,'LDAP URL (Standard)',1040644184);
INSERT INTO international VALUES (117,'WebGUI',2,'Benutzereinstellungen bearbeiten',1045243017);
INSERT INTO international VALUES (118,'WebGUI',2,'anonyme Registrierung',1041607629);
INSERT INTO international VALUES (116,'WebGUI',2,'Rechte an alle nachfolgenden Seiten weitergeben.',1040650415);
INSERT INTO international VALUES (108,'WebGUI',2,'Besitzer',1040650300);
INSERT INTO international VALUES (107,'WebGUI',2,'Rechte',1040650272);
INSERT INTO international VALUES (105,'WebGUI',2,'Layout',1048242843);
INSERT INTO international VALUES (106,'WebGUI',2,'Style fr alle nachfolgenden Seiten bernehmen.',1040595792);
INSERT INTO international VALUES (104,'WebGUI',2,'URL der Seite',1040650221);
INSERT INTO international VALUES (103,'WebGUI',2,'Seiteneigenschaften',1048242830);
INSERT INTO international VALUES (102,'WebGUI',2,'Seite bearbeiten',1040650212);
INSERT INTO international VALUES (100,'WebGUI',2,'Meta Tags',1040650200);
INSERT INTO international VALUES (353,'WebGUI',1,'You have no messages in your Inbox at this time.',1031514049);
INSERT INTO international VALUES (101,'WebGUI',2,'Sind Sie sicher, dass Sie diese Seite und ihren kompletten Inhalt darunter lschen mchten?',1040648355);
INSERT INTO international VALUES (99,'WebGUI',2,'Titel',1041611140);
INSERT INTO international VALUES (93,'WebGUI',2,'Hilfe',1041611204);
INSERT INTO international VALUES (94,'WebGUI',2,'Siehe auch',1041611195);
INSERT INTO international VALUES (92,'WebGUI',2,'Nchste Seite',1041611268);
INSERT INTO international VALUES (95,'WebGUI',2,'Hilfe Index',1041611231);
INSERT INTO international VALUES (91,'WebGUI',2,'Vorherige Seite',1041611277);
INSERT INTO international VALUES (89,'WebGUI',2,'Gruppen',1041628859);
INSERT INTO international VALUES (90,'WebGUI',2,'Neue Gruppe\r\nhinzufgen',1041611287);
INSERT INTO international VALUES (88,'WebGUI',2,'Benutzer in dieser Gruppe',1041628867);
INSERT INTO international VALUES (87,'WebGUI',2,'Gruppe bearbeiten',1041628877);
INSERT INTO international VALUES (86,'WebGUI',2,'Sind Sie sicher, dass Sie diese Gruppe lschen mchten? Denken Sie daran, dass diese Gruppe und die zugehrige Rechtesstruktur endgltig gelscht wird.',1040648228);
INSERT INTO international VALUES (85,'WebGUI',2,'Inhalt/Beschreibung',1045497659);
INSERT INTO international VALUES (84,'WebGUI',2,'Gruppenname',1041628893);
INSERT INTO international VALUES (82,'WebGUI',2,'Administrative Funktionen ...',1041630103);
INSERT INTO international VALUES (81,'WebGUI',2,'Benutzerkonto wurde erfolgreich aktualisiert!',1041593522);
INSERT INTO international VALUES (80,'WebGUI',2,'Benutzerkonto wurde erfolgreich angelegt!',1041593500);
INSERT INTO international VALUES (3,'Auth/WebGUI',2,'Die Passwrter unterscheiden sich. Bitte versuchen Sie es noch einmal.',1040598052);
INSERT INTO international VALUES (2,'Auth/LDAP',2,'Verbindung zum LDAP-Server konnte nicht hergestellt werden.',1040598025);
INSERT INTO international VALUES (77,'WebGUI',2,'Dieser Benutzername ist bereits vergeben. Bitte whlen Sie einen anderen Benutzernamen. Hier sind einige Vorschlge:',1041611326);
INSERT INTO international VALUES (74,'WebGUI',2,'Benutzerkonteninformationen',1041631729);
INSERT INTO international VALUES (73,'WebGUI',2,'Anmelden',1040598159);
INSERT INTO international VALUES (76,'WebGUI',2,'Ihre Emailadresse ist nicht in unserer Datenbank.',1041631742);
INSERT INTO international VALUES (75,'WebGUI',2,'Ihre Benutzerkonteninformationen wurden an Ihre Emailadresse gesendet.',1041629885);
INSERT INTO international VALUES (72,'WebGUI',2,'wiederherstellen',1041631715);
INSERT INTO international VALUES (71,'WebGUI',2,'Passwort wiederherstellen',1041631530);
INSERT INTO international VALUES (70,'WebGUI',2,'Fehler',1041631245);
INSERT INTO international VALUES (69,'WebGUI',2,'Bitten Sie Ihren Systemadministrator um Hilfe.',1041593475);
INSERT INTO international VALUES (66,'WebGUI',2,'Anmelden',1041630393);
INSERT INTO international VALUES (67,'WebGUI',2,'Neues Benutzerkonto einrichten',1041593453);
INSERT INTO international VALUES (408,'WebGUI',1,'Manage Roots',1031514049);
INSERT INTO international VALUES (409,'WebGUI',1,'Add a new root.',1031514049);
INSERT INTO international VALUES (410,'WebGUI',1,'Manage roots.',1031514049);
INSERT INTO international VALUES (411,'WebGUI',1,'Menu Title',1031514049);
INSERT INTO international VALUES (412,'WebGUI',1,'Synopsis',1031514049);
INSERT INTO international VALUES (894,'WebGUI',1,'Allow discussion?',1031514049);
INSERT INTO international VALUES (10,'Product',1,'Price',1031514049);
INSERT INTO international VALUES (22,'Article',1,'Author',1031514049);
INSERT INTO international VALUES (23,'Article',1,'Date',1031514049);
INSERT INTO international VALUES (24,'Article',1,'Post Response',1031514049);
INSERT INTO international VALUES (58,'USS',1,'Previous Submission',1031514049);
INSERT INTO international VALUES (27,'Article',1,'Back To Article',1031514049);
INSERT INTO international VALUES (28,'Article',1,'View Responses',1031514049);
INSERT INTO international VALUES (55,'Product',1,'Add a benefit.',1031514049);
INSERT INTO international VALUES (416,'WebGUI',1,'<h1>Problem With Request</h1>We have encountered a problem with your request. Please use your back button and try again. If this problem persists, please contact us with what you were trying to do and the time and date of the problem.',1031514049);
INSERT INTO international VALUES (417,'WebGUI',1,'<h1>Security Violation</h1>You attempted to access a wobject not associated with this page. This incident has been reported.',1031514049);
INSERT INTO international VALUES (418,'WebGUI',1,'Filter Content',1046604931);
INSERT INTO international VALUES (420,'WebGUI',1,'Remove nothing.',1046637549);
INSERT INTO international VALUES (421,'WebGUI',1,'Remove everything except basic formating.',1046611728);
INSERT INTO international VALUES (422,'WebGUI',1,'<h1>Login Failed</h1>The information supplied does not match the account.',1031514049);
INSERT INTO international VALUES (423,'WebGUI',1,'View active sessions.',1031514049);
INSERT INTO international VALUES (424,'WebGUI',1,'View login history.',1031514049);
INSERT INTO international VALUES (425,'WebGUI',1,'Active Sessions',1031514049);
INSERT INTO international VALUES (426,'WebGUI',1,'Login History',1031514049);
INSERT INTO international VALUES (427,'WebGUI',1,'Styles',1031514049);
INSERT INTO international VALUES (428,'WebGUI',1,'User (ID)',1031514049);
INSERT INTO international VALUES (429,'WebGUI',1,'Login Time',1031514049);
INSERT INTO international VALUES (430,'WebGUI',1,'Last Page View',1031514049);
INSERT INTO international VALUES (431,'WebGUI',1,'IP Address',1031514049);
INSERT INTO international VALUES (432,'WebGUI',1,'Expires',1031514049);
INSERT INTO international VALUES (433,'WebGUI',1,'User Agent',1031514049);
INSERT INTO international VALUES (434,'WebGUI',1,'Status',1031514049);
INSERT INTO international VALUES (435,'WebGUI',1,'Session Signature',1031514049);
INSERT INTO international VALUES (436,'WebGUI',1,'Kill Session',1031514049);
INSERT INTO international VALUES (437,'WebGUI',1,'Statistics',1031514049);
INSERT INTO international VALUES (438,'WebGUI',1,'Your Name',1031514049);
INSERT INTO international VALUES (68,'WebGUI',2,'Die Benutzerkontoinformationen, die Sie eingegeben haben, sind ungltig. Entweder existiert das Konto nicht, oder die Kombination aus Benutzername und Passwort ist falsch.',1040651193);
INSERT INTO international VALUES (65,'WebGUI',2,'Benutzerkonto endgltig deaktivieren',1041593438);
INSERT INTO international VALUES (62,'WebGUI',2,'sichern',1041630031);
INSERT INTO international VALUES (64,'WebGUI',2,'Abmelden',1041630039);
INSERT INTO international VALUES (63,'WebGUI',2,'Editieren einschalten',1040464598);
INSERT INTO international VALUES (61,'WebGUI',2,'Benutzerkontendetails aktualisieren',1041626116);
INSERT INTO international VALUES (60,'WebGUI',2,'Sind Sie sicher, dass Sie dieses Benutzerkonto deaktivieren mchten? Wenn Sie fortfahren, sind Ihre Konteninformationen endgltig verloren.',1040648187);
INSERT INTO international VALUES (1,'SyndicatedContent',6,'URL till RSS filen',1031510000);
INSERT INTO international VALUES (59,'WebGUI',2,'Ich habe mein Passwort vergessen.',1041629945);
INSERT INTO international VALUES (58,'WebGUI',2,'Ich besitze bereits ein Benutzerkonto.',1041593424);
INSERT INTO international VALUES (59,'Product',1,'Name',1031514049);
INSERT INTO international VALUES (60,'Product',1,'Template',1031514049);
INSERT INTO international VALUES (56,'WebGUI',2,'Email Adresse',1041629556);
INSERT INTO international VALUES (57,'WebGUI',2,'(Dies ist nur notwendig, wenn Sie Eigenschaften benutzen mchten die eine Emailadresse voraussetzen)',1041612479);
INSERT INTO international VALUES (2,'Auth/WebGUI',2,'Passwort (besttigen)',1040644235);
INSERT INTO international VALUES (54,'WebGUI',2,'Benutzerkonto anlegen',1041593408);
INSERT INTO international VALUES (7,'Article',10,'Titel p henvisning',1031510000);
INSERT INTO international VALUES (53,'WebGUI',2,'Druckbares Format',1040651152);
INSERT INTO international VALUES (51,'WebGUI',2,'Passwort',1041632420);
INSERT INTO international VALUES (49,'WebGUI',2,'Hier knnen Sie sich <A href=\"^\\;?op=logout\">abmelden</A>.',1048591856);
INSERT INTO international VALUES (52,'WebGUI',2,'Anmelden',1041628924);
INSERT INTO international VALUES (50,'WebGUI',2,'Benutzername',1041632405);
INSERT INTO international VALUES (48,'WebGUI',2,'Hallo',1041632315);
INSERT INTO international VALUES (47,'WebGUI',2,'Startseite',1041632240);
INSERT INTO international VALUES (46,'WebGUI',2,'Mein Benutzerkonto',1041593393);
INSERT INTO international VALUES (45,'WebGUI',2,'Nein, ich habe einen Fehler gemacht.',1041628563);
INSERT INTO international VALUES (44,'WebGUI',2,'Ja, ich bin mir sicher.',1041628506);
INSERT INTO international VALUES (43,'WebGUI',2,'Sind Sie sicher, dass Sie diesen Inhalt lschen mchten?',1040647922);
INSERT INTO international VALUES (42,'WebGUI',2,'Bitte besttigen Sie',1041628454);
INSERT INTO international VALUES (41,'WebGUI',2,'Sie versuchen einen notwendigen Bestandteil des Systems zu lschen. WebGUI wrde nach dieser Aktion mglicherweise nicht mehr richtig funktionieren.',1041628063);
INSERT INTO international VALUES (39,'WebGUI',2,'Sie sind nicht berechtigt, diese Seite anzuschauen.',1041628135);
INSERT INTO international VALUES (40,'WebGUI',2,'Notwendiger Bestandteil',1041628173);
INSERT INTO international VALUES (38,'WebGUI',2,'Sie sind nicht berechtigt, diese Aktion auszufhren. ^a(Melden Sie sich bitte mit einem Benutzernamen an);, der ber ausreichende Rechte verfgt.',1048591755);
INSERT INTO international VALUES (37,'WebGUI',2,'Zugriff verweigert!',1041628318);
INSERT INTO international VALUES (37,'USS',2,'Lschen',1040649997);
INSERT INTO international VALUES (36,'WebGUI',2,'Um diese Funktion ausfhren zu knnen, mssen Sie Administrator sein. Bitte nehmen Sie Kontakt mit einem Ihrer Administratoren auf. Nachfolgend eine Aufstellung der Administratoren:',1041593191);
INSERT INTO international VALUES (35,'WebGUI',2,'Administrative Funktion',1041628286);
INSERT INTO international VALUES (35,'USS',2,'Titel',1040639629);
INSERT INTO international VALUES (34,'WebGUI',2,'Datum setzen',1041628390);
INSERT INTO international VALUES (34,'USS',2,'Carriage Return beachten?',1040649988);
INSERT INTO international VALUES (33,'WebGUI',2,'Samstag',1041611459);
INSERT INTO international VALUES (32,'WebGUI',2,'Freitag',1041611445);
INSERT INTO international VALUES (33,'USS',2,'Anhang',1040639638);
INSERT INTO international VALUES (32,'USS',2,'Grafik',1040639621);
INSERT INTO international VALUES (31,'WebGUI',2,'Donnerstag',1041611433);
INSERT INTO international VALUES (30,'WebGUI',2,'Mittwoch',1041611033);
INSERT INTO international VALUES (31,'USS',2,'Inhalt',1040649976);
INSERT INTO international VALUES (29,'WebGUI',2,'Dienstag',1041611399);
INSERT INTO international VALUES (28,'WebGUI',2,'Montag',1041611386);
INSERT INTO international VALUES (29,'USS',2,'Benutzerbeitragssystem',1041635174);
INSERT INTO international VALUES (28,'USS',2,'Zurck zur Beitragsliste',1040649930);
INSERT INTO international VALUES (28,'Article',2,'Kommentare anschauen',1040597920);
INSERT INTO international VALUES (27,'WebGUI',2,'Sonntag',1041611372);
INSERT INTO international VALUES (27,'USS',2,'Bearbeiten',1040649918);
INSERT INTO international VALUES (27,'Article',2,'Zurck zum Artikel',1040597909);
INSERT INTO international VALUES (26,'WebGUI',2,'Dezember',1041617362);
INSERT INTO international VALUES (2,'WebGUI',6,'Sida',1031510000);
INSERT INTO international VALUES (574,'WebGUI',2,'Ablehnen',1041610553);
INSERT INTO international VALUES (25,'WebGUI',2,'November',1041610832);
INSERT INTO international VALUES (573,'WebGUI',2,'Ausstehend verlassen',1041610331);
INSERT INTO international VALUES (24,'WebGUI',2,'Oktober',1041593097);
INSERT INTO international VALUES (24,'Article',2,'Kommentar schreiben',1040597898);
INSERT INTO international VALUES (1,'Article',6,'Artikel',1031510000);
INSERT INTO international VALUES (572,'WebGUI',2,'Freigeben',1041629753);
INSERT INTO international VALUES (23,'WebGUI',2,'September',1041610991);
INSERT INTO international VALUES (23,'Article',2,'Datum',1040597864);
INSERT INTO international VALUES (22,'WebGUI',2,'August',1041610982);
INSERT INTO international VALUES (22,'Article',2,'Autor',1040646744);
INSERT INTO international VALUES (22,'MessageBoard',2,'Beitrag lschen',1040646696);
INSERT INTO international VALUES (3,'USS',6,'Du har ett nytt meddelande att validera.',1031648406);
INSERT INTO international VALUES (21,'WebGUI',2,'Juli',1041607739);
INSERT INTO international VALUES (21,'USS',2,'Erstellt von',1040649909);
INSERT INTO international VALUES (565,'WebGUI',2,'Wer kann moderieren?',1041629652);
INSERT INTO international VALUES (4,'EventsCalendar',6,'Intrffar endast en gng.',1031510000);
INSERT INTO international VALUES (20,'WebGUI',2,'Juni',1041610842);
INSERT INTO international VALUES (20,'USS',2,'Neuen Beitrag schreiben',1040649897);
INSERT INTO international VALUES (20,'MessageBoard',2,'Letzte Antwort',1040646685);
INSERT INTO international VALUES (4,'Item',6,'Post',1031510000);
INSERT INTO international VALUES (4,'SQLReport',6,'Query',1031510000);
INSERT INTO international VALUES (20,'FileManager',2,'Eintrge pro Seite',1041594596);
INSERT INTO international VALUES (19,'WebGUI',2,'Mai',1041607729);
INSERT INTO international VALUES (19,'USS',2,'Beitrag bearbeiten',1040649874);
INSERT INTO international VALUES (19,'MessageBoard',2,'Antworten',1040646664);
INSERT INTO international VALUES (5,'FAQ',6,'Frga',1031510000);
INSERT INTO international VALUES (19,'EventsCalendar',2,'Eintrge pro Seite',1041594657);
INSERT INTO international VALUES (19,'FileManager',2,'Sie besitzen keine Dateien, die zum Download bereitstehen.',1040644770);
INSERT INTO international VALUES (18,'WebGUI',2,'April',1041607719);
INSERT INTO international VALUES (18,'USS',2,'Benutzerbeitragssystem bearbeiten',1041635143);
INSERT INTO international VALUES (18,'SQLReport',2,'Diese Abfrage liefert keine Ergebnisse.',1040649334);
INSERT INTO international VALUES (18,'MessageBoard',2,'Diskussion begonnen',1040646655);
INSERT INTO international VALUES (18,'FileManager',2,'Alternative #2',1040644753);
INSERT INTO international VALUES (17,'WebGUI',2,'Mrz',1041610852);
INSERT INTO international VALUES (894,'WebGUI',2,'Diskussion erlauben?',1040597839);
INSERT INTO international VALUES (17,'USS',2,'Sind Sie sicher, dass Sie diesen Beitrag lschen mchten?',1040648045);
INSERT INTO international VALUES (17,'SQLReport',2,'<b>Debug:</b> Abfrage:',1040649160);
INSERT INTO international VALUES (17,'MessageBoard',2,'Neuen Beitrag schreiben',1040646643);
INSERT INTO international VALUES (17,'FileManager',2,'Alternative #1',1040644743);
INSERT INTO international VALUES (16,'WebGUI',2,'Februar',1041610936);
INSERT INTO international VALUES (16,'USS',2,'Ohne Titel',1040649848);
INSERT INTO international VALUES (48,'Product',1,'Are you certain you wish to delete this benefit? It cannot be recovered once it has been deleted.',1031514049);
INSERT INTO international VALUES (16,'FileManager',2,'Upload Datum',1040644733);
INSERT INTO international VALUES (16,'SQLReport',2,'Debuggen?',1040649322);
INSERT INTO international VALUES (16,'MessageBoard',2,'Datum',1040646632);
INSERT INTO international VALUES (774,'WebGUI',1,'Are you certain you wish to delete this collateral? It cannot be recovered once deleted.',1036902945);
INSERT INTO international VALUES (15,'USS',2,'Bearbeiten/Lschen',1040649837);
INSERT INTO international VALUES (15,'WebGUI',2,'Januar',1041607749);
INSERT INTO international VALUES (771,'WebGUI',1,'Snippet',1036893079);
INSERT INTO international VALUES (15,'SQLReport',2,'Sollen die Makros in der Abfrage vorverarbeitet werden?',1040649287);
INSERT INTO international VALUES (15,'MessageBoard',2,'Autor',1040646766);
INSERT INTO international VALUES (15,'EventsCalendar',2,'Ende Datum',1040644283);
INSERT INTO international VALUES (14,'WebGUI',2,'Ausstehende Beitrge anschauen',1041607802);
INSERT INTO international VALUES (15,'FileManager',2,'Beschreibung',1040644722);
INSERT INTO international VALUES (14,'USS',2,'Status',1040649826);
INSERT INTO international VALUES (14,'SQLReport',2,'Eintrge pro Seite',1041594620);
INSERT INTO international VALUES (14,'EventsCalendar',2,'Start Datum',1040644271);
INSERT INTO international VALUES (14,'FileManager',2,'Datei',1040644713);
INSERT INTO international VALUES (762,'WebGUI',1,'Add a file.',1036892774);
INSERT INTO international VALUES (13,'WebGUI',2,'Anschauen: Hilfe',1040640807);
INSERT INTO international VALUES (13,'USS',2,'Erstellungsdatum',1040649817);
INSERT INTO international VALUES (13,'SQLReport',2,'Carriage Return beachten?',1040649235);
INSERT INTO international VALUES (439,'WebGUI',1,'Personal Information',1031514049);
INSERT INTO international VALUES (440,'WebGUI',1,'Contact Information',1031514049);
INSERT INTO international VALUES (441,'WebGUI',1,'Email To Pager Gateway',1031514049);
INSERT INTO international VALUES (442,'WebGUI',1,'Work Information',1031514049);
INSERT INTO international VALUES (443,'WebGUI',1,'Home Information',1031514049);
INSERT INTO international VALUES (444,'WebGUI',1,'Demographic Information',1031514049);
INSERT INTO international VALUES (445,'WebGUI',1,'Preferences',1031514049);
INSERT INTO international VALUES (446,'WebGUI',1,'Work Web Site',1031514049);
INSERT INTO international VALUES (447,'WebGUI',1,'Manage page tree.',1031514049);
INSERT INTO international VALUES (448,'WebGUI',1,'Page Tree',1031514049);
INSERT INTO international VALUES (449,'WebGUI',1,'Miscellaneous Information',1031514049);
INSERT INTO international VALUES (450,'WebGUI',1,'Work Name (Company Name)',1031514049);
INSERT INTO international VALUES (451,'WebGUI',1,'is required.',1031514049);
INSERT INTO international VALUES (452,'WebGUI',1,'Please wait...',1031514049);
INSERT INTO international VALUES (453,'WebGUI',1,'Date Created',1031514049);
INSERT INTO international VALUES (454,'WebGUI',1,'Last Updated',1031514049);
INSERT INTO international VALUES (455,'WebGUI',1,'Edit User\'s Profile',1031514049);
INSERT INTO international VALUES (456,'WebGUI',1,'Back to user list.',1031514049);
INSERT INTO international VALUES (457,'WebGUI',1,'Edit this user\'s account.',1031514049);
INSERT INTO international VALUES (458,'WebGUI',1,'Edit this user\'s groups.',1031514049);
INSERT INTO international VALUES (459,'WebGUI',1,'Edit this user\'s profile.',1031514049);
INSERT INTO international VALUES (460,'WebGUI',1,'Time Offset',1031514049);
INSERT INTO international VALUES (461,'WebGUI',1,'Date Format',1031514049);
INSERT INTO international VALUES (462,'WebGUI',1,'Time Format',1031514049);
INSERT INTO international VALUES (463,'WebGUI',1,'Text Area Rows',1031514049);
INSERT INTO international VALUES (464,'WebGUI',1,'Text Area Columns',1031514049);
INSERT INTO international VALUES (465,'WebGUI',1,'Text Box Size',1031514049);
INSERT INTO international VALUES (466,'WebGUI',1,'Are you certain you wish to delete this category and move all of its fields to the Miscellaneous category?',1031514049);
INSERT INTO international VALUES (467,'WebGUI',1,'Are you certain you wish to delete this field and all user data attached to it?',1031514049);
INSERT INTO international VALUES (468,'WebGUI',6,'Redigera Anvndar Profil Kategorier',1031579473);
INSERT INTO international VALUES (469,'WebGUI',1,'Id',1031514049);
INSERT INTO international VALUES (470,'WebGUI',1,'Name',1031514049);
INSERT INTO international VALUES (472,'WebGUI',1,'Label',1031514049);
INSERT INTO international VALUES (473,'WebGUI',1,'Visible?',1031514049);
INSERT INTO international VALUES (474,'WebGUI',1,'Required?',1031514049);
INSERT INTO international VALUES (475,'WebGUI',1,'Text',1031514049);
INSERT INTO international VALUES (476,'WebGUI',1,'Text Area',1031514049);
INSERT INTO international VALUES (477,'WebGUI',1,'HTML Area',1031514049);
INSERT INTO international VALUES (478,'WebGUI',1,'URL',1031514049);
INSERT INTO international VALUES (479,'WebGUI',1,'Date',1031514049);
INSERT INTO international VALUES (480,'WebGUI',1,'Email Address',1031514049);
INSERT INTO international VALUES (481,'WebGUI',1,'Telephone Number',1031514049);
INSERT INTO international VALUES (482,'WebGUI',1,'Number (Integer)',1031514049);
INSERT INTO international VALUES (483,'WebGUI',1,'Yes or No',1031514049);
INSERT INTO international VALUES (484,'WebGUI',1,'Select List',1031514049);
INSERT INTO international VALUES (485,'WebGUI',1,'Boolean (Checkbox)',1031514049);
INSERT INTO international VALUES (486,'WebGUI',1,'Data Type',1031514049);
INSERT INTO international VALUES (487,'WebGUI',1,'Possible Values',1031514049);
INSERT INTO international VALUES (488,'WebGUI',1,'Default Value(s)',1031514049);
INSERT INTO international VALUES (489,'WebGUI',1,'Profile Category',1031514049);
INSERT INTO international VALUES (490,'WebGUI',1,'Add a profile category.',1031514049);
INSERT INTO international VALUES (491,'WebGUI',1,'Add a profile field.',1031514049);
INSERT INTO international VALUES (492,'WebGUI',1,'Profile fields list.',1031514049);
INSERT INTO international VALUES (493,'WebGUI',1,'Back to site.',1031514049);
INSERT INTO international VALUES (495,'WebGUI',1,'htmlArea (Internet Explorer 5.5+)',1044704928);
INSERT INTO international VALUES (496,'WebGUI',1,'Editor To Use',1031514049);
INSERT INTO international VALUES (494,'WebGUI',1,'RealObjects edit-on Pro 2.x',1044704984);
INSERT INTO international VALUES (497,'WebGUI',1,'Start Date',1031514049);
INSERT INTO international VALUES (498,'WebGUI',1,'End Date',1031514049);
INSERT INTO international VALUES (499,'WebGUI',1,'Wobject ID',1031514049);
INSERT INTO international VALUES (500,'WebGUI',1,'Page ID',1031514049);
INSERT INTO international VALUES (5,'Poll',6,'Bredd p staplar',1031650849);
INSERT INTO international VALUES (5,'SiteMap',6,'Redigera Site Kartan',1031510000);
INSERT INTO international VALUES (5,'SQLReport',6,'DSN',1031510000);
INSERT INTO international VALUES (5,'USS',6,'Ditt meddelande har blivit nekat validering.',1031648653);
INSERT INTO international VALUES (5,'WebGUI',6,'Hantera grupper.',1047894338);
INSERT INTO international VALUES (6,'Article',6,'Bild',1031510000);
INSERT INTO international VALUES (701,'WebGUI',6,'Vecka',1031510000);
INSERT INTO international VALUES (6,'ExtraColumn',6,'Lgg till extra column',1031510000);
INSERT INTO international VALUES (6,'FAQ',6,'Svar',1031510000);
INSERT INTO international VALUES (6,'LinkList',6,'Lnklista',1032257336);
INSERT INTO international VALUES (6,'MessageBoard',6,'Redigera Meddelande Forum',1031510000);
INSERT INTO international VALUES (6,'Poll',6,'Frga',1031510000);
INSERT INTO international VALUES (6,'SiteMap',6,'Indentering',1031510000);
INSERT INTO international VALUES (6,'SQLReport',6,'Databas anvndare',1031651366);
INSERT INTO international VALUES (6,'USS',6,'Inlgg per sida',1031510000);
INSERT INTO international VALUES (6,'WebGUI',6,'Hantera stilar.',1047894359);
INSERT INTO international VALUES (7,'Article',6,'Lnktitel',1032859374);
INSERT INTO international VALUES (7,'FAQ',6,'r du sker p att du vill radera denna frga?',1031510000);
INSERT INTO international VALUES (7,'MessageBoard',6,'Frfattare:',1031510000);
INSERT INTO international VALUES (7,'Poll',6,'Svar',1031510000);
INSERT INTO international VALUES (7,'SQLReport',6,'Databas lsenord',1031651382);
INSERT INTO international VALUES (560,'WebGUI',6,'Godknt',1047850822);
INSERT INTO international VALUES (7,'WebGUI',6,'Hantera anvndare.',1047894382);
INSERT INTO international VALUES (8,'Article',6,'Lnk-URL',1032859384);
INSERT INTO international VALUES (8,'EventsCalendar',6,'terkommer varje',1031649719);
INSERT INTO international VALUES (8,'FAQ',6,'Redigera F.A.Q.',1031510000);
INSERT INTO international VALUES (8,'LinkList',6,'URL',1031510000);
INSERT INTO international VALUES (8,'MessageBoard',6,'Datum:',1031510000);
INSERT INTO international VALUES (8,'Poll',6,'(Mata in ett svar per rad. Max 20.)',1031510000);
INSERT INTO international VALUES (8,'SQLReport',6,'Redigera SQL Rapport',1031510000);
INSERT INTO international VALUES (561,'WebGUI',6,'Nekat',1031510000);
INSERT INTO international VALUES (8,'WebGUI',6,'Visa page not found.',1031510000);
INSERT INTO international VALUES (9,'Article',6,'Bilagor',1031510000);
INSERT INTO international VALUES (9,'EventsCalendar',6,'till',1031649729);
INSERT INTO international VALUES (9,'FAQ',6,'Lgg till ny frga.',1031510000);
INSERT INTO international VALUES (9,'LinkList',6,'r du sker att du vill radera denna lnk?',1031510000);
INSERT INTO international VALUES (9,'MessageBoard',6,'Meddelande-ID:',1031650055);
INSERT INTO international VALUES (9,'Poll',6,'Redigera frga',1031510000);
INSERT INTO international VALUES (9,'SQLReport',6,'<b>Debug:</b> Error: The DSN specified is of an improper format.',1047893389);
INSERT INTO international VALUES (562,'WebGUI',6,'Vntande',1031510000);
INSERT INTO international VALUES (9,'WebGUI',6,'Visa klippbord.',1031510000);
INSERT INTO international VALUES (10,'Article',6,'Konvertera radbrytning?',1031510000);
INSERT INTO international VALUES (10,'FAQ',6,'Redigera frga',1031510000);
INSERT INTO international VALUES (10,'LinkList',6,'Redigera lnklista',1032257325);
INSERT INTO international VALUES (10,'Poll',6,'terstll rster.',1031510000);
INSERT INTO international VALUES (10,'SQLReport',6,'<b>Debug:</b> Error: The SQL specified is of an improper format.',1047893431);
INSERT INTO international VALUES (563,'WebGUI',6,'Standardstatus',1031580967);
INSERT INTO international VALUES (10,'WebGUI',6,'Hantera skrpkorgen.',1031510000);
INSERT INTO international VALUES (11,'Article',6,'(Kryssa i om du inte skriver &lt;br&gt; manuellt.)',1031841919);
INSERT INTO international VALUES (77,'EventsCalendar',1,'Delete this event <b>and</b> all of its recurrences.',1031514049);
INSERT INTO international VALUES (11,'MessageBoard',6,'Tillbaka till meddelandelista',1031649810);
INSERT INTO international VALUES (11,'SQLReport',6,'<b>Debug:</b> Error: There was a problem with the query.',1047893473);
INSERT INTO international VALUES (11,'WebGUI',6,'Tm skrpkorgen.',1031648713);
INSERT INTO international VALUES (12,'Article',6,'Redigera artikel',1031841932);
INSERT INTO international VALUES (12,'EventsCalendar',6,'Redigera Hndelser Kalender',1031649518);
INSERT INTO international VALUES (12,'LinkList',6,'Redigera Lnk',1031510000);
INSERT INTO international VALUES (12,'MessageBoard',6,'Redigera meddelande',1031510000);
INSERT INTO international VALUES (12,'SQLReport',6,'<b>Debug:</b> Error: Could not connect to the database.',1047893506);
INSERT INTO international VALUES (12,'USS',6,'(Avkryssa om du skriver ett HTML-inlgg)',1031648376);
INSERT INTO international VALUES (12,'WebGUI',6,'Stng av administratrsverktyg.',1047893028);
INSERT INTO international VALUES (13,'Article',6,'Radera',1031510000);
INSERT INTO international VALUES (13,'EventsCalendar',6,'Lgg till hndelse',1031510000);
INSERT INTO international VALUES (13,'LinkList',6,'Lgg till en ny lnk.',1031510000);
INSERT INTO international VALUES (577,'WebGUI',6,'Skicka svar',1031510000);
INSERT INTO international VALUES (13,'USS',6,'Inlagt den',1031510000);
INSERT INTO international VALUES (13,'WebGUI',6,'Visa hjlpindex.',1031510000);
INSERT INTO international VALUES (514,'WebGUI',1,'Views',1031514049);
INSERT INTO international VALUES (14,'USS',6,'Status',1031510000);
INSERT INTO international VALUES (14,'WebGUI',6,'Visa vntande meddelanden.',1031510000);
INSERT INTO international VALUES (15,'MessageBoard',6,'Frfattare',1031510000);
INSERT INTO international VALUES (15,'USS',6,'Redigera/Ta bort',1031510000);
INSERT INTO international VALUES (15,'WebGUI',6,'Januari',1031510000);
INSERT INTO international VALUES (16,'MessageBoard',6,'Datum',1031510000);
INSERT INTO international VALUES (16,'USS',6,'Namnls',1031510000);
INSERT INTO international VALUES (16,'WebGUI',6,'Februari',1031510000);
INSERT INTO international VALUES (17,'MessageBoard',6,'Skicka nytt meddelande',1031510000);
INSERT INTO international VALUES (17,'USS',6,'r du sker du vill ta bort detta inlgg?',1031648389);
INSERT INTO international VALUES (17,'WebGUI',6,'Mars',1031510000);
INSERT INTO international VALUES (18,'MessageBoard',6,'Trd startad',1031510000);
INSERT INTO international VALUES (18,'USS',6,'Redigera inlggssystem',1032257235);
INSERT INTO international VALUES (18,'WebGUI',6,'April',1031510000);
INSERT INTO international VALUES (19,'MessageBoard',6,'Svar',1031510000);
INSERT INTO international VALUES (19,'USS',6,'Redigera inlgg',1031510000);
INSERT INTO international VALUES (19,'WebGUI',6,'Maj',1031510000);
INSERT INTO international VALUES (20,'MessageBoard',6,'Senaste svar',1031510000);
INSERT INTO international VALUES (20,'USS',6,'Skicka nytt inlgg',1031510000);
INSERT INTO international VALUES (20,'WebGUI',6,'Juni',1031510000);
INSERT INTO international VALUES (21,'USS',6,'Skrivet av',1031510000);
INSERT INTO international VALUES (21,'WebGUI',6,'Juli',1031510000);
INSERT INTO international VALUES (22,'WebGUI',6,'Augusti',1031510000);
INSERT INTO international VALUES (23,'WebGUI',6,'September',1031510000);
INSERT INTO international VALUES (572,'WebGUI',6,'Godknn',1031510000);
INSERT INTO international VALUES (24,'WebGUI',6,'Oktober',1031510000);
INSERT INTO international VALUES (573,'WebGUI',6,'Lmna i vntelge',1031510000);
INSERT INTO international VALUES (25,'WebGUI',6,'November',1031510000);
INSERT INTO international VALUES (574,'WebGUI',6,'Neka',1031510000);
INSERT INTO international VALUES (26,'WebGUI',6,'December',1031510000);
INSERT INTO international VALUES (27,'USS',6,'Redigera',1031510000);
INSERT INTO international VALUES (27,'WebGUI',6,'Sndag',1031510000);
INSERT INTO international VALUES (28,'USS',6,'terg till inlggslistan',1031510000);
INSERT INTO international VALUES (28,'WebGUI',6,'Mndag',1031510000);
INSERT INTO international VALUES (29,'USS',6,'Anvndar-inlggssystem',1032257257);
INSERT INTO international VALUES (29,'WebGUI',6,'Tisdag',1031510000);
INSERT INTO international VALUES (576,'WebGUI',1,'Delete',1031514049);
INSERT INTO international VALUES (30,'WebGUI',6,'Onsdag',1031510000);
INSERT INTO international VALUES (31,'WebGUI',6,'Torsdag',1031510000);
INSERT INTO international VALUES (32,'WebGUI',6,'Fredag',1031510000);
INSERT INTO international VALUES (33,'WebGUI',6,'Lrdag',1031510000);
INSERT INTO international VALUES (34,'WebGUI',6,'stt datum',1031510000);
INSERT INTO international VALUES (35,'WebGUI',6,'Administrativa funktioner',1031510000);
INSERT INTO international VALUES (36,'WebGUI',6,'Du mste vara administratr fr att utfra denna funktion. Var vnlig kontakta ngon av administratrerna. Fljande r en lista av administratrer i systemet:',1031510000);
INSERT INTO international VALUES (37,'WebGUI',6,'tkomst nekas!',1031510000);
INSERT INTO international VALUES (404,'WebGUI',6,'Frstasidan',1032859685);
INSERT INTO international VALUES (38,'WebGUI',6,'Du har inte rttigheter att utfra denna operation. Var vnlig och ^a(logga in); p ett konto med tillrckliga rttigheter.',1031510000);
INSERT INTO international VALUES (39,'WebGUI',6,'tkomst nekas, du har inte tillrckliga privilegier.',1032434775);
INSERT INTO international VALUES (40,'WebGUI',6,'Vital komponent',1031510000);
INSERT INTO international VALUES (41,'WebGUI',6,'Du hller p att ta bort en vital komponent frn WebGUI systemet. Om du hade varit tillten att gra detta, hade WebGUI slutat fungera!',1032859714);
INSERT INTO international VALUES (42,'WebGUI',6,'Var vnlig konfirmera',1031510000);
INSERT INTO international VALUES (43,'WebGUI',6,'r du sker att du vill ta bort detta innehll?',1032434800);
INSERT INTO international VALUES (44,'WebGUI',6,'Ja, jag r sker.',1031510000);
INSERT INTO international VALUES (45,'WebGUI',6,'Nej, jag gjorde ett misstag.',1031510000);
INSERT INTO international VALUES (46,'WebGUI',6,'Mitt konto',1031510000);
INSERT INTO international VALUES (47,'WebGUI',6,'Hem',1031510000);
INSERT INTO international VALUES (48,'WebGUI',6,'Hej',1031510000);
INSERT INTO international VALUES (49,'WebGUI',6,'Klicka <a href=\"^\\;?op=logout\">hr</a> fr att logga ur.',1047892752);
INSERT INTO international VALUES (50,'WebGUI',6,'Anvndarnamn',1031510000);
INSERT INTO international VALUES (51,'WebGUI',6,'Lsenord',1031510000);
INSERT INTO international VALUES (52,'WebGUI',6,'logga in',1031580920);
INSERT INTO international VALUES (53,'WebGUI',6,'Utskriftsversion',1031580930);
INSERT INTO international VALUES (54,'WebGUI',6,'Skapa konto',1031510000);
INSERT INTO international VALUES (2,'Auth/WebGUI',6,'Lsenord (kontroll)',1031510000);
INSERT INTO international VALUES (56,'WebGUI',6,'E-postadress',1031580948);
INSERT INTO international VALUES (57,'WebGUI',6,'Detta krvs endas om du vill anvnda tjnster som krver e-post.',1031580985);
INSERT INTO international VALUES (58,'WebGUI',6,'Jag har redan ett konto.',1031510000);
INSERT INTO international VALUES (59,'WebGUI',6,'Jag har glmt mitt lsenord.',1031510000);
INSERT INTO international VALUES (60,'WebGUI',6,'r du sker p att du vill stnga ned ditt konto? Om du fortstter kommer all information att vara permanent frlorad.',1032859889);
INSERT INTO international VALUES (61,'WebGUI',6,'Uppdatera kontoinformation',1032859900);
INSERT INTO international VALUES (62,'WebGUI',6,'spara',1031510000);
INSERT INTO international VALUES (63,'WebGUI',6,'Sl p administratrsverktyg.',1047893069);
INSERT INTO international VALUES (64,'WebGUI',6,'Logga ut.',1031510000);
INSERT INTO international VALUES (65,'WebGUI',6,'Var vnlig och radera mitt konto permanent.',1031510000);
INSERT INTO international VALUES (66,'WebGUI',6,'Logga in.',1031510000);
INSERT INTO international VALUES (67,'WebGUI',6,'Skapa ett konto.',1031510000);
INSERT INTO international VALUES (68,'WebGUI',6,'Informationen du gav var felaktig. Antingen s finns ingen sdan anvndare eller ocks s gav du fel lsenord.',1031582413);
INSERT INTO international VALUES (69,'WebGUI',6,'Var vnlig kontakta system administratren fr vidare hjlp.',1031510000);
INSERT INTO international VALUES (70,'WebGUI',6,'Fel',1031510000);
INSERT INTO international VALUES (71,'WebGUI',6,'terhmta lsenord',1031840958);
INSERT INTO international VALUES (72,'WebGUI',6,'rdda',1031510000);
INSERT INTO international VALUES (73,'WebGUI',6,'Logga in.',1031510000);
INSERT INTO international VALUES (74,'WebGUI',6,'Kontoinformation',1031647976);
INSERT INTO international VALUES (75,'WebGUI',6,'Din kontoinformation har skickats till din e-postadress.',1031648000);
INSERT INTO international VALUES (76,'WebGUI',6,'Den e-postadressen finns inte i vrt system.',1031582377);
INSERT INTO international VALUES (77,'WebGUI',6,'Det kontonamnet du valde anvnds redan p denna site. Var vnlig vlj ett annat. Hr kommer ngra ideer som du kan anvnda:',1031510000);
INSERT INTO international VALUES (3,'Auth/WebGUI',6,'Ditt lsenord stmde inte. Var vnlig frsk igen.',1031510000);
INSERT INTO international VALUES (2,'Auth/LDAP',6,'Kan inte ansluta till LDAP-server.',1031581018);
INSERT INTO international VALUES (80,'WebGUI',6,'Kontot skapades utan problem!',1031510000);
INSERT INTO international VALUES (81,'WebGUI',6,'Kontot uppdaterat utan problem!',1031510000);
INSERT INTO international VALUES (82,'WebGUI',6,'Administrativa funktioner...',1031510000);
INSERT INTO international VALUES (84,'WebGUI',6,'Grupp namn',1031510000);
INSERT INTO international VALUES (85,'WebGUI',6,'Beskrivning',1031510000);
INSERT INTO international VALUES (86,'WebGUI',6,'r du sker p att du vill radera denna grupp? Var medveten om att alla rttigheter associerade med denna grupp kommer att raderas.',1031510000);
INSERT INTO international VALUES (87,'WebGUI',6,'ndra grupp',1031510000);
INSERT INTO international VALUES (88,'WebGUI',6,'Anvndare i gruppen',1031510000);
INSERT INTO international VALUES (89,'WebGUI',6,'Grupper',1031510000);
INSERT INTO international VALUES (90,'WebGUI',6,'Lgg till grupp.',1031510000);
INSERT INTO international VALUES (91,'WebGUI',6,'Fregende sida',1031510000);
INSERT INTO international VALUES (92,'WebGUI',6,'Nsta sida',1031510000);
INSERT INTO international VALUES (93,'WebGUI',6,'Hjlp',1031510000);
INSERT INTO international VALUES (94,'WebGUI',6,'Se vidare',1031510000);
INSERT INTO international VALUES (95,'WebGUI',6,'Hjlpindex',1031648017);
INSERT INTO international VALUES (99,'WebGUI',6,'Titel',1031510000);
INSERT INTO international VALUES (100,'WebGUI',6,'Meta-taggar',1047895196);
INSERT INTO international VALUES (101,'WebGUI',6,'r du sker p att du vill radera denna sida, dess innehll och underliggande objekt?',1032851375);
INSERT INTO international VALUES (102,'WebGUI',6,'Redigera sida',1031649551);
INSERT INTO international VALUES (103,'WebGUI',6,'Sidspecifikation',1031510000);
INSERT INTO international VALUES (104,'WebGUI',6,'Sidans URL',1031510000);
INSERT INTO international VALUES (105,'WebGUI',6,'Stil',1031510000);
INSERT INTO international VALUES (106,'WebGUI',6,'Ge samma stil till underliggande sidor.',1031510000);
INSERT INTO international VALUES (107,'WebGUI',6,'Privilegier',1031648692);
INSERT INTO international VALUES (108,'WebGUI',6,'gare',1031510000);
INSERT INTO international VALUES (116,'WebGUI',6,'Kryssa hr fr att kopiera dessa previlegier till undersidor.',1031510000);
INSERT INTO international VALUES (117,'WebGUI',6,'Redigera anvndarinstllningar',1032859534);
INSERT INTO international VALUES (118,'WebGUI',6,'Anonyma registreringar',1031510000);
INSERT INTO international VALUES (119,'WebGUI',6,'Authentiseringsmetod (standard)',1031648747);
INSERT INTO international VALUES (5,'Auth/LDAP',6,'LDAP URL (standard)',1031649002);
INSERT INTO international VALUES (6,'Auth/LDAP',6,'LDAP Identitet (standard)',1031648988);
INSERT INTO international VALUES (7,'Auth/LDAP',6,'LDAP Identitet namn',1031649021);
INSERT INTO international VALUES (8,'Auth/LDAP',6,'LDAP Lsenord namn',1031649038);
INSERT INTO international VALUES (124,'WebGUI',6,'Redigera fretagsinformation',1031649057);
INSERT INTO international VALUES (125,'WebGUI',6,'Fretagets namn',1031649080);
INSERT INTO international VALUES (126,'WebGUI',6,'Fretagets e-postadress',1031649095);
INSERT INTO international VALUES (127,'WebGUI',6,'Fretagets URL',1031649115);
INSERT INTO international VALUES (130,'WebGUI',6,'Maximal storlek p bilagor',1031510000);
INSERT INTO international VALUES (133,'WebGUI',6,'Redigera e-post-instllningar',1032859588);
INSERT INTO international VALUES (134,'WebGUI',6,'Rdda-lsenords-meddelande',1032859568);
INSERT INTO international VALUES (135,'WebGUI',6,'SMTP Server',1031510000);
INSERT INTO international VALUES (527,'WebGUI',1,'Default Home Page',1031514049);
INSERT INTO international VALUES (138,'WebGUI',6,'Ja',1031510000);
INSERT INTO international VALUES (139,'WebGUI',6,'Nej',1031510000);
INSERT INTO international VALUES (140,'WebGUI',6,'Redigera vriga instllningar',1031510000);
INSERT INTO international VALUES (141,'WebGUI',6,'Not Found Page',1031510000);
INSERT INTO international VALUES (142,'WebGUI',6,'Session Timeout',1031510000);
INSERT INTO international VALUES (143,'WebGUI',6,'Hantera instllningar',1047894194);
INSERT INTO international VALUES (144,'WebGUI',6,'Visa statistik.',1031510000);
INSERT INTO international VALUES (145,'WebGUI',6,'WebGUI Build Version',1031510000);
INSERT INTO international VALUES (146,'WebGUI',6,'Aktiva sessioner',1031510000);
INSERT INTO international VALUES (147,'WebGUI',6,'Sidor',1031510000);
INSERT INTO international VALUES (148,'WebGUI',6,'Wobjects',1031510000);
INSERT INTO international VALUES (149,'WebGUI',6,'Anvndare',1031510000);
INSERT INTO international VALUES (151,'WebGUI',6,'Stilnamn',1032859552);
INSERT INTO international VALUES (501,'WebGUI',1,'Body',1031514049);
INSERT INTO international VALUES (154,'WebGUI',6,'Stil schema (style sheet)',1031649332);
INSERT INTO international VALUES (155,'WebGUI',6,'r du sker p att du vill radera denna stil och vilket resulterar i att alla sidor som anvnder den stilen kommer anvnda \"Fail Safe\" stilen?',1031510000);
INSERT INTO international VALUES (156,'WebGUI',6,'Redigera stil',1031510000);
INSERT INTO international VALUES (157,'WebGUI',6,'Stilar',1031510000);
INSERT INTO international VALUES (158,'WebGUI',6,'Lgg till en ny stil.',1031510000);
INSERT INTO international VALUES (159,'WebGUI',6,'Inbox',1031649349);
INSERT INTO international VALUES (160,'WebGUI',6,'Inlagt den',1031510000);
INSERT INTO international VALUES (161,'WebGUI',6,'Skrivet av',1031510000);
INSERT INTO international VALUES (162,'WebGUI',6,'r du sker p att du vill ta bort allt ur skrpkorgen?',1031510000);
INSERT INTO international VALUES (163,'WebGUI',6,'Lgg till anvndare',1031510000);
INSERT INTO international VALUES (164,'WebGUI',6,'Autentiserings metod',1031510000);
INSERT INTO international VALUES (3,'Auth/LDAP',6,'LDAP URL',1031510000);
INSERT INTO international VALUES (4,'Auth/LDAP',6,'Connect DN',1031510000);
INSERT INTO international VALUES (167,'WebGUI',6,'r du absolut sker att du vill radera denna anvndare? Var medveten om att all information om denna anvndare kommer att vara permanent frlorade om du fortstter.',1031510000);
INSERT INTO international VALUES (168,'WebGUI',6,'Redigera anvndare',1031649411);
INSERT INTO international VALUES (169,'WebGUI',6,'Lgg till en ny anvndare.',1031510000);
INSERT INTO international VALUES (170,'WebGUI',6,'sk',1031510000);
INSERT INTO international VALUES (171,'WebGUI',6,'rich edit',1031510000);
INSERT INTO international VALUES (174,'WebGUI',6,'Visa titel?',1031510000);
INSERT INTO international VALUES (175,'WebGUI',6,'Kr makron?',1031649373);
INSERT INTO international VALUES (228,'WebGUI',6,'Redigerar meddelande...',1031648121);
INSERT INTO international VALUES (229,'WebGUI',6,'mne',1031648152);
INSERT INTO international VALUES (230,'WebGUI',6,'Meddelande',1031510000);
INSERT INTO international VALUES (231,'WebGUI',6,'Skickar nytt meddelande...',1031510000);
INSERT INTO international VALUES (232,'WebGUI',6,'inget mne',1031583873);
INSERT INTO international VALUES (233,'WebGUI',6,'(eom)',1031510000);
INSERT INTO international VALUES (234,'WebGUI',6,'Skickar svar...',1031510000);
INSERT INTO international VALUES (237,'WebGUI',6,'mne:',1031583849);
INSERT INTO international VALUES (238,'WebGUI',6,'Frfattare:',1031510000);
INSERT INTO international VALUES (239,'WebGUI',6,'Datum:',1031510000);
INSERT INTO international VALUES (240,'WebGUI',6,'Meddelande-ID:',1031583887);
INSERT INTO international VALUES (244,'WebGUI',6,'Frfattare',1031510000);
INSERT INTO international VALUES (245,'WebGUI',6,'Datum',1031510000);
INSERT INTO international VALUES (304,'WebGUI',6,'Sprk',1031510000);
INSERT INTO international VALUES (307,'WebGUI',6,'Anvnd standard meta-taggar?',1047895267);
INSERT INTO international VALUES (308,'WebGUI',6,'Redigera profilinstllningar',1031510000);
INSERT INTO international VALUES (309,'WebGUI',6,'Tillt riktigt namn?',1031510000);
INSERT INTO international VALUES (310,'WebGUI',6,'Tillt extra kontaktinformation?',1031510000);
INSERT INTO international VALUES (311,'WebGUI',6,'Tillt heminformation?',1031510000);
INSERT INTO international VALUES (312,'WebGUI',6,'Tillt fretagsinformation?',1031510000);
INSERT INTO international VALUES (313,'WebGUI',6,'Tillt extra informaiton?',1031510000);
INSERT INTO international VALUES (314,'WebGUI',6,'Frnamn',1031510000);
INSERT INTO international VALUES (315,'WebGUI',6,'Mellannamn',1031510000);
INSERT INTO international VALUES (316,'WebGUI',6,'Efternamn',1031510000);
INSERT INTO international VALUES (317,'WebGUI',6,'ICQ UIN',1031510000);
INSERT INTO international VALUES (318,'WebGUI',6,'AIM Id',1031510000);
INSERT INTO international VALUES (319,'WebGUI',6,'MSN Messenger Id',1031510000);
INSERT INTO international VALUES (320,'WebGUI',6,'Yahoo! Messenger Id',1031510000);
INSERT INTO international VALUES (321,'WebGUI',6,'Mobilnummer',1031648173);
INSERT INTO international VALUES (322,'WebGUI',6,'Personskare',1031510000);
INSERT INTO international VALUES (323,'WebGUI',6,'Hem adress',1031510000);
INSERT INTO international VALUES (324,'WebGUI',6,'Hem stad',1031510000);
INSERT INTO international VALUES (325,'WebGUI',6,'Hem ln',1031510000);
INSERT INTO international VALUES (326,'WebGUI',6,'Hem postnummer',1031510000);
INSERT INTO international VALUES (327,'WebGUI',6,'Hem land',1031510000);
INSERT INTO international VALUES (328,'WebGUI',6,'Hem telefon',1031510000);
INSERT INTO international VALUES (329,'WebGUI',6,'Arbete adress',1031648204);
INSERT INTO international VALUES (330,'WebGUI',6,'Arbete stad',1031648188);
INSERT INTO international VALUES (331,'WebGUI',6,'Arbete ln',1031648292);
INSERT INTO international VALUES (332,'WebGUI',6,'Arbete postnummer',1031648218);
INSERT INTO international VALUES (333,'WebGUI',6,'Arbete land',1031648266);
INSERT INTO international VALUES (334,'WebGUI',6,'Arbete telefon',1031648277);
INSERT INTO international VALUES (335,'WebGUI',6,'Kn',1031510000);
INSERT INTO international VALUES (336,'WebGUI',6,'Fdelsedatum',1031510000);
INSERT INTO international VALUES (337,'WebGUI',6,'Hemsida (URL)',1031584026);
INSERT INTO international VALUES (338,'WebGUI',6,'Redigera profil',1031510000);
INSERT INTO international VALUES (339,'WebGUI',6,'Man',1031510000);
INSERT INTO international VALUES (340,'WebGUI',6,'Kvinna',1031510000);
INSERT INTO international VALUES (341,'WebGUI',6,'Redigera profil.',1031510000);
INSERT INTO international VALUES (342,'WebGUI',6,'Redigera kontoinformation.',1031510000);
INSERT INTO international VALUES (343,'WebGUI',6,'Visa profil.',1031510000);
INSERT INTO international VALUES (345,'WebGUI',6,'Inte en medlem',1031510000);
INSERT INTO international VALUES (346,'WebGUI',6,'Denna anvndare r inte lngre medlem p vr webbplats. Vi har ingen vidare information om anvndaren.',1032859632);
INSERT INTO international VALUES (347,'WebGUI',6,'Visa profilen fr',1031510000);
INSERT INTO international VALUES (348,'WebGUI',6,'Namn',1031510000);
INSERT INTO international VALUES (349,'WebGUI',6,'Senaste tillgngliga version',1031510000);
INSERT INTO international VALUES (350,'WebGUI',6,'Avslutad',1031510000);
INSERT INTO international VALUES (351,'WebGUI',6,'Meddelande',1031584059);
INSERT INTO international VALUES (352,'WebGUI',6,'Skapat datum',1031510000);
INSERT INTO international VALUES (353,'WebGUI',6,'Du har inga meddelanden i din Inbox just nu.',1031584097);
INSERT INTO international VALUES (354,'WebGUI',6,'Visa Inbox.',1031584128);
INSERT INTO international VALUES (355,'WebGUI',6,'Standard',1031510000);
INSERT INTO international VALUES (356,'WebGUI',6,'Mall',1031510000);
INSERT INTO international VALUES (357,'WebGUI',6,'Nyheter',1031510000);
INSERT INTO international VALUES (358,'WebGUI',6,'Vnster kolumn',1031510000);
INSERT INTO international VALUES (359,'WebGUI',6,'Hger kolumn',1031510000);
INSERT INTO international VALUES (360,'WebGUI',6,'En ver tre',1031510000);
INSERT INTO international VALUES (361,'WebGUI',6,'Tre ver en',1031510000);
INSERT INTO international VALUES (362,'WebGUI',6,'Sida vid sida',1031648324);
INSERT INTO international VALUES (363,'WebGUI',6,'Mall-position',1031648339);
INSERT INTO international VALUES (364,'WebGUI',6,'Sk',1031510000);
INSERT INTO international VALUES (365,'WebGUI',6,'Skresultaten..',1031510000);
INSERT INTO international VALUES (366,'WebGUI',6,'Inga sidor hittades som stmde med din frfrgan.',1031510000);
INSERT INTO international VALUES (368,'WebGUI',6,'Lgg till en ny grupp till denna anvndare.',1031510000);
INSERT INTO international VALUES (369,'WebGUI',6,'Bst fre datum',1031648357);
INSERT INTO international VALUES (370,'WebGUI',6,'Redigera gruppering',1031510000);
INSERT INTO international VALUES (371,'WebGUI',6,'Lgg till gruppering',1031510000);
INSERT INTO international VALUES (372,'WebGUI',6,'Redigera anvndares grupper',1032859654);
INSERT INTO international VALUES (374,'WebGUI',6,'Hantera paket.',1031510000);
INSERT INTO international VALUES (375,'WebGUI',6,'Vlj ett paket att anvnda',1031510000);
INSERT INTO international VALUES (376,'WebGUI',6,'Paket',1031510000);
INSERT INTO international VALUES (377,'WebGUI',6,'Inga paket har definierats av din pakethanterare eller administratr.',1031581099);
INSERT INTO international VALUES (11,'Poll',6,'Rsta!',1031510000);
INSERT INTO international VALUES (31,'USS',6,'Innehll',1031648476);
INSERT INTO international VALUES (32,'USS',6,'Bild',1031510000);
INSERT INTO international VALUES (33,'USS',6,'Bilaga',1031648631);
INSERT INTO international VALUES (34,'USS',6,'Konvertera radbrytningar',1031510000);
INSERT INTO international VALUES (35,'USS',6,'Titel',1031510000);
INSERT INTO international VALUES (378,'WebGUI',6,'Anvndar-ID',1031581110);
INSERT INTO international VALUES (379,'WebGUI',6,'Grupp-ID',1031581117);
INSERT INTO international VALUES (380,'WebGUI',6,'Stil-ID',1031581134);
INSERT INTO international VALUES (381,'WebGUI',6,'WebGUI fick in en felformulerad frfrgan och kunde inte fortstta. Oftast beror detta p ovanliga tecken som skickas frn ett formulr. Du kan frska med att g tillbaka och frska igen.',1031510000);
INSERT INTO international VALUES (1,'FileManager',6,'Filhanterare',1031510000);
INSERT INTO international VALUES (3,'FileManager',6,'Fortstt med att lgga till fil?',1031510000);
INSERT INTO international VALUES (5,'FileManager',6,'Filens titel',1032859258);
INSERT INTO international VALUES (6,'FileManager',6,'Ladda ned fil',1031510000);
INSERT INTO international VALUES (7,'FileManager',6,'Grupp fr nedladdning',1031510000);
INSERT INTO international VALUES (8,'FileManager',6,'Kort beskrivning',1031649429);
INSERT INTO international VALUES (9,'FileManager',6,'Redigera filhanterare',1031649529);
INSERT INTO international VALUES (10,'FileManager',6,'Redigera nedladdning',1032859231);
INSERT INTO international VALUES (11,'FileManager',6,'Lgg till en ny nedladdning.',1031510000);
INSERT INTO international VALUES (12,'FileManager',6,'r du sker p att du vill ta bort denna nedladdning?',1031510000);
INSERT INTO international VALUES (14,'FileManager',6,'Fil',1031510000);
INSERT INTO international VALUES (15,'FileManager',6,'Beskrivning',1031510000);
INSERT INTO international VALUES (16,'FileManager',6,'Uppladdat den',1032859243);
INSERT INTO international VALUES (768,'WebGUI',1,'Name',1036892946);
INSERT INTO international VALUES (773,'WebGUI',1,'File',1036893165);
INSERT INTO international VALUES (37,'USS',6,'Radera',1031510000);
INSERT INTO international VALUES (13,'SQLReport',6,'Konvertera radbrytning?',1031510000);
INSERT INTO international VALUES (17,'FileManager',6,'Alternativ version #1',1032859401);
INSERT INTO international VALUES (18,'FileManager',6,'Alternativ version #2',1032859416);
INSERT INTO international VALUES (19,'FileManager',6,'Du har inga filer att ladda ned.',1031510000);
INSERT INTO international VALUES (14,'EventsCalendar',6,'Start datum',1031510000);
INSERT INTO international VALUES (15,'EventsCalendar',6,'Slut datum',1031510000);
INSERT INTO international VALUES (20,'FileManager',6,'Sidbrytning efter',1031510000);
INSERT INTO international VALUES (14,'SQLReport',6,'Sidbrytning efter',1031510000);
INSERT INTO international VALUES (19,'EventsCalendar',6,'Sidbrytning efter',1031510000);
INSERT INTO international VALUES (354,'WebGUI',1,'View Inbox.',1031514049);
INSERT INTO international VALUES (685,'WebGUI',10,'Skabelon, Slet',1036856042);
INSERT INTO international VALUES (384,'WebGUI',6,'Fil',1031510000);
INSERT INTO international VALUES (385,'WebGUI',6,'Parametrar',1031510000);
INSERT INTO international VALUES (386,'WebGUI',6,'Redigera bild',1031581152);
INSERT INTO international VALUES (387,'WebGUI',6,'Uppladdat av',1031581166);
INSERT INTO international VALUES (388,'WebGUI',6,'Uppladdat den',1031581182);
INSERT INTO international VALUES (699,'WebGUI',10,'Frste dag i ugen',1036855969);
INSERT INTO international VALUES (808,'WebGUI',1,'Email this group.',1037579487);
INSERT INTO international VALUES (391,'WebGUI',6,'Radera',1031510000);
INSERT INTO international VALUES (592,'WebGUI',10,'Karakter st',1037205577);
INSERT INTO international VALUES (782,'WebGUI',1,'Any',1036913053);
INSERT INTO international VALUES (394,'WebGUI',6,'Hantera bilder.',1031510000);
INSERT INTO international VALUES (395,'WebGUI',6,'Lgg till en ny bild.',1031510000);
INSERT INTO international VALUES (720,'WebGUI',10,'OK',1036855648);
INSERT INTO international VALUES (398,'WebGUI',6,'Dokumenttypsdeklaration',1032859737);
INSERT INTO international VALUES (399,'WebGUI',6,'Validera denna sida.',1031510000);
INSERT INTO international VALUES (400,'WebGUI',6,'Blockera proxy caching',1031582451);
INSERT INTO international VALUES (401,'WebGUI',6,'r du sker p att du vill radera meddelandet och alla undermeddelanden i denna trd?',1031582487);
INSERT INTO international VALUES (565,'WebGUI',6,'Vem kan moderera?',1031510000);
INSERT INTO international VALUES (22,'MessageBoard',6,'Radera meddelandet',1031649828);
INSERT INTO international VALUES (402,'WebGUI',6,'Meddelandet du frgade efter existerar inte.',1032859672);
INSERT INTO international VALUES (403,'WebGUI',6,'Fredrar att inte sga.',1031510000);
INSERT INTO international VALUES (405,'WebGUI',6,'Sista sidan',1031510000);
INSERT INTO international VALUES (407,'WebGUI',6,'Klicka hr fr att registrera.',1031510000);
INSERT INTO international VALUES (15,'SQLReport',6,'Kr macron vid frfrgan?',1031651307);
INSERT INTO international VALUES (16,'SQLReport',6,'Debug?',1031510000);
INSERT INTO international VALUES (17,'SQLReport',6,'<b>Debug:</b> Frfrgan(query):',1047893529);
INSERT INTO international VALUES (18,'SQLReport',6,'Det fanns inga resultat fr denna frfrgan.',1031510000);
INSERT INTO international VALUES (408,'WebGUI',6,'Hantera bassidor (roots)',1031582598);
INSERT INTO international VALUES (409,'WebGUI',6,'Lgg till en ny bassida.',1031510000);
INSERT INTO international VALUES (410,'WebGUI',6,'Hantera bassidor.',1031510000);
INSERT INTO international VALUES (411,'WebGUI',6,'Huvudtitel',1031582640);
INSERT INTO international VALUES (412,'WebGUI',6,'Sammanfattning',1047895380);
INSERT INTO international VALUES (76,'Survey',1,'Start Time',1038782111);
INSERT INTO international VALUES (894,'WebGUI',6,'Tillt diskussion?',1031841978);
INSERT INTO international VALUES (6,'Product',1,'Edit Product',1031514049);
INSERT INTO international VALUES (4,'Product',1,'Are you certain you wish to delete the relationship to this related product?',1031514049);
INSERT INTO international VALUES (22,'Article',6,'Frfattare',1031510000);
INSERT INTO international VALUES (23,'Article',6,'Datum',1031510000);
INSERT INTO international VALUES (24,'Article',6,'Skicka svar',1031510000);
INSERT INTO international VALUES (578,'WebGUI',1,'You have a pending message to approve.',1031514049);
INSERT INTO international VALUES (27,'Article',6,'Tillbaka till artikel',1031510000);
INSERT INTO international VALUES (28,'Article',6,'Visa svar',1031510000);
INSERT INTO international VALUES (54,'Product',1,'Benefits',1031514049);
INSERT INTO international VALUES (416,'WebGUI',6,'<h1>Problem med frfrgan</h1>\r\nVi har sttt p ett problem med din frfrgan. Var vnlig och g tillbaka och fsk igen. Om problemet kvarstr var vnlig och rapportera detta till oss med tid och datum samt vad du frskte gra.',1031582660);
INSERT INTO international VALUES (417,'WebGUI',6,'<h1>Skerhetsvertrdelse</h1><br>Du frskte att komma t en wobject som inte associeras med denna sida. Denna incident har rapporterats.',1032859766);
INSERT INTO international VALUES (418,'WebGUI',6,'Ta bort inmatad HTML',1031510000);
INSERT INTO international VALUES (419,'WebGUI',6,'Ta bort alla taggar.',1031510000);
INSERT INTO international VALUES (420,'WebGUI',6,'Lmna som den r.',1031510000);
INSERT INTO international VALUES (421,'WebGUI',6,'Ta bort allt utom grundformateringen.',1031510000);
INSERT INTO international VALUES (422,'WebGUI',6,'<h1>Inloggning misslyckades</h1>\r\nInformationen du gav stmmer inte med kontot.',1047893561);
INSERT INTO international VALUES (423,'WebGUI',6,'Visa aktiva sessioner.',1031510000);
INSERT INTO international VALUES (424,'WebGUI',6,'Visa inloggningshistorik.',1031582778);
INSERT INTO international VALUES (425,'WebGUI',6,'Aktiva sessioner',1031510000);
INSERT INTO international VALUES (426,'WebGUI',6,'Inloggningshistorik',1031582752);
INSERT INTO international VALUES (427,'WebGUI',6,'Stilar',1031510000);
INSERT INTO international VALUES (428,'WebGUI',6,'Anvndar-ID',1031582798);
INSERT INTO international VALUES (429,'WebGUI',6,'Inloggningstid',1031583069);
INSERT INTO international VALUES (430,'WebGUI',6,'Senaste sida visad',1031510000);
INSERT INTO international VALUES (431,'WebGUI',6,'IP-adress',1031582843);
INSERT INTO international VALUES (432,'WebGUI',6,'Bst fre',1031510000);
INSERT INTO international VALUES (433,'WebGUI',6,'Anvndarklient (webblsare)',1031582872);
INSERT INTO international VALUES (434,'WebGUI',6,'Status',1031510000);
INSERT INTO international VALUES (435,'WebGUI',6,'Sessions-signatur',1031582926);
INSERT INTO international VALUES (436,'WebGUI',6,'Avsluta session',1031510000);
INSERT INTO international VALUES (437,'WebGUI',6,'Statistik',1031510000);
INSERT INTO international VALUES (438,'WebGUI',6,'Ditt namn',1031510000);
INSERT INTO international VALUES (439,'WebGUI',6,'Personlig information',1031582964);
INSERT INTO international VALUES (440,'WebGUI',6,'Kontaktinformation',1031582615);
INSERT INTO international VALUES (441,'WebGUI',6,'E-post till personskar-gateway',1031582891);
INSERT INTO international VALUES (442,'WebGUI',6,'Arbetsinformation',1031583936);
INSERT INTO international VALUES (443,'WebGUI',6,'Heminformation',1031648066);
INSERT INTO international VALUES (444,'WebGUI',6,'Demografisk Information',1031510000);
INSERT INTO international VALUES (445,'WebGUI',6,'Instllningar',1031510000);
INSERT INTO international VALUES (446,'WebGUI',6,'Arbetets Website',1031510000);
INSERT INTO international VALUES (447,'WebGUI',6,'Hantera sidtrd.',1031510000);
INSERT INTO international VALUES (448,'WebGUI',6,'Sidtrd',1031583051);
INSERT INTO international VALUES (449,'WebGUI',6,'vrig information',1031510000);
INSERT INTO international VALUES (450,'WebGUI',6,'Fretagsnamn',1031582830);
INSERT INTO international VALUES (451,'WebGUI',6,'r obligatoriskt.',1031510000);
INSERT INTO international VALUES (452,'WebGUI',6,'Var god vnta...',1031510000);
INSERT INTO international VALUES (453,'WebGUI',6,'Skapad den',1031510000);
INSERT INTO international VALUES (454,'WebGUI',6,'Senast uppdaterad',1031583228);
INSERT INTO international VALUES (455,'WebGUI',6,'Redigera Anvndar Profil',1031510000);
INSERT INTO international VALUES (456,'WebGUI',6,'Tillbaka till anvndarlistan.',1031510000);
INSERT INTO international VALUES (457,'WebGUI',6,'Redigera denna anvndares konto.',1031510000);
INSERT INTO international VALUES (458,'WebGUI',6,'Redigera denna anvndares grupper.',1031510000);
INSERT INTO international VALUES (459,'WebGUI',6,'Redigera denna anvndares profil.',1031510000);
INSERT INTO international VALUES (460,'WebGUI',6,'Tidsoffset',1031510000);
INSERT INTO international VALUES (461,'WebGUI',6,'Datumformat',1031583703);
INSERT INTO international VALUES (462,'WebGUI',6,'Tidsformat',1031583793);
INSERT INTO international VALUES (463,'WebGUI',6,'Textflt, rader',1032859800);
INSERT INTO international VALUES (464,'WebGUI',6,'Textflt, kolumner',1032859816);
INSERT INTO international VALUES (465,'WebGUI',6,'Textruta, storlek',1032859827);
INSERT INTO international VALUES (466,'WebGUI',6,'r du sker p att du vill ta bort denna kategori och flytta alla dess attribut till vrigt-kategorin.',1031583816);
INSERT INTO international VALUES (467,'WebGUI',6,'r du sker p att du vill ta bort detta attribut och all anvndar data som finns i det ?',1031510000);
INSERT INTO international VALUES (468,'WebGUI',1,'Edit User Profile Category',1031514049);
INSERT INTO international VALUES (469,'WebGUI',6,'Id',1031510000);
INSERT INTO international VALUES (470,'WebGUI',6,'Namn',1031510000);
INSERT INTO international VALUES (159,'WebGUI',1,'Inbox',1031514049);
INSERT INTO international VALUES (472,'WebGUI',6,'Mrke',1031510000);
INSERT INTO international VALUES (473,'WebGUI',6,'Synligt?',1031510000);
INSERT INTO international VALUES (474,'WebGUI',6,'Obligatoriskt?',1031510000);
INSERT INTO international VALUES (475,'WebGUI',6,'Text',1031510000);
INSERT INTO international VALUES (476,'WebGUI',6,'Textomrde',1031580764);
INSERT INTO international VALUES (477,'WebGUI',6,'HTML-omrde',1031580775);
INSERT INTO international VALUES (478,'WebGUI',6,'URL',1031510000);
INSERT INTO international VALUES (479,'WebGUI',6,'Datum',1031510000);
INSERT INTO international VALUES (480,'WebGUI',6,'E-postadress',1031580789);
INSERT INTO international VALUES (481,'WebGUI',6,'Telefonnummer',1031580799);
INSERT INTO international VALUES (482,'WebGUI',6,'Nummer (Heltal)',1031510000);
INSERT INTO international VALUES (483,'WebGUI',6,'Ja eller Nej',1031510000);
INSERT INTO international VALUES (484,'WebGUI',6,'Vallista',1031510000);
INSERT INTO international VALUES (485,'WebGUI',6,'Boolean (Kryssbox)',1031510000);
INSERT INTO international VALUES (486,'WebGUI',6,'Data typ',1031510000);
INSERT INTO international VALUES (487,'WebGUI',6,'Mjliga vrden',1031510000);
INSERT INTO international VALUES (488,'WebGUI',6,'Standardvrden',1031580822);
INSERT INTO international VALUES (489,'WebGUI',6,'Profilkategorier.',1031580898);
INSERT INTO international VALUES (490,'WebGUI',6,'Lgg till en profilkategori.',1031510000);
INSERT INTO international VALUES (491,'WebGUI',6,'Lgg till profilattribut.',1031510000);
INSERT INTO international VALUES (492,'WebGUI',6,'Profilattribut, lista.',1031580860);
INSERT INTO international VALUES (493,'WebGUI',6,'Tillbaka till webbplatsen.',1032434829);
INSERT INTO international VALUES (507,'WebGUI',1,'Edit Template',1031514049);
INSERT INTO international VALUES (508,'WebGUI',1,'Manage templates.',1031514049);
INSERT INTO international VALUES (39,'USS',1,'Post a Reply',1031514049);
INSERT INTO international VALUES (41,'USS',1,'Date',1031514049);
INSERT INTO international VALUES (8,'Product',1,'Product Image 2',1031514049);
INSERT INTO international VALUES (1,'Product',1,'Product',1031514049);
INSERT INTO international VALUES (45,'USS',1,'Return to Submission',1031514049);
INSERT INTO international VALUES (46,'USS',1,'Read more...',1031514049);
INSERT INTO international VALUES (47,'USS',1,'Post a Response',1031514049);
INSERT INTO international VALUES (48,'USS',1,'Allow discussion?',1031514049);
INSERT INTO international VALUES (571,'WebGUI',1,'Unlock Thread',1031514049);
INSERT INTO international VALUES (569,'WebGUI',1,'Moderation Type',1031514049);
INSERT INTO international VALUES (567,'WebGUI',1,'Pre-emptive',1031514049);
INSERT INTO international VALUES (51,'USS',1,'Display thumbnails?',1031514049);
INSERT INTO international VALUES (52,'USS',1,'Thumbnail',1031514049);
INSERT INTO international VALUES (53,'USS',1,'Layout',1031514049);
INSERT INTO international VALUES (57,'USS',1,'Responses',1031514049);
INSERT INTO international VALUES (11,'FAQ',1,'Turn TOC on?',1031514049);
INSERT INTO international VALUES (12,'FAQ',1,'Turn Q/A on?',1031514049);
INSERT INTO international VALUES (13,'FAQ',1,'Turn [top] link on?',1031514049);
INSERT INTO international VALUES (509,'WebGUI',1,'Discussion Layout',1031514049);
INSERT INTO international VALUES (510,'WebGUI',1,'Flat',1031514049);
INSERT INTO international VALUES (511,'WebGUI',1,'Threaded',1031514049);
INSERT INTO international VALUES (512,'WebGUI',1,'Next Thread',1031514049);
INSERT INTO international VALUES (513,'WebGUI',1,'Previous Thread',1031514049);
INSERT INTO international VALUES (8,'Article',10,'henvisning URL',1031510000);
INSERT INTO international VALUES (9,'Article',10,'Vis besvarelser',1031510000);
INSERT INTO international VALUES (10,'Article',10,'Konverter linieskift?',1032469845);
INSERT INTO international VALUES (11,'Article',10,'(Kontroller at du ikke tilfjer <br> manuelt.)',1032469877);
INSERT INTO international VALUES (12,'Article',10,'rediger artikel',1031510000);
INSERT INTO international VALUES (13,'Article',10,'Slet',1031510000);
INSERT INTO international VALUES (777,'WebGUI',1,'Folder Id',1036905972);
INSERT INTO international VALUES (894,'WebGUI',10,'Tillad diskussion?',1031510000);
INSERT INTO international VALUES (3,'Product',1,'Are you certain you wish to delete this feature?',1031514049);
INSERT INTO international VALUES (22,'Article',10,'Forfatter',1031510000);
INSERT INTO international VALUES (23,'Article',10,'Dato',1031510000);
INSERT INTO international VALUES (24,'Article',10,'Send respons',1031510000);
INSERT INTO international VALUES (580,'WebGUI',1,'Your message has been denied.',1031514049);
INSERT INTO international VALUES (27,'Article',10,'Tilbage til artikel',1031510000);
INSERT INTO international VALUES (28,'Article',10,'Vis respons',1031510000);
INSERT INTO international VALUES (1,'FileManager',10,'Download Manager',1031510000);
INSERT INTO international VALUES (3,'FileManager',10,'Fortst med at tilfje fil?',1031510000);
INSERT INTO international VALUES (5,'FileManager',10,'Navn p fil',1031510000);
INSERT INTO international VALUES (6,'FileManager',10,'Hent fil',1031510000);
INSERT INTO international VALUES (7,'FileManager',10,'Gruppe til Download',1031510000);
INSERT INTO international VALUES (8,'FileManager',10,'Kort beskrivelse',1031510000);
INSERT INTO international VALUES (9,'FileManager',10,'rediger Download Manager',1031510000);
INSERT INTO international VALUES (10,'FileManager',10,'rediger Download  ',1031510000);
INSERT INTO international VALUES (11,'FileManager',10,'Tilfj ny Download',1031510000);
INSERT INTO international VALUES (12,'FileManager',10,'Er du sikker p du vil slette denne Download?',1031510000);
INSERT INTO international VALUES (14,'FileManager',10,'Fil',1031510000);
INSERT INTO international VALUES (15,'FileManager',10,'Beskrivelse',1031510000);
INSERT INTO international VALUES (16,'FileManager',10,'Oprettelsesdato',1031510000);
INSERT INTO international VALUES (17,'FileManager',10,'Alternativ version nr. 1',1031510000);
INSERT INTO international VALUES (18,'FileManager',10,'Alternativ version nr. 2',1031510000);
INSERT INTO international VALUES (19,'FileManager',10,'Du har ikke nogen filer til Download',1031510000);
INSERT INTO international VALUES (20,'FileManager',10,'Slet efter',1031510000);
INSERT INTO international VALUES (74,'FileManager',1,'Add a new file.',1038262375);
INSERT INTO international VALUES (82,'EventsCalendar',1,'Current.',1038190803);
INSERT INTO international VALUES (2,'EventsCalendar',10,'Begivenheds kalender',1032274027);
INSERT INTO international VALUES (4,'EventsCalendar',10,'Begivenhed sker n gang',1031510000);
INSERT INTO international VALUES (700,'WebGUI',10,'dag',1031510000);
INSERT INTO international VALUES (701,'WebGUI',10,'uge',1031510000);
INSERT INTO international VALUES (8,'EventsCalendar',10,'Gentages hver',1032274480);
INSERT INTO international VALUES (9,'EventsCalendar',10,'indtil',1031510000);
INSERT INTO international VALUES (61,'Product',1,'Product Template',1031514049);
INSERT INTO international VALUES (12,'EventsCalendar',10,'rediger begivenheds kalender',1031510000);
INSERT INTO international VALUES (13,'EventsCalendar',10,'rediger begivenhed ',1031510000);
INSERT INTO international VALUES (14,'EventsCalendar',10,'Fra dato',1031510000);
INSERT INTO international VALUES (15,'EventsCalendar',10,'Til dato',1031510000);
INSERT INTO international VALUES (19,'EventsCalendar',10,'Slet efter ',1032273982);
INSERT INTO international VALUES (1,'ExtraColumn',10,'Ekstra kolonne',1031510000);
INSERT INTO international VALUES (3,'ExtraColumn',10,'Mellemrum',1032469898);
INSERT INTO international VALUES (4,'ExtraColumn',10,'Bredde',1032469906);
INSERT INTO international VALUES (5,'ExtraColumn',10,'stilarter klasse',1032469915);
INSERT INTO international VALUES (6,'ExtraColumn',10,'rediger ekstra kolonne',1032469927);
INSERT INTO international VALUES (74,'FAQ',1,'Template',1036260684);
INSERT INTO international VALUES (2,'FAQ',10,'Ofte stillede sprgsml (F.A.Q.)',1032469958);
INSERT INTO international VALUES (5,'FAQ',10,'Sprgsml',1032469969);
INSERT INTO international VALUES (6,'FAQ',10,'Svar',1032469976);
INSERT INTO international VALUES (7,'FAQ',10,'Er du sikker p du vil slette dette sprgsml?',1032469993);
INSERT INTO international VALUES (8,'FAQ',10,'Rediger F.A.Q.',1032470003);
INSERT INTO international VALUES (9,'FAQ',10,'Tilfj nyt sprgsml',1032470012);
INSERT INTO international VALUES (10,'FAQ',10,'rediger sprgsml',1032469946);
INSERT INTO international VALUES (1,'Item',10,'henvisning til URL',1032470034);
INSERT INTO international VALUES (2,'Item',10,'Vedhft',1032470070);
INSERT INTO international VALUES (3,'Item',10,'Slet vedhftet',1032470084);
INSERT INTO international VALUES (4,'Item',10,'Item',1032470093);
INSERT INTO international VALUES (5,'Item',10,'Hent vedhftet',1032470104);
INSERT INTO international VALUES (3,'LinkList',10,'Skal der bnes i nyt vindue?',1032470165);
INSERT INTO international VALUES (6,'LinkList',10,'Liste over henvisning',1032470193);
INSERT INTO international VALUES (8,'LinkList',10,'URL',1032470215);
INSERT INTO international VALUES (9,'LinkList',10,'Er du sikker p du vil slette denne henvisning?',1032470231);
INSERT INTO international VALUES (10,'LinkList',10,'Rediger henvisnings liste',1032470126);
INSERT INTO international VALUES (12,'LinkList',10,'Rediger henvisning  ',1032470135);
INSERT INTO international VALUES (13,'LinkList',10,'Tilfj ny henvisning',1032470146);
INSERT INTO international VALUES (2,'MessageBoard',10,'Opslagstavle',1031510000);
INSERT INTO international VALUES (564,'WebGUI',10,'Hvem kan komme med indlg?',1031510000);
INSERT INTO international VALUES (4,'MessageBoard',10,'Antal beskeder pr. side',1031510000);
INSERT INTO international VALUES (566,'WebGUI',10,'Rediger Timeout',1031510000);
INSERT INTO international VALUES (6,'MessageBoard',10,'Rediger opslagstavle',1031510000);
INSERT INTO international VALUES (7,'MessageBoard',10,'Forfatter:',1031510000);
INSERT INTO international VALUES (8,'MessageBoard',10,'Dato:',1031510000);
INSERT INTO international VALUES (9,'MessageBoard',10,'Besked nr.:',1031510000);
INSERT INTO international VALUES (11,'MessageBoard',10,'Tilbage til oversigt',1032470244);
INSERT INTO international VALUES (12,'MessageBoard',10,'Rediger meddelelse',1032470260);
INSERT INTO international VALUES (577,'WebGUI',10,'Send respons',1031510000);
INSERT INTO international VALUES (15,'MessageBoard',10,'Forfatter',1032470276);
INSERT INTO international VALUES (16,'MessageBoard',10,'Dato',1032470297);
INSERT INTO international VALUES (17,'MessageBoard',10,'Ny meddelelse',1031510000);
INSERT INTO international VALUES (18,'MessageBoard',10,'Trd startet',1033508852);
INSERT INTO international VALUES (19,'MessageBoard',10,'Antal svar',1031510000);
INSERT INTO international VALUES (20,'MessageBoard',10,'Seneste svar',1031510000);
INSERT INTO international VALUES (565,'WebGUI',10,'Hvem kan moderere?',1031510000);
INSERT INTO international VALUES (22,'MessageBoard',10,'Slet besked',1031510000);
INSERT INTO international VALUES (1,'Poll',10,'Afstemning',1031510000);
INSERT INTO international VALUES (3,'Poll',10,'Aktiv',1031510000);
INSERT INTO international VALUES (4,'Poll',10,'Hvem kan stemme',1031510000);
INSERT INTO international VALUES (5,'Poll',10,'Bredde p graf',1031510000);
INSERT INTO international VALUES (6,'Poll',10,'Sprgsml',1031510000);
INSERT INTO international VALUES (7,'Poll',10,'Svar',1031510000);
INSERT INTO international VALUES (8,'Poll',10,'(Indtast t svar pr. linie. Ikke mere end 20.)',1031510000);
INSERT INTO international VALUES (9,'Poll',10,'Rediger afstemning',1031510000);
INSERT INTO international VALUES (10,'Poll',10,'Nulstil afstemning',1031510000);
INSERT INTO international VALUES (11,'Poll',10,'Stem!',1031510000);
INSERT INTO international VALUES (2,'SiteMap',10,'Site oversigt',1031510000);
INSERT INTO international VALUES (3,'SiteMap',10,'Startende fra dette niveau',1031510000);
INSERT INTO international VALUES (4,'SiteMap',10,'Dybde?',1031510000);
INSERT INTO international VALUES (5,'SiteMap',10,'Rediger Site oversigt',1031510000);
INSERT INTO international VALUES (6,'SiteMap',10,'Indryk',1031510000);
INSERT INTO international VALUES (80,'Survey',1,'seconds',1038789602);
INSERT INTO international VALUES (1,'SQLReport',10,'SQL rapport',1031510000);
INSERT INTO international VALUES (3,'SQLReport',10,'Rapport template',1031510000);
INSERT INTO international VALUES (4,'SQLReport',10,'Query',1031510000);
INSERT INTO international VALUES (5,'SQLReport',10,'DSN',1031510000);
INSERT INTO international VALUES (6,'SQLReport',10,'Database bruger',1031510000);
INSERT INTO international VALUES (7,'SQLReport',10,'Database Password',1031510000);
INSERT INTO international VALUES (8,'SQLReport',10,'Rediger SQL rapport',1031510000);
INSERT INTO international VALUES (9,'SQLReport',10,'<b>Debug:</b> Error: The DSN specified is of an improper format.',1031510000);
INSERT INTO international VALUES (10,'SQLReport',10,'<b>Debug:</b> Error: The SQL specified is of an improper format.',1031510000);
INSERT INTO international VALUES (11,'SQLReport',10,'<b>Debug:</b> Error: There was a problem with the query.',1031510000);
INSERT INTO international VALUES (12,'SQLReport',10,'<b>Debug:</b> Error: Could not connect to the database.',1031510000);
INSERT INTO international VALUES (13,'SQLReport',10,'Konverter linieskift?',1031510000);
INSERT INTO international VALUES (14,'SQLReport',10,'Slet efter',1031510000);
INSERT INTO international VALUES (15,'SQLReport',10,'Udfr makroer ved foresprgsel?',1031510000);
INSERT INTO international VALUES (16,'SQLReport',10,'Debug?',1031671019);
INSERT INTO international VALUES (17,'SQLReport',10,'<b>Debug:</b> Query:',1031510000);
INSERT INTO international VALUES (18,'SQLReport',10,'Der var ikke nogen svar til denne foresprgsel!',1031510000);
INSERT INTO international VALUES (1,'SyndicatedContent',10,'URL til RSS fil',1031510000);
INSERT INTO international VALUES (2,'SyndicatedContent',10,'Syndicated Content',1031510000);
INSERT INTO international VALUES (4,'SyndicatedContent',10,'Rediger Syndicated Content',1031510000);
INSERT INTO international VALUES (1,'USS',10,'Hvem kan godkende indlg?',1031510000);
INSERT INTO international VALUES (2,'USS',10,'Hvem kan tilfje indlg?',1031510000);
INSERT INTO international VALUES (3,'USS',10,'Du har nye indlg til godkendelse',1031510000);
INSERT INTO international VALUES (4,'USS',10,'Dit indlg er godkendt',1031510000);
INSERT INTO international VALUES (5,'USS',10,'Dit indlg er afvist',1031510000);
INSERT INTO international VALUES (6,'USS',10,'Antal indlg pr. side',1031510000);
INSERT INTO international VALUES (560,'WebGUI',10,'Godkendt',1031510000);
INSERT INTO international VALUES (561,'WebGUI',10,'Afvist',1031510000);
INSERT INTO international VALUES (562,'WebGUI',10,'Afventer',1031510000);
INSERT INTO international VALUES (563,'WebGUI',10,'Default Status',1031510000);
INSERT INTO international VALUES (12,'USS',10,'(Kryds ikke hvis du laver et HTML indlg.)',1031510000);
INSERT INTO international VALUES (13,'USS',10,'Tilfjet dato',1031510000);
INSERT INTO international VALUES (14,'USS',10,'Status',1031510000);
INSERT INTO international VALUES (15,'USS',10,'Rediger/Slet',1031510000);
INSERT INTO international VALUES (16,'USS',10,'Ingen titel',1031510000);
INSERT INTO international VALUES (17,'USS',10,'Er du sikker p du vil slette dette indlg?',1031510000);
INSERT INTO international VALUES (18,'USS',10,'Rediger User Submission System',1031510000);
INSERT INTO international VALUES (19,'USS',10,'Rediger indlg',1031510000);
INSERT INTO international VALUES (20,'USS',10,'Lav nyt indlg',1031510000);
INSERT INTO international VALUES (21,'USS',10,'Indsendt af',1031510000);
INSERT INTO international VALUES (572,'WebGUI',10,'Godkendt',1031510000);
INSERT INTO international VALUES (573,'WebGUI',10,'Afvent ',1031510000);
INSERT INTO international VALUES (574,'WebGUI',10,'Afvist',1031510000);
INSERT INTO international VALUES (27,'USS',10,'Rediger',1031510000);
INSERT INTO international VALUES (28,'USS',10,'Tilbage til Submission oversigt',1031510000);
INSERT INTO international VALUES (29,'USS',10,'Bruger Indlg',1031510000);
INSERT INTO international VALUES (31,'USS',10,'Indhold',1031510000);
INSERT INTO international VALUES (32,'USS',10,'Billede',1031510000);
INSERT INTO international VALUES (33,'USS',10,'Tillg',1031510000);
INSERT INTO international VALUES (34,'USS',10,'Konverter linieskift?',1031510000);
INSERT INTO international VALUES (35,'USS',10,'Titel',1031510000);
INSERT INTO international VALUES (37,'USS',10,'Slet',1031510000);
INSERT INTO international VALUES (1,'WebGUI',10,'Tilfj indhold',1031510000);
INSERT INTO international VALUES (2,'WebGUI',10,'Side',1031510000);
INSERT INTO international VALUES (3,'WebGUI',10,'Kopier fra udklipsholder',1031510000);
INSERT INTO international VALUES (4,'WebGUI',10,'administrer indstillinger',1031510000);
INSERT INTO international VALUES (5,'WebGUI',10,'administrer grupper',1031510000);
INSERT INTO international VALUES (6,'WebGUI',10,'administrer Stilarter',1031510000);
INSERT INTO international VALUES (7,'WebGUI',10,'administrer brugere',1031510000);
INSERT INTO international VALUES (8,'WebGUI',10,'Vis side_ikke_fundet',1031510000);
INSERT INTO international VALUES (9,'WebGUI',10,'Vis udklipsholder',1031510000);
INSERT INTO international VALUES (10,'WebGUI',10,'administrer skraldespand',1031510000);
INSERT INTO international VALUES (11,'WebGUI',10,'Tm skraldespand',1031510000);
INSERT INTO international VALUES (12,'WebGUI',10,'Sl administration fra',1031510000);
INSERT INTO international VALUES (13,'WebGUI',10,'Vis hjlpe indeks',1031510000);
INSERT INTO international VALUES (14,'WebGUI',10,'Vis afventende indlg',1031510000);
INSERT INTO international VALUES (15,'WebGUI',10,'Januar',1031510000);
INSERT INTO international VALUES (16,'WebGUI',10,'Februar',1031510000);
INSERT INTO international VALUES (17,'WebGUI',10,'Marts',1031510000);
INSERT INTO international VALUES (18,'WebGUI',10,'April',1031510000);
INSERT INTO international VALUES (19,'WebGUI',10,'Maj',1031510000);
INSERT INTO international VALUES (20,'WebGUI',10,'Juni',1031510000);
INSERT INTO international VALUES (21,'WebGUI',10,'Juli',1031510000);
INSERT INTO international VALUES (22,'WebGUI',10,'August',1031510000);
INSERT INTO international VALUES (23,'WebGUI',10,'September',1031510000);
INSERT INTO international VALUES (24,'WebGUI',10,'Oktober',1031510000);
INSERT INTO international VALUES (25,'WebGUI',10,'November',1031510000);
INSERT INTO international VALUES (26,'WebGUI',10,'December',1031510000);
INSERT INTO international VALUES (27,'WebGUI',10,'Sndag',1031510000);
INSERT INTO international VALUES (28,'WebGUI',10,'Mandag',1031510000);
INSERT INTO international VALUES (29,'WebGUI',10,'Tirsdag',1031510000);
INSERT INTO international VALUES (30,'WebGUI',10,'Onsdag',1031510000);
INSERT INTO international VALUES (31,'WebGUI',10,'Torsdag',1031510000);
INSERT INTO international VALUES (32,'WebGUI',10,'Fredag',1031510000);
INSERT INTO international VALUES (33,'WebGUI',10,'Lrdag',1031510000);
INSERT INTO international VALUES (34,'WebGUI',10,'St dato',1031510000);
INSERT INTO international VALUES (35,'WebGUI',10,'Administrative funktioner',1031510000);
INSERT INTO international VALUES (36,'WebGUI',10,'Du skal vre administrator for at udfre denne funktion. Kontakt en af flgende personer der er administratorer:',1031510000);
INSERT INTO international VALUES (37,'WebGUI',10,'Adgang ngtet!',1031510000);
INSERT INTO international VALUES (38,'WebGUI',10,'\"Du har ikke ndvendige rettigheder til at udfre denne funktion. Venligst log in ^a(log in med en konto); med ndvendige rettigheder fr du prver dette.\"',1031510000);
INSERT INTO international VALUES (39,'WebGUI',10,'Du har ikke rettigheder til at f adgang til denne side.',1031510000);
INSERT INTO international VALUES (40,'WebGUI',10,'Vital komponent',1031510000);
INSERT INTO international VALUES (41,'WebGUI',10,'DU forsger at fjerne en VITAL system komponent. Hvis du fik lov til dette, ville systemet ikke virke mere ..',1031510000);
INSERT INTO international VALUES (42,'WebGUI',10,'Venligst bekrft',1031510000);
INSERT INTO international VALUES (43,'WebGUI',10,'Er du sikker p du vil slette dette indhold?',1031510000);
INSERT INTO international VALUES (44,'WebGUI',10,'Ja, jeg er sikker!',1031510000);
INSERT INTO international VALUES (45,'WebGUI',10,'Nej, jeg lavede en fejl',1031510000);
INSERT INTO international VALUES (46,'WebGUI',10,'Min konto',1031510000);
INSERT INTO international VALUES (47,'WebGUI',10,'Hjem',1031510000);
INSERT INTO international VALUES (48,'WebGUI',10,'Hej',1031510000);
INSERT INTO international VALUES (49,'WebGUI',10,'\"Klik <a href=\"\"^\\;?op=logout\"\">her</a> for at logge ud.\"',1031510000);
INSERT INTO international VALUES (50,'WebGUI',10,'Brugernavn',1031510000);
INSERT INTO international VALUES (51,'WebGUI',10,'Kodeord',1031510000);
INSERT INTO international VALUES (52,'WebGUI',10,'Login',1031510000);
INSERT INTO international VALUES (53,'WebGUI',10,'Print side',1031510000);
INSERT INTO international VALUES (54,'WebGUI',10,'Opret konto',1031510000);
INSERT INTO international VALUES (2,'Auth/WebGUI',10,'Kodeord (bekrft)',1031510000);
INSERT INTO international VALUES (56,'WebGUI',10,'Email Adresse',1031510000);
INSERT INTO international VALUES (57,'WebGUI',10,'Dette er kun ndvendigt hvis du bruger en funktion der krver Email',1031510000);
INSERT INTO international VALUES (58,'WebGUI',10,'Jeg har allerede en konto',1031510000);
INSERT INTO international VALUES (59,'WebGUI',10,'Jeg har glemt mit kodeord (igen)',1031510000);
INSERT INTO international VALUES (60,'WebGUI',10,'Er du sikker p du vil deaktivere din konto. Kontoen kan IKKE bnes igen.',1031510000);
INSERT INTO international VALUES (61,'WebGUI',10,'Opdater konto information',1031510000);
INSERT INTO international VALUES (62,'WebGUI',10,'Gem',1031510000);
INSERT INTO international VALUES (63,'WebGUI',10,'Sl administration til.',1031510000);
INSERT INTO international VALUES (64,'WebGUI',10,'Log ud.',1031510000);
INSERT INTO international VALUES (65,'WebGUI',10,'Venligst de-aktiver min konto permanent.',1031510000);
INSERT INTO international VALUES (66,'WebGUI',10,'Log In',1031510000);
INSERT INTO international VALUES (67,'WebGUI',10,'Opret ny konto',1031510000);
INSERT INTO international VALUES (68,'WebGUI',10,'Konto informationen er ikke gyldig. Enten eksisterer kontoen ikke, eller ogs er brugernavn/kodeord forkert',1031510000);
INSERT INTO international VALUES (69,'WebGUI',10,'Kontakt venligst systemadministratoren for yderligere hjlp!',1031510000);
INSERT INTO international VALUES (70,'WebGUI',10,'Fejl',1031510000);
INSERT INTO international VALUES (71,'WebGUI',10,'Genskab kodeord',1031510000);
INSERT INTO international VALUES (72,'WebGUI',10,'Genskab  ',1031510000);
INSERT INTO international VALUES (73,'WebGUI',10,'Log in.',1031510000);
INSERT INTO international VALUES (74,'WebGUI',10,'Konto information.',1031510000);
INSERT INTO international VALUES (75,'WebGUI',10,'Din konto information er sendt til den oplyste Email adresse',1031510000);
INSERT INTO international VALUES (76,'WebGUI',10,'Email adressen er ikke registreret i systemet',1031510000);
INSERT INTO international VALUES (77,'WebGUI',10,'Det brugernavn er desvrre allerede brugt af en anden. Prv evt. en af disse:',1031510000);
INSERT INTO international VALUES (3,'Auth/WebGUI',10,'Du har indtastet to forskellige kodeord - prv igen!',1031510000);
INSERT INTO international VALUES (2,'Auth/LDAP',10,'Kan ikke forbinde til LDAP server',1031510000);
INSERT INTO international VALUES (80,'WebGUI',10,'Konto er nu oprettet!',1031510000);
INSERT INTO international VALUES (81,'WebGUI',10,'Konto er nu opdateret.',1031510000);
INSERT INTO international VALUES (82,'WebGUI',10,'Administrative funktioner',1031510000);
INSERT INTO international VALUES (84,'WebGUI',10,'Gruppe navn',1031510000);
INSERT INTO international VALUES (85,'WebGUI',10,'Beskrivelse',1031510000);
INSERT INTO international VALUES (86,'WebGUI',10,'Er du sikker p du vil slette denne gruppe? - og dermed alle rettigheder der er knyttet hertil',1031510000);
INSERT INTO international VALUES (87,'WebGUI',10,'Rediger gruppe',1031510000);
INSERT INTO international VALUES (88,'WebGUI',10,'brugere i gruppe',1031510000);
INSERT INTO international VALUES (89,'WebGUI',10,'Grupper',1031510000);
INSERT INTO international VALUES (90,'WebGUI',10,'Tilfj gruppe',1031510000);
INSERT INTO international VALUES (91,'WebGUI',10,'Forrige side',1031510000);
INSERT INTO international VALUES (92,'WebGUI',10,'Nste side',1031510000);
INSERT INTO international VALUES (93,'WebGUI',10,'Hjlp',1031510000);
INSERT INTO international VALUES (94,'WebGUI',10,'Se ogs',1031510000);
INSERT INTO international VALUES (95,'WebGUI',10,'Hjlpe indeks',1031510000);
INSERT INTO international VALUES (99,'WebGUI',10,'Titel',1031510000);
INSERT INTO international VALUES (100,'WebGUI',10,'Meta Tags',1031510000);
INSERT INTO international VALUES (101,'WebGUI',10,'Er du sikker p du vil slette denne side, og alt indhold derunder?',1031510000);
INSERT INTO international VALUES (102,'WebGUI',10,'Rediger side',1031510000);
INSERT INTO international VALUES (103,'WebGUI',10,'Side specifikationer',1031510000);
INSERT INTO international VALUES (104,'WebGUI',10,'Side URL',1031510000);
INSERT INTO international VALUES (105,'WebGUI',10,'Stil',1031510000);
INSERT INTO international VALUES (106,'WebGUI',10,'St kryds for at give denne stil til alle undersider',1031510000);
INSERT INTO international VALUES (107,'WebGUI',10,'Rettigheder',1031510000);
INSERT INTO international VALUES (108,'WebGUI',10,'Ejer',1031510000);
INSERT INTO international VALUES (116,'WebGUI',10,'St kryds for at give disse rettigheder til alle undersider',1031510000);
INSERT INTO international VALUES (117,'WebGUI',10,'Rediger autorisations indstillinger',1031510000);
INSERT INTO international VALUES (118,'WebGUI',10,'Anonym registrering',1031510000);
INSERT INTO international VALUES (119,'WebGUI',10,'autorisations metode (default)',1031510000);
INSERT INTO international VALUES (5,'Auth/LDAP',10,'LDAP URL (default)',1031510000);
INSERT INTO international VALUES (6,'Auth/LDAP',10,'LDAP Identitet (default)',1031510000);
INSERT INTO international VALUES (7,'Auth/LDAP',10,'LDAP Identitets navn',1031510000);
INSERT INTO international VALUES (8,'Auth/LDAP',10,'LDAP kodeord',1031510000);
INSERT INTO international VALUES (124,'WebGUI',10,'Rediger firma information',1031510000);
INSERT INTO international VALUES (125,'WebGUI',10,'Firma/organisations navn',1031510000);
INSERT INTO international VALUES (126,'WebGUI',10,'Firma/organisations Email',1031510000);
INSERT INTO international VALUES (127,'WebGUI',10,'Firma/organisation URL',1031510000);
INSERT INTO international VALUES (130,'WebGUI',10,'Maksimal strrelse p vedhftede filer',1031510000);
INSERT INTO international VALUES (133,'WebGUI',10,'Rediger Mail indstillinger',1031510000);
INSERT INTO international VALUES (134,'WebGUI',10,'Besked for genskab adgangskode',1031510000);
INSERT INTO international VALUES (135,'WebGUI',10,'SMTP Server',1031510000);
INSERT INTO international VALUES (138,'WebGUI',10,'Ja',1031510000);
INSERT INTO international VALUES (139,'WebGUI',10,'Nej ',1031510000);
INSERT INTO international VALUES (140,'WebGUI',10,'Rediger diverse indstillinger',1031510000);
INSERT INTO international VALUES (141,'WebGUI',10,'Ikke fundet side',1031510000);
INSERT INTO international VALUES (142,'WebGUI',10,'Session Timeout',1031510000);
INSERT INTO international VALUES (143,'WebGUI',10,'administrer indstillinger',1031510000);
INSERT INTO international VALUES (144,'WebGUI',10,'Vis statistik',1031510000);
INSERT INTO international VALUES (145,'WebGUI',10,'WebGUI Build Version',1031510000);
INSERT INTO international VALUES (146,'WebGUI',10,'Aktive sessioner',1031510000);
INSERT INTO international VALUES (147,'WebGUI',10,'Sider',1031510000);
INSERT INTO international VALUES (148,'WebGUI',10,'Wobjects',1031510000);
INSERT INTO international VALUES (149,'WebGUI',10,'brugere i gruppe',1031510000);
INSERT INTO international VALUES (151,'WebGUI',10,'Navn p stilart',1031510000);
INSERT INTO international VALUES (154,'WebGUI',10,'Stilart Sheet',1031510000);
INSERT INTO international VALUES (155,'WebGUI',10,'\"Er du sikker p du vil slette denne stilart og overfre alle sider der bruger denne til \"\"Fail Safe\"\" stilarten ?\"',1031510000);
INSERT INTO international VALUES (156,'WebGUI',10,'Rediger stilart',1031510000);
INSERT INTO international VALUES (157,'WebGUI',10,'stilarter',1031510000);
INSERT INTO international VALUES (158,'WebGUI',10,'Tilfj ny stilart',1031510000);
INSERT INTO international VALUES (159,'WebGUI',10,'Meddelelses log',1031510000);
INSERT INTO international VALUES (160,'WebGUI',10,'Dato oprettet',1031510000);
INSERT INTO international VALUES (161,'WebGUI',10,'Oprettet af',1031510000);
INSERT INTO international VALUES (162,'WebGUI',10,'Er du sikker p du vil tmme skraldespanden?',1031510000);
INSERT INTO international VALUES (163,'WebGUI',10,'Tilfj bruger  ',1031510000);
INSERT INTO international VALUES (164,'WebGUI',10,'Metode for autorisation',1031510000);
INSERT INTO international VALUES (3,'Auth/LDAP',10,'LDAP URL',1031510000);
INSERT INTO international VALUES (4,'Auth/LDAP',10,'Connect DN',1031510000);
INSERT INTO international VALUES (167,'WebGUI',10,'Er du sikker p du vil slette denne bruger? (Du kan ikke fortryde)',1031510000);
INSERT INTO international VALUES (168,'WebGUI',10,'Rediger bruger',1031510000);
INSERT INTO international VALUES (169,'WebGUI',10,'Tilfj ny bruger',1031510000);
INSERT INTO international VALUES (170,'WebGUI',10,'Sg',1031510000);
INSERT INTO international VALUES (171,'WebGUI',10,'Avanceret redigering',1031510000);
INSERT INTO international VALUES (174,'WebGUI',10,'Vis titel p siden?',1031510000);
INSERT INTO international VALUES (175,'WebGUI',10,'Udfr makroer?',1031510000);
INSERT INTO international VALUES (228,'WebGUI',10,'Rediger besked',1031510000);
INSERT INTO international VALUES (229,'WebGUI',10,'Emne',1031546537);
INSERT INTO international VALUES (230,'WebGUI',10,'Besked  ',1031510000);
INSERT INTO international VALUES (231,'WebGUI',10,'Oprettet ny besked ',1031510000);
INSERT INTO international VALUES (232,'WebGUI',10,'Intet emne',1031510000);
INSERT INTO international VALUES (233,'WebGUI',10,'(eom)',1031510000);
INSERT INTO international VALUES (234,'WebGUI',10,'Oprettet svar ',1031510000);
INSERT INTO international VALUES (237,'WebGUI',10,'Emne:',1031510000);
INSERT INTO international VALUES (238,'WebGUI',10,'Forfatter:',1031510000);
INSERT INTO international VALUES (239,'WebGUI',10,'Dato:',1031510000);
INSERT INTO international VALUES (240,'WebGUI',10,'Besked ID:',1031510000);
INSERT INTO international VALUES (244,'WebGUI',10,'Forfatter ',1031510000);
INSERT INTO international VALUES (245,'WebGUI',10,'Dato',1031510000);
INSERT INTO international VALUES (304,'WebGUI',10,'Sprog',1031510000);
INSERT INTO international VALUES (307,'WebGUI',10,'Brug standard meta tags?',1031510000);
INSERT INTO international VALUES (308,'WebGUI',10,'Rediger profil indstillinger',1031510000);
INSERT INTO international VALUES (309,'WebGUI',10,'Tillad rigtige navne?',1031510000);
INSERT INTO international VALUES (310,'WebGUI',10,'Tillad ekstra kontakt information?',1031510000);
INSERT INTO international VALUES (311,'WebGUI',10,'Tillad hjemme information?',1031510000);
INSERT INTO international VALUES (312,'WebGUI',10,'Tillad arbejds information?',1031510000);
INSERT INTO international VALUES (313,'WebGUI',10,'Tillad diverse information?',1031510000);
INSERT INTO international VALUES (314,'WebGUI',10,'Fornavn',1031510000);
INSERT INTO international VALUES (315,'WebGUI',10,'Mellemnavn',1031510000);
INSERT INTO international VALUES (316,'WebGUI',10,'Efternavn',1031510000);
INSERT INTO international VALUES (317,'WebGUI',10,'\"<a href=\"\"http://www.icq.com\"\">ICQ</a> UIN\"',1031510000);
INSERT INTO international VALUES (318,'WebGUI',10,'\"<a href=\"\"http://www.aol.com/aim/homenew.adp\"\">AIM</a> Id\"',1031510000);
INSERT INTO international VALUES (319,'WebGUI',10,'\"<a href=\"\"http://messenger.msn.com/\"\">MSN Messenger</a> Id\"',1031510000);
INSERT INTO international VALUES (320,'WebGUI',10,'\"<a href=\"\"http://messenger.yahoo.com/\"\">Yahoo! Messenger</a> Id\"',1031510000);
INSERT INTO international VALUES (321,'WebGUI',10,'Bil tlf.',1031510000);
INSERT INTO international VALUES (322,'WebGUI',10,'OPS',1031510000);
INSERT INTO international VALUES (323,'WebGUI',10,'Hjemme adresse',1031510000);
INSERT INTO international VALUES (324,'WebGUI',10,'Hjemme by',1031510000);
INSERT INTO international VALUES (325,'WebGUI',10,'Hjemme stat',1031510000);
INSERT INTO international VALUES (326,'WebGUI',10,'Hjemme postnr.',1031510000);
INSERT INTO international VALUES (327,'WebGUI',10,'Hjemme amt',1031510000);
INSERT INTO international VALUES (328,'WebGUI',10,'Hjemme tlf.',1031510000);
INSERT INTO international VALUES (329,'WebGUI',10,'Arbejds adresse',1031510000);
INSERT INTO international VALUES (330,'WebGUI',10,'Arbejds by',1031510000);
INSERT INTO international VALUES (331,'WebGUI',10,'Arbejds stat',1031510000);
INSERT INTO international VALUES (332,'WebGUI',10,'Arbejds postnr.',1031510000);
INSERT INTO international VALUES (333,'WebGUI',10,'Arbejds amt',1031510000);
INSERT INTO international VALUES (334,'WebGUI',10,'Arbejds tlf.',1031510000);
INSERT INTO international VALUES (335,'WebGUI',10,'M/K',1031510000);
INSERT INTO international VALUES (336,'WebGUI',10,'Fdselsdag',1031510000);
INSERT INTO international VALUES (337,'WebGUI',10,'Hjemmeside URL',1031510000);
INSERT INTO international VALUES (338,'WebGUI',10,'Rediger profil  ',1031510000);
INSERT INTO international VALUES (339,'WebGUI',10,'Mand',1031510000);
INSERT INTO international VALUES (340,'WebGUI',10,'Kvinde',1031510000);
INSERT INTO international VALUES (341,'WebGUI',10,'Rediger profil',1031510000);
INSERT INTO international VALUES (342,'WebGUI',10,'Rediger konto information',1031510000);
INSERT INTO international VALUES (343,'WebGUI',10,'Vis profil',1031510000);
INSERT INTO international VALUES (345,'WebGUI',10,'Ikke medlem',1031510000);
INSERT INTO international VALUES (346,'WebGUI',10,'Denne bruger findes ikke lngere p dette system. Jeg har ikke yderligere oplysninger om denne bruger',1031510000);
INSERT INTO international VALUES (347,'WebGUI',10,'Vis profil for',1031510000);
INSERT INTO international VALUES (348,'WebGUI',10,'Navn  ',1031510000);
INSERT INTO international VALUES (349,'WebGUI',10,'Seneste version',1031510000);
INSERT INTO international VALUES (350,'WebGUI',10,'Gennemfrt',1031510000);
INSERT INTO international VALUES (351,'WebGUI',10,'Message Log Entry',1031510000);
INSERT INTO international VALUES (352,'WebGUI',10,'Dato',1031510000);
INSERT INTO international VALUES (353,'WebGUI',10,'Du har ingen meddelelser i jeblikket',1031510000);
INSERT INTO international VALUES (354,'WebGUI',10,'Vis meddelelses log',1031510000);
INSERT INTO international VALUES (355,'WebGUI',10,'Standard',1031510000);
INSERT INTO international VALUES (356,'WebGUI',10,'Template',1031510000);
INSERT INTO international VALUES (357,'WebGUI',10,'Nyheder',1031510000);
INSERT INTO international VALUES (358,'WebGUI',10,'Venstre kolonne',1031510000);
INSERT INTO international VALUES (359,'WebGUI',10,'Hjre kolonne',1031510000);
INSERT INTO international VALUES (360,'WebGUI',10,'En over tre',1031510000);
INSERT INTO international VALUES (361,'WebGUI',10,'Tre over en',1031510000);
INSERT INTO international VALUES (362,'WebGUI',10,'Side ved side',1031510000);
INSERT INTO international VALUES (363,'WebGUI',10,'Template position',1031510000);
INSERT INTO international VALUES (364,'WebGUI',10,'Sg',1031510000);
INSERT INTO international VALUES (365,'WebGUI',10,'Sge resultater ',1031510000);
INSERT INTO international VALUES (366,'WebGUI',10,'Jeg fandt desvrre ingen sider med de(t) sgeord',1031510000);
INSERT INTO international VALUES (367,'WebGUI',10,'Udlber efter',1031510000);
INSERT INTO international VALUES (368,'WebGUI',10,'Tilfj en ny gruppen til denne bruger.',1031510000);
INSERT INTO international VALUES (369,'WebGUI',10,'Udlbs dato',1031510000);
INSERT INTO international VALUES (370,'WebGUI',10,'Rediger gruppering',1031510000);
INSERT INTO international VALUES (371,'WebGUI',10,'Tilfj gruppering',1031510000);
INSERT INTO international VALUES (372,'WebGUI',10,'Rediger brugers gruppe',1031510000);
INSERT INTO international VALUES (374,'WebGUI',10,'administrer packages',1031510000);
INSERT INTO international VALUES (375,'WebGUI',10,'Vlg package der skal tages i brug',1031510000);
INSERT INTO international VALUES (376,'WebGUI',10,'Package',1031510000);
INSERT INTO international VALUES (377,'WebGUI',10,'\"Der er endnu ikke defineret nogle \"\"Packages\"\".\"',1031510000);
INSERT INTO international VALUES (378,'WebGUI',10,'Bruger ID',1031510000);
INSERT INTO international VALUES (379,'WebGUI',10,'Gruppe ID',1031510000);
INSERT INTO international VALUES (380,'WebGUI',10,'Stilart ID',1031510000);
INSERT INTO international VALUES (381,'WebGUI',10,'WebGUI modtog en fejlformateret besked og kan ikke fortstte - dette skyldes typisk eb speciel karakter. Prv evt. at trykke tilbage og prv igen.',1031510000);
INSERT INTO international VALUES (683,'WebGUI',10,'Skabeloner, Hndter',1036856078);
INSERT INTO international VALUES (384,'WebGUI',10,'Fil  ',1031510000);
INSERT INTO international VALUES (385,'WebGUI',10,'Parametre',1031510000);
INSERT INTO international VALUES (386,'WebGUI',10,'Rediger billede',1031510000);
INSERT INTO international VALUES (387,'WebGUI',10,'Tilfjet af',1031510000);
INSERT INTO international VALUES (388,'WebGUI',10,'Tilfjet dato',1031510000);
INSERT INTO international VALUES (812,'WebGUI',1,'Your message has been sent.',1037580328);
INSERT INTO international VALUES (391,'WebGUI',10,'Sletter vedhftet fil',1031510000);
INSERT INTO international VALUES (596,'WebGUI',10,'MANGLER',1037205673);
INSERT INTO international VALUES (394,'WebGUI',10,'administrer billeder.',1031510000);
INSERT INTO international VALUES (395,'WebGUI',10,'Tilfj nyt billede',1031510000);
INSERT INTO international VALUES (717,'WebGUI',10,'Log ud',1036855705);
INSERT INTO international VALUES (705,'WebGUI',10,'minut(ter)',1036855912);
INSERT INTO international VALUES (398,'WebGUI',10,'Dokument type deklarering',1031510000);
INSERT INTO international VALUES (399,'WebGUI',10,'Valider denne side.',1031510000);
INSERT INTO international VALUES (400,'WebGUI',10,'Forhindre Proxy Caching',1031510000);
INSERT INTO international VALUES (401,'WebGUI',10,'Er du sikker p du vil slette denne besked, og alle under beskeder i trden?',1031510000);
INSERT INTO international VALUES (402,'WebGUI',10,'Beskeden findes ikke',1031510000);
INSERT INTO international VALUES (403,'WebGUI',10,'Det foretrkker jeg ikke at oplyse',1031510000);
INSERT INTO international VALUES (404,'WebGUI',10,'Frste side',1031510000);
INSERT INTO international VALUES (405,'WebGUI',10,'Sidste side',1031510000);
INSERT INTO international VALUES (406,'WebGUI',10,'Miniature strrelse',1031510000);
INSERT INTO international VALUES (407,'WebGUI',10,'Klik her for at registrere',1031510000);
INSERT INTO international VALUES (408,'WebGUI',10,'administrer rod',1031510000);
INSERT INTO international VALUES (409,'WebGUI',10,'Tilfj ny rod',1031510000);
INSERT INTO international VALUES (410,'WebGUI',10,'Administrer rod',1031510000);
INSERT INTO international VALUES (411,'WebGUI',10,'Menu titel',1031510000);
INSERT INTO international VALUES (412,'WebGUI',10,'Synopsis',1031510000);
INSERT INTO international VALUES (51,'Product',1,'Benefit',1031514049);
INSERT INTO international VALUES (56,'Product',1,'Add a product template.',1031514049);
INSERT INTO international VALUES (416,'WebGUI',10,'<h1>Problem med foresprgsel</h1>Oops, jeg har lidt problemer med din foresprgsel. Tryk tilbage og prv igen. Hvis problemet fortstte vil jeg vre glad hvis du vil kontakte os og fortlle hvad du prver, p forhnd tak.',1031510000);
INSERT INTO international VALUES (417,'WebGUI',10,'<h1>Sikkerhedsbrud</h1>Du forsgte at f adgang med en Wobject der ikke hrer til her. Jeg har rapporteret dit forsg.',1031510000);
INSERT INTO international VALUES (418,'WebGUI',10,'Filter Contributed HTML',1031510000);
INSERT INTO international VALUES (419,'WebGUI',10,'Fjern alle tags',1031510000);
INSERT INTO international VALUES (420,'WebGUI',10,'Lad det vre',1031510000);
INSERT INTO international VALUES (421,'WebGUI',10,'Fjerne alt bortset fra basal formatering',1031510000);
INSERT INTO international VALUES (422,'WebGUI',10,'Login mislykkedes.\r\nDe indtastede informationer stemmer ikke med mine oplysninger',1032470666);
INSERT INTO international VALUES (423,'WebGUI',10,'Vis aktive sessioner',1031510000);
INSERT INTO international VALUES (424,'WebGUI',10,'Vis login historik',1031510000);
INSERT INTO international VALUES (425,'WebGUI',10,'Aktive sessioner',1031510000);
INSERT INTO international VALUES (426,'WebGUI',10,'Login historik',1031510000);
INSERT INTO international VALUES (427,'WebGUI',10,'stilarter',1031510000);
INSERT INTO international VALUES (428,'WebGUI',10,'Bruger (ID)',1031510000);
INSERT INTO international VALUES (429,'WebGUI',10,'Login tid',1031510000);
INSERT INTO international VALUES (430,'WebGUI',10,'Sidste side vist',1031510000);
INSERT INTO international VALUES (431,'WebGUI',10,'IP Adresse',1031510000);
INSERT INTO international VALUES (432,'WebGUI',10,'Udlber efter',1031510000);
INSERT INTO international VALUES (433,'WebGUI',10,'Bruger agent:',1031510000);
INSERT INTO international VALUES (434,'WebGUI',10,'Status',1031510000);
INSERT INTO international VALUES (435,'WebGUI',10,'Session Signatur',1031510000);
INSERT INTO international VALUES (436,'WebGUI',10,'Afbryd Session',1031510000);
INSERT INTO international VALUES (437,'WebGUI',10,'Statistik',1031510000);
INSERT INTO international VALUES (438,'WebGUI',10,'Dit navn',1031510000);
INSERT INTO international VALUES (439,'WebGUI',10,'Personlig information',1031510000);
INSERT INTO international VALUES (440,'WebGUI',10,'Kontakt information',1031510000);
INSERT INTO international VALUES (441,'WebGUI',10,'Email  til OPS Gateway',1031510000);
INSERT INTO international VALUES (442,'WebGUI',10,'Arbejdsinformation',1031510000);
INSERT INTO international VALUES (443,'WebGUI',10,'Hjemme information',1031510000);
INSERT INTO international VALUES (444,'WebGUI',10,'Demografisk information',1031510000);
INSERT INTO international VALUES (445,'WebGUI',10,'Prferencer',1031510000);
INSERT INTO international VALUES (446,'WebGUI',10,'Arbejds hjemmeside',1031510000);
INSERT INTO international VALUES (447,'WebGUI',10,'Administrer tr struktur',1031510000);
INSERT INTO international VALUES (448,'WebGUI',10,'Tr struktur',1031510000);
INSERT INTO international VALUES (449,'WebGUI',10,'Diverse information',1031510000);
INSERT INTO international VALUES (450,'WebGUI',10,'Arbejdsnavn (Firma navn)',1031510000);
INSERT INTO international VALUES (451,'WebGUI',10,'er pkrvet',1031510000);
INSERT INTO international VALUES (452,'WebGUI',10,'jeblik ...',1032273938);
INSERT INTO international VALUES (453,'WebGUI',10,'Dato oprettet',1031510000);
INSERT INTO international VALUES (454,'WebGUI',10,'Sidste opdateret',1031510000);
INSERT INTO international VALUES (455,'WebGUI',10,'Rediger bruger profil',1031510000);
INSERT INTO international VALUES (456,'WebGUI',10,'Tilbage til bruger liste',1031510000);
INSERT INTO international VALUES (457,'WebGUI',10,'Rediger denne brugers konto',1031510000);
INSERT INTO international VALUES (458,'WebGUI',10,'Rediger denne bruger gruppe',1031510000);
INSERT INTO international VALUES (459,'WebGUI',10,'Rediger denne brugers profil',1031510000);
INSERT INTO international VALUES (460,'WebGUI',10,'Tidsforskel',1031510000);
INSERT INTO international VALUES (461,'WebGUI',10,'Dato format',1031510000);
INSERT INTO international VALUES (462,'WebGUI',10,'Tids format',1031510000);
INSERT INTO international VALUES (463,'WebGUI',10,'Tekst Area Rows',1031510000);
INSERT INTO international VALUES (464,'WebGUI',10,'Tekst Area Columns',1031510000);
INSERT INTO international VALUES (465,'WebGUI',10,'Tekst Box Size',1031510000);
INSERT INTO international VALUES (466,'WebGUI',10,'Er du sikker p du vil slette denne kategori og flytte indholdet over i diverse kategorien?',1031510000);
INSERT INTO international VALUES (467,'WebGUI',10,'Er du sikker p du vil slette dette felt, og alle relaterede brugerdata?',1031510000);
INSERT INTO international VALUES (469,'WebGUI',10,'Id',1031510000);
INSERT INTO international VALUES (470,'WebGUI',10,'Navn',1031510000);
INSERT INTO international VALUES (472,'WebGUI',10,'Label',1031510000);
INSERT INTO international VALUES (473,'WebGUI',10,'Synlig?',1031510000);
INSERT INTO international VALUES (474,'WebGUI',10,'Pkrvet?',1031510000);
INSERT INTO international VALUES (475,'WebGUI',10,'Tekst',1031510000);
INSERT INTO international VALUES (476,'WebGUI',10,'Tekst omrde',1031510000);
INSERT INTO international VALUES (477,'WebGUI',10,'HTML omrde',1031510000);
INSERT INTO international VALUES (478,'WebGUI',10,'URL',1031510000);
INSERT INTO international VALUES (479,'WebGUI',10,'Dato',1031510000);
INSERT INTO international VALUES (480,'WebGUI',10,'Email Adresse',1031510000);
INSERT INTO international VALUES (481,'WebGUI',10,'Tlf. nr.',1031510000);
INSERT INTO international VALUES (482,'WebGUI',10,'Heltal',1031510000);
INSERT INTO international VALUES (483,'WebGUI',10,'Ja eller Nej',1031510000);
INSERT INTO international VALUES (484,'WebGUI',10,'Vlg fra list',1031510000);
INSERT INTO international VALUES (485,'WebGUI',10,'Logisk (Checkboks)',1031510000);
INSERT INTO international VALUES (486,'WebGUI',10,'Data type',1031510000);
INSERT INTO international VALUES (487,'WebGUI',10,'Mulige vrdier',1031510000);
INSERT INTO international VALUES (488,'WebGUI',10,'Standard vrdi',1031510000);
INSERT INTO international VALUES (489,'WebGUI',10,'Profil kategori',1031510000);
INSERT INTO international VALUES (490,'WebGUI',10,'Tilfj en profil kategori',1031510000);
INSERT INTO international VALUES (491,'WebGUI',10,'Tilfj et profil felt',1031510000);
INSERT INTO international VALUES (492,'WebGUI',10,'Liste over profil felter',1031510000);
INSERT INTO international VALUES (493,'WebGUI',10,'Tilbage til Site',1031510000);
INSERT INTO international VALUES (494,'WebGUI',10,'Real Objects Edit-On Pro',1031510000);
INSERT INTO international VALUES (495,'WebGUI',10,'Indbygget editor',1031510000);
INSERT INTO international VALUES (496,'WebGUI',10,'Hvilken editor bruges',1031510000);
INSERT INTO international VALUES (497,'WebGUI',10,'Start dato',1031510000);
INSERT INTO international VALUES (498,'WebGUI',10,'Slut dato',1031510000);
INSERT INTO international VALUES (499,'WebGUI',10,'Wobject ID',1031510000);
INSERT INTO international VALUES (518,'WebGUI',1,'Inbox Notifications',1031514049);
INSERT INTO international VALUES (519,'WebGUI',1,'I would not like to be notified.',1031514049);
INSERT INTO international VALUES (520,'WebGUI',1,'I would like to be notified via email.',1031514049);
INSERT INTO international VALUES (521,'WebGUI',1,'I would like to be notified via email to pager.',1031514049);
INSERT INTO international VALUES (522,'WebGUI',1,'I would like to be notified via ICQ.',1031514049);
INSERT INTO international VALUES (523,'WebGUI',1,'Notification',1031514049);
INSERT INTO international VALUES (524,'Discussion',1,'Add edit stamp to posts?',1031514049);
INSERT INTO international VALUES (525,'WebGUI',1,'Edit Content Settings',1031514049);
INSERT INTO international VALUES (528,'WebGUI',1,'Template Name',1031514049);
INSERT INTO international VALUES (529,'WebGUI',1,'results',1031514049);
INSERT INTO international VALUES (530,'WebGUI',1,'with <b>all</b> the words',1031514049);
INSERT INTO international VALUES (531,'WebGUI',1,'with the <b>exact phrase</b>',1031514049);
INSERT INTO international VALUES (532,'WebGUI',1,'with <b>at least one</b> of the words',1031514049);
INSERT INTO international VALUES (533,'WebGUI',1,'<b>without</b> the words',1031514049);
INSERT INTO international VALUES (535,'WebGUI',1,'Group To Alert On New User',1031514049);
INSERT INTO international VALUES (534,'WebGUI',1,'Alert on new user?',1031514049);
INSERT INTO international VALUES (536,'WebGUI',1,'A new user named ^@; has joined the site.',1031514049);
INSERT INTO international VALUES (56,'WebGUI',3,'E-mail adres',1039780710);
INSERT INTO international VALUES (2,'Auth/WebGUI',3,'Wachtwoord (bevestigen)',1031516049);
INSERT INTO international VALUES (11,'Product',1,'Product Number',1031514049);
INSERT INTO international VALUES (2,'Product',1,'Are you certain you wish to delete the relationship to this accessory?',1031514049);
INSERT INTO international VALUES (54,'WebGUI',3,'Creer account',1039780682);
INSERT INTO international VALUES (53,'WebGUI',3,'Maak pagina printbaar',1039780591);
INSERT INTO international VALUES (579,'WebGUI',1,'Your message has been approved.',1031514049);
INSERT INTO international VALUES (52,'WebGUI',3,'Login',1039780488);
INSERT INTO international VALUES (51,'WebGUI',3,'Wachtwoord',1039780397);
INSERT INTO international VALUES (50,'WebGUI',3,'Gebruikersnaam',1039780280);
INSERT INTO international VALUES (49,'WebGUI',3,'Klik <a href=\"^\\;?op=logout\">hier</a> om uit te loggen.',1039780141);
INSERT INTO international VALUES (48,'WebGUI',3,'Hallo',1039780053);
INSERT INTO international VALUES (47,'WebGUI',3,'Home',1039741466);
INSERT INTO international VALUES (46,'WebGUI',3,'Mijn account',1038531170);
INSERT INTO international VALUES (45,'WebGUI',3,'Nee, ik heb een foutje gemaakt.',1038531070);
INSERT INTO international VALUES (44,'WebGUI',3,'Ja, ik weet het zeker.',1038530976);
INSERT INTO international VALUES (43,'WebGUI',3,'Weet u zeker dat u deze inhoud wilt verwijderen?',1038530904);
INSERT INTO international VALUES (42,'WebGUI',3,'Alstublieft bevestigen',1038530812);
INSERT INTO international VALUES (41,'WebGUI',3,'U probeert een vitaal component van het WebGUI systeem te verwijderen. Als u dit zou mogen dan zou WebGUI waarschijnlijk niet meer werken.',1038530721);
INSERT INTO international VALUES (40,'WebGUI',3,'Vitaal component',1038530620);
INSERT INTO international VALUES (39,'WebGUI',3,'U heeft niet voldoende privileges om deze pagina op te vragen.',1038530553);
INSERT INTO international VALUES (38,'WebGUI',3,'U heeft niet voldoende privileges om deze bewerking uit te voeren. ^a(Log in); als een gebruiker met voldoende privileges.',1038530283);
INSERT INTO international VALUES (37,'WebGUI',3,'Geen toegang!',1038530004);
INSERT INTO international VALUES (36,'WebGUI',3,'U moet beheerder zijn om deze functie uit te voeren. Neem contact op met een van de beheerders:',1038529900);
INSERT INTO international VALUES (35,'WebGUI',3,'Administratieve functie',1038529809);
INSERT INTO international VALUES (34,'WebGUI',3,'Zet datum',1038529725);
INSERT INTO international VALUES (33,'WebGUI',3,'zaterdag',1038529573);
INSERT INTO international VALUES (32,'WebGUI',3,'vrijdag',1038529487);
INSERT INTO international VALUES (31,'WebGUI',3,'donderdag',1038529371);
INSERT INTO international VALUES (30,'WebGUI',3,'woensdag',1038529324);
INSERT INTO international VALUES (29,'WebGUI',3,'dinsdag',1038529299);
INSERT INTO international VALUES (29,'USS',3,'Gebruikers bijdrage systeem',1038528196);
INSERT INTO international VALUES (28,'WebGUI',3,'maandag',1038529293);
INSERT INTO international VALUES (28,'USS',3,'Ga terug naar bijdrage lijst',1038528190);
INSERT INTO international VALUES (27,'WebGUI',3,'zondag',1038529287);
INSERT INTO international VALUES (27,'USS',3,'Bewerk',1038528183);
INSERT INTO international VALUES (26,'WebGUI',3,'december',1038529282);
INSERT INTO international VALUES (574,'WebGUI',3,'Keur af',1039520745);
INSERT INTO international VALUES (25,'WebGUI',3,'november',1038529276);
INSERT INTO international VALUES (573,'WebGUI',3,'Laat in behandeling',1039780791);
INSERT INTO international VALUES (24,'WebGUI',3,'oktober',1038529251);
INSERT INTO international VALUES (572,'WebGUI',3,'Keur goed',1039780783);
INSERT INTO international VALUES (23,'WebGUI',3,'september',1038529184);
INSERT INTO international VALUES (22,'WebGUI',3,'augustus',1038529157);
INSERT INTO international VALUES (9,'Product',1,'Product Image 3',1031514049);
INSERT INTO international VALUES (7,'Product',1,'Product Image 1',1031514049);
INSERT INTO international VALUES (21,'WebGUI',3,'juli',1038529151);
INSERT INTO international VALUES (21,'USS',3,'Ingevoerd door',1038528177);
INSERT INTO international VALUES (20,'WebGUI',3,'juni',1038529145);
INSERT INTO international VALUES (575,'WebGUI',1,'Edit',1031514049);
INSERT INTO international VALUES (570,'WebGUI',1,'Lock Thread',1031514049);
INSERT INTO international VALUES (568,'WebGUI',1,'After-the-fact',1031514049);
INSERT INTO international VALUES (20,'USS',3,'Post nieuwe bijdrage',1038528169);
INSERT INTO international VALUES (20,'MessageBoard',3,'Laatste antwoord',1038526552);
INSERT INTO international VALUES (19,'WebGUI',3,'mei',1038529133);
INSERT INTO international VALUES (19,'USS',3,'Bewerk bijdrage',1038528155);
INSERT INTO international VALUES (19,'MessageBoard',3,'Antwoorden',1038526539);
INSERT INTO international VALUES (18,'WebGUI',3,'april',1038529128);
INSERT INTO international VALUES (18,'USS',3,'Bewerk gebruikers bijdrage systeem',1038528149);
INSERT INTO international VALUES (18,'MessageBoard',3,'Draad gestart',1038526532);
INSERT INTO international VALUES (17,'WebGUI',3,'maart',1038529054);
INSERT INTO international VALUES (16,'WebGUI',3,'februari',1038528909);
INSERT INTO international VALUES (17,'MessageBoard',3,'Post nieuw bericht',1038526510);
INSERT INTO international VALUES (17,'USS',3,'Weet u zeker dat u deze bijdrage wilt verwijderen?',1038528140);
INSERT INTO international VALUES (16,'USS',3,'Zonder titel',1038528132);
INSERT INTO international VALUES (16,'MessageBoard',3,'Datum',1038526406);
INSERT INTO international VALUES (15,'WebGUI',3,'januari',1038528810);
INSERT INTO international VALUES (15,'USS',3,'Bewerk/Verwijder',1038528124);
INSERT INTO international VALUES (15,'MessageBoard',3,'Afzender',1038526399);
INSERT INTO international VALUES (14,'WebGUI',3,'Laat lopende toevoegingen zien.',1038528727);
INSERT INTO international VALUES (14,'USS',3,'Status',1038528106);
INSERT INTO international VALUES (13,'WebGUI',3,'Laat help index zien.',1038528658);
INSERT INTO international VALUES (13,'USS',3,'Invoerdatum',1038528099);
INSERT INTO international VALUES (577,'WebGUI',3,'Post antwoord',1039520759);
INSERT INTO international VALUES (13,'LinkList',3,'Voeg een nieuwe link toe.',1038513241);
INSERT INTO international VALUES (13,'EventsCalendar',3,'Bewerk evenement',1038486766);
INSERT INTO international VALUES (13,'Article',3,'Verwijder',1037903217);
INSERT INTO international VALUES (12,'WebGUI',3,'Zet beheermode uit.',1038528595);
INSERT INTO international VALUES (12,'USS',3,'(Niet aanvinken als u een HTML bijdrage levert.)',1038528093);
INSERT INTO international VALUES (12,'SQLReport',3,'<b>Debug:</b> Fout: Kon geen verbinding met de database maken.',1038527862);
INSERT INTO international VALUES (12,'EventsCalendar',3,'Bewerk evenementenkalender',1038486744);
INSERT INTO international VALUES (12,'LinkList',3,'Bewerk link',1038513235);
INSERT INTO international VALUES (12,'MessageBoard',3,'Bewerk bericht',1038526390);
INSERT INTO international VALUES (12,'Article',3,'Bewerk artikel',1037903209);
INSERT INTO international VALUES (11,'WebGUI',3,'Leeg prullenbak.',1038528487);
INSERT INTO international VALUES (11,'SQLReport',3,'<b>Debug:</b> Fout: Er was een probleem met de query',1038527828);
INSERT INTO international VALUES (11,'MessageBoard',3,'Terug naar berichten lijst',1038526383);
INSERT INTO international VALUES (11,'Article',3,'(Vink alleen aan als u niet handmatig <br> gebruikt.)',1037903201);
INSERT INTO international VALUES (10,'WebGUI',3,'Bekijk prullenbak.',1038528350);
INSERT INTO international VALUES (563,'WebGUI',3,'Standaard status',1039780738);
INSERT INTO international VALUES (10,'SQLReport',3,'Fout: De ingevoerde SQL instructie heeft een verkeerd formaat.',1038527803);
INSERT INTO international VALUES (10,'Poll',3,'Stemmen op nul zetten.',1039783988);
INSERT INTO international VALUES (10,'LinkList',3,'Bewerk link lijst',1038513228);
INSERT INTO international VALUES (10,'FAQ',3,'Bewerk vraag',1038487314);
INSERT INTO international VALUES (10,'Article',3,'Enter converteren?',1037903159);
INSERT INTO international VALUES (562,'WebGUI',3,'Lopend',1039780731);
INSERT INTO international VALUES (9,'WebGUI',3,'Bekijk klembord.',1039783519);
INSERT INTO international VALUES (9,'SQLReport',3,'<b>Debug:</b> Fout: De ingevoerde DSN heeft een verkeerd formaat.',1038527986);
INSERT INTO international VALUES (9,'Poll',3,'Bewerk peiling',1039784016);
INSERT INTO international VALUES (9,'MessageBoard',3,'Bericht ID:',1038526591);
INSERT INTO international VALUES (9,'LinkList',3,'Weet u zeker dat u deze link wilt verwijderen?',1038513324);
INSERT INTO international VALUES (9,'FAQ',3,'Voeg een nieuwe vraag toe',1038487447);
INSERT INTO international VALUES (9,'EventsCalendar',3,'Tot',1038487255);
INSERT INTO international VALUES (9,'Article',3,'Bijlage',1037903332);
INSERT INTO international VALUES (8,'SQLReport',3,'Bewerk SQL rapport',1038527960);
INSERT INTO international VALUES (561,'WebGUI',3,'Afgekeurd',1039780724);
INSERT INTO international VALUES (8,'WebGUI',3,'Bekijk \'pagina niet gevonden\'.',1039783447);
INSERT INTO international VALUES (8,'LinkList',3,'URL',1038513314);
INSERT INTO international VALUES (8,'MessageBoard',3,'Datum:',1038526584);
INSERT INTO international VALUES (8,'Poll',3,'(Voer een antwoord per regel in. Niet meer dan 20.)',1038527748);
INSERT INTO international VALUES (8,'FAQ',3,'Bewerk FAQ',1038487440);
INSERT INTO international VALUES (8,'EventsCalendar',3,'Herhaalt elke',1038487219);
INSERT INTO international VALUES (8,'Article',3,'Link URL',1037903325);
INSERT INTO international VALUES (7,'WebGUI',3,'Beheer gebruikers.',1039783132);
INSERT INTO international VALUES (7,'SQLReport',3,'Database wachtwoord',1038527954);
INSERT INTO international VALUES (560,'WebGUI',3,'Goedgekeurd',1039780716);
INSERT INTO international VALUES (7,'Poll',3,'Antwoorden',1038527725);
INSERT INTO international VALUES (7,'MessageBoard',3,'Naam:',1038526578);
INSERT INTO international VALUES (7,'FAQ',3,'Weet u zeker dat u deze vraag wilt verwijderen?',1038487392);
INSERT INTO international VALUES (7,'Article',3,'Link titel',1037903316);
INSERT INTO international VALUES (6,'WebGUI',3,'Beheer stijlen.',1039521059);
INSERT INTO international VALUES (6,'USS',3,'Bijdrages per pagina',1038528336);
INSERT INTO international VALUES (11,'HttpProxy',1,'The HTTP Proxy wobject is a very powerful tool. It enables you to embed external sites and applications into your site. For example, if you have a web mail system that you wish your staff could access through the intranet, then you could use the HTTP Proxy to accomplish that.\r\n\r\n<p>\r\n\r\n<b>URL</b><br>\r\nThe starting URL for the proxy.\r\n<p>\r\n\r\n<b>Follow redirects?</b><br>\r\nSometimes the URL to a page, is actually a redirection to another page. Do you wish to follow those redirections when they occur?\r\n<p>\r\n\r\n<b>Timeout</b><br>\r\nThe amount of time (in seconds) that WebGUI should wait for a connection before giving up on an external page.\r\n<p>\r\n\r\n<b>Cookie Jar</b><br>\r\nA directory path of where to store cookies that an external application produces. This folder needs to be somewhere that the web server has privileges to write. If the cookies are not stored, the proxied application may not function properly.\r\n<p>\r\n\r\n<b>Remove style?</b><br>\r\nDo you wish to remove the stylesheet from the proxied content in favor of the stylesheet from your site?\r\n<p>\r\n\r\n<b>Filter Content</b><br>\r\nChoose the level of HTML filtering you wish to apply to the proxied content.\r\n<p>\r\n\r\n\r\n<b>Allow proxying of other domains?</b><br>\r\nIf you proxy a site like Yahoo! that links to other domains, do you wish to allow the user to follow the links to those other domains, or should the proxy stop them as they try to leave the original site you specified?\r\n<p>\r\n',1047858432);
INSERT INTO international VALUES (6,'SQLReport',3,'Database gebruiker',1038527948);
INSERT INTO international VALUES (6,'SiteMap',3,'Inspringen',1038528020);
INSERT INTO international VALUES (6,'Poll',3,'Vraag',1038527718);
INSERT INTO international VALUES (6,'MessageBoard',3,'Bewerk berichten bord',1038526571);
INSERT INTO international VALUES (6,'LinkList',3,'Link lijst',1038513260);
INSERT INTO international VALUES (6,'FAQ',3,'Antwoord',1038487373);
INSERT INTO international VALUES (6,'ExtraColumn',3,'Bewerk extra kolom',1038487306);
INSERT INTO international VALUES (701,'WebGUI',3,'Week(en)',1039783167);
INSERT INTO international VALUES (6,'Article',3,'Plaatje',1037903296);
INSERT INTO international VALUES (5,'WebGUI',3,'Beheer groepen.',1039780273);
INSERT INTO international VALUES (5,'USS',3,'Uw bijdrage is afgekeurd.',1038528301);
INSERT INTO international VALUES (5,'SQLReport',3,'DSN',1038527939);
INSERT INTO international VALUES (5,'SiteMap',3,'Bewerk sitemap',1038528013);
INSERT INTO international VALUES (5,'Poll',3,'Grafiek breedte',1038527712);
INSERT INTO international VALUES (566,'WebGUI',3,'Bewerk timeout',1039780763);
INSERT INTO international VALUES (72,'MessageBoard',1,'Main Template',1038678090);
INSERT INTO international VALUES (5,'FAQ',3,'Vraag',1038487354);
INSERT INTO international VALUES (5,'ExtraColumn',3,'Stylesheet klasse (class)',1038487299);
INSERT INTO international VALUES (700,'WebGUI',3,'Dag(en)',1039783156);
INSERT INTO international VALUES (4,'WebGUI',3,'Beheer instellingen.',1038530613);
INSERT INTO international VALUES (4,'USS',3,'Uw bijdrage is goedgekeurd.',1038528260);
INSERT INTO international VALUES (4,'SQLReport',3,'Query',1038527933);
INSERT INTO international VALUES (4,'SyndicatedContent',3,'Bewerk syndicated content',1038528061);
INSERT INTO international VALUES (4,'Poll',3,'Wie kan stemmen?',1038527705);
INSERT INTO international VALUES (4,'SiteMap',3,'Diepteniveau',1038528007);
INSERT INTO international VALUES (4,'MessageBoard',3,'Berichten per pagina',1038526565);
INSERT INTO international VALUES (4,'ExtraColumn',3,'Breedte',1038487286);
INSERT INTO international VALUES (4,'EventsCalendar',3,'Gebeurt maar een keer.',1038486820);
INSERT INTO international VALUES (4,'Article',3,'Einddatum',1037903286);
INSERT INTO international VALUES (3,'WebGUI',3,'Plakken van het klemboord...',1038529317);
INSERT INTO international VALUES (3,'USS',3,'U heeft een nieuwe bijdrage goed te keuren.',1038528209);
INSERT INTO international VALUES (3,'SQLReport',3,'Raport sjabloon',1038527926);
INSERT INTO international VALUES (3,'SiteMap',3,'Beginnen met',1039989710);
INSERT INTO international VALUES (3,'Poll',3,'Aktief',1038527699);
INSERT INTO international VALUES (564,'WebGUI',3,'Wie kan posten?',1039780748);
INSERT INTO international VALUES (3,'LinkList',3,'Open in nieuw venster?',1038513253);
INSERT INTO international VALUES (3,'ExtraColumn',3,'Tussenruimte',1038487279);
INSERT INTO international VALUES (3,'Article',3,'Begindatum',1037903276);
INSERT INTO international VALUES (2,'WebGUI',3,'Pagina',1038529139);
INSERT INTO international VALUES (2,'USS',3,'Wie kan bijdragen?',1038528162);
INSERT INTO international VALUES (2,'SyndicatedContent',3,'Syndicated content',1038528054);
INSERT INTO international VALUES (2,'SiteMap',3,'Sitemap',1038527992);
INSERT INTO international VALUES (2,'MessageBoard',3,'Berichtenbord',1038526545);
INSERT INTO international VALUES (2,'FAQ',3,'FAQ',1038487347);
INSERT INTO international VALUES (2,'EventsCalendar',3,'Evenementenkalender',1038486806);
INSERT INTO international VALUES (1,'WebGUI',3,'Inhoud toevoegen...',1038528343);
INSERT INTO international VALUES (1,'USS',3,'Wie kan goedkeuren?',1038528080);
INSERT INTO international VALUES (1,'SyndicatedContent',3,'URL naar RSS bestand',1038528048);
INSERT INTO international VALUES (1,'SQLReport',3,'SQL rapport',1038527779);
INSERT INTO international VALUES (1,'Poll',3,'Peiling',1039783947);
INSERT INTO international VALUES (1,'ExtraColumn',3,'Extra kolom',1038487271);
INSERT INTO international VALUES (88,'EventsCalendar',1,'Show 6 months from start.',1038190632);
INSERT INTO international VALUES (1,'Article',3,'Artikel',1037915769);
INSERT INTO international VALUES (537,'WebGUI',1,'Karma',1031514049);
INSERT INTO international VALUES (538,'WebGUI',1,'Karma Threshold',1031514049);
INSERT INTO international VALUES (539,'WebGUI',1,'Enable Karma?',1031514049);
INSERT INTO international VALUES (540,'WebGUI',1,'Karma Per Login',1031514049);
INSERT INTO international VALUES (20,'Poll',1,'Karma Per Vote',1031514049);
INSERT INTO international VALUES (541,'WebGUI',1,'Karma Per Post',1031514049);
INSERT INTO international VALUES (5,'Product',1,'Are you certain you wish to delete this specification?',1031514049);
INSERT INTO international VALUES (542,'WebGUI',1,'Previous..',1031514049);
INSERT INTO international VALUES (543,'WebGUI',1,'Add a new image group.',1031514049);
INSERT INTO international VALUES (1,'WobjectProxy',10,'Wobject der skal laves proxy fra',1036856119);
INSERT INTO international VALUES (661,'WebGUI',10,'Fil indstillinger, Redigr',1036856289);
INSERT INTO international VALUES (586,'WebGUI',10,'Sprog',1037205357);
INSERT INTO international VALUES (598,'WebGUI',10,'Redigr sprog',1037205737);
INSERT INTO international VALUES (551,'WebGUI',1,'Notice',1031514049);
INSERT INTO international VALUES (552,'WebGUI',1,'Pending',1031514049);
INSERT INTO international VALUES (553,'WebGUI',1,'Status',1031514049);
INSERT INTO international VALUES (554,'WebGUI',1,'Take Action',1031514049);
INSERT INTO international VALUES (555,'WebGUI',1,'Edit this user\'s karma.',1031514049);
INSERT INTO international VALUES (556,'WebGUI',1,'Amount',1031514049);
INSERT INTO international VALUES (557,'WebGUI',1,'Description',1031514049);
INSERT INTO international VALUES (558,'WebGUI',1,'Edit User\'s Karma',1031514049);
INSERT INTO international VALUES (6,'Item',1,'Edit Item',1031514049);
INSERT INTO international VALUES (559,'WebGUI',1,'Run On Registration',1031514049);
INSERT INTO international VALUES (13,'Product',1,'Brochure',1031514049);
INSERT INTO international VALUES (14,'Product',1,'Manual',1031514049);
INSERT INTO international VALUES (15,'Product',1,'Warranty',1031514049);
INSERT INTO international VALUES (16,'Product',1,'Add Accessory',1031514049);
INSERT INTO international VALUES (17,'Product',1,'Accessory',1031514049);
INSERT INTO international VALUES (18,'Product',1,'Add another accessory?',1031514049);
INSERT INTO international VALUES (21,'Product',1,'Add another related product?',1031514049);
INSERT INTO international VALUES (19,'Product',1,'Add Related Product',1031514049);
INSERT INTO international VALUES (20,'Product',1,'Related Product',1031514049);
INSERT INTO international VALUES (22,'Product',1,'Edit Feature',1031514049);
INSERT INTO international VALUES (23,'Product',1,'Feature',1031514049);
INSERT INTO international VALUES (24,'Product',1,'Add another feature?',1031514049);
INSERT INTO international VALUES (25,'Product',1,'Edit Specification',1031514049);
INSERT INTO international VALUES (26,'Product',1,'Label',1031514049);
INSERT INTO international VALUES (27,'Product',1,'Specification',1031514049);
INSERT INTO international VALUES (28,'Product',1,'Add another specification?',1031514049);
INSERT INTO international VALUES (29,'Product',1,'Units',1031514049);
INSERT INTO international VALUES (30,'Product',1,'Features',1031514049);
INSERT INTO international VALUES (31,'Product',1,'Specifications',1031514049);
INSERT INTO international VALUES (32,'Product',1,'Accessories',1031514049);
INSERT INTO international VALUES (33,'Product',1,'Related Products',1031514049);
INSERT INTO international VALUES (34,'Product',1,'Add a feature.',1031514049);
INSERT INTO international VALUES (35,'Product',1,'Add a specification.',1031514049);
INSERT INTO international VALUES (36,'Product',1,'Add an accessory.',1031514049);
INSERT INTO international VALUES (37,'Product',1,'Add a related product.',1031514049);
INSERT INTO international VALUES (581,'WebGUI',1,'Add New Value',1031514049);
INSERT INTO international VALUES (582,'WebGUI',1,'Leave Blank',1031514049);
INSERT INTO international VALUES (583,'WebGUI',1,'Max Image Size',1031514049);
INSERT INTO international VALUES (1,'WobjectProxy',1,'Wobject To Proxy',1031514049);
INSERT INTO international VALUES (2,'WobjectProxy',1,'Edit Wobject Proxy',1031514049);
INSERT INTO international VALUES (3,'WobjectProxy',1,'Wobject Proxy',1031514049);
INSERT INTO international VALUES (4,'WobjectProxy',1,'Wobject proxying failed. Perhaps the proxied wobject has been deleted.',1031514049);
INSERT INTO international VALUES (5,'USS',7,'Ͷ屻ܾ',1031510000);
INSERT INTO international VALUES (5,'SQLReport',7,'DSN',1031510000);
INSERT INTO international VALUES (5,'SiteMap',7,'༭վͼ',1031510000);
INSERT INTO international VALUES (5,'Poll',7,'ͼο',1031510000);
INSERT INTO international VALUES (818,'WebGUI',1,'Deactivated',1038431300);
INSERT INTO international VALUES (5,'Item',7,'ظ',1031510000);
INSERT INTO international VALUES (5,'FAQ',7,'',1031510000);
INSERT INTO international VALUES (5,'ExtraColumn',7,' Class',1031510000);
INSERT INTO international VALUES (700,'WebGUI',7,'',1031510000);
INSERT INTO international VALUES (20,'EventsCalendar',7,'',1031510000);
INSERT INTO international VALUES (38,'USS',7,'(ʹ˳ıԣѡ񡰷񡱡)',1031510000);
INSERT INTO international VALUES (4,'WebGUI',7,'á',1031510000);
INSERT INTO international VALUES (4,'USS',7,'Ͷͨˡ',1031510000);
INSERT INTO international VALUES (4,'SyndicatedContent',7,'༭ͬ',1031510000);
INSERT INTO international VALUES (4,'SQLReport',7,'ѯ',1031510000);
INSERT INTO international VALUES (4,'SiteMap',7,'չ',1031510000);
INSERT INTO international VALUES (4,'Poll',7,'ͶƱȨޣ',1031510000);
INSERT INTO international VALUES (4,'MessageBoard',7,'ÿҳʾ',1031510000);
INSERT INTO international VALUES (4,'Item',7,'Ŀ',1031510000);
INSERT INTO international VALUES (4,'ExtraColumn',7,'',1031510000);
INSERT INTO international VALUES (4,'EventsCalendar',7,'ֻһΡ',1031510000);
INSERT INTO international VALUES (4,'Article',7,'',1031510000);
INSERT INTO international VALUES (3,'WebGUI',7,'Ӽճ...',1031510000);
INSERT INTO international VALUES (3,'USS',7,'һƪµûͶȴˡ',1031510000);
INSERT INTO international VALUES (3,'SQLReport',7,'ģ',1031510000);
INSERT INTO international VALUES (3,'SiteMap',7,'ǷӴ˼ʼ',1031510000);
INSERT INTO international VALUES (3,'Poll',7,'',1031510000);
INSERT INTO international VALUES (3,'LinkList',7,'Ƿ´д򿪣',1031510000);
INSERT INTO international VALUES (3,'Item',7,'ɾ',1031510000);
INSERT INTO international VALUES (3,'ExtraColumn',7,'հ',1031510000);
INSERT INTO international VALUES (3,'Article',7,'ʼ',1031510000);
INSERT INTO international VALUES (2,'WebGUI',7,'ҳ',1031510000);
INSERT INTO international VALUES (2,'USS',7,'ͶȨޣ',1031510000);
INSERT INTO international VALUES (2,'SyndicatedContent',7,'ͬ',1031510000);
INSERT INTO international VALUES (2,'SiteMap',7,'վͼ',1031510000);
INSERT INTO international VALUES (2,'MessageBoard',7,'',1031510000);
INSERT INTO international VALUES (2,'Item',7,'',1031510000);
INSERT INTO international VALUES (2,'FAQ',7,'F.A.Q.',1031510000);
INSERT INTO international VALUES (2,'EventsCalendar',7,'',1031510000);
INSERT INTO international VALUES (507,'WebGUI',7,'༭ģ',1031510000);
INSERT INTO international VALUES (1,'WebGUI',7,'...',1031510000);
INSERT INTO international VALUES (1,'USS',7,'Ȩޣ',1031510000);
INSERT INTO international VALUES (1,'SyndicatedContent',7,'RSS ļ',1031510000);
INSERT INTO international VALUES (1,'SQLReport',7,'SQL ',1031510000);
INSERT INTO international VALUES (1,'Poll',7,'',1031510000);
INSERT INTO international VALUES (1,'Item',7,' URL',1031510000);
INSERT INTO international VALUES (1,'ExtraColumn',7,'չ',1031510000);
INSERT INTO international VALUES (1,'Article',7,'',1031510000);
INSERT INTO international VALUES (367,'WebGUI',7,'ʱ',1031510000);
INSERT INTO international VALUES (5,'WebGUI',7,'û顣',1031510000);
INSERT INTO international VALUES (6,'Article',7,'ͼƬ',1031510000);
INSERT INTO international VALUES (701,'WebGUI',7,'',1031510000);
INSERT INTO international VALUES (6,'ExtraColumn',7,'༭չ',1031510000);
INSERT INTO international VALUES (6,'FAQ',7,'ش',1031510000);
INSERT INTO international VALUES (6,'LinkList',7,'б',1031510000);
INSERT INTO international VALUES (6,'MessageBoard',7,'༭',1031510000);
INSERT INTO international VALUES (6,'Poll',7,'',1031510000);
INSERT INTO international VALUES (6,'SiteMap',7,'',1031510000);
INSERT INTO international VALUES (6,'SQLReport',7,'ݿû',1031510000);
INSERT INTO international VALUES (6,'USS',7,'ÿҳͶ',1031510000);
INSERT INTO international VALUES (6,'WebGUI',7,'',1031510000);
INSERT INTO international VALUES (7,'Article',7,'ӱ',1031510000);
INSERT INTO international VALUES (7,'FAQ',7,'ǷȷҪɾ⣿',1031510000);
INSERT INTO international VALUES (7,'MessageBoard',7,'ߣ',1031510000);
INSERT INTO international VALUES (7,'Poll',7,'ش',1031510000);
INSERT INTO international VALUES (7,'SQLReport',7,'ݿ',1031510000);
INSERT INTO international VALUES (7,'WebGUI',7,'û',1031510000);
INSERT INTO international VALUES (8,'Article',7,' URL',1031510000);
INSERT INTO international VALUES (8,'EventsCalendar',7,'ظ',1031510000);
INSERT INTO international VALUES (8,'FAQ',7,'༭ F.A.Q.',1031510000);
INSERT INTO international VALUES (8,'LinkList',7,'URL',1031510000);
INSERT INTO international VALUES (8,'MessageBoard',7,'ڣ',1031510000);
INSERT INTO international VALUES (8,'Poll',7,'ÿһ𰸡಻20',1031510000);
INSERT INTO international VALUES (9,'MessageBoard',7,' ID:',1031510000);
INSERT INTO international VALUES (11,'MessageBoard',7,'б',1031510000);
INSERT INTO international VALUES (12,'MessageBoard',7,'༭',1031510000);
INSERT INTO international VALUES (15,'MessageBoard',7,'',1031510000);
INSERT INTO international VALUES (16,'MessageBoard',7,'',1031510000);
INSERT INTO international VALUES (17,'MessageBoard',7,'',1031510000);
INSERT INTO international VALUES (18,'MessageBoard',7,'ʼ',1031510000);
INSERT INTO international VALUES (19,'MessageBoard',7,'ظ',1031510000);
INSERT INTO international VALUES (20,'MessageBoard',7,'ظ',1031510000);
INSERT INTO international VALUES (22,'MessageBoard',7,'ɾ',1031510000);
INSERT INTO international VALUES (9,'Poll',7,'༭',1031510000);
INSERT INTO international VALUES (10,'Poll',7,'ʼͶƱ',1031510000);
INSERT INTO international VALUES (11,'Poll',7,'ͶƱ',1031510000);
INSERT INTO international VALUES (8,'SQLReport',7,'Edit SQL Report',1031510000);
INSERT INTO international VALUES (8,'WebGUI',7,'鿴ҳ治ڡ',1031510000);
INSERT INTO international VALUES (9,'Article',7,'',1031510000);
INSERT INTO international VALUES (9,'EventsCalendar',7,'ֱ',1031510000);
INSERT INTO international VALUES (9,'FAQ',7,'⡣',1031510000);
INSERT INTO international VALUES (9,'LinkList',7,'ǷȷҪɾӣ',1031510000);
INSERT INTO international VALUES (9,'SQLReport',7,'<b>Debug:</b> Error: The DSN specified is of an improper format.',1031510000);
INSERT INTO international VALUES (9,'WebGUI',7,'鿴',1031510000);
INSERT INTO international VALUES (10,'Article',7,'Ƿתس',1031510000);
INSERT INTO international VALUES (10,'FAQ',7,'༭',1031510000);
INSERT INTO international VALUES (10,'LinkList',7,'༭б',1031510000);
INSERT INTO international VALUES (10,'SQLReport',7,'<b>Debug:</b> Error: The SQL specified is of an improper format.',1031510000);
INSERT INTO international VALUES (10,'WebGUI',7,'',1031510000);
INSERT INTO international VALUES (11,'Article',7,'(ûֶ&lt;br&gt;ѡǡ)',1031510000);
INSERT INTO international VALUES (76,'EventsCalendar',1,'Delete only this event.',1031514049);
INSERT INTO international VALUES (11,'SQLReport',7,'<b>Debug:</b> Error: There was a problem with the query.',1031510000);
INSERT INTO international VALUES (11,'WebGUI',7,'',1031510000);
INSERT INTO international VALUES (12,'Article',7,'༭',1031510000);
INSERT INTO international VALUES (12,'EventsCalendar',7,'༭',1031510000);
INSERT INTO international VALUES (12,'LinkList',7,'༭',1031510000);
INSERT INTO international VALUES (12,'SQLReport',7,'<b>Debug:</b> Error: Could not connect to the database.',1031510000);
INSERT INTO international VALUES (12,'USS',7,'(ʹ˳ıԣ벻Ҫѡ)',1031510000);
INSERT INTO international VALUES (12,'WebGUI',7,'˳',1031510000);
INSERT INTO international VALUES (13,'Article',7,'ɾ',1031510000);
INSERT INTO international VALUES (13,'EventsCalendar',7,'༭',1031510000);
INSERT INTO international VALUES (13,'LinkList',7,'ӡ',1031510000);
INSERT INTO international VALUES (13,'USS',7,'Ͷʱ',1031510000);
INSERT INTO international VALUES (13,'WebGUI',7,'鿴',1031510000);
INSERT INTO international VALUES (764,'WebGUI',1,'Edit this collateral item.',1036892856);
INSERT INTO international VALUES (516,'WebGUI',7,'',1031510000);
INSERT INTO international VALUES (517,'WebGUI',7,'˳',1031510000);
INSERT INTO international VALUES (515,'WebGUI',7,'Ƿӱ༭',1031510000);
INSERT INTO international VALUES (14,'USS',7,'״̬',1031510000);
INSERT INTO international VALUES (14,'WebGUI',7,'鿴ȴ˵Ͷ',1031510000);
INSERT INTO international VALUES (15,'USS',7,'༭/ɾ',1031510000);
INSERT INTO international VALUES (15,'WebGUI',7,'һ',1031510000);
INSERT INTO international VALUES (16,'USS',7,'ޱ',1031510000);
INSERT INTO international VALUES (16,'WebGUI',7,'',1031510000);
INSERT INTO international VALUES (17,'USS',7,'ȷҪɾ˸',1031510000);
INSERT INTO international VALUES (17,'WebGUI',7,'',1031510000);
INSERT INTO international VALUES (18,'USS',7,'༭ûͶϵͳ',1031510000);
INSERT INTO international VALUES (18,'WebGUI',7,'',1031510000);
INSERT INTO international VALUES (19,'USS',7,'༭Ͷ',1031510000);
INSERT INTO international VALUES (19,'WebGUI',7,'',1031510000);
INSERT INTO international VALUES (20,'USS',7,'ҪͶ',1031510000);
INSERT INTO international VALUES (20,'WebGUI',7,'',1031510000);
INSERT INTO international VALUES (21,'USS',7,'',1031510000);
INSERT INTO international VALUES (21,'WebGUI',7,'',1031510000);
INSERT INTO international VALUES (22,'WebGUI',7,'',1031510000);
INSERT INTO international VALUES (23,'WebGUI',7,'',1031510000);
INSERT INTO international VALUES (24,'WebGUI',7,'ʮ',1031510000);
INSERT INTO international VALUES (25,'WebGUI',7,'ʮһ',1031510000);
INSERT INTO international VALUES (26,'WebGUI',7,'ʮ',1031510000);
INSERT INTO international VALUES (27,'USS',7,'༭',1031510000);
INSERT INTO international VALUES (27,'WebGUI',7,'',1031510000);
INSERT INTO international VALUES (28,'USS',7,'ظб',1031510000);
INSERT INTO international VALUES (28,'WebGUI',7,'һ',1031510000);
INSERT INTO international VALUES (29,'USS',7,'ûͶϵͳ',1031510000);
INSERT INTO international VALUES (29,'WebGUI',7,'ڶ',1031510000);
INSERT INTO international VALUES (30,'WebGUI',7,'',1031510000);
INSERT INTO international VALUES (31,'WebGUI',7,'',1031510000);
INSERT INTO international VALUES (32,'WebGUI',7,'',1031510000);
INSERT INTO international VALUES (33,'WebGUI',7,'',1031510000);
INSERT INTO international VALUES (34,'WebGUI',7,'',1031510000);
INSERT INTO international VALUES (35,'WebGUI',7,'',1031510000);
INSERT INTO international VALUES (36,'WebGUI',7,'ϵͳԱʹô˹ܡϵϵͳԱǱϵͳϵͳԱ嵥',1031510000);
INSERT INTO international VALUES (37,'WebGUI',7,'Ȩޱܾ',1031510000);
INSERT INTO international VALUES (404,'WebGUI',7,'һҳ',1031510000);
INSERT INTO international VALUES (38,'WebGUI',7,'û㹻Ȩִд^a(¼);ȻһΡ',1031510000);
INSERT INTO international VALUES (39,'WebGUI',7,'Բû㹻Ȩ޷һҳ',1031510000);
INSERT INTO international VALUES (40,'WebGUI',7,'ϵͳ',1031510000);
INSERT INTO international VALUES (41,'WebGUI',7,'ҪɾһϵͳϵͳܻܿܵӰ졣',1031510000);
INSERT INTO international VALUES (42,'WebGUI',7,'ȷ',1031510000);
INSERT INTO international VALUES (43,'WebGUI',7,'ǷȷҪɾ',1031510000);
INSERT INTO international VALUES (44,'WebGUI',7,'ǵģȷ',1031510000);
INSERT INTO international VALUES (45,'WebGUI',7,'Ұˡ',1031510000);
INSERT INTO international VALUES (46,'WebGUI',7,'ҵʻ',1031510000);
INSERT INTO international VALUES (47,'WebGUI',7,'ҳ',1031510000);
INSERT INTO international VALUES (48,'WebGUI',7,'ӭ',1031510000);
INSERT INTO international VALUES (49,'WebGUI',7,' <a href=\"^;?op=logout\">˴</a> ˳¼',1031510000);
INSERT INTO international VALUES (50,'WebGUI',7,'ʻ',1031510000);
INSERT INTO international VALUES (51,'WebGUI',7,'',1031510000);
INSERT INTO international VALUES (52,'WebGUI',7,'¼',1031510000);
INSERT INTO international VALUES (53,'WebGUI',7,'ӡҳ',1031510000);
INSERT INTO international VALUES (54,'WebGUI',7,'ʻ',1031510000);
INSERT INTO international VALUES (2,'Auth/WebGUI',7,'루ȷϣ',1031510000);
INSERT INTO international VALUES (56,'WebGUI',7,'ʼ',1031510000);
INSERT INTO international VALUES (57,'WebGUI',7,'ֻϣʹõҪʼĹܵʱá',1031510000);
INSERT INTO international VALUES (58,'WebGUI',7,'Ѿһʻ',1031510000);
INSERT INTO international VALUES (59,'WebGUI',7,'롣',1031510000);
INSERT INTO international VALUES (60,'WebGUI',7,'ǷϣעʻʻϢɾ',1031510000);
INSERT INTO international VALUES (61,'WebGUI',7,'ʻϢ',1031510000);
INSERT INTO international VALUES (62,'WebGUI',7,'',1031510000);
INSERT INTO international VALUES (63,'WebGUI',7,'',1031510000);
INSERT INTO international VALUES (64,'WebGUI',7,'˳¼',1031510000);
INSERT INTO international VALUES (65,'WebGUI',7,'ɾҵʻ',1031510000);
INSERT INTO international VALUES (66,'WebGUI',7,'û¼',1031510000);
INSERT INTO international VALUES (67,'WebGUI',7,'ʻ',1031510000);
INSERT INTO international VALUES (68,'WebGUI',7,'ʻϢЧʻڣ˴롣',1031510000);
INSERT INTO international VALUES (69,'WebGUI',7,'ҪЭϵϵͳԱ',1031510000);
INSERT INTO international VALUES (70,'WebGUI',7,'',1031510000);
INSERT INTO international VALUES (71,'WebGUI',7,'ָ',1031510000);
INSERT INTO international VALUES (72,'WebGUI',7,'ָ',1031510000);
INSERT INTO international VALUES (73,'WebGUI',7,'û¼',1031510000);
INSERT INTO international VALUES (74,'WebGUI',7,'ʻϢ',1031510000);
INSERT INTO international VALUES (75,'WebGUI',7,'ʻϢѾ͵ĵʼС',1031510000);
INSERT INTO international VALUES (76,'WebGUI',7,'Բ𣬴˵ʼַϵͳݿС',1031510000);
INSERT INTO international VALUES (77,'WebGUI',7,'Բ𣬴ʻѱûʹáѡһûǽʹΪ¼',1031510000);
INSERT INTO international VALUES (3,'Auth/WebGUI',7,'벻һ£롣',1031510000);
INSERT INTO international VALUES (2,'Auth/LDAP',7,'ӵĿ¼',1031510000);
INSERT INTO international VALUES (80,'WebGUI',7,'ʻɹ',1031510000);
INSERT INTO international VALUES (81,'WebGUI',7,'ʻɹ',1031510000);
INSERT INTO international VALUES (82,'WebGUI',7,'...',1031510000);
INSERT INTO international VALUES (536,'WebGUI',7,'û ^@; ռ뱾վ',1031510000);
INSERT INTO international VALUES (84,'WebGUI',7,'û',1031510000);
INSERT INTO international VALUES (85,'WebGUI',7,'',1031510000);
INSERT INTO international VALUES (86,'WebGUI',7,'ȷҪɾû𣿴ɾû飬ȡûȨޡ',1031510000);
INSERT INTO international VALUES (87,'WebGUI',7,'༭û',1031510000);
INSERT INTO international VALUES (88,'WebGUI',7,'ûԱ',1031510000);
INSERT INTO international VALUES (89,'WebGUI',7,'û',1031510000);
INSERT INTO international VALUES (90,'WebGUI',7,'顣',1031510000);
INSERT INTO international VALUES (91,'WebGUI',7,'һҳ',1031510000);
INSERT INTO international VALUES (92,'WebGUI',7,'һҳ',1031510000);
INSERT INTO international VALUES (93,'WebGUI',7,'',1031510000);
INSERT INTO international VALUES (94,'WebGUI',7,'ο',1031510000);
INSERT INTO international VALUES (95,'WebGUI',7,'',1031510000);
INSERT INTO international VALUES (99,'WebGUI',7,'',1031510000);
INSERT INTO international VALUES (100,'WebGUI',7,'Meta ʶ',1031510000);
INSERT INTO international VALUES (101,'WebGUI',7,'ȷҪɾҳԼҳڵݺ',1031510000);
INSERT INTO international VALUES (102,'WebGUI',7,'༭ҳ',1031510000);
INSERT INTO international VALUES (103,'WebGUI',7,'ҳ',1031510000);
INSERT INTO international VALUES (104,'WebGUI',7,'ҳ URL',1031510000);
INSERT INTO international VALUES (105,'WebGUI',7,'',1031510000);
INSERT INTO international VALUES (106,'WebGUI',7,'ѡǡҳ¼ҳΪ˷',1031510000);
INSERT INTO international VALUES (107,'WebGUI',7,'Ȩ',1031510000);
INSERT INTO international VALUES (108,'WebGUI',7,'ӵ',1031510000);
INSERT INTO international VALUES (116,'WebGUI',7,'ѡǡҳ¼ҳȨ޸ΪȨá',1031510000);
INSERT INTO international VALUES (117,'WebGUI',7,'༭û',1031510000);
INSERT INTO international VALUES (118,'WebGUI',7,'ûע',1031510000);
INSERT INTO international VALUES (119,'WebGUI',7,'Ĭû֤ʽ',1031510000);
INSERT INTO international VALUES (5,'Auth/LDAP',7,'Ĭ LDAP URL',1031510000);
INSERT INTO international VALUES (6,'Auth/LDAP',7,'Ĭ LDAP Identity',1031510000);
INSERT INTO international VALUES (7,'Auth/LDAP',7,'LDAP Identity ',1031510000);
INSERT INTO international VALUES (8,'Auth/LDAP',7,'LDAP Password ',1031510000);
INSERT INTO international VALUES (124,'WebGUI',7,'༭˾Ϣ',1031510000);
INSERT INTO international VALUES (125,'WebGUI',7,'˾',1031510000);
INSERT INTO international VALUES (126,'WebGUI',7,'˾ʼַ',1031510000);
INSERT INTO international VALUES (127,'WebGUI',7,'˾',1031510000);
INSERT INTO international VALUES (130,'WebGUI',7,'󸽼С',1031510000);
INSERT INTO international VALUES (133,'WebGUI',7,'༭ʼ',1031510000);
INSERT INTO international VALUES (134,'WebGUI',7,'ָʼ',1031510000);
INSERT INTO international VALUES (135,'WebGUI',7,'ʼ',1031510000);
INSERT INTO international VALUES (138,'WebGUI',7,'',1031510000);
INSERT INTO international VALUES (139,'WebGUI',7,'',1031510000);
INSERT INTO international VALUES (140,'WebGUI',7,'༭һ',1031510000);
INSERT INTO international VALUES (141,'WebGUI',7,'Ĭδҵҳ',1031510000);
INSERT INTO international VALUES (142,'WebGUI',7,'Իʱ',1031510000);
INSERT INTO international VALUES (143,'WebGUI',7,'',1031510000);
INSERT INTO international VALUES (144,'WebGUI',7,'鿴ͳϢ',1031510000);
INSERT INTO international VALUES (145,'WebGUI',7,'ϵͳ汾',1031510000);
INSERT INTO international VALUES (146,'WebGUI',7,'Ի',1031510000);
INSERT INTO international VALUES (147,'WebGUI',7,'ҳ',1031510000);
INSERT INTO international VALUES (148,'WebGUI',7,'',1031510000);
INSERT INTO international VALUES (149,'WebGUI',7,'û',1031510000);
INSERT INTO international VALUES (533,'WebGUI',7,'<b></b>',1031510000);
INSERT INTO international VALUES (532,'WebGUI',7,'<b>һ</b>',1031510000);
INSERT INTO international VALUES (151,'WebGUI',7,'',1031510000);
INSERT INTO international VALUES (505,'WebGUI',7,'һģ',1031510000);
INSERT INTO international VALUES (504,'WebGUI',7,'ģ',1031510000);
INSERT INTO international VALUES (502,'WebGUI',7,'ȷҪɾģ壬ʹôģҳΪĬģ壿',1031510000);
INSERT INTO international VALUES (154,'WebGUI',7,'',1031510000);
INSERT INTO international VALUES (155,'WebGUI',7,'ȷҪɾҳ񣬲ʹô˷ҳΪȫģʽ',1031510000);
INSERT INTO international VALUES (156,'WebGUI',7,'༭',1031510000);
INSERT INTO international VALUES (157,'WebGUI',7,'',1031510000);
INSERT INTO international VALUES (158,'WebGUI',7,'·',1031510000);
INSERT INTO international VALUES (160,'WebGUI',7,'ύ',1031510000);
INSERT INTO international VALUES (161,'WebGUI',7,'ύ',1031510000);
INSERT INTO international VALUES (162,'WebGUI',7,'ǷȷҪҳ',1031510000);
INSERT INTO international VALUES (163,'WebGUI',7,'û',1031510000);
INSERT INTO international VALUES (164,'WebGUI',7,'û֤ʽ',1031510000);
INSERT INTO international VALUES (3,'Auth/LDAP',7,'LDAP URL',1031510000);
INSERT INTO international VALUES (4,'Auth/LDAP',7,' DN',1031510000);
INSERT INTO international VALUES (167,'WebGUI',7,'ǷȷҪɾûעɾûɾûϢ',1031510000);
INSERT INTO international VALUES (168,'WebGUI',7,'༭û',1031510000);
INSERT INTO international VALUES (169,'WebGUI',7,'û',1031510000);
INSERT INTO international VALUES (170,'WebGUI',7,'',1031510000);
INSERT INTO international VALUES (171,'WebGUI',7,'ӻ༭',1031510000);
INSERT INTO international VALUES (174,'WebGUI',7,'Ƿʾ⣿',1031510000);
INSERT INTO international VALUES (175,'WebGUI',7,'Ƿִк',1031510000);
INSERT INTO international VALUES (228,'WebGUI',7,'༭Ϣ...',1031510000);
INSERT INTO international VALUES (229,'WebGUI',7,'',1031510000);
INSERT INTO international VALUES (230,'WebGUI',7,'Ϣ',1031510000);
INSERT INTO international VALUES (231,'WebGUI',7,'Ϣ...',1031510000);
INSERT INTO international VALUES (232,'WebGUI',7,'ޱ',1031510000);
INSERT INTO international VALUES (233,'WebGUI',7,'(eom)',1031510000);
INSERT INTO international VALUES (234,'WebGUI',7,'Ӧ...',1031510000);
INSERT INTO international VALUES (237,'WebGUI',7,'⣺',1031510000);
INSERT INTO international VALUES (238,'WebGUI',7,'ߣ',1031510000);
INSERT INTO international VALUES (239,'WebGUI',7,'ڣ',1031510000);
INSERT INTO international VALUES (240,'WebGUI',7,'Ϣ ID:',1031510000);
INSERT INTO international VALUES (244,'WebGUI',7,'',1031510000);
INSERT INTO international VALUES (245,'WebGUI',7,'',1031510000);
INSERT INTO international VALUES (304,'WebGUI',7,'',1031510000);
INSERT INTO international VALUES (307,'WebGUI',7,'ǷʹĬ meta ʶ',1031510000);
INSERT INTO international VALUES (308,'WebGUI',7,'༭û',1031510000);
INSERT INTO international VALUES (309,'WebGUI',7,'Ƿʹʵ',1031510000);
INSERT INTO international VALUES (310,'WebGUI',7,'ǷʹչϵϢ',1031510000);
INSERT INTO international VALUES (311,'WebGUI',7,'ǷʹüͥϢ',1031510000);
INSERT INTO international VALUES (312,'WebGUI',7,'ǷʹҵϢ',1031510000);
INSERT INTO international VALUES (313,'WebGUI',7,'ǷʹϢ',1031510000);
INSERT INTO international VALUES (314,'WebGUI',7,'',1031510000);
INSERT INTO international VALUES (315,'WebGUI',7,'м',1031510000);
INSERT INTO international VALUES (316,'WebGUI',7,'',1031510000);
INSERT INTO international VALUES (317,'WebGUI',7,'<a href=\"http://www.icq.com\">ICQ</a> UIN',1031510000);
INSERT INTO international VALUES (318,'WebGUI',7,'<a href=\"http://www.aol.com/aim/homenew.adp\">AIM</a> ID',1031510000);
INSERT INTO international VALUES (319,'WebGUI',7,'<a href=\"http://messenger.msn.com/\">MSN Messenger</a> ID',1031510000);
INSERT INTO international VALUES (320,'WebGUI',7,'<a href=\"http://messenger.yahoo.com/\">Yahoo! Messenger</a> ID',1031510000);
INSERT INTO international VALUES (321,'WebGUI',7,'ƶ绰',1031510000);
INSERT INTO international VALUES (322,'WebGUI',7,'',1031510000);
INSERT INTO international VALUES (323,'WebGUI',7,'ͥסַ',1031510000);
INSERT INTO international VALUES (324,'WebGUI',7,'',1031510000);
INSERT INTO international VALUES (325,'WebGUI',7,'ʡ',1031510000);
INSERT INTO international VALUES (326,'WebGUI',7,'',1031510000);
INSERT INTO international VALUES (327,'WebGUI',7,'',1031510000);
INSERT INTO international VALUES (328,'WebGUI',7,'סլ绰',1031510000);
INSERT INTO international VALUES (329,'WebGUI',7,'λַ',1031510000);
INSERT INTO international VALUES (330,'WebGUI',7,'',1031510000);
INSERT INTO international VALUES (331,'WebGUI',7,'ʡ',1031510000);
INSERT INTO international VALUES (332,'WebGUI',7,'',1031510000);
INSERT INTO international VALUES (333,'WebGUI',7,'',1031510000);
INSERT INTO international VALUES (334,'WebGUI',7,'λ绰',1031510000);
INSERT INTO international VALUES (335,'WebGUI',7,'Ա',1031510000);
INSERT INTO international VALUES (336,'WebGUI',7,'',1031510000);
INSERT INTO international VALUES (337,'WebGUI',7,'ҳ',1031510000);
INSERT INTO international VALUES (338,'WebGUI',7,'༭û',1031510000);
INSERT INTO international VALUES (339,'WebGUI',7,'',1031510000);
INSERT INTO international VALUES (340,'WebGUI',7,'Ů',1031510000);
INSERT INTO international VALUES (341,'WebGUI',7,'༭ûԡ',1031510000);
INSERT INTO international VALUES (342,'WebGUI',7,'༭ʻϢ',1031510000);
INSERT INTO international VALUES (343,'WebGUI',7,'鿴ûԡ',1031510000);
INSERT INTO international VALUES (351,'WebGUI',7,'Ϣ',1031510000);
INSERT INTO international VALUES (345,'WebGUI',7,'Ǳվû',1031510000);
INSERT INTO international VALUES (346,'WebGUI',7,'ûǱվû޷ṩûĸϢ',1031510000);
INSERT INTO international VALUES (347,'WebGUI',7,'鿴ûԣ',1031510000);
INSERT INTO international VALUES (348,'WebGUI',7,'',1031510000);
INSERT INTO international VALUES (349,'WebGUI',7,'°汾',1031510000);
INSERT INTO international VALUES (350,'WebGUI',7,'',1031510000);
INSERT INTO international VALUES (352,'WebGUI',7,'',1031510000);
INSERT INTO international VALUES (471,'WebGUI',7,'༭û',1031510000);
INSERT INTO international VALUES (355,'WebGUI',7,'Ĭ',1031510000);
INSERT INTO international VALUES (356,'WebGUI',7,'ģ',1031510000);
INSERT INTO international VALUES (357,'WebGUI',7,'',1031510000);
INSERT INTO international VALUES (358,'WebGUI',7,'󵼺',1031510000);
INSERT INTO international VALUES (359,'WebGUI',7,'ҵ',1031510000);
INSERT INTO international VALUES (360,'WebGUI',7,'һ',1031510000);
INSERT INTO international VALUES (361,'WebGUI',7,'һ',1031510000);
INSERT INTO international VALUES (362,'WebGUI',7,'ƽ',1031510000);
INSERT INTO international VALUES (363,'WebGUI',7,'ģ嶨λ',1031510000);
INSERT INTO international VALUES (364,'WebGUI',7,'',1031510000);
INSERT INTO international VALUES (365,'WebGUI',7,'...',1031510000);
INSERT INTO international VALUES (366,'WebGUI',7,'ûҵҳ档',1031510000);
INSERT INTO international VALUES (368,'WebGUI',7,'ûû顣',1031510000);
INSERT INTO international VALUES (369,'WebGUI',7,'',1031510000);
INSERT INTO international VALUES (370,'WebGUI',7,'༭û',1031510000);
INSERT INTO international VALUES (371,'WebGUI',7,'û',1031510000);
INSERT INTO international VALUES (372,'WebGUI',7,'༭ûȺ',1031510000);
INSERT INTO international VALUES (605,'WebGUI',1,'Add Groups',1031514049);
INSERT INTO international VALUES (374,'WebGUI',7,'',1031510000);
INSERT INTO international VALUES (375,'WebGUI',7,'ѡҪչİ',1031510000);
INSERT INTO international VALUES (376,'WebGUI',7,'',1031510000);
INSERT INTO international VALUES (377,'WebGUI',7,'ԱϵͳԱûж',1031510000);
INSERT INTO international VALUES (31,'USS',7,'',1031510000);
INSERT INTO international VALUES (32,'USS',7,'ͼƬ',1031510000);
INSERT INTO international VALUES (33,'USS',7,'',1031510000);
INSERT INTO international VALUES (34,'USS',7,'תس',1031510000);
INSERT INTO international VALUES (35,'USS',7,'',1031510000);
INSERT INTO international VALUES (80,'EventsCalendar',1,'Event Template',1038190379);
INSERT INTO international VALUES (378,'WebGUI',7,'û ID',1031510000);
INSERT INTO international VALUES (379,'WebGUI',7,'û ID',1031510000);
INSERT INTO international VALUES (380,'WebGUI',7,' ID',1031510000);
INSERT INTO international VALUES (381,'WebGUI',7,'ϵͳյһЧı޷ͨһЩǷַͨᵼ밴ķذŦҳ롣',1031510000);
INSERT INTO international VALUES (1,'FileManager',7,'ع',1031510000);
INSERT INTO international VALUES (3,'FileManager',7,'Ƿִļ',1031510000);
INSERT INTO international VALUES (5,'FileManager',7,'ļ',1031510000);
INSERT INTO international VALUES (6,'FileManager',7,'ļ',1031510000);
INSERT INTO international VALUES (7,'FileManager',7,'û',1031510000);
INSERT INTO international VALUES (8,'FileManager',7,'',1031510000);
INSERT INTO international VALUES (9,'FileManager',7,'༭عԱ',1031510000);
INSERT INTO international VALUES (10,'FileManager',7,'༭',1031510000);
INSERT INTO international VALUES (11,'FileManager',7,'',1031510000);
INSERT INTO international VALUES (12,'FileManager',7,'ǷȷҪɾ',1031510000);
INSERT INTO international VALUES (14,'FileManager',7,'ļ',1031510000);
INSERT INTO international VALUES (15,'FileManager',7,'',1031510000);
INSERT INTO international VALUES (16,'FileManager',7,'',1031510000);
INSERT INTO international VALUES (37,'USS',7,'ɾ',1031510000);
INSERT INTO international VALUES (13,'SQLReport',7,'Convert carriage returns?',1031510000);
INSERT INTO international VALUES (17,'FileManager',7,'汾 #1',1031510000);
INSERT INTO international VALUES (18,'FileManager',7,'汾 #2',1031510000);
INSERT INTO international VALUES (19,'FileManager',7,'ûصļ',1031510000);
INSERT INTO international VALUES (14,'EventsCalendar',7,'ʼ',1031510000);
INSERT INTO international VALUES (15,'EventsCalendar',7,'',1031510000);
INSERT INTO international VALUES (20,'FileManager',7,'ںעҳ',1031510000);
INSERT INTO international VALUES (14,'SQLReport',7,'Paginate After',1031510000);
INSERT INTO international VALUES (19,'EventsCalendar',7,'ںעҳ',1031510000);
INSERT INTO international VALUES (529,'WebGUI',7,'',1031510000);
INSERT INTO international VALUES (384,'WebGUI',7,'ļ',1031510000);
INSERT INTO international VALUES (385,'WebGUI',7,'',1031510000);
INSERT INTO international VALUES (386,'WebGUI',7,'༭ͼ',1031510000);
INSERT INTO international VALUES (387,'WebGUI',7,'',1031510000);
INSERT INTO international VALUES (388,'WebGUI',7,'',1031510000);
INSERT INTO international VALUES (809,'WebGUI',1,'Email Group',1037579611);
INSERT INTO international VALUES (391,'WebGUI',7,'ɾļ',1031510000);
INSERT INTO international VALUES (593,'WebGUI',10,'Indsend oversttelse',1037205606);
INSERT INTO international VALUES (783,'WebGUI',1,'Type',1036954378);
INSERT INTO international VALUES (394,'WebGUI',7,'ͼ',1031510000);
INSERT INTO international VALUES (395,'WebGUI',7,'ͼ',1031510000);
INSERT INTO international VALUES (719,'WebGUI',10,'Forldet',1036855669);
INSERT INTO international VALUES (398,'WebGUI',7,'ĵͶ',1031510000);
INSERT INTO international VALUES (399,'WebGUI',7,'ҳ档',1031510000);
INSERT INTO international VALUES (400,'WebGUI',7,'Ƿֹ棿',1031510000);
INSERT INTO international VALUES (401,'WebGUI',7,'ǷȷҪɾϢԼϢ',1031510000);
INSERT INTO international VALUES (402,'WebGUI',7,'ҪĶϢڡ',1031510000);
INSERT INTO international VALUES (403,'WebGUI',7,'',1031510000);
INSERT INTO international VALUES (405,'WebGUI',7,'һҳ',1031510000);
INSERT INTO international VALUES (406,'WebGUI',7,'մС',1031510000);
INSERT INTO international VALUES (407,'WebGUI',7,'˴עᡣ',1031510000);
INSERT INTO international VALUES (15,'SQLReport',7,'Preprocess macros on query?',1031510000);
INSERT INTO international VALUES (16,'SQLReport',7,'Debug?',1031510000);
INSERT INTO international VALUES (17,'SQLReport',7,'<b>Debug:</b> Query:',1031510000);
INSERT INTO international VALUES (18,'SQLReport',7,'There were no results for this query.',1031510000);
INSERT INTO international VALUES (506,'WebGUI',7,'ģ',1031510000);
INSERT INTO international VALUES (535,'WebGUI',7,'ûעʱ֪ͨû',1031510000);
INSERT INTO international VALUES (353,'WebGUI',7,'ռûϢ',1031510000);
INSERT INTO international VALUES (530,'WebGUI',7,'<b></b>ؼ',1031510000);
INSERT INTO international VALUES (408,'WebGUI',7,'ҳ',1031510000);
INSERT INTO international VALUES (409,'WebGUI',7,'¸ҳ档',1031510000);
INSERT INTO international VALUES (410,'WebGUI',7,'ҳ档',1031510000);
INSERT INTO international VALUES (411,'WebGUI',7,'Ŀ¼',1031510000);
INSERT INTO international VALUES (412,'WebGUI',7,'ҳ',1031510000);
INSERT INTO international VALUES (77,'Survey',1,'End Time',1038782119);
INSERT INTO international VALUES (894,'WebGUI',7,'Ƿۣ',1031510000);
INSERT INTO international VALUES (22,'Article',7,'',1031510000);
INSERT INTO international VALUES (23,'Article',7,'',1031510000);
INSERT INTO international VALUES (24,'Article',7,'Ӧ',1031510000);
INSERT INTO international VALUES (27,'Article',7,'',1031510000);
INSERT INTO international VALUES (28,'Article',7,'鿴Ӧ',1031510000);
INSERT INTO international VALUES (57,'Product',1,'Are you certain you wish to delete this template and set all the products using it to the default template?',1031514049);
INSERT INTO international VALUES (53,'Product',1,'Edit Benefit',1031514049);
INSERT INTO international VALUES (416,'WebGUI',7,'<h1></h1> \r\nһ밴ķذťһҳһΡڣϵǣͬʱʲôʱʹʲôܵʱֵлл',1031510000);
INSERT INTO international VALUES (417,'WebGUI',7,'<h1>ȫ</h1>\r\n ʵһҳϡϢѾ͸ϵͳԱ',1031510000);
INSERT INTO international VALUES (418,'WebGUI',7,'HTML ',1031510000);
INSERT INTO international VALUES (419,'WebGUI',7,'еıʶ',1031510000);
INSERT INTO international VALUES (420,'WebGUI',7,'еıʶ',1031510000);
INSERT INTO international VALUES (421,'WebGUI',7,'ıʶ',1031510000);
INSERT INTO international VALUES (422,'WebGUI',7,'<h1>¼ʧ</h1>\r\nʻϢ',1031510000);
INSERT INTO international VALUES (423,'WebGUI',7,'鿴Ի',1031510000);
INSERT INTO international VALUES (424,'WebGUI',7,'鿴¼ʷ¼',1031510000);
INSERT INTO international VALUES (425,'WebGUI',7,'Ի',1031510000);
INSERT INTO international VALUES (426,'WebGUI',7,'¼ʷ¼',1031510000);
INSERT INTO international VALUES (427,'WebGUI',7,'',1031510000);
INSERT INTO international VALUES (428,'WebGUI',7,'û (ID)',1031510000);
INSERT INTO international VALUES (429,'WebGUI',7,'¼ʱ',1031510000);
INSERT INTO international VALUES (430,'WebGUI',7,'ҳ',1031510000);
INSERT INTO international VALUES (431,'WebGUI',7,'IP ַ',1031510000);
INSERT INTO international VALUES (432,'WebGUI',7,'',1031510000);
INSERT INTO international VALUES (433,'WebGUI',7,'û',1031510000);
INSERT INTO international VALUES (434,'WebGUI',7,'״̬',1031510000);
INSERT INTO international VALUES (435,'WebGUI',7,'Իź',1031510000);
INSERT INTO international VALUES (436,'WebGUI',7,'ɱ˶Ի',1031510000);
INSERT INTO international VALUES (437,'WebGUI',7,'ͳϢ',1031510000);
INSERT INTO international VALUES (438,'WebGUI',7,'',1031510000);
INSERT INTO international VALUES (439,'WebGUI',7,'Ϣ',1031510000);
INSERT INTO international VALUES (440,'WebGUI',7,'ϵϢ',1031510000);
INSERT INTO international VALUES (441,'WebGUI',7,'ʼ',1031510000);
INSERT INTO international VALUES (442,'WebGUI',7,'Ϣ',1031510000);
INSERT INTO international VALUES (443,'WebGUI',7,'ͥϢ',1031510000);
INSERT INTO international VALUES (444,'WebGUI',7,'˽',1031510000);
INSERT INTO international VALUES (445,'WebGUI',7,'ϲ',1031510000);
INSERT INTO international VALUES (446,'WebGUI',7,'λվ',1031510000);
INSERT INTO international VALUES (447,'WebGUI',7,'ҳ',1031510000);
INSERT INTO international VALUES (448,'WebGUI',7,'ҳ',1031510000);
INSERT INTO international VALUES (449,'WebGUI',7,'һϢ',1031510000);
INSERT INTO international VALUES (450,'WebGUI',7,'λ',1031510000);
INSERT INTO international VALUES (451,'WebGUI',7,'',1031510000);
INSERT INTO international VALUES (452,'WebGUI',7,'...',1031510000);
INSERT INTO international VALUES (453,'WebGUI',7,'',1031510000);
INSERT INTO international VALUES (454,'WebGUI',7,'',1031510000);
INSERT INTO international VALUES (455,'WebGUI',7,'༭ûϢ',1031510000);
INSERT INTO international VALUES (456,'WebGUI',7,'ûб',1031510000);
INSERT INTO international VALUES (457,'WebGUI',7,'༭ûʻ',1031510000);
INSERT INTO international VALUES (458,'WebGUI',7,'༭ûȺ',1031510000);
INSERT INTO international VALUES (459,'WebGUI',7,'༭ûԡ',1031510000);
INSERT INTO international VALUES (460,'WebGUI',7,'ʱ',1031510000);
INSERT INTO international VALUES (461,'WebGUI',7,'ڸʽ',1031510000);
INSERT INTO international VALUES (462,'WebGUI',7,'ʱʽ',1031510000);
INSERT INTO international VALUES (463,'WebGUI',7,'ı',1031510000);
INSERT INTO international VALUES (464,'WebGUI',7,'ı',1031510000);
INSERT INTO international VALUES (465,'WebGUI',7,'ıС',1031510000);
INSERT INTO international VALUES (466,'WebGUI',7,'ȷҪɾҽĿƶһ',1031510000);
INSERT INTO international VALUES (467,'WebGUI',7,'ȷҪɾĿйڴĿûϢ',1031510000);
INSERT INTO international VALUES (469,'WebGUI',7,'ID',1031510000);
INSERT INTO international VALUES (470,'WebGUI',7,'',1031510000);
INSERT INTO international VALUES (472,'WebGUI',7,'',1031510000);
INSERT INTO international VALUES (473,'WebGUI',7,'ɼ',1031510000);
INSERT INTO international VALUES (474,'WebGUI',7,'룿',1031510000);
INSERT INTO international VALUES (475,'WebGUI',7,'',1031510000);
INSERT INTO international VALUES (476,'WebGUI',7,'',1031510000);
INSERT INTO international VALUES (477,'WebGUI',7,'HTML ',1031510000);
INSERT INTO international VALUES (478,'WebGUI',7,'URL',1031510000);
INSERT INTO international VALUES (479,'WebGUI',7,'',1031510000);
INSERT INTO international VALUES (480,'WebGUI',7,'ʼַ',1031510000);
INSERT INTO international VALUES (481,'WebGUI',7,'绰',1031510000);
INSERT INTO international VALUES (482,'WebGUI',7,' ()',1031510000);
INSERT INTO international VALUES (483,'WebGUI',7,'ǻ',1031510000);
INSERT INTO international VALUES (484,'WebGUI',7,'ѡб',1031510000);
INSERT INTO international VALUES (485,'WebGUI',7,'ֵ (ѡ)',1031510000);
INSERT INTO international VALUES (486,'WebGUI',7,'',1031510000);
INSERT INTO international VALUES (487,'WebGUI',7,'ѡֵ',1031510000);
INSERT INTO international VALUES (488,'WebGUI',7,'Ĭֵ',1031510000);
INSERT INTO international VALUES (489,'WebGUI',7,'',1031510000);
INSERT INTO international VALUES (490,'WebGUI',7,'һࡣ',1031510000);
INSERT INTO international VALUES (491,'WebGUI',7,'һ',1031510000);
INSERT INTO international VALUES (492,'WebGUI',7,'б',1031510000);
INSERT INTO international VALUES (493,'WebGUI',7,'վ',1031510000);
INSERT INTO international VALUES (495,'WebGUI',7,'ñ༭',1031510000);
INSERT INTO international VALUES (496,'WebGUI',7,'ʹ',1031510000);
INSERT INTO international VALUES (494,'WebGUI',7,'Real Objects Edit-On Pro',1031510000);
INSERT INTO international VALUES (497,'WebGUI',7,'ʼ',1031510000);
INSERT INTO international VALUES (498,'WebGUI',7,'',1031510000);
INSERT INTO international VALUES (499,'WebGUI',7,' ID',1031510000);
INSERT INTO international VALUES (500,'WebGUI',7,'ҳ ID',1031510000);
INSERT INTO international VALUES (514,'WebGUI',7,'',1031510000);
INSERT INTO international VALUES (527,'WebGUI',7,'Ĭҳ',1031510000);
INSERT INTO international VALUES (503,'WebGUI',7,'ģ ID',1031510000);
INSERT INTO international VALUES (501,'WebGUI',7,'',1031510000);
INSERT INTO international VALUES (528,'WebGUI',7,'ģ',1031510000);
INSERT INTO international VALUES (468,'WebGUI',7,'༭û',1031510000);
INSERT INTO international VALUES (159,'WebGUI',7,'ռ',1031510000);
INSERT INTO international VALUES (508,'WebGUI',7,'ģ塣',1031510000);
INSERT INTO international VALUES (39,'USS',7,'ظ',1031510000);
INSERT INTO international VALUES (41,'USS',7,'',1031510000);
INSERT INTO international VALUES (45,'USS',7,'Ͷϵͳ',1031510000);
INSERT INTO international VALUES (46,'USS',7,'...',1031510000);
INSERT INTO international VALUES (47,'USS',7,'ظ',1031510000);
INSERT INTO international VALUES (48,'USS',7,'Ƿۣ',1031510000);
INSERT INTO international VALUES (51,'USS',7,'ʾգ',1031510000);
INSERT INTO international VALUES (52,'USS',7,'',1031510000);
INSERT INTO international VALUES (53,'USS',7,'',1031510000);
INSERT INTO international VALUES (72,'USS',1,'Main Template',1036277516);
INSERT INTO international VALUES (57,'USS',7,'Ӧ',1031510000);
INSERT INTO international VALUES (11,'FAQ',7,'Ƿ TOC ',1031510000);
INSERT INTO international VALUES (12,'FAQ',7,'Ƿ Q/A ',1031510000);
INSERT INTO international VALUES (13,'FAQ',7,'Ƿ [top] ӣ',1031510000);
INSERT INTO international VALUES (509,'WebGUI',7,'۲',1031510000);
INSERT INTO international VALUES (510,'WebGUI',7,'ƽ',1031510000);
INSERT INTO international VALUES (511,'WebGUI',7,'',1031510000);
INSERT INTO international VALUES (512,'WebGUI',7,'һ',1031510000);
INSERT INTO international VALUES (513,'WebGUI',7,'һ',1031510000);
INSERT INTO international VALUES (534,'WebGUI',7,'ûʾ',1031510000);
INSERT INTO international VALUES (354,'WebGUI',7,'鿴ռ䡣',1031510000);
INSERT INTO international VALUES (531,'WebGUI',7,'<b>ƴд</b>',1031510000);
INSERT INTO international VALUES (518,'WebGUI',7,'ռʾ',1031510000);
INSERT INTO international VALUES (519,'WebGUI',7,'ϣѡ',1031510000);
INSERT INTO international VALUES (520,'WebGUI',7,'ϣͨʼķʽѡ',1031510000);
INSERT INTO international VALUES (521,'WebGUI',7,'ϣͨʼķʽѡ',1031510000);
INSERT INTO international VALUES (522,'WebGUI',7,'ϣͨ ICQ ķʽѡ',1031510000);
INSERT INTO international VALUES (523,'WebGUI',7,'',1031510000);
INSERT INTO international VALUES (524,'Discussion',7,'Ƿӱ༭',1031510000);
INSERT INTO international VALUES (525,'WebGUI',7,'༭',1031510000);
INSERT INTO international VALUES (526,'WebGUI',7,'ֻ JavaScript ',1031510000);
INSERT INTO international VALUES (584,'WebGUI',1,'Add a new translation.',1036971092);
INSERT INTO international VALUES (585,'WebGUI',1,'Manage translations.',1031514049);
INSERT INTO international VALUES (586,'WebGUI',1,'Manage Translations',1036971445);
INSERT INTO international VALUES (587,'WebGUI',1,'Are you certain you wish to delete this language and all the help and international messages that go with it?',1031514049);
INSERT INTO international VALUES (589,'WebGUI',1,'Edit Translation',1036971172);
INSERT INTO international VALUES (590,'WebGUI',1,'Language ID',1031514049);
INSERT INTO international VALUES (591,'WebGUI',1,'Language',1031514049);
INSERT INTO international VALUES (592,'WebGUI',1,'Character Set',1031514049);
INSERT INTO international VALUES (595,'WebGUI',1,'International Messages',1031514049);
INSERT INTO international VALUES (596,'WebGUI',1,'MISSING',1031514049);
INSERT INTO international VALUES (597,'WebGUI',1,'Edit International Message',1031514049);
INSERT INTO international VALUES (598,'WebGUI',1,'Edit this translation.',1036971142);
INSERT INTO international VALUES (601,'WebGUI',1,'International ID',1031514049);
INSERT INTO international VALUES (1,'MailForm',1,'Mail Form',1031514049);
INSERT INTO international VALUES (2,'MailForm',1,'Your email subject here',1031514049);
INSERT INTO international VALUES (3,'MailForm',1,'Thank you for your feedback!',1031514049);
INSERT INTO international VALUES (4,'MailForm',1,'Hidden',1031514049);
INSERT INTO international VALUES (5,'MailForm',1,'Displayed',1031514049);
INSERT INTO international VALUES (6,'MailForm',1,'Modifiable',1031514049);
INSERT INTO international VALUES (7,'MailForm',1,'Edit Mail Form',1031514049);
INSERT INTO international VALUES (8,'MailForm',1,'Width',1031514049);
INSERT INTO international VALUES (9,'MailForm',1,'Add Field',1031514049);
INSERT INTO international VALUES (10,'MailForm',1,'From',1031514049);
INSERT INTO international VALUES (11,'MailForm',1,'To (email, username, or group name)',1031514049);
INSERT INTO international VALUES (12,'MailForm',1,'Cc',1031514049);
INSERT INTO international VALUES (13,'MailForm',1,'Bcc',1031514049);
INSERT INTO international VALUES (14,'MailForm',1,'Subject',1031514049);
INSERT INTO international VALUES (15,'MailForm',1,'Proceed to add more fields?',1031514049);
INSERT INTO international VALUES (16,'MailForm',1,'Acknowledgement',1031514049);
INSERT INTO international VALUES (17,'MailForm',1,'Mail Sent',1031514049);
INSERT INTO international VALUES (18,'MailForm',1,'Go back!',1031514049);
INSERT INTO international VALUES (19,'MailForm',1,'Are you certain that you want to delete this field?',1031514049);
INSERT INTO international VALUES (20,'MailForm',1,'Edit Field',1031514049);
INSERT INTO international VALUES (21,'MailForm',1,'Field Name',1031514049);
INSERT INTO international VALUES (22,'MailForm',1,'Status',1031514049);
INSERT INTO international VALUES (23,'MailForm',1,'Type',1031514049);
INSERT INTO international VALUES (24,'MailForm',1,'Possible Values',1031514049);
INSERT INTO international VALUES (25,'MailForm',1,'Default Value (optional)',1031514049);
INSERT INTO international VALUES (26,'MailForm',1,'Store Entries?',1031514049);
INSERT INTO international VALUES (491,'WebGUI',8,'Aggiungi un campo al profilo.',1048067446);
INSERT INTO international VALUES (490,'WebGUI',8,'Aggiungi una categoria al profilo.',1045782782);
INSERT INTO international VALUES (489,'WebGUI',8,'Categoria Profilo',1045782755);
INSERT INTO international VALUES (488,'WebGUI',8,'Valore(i) di Default',1045782750);
INSERT INTO international VALUES (487,'WebGUI',8,'Valori Possibili',1045782745);
INSERT INTO international VALUES (486,'WebGUI',8,'Tipo Data',1045782741);
INSERT INTO international VALUES (484,'WebGUI',8,'Select List',1045782732);
INSERT INTO international VALUES (485,'WebGUI',8,'Booleano (Checkbox)',1045782737);
INSERT INTO international VALUES (483,'WebGUI',8,'Si o No',1045782725);
INSERT INTO international VALUES (482,'WebGUI',8,'Numero (Intero)',1045782720);
INSERT INTO international VALUES (481,'WebGUI',8,'Telefono',1045782711);
INSERT INTO international VALUES (479,'WebGUI',8,'Data',1045782697);
INSERT INTO international VALUES (480,'WebGUI',8,'Indirizzo Email',1045782708);
INSERT INTO international VALUES (476,'WebGUI',8,'Text Area',1045782680);
INSERT INTO international VALUES (477,'WebGUI',8,'HTML Area',1045782686);
INSERT INTO international VALUES (478,'WebGUI',8,'URL',1045782692);
INSERT INTO international VALUES (475,'WebGUI',8,'Testo',1045782675);
INSERT INTO international VALUES (473,'WebGUI',8,'Visibile?',1045782660);
INSERT INTO international VALUES (474,'WebGUI',8,'Campo Richisto?',1045782665);
INSERT INTO international VALUES (470,'WebGUI',8,'Nome',1045782642);
INSERT INTO international VALUES (472,'WebGUI',8,'Etichetta',1045782656);
INSERT INTO international VALUES (469,'WebGUI',8,'Id',1045782632);
INSERT INTO international VALUES (468,'WebGUI',8,'Modifica categoria profilo utenti',1045782628);
INSERT INTO international VALUES (467,'WebGUI',8,'Sei certo di voler cancellare questo campo e tutti i dati ad esso relativi?',1045782622);
INSERT INTO international VALUES (466,'WebGUI',8,'Sei certo di voler cancellare questa categoria e spostare il suo contenuto nella categoria Varie?',1045782610);
INSERT INTO international VALUES (465,'WebGUI',8,'Dimensione Text Box',1045782600);
INSERT INTO international VALUES (464,'WebGUI',8,'Colonne Text Area',1045782596);
INSERT INTO international VALUES (463,'WebGUI',8,'Righe Text Area',1045782591);
INSERT INTO international VALUES (462,'WebGUI',8,'Formato ora',1045782586);
INSERT INTO international VALUES (461,'WebGUI',8,'Formato data',1045782582);
INSERT INTO international VALUES (460,'WebGUI',8,'Time Offset',1045782577);
INSERT INTO international VALUES (459,'WebGUI',8,'Modifica il profilo di questo utente.',1045782565);
INSERT INTO international VALUES (458,'WebGUI',8,'Modifica il gruppo di questo utente.',1045782554);
INSERT INTO international VALUES (457,'WebGUI',8,'Modifica l\'account di questo utente.',1045782543);
INSERT INTO international VALUES (456,'WebGUI',8,'Indietro alla lista degli utenti.',1045782535);
INSERT INTO international VALUES (455,'WebGUI',8,'Modifica il profilo utente',1045782529);
INSERT INTO international VALUES (454,'WebGUI',8,'Ultimo aggiornamento',1045782524);
INSERT INTO international VALUES (452,'WebGUI',8,'Attendi...',1045782509);
INSERT INTO international VALUES (453,'WebGUI',8,'Data di creazione',1045782518);
INSERT INTO international VALUES (450,'WebGUI',8,'Professione (Azienda)',1045782494);
INSERT INTO international VALUES (451,'WebGUI',8,' richiesto.',1045782504);
INSERT INTO international VALUES (448,'WebGUI',8,'Albero di Navigazione',1045782478);
INSERT INTO international VALUES (449,'WebGUI',8,'Informazioni varie',1045782482);
INSERT INTO international VALUES (447,'WebGUI',8,'Gestisci albero di navigazione.',1045782474);
INSERT INTO international VALUES (446,'WebGUI',8,'Web Site',1045782470);
INSERT INTO international VALUES (445,'WebGUI',8,'Preferenze',1045782465);
INSERT INTO international VALUES (444,'WebGUI',8,'Informazioni Demografiche',1046633964);
INSERT INTO international VALUES (443,'WebGUI',8,'Informazioni Tempo Libero',1045782456);
INSERT INTO international VALUES (441,'WebGUI',8,'Email al Pager ',1045782446);
INSERT INTO international VALUES (442,'WebGUI',8,'Informazioni Professionali',1045782452);
INSERT INTO international VALUES (440,'WebGUI',8,'Contatti',1045782441);
INSERT INTO international VALUES (439,'WebGUI',8,'Informazioni Personali',1045782426);
INSERT INTO international VALUES (438,'WebGUI',8,'Il tuo nome',1045782423);
INSERT INTO international VALUES (436,'WebGUI',8,'Uccidi Sessione',1045782414);
INSERT INTO international VALUES (437,'WebGUI',8,'Statistiche',1045782418);
INSERT INTO international VALUES (435,'WebGUI',8,'Firma di Sessione',1045782410);
INSERT INTO international VALUES (434,'WebGUI',8,'Stato',1045782406);
INSERT INTO international VALUES (433,'WebGUI',8,'User Agent',1045782402);
INSERT INTO international VALUES (432,'WebGUI',8,'Scade',1045782397);
INSERT INTO international VALUES (431,'WebGUI',8,'Indirizzo IP',1045782392);
INSERT INTO international VALUES (430,'WebGUI',8,'Ultima pagina vista',1045782388);
INSERT INTO international VALUES (429,'WebGUI',8,'Ultimo Login',1045782378);
INSERT INTO international VALUES (427,'WebGUI',8,'Stili',1045782336);
INSERT INTO international VALUES (428,'WebGUI',8,'Utente (ID)',1045782368);
INSERT INTO international VALUES (426,'WebGUI',8,'Storico Login',1046125815);
INSERT INTO international VALUES (425,'WebGUI',8,'Sessioni Attive',1046125805);
INSERT INTO international VALUES (424,'WebGUI',8,'Visualizza Storico Login.',1046125796);
INSERT INTO international VALUES (423,'WebGUI',8,'Visualizza Sessioni Attive.',1046125786);
INSERT INTO international VALUES (422,'WebGUI',8,'<h1>Login Fallito!</h1>\r\nLe informazioni che hai inserito non corrispondono all\'account.',1045779651);
INSERT INTO international VALUES (421,'WebGUI',8,'Rimuovi tutto tranne che la formattazione basilare.',1048067435);
INSERT INTO international VALUES (420,'WebGUI',8,'Lascia com\'.',1048067493);
INSERT INTO international VALUES (419,'WebGUI',8,'Rimuovi tutti i tag.',1048067456);
INSERT INTO international VALUES (418,'WebGUI',8,'Filtra il contenuto',1048067477);
INSERT INTO international VALUES (417,'WebGUI',8,'<h1>Violazione della Sicurezza</h1>\r\nHai cercato di accedere ad un wobject non associato a questa pagina. Questo incidente  stato registrato.',1046632861);
INSERT INTO international VALUES (52,'Product',1,'Add another benefit?',1031514049);
INSERT INTO international VALUES (416,'WebGUI',8,'<h1>Problemi con la richiesta</h1>\r\nci sono stati dei problemi con la tua richiesta. Prego clicca sul bottone \"indietro\" del browser e riprova. Se questo problema persiste, contattaci specificando quello che stai tentando di fare e la data dell\'errore.',1046125685);
INSERT INTO international VALUES (28,'Article',8,'Visualizza Risposte',1031922202);
INSERT INTO international VALUES (27,'Article',8,'Torna all\'articolo',1031922188);
INSERT INTO international VALUES (24,'Article',8,'Invia Risposta',1031922173);
INSERT INTO international VALUES (626,'WebGUI',2,'Wobjects (frher auch als  Widgets bezeichnet) sind die wirkliche Strke von \r\nWebGUI. Wobjects sind kleine einbindbare Applikationen, die fr WebGUI entwickelt \r\nwurden. Diskussionsforen und Abstimmungen sind Beispiele fr Wobjects. \r\n<P>Um einer Seite ein Wobject hinzuzufgen, mssen sie zuerst die Seite aufrufen, \r\nin die das Wobject soll. Dann whlen Sie ein Wobject ihrer Wahl aus dem oberen \r\nlinken Bereich (&quot;Inhalt hinzufgen ... &quot;) aus. Zu jedem Woject gibt \r\nes eine eigene Hilfe, daher schauen sie sich diese vorher an, wenn sie nicht \r\nwissen, welchen Zweck bzw. welche Funktionen das Wobject hat.<P><I>Style Sheets</I>: Alle Wobjects besitzen \r\neine Style-Sheet Klasse und ID. \r\n<P>Die Style-Sheet Klasse besteht aus dem Word  &quot;wobject&quot; plus dem \r\nTyp des Wobjects. Daher wrde fr eine Abstimmung die Style-Sheet Klasse &quot;wobjectPoll&quot; \r\nlauten. Die Klasse gehrt dann zu allen Wobjects dieses Typs im System. \r\n<P>Die Style-Sheet ID besteht aus dem Wort &quot;wobjectId&quot; plus der Wobject Id fr \r\ndiese Wobject Instanz. Fr einen Artikel mit der Wobject Id  94 wrde die ID \r\ndann  &quot;wobjectId94&quot; lauten.</P>',1048589531);
INSERT INTO international VALUES (22,'Article',8,'Autore',1031922112);
INSERT INTO international VALUES (23,'Article',8,'Data',1031922151);
INSERT INTO international VALUES (894,'WebGUI',8,'Consenti discussione?',1048030866);
INSERT INTO international VALUES (78,'Survey',1,'Total Time',1038782125);
INSERT INTO international VALUES (411,'WebGUI',8,'Titolo nel Menu',1046125626);
INSERT INTO international VALUES (412,'WebGUI',8,'Descrizione',1046125646);
INSERT INTO international VALUES (410,'WebGUI',8,'Gestisci roots.',1046125609);
INSERT INTO international VALUES (409,'WebGUI',8,'Aggiungi una nuova root.',1046125561);
INSERT INTO international VALUES (408,'WebGUI',8,'Gestisci Roots',1046125530);
INSERT INTO international VALUES (18,'SQLReport',8,'Non ci sono risultati per questa query.',1045783497);
INSERT INTO international VALUES (16,'SQLReport',8,'Debug?',1045783484);
INSERT INTO international VALUES (17,'SQLReport',8,'<b>Debug:</b> Query:',1048080156);
INSERT INTO international VALUES (15,'SQLReport',8,'Preprocessa le macro nella query?',1045783478);
INSERT INTO international VALUES (46,'WebGUI',8,'Il mio account',1045782569);
INSERT INTO international VALUES (407,'WebGUI',8,'Clicca qui per registrarti.',1046125522);
INSERT INTO international VALUES (406,'WebGUI',8,'Grandezza del Thumbnail',1046125498);
INSERT INTO international VALUES (405,'WebGUI',8,'Ultima Pagina',1046125485);
INSERT INTO international VALUES (403,'WebGUI',8,'Preferisco non dirlo.',1046125466);
INSERT INTO international VALUES (402,'WebGUI',8,'Il messaggio che hai richiesto non esiste.',1046125458);
INSERT INTO international VALUES (22,'MessageBoard',8,'Cancella Messaggio',1045927253);
INSERT INTO international VALUES (60,'WebGUI',8,'Sei sicuro di voler disattivare il tuo account? Se continui le informazioni del tuo account saranno perse permanentemente.',1045780774);
INSERT INTO international VALUES (401,'WebGUI',8,'Sei sicuro di voler cancellare questo messaggio e tutti i messaggi sotto di esso in questo thread?',1046125446);
INSERT INTO international VALUES (400,'WebGUI',8,'Impedisci la Cache del Proxy',1046125419);
INSERT INTO international VALUES (399,'WebGUI',8,'Valida questa pagina.',1046125377);
INSERT INTO international VALUES (398,'WebGUI',8,'Document Type Declaration',1046125368);
INSERT INTO international VALUES (394,'WebGUI',8,'Gestisci Archivio Collaterale.',1046125341);
INSERT INTO international VALUES (395,'WebGUI',8,'Aggiungi una nuova Immagine.',1046125357);
INSERT INTO international VALUES (707,'WebGUI',10,'Vis debug information?',1036855884);
INSERT INTO international VALUES (784,'WebGUI',1,'Thumbnail',1036954393);
INSERT INTO international VALUES (391,'WebGUI',8,'Cancella il file Allegato.',1046125316);
INSERT INTO international VALUES (594,'WebGUI',10,'Overst tekster',1037205626);
INSERT INTO international VALUES (811,'WebGUI',1,'From',1037580145);
INSERT INTO international VALUES (810,'WebGUI',1,'send',1037579743);
INSERT INTO international VALUES (387,'WebGUI',8,'Caricato Da',1046125277);
INSERT INTO international VALUES (388,'WebGUI',8,'Data di Upload',1046125288);
INSERT INTO international VALUES (386,'WebGUI',8,'Modifica Immagine',1046125255);
INSERT INTO international VALUES (385,'WebGUI',8,'Parametri',1046125244);
INSERT INTO international VALUES (384,'WebGUI',8,'File',1046125220);
INSERT INTO international VALUES (19,'EventsCalendar',8,'Cambio Pagina dopo',1045778166);
INSERT INTO international VALUES (684,'WebGUI',10,'Skabelon, Tilfj/Redigr',1036856063);
INSERT INTO international VALUES (20,'FileManager',8,'Cambio Pagina dopo',1031922906);
INSERT INTO international VALUES (14,'SQLReport',8,'Cambio Pagina dopo',1045783469);
INSERT INTO international VALUES (14,'EventsCalendar',8,'Data di Inizio',1045778149);
INSERT INTO international VALUES (15,'EventsCalendar',8,'Data di Fine',1045778156);
INSERT INTO international VALUES (19,'FileManager',8,'Non hai files disponibili.',1045778836);
INSERT INTO international VALUES (18,'FileManager',8,'Versione Alternativa #2',1031922865);
INSERT INTO international VALUES (17,'FileManager',8,'Versione Alternativa #1',1031922849);
INSERT INTO international VALUES (13,'SQLReport',8,'Converti gli a capo?',1045783462);
INSERT INTO international VALUES (37,'USS',8,'Cancella',1045784047);
INSERT INTO international VALUES (775,'WebGUI',1,'Are you certain you wish to delete this folder and move its contents to it\'s parent folder?',1036903002);
INSERT INTO international VALUES (16,'FileManager',8,'Uploadato in Data',1031922644);
INSERT INTO international VALUES (15,'FileManager',8,'Descrizione',1031922564);
INSERT INTO international VALUES (14,'FileManager',8,'File',1031922430);
INSERT INTO international VALUES (9,'FileManager',8,'Modifica File Manager',1045778901);
INSERT INTO international VALUES (10,'FileManager',8,'Modifica File',1045778798);
INSERT INTO international VALUES (11,'FileManager',8,'Aggiungi un nuovo file',1045778810);
INSERT INTO international VALUES (12,'FileManager',8,'Sei sicuro di voler cancellare questo file?',1045778821);
INSERT INTO international VALUES (8,'FileManager',8,'Breve Descrizione',1031923721);
INSERT INTO international VALUES (7,'FileManager',8,'Gruppo di Download',1031923553);
INSERT INTO international VALUES (6,'FileManager',8,'File',1045778850);
INSERT INTO international VALUES (3,'FileManager',8,'Continua aggiungendo un  file?',1031922982);
INSERT INTO international VALUES (5,'FileManager',8,'Titolo del File',1031923001);
INSERT INTO international VALUES (1,'FileManager',8,'File Manager',1045778786);
INSERT INTO international VALUES (380,'WebGUI',8,'ID Stile',1046125172);
INSERT INTO international VALUES (381,'WebGUI',8,'Il sistema ha ricevuto un richiesta non valida. Utilizza il tasto back del browser e prova ancora.',1046125205);
INSERT INTO international VALUES (35,'USS',8,'Titolo',1045784040);
INSERT INTO international VALUES (378,'WebGUI',8,'ID utente',1046125033);
INSERT INTO international VALUES (379,'WebGUI',8,'ID Gruppo',1046125106);
INSERT INTO international VALUES (34,'USS',8,'Converti gli a capo',1045784028);
INSERT INTO international VALUES (33,'USS',8,'Allegato',1045784020);
INSERT INTO international VALUES (32,'USS',8,'Immagine',1045784011);
INSERT INTO international VALUES (31,'USS',8,'Contenuto',1045783998);
INSERT INTO international VALUES (377,'WebGUI',8,'Nessun packages  stato definito dal tuo package manager o amministratore.',1046124982);
INSERT INTO international VALUES (11,'Poll',8,'Vota!',1045927671);
INSERT INTO international VALUES (374,'WebGUI',8,'Gestisci packages.',1046122632);
INSERT INTO international VALUES (375,'WebGUI',8,'Seleziona Package da svolgere',1046124945);
INSERT INTO international VALUES (376,'WebGUI',8,'Package',1046124960);
INSERT INTO international VALUES (371,'WebGUI',8,'Aggiungi Grouping',1046122591);
INSERT INTO international VALUES (372,'WebGUI',8,'Modifica i gruppi dell\'utente',1046122611);
INSERT INTO international VALUES (370,'WebGUI',8,'Modifica Grouping',1046122581);
INSERT INTO international VALUES (369,'WebGUI',8,'Data di scadenza',1046122563);
INSERT INTO international VALUES (368,'WebGUI',8,'Aggiungi un nuovo gruppo a questo utente.',1046122552);
INSERT INTO international VALUES (365,'WebGUI',8,'Risultati della ricerca...',1046122513);
INSERT INTO international VALUES (366,'WebGUI',8,'Non sono state trovate pagine che soddisfano la tua richiesta.',1046122526);
INSERT INTO international VALUES (364,'WebGUI',8,'Cerca',1046122505);
INSERT INTO international VALUES (362,'WebGUI',8,'Fianco a fianco',1046122476);
INSERT INTO international VALUES (363,'WebGUI',8,'Posizione nel Template',1046122495);
INSERT INTO international VALUES (361,'WebGUI',8,'Tre su Una',1046122468);
INSERT INTO international VALUES (359,'WebGUI',8,'Colonna Destra',1046122425);
INSERT INTO international VALUES (360,'WebGUI',8,'Una su Tre',1046122461);
INSERT INTO international VALUES (358,'WebGUI',8,'Colonna Sinistra',1046122417);
INSERT INTO international VALUES (357,'WebGUI',8,'News',1046122405);
INSERT INTO international VALUES (356,'WebGUI',8,'Template',1046122397);
INSERT INTO international VALUES (355,'WebGUI',8,'Default',1046122389);
INSERT INTO international VALUES (471,'WebGUI',8,'Modifica campi profilo utenti',1045782651);
INSERT INTO international VALUES (352,'WebGUI',8,'Data di Inserimento',1046122349);
INSERT INTO international VALUES (159,'WebGUI',8,'Inbox',1045915746);
INSERT INTO international VALUES (349,'WebGUI',8,'Ultima Versione Disponibile',1046122294);
INSERT INTO international VALUES (351,'WebGUI',8,'Messaggio',1046122322);
INSERT INTO international VALUES (350,'WebGUI',8,'Completato',1046122314);
INSERT INTO international VALUES (348,'WebGUI',8,'Nome',1046122282);
INSERT INTO international VALUES (347,'WebGUI',8,'Visualizza il Profilo per',1046122275);
INSERT INTO international VALUES (343,'WebGUI',8,'Visualizza Profilo.',1046122223);
INSERT INTO international VALUES (345,'WebGUI',8,'Non membro',1046122233);
INSERT INTO international VALUES (346,'WebGUI',8,'Questo utente non  pi membro del nostro sito. Non abbiamo altre informazioni su questo utente.',1046122250);
INSERT INTO international VALUES (341,'WebGUI',8,'Modifica Profilo.',1046122207);
INSERT INTO international VALUES (342,'WebGUI',8,'Modifica le informazioni dell\'account.',1046122215);
INSERT INTO international VALUES (337,'WebGUI',8,'Homepage URL',1046122165);
INSERT INTO international VALUES (338,'WebGUI',8,'Modifica  Profilo',1046122177);
INSERT INTO international VALUES (339,'WebGUI',8,'Maschio',1046122184);
INSERT INTO international VALUES (340,'WebGUI',8,'Femmina',1046122200);
INSERT INTO international VALUES (336,'WebGUI',8,'Data di nascita',1046122158);
INSERT INTO international VALUES (335,'WebGUI',8,'Sesso',1046122151);
INSERT INTO international VALUES (331,'WebGUI',8,'Stato lavoro',1046122110);
INSERT INTO international VALUES (332,'WebGUI',8,'CAP lavoro',1046122122);
INSERT INTO international VALUES (333,'WebGUI',8,'Provincia lavoro',1046122130);
INSERT INTO international VALUES (334,'WebGUI',8,'Telefono lavoro',1046122138);
INSERT INTO international VALUES (330,'WebGUI',8,'Citt lavoro',1046122103);
INSERT INTO international VALUES (329,'WebGUI',8,'Indirizzo lavoro',1046122090);
INSERT INTO international VALUES (328,'WebGUI',8,'Telefono casa',1046122066);
INSERT INTO international VALUES (327,'WebGUI',8,'Provincia casa',1046122042);
INSERT INTO international VALUES (326,'WebGUI',8,'CAP casa',1046122022);
INSERT INTO international VALUES (324,'WebGUI',8,'Citt casa',1046122002);
INSERT INTO international VALUES (325,'WebGUI',8,'Stato casa',1046122011);
INSERT INTO international VALUES (323,'WebGUI',8,'Indirizzo casa',1046121995);
INSERT INTO international VALUES (322,'WebGUI',8,'Pager',1046121988);
INSERT INTO international VALUES (321,'WebGUI',8,'Telefono Cellulare',1046121982);
INSERT INTO international VALUES (320,'WebGUI',8,'<a href=\"http://messenger.yahoo.com/\">Yahoo! Messenger</a> Id',1046121972);
INSERT INTO international VALUES (319,'WebGUI',8,'<a href=\"http://messenger.msn.com/\">MSN Messenger</a> Id',1046121956);
INSERT INTO international VALUES (318,'WebGUI',8,'<a href=\"http://www.aol.com/aim/homenew.adp\">AIM</a> Id',1046121939);
INSERT INTO international VALUES (317,'WebGUI',8,'<a href=\"http://www.icq.com\">ICQ</a> UIN',1046121931);
INSERT INTO international VALUES (316,'WebGUI',8,'Cognome',1046121919);
INSERT INTO international VALUES (315,'WebGUI',8,'Secondo Nome',1046121912);
INSERT INTO international VALUES (314,'WebGUI',8,'Nome',1046121898);
INSERT INTO international VALUES (313,'WebGUI',8,'Consenti informazioni varie?',1046121889);
INSERT INTO international VALUES (312,'WebGUI',8,'Consenti informazioni business?',1046121881);
INSERT INTO international VALUES (311,'WebGUI',8,'Consenti informazioni home?',1046121862);
INSERT INTO international VALUES (310,'WebGUI',8,'Consenti informazioni extra sugli account?',1046121846);
INSERT INTO international VALUES (309,'WebGUI',8,'Consenti il nome reale?',1046121829);
INSERT INTO international VALUES (307,'WebGUI',8,'Usa i meta tags di default?',1046121809);
INSERT INTO international VALUES (308,'WebGUI',8,'Modifica i settaggi del profilo',1046121816);
INSERT INTO international VALUES (245,'WebGUI',8,'Data',1046121730);
INSERT INTO international VALUES (304,'WebGUI',8,'Lingua',1046121797);
INSERT INTO international VALUES (244,'WebGUI',8,'Autore',1046121723);
INSERT INTO international VALUES (239,'WebGUI',8,'Data:',1046121685);
INSERT INTO international VALUES (240,'WebGUI',8,'ID Messaggio:',1046121709);
INSERT INTO international VALUES (238,'WebGUI',8,'Autore:',1045916163);
INSERT INTO international VALUES (237,'WebGUI',8,'Oggetto:',1045916154);
INSERT INTO international VALUES (234,'WebGUI',8,'Inviare una Risposta...',1045916143);
INSERT INTO international VALUES (233,'WebGUI',8,'(eom)',1045916130);
INSERT INTO international VALUES (232,'WebGUI',8,'Senza Oggetto',1045916119);
INSERT INTO international VALUES (231,'WebGUI',8,'Inviare un nuovo Messaggio...',1045916108);
INSERT INTO international VALUES (230,'WebGUI',8,'Messaggio',1045916098);
INSERT INTO international VALUES (229,'WebGUI',8,'Oggetto',1045916077);
INSERT INTO international VALUES (228,'WebGUI',8,'Modifica Messaggio...',1045916067);
INSERT INTO international VALUES (175,'WebGUI',8,'Processa le macro?',1045915940);
INSERT INTO international VALUES (174,'WebGUI',8,'Visualizza il Titolo?',1045915925);
INSERT INTO international VALUES (170,'WebGUI',8,'cerca',1045915888);
INSERT INTO international VALUES (171,'WebGUI',8,'Assistente per la creazione del testo',1045915905);
INSERT INTO international VALUES (169,'WebGUI',8,'Aggiungi un nuovo Utente.',1045915866);
INSERT INTO international VALUES (168,'WebGUI',8,'Modifica Utente',1045915855);
INSERT INTO international VALUES (167,'WebGUI',8,'Sei sicuro di voler cancellare questo utente? Sappi che tutte le informazioni associate all\'utente saranno cancellate se procedi.',1045915845);
INSERT INTO international VALUES (3,'Auth/LDAP',8,'LDAP URL',1045778047);
INSERT INTO international VALUES (4,'Auth/LDAP',8,'Connect DN',1045778069);
INSERT INTO international VALUES (163,'WebGUI',8,'Aggiungi Utente',1045915812);
INSERT INTO international VALUES (164,'WebGUI',8,'Metodo di autenticazione',1045915831);
INSERT INTO international VALUES (162,'WebGUI',8,'Sei sicuro di voler cancellare tutte le pagine e i wobjects nel cestino?',1046632830);
INSERT INTO international VALUES (161,'WebGUI',8,'Inviato Da',1045915790);
INSERT INTO international VALUES (160,'WebGUI',8,'Inviato in Data',1045915775);
INSERT INTO international VALUES (158,'WebGUI',8,'Aggiungi un nuovo stile.',1045915734);
INSERT INTO international VALUES (353,'WebGUI',8,'Non hai messaggi nella tua Inbox attualmente.',1046122373);
INSERT INTO international VALUES (157,'WebGUI',8,'Stili',1045915724);
INSERT INTO international VALUES (156,'WebGUI',8,'Modifica Stile',1045915714);
INSERT INTO international VALUES (155,'WebGUI',8,'Sei sicuro di voler cancellare questo stile ed assegnare a tutte le pagine che lo usano lo stile \"Fail Safe\" ?',1045915700);
INSERT INTO international VALUES (151,'WebGUI',8,'Nome dello stile',1045915669);
INSERT INTO international VALUES (154,'WebGUI',8,'Style Sheet',1045915681);
INSERT INTO international VALUES (149,'WebGUI',8,'Utenti',1045915648);
INSERT INTO international VALUES (148,'WebGUI',8,'Wobjects',1045915638);
INSERT INTO international VALUES (147,'WebGUI',8,'Pagine',1045915611);
INSERT INTO international VALUES (144,'WebGUI',8,'Visualizza statistiche.',1045915537);
INSERT INTO international VALUES (145,'WebGUI',8,'Versione',1045915552);
INSERT INTO international VALUES (146,'WebGUI',8,'Sessioni Attive',1045915578);
INSERT INTO international VALUES (143,'WebGUI',8,'Gestisci i settaggi',1045915525);
INSERT INTO international VALUES (142,'WebGUI',8,'Timeout della Sessione',1045915515);
INSERT INTO international VALUES (141,'WebGUI',8,'Pagina non trovata',1045915504);
INSERT INTO international VALUES (140,'WebGUI',8,'Modifica settaggi vari',1045915492);
INSERT INTO international VALUES (134,'WebGUI',8,'Messaggio di Recupero Password',1045915433);
INSERT INTO international VALUES (135,'WebGUI',8,'SMTP Server',1045915443);
INSERT INTO international VALUES (138,'WebGUI',8,'S',1045915461);
INSERT INTO international VALUES (139,'WebGUI',8,'No',1045915471);
INSERT INTO international VALUES (133,'WebGUI',8,'Modifica i settaggi della Mail',1045915401);
INSERT INTO international VALUES (130,'WebGUI',8,'Massima Dimensione Allegato',1045915370);
INSERT INTO international VALUES (127,'WebGUI',8,'URL dell\'Azienda',1045915349);
INSERT INTO international VALUES (126,'WebGUI',8,'Indirizzo Email dell\'Azienda',1045915337);
INSERT INTO international VALUES (125,'WebGUI',8,'Nome dell\'Azienda',1045915327);
INSERT INTO international VALUES (124,'WebGUI',8,'Modifica informazioni sull\'Azienda',1045915314);
INSERT INTO international VALUES (8,'Auth/LDAP',8,'LDAP Password Name',1045778106);
INSERT INTO international VALUES (7,'Auth/LDAP',8,'LDAP Identity Name',1045778098);
INSERT INTO international VALUES (6,'Auth/LDAP',8,'LDAP Identity (default)',1045778090);
INSERT INTO international VALUES (5,'Auth/LDAP',8,'LDAP URL (default)',1045778080);
INSERT INTO international VALUES (118,'WebGUI',8,'Registrazione Anonima',1045915239);
INSERT INTO international VALUES (119,'WebGUI',8,'Authentication Method (default)',1045915276);
INSERT INTO international VALUES (117,'WebGUI',8,'Modifica settaggi Utente',1045784387);
INSERT INTO international VALUES (116,'WebGUI',8,'Seleziona \"Si\" per dare a tutte le sottopagine gli stessi privilegi di questa.',1031911949);
INSERT INTO international VALUES (108,'WebGUI',8,'Proprietario',1045784369);
INSERT INTO international VALUES (107,'WebGUI',8,'Privilegi',1045784187);
INSERT INTO international VALUES (106,'WebGUI',8,'Seleziona \"Si\" per dare a tutte le sottopagine lo stesso stile di questa.',1045779457);
INSERT INTO international VALUES (105,'WebGUI',8,'Layout',1048258260);
INSERT INTO international VALUES (104,'WebGUI',8,'URL della Pagina',1045779442);
INSERT INTO international VALUES (102,'WebGUI',8,'Modifica Pagina',1045779420);
INSERT INTO international VALUES (103,'WebGUI',8,'Specifiche della Pagina',1048258231);
INSERT INTO international VALUES (101,'WebGUI',8,'Sei sicuro di voler cancellare questa pagina, il suo contenuto, e tutti gli elementi sotto di essa?',1045779413);
INSERT INTO international VALUES (100,'WebGUI',8,'Meta Tags',1045779401);
INSERT INTO international VALUES (99,'WebGUI',8,'Titolo',1045780971);
INSERT INTO international VALUES (642,'WebGUI',1,'Page, Add/Edit',1038889740);
INSERT INTO international VALUES (95,'WebGUI',8,'Indice Aiuto',1045780958);
INSERT INTO international VALUES (94,'WebGUI',8,'Vedi anche',1045780950);
INSERT INTO international VALUES (93,'WebGUI',8,'Aiuto',1045780941);
INSERT INTO international VALUES (92,'WebGUI',8,'Pagina Successiva',1045780931);
INSERT INTO international VALUES (91,'WebGUI',8,'Pagina Precedente',1045781131);
INSERT INTO international VALUES (89,'WebGUI',8,'Gruppi',1045781170);
INSERT INTO international VALUES (90,'WebGUI',8,'Aggiungi nuovo gruppo.',1045781140);
INSERT INTO international VALUES (88,'WebGUI',8,'Utenti nel Gruppo',1045781180);
INSERT INTO international VALUES (87,'WebGUI',8,'Modifica Gruppo',1045781189);
INSERT INTO international VALUES (86,'WebGUI',8,'Sei sicuro di voler cancellare questo gruppo? Sappi che cancellare un gruppo  permanente e rimuover tutti i privilrgi associati a questo gruppo.',1045781209);
INSERT INTO international VALUES (84,'WebGUI',8,'Nome del Gruppo',1045781228);
INSERT INTO international VALUES (85,'WebGUI',8,'Descrizione',1045781219);
INSERT INTO international VALUES (82,'WebGUI',8,'Funzioni Amministrative...',1045781237);
INSERT INTO international VALUES (81,'WebGUI',8,'Account aggiornato con successo!',1045781246);
INSERT INTO international VALUES (80,'WebGUI',8,'Account creato con successo!',1045781255);
INSERT INTO international VALUES (2,'Auth/LDAP',8,'Non  possibile connettersi al LDAP server.',1045778023);
INSERT INTO international VALUES (3,'Auth/WebGUI',8,'Le tue password non corrispondono. Prego prova di nuovo.',1045778125);
INSERT INTO international VALUES (77,'WebGUI',8,'Questo nome di account  gi in uso da un altro membro di questo sito. Prego scegli un nuovo nome utente. Ecco alcuni suggerimenti:',1045781289);
INSERT INTO international VALUES (76,'WebGUI',8,'Questo indirizzo di email non  nei nostri database.',1045781334);
INSERT INTO international VALUES (75,'WebGUI',8,'Le Informazioni sul tuo account sono state inviate al tuo indirizzo di email.',1045781368);
INSERT INTO international VALUES (74,'WebGUI',8,'Informazioni Account',1045781380);
INSERT INTO international VALUES (73,'WebGUI',8,'Entra.',1045781389);
INSERT INTO international VALUES (72,'WebGUI',8,'recupera',1045781410);
INSERT INTO international VALUES (70,'WebGUI',8,'Errore',1045781483);
INSERT INTO international VALUES (71,'WebGUI',8,'Recupera password',1045781434);
INSERT INTO international VALUES (69,'WebGUI',8,'Prego contatta il tuo amministratore di sistema per assistenza.',1045781546);
INSERT INTO international VALUES (68,'WebGUI',8,'Le informazioni sull\'account non sono valide. O l\'account non esiste oppure hai fornito una combinazione errata di Nome Utente/Password.',1045781686);
INSERT INTO international VALUES (67,'WebGUI',8,'Crea un nuovo account.',1045781789);
INSERT INTO international VALUES (66,'WebGUI',8,'Entra',1045781949);
INSERT INTO international VALUES (65,'WebGUI',8,'Prego disattiva il mio account permanentemente.',1045782089);
INSERT INTO international VALUES (64,'WebGUI',8,'Esci.',1045782160);
INSERT INTO international VALUES (63,'WebGUI',8,'Attiva l\'Interfaccia Amministrativa.',1045780917);
INSERT INTO international VALUES (62,'WebGUI',8,'Salva',1045780892);
INSERT INTO international VALUES (61,'WebGUI',8,'Aggiorna Informazioni dell\'Account',1045780845);
INSERT INTO international VALUES (492,'WebGUI',8,'Lista dei campi del profilo.',1045782794);
INSERT INTO international VALUES (59,'WebGUI',8,'Ho dimenticato la password.',1045780684);
INSERT INTO international VALUES (58,'WebGUI',8,'Ho gi un account.',1045780566);
INSERT INTO international VALUES (57,'WebGUI',8,'E\' necessario solo se vuoi usare funzioni che richiedono l\'email.',1045780514);
INSERT INTO international VALUES (56,'WebGUI',8,'Indirizzo Email',1045780450);
INSERT INTO international VALUES (2,'Auth/WebGUI',8,'Password (conferma)',1045778114);
INSERT INTO international VALUES (54,'WebGUI',8,'Crea Account',1045780164);
INSERT INTO international VALUES (51,'WebGUI',8,'Password',1045782927);
INSERT INTO international VALUES (52,'WebGUI',8,'login',1045780042);
INSERT INTO international VALUES (53,'WebGUI',8,'Rendi Pagina Stampabile',1045780138);
INSERT INTO international VALUES (50,'WebGUI',8,'Nome Utente',1045782850);
INSERT INTO international VALUES (48,'WebGUI',8,'Ciao',1045782703);
INSERT INTO international VALUES (49,'WebGUI',8,'<br>Clicca <a href=\"^\\;?op=logout\">qui</a> per uscire.',1045782772);
INSERT INTO international VALUES (47,'WebGUI',8,'Home',1045782637);
INSERT INTO international VALUES (45,'WebGUI',8,'No, ho fatto uno sbaglio.',1045782486);
INSERT INTO international VALUES (44,'WebGUI',8,'S, sono sicuro.',1045782431);
INSERT INTO international VALUES (43,'WebGUI',8,'Sei sicuro di voler cancellare questo contenuto?',1045782384);
INSERT INTO international VALUES (42,'WebGUI',8,'Prego Conferma',1046125756);
INSERT INTO international VALUES (41,'WebGUI',8,'Hai cercato di rimuovere un componente vitale del sistema. Se continui pu\r\ncessare di funzionare.',1046125588);
INSERT INTO international VALUES (40,'WebGUI',8,'Componente Vitale',1046125408);
INSERT INTO international VALUES (39,'WebGUI',8,'Non hai abbastanza privilegi per accedere a questa pagina.',1046125300);
INSERT INTO international VALUES (38,'WebGUI',8,'Non hai abbastanza privilegi per questa operazione. Prego ^a(entra con un account); che ha sufficenti privilegi prima di eseguire questa operazione.',1046125159);
INSERT INTO international VALUES (404,'WebGUI',8,'Prima Pagina',1046125474);
INSERT INTO international VALUES (37,'WebGUI',8,'Permesso negato!',1046122573);
INSERT INTO international VALUES (36,'WebGUI',8,'Devi essere un amministratore per usare questa funzione. Per favore contatta uno degli amministratori. Questa  una lista degli amministratori di questo sistema:',1046122451);
INSERT INTO international VALUES (35,'WebGUI',8,'Funzioni Amministrative',1046122307);
INSERT INTO international VALUES (34,'WebGUI',8,'imposta la data (mm/gg/aaaa)',1046122193);
INSERT INTO international VALUES (33,'WebGUI',8,'Sabato',1046122096);
INSERT INTO international VALUES (31,'WebGUI',8,'Gioved',1046121837);
INSERT INTO international VALUES (32,'WebGUI',8,'Venerd',1046121962);
INSERT INTO international VALUES (30,'WebGUI',8,'Mercoled',1046121786);
INSERT INTO international VALUES (29,'WebGUI',8,'Marted',1046121770);
INSERT INTO international VALUES (29,'USS',8,'Sistema di Contributi degli Utenti',1045783969);
INSERT INTO international VALUES (28,'WebGUI',8,'Luned',1046121763);
INSERT INTO international VALUES (28,'USS',8,'Ritorna alla lista dei Contributi',1045783962);
INSERT INTO international VALUES (27,'WebGUI',8,'Domenica',1046121754);
INSERT INTO international VALUES (27,'USS',8,'Modifica',1045783955);
INSERT INTO international VALUES (26,'WebGUI',8,'Dicembre',1046121747);
INSERT INTO international VALUES (25,'WebGUI',8,'Novembre',1046121737);
INSERT INTO international VALUES (24,'WebGUI',8,'Ottobre',1046121693);
INSERT INTO international VALUES (23,'WebGUI',8,'Settembre',1045916088);
INSERT INTO international VALUES (22,'WebGUI',8,'Agosto',1045916051);
INSERT INTO international VALUES (21,'WebGUI',8,'Luglio',1045916036);
INSERT INTO international VALUES (21,'USS',8,'Mandato da',1045783948);
INSERT INTO international VALUES (20,'WebGUI',8,'Giugno',1045916025);
INSERT INTO international VALUES (20,'USS',8,'Manda un nuovo Contributo',1045783941);
INSERT INTO international VALUES (19,'WebGUI',8,'Maggio',1045915978);
INSERT INTO international VALUES (20,'MessageBoard',8,'Ultima Risposta',1045927222);
INSERT INTO international VALUES (19,'USS',8,'Modifica Contributo',1045783917);
INSERT INTO international VALUES (19,'MessageBoard',8,'Risposte',1045927198);
INSERT INTO international VALUES (18,'WebGUI',8,'Aprile',1045915968);
INSERT INTO international VALUES (18,'USS',8,'Modifica il sistema di contributi degli utenti',1045783898);
INSERT INTO international VALUES (18,'MessageBoard',8,'Thread Iniziato',1045927165);
INSERT INTO international VALUES (17,'WebGUI',8,'Marzo',1045915877);
INSERT INTO international VALUES (17,'USS',8,'Sei sicuro di voler cancellare questo contributo?',1045783886);
INSERT INTO international VALUES (17,'MessageBoard',8,'Manda un nuovo Messaggio',1045927156);
INSERT INTO international VALUES (16,'WebGUI',8,'Febbraio',1045915762);
INSERT INTO international VALUES (16,'USS',8,'Senza Titolo',1045783867);
INSERT INTO international VALUES (16,'MessageBoard',8,'Data',1045927148);
INSERT INTO international VALUES (15,'WebGUI',8,'Gennaio',1045915658);
INSERT INTO international VALUES (15,'USS',8,'Modifica/Cancella',1045783860);
INSERT INTO international VALUES (15,'MessageBoard',8,'Autore',1045927139);
INSERT INTO international VALUES (14,'WebGUI',8,'Visualizza i contributi pendenti.',1045915481);
INSERT INTO international VALUES (14,'USS',8,'Stato',1045783853);
INSERT INTO international VALUES (13,'WebGUI',8,'Visualizza indice dell\'aiuto.',1045915359);
INSERT INTO international VALUES (13,'USS',8,'Data',1045783842);
INSERT INTO international VALUES (13,'LinkList',8,'Aggiungi un nuovo link.',1045779037);
INSERT INTO international VALUES (13,'EventsCalendar',8,'Modifica Evento',1045778141);
INSERT INTO international VALUES (13,'Article',8,'Cancella',1031921959);
INSERT INTO international VALUES (12,'WebGUI',8,'Spegni interfaccia amministrativa.',1045915288);
INSERT INTO international VALUES (12,'USS',8,'(deseleziona se scrivi in HTML)',1045783832);
INSERT INTO international VALUES (12,'EventsCalendar',8,'Modifica Calendario Eventi',1045681771);
INSERT INTO international VALUES (12,'LinkList',8,'Modifica Link',1045779027);
INSERT INTO international VALUES (12,'MessageBoard',8,'Modifica Messaggio',1045927128);
INSERT INTO international VALUES (12,'SQLReport',8,'Errore: non  possibile connettersi al database.',1045783455);
INSERT INTO international VALUES (11,'WebGUI',8,'Svuota il cestino',1045784378);
INSERT INTO international VALUES (12,'Article',8,'Modifica Articolo',1031921943);
INSERT INTO international VALUES (11,'SQLReport',8,'<b>Debug:</b> Errore: c\' stato un problema con la query.',1045783422);
INSERT INTO international VALUES (11,'MessageBoard',8,'Torna alla lista dei messaggi',1045927115);
INSERT INTO international VALUES (75,'EventsCalendar',1,'Which do you wish to do?',1031514049);
INSERT INTO international VALUES (11,'Article',8,'(Seleziona \"Si\" solo se non hai aggiunto &lt;br&gt; manualmente.)',1049641677);
INSERT INTO international VALUES (10,'WebGUI',8,'Visualizza il cestino.',1045779330);
INSERT INTO international VALUES (10,'SQLReport',8,'Errore: l\' SQL specificato ha un formato improprio.',1045783413);
INSERT INTO international VALUES (10,'Poll',8,'Azzera i voti.',1045927659);
INSERT INTO international VALUES (10,'LinkList',8,'Modifica Lista di Link',1045779016);
INSERT INTO international VALUES (10,'FAQ',8,'Modifica Domanda',1048067361);
INSERT INTO international VALUES (715,'WebGUI',1,'Redirect URL',1031514049);
INSERT INTO international VALUES (10,'Article',8,'Converti gli \'a capo\'?',1031911573);
INSERT INTO international VALUES (9,'WebGUI',8,'Visualizza appunti.',1045781162);
INSERT INTO international VALUES (9,'SQLReport',8,'Errore: il DSN specificato ha un formato improprio.',1045783642);
INSERT INTO international VALUES (9,'Poll',8,'Modifica Sondaggio',1046121543);
INSERT INTO international VALUES (9,'MessageBoard',8,'ID Messaggio:',1045927640);
INSERT INTO international VALUES (9,'LinkList',8,'Sei sicuro di voler cancellare questo link?',1045926707);
INSERT INTO international VALUES (9,'FAQ',8,'Aggiungi una nuova domanda.',1045778774);
INSERT INTO international VALUES (9,'EventsCalendar',8,'fino a',1045778412);
INSERT INTO international VALUES (9,'Article',8,'Allegato',1031922314);
INSERT INTO international VALUES (8,'WebGUI',8,'Visualizza pagina non trovata.',1045781265);
INSERT INTO international VALUES (8,'SQLReport',8,'Modifica SQL Report',1045783584);
INSERT INTO international VALUES (8,'Poll',8,'(Aggiungi una risposta per linea. Non pi di 20)',1046121535);
INSERT INTO international VALUES (8,'MessageBoard',8,'Data:',1045927546);
INSERT INTO international VALUES (8,'LinkList',8,'URL',1045926697);
INSERT INTO international VALUES (8,'FAQ',8,'Modifica F.A.Q.',1045778691);
INSERT INTO international VALUES (8,'EventsCalendar',8,'Ricorre ogni',1045778398);
INSERT INTO international VALUES (8,'Article',8,'URL del Link',1031922299);
INSERT INTO international VALUES (7,'WebGUI',8,'Gestisci gli utenti.',1045781495);
INSERT INTO international VALUES (7,'SQLReport',8,'Password Database',1045783558);
INSERT INTO international VALUES (7,'Poll',8,'Risposte',1046121521);
INSERT INTO international VALUES (7,'MessageBoard',8,'Autore:',1045927579);
INSERT INTO international VALUES (7,'FAQ',8,'Sei sicuro di voler cancellare questa domanda?',1045778564);
INSERT INTO international VALUES (7,'Article',8,'Titolo del link',1031922284);
INSERT INTO international VALUES (6,'WebGUI',8,'Gestisci gli stili.',1045780765);
INSERT INTO international VALUES (6,'USS',8,'Contributi per pagina',1045779337);
INSERT INTO international VALUES (6,'SQLReport',8,'Utente Database',1045783545);
INSERT INTO international VALUES (6,'SiteMap',8,'Rientro',1045783716);
INSERT INTO international VALUES (6,'Poll',8,'Domanda',1046121474);
INSERT INTO international VALUES (6,'MessageBoard',8,'Modifica Forum',1045927559);
INSERT INTO international VALUES (6,'LinkList',8,'Lista di Link',1045779058);
INSERT INTO international VALUES (6,'FAQ',8,'Risposta',1045778550);
INSERT INTO international VALUES (6,'ExtraColumn',8,'Modifica Colonna Extra',1045778456);
INSERT INTO international VALUES (701,'WebGUI',8,'Settimana/e',1045781460);
INSERT INTO international VALUES (6,'Article',8,'Immagine',1031922242);
INSERT INTO international VALUES (5,'WebGUI',8,'Gestisci i gruppi.',1045782846);
INSERT INTO international VALUES (5,'USS',8,'Il tuo contributo  stato respinto.',1045784164);
INSERT INTO international VALUES (5,'SQLReport',8,'DSN',1045783539);
INSERT INTO international VALUES (5,'SiteMap',8,'Modifica la mappa del sito',1045783694);
INSERT INTO international VALUES (5,'Poll',8,'Larghezza del grafico',1046121460);
INSERT INTO international VALUES (819,'WebGUI',1,'Self-Deactivated',1038431323);
INSERT INTO international VALUES (5,'ExtraColumn',8,'StyleSheet Class',1045778448);
INSERT INTO international VALUES (5,'FAQ',8,'Domanda',1045778543);
INSERT INTO international VALUES (5,'Item',8,'Scarica allegato',1045778951);
INSERT INTO international VALUES (700,'WebGUI',8,'Giorno/i',1045781474);
INSERT INTO international VALUES (4,'WebGUI',8,'Gestisci i settaggi.',1046125394);
INSERT INTO international VALUES (4,'USS',8,'Il tuo contributo  stato approvato.',1045784091);
INSERT INTO international VALUES (4,'SyndicatedContent',8,'Modifica Contenuto di altri siti',1045783763);
INSERT INTO international VALUES (4,'SQLReport',8,'Query',1045783532);
INSERT INTO international VALUES (4,'SiteMap',8,'Profondit',1045783686);
INSERT INTO international VALUES (4,'Poll',8,'Chi pu votare?',1045927698);
INSERT INTO international VALUES (4,'MessageBoard',8,'Messaggi Per Pagina',1045927291);
INSERT INTO international VALUES (4,'Item',8,'Item',1045778939);
INSERT INTO international VALUES (4,'ExtraColumn',8,'Larghezza',1045778438);
INSERT INTO international VALUES (4,'EventsCalendar',8,'Accade solo una volta.',1045778197);
INSERT INTO international VALUES (4,'Article',8,'Data di fine',1031922227);
INSERT INTO international VALUES (3,'WebGUI',8,'Incolla dagli appunti...',1046121779);
INSERT INTO international VALUES (3,'USS',8,'Hai nuovi contenuti degli utenti da approvare.',1045783980);
INSERT INTO international VALUES (3,'SQLReport',8,'Template risultati',1045783525);
INSERT INTO international VALUES (3,'SiteMap',8,'Partire da questo livello?',1045783673);
INSERT INTO international VALUES (3,'Poll',8,'Attivo',1045927691);
INSERT INTO international VALUES (3,'LinkList',8,'Apri in nuova finestra?',1045779049);
INSERT INTO international VALUES (3,'Item',8,'Cancella allegato',1045778929);
INSERT INTO international VALUES (3,'ExtraColumn',8,'Spaziatore',1045778430);
INSERT INTO international VALUES (3,'Article',8,'Data di inizio',1031922214);
INSERT INTO international VALUES (2,'WebGUI',8,'Pagina',1045916015);
INSERT INTO international VALUES (2,'USS',8,'Chi pu contribuire?',1045783929);
INSERT INTO international VALUES (2,'SyndicatedContent',8,'Contenuto da altri siti',1045783754);
INSERT INTO international VALUES (2,'SiteMap',8,'Mappa del sito',1045783666);
INSERT INTO international VALUES (2,'MessageBoard',8,'Forum',1045927206);
INSERT INTO international VALUES (2,'Item',8,'Allegato',1045778918);
INSERT INTO international VALUES (2,'FAQ',8,'F.A.Q.',1045778535);
INSERT INTO international VALUES (2,'EventsCalendar',8,'Calendario Eventi',1045778175);
INSERT INTO international VALUES (1,'WebGUI',8,'Aggiungi contenuto...',1045779385);
INSERT INTO international VALUES (1,'USS',8,'Chi pu approvare?',1045783811);
INSERT INTO international VALUES (1,'SyndicatedContent',8,'URL del file RSS',1045783734);
INSERT INTO international VALUES (1,'SQLReport',8,'SQL Report',1045783352);
INSERT INTO international VALUES (1,'Poll',8,'Sondaggio',1045927650);
INSERT INTO international VALUES (1,'Item',8,'URL del link',1045778911);
INSERT INTO international VALUES (1,'ExtraColumn',8,'Colonna Extra',1045778418);
INSERT INTO international VALUES (85,'EventsCalendar',1,'Last in the calendar.',1038190764);
INSERT INTO international VALUES (1,'Article',8,'Articolo',1046124716);
INSERT INTO international VALUES (367,'WebGUI',8,'Scade dopo',1046122539);
INSERT INTO international VALUES (493,'WebGUI',8,'Torna al sito.',1045782798);
INSERT INTO international VALUES (495,'WebGUI',8,'Assistente creazione del testo',1045782823);
INSERT INTO international VALUES (496,'WebGUI',8,'Editor da utilizzare',1045782828);
INSERT INTO international VALUES (494,'WebGUI',8,'Real Objects Edit-On Pro',1045782803);
INSERT INTO international VALUES (497,'WebGUI',8,'Data di pubblicazione',1045782832);
INSERT INTO international VALUES (498,'WebGUI',8,'Data di oscuramento',1045782836);
INSERT INTO international VALUES (499,'WebGUI',8,'Wobject ID',1045782841);
INSERT INTO international VALUES (81,'EventsCalendar',1,'Start Month',1038190442);
INSERT INTO international VALUES (20,'EventsCalendar',8,'Aggiungi un evento.',1045778186);
INSERT INTO international VALUES (38,'USS',8,'(Seleziona \"No\" solo se hai usato l\'assistente per la creazione del testo.)',1045784064);
INSERT INTO international VALUES (500,'WebGUI',8,'ID pagina',1045782855);
INSERT INTO international VALUES (501,'WebGUI',8,'Body',1045782860);
INSERT INTO international VALUES (502,'WebGUI',8,'Sei sicuro di voler cancellare questo template e attribuire a tutte le pagine che lo usano il template di default?',1045782873);
INSERT INTO international VALUES (503,'WebGUI',8,'Template ID',1045782879);
INSERT INTO international VALUES (504,'WebGUI',8,'Template',1045782883);
INSERT INTO international VALUES (505,'WebGUI',8,'Aggiungi un nuovo template.',1045782892);
INSERT INTO international VALUES (506,'WebGUI',8,'Gestisci i Templates',1045782896);
INSERT INTO international VALUES (507,'WebGUI',8,'Modifica Template',1045782900);
INSERT INTO international VALUES (508,'WebGUI',8,'Gestisci templates.',1045782914);
INSERT INTO international VALUES (39,'USS',8,'Rispondi',1045784084);
INSERT INTO international VALUES (41,'USS',8,'Data',1045784099);
INSERT INTO international VALUES (45,'USS',8,'Torna ad invio',1045784134);
INSERT INTO international VALUES (46,'USS',8,'Leggi di piu\'...',1045784141);
INSERT INTO international VALUES (47,'USS',8,'Rispondi',1045784148);
INSERT INTO international VALUES (48,'USS',8,'Consenti Discussioni?',1045784156);
INSERT INTO international VALUES (51,'USS',8,'Visualizza thumbnails?',1045779394);
INSERT INTO international VALUES (52,'USS',8,'Thumbnail',1045779354);
INSERT INTO international VALUES (53,'USS',8,'Layout',1045779361);
INSERT INTO international VALUES (57,'USS',8,'Risposte',1045779371);
INSERT INTO international VALUES (11,'FAQ',8,'Attiva elenco domande con link?',1045778509);
INSERT INTO international VALUES (12,'FAQ',8,'Attiva D/R ?',1045778518);
INSERT INTO international VALUES (13,'FAQ',8,'Attiva [top] link?',1045778528);
INSERT INTO international VALUES (509,'WebGUI',8,'Layout Discussioni',1045782921);
INSERT INTO international VALUES (510,'WebGUI',8,'Flat',1045782931);
INSERT INTO international VALUES (511,'WebGUI',8,'Threaded',1045782935);
INSERT INTO international VALUES (512,'WebGUI',8,'Prossimo Thread',1045782940);
INSERT INTO international VALUES (513,'WebGUI',8,'Thread Precedente',1045782944);
INSERT INTO international VALUES (514,'WebGUI',8,'Visto',1031926696);
INSERT INTO international VALUES (515,'WebGUI',8,'Aggiungi la data di modifica nei posts?',1045782952);
INSERT INTO international VALUES (517,'WebGUI',8,'Spegni Admin!',1045782961);
INSERT INTO international VALUES (516,'WebGUI',8,'Attiva Admin!',1045782957);
INSERT INTO international VALUES (518,'WebGUI',8,'Inbox Notifiche',1045780030);
INSERT INTO international VALUES (519,'WebGUI',8,'Non voglio ricevere notifiche.',1045780037);
INSERT INTO international VALUES (520,'WebGUI',8,'Voglio ricevere notifiche via email.',1045780047);
INSERT INTO international VALUES (521,'WebGUI',8,'Voglio ricevere notifiche via email al pager.',1045780056);
INSERT INTO international VALUES (522,'WebGUI',8,'Voglio ricevere notifiche via ICQ.',1045780062);
INSERT INTO international VALUES (523,'WebGUI',8,'Notifica',1031927401);
INSERT INTO international VALUES (524,'Discussion',8,'Aggiungi la data di modifica nei post?',1048030944);
INSERT INTO international VALUES (525,'WebGUI',8,'Modifica Settaggi Contenuti',1045780100);
INSERT INTO international VALUES (526,'WebGUI',8,'Filtra JavaScript e nega le macro.',1048067424);
INSERT INTO international VALUES (527,'WebGUI',8,'Home Page di default',1045780118);
INSERT INTO international VALUES (354,'WebGUI',8,'Visualizza Inbox.',1046122381);
INSERT INTO international VALUES (528,'WebGUI',8,'Nome Template',1045780123);
INSERT INTO international VALUES (529,'WebGUI',8,'Risultati',1045780132);
INSERT INTO international VALUES (530,'WebGUI',8,'con <b>tutte</b> le parole',1045780143);
INSERT INTO international VALUES (531,'WebGUI',8,'con la <b>frase esatta</b>',1045780148);
INSERT INTO international VALUES (532,'WebGUI',8,'con <b>almeno</b> queste parole',1045780154);
INSERT INTO international VALUES (533,'WebGUI',8,'<b>senza</b> le parole',1045780169);
INSERT INTO international VALUES (535,'WebGUI',8,'Gruppo a cui notificare un nuovo utente',1045780186);
INSERT INTO international VALUES (534,'WebGUI',8,'Notifica quando si iscrive un nuovo utente?',1045780179);
INSERT INTO international VALUES (536,'WebGUI',8,'Il nuovo utente ^@; si  iscritto al sito.',1045780195);
INSERT INTO international VALUES (537,'WebGUI',8,'Karma',1045780202);
INSERT INTO international VALUES (538,'WebGUI',8,'Soglia del Karma',1045780210);
INSERT INTO international VALUES (539,'WebGUI',8,'Abilita Karma?',1045780214);
INSERT INTO international VALUES (540,'WebGUI',8,'Karma Per Login',1045780219);
INSERT INTO international VALUES (20,'Poll',8,'Karma Per Voto',1045927680);
INSERT INTO international VALUES (541,'WebGUI',8,'Karma Per Post',1045780224);
INSERT INTO international VALUES (30,'USS',8,'Karma Per Contributo',1045783987);
INSERT INTO international VALUES (542,'WebGUI',8,'Precedente...',1045780228);
INSERT INTO international VALUES (543,'WebGUI',8,'Aggiungi un nuovo gruppo immagini',1045780268);
INSERT INTO international VALUES (5,'WobjectProxy',10,'Wobject Proxy, Tilfj/Redigr',1036856225);
INSERT INTO international VALUES (576,'WebGUI',10,'Slet',1037205126);
INSERT INTO international VALUES (605,'WebGUI',10,'Tilfj grupper',1037205775);
INSERT INTO international VALUES (551,'WebGUI',8,'Avviso',1045780326);
INSERT INTO international VALUES (552,'WebGUI',8,'Pendente',1045780330);
INSERT INTO international VALUES (553,'WebGUI',8,'Stato',1045780336);
INSERT INTO international VALUES (554,'WebGUI',8,'Intervieni',1045780345);
INSERT INTO international VALUES (555,'WebGUI',8,'Modifica il karma di questo utente',1045780352);
INSERT INTO international VALUES (556,'WebGUI',8,'Ammontare',1045780426);
INSERT INTO international VALUES (557,'WebGUI',8,'Descrizione',1045780431);
INSERT INTO international VALUES (558,'WebGUI',8,'Modifica il Karma dell\'utente',1045780440);
INSERT INTO international VALUES (61,'FileManager',1,'File Manager, Add/Edit',1038887335);
INSERT INTO international VALUES (61,'Item',1,'Item, Add/Edit',1038887675);
INSERT INTO international VALUES (61,'FAQ',1,'FAQ, Add/Edit',1038887388);
INSERT INTO international VALUES (61,'SyndicatedContent',1,'Syndicated Content, Add/Edit',1047855741);
INSERT INTO international VALUES (61,'EventsCalendar',1,'Events Calendar, Add/Edit',1038887352);
INSERT INTO international VALUES (61,'MessageBoard',1,'Message Board, Add/Edit',1047854637);
INSERT INTO international VALUES (61,'LinkList',1,'Link List, Add/Edit',1038887837);
INSERT INTO international VALUES (61,'Article',1,'Article, Add/Edit',1047854369);
INSERT INTO international VALUES (61,'ExtraColumn',1,'Extra Column, Add/Edit',1038887140);
INSERT INTO international VALUES (61,'Poll',1,'Poll, Add/Edit',1031514049);
INSERT INTO international VALUES (61,'SiteMap',1,'Site Map, Add/Edit',1038890147);
INSERT INTO international VALUES (61,'SQLReport',1,'SQL Report, Add/Edit',1031514049);
INSERT INTO international VALUES (61,'MailForm',1,'Mail Form, Add/Edit',1038888983);
INSERT INTO international VALUES (62,'MailForm',1,'Mail Form Fields, Add/Edit',1038888974);
INSERT INTO international VALUES (71,'FileManager',1,'The File Manager is designed to help you manage file distribution on your site. It allows you to specify who may view/download files from your site.\r\n<p>\r\n\r\n<b>Template</b><br/>\r\nChoose a layout for the file manager.\r\n<p/>\r\n\r\n<b>Paginate After</b><br>\r\nHow many files should be displayed before splitting the results into separate pages? In other words, how many files should be displayed per page?\r\n<p>\r\n\r\n<b>Proceed to add download?</b><br>\r\nIf you wish to start adding files to download right away, leave this checked.\r\n<p>\r\n\r\n',1038887335);
INSERT INTO international VALUES (71,'Item',1,'Like Articles, Items are the Swiss Army knife of WebGUI. Most pieces of static content can be added via the Item, though Items are usually used for smaller content than Articles.\r\n<br><br>\r\n\r\n<b>Link URL</b><br>\r\nThis URL will be attached to the title of this Item.\r\n<br><br>\r\n<i>Example:</i> http://www.google.com\r\n<br><br>\r\n\r\n<b>Attachment</b><br>\r\nIf you wish to attach a word processor file, a zip file, or any other file for download by your users, then choose it from your hard drive.\r\n<p/>\r\n\r\n<b>Template</b><br/>\r\nChoose a layout for this Item.\r\n<p/>\r\n',1038887675);
INSERT INTO international VALUES (71,'FAQ',1,'It seems that almost every web site, intranet, and extranet in the world has a Frequently Asked Questions area. This wobject helps you build one, too.\r\n<br><br>\r\n\r\n<b>Template</b><br>\r\nChoose a layout for this FAQ.\r\n<p/>\r\n\r\n<b>What Next?</b><br>\r\nSelect \"add a question\" if you wish to add another question after this one.\r\n<br><br>\r\n\r\n<hr size=\"1\">\r\n<i><b>Note:</b></i> The following style is specific to the FAQ in some of the built-in templates.\r\n<br><br>\r\n<b>.faqQuestion</b><br>\r\nAn F.A.Q. question. To distinguish it from an answer.\r\n\r\n',1038887388);
INSERT INTO international VALUES (71,'SyndicatedContent',1,'Syndicated content is content that is pulled from another site using the RDF/RSS specification. This technology is often used to pull headlines from various news sites like <a href=\"http://www.cnn.com/\">CNN</a> and  <a href=\"http://slashdot.org/\">Slashdot</a>. It can, of course, be used for other things like sports scores, stock market info, etc.\r\n<br><br>\r\n\r\n<b>URL to RSS file</b><br>\r\nProvide the exact URL (starting with http://) to the syndicated content\'s RDF or RSS file. The syndicated content will be downloaded from this URL hourly.\r\n<br><br>\r\nYou can find syndicated content at the following locations:\r\n</p><ul>\r\n<li><a href=\"http://www.newsisfree.com/\">http://www.newsisfree.com</a>\r\n</li><li><a href=\"http://www.syndic8.com/\">http://www.syndic8.com</a>\r\n</li><li><a href=\"http://www.voidstar.com/node.php?id=144\">http://www.voidstar.com/node.php?id=144</a>\r\n</li><li><a href=\"http://my.userland.com/\">http://my.userland.com</a>\r\n</li><li><a href=\"http://www.webreference.com/services/news/\">http://www.webreference.com/services/news/</a>\r\n</li><li><a href=\"http://www.xmltree.com/\">http://www.xmltree.com</a>\r\n</li><li><a href=\"http://w.moreover.com/\">http://w.moreover.com/</a>\r\n</li></ul>\r\n\r\n<p>\r\n\r\n<b>Template</b><br>\r\nSelect a template for this content.\r\n<p>',1047855741);
INSERT INTO international VALUES (71,'EventsCalendar',1,'Events calendars are used on many intranets to keep track of internal dates that affect a whole organization. Also, Events Calendars on consumer sites are a great way to let your customers know what events you\'ll be attending and what promotions you\'ll be having.\r\n<br><br>\r\n\r\n<b>Main Template</b><br>\r\nChoose a layout for the events calendar.\r\n<br><br>\r\n\r\n<b>Event Template</b><br>\r\nChoose a layout for the individual events within the calendars.\r\n<br><br>\r\n\r\n<b>Start Month</b><br>\r\nChoose the start month for your calendar. If you choose \"current\" the calendar will always start on the current month, therefore it will change from month to month. If you choose \"first in the calendar\" then it will start at whatever the earliest date in the calendar is.\r\n<br><br>\r\n\r\n<b>End Month</b><br>\r\nChoose the end month for your calendar. If you choose \"show X months from start\", then only X months worth of information will ever be displayed. If you choose \"current\" then the calendar will end on the month you are currently in. If you choose \"last in calendar\" then the calendar will end on the last date entered into the calendar.\r\n<br><br>\r\n\r\n<b>Default Month</b><br>\r\nChoose which month for this calendar to start on when a visitor comes to the page containing the calendar.\r\n<br><br>\r\n\r\n<b>Paginate After</b><br>\r\nWhen using a list-style calendar, how many events should be shown per page?\r\n<br><br>\r\n<b>Proceed to add event?</b><br>\r\nLeave this set to yes if you want to add events to the Events Calendar directly after creating it.\r\n<br><br>\r\n\r\n<i>Note:</i> Events that have already happened will not be displayed on the events calendar.\r\n<br><br>\r\n<hr size=\"1\">\r\n<i><b>Note:</b></i> The following style is specific to the Events Calendar.\r\n<br><br>\r\n<b>.eventTitle </b><br>\r\nThe title of an individual event.\r\n\r\n',1038887352);
INSERT INTO international VALUES (71,'MessageBoard',1,'Message boards, also called Forums and/or Discussions, are a great way to add community to any site or intranet. Many companies use message boards internally to collaborate on projects.\r\n<br><br>\r\n\r\n<b>Messages Per Page</b><br>\r\nWhen a visitor first comes to a message board s/he will be presented with a listing of all the topics (a.k.a. threads) of the Message Board. If a board is popular, it will quickly have many topics. The Messages Per Page attribute allows you to specify how many topics should be shown on one page.\r\n<p>\r\n\r\n<b>Main Template</b><br/>\r\nSelect a layout for the main listing of this message board.\r\n<p/>\r\n\r\n\r\n\r\n<b>Filter Post</b><br>\r\nSelect the level of content filtering you wish to perform on all discussion posts.\r\n<p>\r\n\r\n<b>Who can post?</b><br>\r\nSelect the group that is allowed to post to this discussion.\r\n<p>\r\n\r\n<b>Edit Timeout</b><br>\r\nHow long should a user be able to edit their post before editing is locked to them?\r\n<p>\r\n<i>NOTE:</i> Don\'t set this limit too high. One of the great things about discussions is that they are an accurate record of who said what. If you allow editing for a long time, then a user has a chance to go back and change his/her mind a long time after the original statement was made.\r\n<p>\r\n\r\n<b>Karma Per Post</b><br>\r\nHow much karma should be given to a user when they post to this discussion?\r\n<p>\r\n\r\n<b>Who can moderate?</b><br>\r\nSelect the group that is allowed to moderate this discussion.\r\n<p>\r\n\r\n<b>Moderation Type?</b><br>\r\nYou can select what type of moderation you\'d like for your users. <i>After-the-fact</i> means that when a user posts a message it is displayed publically right away. <i>Pre-emptive</i> means that a moderator must preview and approve users posts before allowing them to be publically visible. Alerts for new posts will automatically show up in the moderator\'s WebGUI Inbox.\r\n<p>\r\n<i>NOTE:</i> In both types of moderation the moderator can always edit or delete the messages posted by your users.\r\n<p>\r\n\r\n<b>Add edit stamp to posts?</b><br>\r\nDo you wish to \"stamp\" all edits so that you can track who edited a post and when?\r\n<p>\r\n',1047854637);
INSERT INTO international VALUES (71,'LinkList',1,'Link Lists are just what they sound like, a list of links. Many sites have a links section, and this wobject just automates the process.\r\n<br><br>\r\n\r\n<b>Template</b><br/>\r\nChoose a layout for this wobject.\r\n<p/>\r\n\r\n<b>What Next?</b><br>\r\nLeave this set to the default if you wish to add a link after creating the link list.\r\n<br><br>\r\n\r\n',1038887837);
INSERT INTO international VALUES (71,'Article',1,'Articles are the Swiss Army knife of WebGUI. Most pieces of static content can be added via the Article.\r\n<br><br>\r\n\r\n<b>Template</b><br/>\r\nSelect a template to layout your article.\r\n<p/>\r\n\r\n<b>Image</b><br>\r\nChoose an image (.jpg, .gif, .png) file from your hard drive. This file will be uploaded to the server and displayed in your article.\r\n<br><br>\r\n\r\n\r\n<b>Attachment</b><br>\r\nIf you wish to attach a word processor file, a zip file, or any other file for download by your users, then choose it from your hard drive.\r\n<br><br>\r\n\r\n<b>Link Title</b><br>\r\nIf you wish to add a link to your article, enter the title of the link in this field. \r\n<br><br>\r\n<i>Example:</i> Google\r\n<br><br>\r\n\r\n<b>Link URL</b><br>\r\nIf you added a link title, now add the URL (uniform resource locator) here. \r\n<br><br>\r\n<i>Example:</i> http://www.google.com\r\n\r\n<br><br>\r\n\r\n<b>Convert carriage returns?</b><br>\r\nIf you\'re publishing HTML there\'s generally no need to check this option, but if you aren\'t using HTML and you want a carriage return every place you hit your \"Enter\" key, then check this option.\r\n<p>\r\n\r\n<b>Allow discussion?</b><br>\r\nChecking this box will enable responses to your article much like Articles on Slashdot.org.\r\n<p>\r\n\r\n\r\n<b>Filter Post</b><br>\r\nSelect the level of content filtering you wish to perform on all discussion posts.\r\n<p>\r\n\r\n<b>Who can post?</b><br>\r\nSelect the group that is allowed to post to this discussion.\r\n<p>\r\n\r\n<b>Edit Timeout</b><br>\r\nHow long should a user be able to edit their post before editing is locked to them?\r\n<p>\r\n<i>NOTE:</i> Don\'t set this limit too high. One of the great things about discussions is that they are an accurate record of who said what. If you allow editing for a long time, then a user has a chance to go back and change his/her mind a long time after the original statement was made.\r\n<p>\r\n\r\n<b>Karma Per Post</b><br>\r\nHow much karma should be given to a user when they post to this discussion?\r\n<p>\r\n\r\n<b>Who can moderate?</b><br>\r\nSelect the group that is allowed to moderate this discussion.\r\n<p>\r\n\r\n<b>Moderation Type?</b><br>\r\nYou can select what type of moderation you\'d like for your users. <i>After-the-fact</i> means that when a user posts a message it is displayed publically right away. <i>Pre-emptive</i> means that a moderator must preview and approve users posts before allowing them to be publically visible. Alerts for new posts will automatically show up in the moderator\'s WebGUI Inbox.\r\n<p>\r\n<i>NOTE:</i> In both types of moderation the moderator can always edit or delete the messages posted by your users.\r\n<p>\r\n\r\n<b>Add edit stamp to posts?</b><br>\r\nDo you wish to \"stamp\" all edits so that you can track who edited a post and when?\r\n<p>',1047854369);
INSERT INTO international VALUES (71,'ExtraColumn',1,'Extra columns allow you to change the layout of your page for one page only. If you wish to have multiple columns on all your pages, perhaps you should consider altering the <i>style</i> applied to your pages or use a Template instead of an Extra Column. \r\n<br><br>\r\nColumns are always added from left to right. Therefore any existing content will be on the left of the new column.\r\n<br><br>\r\n<b>Spacer</b><br>\r\nSpacer is the amount of space between your existing content and your new column. It is measured in pixels.\r\n<br><br>\r\n<b>Width</b><br>\r\nWidth is the actual width of the new column to be added. Width is measured in pixels.\r\n<br><br>\r\n<b>StyleSheet Class</b><br>\r\nBy default the <i>content</i> style (which is the style the body of your site should be using) that is applied to all columns. However, if you\'ve created a style specifically for columns, then feel free to modify this class.\r\n',1038887140);
INSERT INTO international VALUES (71,'Poll',1,'Polls can be used to get the impressions of your users on various topics.\r\n<br><br>\r\n<b>Active</b><br>\r\nIf this box is checked, then users will be able to vote. Otherwise they\'ll only be able to see the results of the poll.\r\n<br><br>\r\n\r\n<b>Who can vote?</b><br>\r\nChoose a group that can vote on this Poll.\r\n<br><br>\r\n\r\n<b>Karma Per Vote</b><br>\r\nHow much karma should be given to a user when they vote?\r\n<p>\r\n\r\n<b>Graph Width</b><br>\r\nThe width of the poll results graph. The width is measured in pixels.\r\n<br><br>\r\n\r\n<b>Question</b><br>\r\nWhat is the question you\'d like to ask your users?\r\n<br><br>\r\n\r\n<b>Answers</b><br>\r\nEnter the possible answers to your question. Enter only one answer per line. Polls are only capable of 20 possible answers.\r\n<br><br>\r\n\r\n<b>Randomize answers?</b><br>\r\nIn order to be sure that the ordering of the answers in the poll does not bias your users, it is often helpful to present the options in a random order each time they are shown. Select \"yes\" to randomize the answers on the poll.\r\n<p>\r\n\r\n<b>Reset votes.</b><br>\r\nReset the votes on this Poll.\r\n<br><br>\r\n\r\n<hr size=\"1\">\r\n<i><b>Note:</b></i> The following style sheet entries are custom to the Poll wobject:\r\n<br><br>\r\n\r\n<b>.pollAnswer </b><br>\r\nAn answer on a poll.\r\n<p>\r\n\r\n<b>.pollColor </b>\r\nThe color of the percentage bar on a poll.\r\n<p>\r\n\r\n<b>.pollQuestion </b>\r\nThe question on a poll.\r\n\r\n',1031514049);
INSERT INTO international VALUES (71,'SiteMap',1,'Site maps are used to provide additional navigation in WebGUI. You could set up a traditional site map that would display a hierarchical view of all the pages in the site. On the other hand, you could use site maps to provide extra navigation at certain levels in your site.\r\n<br><br>\r\n\r\n<b>Template</b><br/>\r\nChoose a layout for this site map.\r\n<p/>\r\n\r\n<b>Start With</b><br>\r\nSelect the page that this site map should start from.\r\n<br><br>\r\n\r\n<b>Depth To Traverse</b><br>\r\nHow many levels deep of navigation should the Site Map show? If 0 (zero) is specified, it will show as many levels as there are.\r\n<p>\r\n\r\n<b>Indent\r\nHow many characters should indent each level?\r\n</b></p><p><b>\r\n\r\n',1039908464);
INSERT INTO international VALUES (839,'WebGUI',1,'Programmer Macros',1047856488);
INSERT INTO international VALUES (71,'SQLReport',1,'SQL Reports are perhaps the most powerful wobject in the WebGUI arsenal. They allow a user to query data from any database that they have access to. This is great for getting sales figures from your Accounting database or even summarizing all the message boards on your web site.\r\n<p>\r\n\r\n\r\n<b>Preprocess macros on query?</b><br>\r\nIf you\'re using WebGUI macros in your query you\'ll want to check this box.\r\n<p>\r\n\r\n\r\n<b>Debug?</b><br>\r\nIf you want to display debugging and error messages on the page, check this box.\r\n<p>\r\n\r\n\r\n<b>Query</b><br>\r\nThis is a standard SQL query. If you are unfamiliar with SQL, <a href=\"http://www.plainblack.com/\">Plain Black Software</a> provides training courses in SQL and database management. You can make your queries more dynamic by using the ^FormParam(); macro.\r\n<p>\r\n\r\n\r\n<b>Report Template</b><br>\r\nLayout a template of how this report should look. Usually you\'ll use HTML tables to generate a report. An example is included below. If you leave this field blank a template will be generated based on your result set.\r\n<p>\r\n\r\n\r\nThere are special macro characters used in generating SQL Reports. They are ^-;, ^0;, ^1;, ^2;, ^3;, etc. These macros will be processed regardless of whether you checked the process macros box above. The ^- macro represents split points in the document where the report will begin and end looping. The numeric macros represent the data fields that will be returned from your query. There is an additional macro, ^rownum; that counts the rows of the query starting at 1 for use where the lines of the output need to be numbered.\r\n<p>\r\n\r\n\r\n<b>DSN</b><br>\r\n<b>D</b>ata <b>S</b>ource <b>N</b>ame is the unique identifier that Perl uses to describe the location of your database. It takes the format of DBI:[driver]:[database name]:[host]. \r\n<p>\r\n\r\n\r\n<i>Example:</i> DBI:mysql:WebGUI:localhost\r\n<p>\r\n\r\n\r\n<b>Database User</b>\r\nThe username you use to connect to the DSN.\r\n<p>\r\n\r\n\r\n<b>Database Password</b>\r\nThe password you use to connect to the DSN.\r\n<p>\r\n\r\n\r\n<b>Paginate After</b>\r\nHow many rows should be displayed before splitting the results into separate pages? In other words, how many rows should be displayed per page?\r\n<p>\r\n\r\n\r\n<b>Convert carriage returns?</b>\r\nDo you wish to convert the carriage returns in the resultant data to HTML breaks (<br>).\r\n<p>\r\n\r\n',1031514049);
INSERT INTO international VALUES (71,'MailForm',1,'This wobject creates a simple form that will email an email address when it is filled out.\r\n<br><br>\r\n\r\n<b>Width</b><br>\r\nThe width of all fields in the form.  The default value is 45.\r\n<p>\r\n\r\n<b>From, To, Cc, Bcc, Subject</b><br>\r\nThese fields control how the email will look when sent, and who it is sent to.  You can give your site visitors the ability to modify some or all of these fields, but typically the only fields you will want the user to be able to modify are From and Subject.  Use the drop-down options by each field to choose whether or not the user can see or modify that field.<br>\r\n<br>\r\nYou may also choose to enter a WebGUI username or group in the To field, and the email will be sent to the corresponding user or group.\r\n<p>\r\n\r\n<b>Acknowledgement</b><br>\r\nThis message will be displayed to the user after they click \"Send\".\r\n<p>\r\n\r\n<b>Store Entries?</b><br>\r\nIf set to yes, when your mail form is submitted the entries will be saved to the database for later viewing.  The tool to view these entries is not yet available, but when it is you will be able to view all entries from your form in a centralized location.\r\n<p>\r\n\r\n<b>Proceed to add more fields?</b><br>\r\nLeave this checked if you want to add additional fields to your form directly after creating it.',1038888983);
INSERT INTO international VALUES (72,'MailForm',1,'You may add as many additional fields to your Mail Form as you like.\r\n<br><br>\r\n\r\n<b>Field Name</b><br>\r\nThe name of this field.  It must be unique among all of the other fields on your form.\r\n<p>\r\n\r\n<b>Status</b><br>\r\nHidden fields will not be visible to the user, but will be sent in the email.<br>\r\nDisplayed fields can be seen by the user but not modified.<br>\r\nModifiable fields can be filled in by the user.<br>\r\nIf you choose Hidden or Displayed, be sure to fill in a Default Value.\r\n<p>\r\n\r\n<b>Type</b><br>\r\nChoose the type of form element for this field.  The following field types are supported:<br>\r\nURL: A textbox that will auto-format URL\'s entered.<br>\r\nTextbox: A standard textbox.<br>\r\nDate: A textbox field with a popup window to select a date.<br>\r\nYes/No: A set of yes/no radio buttons.<br>\r\nEmail Address: A textbox that requires the user to enter a valid email address.<br>\r\nTextarea: A simple textarea.<br>\r\nCheckbox: A single checkbox.<br>\r\nDrop-Down Box: A drop-down box. Use the Possible Values field to enter each option to be displayed in the box.  Enter one option per line.\r\n<p>\r\n\r\n<b>Possible Values</b><br>\r\nThis field is only used for the Drop-Down Box type.  Enter the values you wish to appear in your drop-down box, one per line.\r\n<p>\r\n\r\n<b>Default Value (optional)</b><br>\r\nEnter the default value (if any) for the field.  For Yes/No fields, enter \"yes\" to select \"Yes\" and \"no\" to select \"No\".\r\nFor Checkbox fields, enter \"checked\" to check the box.\r\n<p>\r\n\r\n<b>Proceed to add more fields?</b><br>\r\nLeave this checked if you want to add additional fields to your form directly after creating this field.\r\n<p>\r\n',1038888974);
INSERT INTO international VALUES (625,'WebGUI',1,'Upload any images that you\'ll possibly use in more than one location on your site.\r\n<p/>\r\n\r\n<b>Name</b><br>\r\nThe label that this image will be referenced by to include it into pages.\r\n<p>\r\n\r\n<b>Organize In Folder</b><br/>\r\nWhich collateral folder should this image be placed in.\r\n<p/>\r\n\r\n<b>File</b><br>\r\nSelect a file from your local drive to upload to the server.\r\n<p>\r\n\r\n<b>Parameters</b><br>\r\nAdd any HTML &ltimg&rt; parameters that you wish to act as the defaults for this image.\r\n<p>\r\n\r\n<i>Example:</i><br>\r\nalign=\"right\"<br>\r\nalt=\"This is an image\"<br>\r\n<p/>\r\n\r\n<b>Thumbnail Size</b><br>\r\nHow big (in pixels) should the thumbnail for this image be?\r\n<p/>',1038871530);
INSERT INTO international VALUES (48,'Survey',1,'You are not currently eligible to participate in this survey. ',1037499301);
INSERT INTO international VALUES (47,'Survey',1,'You have completed this quiz.',1037499131);
INSERT INTO international VALUES (46,'Survey',1,'Thank you for taking the time to complete our survey.',1037499049);
INSERT INTO international VALUES (800,'WebGUI',1,'Unique Visitors',1036978829);
INSERT INTO international VALUES (799,'WebGUI',1,'Page Views',1036978804);
INSERT INTO international VALUES (798,'WebGUI',1,'Page Title',1036978688);
INSERT INTO international VALUES (797,'WebGUI',1,'View traffic statistics.',1036978191);
INSERT INTO international VALUES (796,'WebGUI',1,'View page statistics.',1036978043);
INSERT INTO international VALUES (795,'WebGUI',1,'Roots',1036972103);
INSERT INTO international VALUES (794,'WebGUI',1,'Packages',1036971944);
INSERT INTO international VALUES (793,'WebGUI',1,'Pieces of Collateral',1036971785);
INSERT INTO international VALUES (792,'WebGUI',1,'Templates',1036971696);
INSERT INTO international VALUES (805,'WebGUI',1,'Delete this style.',1037075787);
INSERT INTO international VALUES (804,'WebGUI',1,'Copy this style.',1037075775);
INSERT INTO international VALUES (803,'WebGUI',1,'Edit this style.',1037075751);
INSERT INTO international VALUES (74,'Survey',1,'Are you certain you wish to delete all the responses?',1037574455);
INSERT INTO international VALUES (633,'WebGUI',1,'Simply put, roots are pages with no parent. The first and most important root in WebGUI is the \"Home\" page. Many people will never add any additional roots, but a few power users will. Those power users will create new roots for many different reasons. Perhaps they\'ll create a staging area for content managers. Or maybe a hidden area for Admin tools. Or possibly even a new root just to place their search engine.\r\n<p>\r\n\r\n',1031514049);
INSERT INTO international VALUES (636,'WebGUI',1,'To create a package follow these simple steps:\r\n\r\n<ol>\r\n<li> From the admin menu select \"Manage packages.\"\r\n</li>\r\n\r\n<li> Add a page and give it a name. The name of the page will be the name of the package.\r\n</li>\r\n\r\n<li> Go to the new page you created and start adding pages and wobjects. Any pages or wobjects you add will be created each time this package is deployed. \r\n</li>\r\n</ol>\r\n\r\n<b>Notes:</b><br>\r\nIn order to add, edit, or delete packages you must be in the Package Mangers group or in the Admins group.\r\n<br><br>\r\n\r\nIf you add content to any of the wobjects, that content will automatically be copied when the package is deployed.\r\n<br><br>\r\n\r\nPrivileges and styles assigned to pages in the package will not be copied when the package is deployed. Instead the pages will take the privileges and styles of the area to which they are deployed.\r\n<p>\r\n',1038889481);
INSERT INTO international VALUES (635,'WebGUI',1,'Packages are groups of pages and wobjects that are predefined to be deployed together. A package manager may see the need to create a package several pages with a message board, an FAQ, and a Poll because that task is performed quite often. Packages are often defined to lessen the burden of repetitive tasks.\r\n<br><br>\r\nOne package that many people create is a Page/Article package. It is often the case that you want to add a page with an article on it for content. Instead of going through the steps of creating a page, going to the page, and then adding an article to the page, you may wish to simply create a package to do those steps all at once.',1038889471);
INSERT INTO international VALUES (630,'WebGUI',1,'WebGUI has a small, but sturdy real-time search engine built-in. If you wish to use the internal search engine, you can use the ^?; macro, or by adding <i>?op=search</i> to the end of any URL, or feel free to build your own form to access it.\r\n<p>\r\nMany people need a search engine to index their WebGUI site, plus many others. Or they have more advanced needs than what WebGUI\'s search engine allows. In those cases we recommend <a href=\"http://www.mnogosearch.org/\">MnoGo Search</a> or <a href=\"http://www.htdig.org/\">ht://Dig</a>.\r\n<p>\r\n\r\n',1038888957);
INSERT INTO international VALUES (611,'WebGUI',1,'<b>Company Name</b><br>\r\nThe name of your company. It will appear on all emails and anywhere you use the Company Name macro.\r\n<br><br>\r\n\r\n<b>Company Email Address</b><br>\r\nA general email address at your company. This is the address that all automated messages will come from. It can also be used via the WebGUI macro system.\r\n<br><br>\r\n\r\n<b>Company URL</b><br>\r\nThe primary URL of your company. This will appear on all automated emails sent from the WebGUI system. It is also available via the WebGUI macro system.\r\n',1038872019);
INSERT INTO international VALUES (651,'WebGUI',1,'If you choose to empty your trash, any items contained in it will be lost forever. If you\'re unsure about a few items, it might be best to cut them to your clipboard before you empty the trash.\r\n<p>\r\n\r\n',1031514049);
INSERT INTO international VALUES (627,'WebGUI',1,'Profiles are used to extend the information of a particular user. In some cases profiles are important to a site, in others they are not. The profiles system is completely extensible. You can add as much information to the users profile as you like.\r\n<p>\r\n\r\n',1031514049);
INSERT INTO international VALUES (629,'WebGUI',1,'<b>Prevent Proxy Caching</b><br>\r\nSome companies have proxy servers that cause problems with WebGUI. If you\'re experiencing problems with WebGUI, and you have a proxy server, you may want to set this setting to <i>Yes</i>. Beware that WebGUI\'s URLs will not be as user-friendly after this feature is turned on.\r\n<p>\r\n\r\n<b>Show debugging?</b><br>\r\nShow debugging information in WebGUI\'s output. This is primarily useful for WebGUI developers, but can also be interesting for Administrators trying to troubleshoot a problem.\r\n<p>\r\n\r\n<b>Track page statistics?</b><br/>\r\nWebGUI can track some statistical information for your site. However, this will add a little extra strain on your processor and will make your database grow much more quickly. Enable this only if you do not have an external web statistics program.\r\n<p/>\r\n',1038889454);
INSERT INTO international VALUES (616,'WebGUI',1,'<b>Path to WebGUI Extras</b><br>\r\nThe web-path to the directory containing WebGUI images and javascript files.\r\n<br><br>\r\n\r\n<b>Maximum Attachment Size</b><br>\r\nThe maximum size of files allowed to be uploaded to this site. This applies to all wobjects that allow uploaded files and images (like Article and User Contributions). This size is measured in kilobytes.\r\n<br><br>\r\n\r\n<b>Thumbnail Size</b><br>\r\nThe size of the longest side of thumbnails. The thumbnail generation maintains the aspect ratio of the image. Therefore, if this value is set to 100, and you have an image that\'s 400 pixels wide and 200 pixels tall, the thumbnail will be 100 pixels wide and 50 pixels tall.\r\n<p>\r\n<i>Note:</i> Thumbnails are automatically generated as images are uploaded to the system.\r\n<p>\r\n\r\n<b>Web Attachment Path</b><br>\r\nThe web-path of the directory where attachments are to be stored.\r\n<br><br>\r\n\r\n<b>Server Attachment Path</b><br>\r\nThe local path of the directory where attachments are to be stored. (Perhaps /var/www/public/uploads) Be sure that the web server has the rights to write to that directory.\r\n',1031514049);
INSERT INTO international VALUES (885,'WebGUI',1,'Allow users to deactivate their account?',1044708760);
INSERT INTO international VALUES (626,'WebGUI',1,'Wobjects (fomerly known as Widgets) are the true power of WebGUI. Wobjects are tiny pluggable applications built to run under WebGUI. Message boards and polls are examples of wobjects.\r\n<p>\r\n\r\nTo add a wobject to a page, first go to that page, then select <i>Add Content...</i> from the upper left corner of your screen. Each wobject has it\'s own help so be sure to read the help if you\'re not sure how to use it.\r\n<p>\r\n\r\n\r\n<i>Style Sheets</i>: All wobjects have a style-sheet class and id attached to them. \r\n<p>\r\n\r\nThe style-sheet class is the word \"wobject\" plus the type of wobject it is. So for a poll the class would be \"wobjectPoll\". The class pertains to all wobjects of that type in the system. \r\n<p>\r\n\r\nThe style-sheet id is the word \"wobjectId\" plus the Wobject Id for that wobject instance. So if you had an Article with a Wobject Id of 94, then the id would be \"wobjectId94\".\r\n<p>\r\n\r\n',1047858549);
INSERT INTO international VALUES (632,'WebGUI',1,'You can add wobjects by selecting from the <i>Add Content</i> pulldown menu. You can edit them by clicking on the \"Edit\" button that appears directly above an instance of a particular wobject.\r\n<p>\r\n\r\nAlmost all wobjects share some properties. Those properties are:\r\n<p>\r\n\r\n<b>Wobject ID</b><br>\r\nThis is the unique identifier WebGUI uses to keep track of this wobject instance. Normal users should never need to be concerned with the Wobject ID, but some advanced users may need to know it for things like SQL Reports.\r\n<p>\r\n\r\n\r\n<b>Title</b>\r\nThe title of the wobject. This is typically displayed at the top of each wobject.\r\n<p>\r\n\r\n<i>Note:</i> You should always specify a title even if you are going to turn it off (with the next property). This is because the title shows up in the trash and clipboard and you\'ll want to be able to distinguish which wobject is which.\r\n<p>\r\n\r\n\r\n<b>Display title?</b><br>\r\nDo you wish to display the title you specified? On some sites, displaying the title is not necessary.\r\n<p>\r\n\r\n\r\n<b>Process macros?</b><br>\r\nDo you wish to process macros in the content of this wobject? Sometimes you\'ll want to do this, but more often than not you\'ll want to say \"no\" to this question. By disabling the processing of macros on the wobjects that don\'t use them, you\'ll speed up your web server slightly.\r\n<p>\r\n\r\n\r\n<b>Template Position</b><br>\r\nTemplate positions range from 0 (zero) to any number. How many are available depends upon the Template associated with this page. The default template has only one template position, others may have more. By selecting a template position, you\'re specifying where this wobject should be placed within the template.\r\n<p>\r\n\r\n\r\n<b>Start Date</b><br>\r\nOn what date should this wobject become visible? Before this date, the wobject will only be displayed to Content Managers.\r\n<p>\r\n\r\n\r\n<b>End Date</b><br>\r\nOn what date should this wobject become invisible? After this date, the wobject will only be displayed to Content Managers.\r\n<p>\r\n\r\n\r\n<b>Description</b><br>\r\nA content area in which you can place as much content as you wish. For instance, even before an FAQ there is usually a paragraph describing what is contained in the FAQ.\r\n<p>\r\n\r\n',1047858650);
INSERT INTO international VALUES (623,'WebGUI',1,'<a href=\"http://www.w3.org/Style/CSS/\">Cascading Style Sheets (CSS)</a> are a great way to manage the look and feel of any web site. They are used extensively in WebGUI.\r\n<p>\r\n\r\n\r\nIf you are unfamiliar with how to use CSS, <a href=\"http://www.plainblack.com/\">Plain Black Software</a> provides training classes on XHTML and CSS. Alternatively, Bradsoft makes an excellent CSS editor called <a href=\"http://www.bradsoft.com/topstyle/index.asp\">Top Style</a>.\r\n<p>\r\n\r\n\r\nThe following is a list of classes used to control the look of WebGUI:\r\n<p>\r\n\r\n\r\n<b>A</b><br>\r\nThe links throughout the style.\r\n<p>\r\n\r\n\r\n<b>BODY</b><br>\r\nThe default setup of all pages within a style.\r\n<p>\r\n\r\n\r\n<b>H1</b><br>\r\nThe headers on every page.\r\n<p>\r\n\r\n\r\n<b>.accountOptions</b><br>\r\nThe links that appear under the login and account update forms.\r\n<p>\r\n\r\n\r\n<b>.adminBar </b><br>\r\nThe bar that appears at the top of the page when you\'re in admin mode.\r\n<p>\r\n\r\n\r\n<b>.content</b><br>\r\nThe main content area on all pages of the style.\r\n<p>\r\n\r\n\r\n<b>.formDescription </b><br>\r\nThe tags on all forms next to the form elements. \r\n<p>\r\n\r\n\r\n<b>.formSubtext </b><br>\r\nThe tags below some form elements.\r\n<p>\r\n\r\n\r\n<b>.highlight </b><br>\r\nDenotes a highlighted item, such as which message you are viewing within a list.\r\n<p>\r\n\r\n\r\n<b>.horizontalMenu </b><br>\r\nThe horizontal menu (if you use a horizontal menu macro).\r\n<p>\r\n\r\n\r\n<b>.pagination </b><br>\r\nThe Previous and Next links on pages with pagination.\r\n<p>\r\n\r\n\r\n<b>.selectedMenuItem</b><br>\r\nUse this class to highlight the current page in any of the menu macros.\r\n<p>\r\n\r\n\r\n<b>.tableData </b><br>\r\nThe data rows on things like message boards and user contributions.\r\n<p>\r\n\r\n\r\n<b>.tableHeader </b><br>\r\nThe headings of columns on things like message boards and user contributions.\r\n<p>\r\n\r\n\r\n<b>.tableMenu </b><br>\r\nThe menu on things like message boards and user submissions.\r\n<p>\r\n\r\n\r\n<b>.verticalMenu </b><br>\r\nThe vertical menu (if you use a vertical menu macro).\r\n<p>\r\n\r\n\r\n<b>NOTE:</b> Some wobjects and macros have their own unique styles sheet classes, which are documented in their individual help files.\r\n<p>\r\n\r\n\r\n',1046067403);
INSERT INTO international VALUES (622,'WebGUI',1,'See <i>Manage Group</i> for a description of grouping functions and the default groups.\r\n<p>\r\n\r\n<b>Group Name</b><br>\r\nA name for the group. It is best if the name is descriptive so you know what it is at a glance.\r\n<p>\r\n\r\n<b>Description</b><br>\r\nA longer description of the group so that other admins and content managers (or you if you forget) will know what the purpose of this group is.\r\n<p>\r\n\r\n<b>Expire Offset</b><br>\r\nThe amount of time that a user will belong to this group before s/he is expired (or removed) from it. This is very useful for membership sites where users have certain privileges for a specific period of time. \r\n<p>\r\n<b>NOTE:</b> This can be overridden on a per-user basis.\r\n<p>\r\n\r\n<b>Notify user about expiration?</b><br>\r\nSet this value to yes if you want WebGUI to contact the user when they are about to be expired from the group.\r\n<p>\r\n\r\n<b>Expire Notification Offset</b><br>\r\nThe difference in the number of days from the expiration to the notification. You may set this to any valid integer. For instance, set this to \"0\" if you wish the notification to be sent on the same day that the grouping expires. Set it to \"-7\" if you want the notification to go out 7 days <b>before</b> the grouping expires. Set it to \"7\" if you wish the notification to be sent 7 days after the expiration.\r\n<p>\r\n\r\n<b>Expire Notification Message</b><br>\r\nType the message you wish to be sent to the user telling them about the expiration.\r\n<p>\r\n\r\n<b>Delete Offset</b><br>\r\nThe difference in the number of days from the expiration to the grouping being deleted from the system. You may set this to any valid integer. For instance, set this to \"0\" if you wish the grouping to be deleted on the same day that the grouping expires. Set it to \"-7\" if you want the grouping to be deleted 7 days <b>before</b> the grouping expires. Set it to \"7\" if you wish the grouping to be deleted 7 days after the expiration.\r\n<p>\r\n\r\n<b>IP Address</b><br>\r\nSpecify an IP address or an IP mask to match. If the user\'s IP address matches, they\'ll automatically be included in this group. An IP mask is simply the IP address minus an octet or two. You may also specify multiple IP masks separated by semicolons.\r\n<p>\r\n<i>IP Mask Example:</i> 10.;192.168.;101.42.200.142\r\n<p>\r\n\r\n<b>Karma Threshold</b><br>\r\nIf you\'ve enabled Karma, then you\'ll be able to set this value. Karma Threshold is the amount of karma a user must have to be considered part of this group.\r\n<p>\r\n\r\n',1044249999);
INSERT INTO international VALUES (607,'WebGUI',1,'<b>Anonymous Registration</b><br>\r\nDo you wish visitors to your site to be able to register themselves?\r\n<br><br>\r\n\r\n<b>Run On Registration</b><br>\r\nIf there is a command line specified here, it will be executed each time a user registers anonymously.\r\n<p>\r\n\r\n<b>Enable Karma?</b><br>\r\nShould karma be enabled?\r\n<p>\r\n\r\n<b>Karma Per Login</b><br>\r\nThe amount of karma a user should be given when they log in. This only takes affect if karma is enabled.\r\n<p>\r\n\r\n<b>Session Timeout</b><br>\r\nThe amount of time that a user session remains active (before needing to log in again). This timeout is reset each time a user views a page. Therefore if you set the timeout for 8 hours, a user would have to log in again if s/he hadn\'t visited the site for 8 hours.\r\n<p>\r\n\r\n<b>Allow users to deactivate their account?</b><br>\r\nDo you wish to provide your users with a means to deactivate their account without your intervention?\r\n<p>\r\n\r\n<b>Authentication Method (default)</b><br>\r\nWhat should the default authentication method be for new accounts that are created? The two available options are WebGUI and LDAP. WebGUI authentication means that the users will authenticate against the username and password stored in the WebGUI database. LDAP authentication means that users will authenticate against an external LDAP server.\r\n<br><br>\r\n\r\n<i>NOTE:</i> Authentication settings can be customized on a per user basis.\r\n\r\n\r\n\r\n<p>\r\n<b>NOTE:</b> Depending upon what authentication modules you have installed in your system you\'ll see any number of options after this point. The following are the options for the two defaultly installed authentication methods.\r\n<p>\r\n\r\n<h2>WebGUI Authentication Options</h2>\r\n\r\n<b>Send welcome message?</b><br>\r\nDo you wish WebGUI to automatically send users a welcome message when they register for your site? \r\n<p>\r\n<b>NOTE:</b> In addition to the message you specify below, the user\'s account information will be included in the message.\r\n<p>\r\n\r\n<b>Welcome Message</b> <br>\r\nType the message that you\'d like to be sent to users upon registration.\r\n<p>\r\n\r\n<b>Recover Password Message</b><br>\r\nType a message that will be sent to your users if they try to recover their WebGUI password.\r\n<p>\r\n\r\n<h2>LDAP Authentication Options</h2>\r\n\r\n<b>LDAP URL (default)</b><br>\r\nThe default url to your LDAP server. The LDAP URL takes the form of <b>ldap://[server]:[port]/[base DN]</b>. Example: ldap://ldap.mycompany.com:389/o=MyCompany.\r\n<br><br>\r\n\r\n\r\n\r\n\r\n<b>LDAP Identity</b><br>\r\nThe LDAP Identity is the unique identifier in the LDAP server that the user will be identified against. Often this field is <b>shortname</b>, which takes the form of first initial + last name. Example: jdoe. Therefore if you specify the LDAP identity to be <i>shortname</i> then Jon Doe would enter <i>jdoe</i> during the registration process.\r\n<br><br>\r\n\r\n<b>LDAP Identity Name</b><br>\r\nThe label used to describe the LDAP Identity to the user. For instance, some companies use an LDAP server for their proxy server users to authenticate against. In the documentation or training already provided to their users, the LDAP identity is known as their <i>Web Username</i></b><i>. So you could enter that label here for consitency.\r\n<br><br>\r\n\r\n<b>LDAP Password Name</b><br>\r\nJust as the LDAP Identity Name is a label, so is the LDAP Password Name. Use this label as you would LDAP Identity Name.\r\n<p>\r\n\r\n',1044708602);
INSERT INTO international VALUES (869,'WebGUI',1,'Welcome Message',1044138730);
INSERT INTO international VALUES (868,'WebGUI',1,'Send welcome message?',1044138691);
INSERT INTO international VALUES (620,'WebGUI',1,'As the function suggests you\'ll be deleting a group and removing all users from the group. Be careful not to orphan users from pages they should have access to by deleting a group that is in use.\r\n<p>\r\n\r\nAs with any delete operation, you are prompted to be sure you wish to proceed with the delete. If you answer yes, the delete will proceed and there is no recovery possible. If you answer no you\'ll be returned to the prior screen.',1031514049);
INSERT INTO international VALUES (621,'WebGUI',1,'Styles are WebGUI macro enabled. See <i>Using Macros</i> for more information.\r\n<p>\r\n\r\n\r\n<b>Style Name</b><br>\r\nA unique name to describe what this style looks like at a glance. The name has no effect on the actual look of the style.\r\n<p>\r\n\r\n\r\n<b>Body</b><br>\r\nThe body is quite literally the HTML body of your site. It defines how the page navigation will be laid out and many other things like logo, copyright, etc. At bare minimum a body must consist of a few things, the ^AdminBar; macro and the ^-; (seperator) macro. The ^AdminBar; macro tells WebGUI where to display admin functions. The ^-; (splitter) macro tells WebGUI where to put the content of your page.\r\n<p>\r\n\r\n\r\nIf you are in need of assistance for creating a look for your site, or if you need help cutting apart your design, <a href=\"http://www.plainblack.com/\">Plain Black Software</a> provides support services for a small fee.\r\n<p>\r\n\r\n\r\nMany people will add WebGUI macros to their body for automated navigation, and other features.\r\n<p>\r\n\r\n\r\n<b>Style Sheet</b><br>\r\nPlace your style sheet entries here. Style sheets are used to control colors, sizes, and other properties of the elements on your site. See <i>Using Style Sheets</i> for more information.\r\n<p>\r\n\r\n\r\n<i>Advanced Users:</i> for greater performance create your stylesheet on the file system (call it something like webgui.css) and add an entry like this to this area: \r\n<link href=\"/webgui.css\" rel=\"stylesheet\" rev=\"stylesheet\" type=\"text/css\">\r\n<p>\r\n\r\n',1038890195);
INSERT INTO international VALUES (619,'WebGUI',1,'This function permanently deletes the selected wobject from a page. If you are unsure whether you wish to delete this content you may be better served to cut the content to the clipboard until you are certain you wish to delete it.\r\n<p>\r\n\r\n\r\nAs with any delete operation, you are prompted to be sure you wish to proceed with the delete. If you answer yes, the delete will proceed and there is no recovery possible. If you answer no you\'ll be returned to the prior screen.\r\n<p>\r\n\r\n',1031514049);
INSERT INTO international VALUES (617,'WebGUI',1,'Settings are items that allow you to adjust WebGUI to your particular needs.\r\n<p>\r\n\r\n\r\n<b>Edit Company Information</b><br>\r\nInformation specific about the company or individual who controls this installation of WebGUI.\r\n<p>\r\n\r\n\r\n<b>Edit Content Settings</b><br>\r\nSettings related to content and content management.\r\n<p>\r\n\r\n\r\n<b>Edit Messaging Settings</b><br>\r\nSettings concerning email and other related messaging functions.\r\n<p>\r\n\r\n\r\n<b>Edit Miscellaneous Settings</b><br>\r\nAnything we couldn\'t find a place for.\r\n<p>\r\n\r\n\r\n<b>Edit Profile Settings</b><br>\r\nDefine what user profiles look like and what the users have the ability to edit.\r\n<p>\r\n\r\n\r\n<b>Edit User Settings</b><br>\r\nSettings relating to users (beyond profile information), like authentication information, and registration options.\r\n<p>\r\n\r\n\r\n',1044139325);
INSERT INTO international VALUES (615,'WebGUI',1,'Groups are used to subdivide privileges and responsibilities within the WebGUI system. For instance, you may be building a site for a classroom situation. In that case you might set up a different group for each class that you teach. You would then apply those groups to the pages that are designed for each class.\r\n<p>\r\n\r\nThere are several groups built into WebGUI. They are as follows:\r\n<p>\r\n\r\n<b>Admins</b><br>\r\nAdmins are users who have unlimited privileges within WebGUI. A user should only be added to the admin group if they oversee the system. Usually only one to three people will be added to this group.\r\n<p>\r\n\r\n<b>Content Managers</b><br>\r\nContent managers are users who have privileges to add, edit, and delete content from various areas on the site. The content managers group should not be used to control individual content areas within the site, but to determine whether a user can edit content at all. You should set up additional groups to separate content areas on the site.\r\n<p>\r\n\r\n<b>Everyone</b><br>\r\nEveryone is a magic group in that no one is ever physically inserted into it, but yet all members of the site are part of it. If you want to open up your site to both visitors and registered users, use this group to do it.\r\n<p>\r\n\r\n<b>Package Managers</b><br>\r\nUsers that have privileges to add, edit, and delete packages of wobjects and pages to deploy.\r\n<p>\r\n\r\n<b>Registered Users</b><br>\r\nWhen users are added to the system they are put into the registered users group. A user should only be removed from this group if their account is deleted or if you wish to punish a troublemaker.\r\n<p>\r\n\r\n<b>Style Managers</b><br>\r\nUsers that have privileges to edit styles for this site. These privileges do not allow the user to assign privileges to a page, just define them to be used.\r\n<p>\r\n\r\n<b>Template Managers</b><br>\r\nUsers that have privileges to edit templates for this site.\r\n<p>\r\n\r\n<b>Visitors</b><br>\r\nVisitors are users who are not logged in using an account on the system. Also, if you wish to punish a registered user you could remove him/her from the Registered Users group and insert him/her into the Visitors group.\r\n<p>\r\n',1031514049);
INSERT INTO international VALUES (613,'WebGUI',1,'Users are the accounts in the system that are given rights to do certain things. There are two default users built into the system: Admin and Visitor.\r\n</i></p><p><i>\r\n\r\n<b>Admin</b><br>\r\nAdmin is exactly what you\'d expect. It is a user with unlimited rights in the WebGUI environment. If it can be done, this user has the rights to do it.\r\n</i></p><p><i>\r\n\r\n<b>Visitor</b><br>\r\nVisitor is exactly the opposite of Admin. Visitor has no rights what-so-ever. By default any user who is not logged in is seen as the user Visitor.\r\n</i></p><p><i>\r\n\r\n<b>Add a new user.</b><br>\r\nClick on this to go to the add user screen.\r\n</i></p><p><i>\r\n\r\n<b>Search</b><br>\r\nYou can search users based on username and email address. You can do partial searches too if you like.',1031514049);
INSERT INTO international VALUES (614,'WebGUI',1,'Styles are used to manage the look and feel of your WebGUI pages. With WebGUI, you can have an unlimited number of styles, so your site can take on as many looks as you like. You could have some pages that look like your company\'s brochure, and some pages that look like Yahoo!. You could even have some pages that look like pages in a book. Using style management, you have ultimate control over all your designs.\r\n<p>\r\n\r\nThere are several styles built into WebGUI. The first of these are used by WebGUI can should not be edited or deleted. The last few are simply example styles and may be edited or deleted as you please.\r\n<p>\r\n\r\n\r\n<b>Clipboard</b><br>\r\nThis style is used by the clipboard system.\r\n<p>\r\n\r\n\r\n<b>Fail Safe</b><br>\r\nWhen you delete a style that is still in use on some pages, the Fail Safe style will be applied to those pages. This style has a white background and simple navigation.\r\n<p>\r\n\r\n\r\n<b>Make Page Printable</b><br>\r\nThis style is used if you place an <b>^r;</b> macro on your pages and the user clicks on it. This style allows you to put a simple logo and copyright message on your printable pages.\r\n<p>\r\n\r\n\r\n<b>Packages</b><br>\r\nThis style is used by the package management system.\r\n<p>\r\n\r\n\r\n<b>Trash</b><br>\r\nThis style is used by the trash system.\r\n<p>\r\n\r\n\r\n<hr>\r\n\r\n<b>Demo Style</b><br>\r\nThis is a sample design taken from a templates site (www.freewebtemplates.com).\r\n<p>\r\n\r\n\r\n<b>Plain Black Software (black) & (white)</b><br>\r\nThese designs are used on the Plain Black site.\r\n<p>\r\n\r\n\r\n<b>Yahoo!</b><br>\r\nThis is the design of the Yahoo! site. (Used without permission.)\r\n<p>\r\n\r\n\r\n<b>WebGUI</b><br>\r\nThis is a simple design featuring WebGUI logos.\r\n<p>\r\n\r\n<b>WebGUI 4</b><br>\r\nThis style was added to WebGUI as of version 4.0.0. It is now the default style and has superceded the \"WebGUI\" style.\r\n<p>\r\n\r\n',1031514049);
INSERT INTO international VALUES (612,'WebGUI',1,'There is no need to ever actually delete a user. If you are concerned with locking out a user, then simply change their password. If you truely wish to delete a user, then please keep in mind that there are consequences. If you delete a user any content that they added to the site via wobjects (like message boards and user contributions) will remain on the site. However, if another user tries to visit the deleted user\'s profile they will get an error message. Also if the user ever is welcomed back to the site, there is no way to give him/her access to his/her old content items except by re-adding the user to the users table manually.\r\n<p>\r\n\r\n\r\nAs with any delete operation, you are prompted to be sure you wish to proceed with the delete. If you answer yes, the delete will proceed and there is no recovery possible. If you answer no you\'ll be returned to the prior screen.\r\n<p>\r\n\r\n',1031514049);
INSERT INTO international VALUES (637,'WebGUI',1,'<b>First Name</b><br>\r\nThe given name of this user.\r\n<p>\r\n\r\n<b>Middle Name</b><br>\r\nThe middle name of this user.\r\n<p>\r\n\r\n<b>Last Name</b><br>\r\nThe surname (or family name) of this user.\r\n<p>\r\n\r\n<b>Email Address</b><br>\r\nThe user\'s email address. This must only be specified if the user will partake in functions that require email.\r\n<p>\r\n\r\n<b>ICQ UIN</b><br>\r\nThe <a href=\"http://www.icq.com/\">ICQ</a> UIN is the \"User ID Number\" on the ICQ network. ICQ is a very popular instant messaging platform.\r\n<p>\r\n\r\n<b>AIM Id</b><br>\r\nThe account id for the <a href=\"http://www.aim.com/\">AOL Instant Messenger</a> system.\r\n<p>\r\n\r\n<b>MSN Messenger Id</b><br>\r\nThe account id for the <a href=\"http://messenger.msn.com/\">Microsoft Network Instant Messenger</b> system.\r\n<p>\r\n\r\n<b>Yahoo! Messenger Id</b><br>\r\nThe account id for the <a href=\"http://messenger.yahoo.com/\">Yahoo! Instant Messenger</a> system.\r\n<p>\r\n\r\n<b>Cell Phone</b><br>\r\nThis user\'s cellular telephone number.\r\n<p>\r\n\r\n<b>Pager</b><br>\r\nThis user\'s pager telephone number.\r\n<p>\r\n\r\n<b>Email To Pager Gateway</b><br>\r\nThis user\'s text pager email address.\r\n<p>\r\n\r\n<b>Home Information</b><br>\r\nThe postal (or street) address for this user\'s home.\r\n<p>\r\n\r\n<b>Work Information</b><br>\r\nThe postal (or street) address for this user\'s company.\r\n<p>\r\n\r\n<b>Gender</b><br>\r\nThis user\'s sex.\r\n<p>\r\n\r\n<b>Birth Date</b><br>\r\nThis user\'s date of birth.\r\n\r\n<b>Language</b><br>\r\nWhat language should be used to display system related messages.\r\n<p>\r\n\r\n<b>Time Offset</b><br>\r\nA number of hours (plus or minus) different this user\'s time is from the server. This is used to adjust for time zones.\r\n<p>\r\n\r\n<b>First Day Of Week</b><br>\r\nThe first day of the week on this user\'s local calendar. For instance, in the United States the first day of the week is Sunday, but in many places in Europe, the first day of the week is Monday.\r\n<p>\r\n\r\n<b>Date Format</b><br>\r\nWhat format should dates on this site appear in?\r\n<p>\r\n\r\n<b>Time Format</b><br>\r\nWhat format should times on this site appear in? \r\n<p>\r\n\r\n<b>Discussion Layout</b><br>\r\nShould discussions be laid out flat or threaded? Flat puts all replies on one page in the order they were created. Threaded shows the heirarchical list of replies as they were created.\r\n<p>\r\n\r\n<b>Inbox Notifications</b><br>\r\nHow should this user be notified when they get a new WebGUI message?\r\n\r\n',1031514049);
INSERT INTO international VALUES (610,'WebGUI',1,'See <b>Manage Users</b> for additional details.\r\n<p>\r\n\r\n<b>Username</b><br>\r\nUsername is a unique identifier for a user. Sometimes called a handle, it is also how the user will be known on the site. (<i>Note:</i> Administrators have unlimited power in the WebGUI system. This also means they are capable of breaking the system. If you rename or create a user, be careful not to use a username already in existance.)\r\n<p>\r\n\r\n\r\n<b>Password</b><br>\r\nA password is used to ensure that the user is who s/he says s/he is.\r\n<p>\r\n\r\n\r\n<b>Authentication Method</b><br>\r\nSee <i>Edit Settings</i> for details.\r\n<p>\r\n\r\n\r\n<b>LDAP URL</b><br>\r\nSee <i>Edit Settings</i> for details.\r\n<p>\r\n\r\n\r\n<b>Connect DN</b><br>\r\nThe Connect DN is the <b>cn</b> (or common name) of a given user in your LDAP database. It should be specified as <b>cn=John Doe</b>. This is, in effect, the username that will be used to authenticate this user against your LDAP server.\r\n<p>\r\n\r\n\r\n',1031514049);
INSERT INTO international VALUES (608,'WebGUI',1,'Deleting a page can create a big mess if you are uncertain about what you are doing. When you delete a page you are also deleting the content it contains, all sub-pages connected to this page, and all the content they contain. Be certain that you have already moved all the content you wish to keep before you delete a page.\r\n<p>\r\n\r\nAs with any delete operation, you are prompted to be sure you wish to proceed with the delete. If you answer yes, the delete will proceed and there is no recovery possible. If you answer no you\'ll be returned to the prior screen.\r\n<p>\r\n',1031514049);
INSERT INTO international VALUES (609,'WebGUI',1,'When you delete a style all pages using that style will be reverted to the fail safe (default) style. To ensure uninterrupted viewing, you should be sure that no pages are using a style before you delete it.\r\n<p>\r\n\r\n\r\nAs with any delete operation, you are prompted to be sure you wish to proceed with the delete. If you answer yes, the delete will proceed and there is no recovery possible. If you answer no you\'ll be returned to the prior screen.\r\n<p>\r\n\r\n',1031514049);
INSERT INTO international VALUES (606,'WebGUI',1,'Think of pages as containers for content. For instance, if you want to write a letter to the editor of your favorite magazine you\'d get out a notepad (or open a word processor) and start filling it with your thoughts. The same is true with WebGUI. Create a page, then add your content to the page.\r\n<p>\r\n\r\n<b>Title</b><br>\r\nThe title of the page is what your users will use to navigate through the site. Titles should be descriptive, but not very long.\r\n<p>\r\n\r\n\r\n<b>Menu Title</b><br>\r\nA shorter or altered title to appear in navigation. If left blank this will default to <i>Title</i>.\r\n<p>\r\n\r\n<b>Hide from navigation?</b><br>\r\nSelect yes to hide this page from the navigation.\r\n<p>\r\n<B>NOTE:</b> This will not hide the page from the page tree or from the site map, only from navigation macros.\r\n<p>\r\n\r\n\r\n<b>Page URL</b><br>\r\nWhen you create a page a URL for the page is generated based on the page title. If you are unhappy with the URL that was chosen, you can change it here.\r\n<p>\r\n\r\n<b>Language</b><br/>\r\nChoose the default language for this page. All WebGUI generated messages will appear in that language and the character set will be changed to the character set for that language.\r\n<p/>\r\n\r\n<b>Redirect URL</b><br>\r\nWhen this page is visited, the user will be redirected to the URL specified here. In order to edit this page in the future, you\'ll have to access it from the \"Manage page tree.\" menu under \"Administrative functions...\"\r\n<p>\r\n\r\n<b>Template</b><br>\r\nBy default, WebGUI has one big content area to place wobjects. However, by specifying a template other than the default you can sub-divide the content area into several sections.\r\n<p>\r\n\r\n<b>Synopsis</b><br>\r\nA short description of a page. It is used to populate default descriptive meta tags as well as to provide descriptions on Site Maps.\r\n<p>\r\n\r\n<b>Meta Tags</b><br>\r\nMeta tags are used by some search engines to associate key words to a particular page. There is a great site called <a href=\"http://www.metatagbuilder.com/\">Meta Tag Builder</a> that will help you build meta tags if you\'ve never done it before.\r\n<p>\r\n\r\n<i>Advanced Users:</i> If you have other things (like JavaScript) you usually put in the  area of your pages, you may put them here as well.\r\n<p>\r\n\r\n<b>Use default meta tags?</b><br>\r\nIf you don\'t wish to specify meta tags yourself, WebGUI can generate meta tags based on the page title and your company\'s name. Check this box to enable the WebGUI-generated meta tags.\r\n<p>\r\n\r\n\r\n<b>Style</b><br>\r\nBy default, when you create a page, it inherits a few traits from its parent. One of those traits is style. Choose from the list of styles if you would like to change the appearance of this page. See <i>Add Style</i> for more details.\r\n<p>\r\n\r\nIf you select \"Yes\" below the style pull-down menu, all of the pages below this page will take on the style you\'ve chosen for this page.\r\n<p>\r\n\r\n<b>Start Date</b><br>\r\nThe date when users may begin viewing this page. Note that before this date only content managers with the rights to edit this page will see it.\r\n<p>\r\n\r\n<b>End Date</b><br>\r\nThe date when users will stop viewing this page. Note that after this date only content managers with the rights to edit this page will see it.\r\n<p>\r\n\r\n\r\n<b>Owner</b><br>\r\nThe owner of a page is usually the person who created the page. This user always has full edit and viewing rights on the page.\r\n<p>\r\n<b>NOTE:</b> The owner can only be changed by an administrator.\r\n<p>\r\n\r\n\r\n<b>Who can view?</b><br>\r\nChoose which group can view this page. If you want both visitors and registered users to be able to view the page then you should choose the \"Everybody\" group.\r\n<p>\r\n\r\n<b>Who can edit?</b><br>\r\nChoose the group that can edit this page. The group assigned editing rights can also always view the page.\r\n<p>\r\n\r\nYou can optionally recursively give these privileges to all pages under this page.\r\n<p>\r\n\r\n<b>What next?</b><br/>\r\nIf you leave this on the default setting you\'ll be redirected to the new page after creating it.\r\n<p/>',1044740204);
INSERT INTO international VALUES (878,'WebGUI',1,'You have not subscribed to any threads.',1044395704);
INSERT INTO international VALUES (877,'WebGUI',1,'Thread Subscriptions',1044393356);
INSERT INTO international VALUES (876,'WebGUI',1,'View thread subscriptions.',1044392986);
INSERT INTO international VALUES (875,'WebGUI',1,'A new message has been posted to one of your thread subscriptions.',1044389866);
INSERT INTO international VALUES (634,'WebGUI',1,'<b>Default Home Page</b><br>\r\nSome really small sites don\'t have a home page, but instead like to use one of their internal pages like \"About Us\" or \"Company Information\" as their home page. For that reason, you can set the default page of your site to any page in the site. That page will be the one people go to if they type in just your URL http://www.mywebguisite.com, or if they click on the Home link generated by the ^H; macro.\r\n<p>\r\n\r\n<b>Not Found Page</b><br>\r\nIf a page that a user requests is not found in the system, the user can be redirected to the home page or to an error page where they can attempt to find what they were looking for. You decide which is better for your users.\r\n<p>\r\n\r\n<b>Document Type Declaration</b><br>\r\nThese days it is very common to have a wide array of browsers accessing your site, including automated browsers like search engine spiders. Many of those browsers want to know what kind of content you are serving. The doctype tag allows you to specify that. By default WebGUI generates HTML 4.0 compliant content.\r\n<p>\r\n\r\n<b>Add edit stamp to posts?</b><br>\r\nTypically if a user edits a post on a discussion, a stamp is added to that post to identify who made the edit, and at what time. On some sites that information is not necessary, therefore you can turn it off here.\r\n<p>\r\n\r\n<b>Filter Contributed HTML</b><br>\r\nEspecially when running a public site where anybody can post to your message boards or user submission systems, it is often a good idea to filter their content for malicious code that can harm the viewing experience of your visitors; And in some circumstances, it can even cause security problems. Use this setting to select the level of filtering you wish to apply.\r\n<p>\r\n\r\n<b>Maximum Attachment Size</b><br>\r\nThe size (in kilobytes) of the maximum allowable attachment to be uploaded to your system.\r\n<p>\r\n\r\n<b>Max Image Size</b><br>\r\nIf images are uploaded to your system that are bigger than the max image size, then they will be resized to the max image size. The max image size is measured in pixels and will use the size of the longest side of the image to determine if the limit has been reached.\r\n<p>\r\n\r\n<b>Thumbnail Size</b><br>\r\nWhen images are uploaded to your system, they will automatically have thumbnails generated at the size specified here (unless overridden on a case-by-case basis). Thumbnail size is measured in pixels.\r\n<p>\r\n\r\n<b>Snippet Preview Length</b><br/>\r\nHow many characters of a snippet should be displayed in the collateral management system main listing.\r\n<p/>\r\n\r\n<b>Text Area Rows</b><br>\r\nSome sites wish to control the size of the forms that WebGUI generates. With this setting you can specify how many rows of characters will be displayed in textareas on the site.\r\n<p>\r\n\r\n<b>Text Area Columns</b><br>\r\nSome sites wish to control the size of the forms that WebGUI generates. With this setting you can specify how many columns of characters will be displayed in textareas on the site.\r\n<p>\r\n\r\n<b>Text Box Size</b><br>\r\nSome sites wish to control the size of the forms that WebGUI generates. With this setting you can specify how characters can be displayed at once in text boxes on the site.\r\n<p>\r\n\r\n<b>Page Cache Timeout</b><br>\r\nThe amount of time pages should remain cached for registered users.\r\n<p>\r\n\r\n<b>Page Cache Timeout (Visitors)</b><br>\r\nThe amount of time pages should remain cached for visitors.\r\n<p>\r\n\r\n<b>NOTE:</b> Page caching is only available if your administrator has installed the Cache::FileCache Perl module. Using page caching can improve site performance by as much as 1000%.',1047841522);
INSERT INTO international VALUES (638,'WebGUI',1,'Templates are used to affect how content is laid out in WebGUI. There are many templates that come with WebGUI, and using the template management system, you can add your own templates to the system to ensure that your site looks <b>exactly</b> how you want it to look. \r\n',1038869802);
INSERT INTO international VALUES (76,'USS',1,'Submission Template',1038867009);
INSERT INTO international VALUES (77,'USS',1,'The following are the template variables used in a submission template. Submission templates are used to display the individual submissions in a user submission system.\r\n<p/>\r\n\r\n<b>title</b><br/>\r\nThe title of this submission.\r\n<p/>\r\n\r\n<b>content</b><br/>\r\nThe full text content of this submission.\r\n<p/>\r\n\r\n<b>user.label</b><br/>\r\nThe translated label indicating what user posted this submission.\r\n<p/>\r\n\r\n<b>user.profile</b><br/>\r\nThe URL to the profile of the user that posted this submission.\r\n<p/>\r\n\r\n<b>user.username</b><br/>\r\nThe username of the user that posted this submission.\r\n<p/>\r\n\r\n<b>user.id</b><br/>\r\nThe unique identifier for the user that posted this submission.\r\n<p/>\r\n\r\n<b>date.label</b><br/>\r\nThe translated label indicating what date this submission was posted.\r\n<p/>\r\n\r\n<b>date.epoch</b><br/>\r\nThe number of seconds since January 1, 1970 that this submission was posted.\r\n<p/>\r\n\r\n<b>date.human</b><br/>\r\nA human readable date that displays the date and time this submission was posted.\r\n<p/>\r\n\r\n<b>status.label</b><br/>\r\nA translated label indicating the status of this submission.\r\n<p/>\r\n\r\n<b>status.status</b><br/>\r\nThe actual status of this submission (pending, approved, denied).\r\n<p/>\r\n\r\n<b>views.label</b><br/>\r\nA translated label indicating how many times this submission has been viewed.\r\n<p/>\r\n\r\n<b>views.count</b><br/>\r\nThe number of times this submission has been viewed.\r\n<p/>\r\n\r\n<b>canPost</b><br/>\r\nAn condition indicating whether or not this user can post a new submission.\r\n<p/>\r\n\r\n<b>post.url</b><br/>\r\nThe URL to post a new submission.\r\n<p/>\r\n\r\n<b>post.label</b><br/>\r\nA translated label for the post link.\r\n<p/>\r\n\r\n<b>previous.more</b><br/>\r\nAn condition indicating whether there are any posts prior to this one available for viewing.\r\n<p/>\r\n\r\n<b>previous.url</b><br/>\r\nA URL to the post that came before this one.\r\n<p/>\r\n\r\n<b>previous.label</b><br/>\r\nA translated label for the previous link.\r\n<p/>\r\n\r\n<b>next.more</b><br/>\r\nA condition indicating whether there are any posts after this one available for viewing.\r\n<p/>\r\n\r\n<b>next.url</b><br/>\r\nThe URL to the post that came after this one.\r\n<p/>\r\n\r\n<b>next.label</b><br/>\r\nA translated label for the next link.\r\n<p/>\r\n\r\n<b>canEdit</b><br/>\r\nA condition indicating whether the current user cane edit or delete this post.\r\n<p/>\r\n\r\n<b>edit.url</b><br/>\r\nThe URL to edit this post.\r\n<p/>\r\n\r\n<b>edit.label</b><br/>\r\nA translated label for the edit link.\r\n<p/>\r\n\r\n<b>delete.url</b><br/>\r\nThe URL to delete this post.\r\n<p/>\r\n\r\n<b>delete.label</b><br/>\r\nA translated label for the delete link.\r\n<p/>\r\n\r\n<b>canChangeStatus</b><br/>\r\nA condition indicating whether the current user has the privileges to change the status of this post.\r\n<p/>\r\n\r\n<b>approve.url</b><br/>\r\nThe URL to approve this post.\r\n<p/>\r\n\r\n<b>approve.label</b><br/>\r\nA translated label for the approve link.\r\n<p/>\r\n\r\n<b>deny.url</b><br/>\r\nThe URL to deny this post.\r\n<p/>\r\n\r\n<b>deny.label</b><br/>\r\nA translated label for the deny link.\r\n<p/>\r\n\r\n<b>leave.url</b><br/>\r\nThe URL to leave this post in it\'s current state.\r\n<p/>\r\n\r\n<b>leave.label</b><br/>\r\nA translated label for the leave link.\r\n<p/>\r\n\r\n<b>canReply</b><br/>\r\nA condition indicating whether the current user can reply to this post.\r\n<p/>\r\n\r\n<b>reply.url</b><br/>\r\nThe URL to reply to this post.\r\n<p/>\r\n\r\n<b>reply.label</b><br/>\r\nA translated label for the reply link.\r\n<p/>\r\n\r\n<b>search.url</b><br/>\r\nThe URL to toggle on the WebGUI power search form.\r\n<p/>\r\n\r\n<b>search.label</b><br/>\r\nA translated label for the search link.\r\n<p/>\r\n\r\n<b>back.url</b><br/>\r\nThe URL to return the user to the main listing.\r\n<p/>\r\n\r\n<b>back.label</b><br/>\r\nA translated label for the back link.\r\n<p/>\r\n\r\n<b>replies</b><br/>\r\nA complete listing of all replies to this post.\r\n<p/>\r\n',1039019783);
INSERT INTO international VALUES (639,'WebGUI',1,'<b>Template Name</b><br/>\r\nGive this template a descriptive name so that you\'ll know what it is when you\'re applying a template to content.\r\n<p/>\r\n\r\n<b>Namespace</b><br/>\r\nWhat type of template is this?\r\n<p/>\r\n\r\n<b>Template</b><br/>\r\nCreate your template by using template commands and variables, macros, and HTML.\r\n<p/>\r\n\r\n<b>NOTE:</b> You should never edit the default templates that come with WebGUI as they are subject to change with each new release. Instead, copy the template you wish to edit, and edit the copy.',1038890615);
INSERT INTO international VALUES (640,'WebGUI',1,'It is not a good idea to delete templates as you never know what kind of adverse affect it may have on your site (some content may still be using the template). \r\n<p>\r\n\r\n',1038791020);
INSERT INTO international VALUES (624,'WebGUI',1,'WebGUI macros are used to create dynamic content within otherwise static content. For instance, you may wish to show which user is logged in on every page, or you may wish to have a dynamically built menu or crumb trail. \r\n<p>\r\n\r\nMacros always begin with a carat (&#94;) and follow with at least one other character and ended with a semicolon (;). Some macros can be extended/configured by taking the format of &#94;<i>x</i>(\"<b>config text</b>\");. \r\n<p>\r\n\r\nNOTE: The following macros are reserved for system/wobject-specific functions as in the SQL Report wobject and the Body in the Style Manager: \r\n<b>&#94;-;,&#94;0;,&#94;1;,&#94;2;,&#94;3;, etc.</b><br>\r\n<p>\r\n',1046656837);
INSERT INTO international VALUES (62,'Product',1,'Product Template',1038864092);
INSERT INTO international VALUES (63,'Product',1,'The following is the list of template variables available in product templates.\r\n<p/>\r\n\r\n<b>brochure.icon</b><br/>\r\nThe URL to the icon for the brochure.\r\n<p/>\r\n\r\n\r\n<b>brochure.url</b><br/>\r\nThe URL to download the brochure.\r\n<p/>\r\n\r\n<b>brochure.label</b><br/>\r\nThe translated label for the brochure URL.\r\n<p/>\r\n\r\n<b>warranty.icon</b><br/>\r\nThe URL to the icon for the warranty.\r\n<p/>\r\n\r\n\r\n<b>warranty.url</b><br/>\r\nThe URL to download the warranty.\r\n<p/>\r\n\r\n<b>warranty.label</b><br/>\r\nThe label for the warranty URL.\r\n<p/>\r\n\r\n<b>image1</b><br/>\r\nThe URL to the first image uploaded to this product.\r\n<p/>\r\n\r\n<b>thumbnail1</b><br/>\r\nThe URL to the thumbnail of the first image uploaded to this product.\r\n<p/>\r\n\r\n<b>image2</b><br/>\r\nThe URL to the second image uploaded to this product.\r\n<p/>\r\n\r\n<b>thumbnail2</b><br/>\r\nThe URL to the thumbnail of the second image uploaded to this product.\r\n<p/>\r\n\r\n<b>image3</b><br/>\r\nThe URL to the third image uploaded to this product.\r\n<p/>\r\n\r\n<b>thumbnail3</b><br/>\r\nThe URL to the thumbnail of the third image uploaded to this product.\r\n<p/>\r\n\r\n\r\n<b>addfeature.url</b><br/>\r\nThe URL to add a feature to this product.\r\n<p/>\r\n\r\n<b>addfeature.label</b><br/>\r\nThe translated label for the add feature link.\r\n<p/>\r\n\r\n<b>feature_loop</b><br/>\r\nThis loop contains all of the features associated with this product.\r\n<blockquote>\r\n<b>feature.controls</b><br/>\r\nThe WebGUI management controls for this feature.\r\n<p/>\r\n\r\n<b>feature.feature</b><br/>\r\nThe text of the feature itself.\r\n<p/>\r\n</blockquote>\r\n<p/>\r\n\r\n<b>addbenefit.url</b><br/>\r\nThe URL to add a benefit to this product.\r\n<p/>\r\n\r\n<b>addbenefit.label</b><br/>\r\nThe translated label for the add benefit link.\r\n<p/>\r\n\r\n<b>benefit_loop</b><br/>\r\nThis loop contains the benefits for this product.\r\n<blockquote>\r\n\r\n<b>benefit.benefit</b><br/>\r\nThe benefit text itself.\r\n<p/>\r\n\r\n<b>benefit.controls</b><br/>\r\nThe WebGUI management controls for this benefit.\r\n<p/>\r\n\r\n</blockquote>\r\n<p/>\r\n\r\n<b>addspecification.url</b><br/>\r\nThe URL to add a specification to this product.\r\n<p/>\r\n\r\n<b>addspecification.label</b><br/>\r\nThe translated label for the add specification link.\r\n<p/>\r\n\r\n<b>specification_loop</b><br/>\r\nThe list of specifications associated with this product.\r\n<blockquote>\r\n\r\n<b>specification.controls</b><br/>\r\nThe WebGUI management controls for this specification.\r\n<p/>\r\n\r\n<b>specification.specification</b><br/>\r\nThe text of the specification itself.\r\n<p/>\r\n\r\n<b>specification.units</b><br/>\r\nThe units for this specification. ex: meters\r\n<p/>\r\n\r\n<b>specification.label</b><br/>\r\nThe label for this specification. ex: height\r\n<p/>\r\n\r\n</blockquote>\r\n<p/>\r\n\r\n<b>addaccessory.url</b><br/>\r\nThe URL to add an accessory to this product.\r\n<p/>\r\n\r\n<b>addaccessory.label</b><br/>\r\nThe translated label for the add accessory link.\r\n<p/>\r\n\r\n<b>accessory_loop</b><br/>\r\nThis loop contains all of the accessories associated with this product.\r\n<blockquote>\r\n\r\n<b>accessory.url</b><br/>\r\nThe URL to the linked accessory.\r\n<p/>\r\n\r\n<b>accessory.title</b><br/>\r\nThe title of the linked accessory.\r\n<p/>\r\n\r\n<b>accessory.controls</b><br/>\r\nThe WebGUI management controls for this accessory.\r\n<p/>\r\n\r\n</blockquote>\r\n<p/>\r\n\r\n<b>addRelatedProduct.url</b><br/>\r\nThe URL to add a related product to this product.\r\n<p/>\r\n\r\n<b>addRelatedProduct.label</b><br/>\r\nThe translated label for the add related product link.\r\n<p/>\r\n\r\n<b>relatedproduct.url</b><br/>\r\nThe URL to the linked product.\r\n<p/>\r\n\r\n<b>relatedproduct.title</b><br/>\r\nThe title of the linked product.\r\n<p/>\r\n\r\n<b>relatedproduct.controls</b><br/>\r\nThe WebGUI management controls for this related product.\r\n<p/>\r\n',1038864092);
INSERT INTO international VALUES (670,'WebGUI',1,'Image, Add/Edit',1038871530);
INSERT INTO international VALUES (813,'WebGUI',1,'Groups In This Group',1037583186);
INSERT INTO international VALUES (72,'Survey',1,'Are you certain you wish to delete this user\'s responses?',1037573460);
INSERT INTO international VALUES (678,'WebGUI',1,'Root, Manage',1031514049);
INSERT INTO international VALUES (681,'WebGUI',1,'Packages, Creating',1038889481);
INSERT INTO international VALUES (680,'WebGUI',1,'Package, Add',1038889471);
INSERT INTO international VALUES (675,'WebGUI',1,'Search Engine, Using',1038888957);
INSERT INTO international VALUES (656,'WebGUI',1,'Company Information, Edit',1038872019);
INSERT INTO international VALUES (696,'WebGUI',1,'Trash, Empty',1031514049);
INSERT INTO international VALUES (672,'WebGUI',1,'Profile Settings, Edit',1031514049);
INSERT INTO international VALUES (674,'WebGUI',1,'Miscellaneous Settings, Edit',1038889454);
INSERT INTO international VALUES (661,'WebGUI',1,'File Settings, Edit',1031514049);
INSERT INTO international VALUES (663,'WebGUI',1,'Messaging Settings, Edit',1044138790);
INSERT INTO international VALUES (671,'WebGUI',1,'Wobjects, Using',1047858549);
INSERT INTO international VALUES (677,'WebGUI',1,'Wobject, Add/Edit',1047858650);
INSERT INTO international VALUES (668,'WebGUI',1,'Style Sheets, Using',1046067403);
INSERT INTO international VALUES (667,'WebGUI',1,'Group, Add/Edit',1031514049);
INSERT INTO international VALUES (652,'WebGUI',1,'User Settings, Edit',1031514049);
INSERT INTO international VALUES (665,'WebGUI',1,'Group, Delete',1031514049);
INSERT INTO international VALUES (666,'WebGUI',1,'Style, Add/Edit',1038890195);
INSERT INTO international VALUES (664,'WebGUI',1,'Wobject, Delete',1031514049);
INSERT INTO international VALUES (662,'WebGUI',1,'Settings, Manage',1031514049);
INSERT INTO international VALUES (660,'WebGUI',1,'Groups, Manage',1031514049);
INSERT INTO international VALUES (658,'WebGUI',1,'Users, Manage',1031514049);
INSERT INTO international VALUES (659,'WebGUI',1,'Styles, Manage',1031514049);
INSERT INTO international VALUES (657,'WebGUI',1,'User, Delete',1031514049);
INSERT INTO international VALUES (682,'WebGUI',1,'User Profile, Edit',1031514049);
INSERT INTO international VALUES (655,'WebGUI',1,'User, Add/Edit',1031514049);
INSERT INTO international VALUES (653,'WebGUI',1,'Page, Delete',1031514049);
INSERT INTO international VALUES (654,'WebGUI',1,'Style, Delete',1031514049);
INSERT INTO international VALUES (679,'WebGUI',1,'Content Settings, Edit',1038872365);
INSERT INTO international VALUES (683,'WebGUI',1,'Templates, Manage',1038869802);
INSERT INTO international VALUES (684,'WebGUI',1,'Template, Add/Edit',1038890615);
INSERT INTO international VALUES (685,'WebGUI',1,'Template, Delete',1038791020);
INSERT INTO international VALUES (669,'WebGUI',1,'Macros, Using',1046656837);
INSERT INTO international VALUES (57,'Survey',1,'Comments',1037556124);
INSERT INTO international VALUES (66,'Survey',1,'Responses',1037557127);
INSERT INTO international VALUES (65,'Survey',1,'Export composite summary.',1037556821);
INSERT INTO international VALUES (64,'Survey',1,'Export responses.',1037556721);
INSERT INTO international VALUES (63,'Survey',1,'Export questions.',1037556710);
INSERT INTO international VALUES (62,'Survey',1,'Export answers.',1037556697);
INSERT INTO international VALUES (61,'Survey',1,'View grade book.',1037556642);
INSERT INTO international VALUES (72,'FileManager',1,'File, Add/Edit',1038883174);
INSERT INTO international VALUES (73,'FileManager',1,'<b>File Title</b><br>\r\nThe title that will be displayed for this file. If left blank the filename will be used.\r\n<p>\r\n\r\n<b>File</b><br>\r\nChoose the file from your hard drive that you wish to upload.\r\n<p>\r\n\r\n<b>Alternate Version #1</b><br>\r\nAn alternate version of the file. For instance, if the file was a JPEG, perhaps the alternate version would be a TIFF or a BMP.\r\n<p>\r\n\r\n<b>Alternate Version #2</b><br>\r\nAn alternate version of the file. For instance, if the file was a JPEG, perhaps the alternate version would be a TIFF or a BMP.\r\n<p>\r\n\r\n<b>Brief Synopsis</b><br>\r\nA short description of this file. Be sure to include keywords that users may try to search for.\r\n<p>\r\n\r\n<b>Group To Download</b><br>\r\nChoose the group that may download this file.\r\n<p>\r\n\r\n<b>What\'s next?</b><br>\r\nIf you\'d like to add another file after this one, then select \"add a new file\" otherwise select \"go back to the page\".\r\n<p>\r\n',1038883174);
INSERT INTO international VALUES (72,'EventsCalendar',1,'Event, Add/Edit',1038887363);
INSERT INTO international VALUES (73,'EventsCalendar',1,'<b>Title</b><br>\r\nThe title for this event.\r\n<p>\r\n\r\n<b>Description</b><br>\r\nDescribe the activities of this event or information about where the event is to be held.\r\n<p>\r\n\r\n<b>Start Date</b><br>\r\nOn what date will this event begin?\r\n<p>\r\n\r\n<b>End Date</b><br>\r\nOn what date will this event end?\r\n<p>\r\n\r\n<b>Recurs every<b><br>\r\nSelect a recurrence interval for this event. \r\n\r\n<p>\r\n\r\n<b>What next?</b><br>\r\nSelect \"add new event\" if you\'d like to add another event, otherwise select \"go back to page\".\r\n<p>\r\n',1038887363);
INSERT INTO international VALUES (72,'FAQ',1,'Question, Add/Edit',1038890062);
INSERT INTO international VALUES (73,'FAQ',1,'<b>Question</b><br>\r\nAdd the question you\'d like to appear on the FAQ.\r\n<p>\r\n\r\n\r\n<b>Answer</b><br>\r\nAdd the answer for the question you entered above.\r\n<p>\r\n\r\n\r\n<b>What next?</b><br>\r\nIf you wish to add another question then leave this set to the default.\r\n\r\n<p>\r\n\r\n',1038890062);
INSERT INTO international VALUES (50,'Product',1,'Benefits are typically the result of the features of your product. They are why your product is so good. If you add benefits, you may also wish to consider adding some features.\r\n<p>\r\n\r\n<b>Benefit</b><br>\r\nYou may enter a new benefit, or select from one you\'ve already entered.\r\n<p>\r\n\r\n<b>Add another benefit?</b><br>\r\nIf you\'d like to add another benefit right away, select \"Yes\".\r\n<p>\r\n',1031514049);
INSERT INTO international VALUES (72,'LinkList',1,'Link, Add/Edit',1038887880);
INSERT INTO international VALUES (73,'LinkList',1,'<b>Title</b><br>\r\nThe text that will be linked.\r\n<p>\r\n\r\n<b>URL</b><br>\r\nThe web site to link to.\r\n<p>\r\n\r\n<b>Open in new window?</b><br>\r\nSelect yes if you\'d like this link to pop-up into a new window.\r\n<p>\r\n\r\n<b>Description</b><br>\r\nDescribe the site you\'re linking to. You can omit this if you\'d like.\r\n<p>\r\n\r\n<b>What Next?</b>\r\nLeave this set to the default if you wish to add another link after this one.\r\n<p>\r\n',1038887880);
INSERT INTO international VALUES (49,'Product',1,'Product Benefit, Add/Edit',1031514049);
INSERT INTO international VALUES (697,'WebGUI',1,'Karma, Using',1031514049);
INSERT INTO international VALUES (698,'WebGUI',1,'Karma is a method of tracking the activity of your users, and potentially rewarding or punishing them for their level of activity. Once karma has been enabled, you\'ll notice that the menus of many things in WebGUI change to reflect karma.\r\n<p>\r\n\r\nYou can track whether users are logging in, and how much they contribute to your site. And you can allow them access to additional features by the level of their karma.\r\n<p>\r\n\r\nYou can find out more about karma in <a href=\"http://www.plainblack.com/ruling_webgui\">Ruling WebGUI</a>.',1031514049);
INSERT INTO international VALUES (5,'WobjectProxy',1,'Wobject Proxy, Add/Edit',1031514049);
INSERT INTO international VALUES (6,'WobjectProxy',1,'With the Wobject Proxy you can mirror a wobject from another page to any other page. This is useful if you want to reuse the same content in multiple sections of your site.\r\n<p>\r\n\r\n\r\n<b>Wobject To Proxy</b><br>\r\nSelect the wobject from your system that you\'d like to proxy. The select box takes the format of \"<b>Page Title</b> / <b>Wobject Name</b> (<b>Wobject Id</b>) so that you can quickly and accurately find the wobject you\'re looking for.\r\n<p>\r\n\r\n',1031514049);
INSERT INTO international VALUES (38,'Product',1,'Product, Add/Edit',1038889846);
INSERT INTO international VALUES (39,'Product',1,'WebGUI has a product management system built in to enable you to publish your products and services to your site quickly and easily.\r\n<p>\r\n\r\n<b>Template</b><br/>\r\nSelect a layout for this product.\r\n<p/>\r\n\r\n<b>Price</b><br>\r\nThe price of this product. You may optionally enter text like \"call for pricing\" if you wish, or you may leave it blank.\r\n<p>\r\n\r\n<b>Product Number</b><br>\r\nThe product number, SKU, ISBN, or other identifier for this product.\r\n<p>\r\n\r\n<b>Product Image 1</b><br>\r\nAn image of this product.\r\n<p>\r\n\r\n<b>Product Image 2</b><br>\r\nAn image of this product.\r\n<p>\r\n\r\n<b>Product Image 3</b><br>\r\nAn image of this product.\r\n<p>\r\n\r\n<b>Brochure</b><br>\r\nThe brochure for this product.\r\n<p>\r\n\r\n<b>Manual</b><br>\r\nThe product, user, or service manual for this product.\r\n<p>\r\n\r\n<b>Warranty</b><br>\r\nThe warranty for this product.\r\n<p>\r\n',1038889846);
INSERT INTO international VALUES (40,'Product',1,'Product Feature, Add/Edit',1031514049);
INSERT INTO international VALUES (41,'Product',1,'Features are selling points for a product. IE: Reasons to buy your product. Features often result in benefits, so you may want to also add some benefits to this product.\r\n<p>\r\n\r\n<b>Feature</b><br>\r\nYou may enter a new feature, or select one you entered for another product in the system.\r\n<p>\r\n\r\n<b>Add another feature?</b><br>\r\nIf you\'d like to add another feature right away, select \"Yes\".\r\n<p>\r\n',1031514049);
INSERT INTO international VALUES (42,'Product',1,'Product Specification, Add/Edit',1031514049);
INSERT INTO international VALUES (43,'Product',1,'Specifications are the technical details of your product.\r\n<p>\r\n\r\n\r\n<b>Label</b><br>\r\nThe type of specification. For instance, height, weight,   or color. You may select one you\'ve entered for another product, or type in a new specification.\r\n<p>\r\n\r\n\r\n<b>Specification</b><br>\r\nThe actual specification value. For instance, if you chose height as the Label, then you\'d enter a numeric value like \"18\".\r\n<p>\r\n\r\n\r\n<b>Units</b><br>\r\nThe unit of measurement for this specification. For instance, if you chose height for your label, perhaps the units would be \"meters\".\r\n<p>\r\n\r\n\r\n<b>Add another specification?</b><br>\r\nIf you\'d like to add another specification, select \"Yes\".\r\n<p>\r\n\r\n',1031514049);
INSERT INTO international VALUES (44,'Product',1,'Product Accessory, Add/Edit',1031514049);
INSERT INTO international VALUES (45,'Product',1,'Accessories are products that enhance other products.\r\n<p>\r\n\r\n<b>Accessory</b><br>\r\nChoose from the list of products you\'ve already entered.\r\n<p>\r\n\r\n<b>Add another accessory?</b><br>\r\nSelect \"Yes\" if you have another accessory to add.\r\n<p>\r\n',1031514049);
INSERT INTO international VALUES (46,'Product',1,'Product (Related), Add/Edit',1031514049);
INSERT INTO international VALUES (47,'Product',1,'Related products are products that are comparable or complementary to other products.\r\n<p>\r\n\r\n\r\n<b>Related products</b><br>\r\nChoose from the list of products you\'ve already entered.\r\n<p>\r\n\r\n\r\n<b>Add another related product?</b><br>\r\nSelect \"Yes\" if you have another related product to add.\r\n<p>\r\n\r\n',1041876679);
INSERT INTO international VALUES (30,'USS',1,'Karma Per Submission',1031514049);
INSERT INTO international VALUES (72,'Poll',1,'Randomize answers?',1031514049);
INSERT INTO international VALUES (699,'WebGUI',1,'First Day Of Week',1031514049);
INSERT INTO international VALUES (702,'WebGUI',1,'Month(s)',1031514049);
INSERT INTO international VALUES (703,'WebGUI',1,'Year(s)',1031514049);
INSERT INTO international VALUES (704,'WebGUI',1,'Second(s)',1031514049);
INSERT INTO international VALUES (705,'WebGUI',1,'Minute(s)',1031514049);
INSERT INTO international VALUES (706,'WebGUI',1,'Hour(s)',1031514049);
INSERT INTO international VALUES (716,'WebGUI',1,'Login',1031514049);
INSERT INTO international VALUES (717,'WebGUI',1,'Logout',1031514049);
INSERT INTO international VALUES (41,'USS',3,'Datum',1038528266);
INSERT INTO international VALUES (45,'USS',3,'Ga terug naar bijdrages',1038528274);
INSERT INTO international VALUES (46,'USS',3,'Lees meer...',1038528281);
INSERT INTO international VALUES (47,'USS',3,'Post een reactie',1038528288);
INSERT INTO international VALUES (48,'USS',3,'Discussie toestaan?',1038528295);
INSERT INTO international VALUES (51,'USS',3,'Miniaturen weergeven?',1038528311);
INSERT INTO international VALUES (52,'USS',3,'Miniatuur',1038528317);
INSERT INTO international VALUES (53,'USS',3,'Layout',1038528323);
INSERT INTO international VALUES (57,'USS',3,'Reacties',1038528329);
INSERT INTO international VALUES (516,'WebGUI',3,'Zet beheermode aan!',1039780454);
INSERT INTO international VALUES (517,'WebGUI',3,'Zet beheermode uit!',1039780461);
INSERT INTO international VALUES (515,'WebGUI',3,'Bewerkings stempel toevoegen?',1039780447);
INSERT INTO international VALUES (532,'WebGUI',3,'met <b>minstens een</b> van de worden',1039780647);
INSERT INTO international VALUES (531,'WebGUI',3,'met de <b>exacte zin</b>',1039780626);
INSERT INTO international VALUES (505,'WebGUI',3,'Een nieuw sjabloon toevoegen',1039780354);
INSERT INTO international VALUES (504,'WebGUI',3,'Sjabloon',1039780341);
INSERT INTO international VALUES (503,'WebGUI',3,'Sjabloon ID',1039780334);
INSERT INTO international VALUES (502,'WebGUI',3,'Weet u zeker dat u dit sjabloon wilt verwijderen? Elke pagina die dit sjabloon gebruikt zal het standaard sjabloon krijgen!',1039780327);
INSERT INTO international VALUES (536,'WebGUI',3,'Een nieuwe gebruiker genaamd ^@; is bij de site aangemeld.',1039780674);
INSERT INTO international VALUES (356,'WebGUI',3,'Sjabloon',1038529863);
INSERT INTO international VALUES (357,'WebGUI',3,'Nieuws',1038529869);
INSERT INTO international VALUES (358,'WebGUI',3,'Linker kolom',1038529876);
INSERT INTO international VALUES (359,'WebGUI',3,'Rechter kolom',1038529882);
INSERT INTO international VALUES (360,'WebGUI',3,'Een boven drie',1038529907);
INSERT INTO international VALUES (361,'WebGUI',3,'Drie boven een',1038529913);
INSERT INTO international VALUES (362,'WebGUI',3,'Zij aan zij',1038529919);
INSERT INTO international VALUES (363,'WebGUI',3,'Sjabloon positie',1038529927);
INSERT INTO international VALUES (364,'WebGUI',3,'Zoeken',1038529934);
INSERT INTO international VALUES (365,'WebGUI',3,'Zoek resultaten...',1038529944);
INSERT INTO international VALUES (366,'WebGUI',3,'Er is geen pagina die aan uw vraag voldoet.',1038529975);
INSERT INTO international VALUES (368,'WebGUI',3,'Voeg een nieuwe groep aan deze gebruiker toe.',1038529984);
INSERT INTO international VALUES (369,'WebGUI',3,'Verloop datum',1038529995);
INSERT INTO international VALUES (370,'WebGUI',3,'Bewerk groepering',1038530025);
INSERT INTO international VALUES (371,'WebGUI',3,'Groepering toevoegen',1038530037);
INSERT INTO international VALUES (372,'WebGUI',3,'Bewerk deze gebruiker\'s groepen',1038530061);
INSERT INTO international VALUES (374,'WebGUI',3,'Beheer pakketten.',1038530083);
INSERT INTO international VALUES (375,'WebGUI',3,'Selecteer pakket',1038530215);
INSERT INTO international VALUES (376,'WebGUI',3,'Pakket',1038530221);
INSERT INTO international VALUES (377,'WebGUI',3,'Er zijn geen pakketten gedefinieerd door uw pakket beheerder(s).',1038530249);
INSERT INTO international VALUES (378,'WebGUI',3,'Gebruikers ID',1038530255);
INSERT INTO international VALUES (379,'WebGUI',3,'Groep ID',1038530261);
INSERT INTO international VALUES (380,'WebGUI',3,'Stijl ID',1038530290);
INSERT INTO international VALUES (381,'WebGUI',3,'WebGUI heeft een verkeerde vraag gekregen en kan niet verder gaan. Bepaalde speciale karakters op de pagina kunnen hiervan een typische oorzaak zijn. Probeer terug te gaan naar de vorige pagina en probeer het opnieuw.',1038530356);
INSERT INTO international VALUES (528,'WebGUI',3,'Sjabloon naam',1039780576);
INSERT INTO international VALUES (384,'WebGUI',3,'Bestand',1038530363);
INSERT INTO international VALUES (385,'WebGUI',3,'Parameters',1038530519);
INSERT INTO international VALUES (386,'WebGUI',3,'Bewerk plaatje',1038530525);
INSERT INTO international VALUES (387,'WebGUI',3,'Geleverd door',1038530535);
INSERT INTO international VALUES (388,'WebGUI',3,'Upload datum',1038530541);
INSERT INTO international VALUES (391,'WebGUI',3,'Verwijder bijgevoegd bestand.',1038530562);
INSERT INTO international VALUES (591,'WebGUI',10,'Sprog',1037205563);
INSERT INTO international VALUES (781,'WebGUI',1,'Snippet',1036912954);
INSERT INTO international VALUES (394,'WebGUI',3,'Beheer collaterale inhoud.',1039738694);
INSERT INTO international VALUES (395,'WebGUI',3,'Een nieuw plaatje toevoegen.',1038530587);
INSERT INTO international VALUES (721,'WebGUI',10,'Benvnelse',1036855637);
INSERT INTO international VALUES (398,'WebGUI',3,'Document type declaratie',1038530595);
INSERT INTO international VALUES (399,'WebGUI',3,'Valideer deze pagina.',1038530604);
INSERT INTO international VALUES (400,'WebGUI',3,'Voorkom Proxy Caching',1038530627);
INSERT INTO international VALUES (401,'WebGUI',3,'Weet u zeker dat u dit bericht wilt verwijderen en alle berichten onder deze thread?',1038530637);
INSERT INTO international VALUES (402,'WebGUI',3,'Het bericht wat u opvroeg bestaat niet.',1038530649);
INSERT INTO international VALUES (403,'WebGUI',3,'Zeg ik liever niet.',1038530663);
INSERT INTO international VALUES (405,'WebGUI',3,'Laatste pagina',1038530670);
INSERT INTO international VALUES (406,'WebGUI',3,'Miniatuur grootte (bytes)',1038530681);
INSERT INTO international VALUES (407,'WebGUI',3,'Klik hier om te registreren.',1038530690);
INSERT INTO international VALUES (506,'WebGUI',3,'Beheer sjablonen',1039780364);
INSERT INTO international VALUES (408,'WebGUI',3,'Beheer roots',1038530698);
INSERT INTO international VALUES (409,'WebGUI',3,'Een nieuwe root toevoegen.',1038530706);
INSERT INTO international VALUES (410,'WebGUI',3,'Beheer roots.',1038530727);
INSERT INTO international VALUES (411,'WebGUI',3,'Menu Titel',1038530734);
INSERT INTO international VALUES (412,'WebGUI',3,'Omschrijving',1038530740);
INSERT INTO international VALUES (416,'WebGUI',3,'<h1>Probleem met aanvraag</h1>\r\nWe hebben een probleem gevonden met de aanvraag van deze pagina. Ga terug naar de vorige pagina en probeer het opnieuw. Mocht het probleem zich blijven voordoen wendt u dan tot de beheerder.',1038530770);
INSERT INTO international VALUES (417,'WebGUI',3,'<h1>Beveiligings probleem</h1>\r\nU probeerde een widget op te vragen die niet bij deze pagina hoort. Het incident is gerapporteerd.',1038530790);
INSERT INTO international VALUES (418,'WebGUI',3,'Filter Contributed HTML',1038530797);
INSERT INTO international VALUES (419,'WebGUI',3,'Verwijder alle tags.',1038530805);
INSERT INTO international VALUES (420,'WebGUI',3,'Laat het zoals het is.',1038530821);
INSERT INTO international VALUES (421,'WebGUI',3,'Verwijder alles behalve de basis formattering.',1038530835);
INSERT INTO international VALUES (422,'WebGUI',3,'<h1>Login Fout</h1>\r\nDe informatie komt niet overeen met het account.',1038530851);
INSERT INTO international VALUES (423,'WebGUI',3,'Laat aktieve sessies zien.',1038530859);
INSERT INTO international VALUES (424,'WebGUI',3,'Laat login historie zien.',1038530868);
INSERT INTO international VALUES (425,'WebGUI',3,'Aktieve sessies',1038530874);
INSERT INTO international VALUES (426,'WebGUI',3,'Login historie',1038530880);
INSERT INTO international VALUES (427,'WebGUI',3,'Stijlen',1038530885);
INSERT INTO international VALUES (428,'WebGUI',3,'Gebruiker (ID)',1038530891);
INSERT INTO international VALUES (429,'WebGUI',3,'Login tijd',1038530898);
INSERT INTO international VALUES (430,'WebGUI',3,'Laatst bekeken pagina',1038530910);
INSERT INTO international VALUES (431,'WebGUI',3,'IP Adres',1038530916);
INSERT INTO international VALUES (432,'WebGUI',3,'Verloopt',1038530923);
INSERT INTO international VALUES (433,'WebGUI',3,'Gebruikers applicatie',1038530929);
INSERT INTO international VALUES (434,'WebGUI',3,'Status',1038530935);
INSERT INTO international VALUES (435,'WebGUI',3,'Sessie handtekening',1038530941);
INSERT INTO international VALUES (436,'WebGUI',3,'Vermoord sessie',1038530946);
INSERT INTO international VALUES (437,'WebGUI',3,'Statistieken',1038530953);
INSERT INTO international VALUES (438,'WebGUI',3,'Uw naam',1038530959);
INSERT INTO international VALUES (441,'WebGUI',3,'Email naar pieper gateway',1038531014);
INSERT INTO international VALUES (442,'WebGUI',3,'Bedrijfs informatie',1038530997);
INSERT INTO international VALUES (443,'WebGUI',3,'Thuis informatie',1038531020);
INSERT INTO international VALUES (439,'WebGUI',3,'Persoonlijke informatie',1038530965);
INSERT INTO international VALUES (440,'WebGUI',3,'Contact informatie',1038530983);
INSERT INTO international VALUES (444,'WebGUI',3,'Demografische informatie',1038531026);
INSERT INTO international VALUES (445,'WebGUI',3,'Voorkeuren',1038531032);
INSERT INTO international VALUES (446,'WebGUI',3,'Bedrijfs website',1038531038);
INSERT INTO international VALUES (447,'WebGUI',3,'Beheer pagina boom.',1038531047);
INSERT INTO international VALUES (448,'WebGUI',3,'Pagina boom',1038531053);
INSERT INTO international VALUES (449,'WebGUI',3,'Overige informatie',1038531059);
INSERT INTO international VALUES (450,'WebGUI',3,'Werk naam (Bedrijfsnaam)',1038531078);
INSERT INTO international VALUES (451,'WebGUI',3,'is vereist.',1038531087);
INSERT INTO international VALUES (452,'WebGUI',3,'Even wachten alstublieft....',1038531096);
INSERT INTO international VALUES (453,'WebGUI',3,'Gecreerd op',1038764730);
INSERT INTO international VALUES (454,'WebGUI',3,'Laatste wijziging',1038764793);
INSERT INTO international VALUES (455,'WebGUI',3,'Bewerk gebruikersprofiel',1038531131);
INSERT INTO international VALUES (456,'WebGUI',3,'Terug naar gebruikers lijst.',1038531139);
INSERT INTO international VALUES (457,'WebGUI',3,'Bewerk het account van deze gebruiker.',1038531148);
INSERT INTO international VALUES (458,'WebGUI',3,'Bewerk de groepen van deze gebruiker.',1038531156);
INSERT INTO international VALUES (459,'WebGUI',3,'Bewerk het profiel van deze gebruiker.',1038531164);
INSERT INTO international VALUES (460,'WebGUI',3,'Tijd offset',1038531177);
INSERT INTO international VALUES (461,'WebGUI',3,'Datum formaat',1038531183);
INSERT INTO international VALUES (462,'WebGUI',3,'Tijd formaat',1038531189);
INSERT INTO international VALUES (463,'WebGUI',3,'Tekst vlak rijen',1038531196);
INSERT INTO international VALUES (464,'WebGUI',3,'Tekst vlak kolommen',1038531203);
INSERT INTO international VALUES (465,'WebGUI',3,'Tekst blok grootte',1039597156);
INSERT INTO international VALUES (466,'WebGUI',3,'Weet u zeker dat u deze categorie wilt verwijderen en alle velden naar de overige categorie wilt verplaatsen?',1039597166);
INSERT INTO international VALUES (467,'WebGUI',3,'Weet u zeker dat u dit veld wilt verwijderen en daarmee ook alle data die er aan vast zit?',1039597174);
INSERT INTO international VALUES (469,'WebGUI',3,'Id',1039597183);
INSERT INTO international VALUES (470,'WebGUI',3,'Naam',1039741470);
INSERT INTO international VALUES (472,'WebGUI',3,'Label',1039741472);
INSERT INTO international VALUES (473,'WebGUI',3,'Zichtbaar?',1039741477);
INSERT INTO international VALUES (474,'WebGUI',3,'Verplicht?',1039741479);
INSERT INTO international VALUES (475,'WebGUI',3,'Tekst',1039741481);
INSERT INTO international VALUES (476,'WebGUI',3,'Tekst vlak',1039741484);
INSERT INTO international VALUES (477,'WebGUI',3,'HTML vlak',1039741487);
INSERT INTO international VALUES (478,'WebGUI',3,'URL',1039741489);
INSERT INTO international VALUES (479,'WebGUI',3,'Datum',1039741492);
INSERT INTO international VALUES (480,'WebGUI',3,'E-mail adres',1039780063);
INSERT INTO international VALUES (481,'WebGUI',3,'Telefoon nummer',1039780074);
INSERT INTO international VALUES (482,'WebGUI',3,'Nummer (Geheel getal)',1039780081);
INSERT INTO international VALUES (483,'WebGUI',3,'Ja of nee',1039780089);
INSERT INTO international VALUES (484,'WebGUI',3,'Selecteer lijst',1039780096);
INSERT INTO international VALUES (485,'WebGUI',3,'Booleaanse waarde (Checkbox)',1039780104);
INSERT INTO international VALUES (486,'WebGUI',3,'Data type',1039780111);
INSERT INTO international VALUES (487,'WebGUI',3,'Mogelijke waardes',1039780117);
INSERT INTO international VALUES (488,'WebGUI',3,'Standaard waarde(s)',1039780124);
INSERT INTO international VALUES (489,'WebGUI',3,'Profiel categorie',1039780131);
INSERT INTO international VALUES (490,'WebGUI',3,'Profiel categorie toevoegen.',1039780153);
INSERT INTO international VALUES (491,'WebGUI',3,'Profiel veld toevoegen.',1039780162);
INSERT INTO international VALUES (492,'WebGUI',3,'Profiel veld lijst.',1039780172);
INSERT INTO international VALUES (493,'WebGUI',3,'Terug naar de site.',1039780197);
INSERT INTO international VALUES (496,'WebGUI',3,'Te gebruiken editor',1039780245);
INSERT INTO international VALUES (494,'WebGUI',3,'Real Objects Edit-On Pro',1039780216);
INSERT INTO international VALUES (497,'WebGUI',3,'Start datum',1039780252);
INSERT INTO international VALUES (498,'WebGUI',3,'Eind Datum',1039780259);
INSERT INTO international VALUES (499,'WebGUI',3,'Wobject ID',1039780266);
INSERT INTO international VALUES (500,'WebGUI',3,'Pagina ID',1039780287);
INSERT INTO international VALUES (514,'WebGUI',3,'Bekeken',1039780439);
INSERT INTO international VALUES (527,'WebGUI',3,'Standaard home pagina',1039780569);
INSERT INTO international VALUES (530,'WebGUI',3,'Met <b>al deze<b> woorden',1039780611);
INSERT INTO international VALUES (501,'WebGUI',3,'Body',1039780293);
INSERT INTO international VALUES (468,'WebGUI',3,'Bewerk gebruikers profiel categorie',1039597179);
INSERT INTO international VALUES (507,'WebGUI',3,'Bewerk sjabloon',1039780372);
INSERT INTO international VALUES (508,'WebGUI',3,'Beheer sjablonen.',1039780381);
INSERT INTO international VALUES (509,'WebGUI',3,'Discussie layout',1039780389);
INSERT INTO international VALUES (510,'WebGUI',3,'Plat',1039780404);
INSERT INTO international VALUES (511,'WebGUI',3,'Threaded',1039780416);
INSERT INTO international VALUES (512,'WebGUI',3,'Volgende thread',1039780425);
INSERT INTO international VALUES (513,'WebGUI',3,'Vorige thread',1039780433);
INSERT INTO international VALUES (533,'WebGUI',3,'<b>zonder</b> de woorden',1039780661);
INSERT INTO international VALUES (529,'WebGUI',3,'Resultaten',1039780584);
INSERT INTO international VALUES (518,'WebGUI',3,'Inbox notificaties',1039780468);
INSERT INTO international VALUES (519,'WebGUI',3,'Ik wil geen notificatie krijgen.',1039780479);
INSERT INTO international VALUES (520,'WebGUI',3,'Ik wil notificatie via e-mail.',1039780500);
INSERT INTO international VALUES (521,'WebGUI',3,'Ik wil notificatie via e-mail naar pager.',1039780514);
INSERT INTO international VALUES (522,'WebGUI',3,'Ik wil notificatie via ICQ.',1039780523);
INSERT INTO international VALUES (523,'WebGUI',3,'Notificatie',1039780531);
INSERT INTO international VALUES (524,'Discussion',3,'Voeg bewerk stempel toe aan post?',1039780542);
INSERT INTO international VALUES (525,'WebGUI',3,'Bewerk inhoud Settings',1039780550);
INSERT INTO international VALUES (526,'WebGUI',3,'Verwijder alleen javascript.',1039780560);
INSERT INTO international VALUES (72,'EventsCalendar',3,'Gebeurtenis, Toevoegen/Bewerken',1039596887);
INSERT INTO international VALUES (9,'Product',3,'Product plaatje 3',1038527773);
INSERT INTO international VALUES (9,'MailForm',3,'Voeg veld toe',1038513524);
INSERT INTO international VALUES (8,'Product',3,'Product plaatje 2',1038527767);
INSERT INTO international VALUES (8,'MailForm',3,'Breedte',1038513517);
INSERT INTO international VALUES (78,'EventsCalendar',3,'Niets weggooien, ik heb een foutje gemaakt.',1038487211);
INSERT INTO international VALUES (77,'EventsCalendar',3,'Gooi deze gebeurtenis weg <b>en</b> alle herhalingen hiervan.',1038487192);
INSERT INTO international VALUES (76,'EventsCalendar',3,'Gooi alleen deze gebeurtenis weg.',1038487184);
INSERT INTO international VALUES (75,'EventsCalendar',3,'Welke van deze keuzes wilt u uitvoeren?',1038487175);
INSERT INTO international VALUES (73,'LinkList',3,'<b>Titel</b><br>\r\n Text die gelinked zal worden. \r\n<p> <b>URL</b><br>\r\n De Website waarnaar gelinked wordt. </p>\r\n<p>  <b>In een nieuw venster openen?</b><br>\r\n Selecteer ja als u wilt dat deze link in een nieuw venster geopend wordt. \r\n</p>\r\n<p>  <b>Omschrijving</b><br>\r\n Beschrijf de site waar u naar linkt. Dit kan weggelaten worden als u dat\r\nwilt. </p>\r\n<p>  <b>Hoe verder?</b><br>\r\n Als u nog een link toe wilt voegen, laat dan de standaard geselecteerd. </p>\r\n<p> </p>\r\n<br>\r\n',1039775841);
INSERT INTO international VALUES (73,'FAQ',3,'<b>Vraag</b><br>\r\n Voer de vraag in die u in de FAQ wilt laten verschijnen. \r\n<p>   <b>Antwoord</b><br>\r\n Voer het antwoord in voor de vraag die u hierboven heeft ingevuld. </p>\r\n<p>   <b>Wat nu?</b><br>\r\n Als u nog een vraag wilt toevoegen, laat dan de default geselecteerd staan. </p>\r\n<p> </p>\r\n<br>\r\n',1039741313);
INSERT INTO international VALUES (73,'EventsCalendar',3,'<b>Titel</b><br>\r\n De titel voor deze gebeurtenis. \r\n<p>  <b>Beschrijving</b><br>\r\n Omschrijf de activiteit van deze gebeurtenis of voer informatie in over\r\nwaar deze gebeurtenis plaatsvind. </p>\r\n<p>  <b>Begindatum</b><br>\r\n Wanneer begint deze gebeurtenis? </p>\r\n<p>  <b>Einddatum</b><br>\r\n Op welke datum zal deze gebeurtenis plaatsvinden? </p>\r\n<p>  <b>Gebeurt iedere</b><br>\r\n Selecteer een interval waarin deze gebeurtenis opnieuw plaatsvind. </p>\r\n<p>  <b>Wat nu?</b><br>\r\n Als u nog een gebeurtenis toe wilt voegen, selecteer dan \"voeg gebeurtenis toe\" selecteer ander \"ga terug naar de huidige pagina\". </p>\r\n<p></p>\r\n<br>\r\n',1039741404);
INSERT INTO international VALUES (72,'Poll',3,'Antwoorden in willekeurige volgorde weergeven?',1038527736);
INSERT INTO international VALUES (72,'LinkList',3,'Link, Toevoegen/Bewerken',1039597033);
INSERT INTO international VALUES (72,'FAQ',3,'Vraag, Toevoegen/Bewerken',1039596931);
INSERT INTO international VALUES (72,'FileManager',3,'Bestand, Toevoegen/Bewerken',1039741267);
INSERT INTO international VALUES (717,'WebGUI',3,'Uitloggen',1039783293);
INSERT INTO international VALUES (716,'WebGUI',3,'Inloggen',1039783286);
INSERT INTO international VALUES (715,'WebGUI',3,'Redirect URL',1039783279);
INSERT INTO international VALUES (654,'WebGUI',3,'Stijl, Verwijder',1039782911);
INSERT INTO international VALUES (471,'WebGUI',3,'Bewerk gebruikers profielveld',1038506711);
INSERT INTO international VALUES (36,'Product',3,'Voeg een accessoire toe',1037886945);
INSERT INTO international VALUES (585,'WebGUI',3,'Beheer vertalingen.',1039520850);
INSERT INTO international VALUES (707,'WebGUI',3,'Laat debugging zien?',1039783218);
INSERT INTO international VALUES (706,'WebGUI',3,'Uren',1039783211);
INSERT INTO international VALUES (705,'WebGUI',3,'Minuten',1039783204);
INSERT INTO international VALUES (704,'WebGUI',3,'Seconden',1039783197);
INSERT INTO international VALUES (703,'WebGUI',3,'Jaren',1039783187);
INSERT INTO international VALUES (702,'WebGUI',3,'Maanden',1039783179);
INSERT INTO international VALUES (7,'Product',3,'Product plaatje 1',1038527761);
INSERT INTO international VALUES (5,'WobjectProxy',3,'Wobject proxy, Toevoegen/Bewerken',1038506272);
INSERT INTO international VALUES (699,'WebGUI',3,'Eerste dag van de week',1039783123);
INSERT INTO international VALUES (696,'WebGUI',3,'Prullenbak, Legen',1039783109);
INSERT INTO international VALUES (697,'WebGUI',3,'Karma, Gebruiken',1039783116);
INSERT INTO international VALUES (685,'WebGUI',3,'Sjabloon, verwijderen',1039783083);
INSERT INTO international VALUES (684,'WebGUI',3,'Sjabloon, Toevoegen/Bewerken',1039783075);
INSERT INTO international VALUES (598,'WebGUI',3,'Bewerk deze vertaling.',1038505400);
INSERT INTO international VALUES (596,'WebGUI',3,'NIET AANWEZIG',1039521044);
INSERT INTO international VALUES (605,'WebGUI',3,'Voeg groepen toe',1039521088);
INSERT INTO international VALUES (601,'WebGUI',3,'International ID',1039521101);
INSERT INTO international VALUES (597,'WebGUI',3,'Bewerk internationaal bericht',1038506935);
INSERT INTO international VALUES (594,'WebGUI',3,'Vertaal internationale berichten',1039521016);
INSERT INTO international VALUES (593,'WebGUI',3,'Verstuur vertaling naar Plain Black',1039521001);
INSERT INTO international VALUES (595,'WebGUI',3,'Internationale berichten',1039521031);
INSERT INTO international VALUES (591,'WebGUI',3,'Taal',1039520984);
INSERT INTO international VALUES (590,'WebGUI',3,'Taal ID',1039520973);
INSERT INTO international VALUES (589,'WebGUI',3,'Bewerk taal',1038506727);
INSERT INTO international VALUES (586,'WebGUI',3,'Beheer Talen',1039780807);
INSERT INTO international VALUES (584,'WebGUI',3,'Voeg een nieuwe taal toe',1039520836);
INSERT INTO international VALUES (575,'WebGUI',3,'Bewerk',1038506716);
INSERT INTO international VALUES (576,'WebGUI',3,'Verwijder',1039520732);
INSERT INTO international VALUES (582,'WebGUI',3,'Laat leeg',1039520720);
INSERT INTO international VALUES (683,'WebGUI',3,'Sjablonen, Beheer',1039783060);
INSERT INTO international VALUES (682,'WebGUI',3,'Gebruikersprofiel, Bewerken',1038506298);
INSERT INTO international VALUES (681,'WebGUI',3,'Pakketten, Maken',1039783049);
INSERT INTO international VALUES (680,'WebGUI',3,'Pakket, Toevoegen',1039783040);
INSERT INTO international VALUES (679,'WebGUI',3,'Inhoudsinstellingen, Bewerken',1039783017);
INSERT INTO international VALUES (677,'WebGUI',3,'Wobject, Toevoegen/Bewerken',1038506260);
INSERT INTO international VALUES (1,'MailForm',3,'E-mail formulier',1038513331);
INSERT INTO international VALUES (10,'MailForm',3,'Van',1038513338);
INSERT INTO international VALUES (11,'MailForm',3,'Aan (e-mail, gebruikersnaam of groepsnaam)',1039783818);
INSERT INTO international VALUES (23,'MailForm',3,'Type',1038513461);
INSERT INTO international VALUES (13,'MailForm',3,'Bcc (Onzichtbare kopie naar)',1038513364);
INSERT INTO international VALUES (12,'MailForm',3,'Cc (Kopie naar)',1038513357);
INSERT INTO international VALUES (22,'MailForm',3,'Status',1038513451);
INSERT INTO international VALUES (21,'MailForm',3,'Veldnaam',1038513444);
INSERT INTO international VALUES (20,'MailForm',3,'Bewerk veld',1038506693);
INSERT INTO international VALUES (2,'MailForm',3,'Uw e-mail onderwerp hier',1038513436);
INSERT INTO international VALUES (14,'MailForm',3,'Onderwerp',1038513371);
INSERT INTO international VALUES (15,'MailForm',3,'Doorgaan met velden toevoegen?',1038513393);
INSERT INTO international VALUES (18,'MailForm',3,'Ga terug!',1038513418);
INSERT INTO international VALUES (16,'MailForm',3,'Bevestigingsbericht',1038513404);
INSERT INTO international VALUES (17,'MailForm',3,'E-mail is verstuurd',1039783869);
INSERT INTO international VALUES (19,'MailForm',3,'Weet u zeker dat u dit veld wilt verwijderen?',1038513426);
INSERT INTO international VALUES (61,'Article',3,'Artikel, Toevoegen/Bewerken',1039596806);
INSERT INTO international VALUES (24,'MailForm',3,'Mogelijke waarden (alleen voor \'drop-down box\')',1038513468);
INSERT INTO international VALUES (25,'MailForm',3,'Standaardwaarde (optioneel)',1038513477);
INSERT INTO international VALUES (7,'MailForm',3,'Bewerk e-mail formulier',1038506703);
INSERT INTO international VALUES (6,'MailForm',3,'Aanpasbaar',1038513510);
INSERT INTO international VALUES (62,'MailForm',3,'E-mail formulier velden, Toevoegen/Bewerken',1039597049);
INSERT INTO international VALUES (61,'MailForm',3,'E-mail formulier, Toevoegen/Bewerken',1039597041);
INSERT INTO international VALUES (5,'MailForm',3,'Zichtbaar(niet aanpasbaar)',1038513504);
INSERT INTO international VALUES (4,'MailForm',3,'Verborgen',1038513497);
INSERT INTO international VALUES (26,'MailForm',3,'Inzendingen opslaan?',1038513483);
INSERT INTO international VALUES (3,'MailForm',3,'Bedankt voor uw bericht!',1038513491);
INSERT INTO international VALUES (588,'WebGUI',3,'Weet u zeker dat u deze vertaling naar Plain Black wilt versturen voor bundeling in de standaarddistributie van WebGUI? Door op de \'ja\' link te klikken snapt u dat u Plain Black een onbeperkte licentie geeft om de vertaling in haar software te gebruiken.',1039520948);
INSERT INTO international VALUES (581,'WebGUI',3,'Voeg een nieuwe waarde toe',1039520807);
INSERT INTO international VALUES (543,'WebGUI',3,'Voeg een nieuwe plaatjesgroep toe.',1039780697);
INSERT INTO international VALUES (583,'WebGUI',3,'Maximale plaatjesgrootte',1039520826);
INSERT INTO international VALUES (579,'WebGUI',10,'Din meddelelse er blevet godkendt.',1037205180);
INSERT INTO international VALUES (542,'WebGUI',3,'Vorige..',1039780690);
INSERT INTO international VALUES (3,'WobjectProxy',10,'Wobject Proxy',1036856148);
INSERT INTO international VALUES (5,'USS',9,'ziK峹Qڵ',1031510000);
INSERT INTO international VALUES (5,'SQLReport',9,'DSN',1031510000);
INSERT INTO international VALUES (5,'SiteMap',9,'sa',1031510000);
INSERT INTO international VALUES (5,'Poll',9,'ϧμe',1031510000);
INSERT INTO international VALUES (622,'WebGUI',2,'Schauen Sie auch unter &quot;Verwalten Gruppen&quot;, um eine Beschreibung der \r\nGruppen Funktionalitten zu erhalten und die Beschreibung der Standardgruppen \r\nzu sehen.<P><B>Gruppenname</B><BR>Ein Name fr die Gruppe. Am besten whlen \r\nSie hier einen Namen, der auch die Funktion der Gruppe beschreibt, damit Sie \r\nspter nicht den berblick verlieren. \r\n<P><B>Beschreibung</B><BR>Eine lngere Beschreibung fr diese Gruppe, so dass \r\nAdministratoren und Content Manager sehen knnen, was der Sinn und Zweck dieser \r\nGruppe ist.<P><B>Verfllt nach</B><BR>Die Zeit, die ein Benutzer zu dieser Gruppe \r\ngehrt, bis er/sie entfernt wird bzw. die Mitgliedschaft verfllt. Dies ist \r\nhilfreich fr Seiten, in denen Benutzer zeitlich beschrnkte Angebote erhalten \r\nsollen. Beachten Sie, dass diese Einstellungen auch wieder fr jeden einzelnen \r\nBenutzer gesondert vorgenommen werden knnen.<P><B>Karma Grenzwert</B><BR>Sie \r\nknnen den Wert hier aktivieren, wenn sie Karma aktiviert haben. Dieser Grenzwert \r\nist der Anteil an Karma, die ein Benutzer haben muss, um Mitglied dieser Gruppe \r\nzu werden.</P>',1044963484);
INSERT INTO international VALUES (5,'Item',9,'U',1031510000);
INSERT INTO international VALUES (5,'FAQ',9,'D',1031510000);
INSERT INTO international VALUES (5,'ExtraColumn',9,'Style Class',1031510000);
INSERT INTO international VALUES (20,'EventsCalendar',9,'W[ư',1031510000);
INSERT INTO international VALUES (38,'USS',9,'(pGzϥΤFW奻yAпܡ_ǵz)',1031510000);
INSERT INTO international VALUES (4,'WebGUI',9,'޲z]m',1031510000);
INSERT INTO international VALUES (4,'USS',9,'ziK峹wqLf',1031510000);
INSERT INTO international VALUES (4,'SyndicatedContent',9,'sPBe',1031510000);
INSERT INTO international VALUES (4,'SQLReport',9,'d',1031510000);
INSERT INTO international VALUES (4,'SiteMap',9,'i}`',1031510000);
INSERT INTO international VALUES (4,'Poll',9,'벼v',1031510000);
INSERT INTO international VALUES (4,'MessageBoard',9,'C',1031510000);
INSERT INTO international VALUES (4,'Item',9,'',1031510000);
INSERT INTO international VALUES (4,'ExtraColumn',9,'e',1031510000);
INSERT INTO international VALUES (4,'EventsCalendar',9,'uoͤ@',1031510000);
INSERT INTO international VALUES (4,'Article',9,'',1031510000);
INSERT INTO international VALUES (3,'WebGUI',9,'qŶKO߶K...',1031510000);
INSERT INTO international VALUES (3,'USS',9,'z@gsϥΪ̱iK峹ݼf',1031510000);
INSERT INTO international VALUES (3,'SQLReport',9,'iҪO',1031510000);
INSERT INTO international VALUES (3,'SiteMap',9,'O_qŧO}l',1031510000);
INSERT INTO international VALUES (3,'Poll',9,'E',1031510000);
INSERT INTO international VALUES (3,'LinkList',9,'O_bsf}',1031510000);
INSERT INTO international VALUES (3,'Item',9,'R',1031510000);
INSERT INTO international VALUES (3,'ExtraColumn',9,'ť',1031510000);
INSERT INTO international VALUES (3,'Article',9,'}l',1031510000);
INSERT INTO international VALUES (2,'WebGUI',9,'',1031510000);
INSERT INTO international VALUES (2,'USS',9,'iK峹v',1031510000);
INSERT INTO international VALUES (2,'SyndicatedContent',9,'PBe',1031510000);
INSERT INTO international VALUES (2,'SiteMap',9,'a',1031510000);
INSERT INTO international VALUES (2,'MessageBoard',9,'i',1031510000);
INSERT INTO international VALUES (2,'Item',9,'',1031510000);
INSERT INTO international VALUES (2,'FAQ',9,'F.A.Q.',1031510000);
INSERT INTO international VALUES (2,'EventsCalendar',9,'ƾ',1031510000);
INSERT INTO international VALUES (507,'WebGUI',9,'sҪO',1031510000);
INSERT INTO international VALUES (1,'WebGUI',9,'W[e...',1031510000);
INSERT INTO international VALUES (1,'USS',9,'fv',1031510000);
INSERT INTO international VALUES (1,'SyndicatedContent',9,'RSS Ws',1031510000);
INSERT INTO international VALUES (1,'SQLReport',9,'SQL i',1031510000);
INSERT INTO international VALUES (1,'Poll',9,'լd',1031510000);
INSERT INTO international VALUES (1,'Item',9,'Ws URL',1031510000);
INSERT INTO international VALUES (72,'Item',1,'Template',1036267550);
INSERT INTO international VALUES (1,'ExtraColumn',9,'XiC',1031510000);
INSERT INTO international VALUES (83,'EventsCalendar',1,'First in the calendar.',1038190781);
INSERT INTO international VALUES (1,'Article',9,'峹',1031510000);
INSERT INTO international VALUES (367,'WebGUI',9,'Lɶ',1031510000);
INSERT INTO international VALUES (5,'WebGUI',9,'޲zϥΪ̲',1031510000);
INSERT INTO international VALUES (6,'Article',9,'Ϥ',1031510000);
INSERT INTO international VALUES (6,'ExtraColumn',9,'sXiC',1031510000);
INSERT INTO international VALUES (6,'FAQ',9,'^',1031510000);
INSERT INTO international VALUES (6,'LinkList',9,'WsC',1031510000);
INSERT INTO international VALUES (6,'MessageBoard',9,'s褽i',1031510000);
INSERT INTO international VALUES (6,'Poll',9,'D',1031510000);
INSERT INTO international VALUES (6,'SiteMap',9,'Yi',1031510000);
INSERT INTO international VALUES (6,'SQLReport',9,'ƮwϥΪ',1031510000);
INSERT INTO international VALUES (6,'USS',9,'CiK峹',1031510000);
INSERT INTO international VALUES (6,'WebGUI',9,'޲zStyle',1031510000);
INSERT INTO international VALUES (7,'Article',9,'sD',1031510000);
INSERT INTO international VALUES (7,'FAQ',9,'zO_TwznRoӰD',1031510000);
INSERT INTO international VALUES (7,'MessageBoard',9,'@̡G',1031510000);
INSERT INTO international VALUES (7,'Poll',9,'^',1031510000);
INSERT INTO international VALUES (7,'SQLReport',9,'ƮwKX',1031510000);
INSERT INTO international VALUES (7,'WebGUI',9,'޲zϥΪ',1031510000);
INSERT INTO international VALUES (8,'Article',9,'Ws URL',1031510000);
INSERT INTO international VALUES (8,'EventsCalendar',9,'ЩP',1031510000);
INSERT INTO international VALUES (8,'FAQ',9,'s F.A.Q.',1031510000);
INSERT INTO international VALUES (8,'LinkList',9,'URL',1031510000);
INSERT INTO international VALUES (8,'MessageBoard',9,'G',1031510000);
INSERT INTO international VALUES (8,'Poll',9,']CJ@סC̦hWL20C^',1031510000);
INSERT INTO international VALUES (9,'MessageBoard',9,'峹 ID:',1031510000);
INSERT INTO international VALUES (11,'MessageBoard',9,'^峹C',1031510000);
INSERT INTO international VALUES (12,'MessageBoard',9,'s峹',1031510000);
INSERT INTO international VALUES (15,'MessageBoard',9,'@',1031510000);
INSERT INTO international VALUES (16,'MessageBoard',9,'',1031510000);
INSERT INTO international VALUES (17,'MessageBoard',9,'os峹',1031510000);
INSERT INTO international VALUES (18,'MessageBoard',9,'u}l',1031510000);
INSERT INTO international VALUES (19,'MessageBoard',9,'^',1031510000);
INSERT INTO international VALUES (20,'MessageBoard',9,'̫^',1031510000);
INSERT INTO international VALUES (22,'MessageBoard',9,'R峹',1031510000);
INSERT INTO international VALUES (9,'Poll',9,'sլd',1031510000);
INSERT INTO international VALUES (10,'Poll',9,'lƧ벼',1031510000);
INSERT INTO international VALUES (11,'Poll',9,'벼I',1031510000);
INSERT INTO international VALUES (8,'SQLReport',9,'Edit SQL Report',1031510000);
INSERT INTO international VALUES (8,'WebGUI',9,'zdݪsb',1031510000);
INSERT INTO international VALUES (9,'Article',9,'',1031510000);
INSERT INTO international VALUES (9,'EventsCalendar',9,'',1031510000);
INSERT INTO international VALUES (9,'FAQ',9,'W[sD',1031510000);
INSERT INTO international VALUES (9,'LinkList',9,'zO_TwnRWs',1031510000);
INSERT INTO international VALUES (9,'SQLReport',9,'<b>Debug:</b> Error: The DSN specified is of an improper format.',1031510000);
INSERT INTO international VALUES (9,'WebGUI',9,'dݰŶKO',1031510000);
INSERT INTO international VALUES (10,'Article',9,'O_ഫ^',1031510000);
INSERT INTO international VALUES (10,'FAQ',9,'sD',1031510000);
INSERT INTO international VALUES (10,'LinkList',9,'sWsC',1031510000);
INSERT INTO international VALUES (10,'SQLReport',9,'<b>Debug:</b> Error: The SQL specified is of an improper format.',1031510000);
INSERT INTO international VALUES (10,'WebGUI',9,'޲zU',1031510000);
INSERT INTO international VALUES (11,'Article',9,'(pGzSʿJ&lt;br&gt;AпܡO\")',1031510000);
INSERT INTO international VALUES (11,'SQLReport',9,'<b>Debug:</b> Error: There was a problem with the query.',1031510000);
INSERT INTO international VALUES (11,'WebGUI',9,'MũU',1031510000);
INSERT INTO international VALUES (12,'Article',9,'s峹',1031510000);
INSERT INTO international VALUES (12,'EventsCalendar',9,'sƾ',1031510000);
INSERT INTO international VALUES (12,'LinkList',9,'sWs',1031510000);
INSERT INTO international VALUES (12,'SQLReport',9,'<b>Debug:</b> Error: Could not connect to the database.',1031510000);
INSERT INTO international VALUES (12,'USS',9,'(pGzϥΤFW奻yAФnܦ)',1031510000);
INSERT INTO international VALUES (12,'WebGUI',9,'hX޲z',1031510000);
INSERT INTO international VALUES (13,'Article',9,'R',1031510000);
INSERT INTO international VALUES (13,'EventsCalendar',9,'sư',1031510000);
INSERT INTO international VALUES (13,'LinkList',9,'W[sWs',1031510000);
INSERT INTO international VALUES (13,'USS',9,'iK峹ɶ',1031510000);
INSERT INTO international VALUES (13,'WebGUI',9,'dU',1031510000);
INSERT INTO international VALUES (765,'WebGUI',1,'Delete this collateral item.',1036892866);
INSERT INTO international VALUES (516,'WebGUI',9,'iJ޲z',1031510000);
INSERT INTO international VALUES (517,'WebGUI',9,'hX޲z',1031510000);
INSERT INTO international VALUES (515,'WebGUI',9,'O_W[sW',1031510000);
INSERT INTO international VALUES (14,'USS',9,'A',1031510000);
INSERT INTO international VALUES (14,'WebGUI',9,'dݵݼf֪iK峹',1031510000);
INSERT INTO international VALUES (15,'USS',9,'s/R',1031510000);
INSERT INTO international VALUES (15,'WebGUI',9,'@',1031510000);
INSERT INTO international VALUES (16,'USS',9,'LD',1031510000);
INSERT INTO international VALUES (16,'WebGUI',9,'G',1031510000);
INSERT INTO international VALUES (17,'USS',9,'zTwnRZ',1031510000);
INSERT INTO international VALUES (17,'WebGUI',9,'T',1031510000);
INSERT INTO international VALUES (18,'USS',9,'sϥΪ̱iK峹t',1031510000);
INSERT INTO international VALUES (18,'WebGUI',9,'|',1031510000);
INSERT INTO international VALUES (19,'USS',9,'siK峹',1031510000);
INSERT INTO international VALUES (19,'WebGUI',9,'',1031510000);
INSERT INTO international VALUES (20,'USS',9,'ڭniK峹',1031510000);
INSERT INTO international VALUES (20,'WebGUI',9,'',1031510000);
INSERT INTO international VALUES (21,'USS',9,'oH',1031510000);
INSERT INTO international VALUES (21,'WebGUI',9,'C',1031510000);
INSERT INTO international VALUES (22,'WebGUI',9,'K',1031510000);
INSERT INTO international VALUES (23,'WebGUI',9,'E',1031510000);
INSERT INTO international VALUES (24,'WebGUI',9,'Q',1031510000);
INSERT INTO international VALUES (25,'WebGUI',9,'Q@',1031510000);
INSERT INTO international VALUES (26,'WebGUI',9,'QG',1031510000);
INSERT INTO international VALUES (27,'USS',9,'s',1031510000);
INSERT INTO international VALUES (27,'WebGUI',9,'P',1031510000);
INSERT INTO international VALUES (28,'USS',9,'^ZC',1031510000);
INSERT INTO international VALUES (28,'WebGUI',9,'P@',1031510000);
INSERT INTO international VALUES (29,'USS',9,'ϥΪ̱iK峹t',1031510000);
INSERT INTO international VALUES (29,'WebGUI',9,'PG',1031510000);
INSERT INTO international VALUES (30,'WebGUI',9,'PT',1031510000);
INSERT INTO international VALUES (31,'WebGUI',9,'P|',1031510000);
INSERT INTO international VALUES (32,'WebGUI',9,'P',1031510000);
INSERT INTO international VALUES (33,'WebGUI',9,'P',1031510000);
INSERT INTO international VALUES (34,'WebGUI',9,']m',1031510000);
INSERT INTO international VALUES (35,'WebGUI',9,'޲z',1031510000);
INSERT INTO international VALUES (36,'WebGUI',9,'zOtκ޲z~ϥΦCptztκ޲zCHUOtΪtκ޲zMG',1031510000);
INSERT INTO international VALUES (37,'WebGUI',9,'vQڵI',1031510000);
INSERT INTO international VALUES (404,'WebGUI',9,'Ĥ@',1031510000);
INSERT INTO international VALUES (38,'WebGUI',9,'zSv榹ާ@C^a(n);MAդ@',1031510000);
INSERT INTO international VALUES (39,'WebGUI',9,'藍_AzSvXݤ@',1031510000);
INSERT INTO international VALUES (40,'WebGUI',9,'tβե',1031510000);
INSERT INTO international VALUES (41,'WebGUI',9,'zNnR@ӨtβեCpGz~AtΥi|vT',1031510000);
INSERT INTO international VALUES (42,'WebGUI',9,'нT{',1031510000);
INSERT INTO international VALUES (43,'WebGUI',9,'zO_TwnRe',1031510000);
INSERT INTO international VALUES (44,'WebGUI',9,'OAڽTw',1031510000);
INSERT INTO international VALUES (45,'WebGUI',9,'AګF',1031510000);
INSERT INTO international VALUES (46,'WebGUI',9,'ڪb',1031510000);
INSERT INTO international VALUES (47,'WebGUI',9,'',1031510000);
INSERT INTO international VALUES (48,'WebGUI',9,'wI',1031510000);
INSERT INTO international VALUES (49,'WebGUI',9,'I <a href=\"^;?op=logout\">B</a> hXn',1031510000);
INSERT INTO international VALUES (50,'WebGUI',9,'b',1031510000);
INSERT INTO international VALUES (51,'WebGUI',9,'KX',1031510000);
INSERT INTO international VALUES (52,'WebGUI',9,'n',1031510000);
INSERT INTO international VALUES (53,'WebGUI',9,'L',1031510000);
INSERT INTO international VALUES (54,'WebGUI',9,'sرb',1031510000);
INSERT INTO international VALUES (2,'Auth/WebGUI',9,'KX]T{^',1031510000);
INSERT INTO international VALUES (56,'WebGUI',9,'qll',1031510000);
INSERT INTO international VALUES (57,'WebGUI',9,'ubzƱϥΨݭnqll󪺥઺ɭԦ',1031510000);
INSERT INTO international VALUES (58,'WebGUI',9,'ڤwgF@ӱb',1031510000);
INSERT INTO international VALUES (59,'WebGUI',9,'ڧѰOFKX',1031510000);
INSERT INTO international VALUES (60,'WebGUI',9,'zO_uƱPzbHpGz~AzbTNQä[R',1031510000);
INSERT INTO international VALUES (61,'WebGUI',9,'sbT',1031510000);
INSERT INTO international VALUES (62,'WebGUI',9,'Os',1031510000);
INSERT INTO international VALUES (63,'WebGUI',9,'iJ޲z',1031510000);
INSERT INTO international VALUES (64,'WebGUI',9,'hXn',1031510000);
INSERT INTO international VALUES (65,'WebGUI',9,'ЧRڪb',1031510000);
INSERT INTO international VALUES (66,'WebGUI',9,'ϥΪ̵n',1031510000);
INSERT INTO international VALUES (67,'WebGUI',9,'Ыطsb',1031510000);
INSERT INTO international VALUES (68,'WebGUI',9,'zJbTLġCiOzJbᤣsbAοJF~KX',1031510000);
INSERT INTO international VALUES (69,'WebGUI',9,'pGzݭnUApttκ޲z',1031510000);
INSERT INTO international VALUES (70,'WebGUI',9,'~',1031510000);
INSERT INTO international VALUES (71,'WebGUI',9,'бKX',1031510000);
INSERT INTO international VALUES (72,'WebGUI',9,'',1031510000);
INSERT INTO international VALUES (73,'WebGUI',9,'ϥΪ̵n',1031510000);
INSERT INTO international VALUES (74,'WebGUI',9,'bT',1031510000);
INSERT INTO international VALUES (75,'WebGUI',9,'zbTwgoezqll',1031510000);
INSERT INTO international VALUES (76,'WebGUI',9,'藍_Aqlla}btθƮw',1031510000);
INSERT INTO international VALUES (77,'WebGUI',9,'藍_AbWwQLϥΪ̨ϥΡCХt~ܤ@ӨϥΪ̦WCڭ̫ĳzϥΥHUWr@nWG',1031510000);
INSERT INTO international VALUES (3,'Auth/WebGUI',9,'zJKX@PAЭsJ',1031510000);
INSERT INTO international VALUES (2,'Auth/LDAP',9,'sؿAȾ',1031510000);
INSERT INTO international VALUES (80,'WebGUI',9,'ЫرbᦨI',1031510000);
INSERT INTO international VALUES (81,'WebGUI',9,'sbᦨI',1031510000);
INSERT INTO international VALUES (82,'WebGUI',9,'޲z...',1031510000);
INSERT INTO international VALUES (536,'WebGUI',9,'sϥΪ ^@; [J',1031510000);
INSERT INTO international VALUES (84,'WebGUI',9,'ϥΪ̲',1031510000);
INSERT INTO international VALUES (85,'WebGUI',9,'yz',1031510000);
INSERT INTO international VALUES (86,'WebGUI',9,'zTwnRϥΪ̲նܡHާ@Nä[RϥΪ̲աA}ϥΪ̲թҦv',1031510000);
INSERT INTO international VALUES (87,'WebGUI',9,'sϥΪ̲',1031510000);
INSERT INTO international VALUES (88,'WebGUI',9,'ϥΪ̲զ',1031510000);
INSERT INTO international VALUES (89,'WebGUI',9,'ϥΪ̲',1031510000);
INSERT INTO international VALUES (90,'WebGUI',9,'W[s',1031510000);
INSERT INTO international VALUES (91,'WebGUI',9,'W@',1031510000);
INSERT INTO international VALUES (92,'WebGUI',9,'U@',1031510000);
INSERT INTO international VALUES (93,'WebGUI',9,'U',1031510000);
INSERT INTO international VALUES (94,'WebGUI',9,'Ѧ',1031510000);
INSERT INTO international VALUES (95,'WebGUI',9,'U',1031510000);
INSERT INTO international VALUES (99,'WebGUI',9,'D',1031510000);
INSERT INTO international VALUES (100,'WebGUI',9,'Meta ',1031510000);
INSERT INTO international VALUES (101,'WebGUI',9,'zTwnRHέҦeMե',1031510000);
INSERT INTO international VALUES (102,'WebGUI',9,'s譶',1031510000);
INSERT INTO international VALUES (103,'WebGUI',9,'yz',1031510000);
INSERT INTO international VALUES (104,'WebGUI',9,' URL',1031510000);
INSERT INTO international VALUES (105,'WebGUI',9,'',1031510000);
INSERT INTO international VALUES (106,'WebGUI',9,'Select \"Yes\" to change all the pages under this page to this style.',1031510000);
INSERT INTO international VALUES (107,'WebGUI',9,'v]m',1031510000);
INSERT INTO international VALUES (108,'WebGUI',9,'֦',1031510000);
INSERT INTO international VALUES (116,'WebGUI',9,'Select \"Yes\" to change the privileges of all pages under this page to these privileges.',1031510000);
INSERT INTO international VALUES (117,'WebGUI',9,'sϥΪ̳]m',1031510000);
INSERT INTO international VALUES (118,'WebGUI',9,'ΦWϥΪ̵U',1031510000);
INSERT INTO international VALUES (119,'WebGUI',9,'q{ϥΪ̻{覡',1031510000);
INSERT INTO international VALUES (5,'Auth/LDAP',9,'q{ LDAP URL',1031510000);
INSERT INTO international VALUES (6,'Auth/LDAP',9,'q{ LDAP Identity',1031510000);
INSERT INTO international VALUES (7,'Auth/LDAP',9,'LDAP Identity W',1031510000);
INSERT INTO international VALUES (8,'Auth/LDAP',9,'LDAP Password W',1031510000);
INSERT INTO international VALUES (124,'WebGUI',9,'s褽qT',1031510000);
INSERT INTO international VALUES (125,'WebGUI',9,'qW',1031510000);
INSERT INTO international VALUES (126,'WebGUI',9,'qqlla}',1031510000);
INSERT INTO international VALUES (127,'WebGUI',9,'qWs',1031510000);
INSERT INTO international VALUES (130,'WebGUI',9,'̤jjp',1031510000);
INSERT INTO international VALUES (133,'WebGUI',9,'sl]m',1031510000);
INSERT INTO international VALUES (134,'WebGUI',9,'бKXl󤺮e',1031510000);
INSERT INTO international VALUES (135,'WebGUI',9,'lAȾ',1031510000);
INSERT INTO international VALUES (138,'WebGUI',9,'O',1031510000);
INSERT INTO international VALUES (139,'WebGUI',9,'_',1031510000);
INSERT INTO international VALUES (140,'WebGUI',9,'s@]m',1031510000);
INSERT INTO international VALUES (141,'WebGUI',9,'q{쭶',1031510000);
INSERT INTO international VALUES (142,'WebGUI',9,'ܶW',1031510000);
INSERT INTO international VALUES (143,'WebGUI',9,'޲z]m',1031510000);
INSERT INTO international VALUES (144,'WebGUI',9,'dݲέpT',1031510000);
INSERT INTO international VALUES (145,'WebGUI',9,'tΪ',1031510000);
INSERT INTO international VALUES (146,'WebGUI',9,'ʹ',1031510000);
INSERT INTO international VALUES (147,'WebGUI',9,'',1031510000);
INSERT INTO international VALUES (148,'WebGUI',9,'ե',1031510000);
INSERT INTO international VALUES (149,'WebGUI',9,'ϥΪ̼',1031510000);
INSERT INTO international VALUES (533,'WebGUI',9,'<b>]A</b>jr',1031510000);
INSERT INTO international VALUES (532,'WebGUI',9,']A<b>ܤ֤@</b>jr',1031510000);
INSERT INTO international VALUES (151,'WebGUI',9,'W',1031510000);
INSERT INTO international VALUES (505,'WebGUI',9,'W[@ӷsҪO',1031510000);
INSERT INTO international VALUES (504,'WebGUI',9,'ҪO',1031510000);
INSERT INTO international VALUES (502,'WebGUI',9,'zTwnRҪOA}NҦϥΦҪO]q{ҪO',1031510000);
INSERT INTO international VALUES (154,'WebGUI',9,'',1031510000);
INSERT INTO international VALUES (155,'WebGUI',9,'zTwnRA}NҦϥΦ檺]wҦǽqA',1031510000);
INSERT INTO international VALUES (156,'WebGUI',9,'s護',1031510000);
INSERT INTO international VALUES (157,'WebGUI',9,'',1031510000);
INSERT INTO international VALUES (158,'WebGUI',9,'W[s',1031510000);
INSERT INTO international VALUES (160,'WebGUI',9,'',1031510000);
INSERT INTO international VALUES (161,'WebGUI',9,'H',1031510000);
INSERT INTO international VALUES (162,'WebGUI',9,'zO_TwnMũUҦMե',1031510000);
INSERT INTO international VALUES (163,'WebGUI',9,'W[ϥΪ',1031510000);
INSERT INTO international VALUES (164,'WebGUI',9,'ϥΪ̻{覡',1031510000);
INSERT INTO international VALUES (3,'Auth/LDAP',9,'LDAP URL',1031510000);
INSERT INTO international VALUES (4,'Auth/LDAP',9,'s DN',1031510000);
INSERT INTO international VALUES (167,'WebGUI',9,'zO_TwnRϥΪ̶ܡH`NRϥΪ̱Nä[RӨϥΪ̪ҦT',1031510000);
INSERT INTO international VALUES (168,'WebGUI',9,'sϥΪ',1031510000);
INSERT INTO international VALUES (169,'WebGUI',9,'W[sϥΪ',1031510000);
INSERT INTO international VALUES (170,'WebGUI',9,'j',1031510000);
INSERT INTO international VALUES (171,'WebGUI',9,'iƽs',1031510000);
INSERT INTO international VALUES (174,'WebGUI',9,'O_ܼD',1031510000);
INSERT INTO international VALUES (175,'WebGUI',9,'O_槻RO',1031510000);
INSERT INTO international VALUES (228,'WebGUI',9,'s...',1031510000);
INSERT INTO international VALUES (229,'WebGUI',9,'D',1031510000);
INSERT INTO international VALUES (230,'WebGUI',9,'',1031510000);
INSERT INTO international VALUES (231,'WebGUI',9,'os...',1031510000);
INSERT INTO international VALUES (232,'WebGUI',9,'LD',1031510000);
INSERT INTO international VALUES (233,'WebGUI',9,'(eom)',1031510000);
INSERT INTO international VALUES (234,'WebGUI',9,'o^...',1031510000);
INSERT INTO international VALUES (237,'WebGUI',9,'DG',1031510000);
INSERT INTO international VALUES (238,'WebGUI',9,'@̡G',1031510000);
INSERT INTO international VALUES (239,'WebGUI',9,'G',1031510000);
INSERT INTO international VALUES (240,'WebGUI',9,' ID:',1031510000);
INSERT INTO international VALUES (244,'WebGUI',9,'@',1031510000);
INSERT INTO international VALUES (245,'WebGUI',9,'',1031510000);
INSERT INTO international VALUES (304,'WebGUI',9,'y',1031510000);
INSERT INTO international VALUES (307,'WebGUI',9,'O_ϥq{ meta ',1031510000);
INSERT INTO international VALUES (308,'WebGUI',9,'sϥΪݩʳ]m',1031510000);
INSERT INTO international VALUES (309,'WebGUI',9,'O_ϥίumW',1031510000);
INSERT INTO international VALUES (310,'WebGUI',9,'O_ϥXiptT',1031510000);
INSERT INTO international VALUES (311,'WebGUI',9,'O_ϥήaxT',1031510000);
INSERT INTO international VALUES (312,'WebGUI',9,'O_ϥΰӷ~T',1031510000);
INSERT INTO international VALUES (313,'WebGUI',9,'O_ϥΨLT',1031510000);
INSERT INTO international VALUES (314,'WebGUI',9,'m',1031510000);
INSERT INTO international VALUES (315,'WebGUI',9,'W',1031510000);
INSERT INTO international VALUES (316,'WebGUI',9,'W',1031510000);
INSERT INTO international VALUES (317,'WebGUI',9,'<a href=\"http://www.icq.com\">ICQ</a> UIN',1031510000);
INSERT INTO international VALUES (318,'WebGUI',9,'<a href=\"http://www.aol.com/aim/homenew.adp\">AIM</a> ID',1031510000);
INSERT INTO international VALUES (319,'WebGUI',9,'<a href=\"http://messenger.msn.com/\">MSN Messenger</a> ID',1031510000);
INSERT INTO international VALUES (320,'WebGUI',9,'<a href=\"http://messenger.yahoo.com/\">Yahoo! Messenger</a> ID',1031510000);
INSERT INTO international VALUES (321,'WebGUI',9,'ʹq',1031510000);
INSERT INTO international VALUES (322,'WebGUI',9,'ǩI',1031510000);
INSERT INTO international VALUES (323,'WebGUI',9,'ax}',1031510000);
INSERT INTO international VALUES (324,'WebGUI',9,'',1031510000);
INSERT INTO international VALUES (325,'WebGUI',9,'٥',1031510000);
INSERT INTO international VALUES (326,'WebGUI',9,'lFsX',1031510000);
INSERT INTO international VALUES (327,'WebGUI',9,'a',1031510000);
INSERT INTO international VALUES (328,'WebGUI',9,'vq',1031510000);
INSERT INTO international VALUES (329,'WebGUI',9,'a}',1031510000);
INSERT INTO international VALUES (330,'WebGUI',9,'',1031510000);
INSERT INTO international VALUES (331,'WebGUI',9,'٥',1031510000);
INSERT INTO international VALUES (332,'WebGUI',9,'lFsX',1031510000);
INSERT INTO international VALUES (333,'WebGUI',9,'a',1031510000);
INSERT INTO international VALUES (334,'WebGUI',9,'q',1031510000);
INSERT INTO international VALUES (335,'WebGUI',9,'ʧO',1031510000);
INSERT INTO international VALUES (336,'WebGUI',9,'ͤ',1031510000);
INSERT INTO international VALUES (337,'WebGUI',9,'ӤH',1031510000);
INSERT INTO international VALUES (338,'WebGUI',9,'sϥΪݩ',1031510000);
INSERT INTO international VALUES (339,'WebGUI',9,'k',1031510000);
INSERT INTO international VALUES (340,'WebGUI',9,'k',1031510000);
INSERT INTO international VALUES (341,'WebGUI',9,'sϥΪݩ',1031510000);
INSERT INTO international VALUES (342,'WebGUI',9,'sbT',1031510000);
INSERT INTO international VALUES (343,'WebGUI',9,'dݨϥΪݩ',1031510000);
INSERT INTO international VALUES (351,'WebGUI',9,'',1031510000);
INSERT INTO international VALUES (345,'WebGUI',9,'OϥΪ',1031510000);
INSERT INTO international VALUES (346,'WebGUI',9,'ϥΪ̤AOϥΪ̡CLkѦϥΪ̪hT',1031510000);
INSERT INTO international VALUES (347,'WebGUI',9,'dݨϥΪݩʡG',1031510000);
INSERT INTO international VALUES (348,'WebGUI',9,'mW',1031510000);
INSERT INTO international VALUES (349,'WebGUI',9,'̷s',1031510000);
INSERT INTO international VALUES (350,'WebGUI',9,'',1031510000);
INSERT INTO international VALUES (352,'WebGUI',9,'oX',1031510000);
INSERT INTO international VALUES (471,'WebGUI',9,'sϥΪݩʶ',1031510000);
INSERT INTO international VALUES (355,'WebGUI',9,'q{',1031510000);
INSERT INTO international VALUES (356,'WebGUI',9,'ҪO',1031510000);
INSERT INTO international VALUES (357,'WebGUI',9,'sD',1031510000);
INSERT INTO international VALUES (358,'WebGUI',9,'ɯ',1031510000);
INSERT INTO international VALUES (359,'WebGUI',9,'kɯ',1031510000);
INSERT INTO international VALUES (360,'WebGUI',9,'@[T',1031510000);
INSERT INTO international VALUES (361,'WebGUI',9,'T[@',1031510000);
INSERT INTO international VALUES (362,'WebGUI',9,'',1031510000);
INSERT INTO international VALUES (363,'WebGUI',9,'ҪOw',1031510000);
INSERT INTO international VALUES (364,'WebGUI',9,'j',1031510000);
INSERT INTO international VALUES (365,'WebGUI',9,'jG...',1031510000);
INSERT INTO international VALUES (366,'WebGUI',9,'SŦXj󪺭',1031510000);
INSERT INTO international VALUES (368,'WebGUI',9,'NϥΪ̥[JsϥΪ̲',1031510000);
INSERT INTO international VALUES (369,'WebGUI',9,'L',1031510000);
INSERT INTO international VALUES (370,'WebGUI',9,'sϥΪ̤',1031510000);
INSERT INTO international VALUES (371,'WebGUI',9,'W[ϥΪ̤',1031510000);
INSERT INTO international VALUES (372,'WebGUI',9,'sϥΪ̩ݲոs',1031510000);
INSERT INTO international VALUES (605,'WebGUI',9,'sWs',1031510000);
INSERT INTO international VALUES (374,'WebGUI',9,'޲z]q',1031510000);
INSERT INTO international VALUES (375,'WebGUI',9,'ܭni}]q',1031510000);
INSERT INTO international VALUES (376,'WebGUI',9,']q',1031510000);
INSERT INTO international VALUES (377,'WebGUI',9,']q޲zΨtκ޲zSwq]q',1031510000);
INSERT INTO international VALUES (31,'USS',9,'e',1031510000);
INSERT INTO international VALUES (32,'USS',9,'Ϥ',1031510000);
INSERT INTO international VALUES (33,'USS',9,'',1031510000);
INSERT INTO international VALUES (34,'USS',9,'ഫ^',1031510000);
INSERT INTO international VALUES (35,'USS',9,'D',1031510000);
INSERT INTO international VALUES (378,'WebGUI',9,'ϥΪ ID',1031510000);
INSERT INTO international VALUES (379,'WebGUI',9,'ϥΪ̲ ID',1031510000);
INSERT INTO international VALUES (380,'WebGUI',9,' ID',1031510000);
INSERT INTO international VALUES (381,'WebGUI',9,'tΦ@ӵLĪШDALk~CqLJF@ǫDkršAq`|ɭPoӵGCЫs^ê^WsJ',1031510000);
INSERT INTO international VALUES (1,'FileManager',9,'U޲z',1031510000);
INSERT INTO international VALUES (3,'FileManager',9,'O_W[',1031510000);
INSERT INTO international VALUES (5,'FileManager',9,'D',1031510000);
INSERT INTO international VALUES (6,'FileManager',9,'U',1031510000);
INSERT INTO international VALUES (7,'FileManager',9,'UϥΪ̲',1031510000);
INSERT INTO international VALUES (8,'FileManager',9,'²',1031510000);
INSERT INTO international VALUES (9,'FileManager',9,'sU޲z',1031510000);
INSERT INTO international VALUES (10,'FileManager',9,'sU',1031510000);
INSERT INTO international VALUES (11,'FileManager',9,'W[sU',1031510000);
INSERT INTO international VALUES (12,'FileManager',9,'zO_TwnRU',1031510000);
INSERT INTO international VALUES (14,'FileManager',9,'',1031510000);
INSERT INTO international VALUES (15,'FileManager',9,'yz',1031510000);
INSERT INTO international VALUES (16,'FileManager',9,'W',1031510000);
INSERT INTO international VALUES (769,'WebGUI',1,'Organize in Folder',1036893015);
INSERT INTO international VALUES (776,'WebGUI',1,'Edit Folder',1036905944);
INSERT INTO international VALUES (37,'USS',9,'R',1031510000);
INSERT INTO international VALUES (13,'SQLReport',9,'Convert carriage returns?',1031510000);
INSERT INTO international VALUES (17,'FileManager',9,'L #1',1031510000);
INSERT INTO international VALUES (18,'FileManager',9,'L #2',1031510000);
INSERT INTO international VALUES (19,'FileManager',9,'SziHU',1031510000);
INSERT INTO international VALUES (14,'EventsCalendar',9,'}l',1031510000);
INSERT INTO international VALUES (15,'EventsCalendar',9,'',1031510000);
INSERT INTO international VALUES (20,'FileManager',9,'b᭱Ъ`X',1031510000);
INSERT INTO international VALUES (14,'SQLReport',9,'Paginate After',1031510000);
INSERT INTO international VALUES (19,'EventsCalendar',9,'b᭱Ъ`X',1031510000);
INSERT INTO international VALUES (529,'WebGUI',9,'G',1031510000);
INSERT INTO international VALUES (384,'WebGUI',9,'',1031510000);
INSERT INTO international VALUES (385,'WebGUI',9,'Ѽ',1031510000);
INSERT INTO international VALUES (386,'WebGUI',9,'sϤ',1031510000);
INSERT INTO international VALUES (387,'WebGUI',9,'WH',1031510000);
INSERT INTO international VALUES (388,'WebGUI',9,'W',1031510000);
INSERT INTO international VALUES (697,'WebGUI',10,'Karma, Anvend',1036855986);
INSERT INTO international VALUES (391,'WebGUI',9,'R[',1031510000);
INSERT INTO international VALUES (595,'WebGUI',10,'International tekst',1037205654);
INSERT INTO international VALUES (786,'WebGUI',1,'WebGUI\'s collateral management system allows you to upload files and text to a central repository for use elsewhere in your content.\r\n<p/>\r\n',1038871973);
INSERT INTO international VALUES (394,'WebGUI',9,'޲zϤ',1031510000);
INSERT INTO international VALUES (395,'WebGUI',9,'W[sϤ',1031510000);
INSERT INTO international VALUES (718,'WebGUI',10,'Eksporter oversttelse',1036855692);
INSERT INTO international VALUES (706,'WebGUI',10,'Time(r)',1036855897);
INSERT INTO international VALUES (398,'WebGUI',9,'wq',1031510000);
INSERT INTO international VALUES (399,'WebGUI',9,'R',1031510000);
INSERT INTO international VALUES (400,'WebGUI',9,'O_Nzws',1031510000);
INSERT INTO international VALUES (401,'WebGUI',9,'zO_TwnRHΦҦu',1031510000);
INSERT INTO international VALUES (402,'WebGUI',9,'znŪsb',1031510000);
INSERT INTO international VALUES (403,'WebGUI',9,'iDA',1031510000);
INSERT INTO international VALUES (405,'WebGUI',9,'̫@',1031510000);
INSERT INTO international VALUES (406,'WebGUI',9,'ַӤjp',1031510000);
INSERT INTO international VALUES (407,'WebGUI',9,'IBU',1031510000);
INSERT INTO international VALUES (15,'SQLReport',9,'Preprocess macros on query?',1031510000);
INSERT INTO international VALUES (16,'SQLReport',9,'Debug?',1031510000);
INSERT INTO international VALUES (17,'SQLReport',9,'<b>Debug:</b> Query:',1031510000);
INSERT INTO international VALUES (18,'SQLReport',9,'There were no results for this query.',1031510000);
INSERT INTO international VALUES (506,'WebGUI',9,'޲zҪO',1031510000);
INSERT INTO international VALUES (535,'WebGUI',9,'sϥΪ̵UɳqϥΪ̲',1031510000);
INSERT INTO international VALUES (353,'WebGUI',9,'{bzcS',1031510000);
INSERT INTO international VALUES (530,'WebGUI',9,'j<b>Ҧ</b>r',1031510000);
INSERT INTO international VALUES (408,'WebGUI',9,'޲zڭ',1031510000);
INSERT INTO international VALUES (409,'WebGUI',9,'W[sڭ',1031510000);
INSERT INTO international VALUES (410,'WebGUI',9,'޲zڭ',1031510000);
INSERT INTO international VALUES (411,'WebGUI',9,'ؿD',1031510000);
INSERT INTO international VALUES (412,'WebGUI',9,'yz',1031510000);
INSERT INTO international VALUES (79,'Survey',1,'minutes',1038789595);
INSERT INTO international VALUES (894,'WebGUI',9,'O_Q',1031510000);
INSERT INTO international VALUES (22,'Article',9,'@',1031510000);
INSERT INTO international VALUES (23,'Article',9,'',1031510000);
INSERT INTO international VALUES (24,'Article',9,'o^',1031510000);
INSERT INTO international VALUES (27,'Article',9,'^峹',1031510000);
INSERT INTO international VALUES (28,'Article',9,'dݦ^',1031510000);
INSERT INTO international VALUES (416,'WebGUI',9,'<h1>zШDX{D</h1> \r\nzШDX{@ӿ~CЫs^s^W@դ@CpG~~sbAptڭ̡APɧiDڭ̱zbɶϥΤ઺ɭԥX{oӿ~C¡I',1031510000);
INSERT INTO international VALUES (417,'WebGUI',9,'<h1>wĵ</h1>\r\n zXݪե󤣦bo@WCTwgoetκ޲z',1031510000);
INSERT INTO international VALUES (418,'WebGUI',9,'HTML Lo',1031510000);
INSERT INTO international VALUES (419,'WebGUI',9,'MҦ',1031510000);
INSERT INTO international VALUES (420,'WebGUI',9,'OdҦ',1031510000);
INSERT INTO international VALUES (421,'WebGUI',9,'Od򥻪',1031510000);
INSERT INTO international VALUES (422,'WebGUI',9,'<h1>n</h1>\r\nzJbT~',1031510000);
INSERT INTO international VALUES (423,'WebGUI',9,'dݬʹ',1031510000);
INSERT INTO international VALUES (424,'WebGUI',9,'dݵnvO',1031510000);
INSERT INTO international VALUES (425,'WebGUI',9,'ʹ',1031510000);
INSERT INTO international VALUES (426,'WebGUI',9,'nvO',1031510000);
INSERT INTO international VALUES (427,'WebGUI',9,'',1031510000);
INSERT INTO international VALUES (428,'WebGUI',9,'ϥΪ (ID)',1031510000);
INSERT INTO international VALUES (429,'WebGUI',9,'nɶ',1031510000);
INSERT INTO international VALUES (430,'WebGUI',9,'̫Xݭ',1031510000);
INSERT INTO international VALUES (431,'WebGUI',9,'IP a}',1031510000);
INSERT INTO international VALUES (432,'WebGUI',9,'L',1031510000);
INSERT INTO international VALUES (433,'WebGUI',9,'ϥΪ̺',1031510000);
INSERT INTO international VALUES (434,'WebGUI',9,'A',1031510000);
INSERT INTO international VALUES (435,'WebGUI',9,'ܫH',1031510000);
INSERT INTO international VALUES (436,'WebGUI',9,'屼',1031510000);
INSERT INTO international VALUES (437,'WebGUI',9,'έpT',1031510000);
INSERT INTO international VALUES (438,'WebGUI',9,'zWr',1031510000);
INSERT INTO international VALUES (439,'WebGUI',9,'ӤHT',1031510000);
INSERT INTO international VALUES (440,'WebGUI',9,'ptT',1031510000);
INSERT INTO international VALUES (441,'WebGUI',9,'qllǩI',1031510000);
INSERT INTO international VALUES (442,'WebGUI',9,'u@T',1031510000);
INSERT INTO international VALUES (443,'WebGUI',9,'axT',1031510000);
INSERT INTO international VALUES (444,'WebGUI',9,'ӤHp',1031510000);
INSERT INTO international VALUES (445,'WebGUI',9,'ߦn]m',1031510000);
INSERT INTO international VALUES (446,'WebGUI',9,'',1031510000);
INSERT INTO international VALUES (447,'WebGUI',9,'޲z',1031510000);
INSERT INTO international VALUES (448,'WebGUI',9,'',1031510000);
INSERT INTO international VALUES (449,'WebGUI',9,'@T',1031510000);
INSERT INTO international VALUES (450,'WebGUI',9,'W',1031510000);
INSERT INTO international VALUES (451,'WebGUI',9,'',1031510000);
INSERT INTO international VALUES (452,'WebGUI',9,'iJ...',1031510000);
INSERT INTO international VALUES (453,'WebGUI',9,'Ыؤ',1031510000);
INSERT INTO international VALUES (454,'WebGUI',9,'̫s',1031510000);
INSERT INTO international VALUES (455,'WebGUI',9,'sϥΪ̸T',1031510000);
INSERT INTO international VALUES (456,'WebGUI',9,'^ϥΪ̦C',1031510000);
INSERT INTO international VALUES (457,'WebGUI',9,'s覹ϥΪ̱b',1031510000);
INSERT INTO international VALUES (458,'WebGUI',9,'s覹ϥΪ̲ոs',1031510000);
INSERT INTO international VALUES (459,'WebGUI',9,'s覹ϥΪݩ',1031510000);
INSERT INTO international VALUES (460,'WebGUI',9,'ɰ',1031510000);
INSERT INTO international VALUES (461,'WebGUI',9,'榡',1031510000);
INSERT INTO international VALUES (462,'WebGUI',9,'ɶ榡',1031510000);
INSERT INTO international VALUES (463,'WebGUI',9,'奻JϦ',1031510000);
INSERT INTO international VALUES (464,'WebGUI',9,'奻JϦC',1031510000);
INSERT INTO international VALUES (465,'WebGUI',9,'奻ؤjp',1031510000);
INSERT INTO international VALUES (466,'WebGUI',9,'zTwnROåBNOUҦزʨ@O',1031510000);
INSERT INTO international VALUES (467,'WebGUI',9,'zTwnRءAåBҦتϥΪ̸T',1031510000);
INSERT INTO international VALUES (469,'WebGUI',9,'ID',1031510000);
INSERT INTO international VALUES (470,'WebGUI',9,'Wr',1031510000);
INSERT INTO international VALUES (472,'WebGUI',9,'D',1031510000);
INSERT INTO international VALUES (473,'WebGUI',9,'i',1031510000);
INSERT INTO international VALUES (474,'WebGUI',9,'',1031510000);
INSERT INTO international VALUES (475,'WebGUI',9,'r',1031510000);
INSERT INTO international VALUES (476,'WebGUI',9,'r',1031510000);
INSERT INTO international VALUES (477,'WebGUI',9,'HTML ',1031510000);
INSERT INTO international VALUES (478,'WebGUI',9,'URL',1031510000);
INSERT INTO international VALUES (479,'WebGUI',9,'',1031510000);
INSERT INTO international VALUES (480,'WebGUI',9,'qlla}',1031510000);
INSERT INTO international VALUES (481,'WebGUI',9,'qܸX',1031510000);
INSERT INTO international VALUES (482,'WebGUI',9,'Ʀr ()',1031510000);
INSERT INTO international VALUES (483,'WebGUI',9,'OΧ_',1031510000);
INSERT INTO international VALUES (484,'WebGUI',9,'ܦC',1031510000);
INSERT INTO international VALUES (485,'WebGUI',9,' (ܮ)',1031510000);
INSERT INTO international VALUES (486,'WebGUI',9,'u',1031510000);
INSERT INTO international VALUES (487,'WebGUI',9,'i',1031510000);
INSERT INTO international VALUES (488,'WebGUI',9,'q{',1031510000);
INSERT INTO international VALUES (489,'WebGUI',9,'ݩ',1031510000);
INSERT INTO international VALUES (490,'WebGUI',9,'W[@ݩ',1031510000);
INSERT INTO international VALUES (491,'WebGUI',9,'W[@ݩ',1031510000);
INSERT INTO international VALUES (492,'WebGUI',9,'ݩC',1031510000);
INSERT INTO international VALUES (493,'WebGUI',9,'^',1031510000);
INSERT INTO international VALUES (495,'WebGUI',9,'ms边',1031510000);
INSERT INTO international VALUES (496,'WebGUI',9,'ϥ',1031510000);
INSERT INTO international VALUES (494,'WebGUI',9,'Real Objects Edit-On Pro',1031510000);
INSERT INTO international VALUES (497,'WebGUI',9,'}l',1031510000);
INSERT INTO international VALUES (498,'WebGUI',9,'',1031510000);
INSERT INTO international VALUES (499,'WebGUI',9,'ե ID',1031510000);
INSERT INTO international VALUES (500,'WebGUI',9,' ID',1031510000);
INSERT INTO international VALUES (514,'WebGUI',9,'X',1031510000);
INSERT INTO international VALUES (527,'WebGUI',9,'q{',1031510000);
INSERT INTO international VALUES (503,'WebGUI',9,'ҪO ID',1031510000);
INSERT INTO international VALUES (501,'WebGUI',9,'D^',1031510000);
INSERT INTO international VALUES (528,'WebGUI',9,'ҪOW',1031510000);
INSERT INTO international VALUES (468,'WebGUI',9,'sϥΪݩ',1031510000);
INSERT INTO international VALUES (159,'WebGUI',9,'c',1031510000);
INSERT INTO international VALUES (508,'WebGUI',9,'޲zҪO',1031510000);
INSERT INTO international VALUES (39,'USS',9,'o^',1031510000);
INSERT INTO international VALUES (747,'WebGUI',1,'Usernames must contain only alpha-numeric characters.',1036384261);
INSERT INTO international VALUES (41,'USS',9,'',1031510000);
INSERT INTO international VALUES (45,'USS',9,'^iK峹t',1031510000);
INSERT INTO international VALUES (46,'USS',9,'h...',1031510000);
INSERT INTO international VALUES (47,'USS',9,'^',1031510000);
INSERT INTO international VALUES (48,'USS',9,'O_Q',1031510000);
INSERT INTO international VALUES (51,'USS',9,'ܧַ',1031510000);
INSERT INTO international VALUES (52,'USS',9,'ַ',1031510000);
INSERT INTO international VALUES (53,'USS',9,'',1031510000);
INSERT INTO international VALUES (73,'USS',1,'Submission Template',1036277524);
INSERT INTO international VALUES (57,'USS',9,'^',1031510000);
INSERT INTO international VALUES (11,'FAQ',9,'O_} TOC ',1031510000);
INSERT INTO international VALUES (12,'FAQ',9,'O_} Q/A ',1031510000);
INSERT INTO international VALUES (13,'FAQ',9,'O_} [top] s',1031510000);
INSERT INTO international VALUES (509,'WebGUI',9,'Qץ',1031510000);
INSERT INTO international VALUES (510,'WebGUI',9,'Q',1031510000);
INSERT INTO international VALUES (511,'WebGUI',9,'u',1031510000);
INSERT INTO international VALUES (512,'WebGUI',9,'U@u',1031510000);
INSERT INTO international VALUES (513,'WebGUI',9,'W@u',1031510000);
INSERT INTO international VALUES (534,'WebGUI',9,'sϥΪ̴',1031510000);
INSERT INTO international VALUES (354,'WebGUI',9,'dݦc',1031510000);
INSERT INTO international VALUES (531,'WebGUI',9,']A<b>㪺g</b>',1031510000);
INSERT INTO international VALUES (518,'WebGUI',9,'c',1031510000);
INSERT INTO international VALUES (519,'WebGUI',9,'ڧƱQ',1031510000);
INSERT INTO international VALUES (520,'WebGUI',9,'ڧƱqLqll󪺤覡',1031510000);
INSERT INTO international VALUES (521,'WebGUI',9,'ڧƱqLqllǩI覡',1031510000);
INSERT INTO international VALUES (522,'WebGUI',9,'ڧƱqL ICQ 覡',1031510000);
INSERT INTO international VALUES (523,'WebGUI',9,'',1031510000);
INSERT INTO international VALUES (524,'Discussion',9,'O_W[sW',1031510000);
INSERT INTO international VALUES (525,'WebGUI',9,'s褺e]m',1031510000);
INSERT INTO international VALUES (10,'FAQ',2,'Frage bearbeiten',1040652178);
INSERT INTO international VALUES (10,'FileManager',2,'Download bearbeiten',1040644674);
INSERT INTO international VALUES (10,'Article',2,'Carriage Return beachten?',1040597777);
INSERT INTO international VALUES (562,'WebGUI',2,'Ausstehend',1041610268);
INSERT INTO international VALUES (9,'WebGUI',2,'Zwischenablage anschauen',1041628849);
INSERT INTO international VALUES (9,'SQLReport',2,'<b>Fehler:</b> Die DSN besitzt das falsche Format.',1040649453);
INSERT INTO international VALUES (9,'Poll',2,'Abstimmung bearbeiten',1040646954);
INSERT INTO international VALUES (9,'MessageBoard',2,'Beitrags ID:',1040646809);
INSERT INTO international VALUES (9,'LinkList',2,'Sind Sie sicher, dass Sie diesen Link lschen mchten?',1040645063);
INSERT INTO international VALUES (9,'FAQ',2,'Neue Frage hinzufgen.',1040644646);
INSERT INTO international VALUES (9,'EventsCalendar',2,'bis',1040644433);
INSERT INTO international VALUES (9,'FileManager',2,'Download Manager bearbeiten',1040644884);
INSERT INTO international VALUES (9,'Article',2,'Dateianhang',1040598013);
INSERT INTO international VALUES (8,'WebGUI',2,'\"Seite nicht gefunden\" anschauen',1041630741);
INSERT INTO international VALUES (561,'WebGUI',2,'Abgelehnt',1041610445);
INSERT INTO international VALUES (8,'SQLReport',2,'SQL Report bearbeiten',1040649433);
INSERT INTO international VALUES (8,'Poll',2,'(Eine Antwort pro Zeile. Bitte nicht mehr als 20 verschiedene Antworten)',1040646943);
INSERT INTO international VALUES (8,'MessageBoard',2,'Datum:',1040646798);
INSERT INTO international VALUES (8,'LinkList',2,'URL',1040645046);
INSERT INTO international VALUES (8,'FAQ',2,'FAQ bearbeiten',1041635393);
INSERT INTO international VALUES (8,'EventsCalendar',2,'Wiederholt sich',1040644422);
INSERT INTO international VALUES (8,'FileManager',2,'Kurze Beschreibung',1040644869);
INSERT INTO international VALUES (7,'WebGUI',2,'&nbsp;Verwalten: Benutzer',1040640629);
INSERT INTO international VALUES (8,'Article',2,'Link URL',1040598002);
INSERT INTO international VALUES (560,'WebGUI',2,'Freigegeben',1041609734);
INSERT INTO international VALUES (7,'SQLReport',2,'Datenbankpasswort',1040649412);
INSERT INTO international VALUES (7,'Poll',2,'Antworten',1040646913);
INSERT INTO international VALUES (7,'MessageBoard',2,'Autor:',1040646729);
INSERT INTO international VALUES (7,'FAQ',2,'Sind Sie sicher, dass Sie diese Frage lschen mchten?',1040648475);
INSERT INTO international VALUES (7,'FileManager',2,'Gruppe, die Download benutzen kann',1040644847);
INSERT INTO international VALUES (7,'Article',2,'Link Titel',1040597992);
INSERT INTO international VALUES (6,'WebGUI',2,'&nbsp;Verwalten: Styles',1040640645);
INSERT INTO international VALUES (6,'USS',2,'Beitrge pro Seite',1040650162);
INSERT INTO international VALUES (6,'SQLReport',2,'Datenbankbenutzer',1040649393);
INSERT INTO international VALUES (6,'SiteMap',2,'Einrckung',1040649644);
INSERT INTO international VALUES (6,'MessageBoard',2,'Diskussionsforum bearbeiten',1040646718);
INSERT INTO international VALUES (6,'Poll',2,'Frage',1040646895);
INSERT INTO international VALUES (6,'LinkList',2,'Link Liste',1040645017);
INSERT INTO international VALUES (6,'FAQ',2,'Antwort',1040644580);
INSERT INTO international VALUES (6,'ExtraColumn',2,'Extra Spalte bearbeiten',1040644489);
INSERT INTO international VALUES (701,'WebGUI',2,'Woche(n)',1041611185);
INSERT INTO international VALUES (6,'FileManager',2,'Dateiname',1040644818);
INSERT INTO international VALUES (6,'Article',2,'Grafik',1040597952);
INSERT INTO international VALUES (5,'WebGUI',2,'&nbsp;Verwalten: Gruppen',1040640476);
INSERT INTO international VALUES (5,'USS',2,'Ihr Beitrag wurde abgelehnt.',1040650082);
INSERT INTO international VALUES (5,'SQLReport',2,'DSN (Data Source Name)',1040649383);
INSERT INTO international VALUES (5,'SiteMap',2,'SiteMap bearbeiten',1040649591);
INSERT INTO international VALUES (5,'Poll',2,'Breite der Grafik',1040646885);
INSERT INTO international VALUES (566,'WebGUI',2,'Timeout zum Bearbeiten',1041629666);
INSERT INTO international VALUES (5,'Item',2,'Anhang herunterladen',1040644938);
INSERT INTO international VALUES (5,'FAQ',2,'Frage',1040644571);
INSERT INTO international VALUES (5,'ExtraColumn',2,'StyleSheet Class',1040644477);
INSERT INTO international VALUES (700,'WebGUI',2,'Tag(e)',1041611360);
INSERT INTO international VALUES (5,'FileManager',2,'Dateititel',1040644808);
INSERT INTO international VALUES (4,'WebGUI',2,'&nbsp;Verwalten: Einstellungen',1040640578);
INSERT INTO international VALUES (4,'USS',2,'Ihr Beitrag wurde angenommen.',1041629356);
INSERT INTO international VALUES (4,'SQLReport',2,'Abfrage',1040649369);
INSERT INTO international VALUES (4,'SyndicatedContent',2,'Syndicated Content bearbeiten',1041617824);
INSERT INTO international VALUES (4,'SiteMap',2,'Tiefe',1040649577);
INSERT INTO international VALUES (4,'Poll',2,'Wer kann abstimmen?',1040646876);
INSERT INTO international VALUES (4,'Item',2,'Textelement',1040644925);
INSERT INTO international VALUES (4,'MessageBoard',2,'Beitrge pro Seite',1040646708);
INSERT INTO international VALUES (4,'ExtraColumn',2,'Breite',1040644466);
INSERT INTO international VALUES (4,'EventsCalendar',2,'Einmaliges Ereignis',1040644337);
INSERT INTO international VALUES (4,'Article',2,'Ende Datum',1040597938);
INSERT INTO international VALUES (3,'WebGUI',2,'Aus Zwischenablage einfgen...',1041627810);
INSERT INTO international VALUES (3,'USS',2,'Sie haben einen neuen Beitrag zu genehmigen.',1040649956);
INSERT INTO international VALUES (3,'SQLReport',2,'Report Template',1040649352);
INSERT INTO international VALUES (3,'SiteMap',2,'Beginnen mit?',1040649534);
INSERT INTO international VALUES (3,'Poll',2,'Aktiv',1040646865);
INSERT INTO international VALUES (564,'WebGUI',2,'Wer kann Beitrge schreiben?',1041629642);
INSERT INTO international VALUES (3,'LinkList',2,'In neuem Fenster ffnen?',1040645008);
INSERT INTO international VALUES (3,'Item',2,'Anhang lschen',1040644914);
INSERT INTO international VALUES (3,'ExtraColumn',2,'Platzhalter',1040644456);
INSERT INTO international VALUES (3,'FileManager',2,'Fortfahren, die Datei hinzuzufgen?',1040644798);
INSERT INTO international VALUES (3,'Article',2,'Start Datum',1040597929);
INSERT INTO international VALUES (2,'WebGUI',2,'&nbsp;Seite',1040641098);
INSERT INTO international VALUES (2,'USS',2,'Wer kann Beitrge schreiben?',1040649886);
INSERT INTO international VALUES (2,'SyndicatedContent',2,'Syndicated Content',1041617806);
INSERT INTO international VALUES (2,'SiteMap',2,'SiteMap',1040649477);
INSERT INTO international VALUES (2,'FAQ',2,'FAQ',1041635376);
INSERT INTO international VALUES (2,'Item',2,'Anhang',1040644904);
INSERT INTO international VALUES (2,'MessageBoard',2,'Diskussionsforum',1040646673);
INSERT INTO international VALUES (2,'EventsCalendar',2,'Veranstaltungskalender',1040644311);
INSERT INTO international VALUES (1,'WebGUI',2,'Inhalt hinzufgen...',1040650189);
INSERT INTO international VALUES (1,'SyndicatedContent',2,'URL zur RSS-Datei',1040649721);
INSERT INTO international VALUES (1,'USS',2,'Wer kann genehmigen?',1040649787);
INSERT INTO international VALUES (1,'SQLReport',2,'SQL Report',1043946507);
INSERT INTO international VALUES (1,'Poll',2,'Abstimmung',1040646819);
INSERT INTO international VALUES (1,'Item',2,'Link URL',1040644895);
INSERT INTO international VALUES (1,'ExtraColumn',2,'Extra Spalte',1040644447);
INSERT INTO international VALUES (87,'EventsCalendar',1,'Show 9 months from start.',1038190626);
INSERT INTO international VALUES (1,'FileManager',2,'Download Manager',1040644661);
INSERT INTO international VALUES (1,'Article',2,'Artikel',1040398023);
INSERT INTO international VALUES (395,'WebGUI',2,'Neue Grafik hinzufgen.',1041628150);
INSERT INTO international VALUES (722,'WebGUI',10,'ID',1036855613);
INSERT INTO international VALUES (398,'WebGUI',2,'Dokumententyp Beschreibung',1040650908);
INSERT INTO international VALUES (399,'WebGUI',2,'Diese Seite berprfen.',1041628161);
INSERT INTO international VALUES (400,'WebGUI',2,'Proxy Caching verhindern',1041628442);
INSERT INTO international VALUES (401,'WebGUI',2,'Sind Sie sicher, dass Sie diese Nachrichten und alle darunterliegenden lschen mchten?',1040647903);
INSERT INTO international VALUES (402,'WebGUI',2,'Die Nachricht, die Sie abfragen mchten, existiert leider nicht.',1040650980);
INSERT INTO international VALUES (403,'WebGUI',2,'Ich teile es lieber nicht mit.',1041628184);
INSERT INTO international VALUES (404,'WebGUI',2,'Erste Seite',1041631996);
INSERT INTO international VALUES (405,'WebGUI',2,'Letzte Seite',1041632005);
INSERT INTO international VALUES (406,'WebGUI',2,'Thumbnail Gre',1041616513);
INSERT INTO international VALUES (407,'WebGUI',2,'Klicken Sie hier, um sich zu registrieren.',1045604429);
INSERT INTO international VALUES (408,'WebGUI',2,'Startseiten bearbeiten',1040640244);
INSERT INTO international VALUES (409,'WebGUI',2,'Neue Startseite anlegen',1041628206);
INSERT INTO international VALUES (410,'WebGUI',2,'&nbsp;Verwalten: Startseiten',1040640721);
INSERT INTO international VALUES (411,'WebGUI',2,'Men Titel',1041632012);
INSERT INTO international VALUES (412,'WebGUI',2,'Zusammenfassung',1040651014);
INSERT INTO international VALUES (416,'WebGUI',2,'<h1>Abfrageproblem</h1> Ihre Anfrage macht dem\r\nSystem Probleme. Bitte bettigen Sie den Zurckbutton im Browser und\r\nversuchen Sie es nochmal. Sollte dieses Problem weiterbestehen, teilen Sie uns bitte mit, was Sie wo im System wann gemacht haben.',1040651888);
INSERT INTO international VALUES (417,'WebGUI',2,'<h1>Sicherheitsversto</h1> Sie haben versucht, auf einen Systemteil zuzugreifen, der Ihnen nicht erlaubt ist. Der Versto wurde gemeldet.',1041593339);
INSERT INTO international VALUES (418,'WebGUI',2,'Inhalt filtern',1048242855);
INSERT INTO international VALUES (419,'WebGUI',2,'Alles, ausser dem Text, entfernen.',1048593441);
INSERT INTO international VALUES (420,'WebGUI',2,'Nichts entfernen.',1048242899);
INSERT INTO international VALUES (421,'WebGUI',2,'Alles, bis auf einfache Formatierungen, entfernen.',1048593422);
INSERT INTO international VALUES (422,'WebGUI',2,'<h1>Anmeldung ist fehlgeschlagen!</h1> Die eingegebenen Zugangsdaten stimmen mit keinen Benutzerdaten berein.',1040651916);
INSERT INTO international VALUES (423,'WebGUI',2,'Aktive Sitzungen',1040398889);
INSERT INTO international VALUES (424,'WebGUI',2,'Anmeldungshistorie',1040398863);
INSERT INTO international VALUES (425,'WebGUI',2,'Aktive Sitzungen',1041628754);
INSERT INTO international VALUES (426,'WebGUI',2,'Anmeldeverlauf',1041593360);
INSERT INTO international VALUES (427,'WebGUI',2,'Styles',1040596068);
INSERT INTO international VALUES (428,'WebGUI',2,'Benutzername (ID)',1041632072);
INSERT INTO international VALUES (429,'WebGUI',2,'Anmelde Zeit',1041632092);
INSERT INTO international VALUES (430,'WebGUI',2,'Seite wurde das letzte mal angeschaut',1041628481);
INSERT INTO international VALUES (431,'WebGUI',2,'IP Adresse',1041632100);
INSERT INTO international VALUES (432,'WebGUI',2,'luft ab',1041632108);
INSERT INTO international VALUES (434,'WebGUI',2,'Status',1041632128);
INSERT INTO international VALUES (435,'WebGUI',2,'Sitzungssignatur',1041632137);
INSERT INTO international VALUES (436,'WebGUI',2,'Sitzung beenden',1041628768);
INSERT INTO international VALUES (437,'WebGUI',2,'Statistiken',1041632145);
INSERT INTO international VALUES (438,'WebGUI',2,'Ihr Name',1041632153);
INSERT INTO international VALUES (51,'USS',2,'Vorschaubild anzeigen?',1040650103);
INSERT INTO international VALUES (1,'Product',2,'Produkt',1040647163);
INSERT INTO international VALUES (10,'MailForm',2,'Von',1040598111);
INSERT INTO international VALUES (10,'Product',2,'Preis',1040647172);
INSERT INTO international VALUES (11,'FAQ',2,'Inhaltsverzeichnis aktivieren?',1040644529);
INSERT INTO international VALUES (11,'MailForm',2,'senden an (Email, Benutzername oder Gruppenname)',1040645079);
INSERT INTO international VALUES (11,'Product',2,'Produktnummer',1040647181);
INSERT INTO international VALUES (12,'FAQ',2,'Frage/Antwort einschalten?',1040644541);
INSERT INTO international VALUES (12,'MailForm',2,'Kopie',1040645088);
INSERT INTO international VALUES (728,'WebGUI',2,'Sind Sie sicher, da Sie diese Datei lschen mchten?',1040648207);
INSERT INTO international VALUES (13,'FAQ',2,'[top] Link einschalten?',1040644552);
INSERT INTO international VALUES (13,'MailForm',2,'Blindkopie',1040645098);
INSERT INTO international VALUES (13,'Product',2,'Prospekt',1040647224);
INSERT INTO international VALUES (14,'MailForm',2,'Betreff',1040645108);
INSERT INTO international VALUES (15,'MailForm',2,'Weitere Felder hinzufgen?',1040645122);
INSERT INTO international VALUES (15,'Product',2,'Garantie',1040647244);
INSERT INTO international VALUES (9,'MailForm',2,'Feld hinzufgen',1040645502);
INSERT INTO international VALUES (8,'MailForm',2,'Breite',1040645492);
INSERT INTO international VALUES (1,'MailForm',2,'Mail Formular',1040405801);
INSERT INTO international VALUES (16,'MailForm',2,'Eingangsbesttigung',1040645157);
INSERT INTO international VALUES (17,'MailForm',2,'E-mail wurde gesendet',1040645170);
INSERT INTO international VALUES (463,'WebGUI',2,'Reihen des Textbereichs',1044982063);
INSERT INTO international VALUES (462,'WebGUI',2,'Zeitformat',1041632224);
INSERT INTO international VALUES (461,'WebGUI',2,'Datumsformat',1044961156);
INSERT INTO international VALUES (460,'WebGUI',2,'Zeitabweichung',1041632217);
INSERT INTO international VALUES (46,'USS',2,'Lesen Sie mehr...',1040650048);
INSERT INTO international VALUES (46,'Product',2,'Produkt (verwandt) hinzufgen oder bearbeiten',1040648575);
INSERT INTO international VALUES (459,'WebGUI',2,'Das Profil dieses Benutzers bearbeiten.',1041628631);
INSERT INTO international VALUES (458,'WebGUI',2,'Gruppen dieses Benuzters bearbeiten',1041628609);
INSERT INTO international VALUES (457,'WebGUI',2,'Konto dieses Benutzers bearbeiten',1041593378);
INSERT INTO international VALUES (456,'WebGUI',2,'zurck zur Benutzerbersicht',1041628593);
INSERT INTO international VALUES (455,'WebGUI',2,'Profil des Benutzers bearbeiten',1041628579);
INSERT INTO international VALUES (454,'WebGUI',2,'letztes Update',1041632209);
INSERT INTO international VALUES (453,'WebGUI',2,'Erstelldatum',1041632201);
INSERT INTO international VALUES (452,'WebGUI',2,'Bitte warten ...',1041632191);
INSERT INTO international VALUES (451,'WebGUI',2,'ist erforderlich.',1041632181);
INSERT INTO international VALUES (450,'WebGUI',2,'Firmenname',1041632173);
INSERT INTO international VALUES (45,'USS',2,'zurck zu den Beitrgen',1040650038);
INSERT INTO international VALUES (449,'WebGUI',2,'sonstige Informationen',1041628552);
INSERT INTO international VALUES (448,'WebGUI',2,'Baumstruktur der Seite',1041628534);
INSERT INTO international VALUES (447,'WebGUI',2,'&nbsp;Verwalten: Baumstruktur',1040640595);
INSERT INTO international VALUES (445,'WebGUI',2,'Prferenzen',1041632163);
INSERT INTO international VALUES (444,'WebGUI',2,'demografische Informationen',1041628521);
INSERT INTO international VALUES (439,'WebGUI',2,'persnliche Informationen',1041628490);
INSERT INTO international VALUES (39,'USS',2,'Antwort schreiben',1040650007);
INSERT INTO international VALUES (4,'MailForm',2,'unsichtbar',1040645418);
INSERT INTO international VALUES (40,'Product',2,'Produkt Eigenschaft hinzufgen oder bearbeiten',1041632841);
INSERT INTO international VALUES (41,'USS',2,'Datum',1040639647);
INSERT INTO international VALUES (18,'MailForm',2,'Zurck!',1040645179);
INSERT INTO international VALUES (21,'Product',2,'weiteres verwandtes Produkt hinzufgen?',1040648710);
INSERT INTO international VALUES (8,'Product',2,'Produktgrafik 2',1040648973);
INSERT INTO international VALUES (78,'EventsCalendar',2,'Lschen Sie nichts, ich habe einen Fehler verursacht.',1040644404);
INSERT INTO international VALUES (73,'LinkList',2,'<b>Titel</b><br>\r\nDer Text, der verlinkt wird<br><br>\r\n<b>URL</b><br>\r\nDie URL zur Webseite, zu verlinkt wird.\r\n<br><br>\r\n<b>In neuem Fenster ffnen?</b><br>\r\nWhlen Sie \"Ja\", wenn der Link in einem neuen Fenster geffnet werden soll.\r\n<br><br>\r\n<b>Beschreibung</b><br>\r\nBeschreiben Sie die Seite, zu der Sie den Link gesetzt haben. Sie knnen dies auch auslassen, wenn Sie mchten.\r\n<br><br>\r\n<b>Als nchstes?</b><br>\r\nMchten Sie nun gleich einen weiteren Link einfgen?',1041633296);
INSERT INTO international VALUES (804,'WebGUI',2,'Diesen Style kopieren.',1040597735);
INSERT INTO international VALUES (803,'WebGUI',2,'Diesen Style bearbeiten.',1040597719);
INSERT INTO international VALUES (801,'WebGUI',2,'Wobject Interaktionen',1040597703);
INSERT INTO international VALUES (800,'WebGUI',2,'Eindeutige Besucher',1040597685);
INSERT INTO international VALUES (76,'EventsCalendar',2,'Nur dieses Ereignis lschen',1040644379);
INSERT INTO international VALUES (77,'EventsCalendar',2,'Dieses Ereignis und alle Wiederholungen lschen.',1040644391);
INSERT INTO international VALUES (75,'EventsCalendar',2,'Was mchten Sie gerne tun?',1040597885);
INSERT INTO international VALUES (61,'MailForm',21,' (/)',1041688594);
INSERT INTO international VALUES (72,'Poll',2,'Antworten zufllig anordnen?',1040646923);
INSERT INTO international VALUES (72,'LinkList',2,'Link hinzufgen oder bearbeiten',1040645036);
INSERT INTO international VALUES (72,'FAQ',2,'Frage hinzufgen oder bearbeiten',1040644620);
INSERT INTO international VALUES (72,'EventsCalendar',2,'Ereignis hinzufgen oder bearbeiten',1040644368);
INSERT INTO international VALUES (72,'FileManager',2,'Download hinzufgen oder bearbeiten',1040644857);
INSERT INTO international VALUES (717,'WebGUI',2,'Abmelden',1041631707);
INSERT INTO international VALUES (716,'WebGUI',2,'Anmelden',1041631699);
INSERT INTO international VALUES (715,'WebGUI',2,'Weiterleitungs URL',1041631643);
INSERT INTO international VALUES (27,'Product',2,'Merkmal',1041626158);
INSERT INTO international VALUES (26,'Product',2,'Produktname',1040647368);
INSERT INTO international VALUES (25,'Product',2,'Merkmale bearbeiten',1041626137);
INSERT INTO international VALUES (25,'MailForm',2,'Standardwert (optional)',1041602912);
INSERT INTO international VALUES (24,'Product',2,'Eine weitere Eigenschaft hinzufgen?',1040647336);
INSERT INTO international VALUES (2,'WobjectProxy',2,'Wobject Proxy bearbeiten',1041611131);
INSERT INTO international VALUES (26,'MailForm',2,'Eintragungen speichern?',1040645391);
INSERT INTO international VALUES (24,'MailForm',2,'Mgliche Werte der Drop-Down Box',1040645370);
INSERT INTO international VALUES (23,'Product',2,'Eigenschaft',1040647315);
INSERT INTO international VALUES (23,'MailForm',2,'Typ',1041603273);
INSERT INTO international VALUES (22,'Product',2,'Eigenschaft bearbeiten',1040647306);
INSERT INTO international VALUES (22,'MailForm',2,'Status',1040645344);
INSERT INTO international VALUES (21,'MailForm',2,'Feldname',1040645334);
INSERT INTO international VALUES (92,'EventsCalendar',1,'Previous Event',1038202281);
INSERT INTO international VALUES (20,'Product',2,'verwandtes Produkt',1040648728);
INSERT INTO international VALUES (20,'MailForm',2,'Feld bearbeiten',1040645325);
INSERT INTO international VALUES (2,'MailForm',2,'Hier Betreff ihrer Email eingeben',1040645315);
INSERT INTO international VALUES (14,'Product',2,'Handbuch',1040647234);
INSERT INTO international VALUES (20,'EventsCalendar',2,'ein Ereignis hinzufgen',1040644323);
INSERT INTO international VALUES (19,'Product',2,'verwandtes Produkt hinzufgen',1040648686);
INSERT INTO international VALUES (19,'MailForm',2,'Sind Sie sicher, dass Sie dieses Feld lschen mchten?',1040647952);
INSERT INTO international VALUES (520,'WebGUI',2,'Ich mchte per Email benachrichtigt werden.',1041628940);
INSERT INTO international VALUES (52,'Product',2,'Einen weiteren Gewinn hinzufgen?',1040648808);
INSERT INTO international VALUES (519,'WebGUI',2,'Ich mchte nicht benachrichtigt werden.',1041628917);
INSERT INTO international VALUES (517,'WebGUI',2,'Editieren ausschalten!',1040464575);
INSERT INTO international VALUES (516,'WebGUI',2,'Editieren einschalten!',1040464558);
INSERT INTO international VALUES (514,'WebGUI',2,'Ansichten',1041632441);
INSERT INTO international VALUES (51,'Product',2,'Gewinn',1040648651);
INSERT INTO international VALUES (508,'WebGUI',2,'&nbsp;Verwalten: Templates',1040640696);
INSERT INTO international VALUES (507,'WebGUI',2,'Templates bearbeiten',1040406060);
INSERT INTO international VALUES (506,'WebGUI',2,'Templates verwalten',1040639849);
INSERT INTO international VALUES (505,'WebGUI',2,'neues Template',1040405911);
INSERT INTO international VALUES (504,'WebGUI',2,'Template',1040405842);
INSERT INTO international VALUES (503,'WebGUI',2,'Template ID',1040405992);
INSERT INTO international VALUES (502,'WebGUI',2,'Sind Sie sich sicher, dass Sie dieses Template lschen mchten und alle Seiten, die dieses Template benutzen, somit auf das Standardtemplate setzen?',1040406207);
INSERT INTO international VALUES (500,'WebGUI',2,'ID der Seite',1041632413);
INSERT INTO international VALUES (5,'Product',2,'Sind Sie sicher, dass Sie dieses Merkmal lschen mchten?',1041626263);
INSERT INTO international VALUES (5,'MailForm',2,'Angezeigt',1040645433);
INSERT INTO international VALUES (499,'WebGUI',2,'Wobject ID',1041632396);
INSERT INTO international VALUES (498,'WebGUI',2,'Ende Datum',1045496397);
INSERT INTO international VALUES (497,'WebGUI',2,'Anfangsdatum',1041632381);
INSERT INTO international VALUES (493,'WebGUI',2,'Zurck zur Seite.',1041632373);
INSERT INTO international VALUES (49,'Product',2,'Produkt Vorzge hinzufgen oder bearbeiten',1041632907);
INSERT INTO international VALUES (488,'WebGUI',2,'Standardwert(e)',1041602891);
INSERT INTO international VALUES (487,'WebGUI',2,'mgliche Werte',1041632364);
INSERT INTO international VALUES (486,'WebGUI',2,'Datentyp',1041632356);
INSERT INTO international VALUES (483,'WebGUI',2,'Ja oder Nein',1041632348);
INSERT INTO international VALUES (482,'WebGUI',2,'Zahl (Integer)',1041632341);
INSERT INTO international VALUES (481,'WebGUI',2,'Telefonnummer',1041632333);
INSERT INTO international VALUES (480,'WebGUI',2,'Emailadresse',1041632324);
INSERT INTO international VALUES (48,'USS',2,'Diskussion erlauben?',1040650070);
INSERT INTO international VALUES (48,'Product',2,'Sind Sie sicher, dass Sie diesen Vorzug lschen mchten? Er kann, wenn er einmal gelscht wurde, nicht mehr wiederhergestellt werden.',1041622167);
INSERT INTO international VALUES (479,'WebGUI',2,'Datum',1041632308);
INSERT INTO international VALUES (478,'WebGUI',2,'URL',1041632300);
INSERT INTO international VALUES (477,'WebGUI',2,'HTML Bereich',1041632292);
INSERT INTO international VALUES (476,'WebGUI',2,'Textbereich',1044982113);
INSERT INTO international VALUES (475,'WebGUI',2,'Text',1041632273);
INSERT INTO international VALUES (474,'WebGUI',2,'Erforderlich?',1041632265);
INSERT INTO international VALUES (473,'WebGUI',2,'sichtbar?',1041632257);
INSERT INTO international VALUES (472,'WebGUI',2,'Label',1040651094);
INSERT INTO international VALUES (471,'WebGUI',2,'Benutzerprofilfeld bearbeiten',1041628742);
INSERT INTO international VALUES (470,'WebGUI',2,'Name',1041632248);
INSERT INTO international VALUES (47,'USS',2,'eine Antwort schreiben',1040650057);
INSERT INTO international VALUES (469,'WebGUI',2,'Id',1041632232);
INSERT INTO international VALUES (467,'WebGUI',2,'Sind Sie sicher, dass Sie dieses Feld und alle darauf bezogenen Benutzerdaten lschen mchten?',1040647852);
INSERT INTO international VALUES (466,'WebGUI',2,'Sind Sie sicher, dass Sie diese Kategorie lschen und alle ihre Felder in die Kategorie \'Sonstiges\' verschieben mchten?',1040648419);
INSERT INTO international VALUES (465,'WebGUI',2,'Gre der Textbox',1041628729);
INSERT INTO international VALUES (464,'WebGUI',2,'Spalten des Textbereichs',1044982091);
INSERT INTO international VALUES (52,'Survey',1,'Score',1037506007);
INSERT INTO international VALUES (51,'Survey',1,'Comments?',1037499470);
INSERT INTO international VALUES (50,'Survey',1,'Next',1037499410);
INSERT INTO international VALUES (49,'Survey',1,'You may not take this quiz at this time.',1037499363);
INSERT INTO international VALUES (696,'WebGUI',2,'Mlleimer leeren',1041631235);
INSERT INTO international VALUES (684,'WebGUI',2,'Templates hinzufgen oder bearbeiten',1041631170);
INSERT INTO international VALUES (683,'WebGUI',2,'Template verwalten',1040406082);
INSERT INTO international VALUES (682,'WebGUI',2,'Benutzerpofil bearbeiten',1041631153);
INSERT INTO international VALUES (681,'WebGUI',2,'Paket erstellen',1041632603);
INSERT INTO international VALUES (680,'WebGUI',2,'Paket hinzufgen',1041632570);
INSERT INTO international VALUES (58,'Survey',1,'Statistical Overview',1037556179);
INSERT INTO international VALUES (679,'WebGUI',2,'inhaltliche Einstellungen bearbeiten',1041631145);
INSERT INTO international VALUES (677,'WebGUI',2,'Wobject, hinzufgen/bearbeiten',1048243068);
INSERT INTO international VALUES (706,'WebGUI',2,'Stunde(n)',1041631471);
INSERT INTO international VALUES (707,'WebGUI',2,'Fehlersuche anzeigen?',1041631480);
INSERT INTO international VALUES (699,'WebGUI',2,'Erster Tag der Woche',1041611488);
INSERT INTO international VALUES (702,'WebGUI',2,'Monat(e)',1041611168);
INSERT INTO international VALUES (703,'WebGUI',2,'Jahr(e)',1041631443);
INSERT INTO international VALUES (704,'WebGUI',2,'Sekunde(n)',1041631451);
INSERT INTO international VALUES (7,'MailForm',2,'Mail Formular bearbeiten',1041604292);
INSERT INTO international VALUES (685,'WebGUI',2,'Template lschen',1041631227);
INSERT INTO international VALUES (678,'WebGUI',2,'Startseiten verwalten',1041630976);
INSERT INTO international VALUES (73,'Survey',1,'Delete all the responses.',1037573893);
INSERT INTO international VALUES (675,'WebGUI',2,'Suchmaschine benutzen',1041630892);
INSERT INTO international VALUES (674,'WebGUI',2,'sonstige Einstellungen bearbeiten',1041630883);
INSERT INTO international VALUES (672,'WebGUI',2,'Profileinstellungen bearbeiten',1041630873);
INSERT INTO international VALUES (669,'WebGUI',2,'Makros, Verwenden',1048243026);
INSERT INTO international VALUES (668,'WebGUI',2,'Style Sheets, Verwenden',1048242988);
INSERT INTO international VALUES (697,'WebGUI',2,'Karma verwenden',1040403885);
INSERT INTO international VALUES (670,'WebGUI',2,'Grafik hinzufgen oder bearbeiten',1041630855);
INSERT INTO international VALUES (666,'WebGUI',2,'Style hinzufgen oder bearbeiten',1041630473);
INSERT INTO international VALUES (665,'WebGUI',2,'Gruppe lschen',1041630789);
INSERT INTO international VALUES (662,'WebGUI',2,'Einstellungen verwalten',1041631762);
INSERT INTO international VALUES (663,'WebGUI',2,'Benachrichtigungsoptionen, Bearbeiten',1045240942);
INSERT INTO international VALUES (705,'WebGUI',2,'Minute(n)',1041631459);
INSERT INTO international VALUES (661,'WebGUI',2,'Dateieinstellungen bearbeiten',1041631860);
INSERT INTO international VALUES (659,'WebGUI',2,'Styles verwalten',1041630385);
INSERT INTO international VALUES (658,'WebGUI',2,'Benutzer verwalten',1040639097);
INSERT INTO international VALUES (660,'WebGUI',2,'Gruppen verwalten',1041632451);
INSERT INTO international VALUES (655,'WebGUI',2,'Benutzer, hinzufgen oder bearbeiten',1041630298);
INSERT INTO international VALUES (652,'WebGUI',2,'Benutzereinstellungen, Bearbeiten',1045243060);
INSERT INTO international VALUES (671,'WebGUI',2,'Wobjects, Benutzen',1048243040);
INSERT INTO international VALUES (657,'WebGUI',2,'Benutzer lschen',1041630371);
INSERT INTO international VALUES (667,'WebGUI',2,'Gruppe hinzufgen oder bearbeiten',1041630838);
INSERT INTO international VALUES (653,'WebGUI',2,'Seite lschen',1041630070);
INSERT INTO international VALUES (656,'WebGUI',2,'Informationen ber das Unternehmen bearbeiten',1041630656);
INSERT INTO international VALUES (651,'WebGUI',2,'Falls Sie Ihren Mlleimer leeren, werden alle Posten darin unwiderruflich gelscht. Wenn Sie sich ber einige Posten nicht sicher sind, wre es am besten, sie mittels \'ausschneiden\' in die Zwischenablage zu legen, bevor Sie den Mlleimer leeren.',1040598182);
INSERT INTO international VALUES (664,'WebGUI',2,'Wobject lschen',1041630780);
INSERT INTO international VALUES (640,'WebGUI',2,'Es ist nicht sinnvoll Templates zu lschen, da man nie wei, welche ungnstige Auswirkung es auf die Seite haben kann (manche Seiten nutzen dieses Template eventuell noch). Wenn Sie ein Template lschen, werden alle Seiten, die dieses Template noch benutzen, auf das Standardtemplate gesetzt.',1040406160);
INSERT INTO international VALUES (7,'Product',2,'Produktgrafik 1',1040649077);
INSERT INTO international VALUES (526,'WebGUI',2,'JavaScript entfernen und blockiere Makros.',1049099918);
INSERT INTO international VALUES (578,'WebGUI',10,'Du har afventende meddelelser der skal godkendes.',1037205157);
INSERT INTO international VALUES (552,'WebGUI',2,'Ausstehend',1041610245);
INSERT INTO international VALUES (551,'WebGUI',2,'Notiz/Bemerkung',1041629306);
INSERT INTO international VALUES (542,'WebGUI',2,'Vorhergerige(r)',1041629201);
INSERT INTO international VALUES (55,'Product',2,'Vorzug/Vorteil hinzufgen',1041622264);
INSERT INTO international VALUES (539,'WebGUI',2,'Karma aktivieren?',1040403865);
INSERT INTO international VALUES (575,'WebGUI',10,'Redigr',1037205114);
INSERT INTO international VALUES (660,'WebGUI',10,'Grupper, Hndter',1036856312);
INSERT INTO international VALUES (535,'WebGUI',2,'Gruppe, die bei einem neuen Benutzer benachrichtigt werden soll',1040651243);
INSERT INTO international VALUES (534,'WebGUI',2,'Bei neuem Benutzer benachrichtigen?',1041629152);
INSERT INTO international VALUES (536,'WebGUI',2,'Ein neuer Benutzer mit dem Namen ^@; hat die Seite betreten.',1048529529);
INSERT INTO international VALUES (2,'WobjectProxy',10,'Redigr Wobject Proxy',1036856135);
INSERT INTO international VALUES (543,'WebGUI',2,'neue Gruppe von Bildern hinzufgen',1041629210);
INSERT INTO international VALUES (541,'WebGUI',2,'Karma pro Beitrag',1041629189);
INSERT INTO international VALUES (537,'WebGUI',2,'Karma',1041629160);
INSERT INTO international VALUES (540,'WebGUI',2,'Karma pro Login',1041629172);
INSERT INTO international VALUES (54,'Product',2,'Gewinne',1040648851);
INSERT INTO international VALUES (533,'WebGUI',2,'<b>ohne</b> die Wrter',1041629125);
INSERT INTO international VALUES (525,'WebGUI',2,'inhaltliche Einstellungen bearbeiten',1041628966);
INSERT INTO international VALUES (522,'WebGUI',2,'Ich mchte ber ICQ benachrichtigt werden.',1041628948);
INSERT INTO international VALUES (527,'WebGUI',2,'Standard Startseite',1041628984);
INSERT INTO international VALUES (528,'WebGUI',2,'Name des Templates',1040406037);
INSERT INTO international VALUES (523,'WebGUI',2,'Benachrichtigung',1041628956);
INSERT INTO international VALUES (38,'Product',2,'Produkt hinzufgen oder bearbeiten',1040648539);
INSERT INTO international VALUES (532,'WebGUI',2,'mit <b>mindestens einem</b> der Wrter',1041629029);
INSERT INTO international VALUES (36,'Product',2,'Zubehr hinzufgen',1040648529);
INSERT INTO international VALUES (531,'WebGUI',2,'mit <b>genau dem Satz</b>',1041629097);
INSERT INTO international VALUES (530,'WebGUI',2,'mit <b>all</b> diesen Wrtern',1041629067);
INSERT INTO international VALUES (433,'WebGUI',2,'Benutzeragent',1041632120);
INSERT INTO international VALUES (53,'USS',2,'Layout',1040650113);
INSERT INTO international VALUES (31,'Product',2,'Merkmale',1041626214);
INSERT INTO international VALUES (53,'Product',2,'Vorzug bearbeiten',1041622227);
INSERT INTO international VALUES (30,'Product',2,'Eigenschaften',1040648485);
INSERT INTO international VALUES (3,'MailForm',2,'Vielen Dank fr Ihren Beitrag!',1040645407);
INSERT INTO international VALUES (29,'Product',2,'Einheiten',1040647667);
INSERT INTO international VALUES (28,'Product',2,'Weitere Merkmale hinzufgen?',1041626195);
INSERT INTO international VALUES (3,'Product',2,'Sind Sie sicher, dass Sie diese Eigenschaft lschen mchten?',1040648288);
INSERT INTO international VALUES (32,'Product',2,'Zubehr',1040648494);
INSERT INTO international VALUES (33,'Product',2,'Verwandte Produkte',1040648504);
INSERT INTO international VALUES (34,'Product',2,'Eine Eigenschaft hinzufgen.',1040648518);
INSERT INTO international VALUES (61,'USS',2,'Benutzerbeitragssystem, hinzufgen/bearbeiten',1048242817);
INSERT INTO international VALUES (61,'SiteMap',2,'SiteMap hinzufgen oder bearbeiten',1040649701);
INSERT INTO international VALUES (61,'SQLReport',2,'SQL Report hinzufgen oder bearbeiten',1043946524);
INSERT INTO international VALUES (61,'Product',2,'Produkt Template',1040405973);
INSERT INTO international VALUES (61,'Poll',2,'Abstimmung hinzufgen oder bearbeiten',1040646904);
INSERT INTO international VALUES (61,'MessageBoard',2,'Diskussionsforum, hinzufgen/bearbeiten',1048242771);
INSERT INTO international VALUES (61,'LinkList',2,'Linkliste hinzufgen oder bearbeiten',1040645027);
INSERT INTO international VALUES (61,'Item',2,'Textelement hinzufgen oder bearbeiten',1040644958);
INSERT INTO international VALUES (61,'FAQ',2,'FAQ hinzufgen oder bearbeiten',1040644590);
INSERT INTO international VALUES (61,'ExtraColumn',2,'zustzliche Spalte hinzufgen oder bearbeiten',1040644500);
INSERT INTO international VALUES (61,'EventsCalendar',2,'Ereigniskalender hinzufgen oder bearbeiten',1040644357);
INSERT INTO international VALUES (61,'FileManager',2,'Download Manager hinzufgen oder bearbeiten',1040646987);
INSERT INTO international VALUES (61,'Article',2,'Artikel hinzufgen/bearbeiten',1048175092);
INSERT INTO international VALUES (61,'MailForm',2,'Mail Formular hinzufgen oder bearbeiten',1041604330);
INSERT INTO international VALUES (60,'Product',2,'Template',1040405867);
INSERT INTO international VALUES (6,'Product',2,'Produkt bearbeiten',1040648932);
INSERT INTO international VALUES (6,'MailForm',2,'vernderbar',1040645444);
INSERT INTO international VALUES (6,'Item',2,'Textelement bearbeiten',1040644948);
INSERT INTO international VALUES (597,'WebGUI',2,'bersetzung bearbeiten',1041630007);
INSERT INTO international VALUES (596,'WebGUI',2,'fehlende bersetzung',1041629999);
INSERT INTO international VALUES (598,'WebGUI',2,'Sprache bearbeiten',1041630015);
INSERT INTO international VALUES (594,'WebGUI',2,'bersetzen',1041629979);
INSERT INTO international VALUES (593,'WebGUI',2,'bersetzung bermitteln.',1040398176);
INSERT INTO international VALUES (592,'WebGUI',2,'Zeichensatz',1041629971);
INSERT INTO international VALUES (591,'WebGUI',2,'Sprache',1041629963);
INSERT INTO international VALUES (590,'WebGUI',2,'ID der Sprache',1041629955);
INSERT INTO international VALUES (595,'WebGUI',2,'bersetzungen',1041629989);
INSERT INTO international VALUES (59,'Product',2,'Name',1040648917);
INSERT INTO international VALUES (589,'WebGUI',2,'Sprache bearbeiten',1041629931);
INSERT INTO international VALUES (588,'WebGUI',2,'Sind Sie sicher, dass Sie diese bersetzung an Plain Black zur Einbeziehung in die Standardverteilung bermitteln mchten?\r\nWenn Sie den \'Ja\'-Link anklicken, erklren Sie sich damit einverstanden, dass Sie Plain Black eine unbeschrnkte Lizenz zur Verwendung der bersetzung in seiner Softwareverteilung geben.',1040648165);
INSERT INTO international VALUES (587,'WebGUI',2,'Sind Sie sicher, dass Sie diese Sprache und somit auch alle damit verbundenen sprachspezifischen Nachrichten und damit auch die Hilfenachrichten lschen mchten?',1040648130);
INSERT INTO international VALUES (586,'WebGUI',2,'Sprachen verwalten',1041629914);
INSERT INTO international VALUES (585,'WebGUI',2,'&nbsp;Verwalten: bersetzungen',1040640671);
INSERT INTO international VALUES (584,'WebGUI',2,'Neue Sprache hinzufgen.',1040398571);
INSERT INTO international VALUES (35,'Product',2,'Merkmal hinzufgen',1041626240);
INSERT INTO international VALUES (654,'WebGUI',2,'Style lschen',1041630083);
INSERT INTO international VALUES (581,'WebGUI',2,'neuen Wert hinzufgen',1041629849);
INSERT INTO international VALUES (642,'WebGUI',2,'Seite hinzufgen oder bearbeiten',1041630047);
INSERT INTO international VALUES (62,'Product',2,'Produkt Template hinzufgen oder bearbeiten',1040648945);
INSERT INTO international VALUES (62,'MailForm',2,'Mail Formular Felder hinzufgen oder bearbeiten',1041604431);
INSERT INTO international VALUES (605,'WebGUI',2,'Gruppen hinzufgen',1041630023);
INSERT INTO international VALUES (59,'USS',2,'nchster Beitrag',1040650142);
INSERT INTO international VALUES (583,'WebGUI',2,'maximale Gre einer Grafik',1041629893);
INSERT INTO international VALUES (582,'WebGUI',2,'freilassen',1041629858);
INSERT INTO international VALUES (580,'WebGUI',2,'Ihre Nachricht wurde abgelehnt.',1041629841);
INSERT INTO international VALUES (58,'USS',2,'vorheriger Beitrag',1040650131);
INSERT INTO international VALUES (58,'Product',2,'Produkt Template bearbeiten',1040648907);
INSERT INTO international VALUES (579,'WebGUI',2,'Ihre Nachricht wurde akzeptiert.',1041629829);
INSERT INTO international VALUES (576,'WebGUI',2,'Lschen',1041629766);
INSERT INTO international VALUES (575,'WebGUI',2,'Bearbeiten',1041629690);
INSERT INTO international VALUES (57,'USS',2,'Antworten',1040650122);
INSERT INTO international VALUES (57,'Product',2,'Sind Sie sicher, dass Sie dieses Template lschen und alle Produkte, die dieses benutzen, auf das Standardtemplate setzen mchten?',1041631321);
INSERT INTO international VALUES (569,'WebGUI',2,'Moderationsart',1041629673);
INSERT INTO international VALUES (56,'Product',2,'Ein Produkt Template hinzufgen.',1040648893);
INSERT INTO international VALUES (557,'WebGUI',2,'Beschreibung',1045497414);
INSERT INTO international VALUES (556,'WebGUI',2,'Menge',1041633738);
INSERT INTO international VALUES (553,'WebGUI',2,'Status',1041629314);
INSERT INTO international VALUES (529,'WebGUI',2,'Ergebnisse',1041628992);
INSERT INTO international VALUES (588,'WebGUI',1,'Are you certain you wish to submit this translation to Plain Black for inclusion in the official distribution of WebGUI? By clicking on the yes link you understand that you\'re giving Plain Black an unlimited license to use the translation in its software distributions.',1031514630);
INSERT INTO international VALUES (593,'WebGUI',1,'Submit this translation.',1036970850);
INSERT INTO international VALUES (594,'WebGUI',1,'Translate messages.',1031514314);
INSERT INTO international VALUES (61,'USS',1,'User Submission System, Add/Edit',1047859664);
INSERT INTO international VALUES (71,'USS',1,'User Submission Systems are a great way to add a sense of community to any site as well as get free content from your users.\r\n<br><br>\r\n\r\n<b>Main Template</b><br>\r\nChoose a layout for this USS.\r\n<p/>\r\n\r\n\r\n<b>Filter Content</b><br>\r\nSelect the level of content filtering you wish to perform on all submitted content.\r\n<p>\r\n\r\n<b>Submission Template</b><br/>\r\nChoose a layout for the individual submissions.\r\n<p/>\r\n\r\n<b>Who can approve?</b><br>\r\nWhat group is allowed to approve and deny content?\r\n<br><br>\r\n\r\n<b>Who can contribute?</b><br>\r\nWhat group is allowed to contribute content?\r\n<br><br>\r\n\r\n<b>Submissions Per Page</b><br>\r\nHow many submissions should be listed per page in the submissions index?\r\n<br><br>\r\n\r\n<b>Default Status</b><br>\r\nShould submissions be set to <i>Approved</i>, <i>Pending</i>, or <i>Denied</i> by default?\r\n<br><br>\r\n<i>Note:</i> If you set the default status to Pending, then be prepared to monitor your message log for new submissions.\r\n<p>\r\n\r\n<b>Karma Per Submission</b><br>\r\nHow much karma should be given to a user when they contribute to this user submission system?\r\n<p>\r\n\r\n\r\n<b>Display thumbnails?</b><br>\r\nIf there is an image present in the submission, the thumbnail will be displayed in the Layout (see above).\r\n<p>\r\n\r\n<b>Allow discussion?</b><br>\r\nChecking this box will enable responses to your article much like Articles on Slashdot.org.\r\n<p>\r\n\r\n\r\n<b>Filter Post</b><br>\r\nSelect the level of content filtering you wish to perform on all discussion posts.\r\n<p>\r\n\r\n<b>Who can post?</b><br>\r\nSelect the group that is allowed to post to this discussion.\r\n<p>\r\n\r\n<b>Edit Timeout</b><br>\r\nHow long should a user be able to edit their post before editing is locked to them?\r\n<p>\r\n<i>NOTE:</i> Don\'t set this limit too high. One of the great things about discussions is that they are an accurate record of who said what. If you allow editing for a long time, then a user has a chance to go back and change his/her mind a long time after the original statement was made.\r\n<p>\r\n\r\n<b>Karma Per Post</b><br>\r\nHow much karma should be given to a user when they post to this discussion?\r\n<p>\r\n\r\n<b>Who can moderate?</b><br>\r\nSelect the group that is allowed to moderate this discussion.\r\n<p>\r\n\r\n<b>Moderation Type?</b><br>\r\nYou can select what type of moderation you\'d like for your users. <i>After-the-fact</i> means that when a user posts a message it is displayed publically right away. <i>Pre-emptive</i> means that a moderator must preview and approve users posts before allowing them to be publically visible. Alerts for new posts will automatically show up in the moderator\'s WebGUI Inbox.\r\n<p>\r\n<i>NOTE:</i> In both types of moderation the moderator can always edit or delete the messages posted by your users.\r\n<p>\r\n\r\n<b>Add edit stamp to posts?</b><br>\r\nDo you wish to \"stamp\" all edits so that you can track who edited a post and when?\r\n<p>\r\n',1047859664);
INSERT INTO international VALUES (722,'WebGUI',1,'Id',1031517195);
INSERT INTO international VALUES (721,'WebGUI',1,'Namespace',1031515005);
INSERT INTO international VALUES (720,'WebGUI',1,'OK',1031514777);
INSERT INTO international VALUES (719,'WebGUI',1,'Out of Date',1031514679);
INSERT INTO international VALUES (718,'WebGUI',1,'Export this translation.',1036970877);
INSERT INTO international VALUES (12,'Poll',1,'Total Votes:',1031514049);
INSERT INTO international VALUES (12,'Poll',7,'ͶƱ:',1031514049);
INSERT INTO international VALUES (723,'WebGUI',1,'Deprecated',1031800566);
INSERT INTO international VALUES (5,'Auth/WebGUI',1,'Your password cannot be \"password\".',1031880154);
INSERT INTO international VALUES (725,'WebGUI',1,'Your username cannot be blank.',1031879612);
INSERT INTO international VALUES (724,'WebGUI',1,'Your username cannot begin or end with a space.',1031879593);
INSERT INTO international VALUES (4,'Auth/WebGUI',1,'Your password cannot be blank.',1031879567);
INSERT INTO international VALUES (5,'Auth/WebGUI',6,'Ditt lsenord kan inte vara \"lsenord\".',1032262393);
INSERT INTO international VALUES (4,'Auth/WebGUI',6,'Du mste fylla i ett lsenord.',1032262370);
INSERT INTO international VALUES (725,'WebGUI',6,'Du mste fylla i ett anvndarnamn.',1032262345);
INSERT INTO international VALUES (724,'WebGUI',6,'Ditt anvndarnamn kan inte brja eller sluta med ett mellanslag.',1032262328);
INSERT INTO international VALUES (12,'Poll',6,'Totalt antal rster:',1032262302);
INSERT INTO international VALUES (723,'WebGUI',6,'Frldrat',1032262278);
INSERT INTO international VALUES (63,'Product',6,'Produktmallar anvnds fr att kontrollera hur din produkt presenteras fr anvndarna. Detta fungerar p liknande stt som vriga mallar till WebGUI. Det finns ngra referensmallar fr att ge dig en snabbstart, men det bsta r nd att skapa ett utseende som passar din produkt.\r\n\r\nTroligtvis behver du inte anvnda alla flt som WebGUI\'s produkthanterare tillhandahller. Ta bort ondiga flt nr du skapar en ny mall fr att f sidorna att ladda snabbare.\r\n\r\n<b>Note:</b> Du br inte ndra standardmallarna utan istllet gra kopior av dom. Vid WebGUI uppgraderingar skrivs standardmallarna ver med nya uppdaterade vilket tar bort dina ndringar. Kopior rrs inte av en uppgradering.\r\n\r\nDet finns mnga special-macros att anvnda i dina produktmallar.\r\n\r\n<b>^Product_Accessories;</b>\r\nVisar en lista p tillbehr till produkten.\r\n\r\n<b>^Product_Benefits;</b>\r\nVisar en lista p frdelar med produkten.\r\n\r\n<b>^Product_Description;</b>\r\nVisar en produkts beskrivning.\r\n\r\n<b>^Product_Features;</b>\r\nVisar en lista p produktens egenskaper.\r\n\r\n<b>^Product_Image1;</b>\r\nVisar den frsta bilden du laddade upp (om det finns ngon).\r\n\r\n<b>^Product_Image2;</b>\r\nVisar den andra bilden du laddade upp (om det finns ngon).\r\n\r\n<b>^Product_Image3;</b>\r\nVisar den tredje bilden du laddade upp (om det finns ngon).\r\n\r\n<b>^Product_Number;</b>\r\nVisar produktens nummer.\r\n\r\n<b>^Product_Price;</b>\r\nVisar produktens pris.\r\n\r\n<b>^Product_Related;</b>\r\nVisar en lista p relaterade produkter.\r\n\r\n<b>^Product_Specifications;</b>\r\nVisar en lista p produktens specifikationer.\r\n\r\n<b>^Product_Thumbnail1;</b>\r\nVisar en miniatyrbild av den den frsta bilden du laddade upp till produkten (om du gjorde det) tillsammans med en lnk till bilden i full storlek.\r\n\r\n<b>^Product_Thumbnail2;</b>\r\nVisar en miniatyrbild av den den andra bilden du laddade upp till produkten (om du gjorde det) tillsammans med en lnk till bilden i full storlek.\r\n\r\n<b>^Product_Thumbnail3;</b>\r\nVisar en miniatyrbild av den den tredje bilden du laddade upp till produkten (om du gjorde det) tillsammans med en lnk till bilden i full storlek.\r\n\r\n<b>^Product_Title;</b>\r\nVisar produktens titel. Om du anvnder det hr macrot vill du antagligen stnga av visning av standardtitel genom att vlja Nej p Visa titel-fltet.',1032260807);
INSERT INTO international VALUES (678,'WebGUI',6,'Bassidor, hantera',1032260722);
INSERT INTO international VALUES (497,'WebGUI',6,'Startdatum',1032259765);
INSERT INTO international VALUES (6,'WobjectProxy',6,'Men wobject proxy kan du spegla ett wobject frn en annan sida till vilken annan sida som helst. Det r anvndbart nr du vill teranvnda innehll frn en sektion av webbplatsen till en annan.\r\n\r\n<b>Wobject till proxy</b>\r\nVlj ett wobject frn ditt system som du vill proxya. Vljrutan visar innehll som \"Sidtitel / Wobject namn (Wobject-ID)\" s att du snabbt och enkelt kan hitta det wobject du letar efter.',1032257192);
INSERT INTO international VALUES (5,'WobjectProxy',6,'Wobject Proxy, lgg till/redigera',1032256964);
INSERT INTO international VALUES (4,'WobjectProxy',6,'Wobject proxying misslyckades. Kanske det proxiade wobjectet har blivit borttaget?',1032256949);
INSERT INTO international VALUES (3,'WobjectProxy',6,'Wobject Proxy',1032256918);
INSERT INTO international VALUES (2,'WobjectProxy',6,'Redigera wobject proxy',1032256908);
INSERT INTO international VALUES (1,'WobjectProxy',6,'Wobject till Proxy',1032256896);
INSERT INTO international VALUES (840,'WebGUI',2,'Diese Makros werden verwendet um programmier hnliche Funktionalitt einzubauen \r\n<P><b>^D; oder ^D(); - Datum</b><BR>Das aktuelle Datum und die Uhrzeit. \r\n<P>Sie knnen dies mit den Formatierungssymbolen konfigurieren. Wenn Sie z. \r\nB. eine Makro wie  <b>^D(&quot;%c %D, %y&quot;);</b> erstellen, wird Ihnen folgendes \r\nangezeigt \r\n<b>September 26, 2001</b>. Nachfolgend die verfgbaren Formatierungssymbole: \r\n<P>\r\n<TABLE>\r\n<TBODY>\r\n<TR>\r\n<TD>%%</TD>\r\n<TD>%</TD></TR>\r\n<TR>\r\n<TD>%y</TD>\r\n<TD>4-stelliges Jahr</TD></TR>\r\n<TR>\r\n<TD>%Y</TD>\r\n<TD>2-stelliges Jahr</TD></TR>\r\n<TR>\r\n<TD>%m</TD>\r\n<TD>2-stelliger Monat</TD></TR>\r\n<TR>\r\n<TD>%M</TD>\r\n<TD>variable Monat</TD></TR>\r\n<TR>\r\n<TD>%c</TD>\r\n<TD>Monatsname</TD></TR>\r\n<TR>\r\n<TD>%d</TD>\r\n<TD>2-stelliger Tag</TD></TR>\r\n<TR>\r\n<TD>%D</TD>\r\n<TD>variable  Tag des Monats?</TD></TR>\r\n<TR>\r\n<TD>%w</TD>\r\n<TD>Name des Wochentags</TD></TR>\r\n<TR>\r\n<TD>%h</TD>\r\n<TD>2-stellige Uhrzeit (12-Stunden Format)</TD></TR>\r\n<TR>\r\n<TD>%H</TD>\r\n<TD>variable Uhrzeit (12-Stunden Format) ?</TD></TR>\r\n<TR>\r\n<TD>%j</TD>\r\n<TD>2-stellige Uhrzeit (24-Stunden Format)</TD></TR>\r\n<TR>\r\n<TD>%J</TD>\r\n<TD>variable Uhrzeit (24-Stunden Format) ?</TD></TR>\r\n<TR>\r\n<TD>%p</TD>\r\n<TD>kleingeschrieben am/pm</TD></TR>\r\n<TR>\r\n<TD>%P</TD>\r\n<TD>grossgeschrieben AM/PM</TD></TR>\r\n<TR>\r\n<TD>%z</TD>\r\n<TD>Benutzerdefiniertes Datums-Format</TD></TR>\r\n<TR>\r\n<TD>%Z</TD>\r\n<TD>Benutzerdefiniertes Zeit-Format</TD></TR></TBODY></TABLE>\r\n<P><b>^Env()</b><BR>Kann benutzt werden, um eine WebServer Umgebungsvariable \r\nauf der Seite anzeigen zu lassen. Diese Umgebungsvariablen sind von WebServer \r\nzu WebServer unterschiedlich, aber Sie knnen Sie die verfgbaren Variablen \r\nanzeigen lassen, wenn Sie  \r\nhttp://www.ihreWebGUISeite.de/<b>env.pl</b> \r\naufrufen. <P>Das Makro wird z. B. wie folgt verwendet ^Env(&quot;REMOTE_ADDR&quot;); \r\n<P><b>^Execute();</b><BR>Gibt dem Contentmanager oder Administrator die Mglichkeit, \r\nein externes Programm auszufhren. Beispiel:  <b>^Execute(&quot;/verzeichnis/datei.sh&quot;);</b>. \r\n<P><b>^FormParam();</b><BR>Dieses Makro wird hauptschlich benutzt, um dynamische \r\nAbfragen in  SQL Reports zu erzeugen. Das Benutzen dieses Makros kann z. B. \r\nden Wert eines Formularfeldes zurckgeben, in dem Sie einfach den Namen des \r\nFormularfeldes einsetzen, wie z. b.  \r\n<b>^FormParam(&quot;Telefon Nummer&quot;);</b> \r\n<P><b>^Include();</b><BR>Gibt dem Contentmanager oder Administrator die Mglichkeit, \r\neine Datei des lokalen Dateisystems einzubinden \r\n<P><I>Beispiel:</I> ^Include(&quot;/verzeichnis/seite.html&quot;); \r\n<P><b>^International();</b><BR>Gibt den bersetzten Text vom \'Internationalisierungs-System\' \r\n(bersetzungen) zurck. \r\n<P><I>Beispiel:</I> ^International(45,&quot;Article&quot;); \r\nBeachte: Es muss die englische Bezeichnung (Article) verwendet werden.<P><b>^Quote();</b><BR>Benutzen \r\nSie dies, um einen String abzuschliessen bevor Sie in in einer Datenbank-Abfrage \r\nbenutzen, z.B. ^Quote(suche dieses oder jenes); \r\n<P><b>^Page();</b><BR>Dieses \r\nMakro kann verwendet werden, um Informationen der aktuellen Seite zurckzugeben. \r\nZum Beispiel kann es benutzt werden, um die Seiten-URL anzuzeigen: \r\n<b>^Page(&quot;urlizedTitle&quot;);</b> oder um einen Menutitel zu erhalten: <b>^Page(&quot;menuTitle&quot;);</b>. \r\n<P><b>^SQL();</b><BR>Ein einzeiliger  SQL Report. Manchmal ist es erforderlich, \r\nschnell einen Datenbankinhalt zurckzugeben. Dieses Makro ist aber auch gut \r\neinsetzbar, um einen SQL-Report zu erweitern. Es werden numerische Makros  (<b>^0; ^1; ^2;</b> etc) benutz, \r\num Daten zu positionieren. Sie knnen auch das  <b>^rownum;</b> Makro wie beim \r\n SQL Report Wobject benutzen.<br> \r\n<br>Beispiele:\r\n<P>^SQL(&quot;select count(*) from users&quot;,&quot;Es sind  ^0; Benutzer registriert.&quot;); \r\n<P>^SQL(&quot;select userId,username from users order by username&quot;,&quot;&lt;a \r\nhref=\'^/;?op=viewProfile&amp;uid=^0;\'&gt;^1;&lt;/a&gt;&lt;br&gt;&quot;); \r\n<P><b>^URLEncode();</b><BR>Dieses Makro wird auch hauptschlich in SQL Reports \r\nverwendet, aber es kann auch genauso gut wo anders eingesetzt werden. Es berprft \r\nden Inhalt einer Eingabe (z. B. im Formular) und wandelt ihn in eine URL \r\num, sodass die Eingabe nachher als Link angezeigt wird. Die Syntax ist wie folgt: ^URLEncode(&quot;Ist dies \r\nmeine Eingabe?&quot;); \r\n<P><b>^User();</b><BR>Mit diesem Makro knnen Sie einige Infos aus dem Benutzer-Konto \r\noder Benutzerprofil anzeigen lassen. Wenn Sie z. B. die Emailadresse des Benutzers \r\nanzeigen mchten, mssen Sie das Makro wie folgt verwenden: <b>^User(&quot;email&quot;);</b><P><b>^*; oder ^*(); - Zufallszahl</b><BR>Eine \r\nZufallszahl. Wird oft in Banner-Ads oder hnlichem bentigt, um z. B. sicherzustellen, \r\ndas nicht gecachet wird. Sie knnen dieses Makro u. a. einsetzen, um eine Zufallszahl \r\nzwischen 1 und 100 zu erzeugen: <b>^*(100);</b> . \r\n<P><b>^-;,^0;,^1;,^2;,^3;, etc.</b><BR>Diese Makros sind fr System/Wobject \r\nspezifische Funktionen reserviert, wie im SQL Report oder im Body des Style \r\nManagers.</P>',1048590583);
INSERT INTO international VALUES (698,'WebGUI',6,'Karma r en metod fr att mta en anvndares aktivitet och eventuellt belna eller bestraffa denne beroende p aktivitetsniv. Nr vl karma r pslaget kommer du mrka att mnga saker i WebGUI ndras fr att visa karma.\r\n\r\nDu kan mta om anvndarna loggar in och hur mycket de bidrar med till din webbplats. Du kan tillta dem att komma t material baserat p deras karma-niv.\r\n\r\nDu kan lsa mer om karma i online-boken Ruling WebGUI.',1032256794);
INSERT INTO international VALUES (651,'WebGUI',6,'Om du vljer att tmma skrpkorgen kommer alla saker i den att frsvinna. Om du r osker p vissa saker kan du klippa ut dom till klippbordet innan du tmmer skrpkorgen.',1032256602);
INSERT INTO international VALUES (71,'Survey',1,'Grade Book',1037573252);
INSERT INTO international VALUES (70,'Survey',1,'Individual Responses',1037573240);
INSERT INTO international VALUES (69,'Survey',1,'Delete this user\'s responses.',1037573082);
INSERT INTO international VALUES (68,'Survey',1,'View reports and exports.',1037560492);
INSERT INTO international VALUES (67,'Survey',1,'User',1037558860);
INSERT INTO international VALUES (640,'WebGUI',6,'Det r inte en god id att ta bort mallar eftersom du inte vet vilka fljdverkningar det kan f p din webbplats (vissa sidor kan fortfarande anvnda mallen). Om du verkligen vill ta bort en mall kommer alla sidor som anvnder den att byta till standard-mallen',1032255575);
INSERT INTO international VALUES (639,'WebGUI',6,'<b>Mallnamn</b>\r\nGe den hr mallen ett beskrivande namn s att du vet hur den ser ut nr du applicerar den p en sida.\r\n\r\n<b>Mall</b>\r\nSkapa en mall genom att placera special macron ^0; ^1; ^2; osv p de positioner du vill ska ha innehll. Vanligtvis s anvnds en tabell fr att positionera innehllet. Titta grna p mallarna som kommer med WebGUI fr ider.',1032255389);
INSERT INTO international VALUES (638,'WebGUI',6,'Mallar anvnds fr att pverka hur sidor ser ut i WebGUI. Till exempel s har de flesta webbplatser idag mer n bara en meny och ett stort textflt. Mnga anvnder tre eller fyra kolumner som brjar med kolumnhuvuden och/eller banners. WebGUI tillter mycket komplexa designer genom att anvnda mallar. Det finns flera mallar med WebGUI som kan hjlpa dig komma igng, men du kan ven skapa hur mnga egna du vill.',1032255225);
INSERT INTO international VALUES (637,'WebGUI',6,'<b>Frnamn</b>\r\nSjlvfrklarande.\r\n\r\n<b>Mellannamn</b>\r\nSjlvfrklarande.\r\n\r\n<b>Efternamn</b>\r\nSjlvfrklarande.\r\n\r\n<b>E-postadress</b>\r\nAnvndarens e-postadress. Behvs bara matas in om anvndaren kommer delta i funktioner som krver e-post.\r\n\r\n<b>ICQ UIN</b>\r\nUnikt nummer fr att kontakta en person via <a href=\"http://www.icq.com/\">ICQ</a>.\r\n\r\n<b>AIM Id</b>\r\nKonto-ID fr <a href=\"http://www.aim.com/\">AOL Instant Messenger</a>.\r\n\r\n<b>MSN Messenger Id</b>\r\nKonto-ID fr <a href=\"http://messenger.msn.com/\">Microsoft Network Instant Messenger</a>.\r\n\r\n<b>Yahoo! Messenger Id</b>\r\nKonto-ID fr <a href=\"http://messenger.yahoo.com/\">Yahoo! Instant Messenger</a>.\r\n\r\n<b>Mobiltelefon</b>\r\nNumret till anvndarens mobiltelefon.\r\n\r\n<b>Skare</b>\r\nNumret till anvndarens skare.\r\n\r\n<b>E-post till skar-gateway</b>\r\nE-postadress fr anvndarens textskare.\r\n\r\n<b>Heminformation</b>\r\nPost- eller gatuadress till anvndaren.\r\n\r\n<b>Arbetsplatsinformation</b>\r\nPost- eller gatuadress till anvndarens arbetsplats.\r\n\r\n<b>Kn</b>\r\nMan, kvinna eller annat?\r\n\r\n<b>Fdelsedatum</b>\r\nNr r anvndaren fdd?\r\n\r\n<b>Sprk</b>\r\nVilket sprk skall anvndas i WebGUI?\r\n\r\n<b>Tidsoffset</b>\r\nAntal timmar (plus eller minus) som anvndaren befinner sig relativt till tidszonen servern befinner sig i. Detta anvnds fr tidszon-justeringar.\r\n\r\n<b>Frsta dag i veckan</b>\r\nVilken rknas som veckans frsta dag enligt denna anvndarens kalender? Till exempel s brjar veckan p en Sndag i Frenta Staterna, medan i Europa den oftast brjar p Mndag.\r\n\r\n<b>Datumformat</b>\r\nVilket format ska datum synas p?\r\n\r\n<b>Tidsformat</b>\r\nVilket format ska tiden synas p?\r\n\r\n<b>Diskussionsforumslayout</b>\r\nSka diskussionsgrupper synas som platta eller trdade? Platta visar alla svar p inlgg i en lng lista efter nr de skapades. En trdad visar en hierarkisk lista med svar sorterad efter inlggstiden.\r\n\r\n<b>Inkorgsnotifikation</b>\r\nHur ska en anvndare bli meddelad nr de fr ett nytt WebGUI-meddelande?\r\n',1032254909);
INSERT INTO international VALUES (636,'WebGUI',6,'Fr att skapa ett nytt paket kan du flja dessa enkla steg:\r\n<ol type=\"1\">\r\n  <li>Frn administrationsmenyn vljer du \"Hantera paket\"</li>\r\n  <li>Lgg till en sida och ge den ett namn. Namnet p sidan kommer ocks ge namn till paketet.</li>\r\n  <li>G till den nya sidan du skapade och lgg till sidor och wobjects. Alla sidor och wobjects du skapar kommer skapas p nytt nr du driftstter paketet.</li>\r\n</ol>\r\n\r\n<b>Note:</b> Fr att lgga till, redigera eller ta bort paket mste du vara medlem i pakethantereringsgruppen eller administratrsgruppen. \r\n\r\nOm du lgger till innehll i wobjects kommer dessa automatiskt att kopieras ver till nya paket.\r\n\r\nPrivilegier och stilar p sidor i paketet kommer inte kopieras nr paketet tas i drift. Istllet kommer sidorna f rva rttigheter och stil beroende p platsen de lggs p.',1032252658);
INSERT INTO international VALUES (635,'WebGUI',6,'Paket r grupper av sidor och wobjects som r frvalda att sttas i drift tillsammans, som en enhet. En pakethanterare kan se nyttan att skapa ett paket med ett flertal sidor med funktioner som meddelandeforum, FAQ, rstning, eftersom detta grs ganska ofta. Paket anvnds ofta fr att minska problem med upprepande jobb.\r\n\r\nEtt paket som mnga anvndare skapar r Sida/Artikel-paket. Det r ofta s att du lgger till en sida och drefter en artikel fr innehll. Istllet fr att g alla steg fr att skapa en sida, g till sidan och sedan lgga till en artikel till sidan kan du skapa ett paket fr att gra alla steg p en gng.',1032251795);
INSERT INTO international VALUES (634,'WebGUI',6,'<b>Standard startsida</b>\r\nMnga sm webbplatser har inte en dedikerad startsida utan anvnder en av deras underliggande sidor som \"Om oss\" eller \"Fretagsinformation\". P grund av detta kan du sjlv stta startsidan till vilken sida som helst inom webbplatsen. Det r den sidan beskarna kommer till om de skriver in http://www.minwebplats.nu eller om de klickar p en lnk genererad av ^H; macrot.\r\n\r\n<b>Not Found sida</b>\r\nOm en sida som beskaren efterfrgar inte finns i systemet kan anvndaren bli omdirigerad till startsidan eller till en felsida dr de kan frska hitta det de letar efter. Du vljer sjlv hur du tror dina beskare vill ha det.\r\n\r\n<b>Dokumenttypsdeklaration</b>\r\nIdag finns det en mngd olika webblsare som kan beska din webbplats. ven automatiserade webblsare som skmotorssprindlar. Mnga webblsare vill veta vilken typ av dokument du skickar och i dokumenttypsdeklarationen kan du skriva ut just detta. Som standard genererar WebGUI HTML 4.0 innehll.\r\n\r\n<b>Lgg till redigeringsmrkning p inlgg</b>\r\nVanligtvis nr en anvndare redigerar ett inlgg p ett meddelandeforum s lggs det till en mrkning som visar vem som redigerade och vilken tid. P vissa webbplatser r sn information inte viktig och kan drfr stngas av hr.\r\n\r\n<b>Filtrera bidragen HTML</b>\r\nOm du har en publik webbplats dr vem som helst kan posta meddelanden till meddelandeforum och dylikt s r det ofta en god id att filtrera deras innehll frn \"elak\" data. Elak data kan vara snt som hindrar eller frsvrar fr andra beskare att beska din webbplats och ta del av dess innehll. Anvnd detta val fr att vlja en filtreringsniv.\r\n\r\n<b>Maximal bilagestorlek</b>\r\nStorlek (i kilobyte) fr maximal bilaga.\r\n\r\n<b>Maximal bildstorlek</b>\r\nOm bilder laddas upp till din webbplats som r strre n maximal bildstorlek kommer dessa att skalas ner. Bildstorleken mts i pixlar och anvnder den lngsta sidan p bilden fr att avgra om grnsen r ndd.\r\n\r\n<b>Miniatyrbildsstorlek</b>\r\nNr bilder laddas upp till webbplatsen kommer det automatiskt att skapas miniatyrbilder av dessa i storleken du vljer hr. Storleken mts i pixlar och den lngsta sidan kommer aldrig vara strre n du anger hr.\r\n\r\n<b>Textomrde, antal rader</b>\r\nVissa webbplatser vill kontrollera storleken p formulr som WebGUI genererar. Det r just vad du kan gra hr. Vlj hur mnga rader text som skall visas.\r\n\r\n<b>Textomrde, antal kolumner</b>\r\nPrecis som innan, fast hr vljer du antal tecken p varje rad (kolumner).\r\n\r\n<b>Textrutestorlek</b>\r\nSamma som ovan, fast med textrutor.\r\n\r\n<b>Editor att anvnda</b>\r\nWebGUI har en mycket sofistikerad \"Rich Editor\" som lter anvndare formatera innehll som i Microsoft Word, eller annan likvrdig ordbehandlare. Fr att anvnda den funktionalliteten vljer du \"Inbyggd redigerare\". Vissa webbplatser kan ha behov av en mer komplett redigerare med std fr saker som rttstavning osv. Drfr kan du installera en tredjeparts editor som heter Real Objects Edit-On Pro. Efter den r installerad kan du ndra det hr valet. Vill du ha mer detaljerade instruktioner p hur du integrerar Edit-On Pro kan du hitta information i online-boken \"Ruling WebGUI\".',1032251553);
INSERT INTO international VALUES (633,'WebGUI',6,'Fr att uttrycka det enkelt s r rtter hemsidor utan frldrar (utan ovanliggande sidor). Den viktigaste sidan i WebGUI r helt klart \"Hem\"-sidan. Mnga mnniskor kommer aldrig att lgga till fler rtter till sina hemsidor och det gr helt klart att klara sig med en rot. Vissa skapar rtter fr innehllshanterare, eller kanske en gmt omrde fr administrationsverktig. ',1032189185);
INSERT INTO international VALUES (632,'WebGUI',6,'Du kan lgga till wobjects genom att vlja <i>Lgg till innehll...</i> frn menyn lngst upp p sidan (adminstrationsmenyn). Du kan redigera dom genom att klicka p <i>Redigera</i>-knappen som finns strax ver wobjectet du vill redigera.\r\n\r\nNstan alla wobject delar p vissa egenskaper:\r\n\r\n<b>Wobject-ID</b>\r\nDetta r en unik identifierare fr ett wobject. Normalt behver inte anvndare bry sig om detta, men avancerade anvndare kan anvnda id-numret fr SQL-rapporter och annat.\r\n\r\n<b>Titel</b>\r\nTitel p wobject. Detta visas vanligtvis ovanfr varje wobject.\r\n\r\n<i>Note:</i> Du ska alltid vlja en titel ven om du inte ska visa den eftersom det r genom titeln du kan identifiera innehll i skrpkorgen och klippbordet.\r\n\r\n<b>Visa titel?</b>\r\nVill du visa titeln du valt? Detta r inte ndvndigt p alla webbplatser.\r\n\r\n<b>Kr macros?</b>\r\nVill du kra macros p innehllet i detta wobject? Ibland vill du gra detta, men vet du om att du inte har macros i texten eller p andra stllen i ditt wobject s kan du stnga av denna funktionen fr att sidorna ska laddas snabbare.\r\n\r\n<b>Mallposition</b>\r\nMallpositionen varierar mellan 0 (null) och uppt. Hur mnga som finns beror p vilken mall som anvnds p sidan. Standardmallen har bara en position, andra kan ha fler. Genom att vlja en mallposition s vljer du var p mallen du vill att wobjectet skall hamna.\r\n\r\n<b>Startdatum</b>\r\nP vilket datum ska innehllet visas fr anvndaren? Innan detta datum kommer objektet bara vara synligt fr innehllshanterare.\r\n\r\n<b>Slutdatum</b>\r\nVilket datum ska sidan inte lngre vara synlig fr anvndarna. Efter detta datum kommer objektet bara vara synligt fr innehllshanterarna.\r\n\r\n<b>Beskrivning</b>\r\nEtt innehllsomrde som du kan fylla med valfritt omrde. Till exempel kan en frklaring av vad en FAQ r i brjan p en FAQ vara en bra id.',1032187841);
INSERT INTO international VALUES (790,'WebGUI',1,'Delete this profile category.',1036964807);
INSERT INTO international VALUES (789,'WebGUI',1,'Edit this profile category.',1036964795);
INSERT INTO international VALUES (788,'WebGUI',1,'Delete this profile field.',1036964681);
INSERT INTO international VALUES (787,'WebGUI',1,'Edit this profile field.',1036964659);
INSERT INTO international VALUES (791,'WebGUI',1,'Delete this translation.',1036970806);
INSERT INTO international VALUES (802,'WebGUI',1,'WebGUI is not currently tracking page statistics. You can enable this feature in the settings.',1036979395);
INSERT INTO international VALUES (801,'WebGUI',1,'Wobject Interactions',1036978843);
INSERT INTO international VALUES (630,'WebGUI',6,'WebGUI har en liten men plitlig skmotor inbyggt. Vill du anvnda den interna skmotor anvnder du ^?; macrot eller genom att lgg till <i>?op=search</i> p slutet p varje URL, eller gra din egen sida fr att komma t den.\r\n\r\nMnga installationer behver en skmotor fr att indexera deras WebGUI webbplats eller har krav p funktioner som inte WebGUI\'s skmotor stdjer. Fr dessa rekommenderar vi <a href=\"http://www.mnogosearch.org/\">MnoGo Search</a> eller <a href=\"http://www.htdig.org/\">ht://Dig</a>.',1032185821);
INSERT INTO international VALUES (629,'WebGUI',6,'<b>Frhindra proxy-cachning</b>\r\nVisa fretag har proxy-servrar som kan orsaka problem med WebGUI. Om du mrker att du fr problem med WebGUI, s som att sidor inte uppdateras som dom ska, och du har en proxy-server s kan du stlla det hr alternativet till Ja. WebGUI kommer inte vara lika anvndarvnlig nr du slr p den hr funktionen.\r\n\r\n<b>Vid kritiskt fel</b>\r\nVad vill du gra om ett kritiskt fel uppstr. Det kan vara en skerhetsrisk att visa felskningsinformation, men du kan visa det s lnge systemet r i utveckling.',1032185342);
INSERT INTO international VALUES (56,'Survey',1,'View comments.',1037555787);
INSERT INTO international VALUES (55,'Survey',1,'View responses.',1037555778);
INSERT INTO international VALUES (54,'Survey',1,'Percentage',1037555267);
INSERT INTO international VALUES (53,'Survey',1,'Responses',1037555255);
INSERT INTO international VALUES (627,'WebGUI',6,'Profiler anvnds fr att spara utkad information om en anvndare. I vissa fall kan profiler vara ndvndiga fr en webbplast, ibland inte. Profilsystemet r fullstndigt utbyggbart med ny flt och grupperingar. Du kan lgg till s mycket information du vill om en anvndare.',1032184553);
INSERT INTO international VALUES (626,'WebGUI',6,'Wobjects (tidigare knda som Widgets) r sjlva styrkan i WebGUI. Wobjects r sm applikationer som gr att plugga in i WebGUI. Meddelandeforum och rstningar r tv exempel p wobjects.\r\n\r\nFr att lagg till ett wobject till en sida s gr du frst till den sidan du vill att wobjecten ska synas p. Drefter vljer du <i>Lgg till innehll...</i> frn menyn lngst upp p skrmen. Varje wobject har sin egen hjlp-sida, s r det ngot du behver hjlp med s r det dr du brjar leta.\r\n\r\n<i>Stilmallar:</i> Alla wobjects har en stilmallsklass och ID kopplat till sig.\r\n\r\nStilmallsklassen har order \"wobject\" i brjan plus vilken typ av wobject det r. S fr en rstning skulle stilmallen blir \"wobjectRstning\". Stilen gller fr samtliga wobject av den typen p hela webbplatsen.\r\n\r\nStilmalls id kan anvndas fr att bara pverka ett viss wobject med en stilmallsklass. Formatet ska vara \"wobjectId\" plus Id fr objektet i frga. Om du har en artikel med wobject-id 94 s ska en stilmallsklass se ut shr: \"wobjectId94\". Detta pverkar bara wobject med rtt id-nummer.\r\n',1032184320);
INSERT INTO international VALUES (625,'WebGUI',6,'<b>Namn</b>\r\nEn etikett fr denna bild som kommer anvndas fr att hmta bilden frn andra sidor.\r\n\r\n<b>Fil</b>\r\nVlj en fil frn din lokala hrddisk fr uppladdning till servern.\r\n\r\n<b>Parametrar</b>\r\nLgg till s mnga HTML img-tagg parametrar som du vill ha fr denna bild.\r\n\r\n<i>Exempel:</i>\r\nalign=\"right\"\r\nalt=\"Bild p hunden\"',1032183285);
INSERT INTO international VALUES (624,'WebGUI',6,'WebGUI macros anvnds fr att skapa dynamiskt innehll bland statiskt innehll. Till exempel s kan anvndarnamnet fr inloggad anvndare visas p varje sida.\r\n\r\nMacros brjar alltid med \"^\", fljs alltid med minst ett tecken och avslutas alltid med \";\". Vissa macron kan konfigureras genom att man lgger in en parameter. Ett vanlig macro kan skrivas: ^x; men med en paramater ser det ut som: ^x(\"parameter, vad du vill\");\r\n\r\nHr fljer en beskrivning av samtliga macron i WebGUI.\r\n\r\n<b>^a; eller ^a(); - Mitt konto-lnk</b>\r\nEn lnk fr att se din kontoinformation. Du kan ndra lnktexten genom att skriva macrot som <b>^a(\"Kontoinformation\");</b>.\r\n\r\n<i>Note:</i> Du kan anvnda specialparametern linkonly (^a(linkonly)) fr att bara skapa en URL till kontosidan och inget mer. .myAccountLink stilmallen r knuten till detta macro.\r\n\r\n<b>^AdminBar;</b>\r!\n\nPlacerar administrativa menyn p sidan. Detta r ett obligatoriskt macro i \"body\"-delen av stilhanteraren.\r\n\r\n<b>^AdminText();</b>\r\nVisar ett litet textmeddelande om en anvndare r i administrationslge. Exempel: ^AdminText(\"Du r nu i administrationslge\");.\r\n\r\n<b>^AdminToggle; eller ^AdminToggle();</b>\r\nPlacerar en lnk p sidan som bara r synlig fr innehllshanterare och administratrer. Lnken stter p/stnger av administrationslget. Du kan ven vlja andra namn p lnkarna genom att skriva ^AdminToggle(\"Redigera\",\"Visa\");.\r\n\r\n<b>^C; eller ^C(); - Vgsprning</b>\r\nVisar vilken vg man gtt genom webbplatsen i en hierarkisk struktur. Du kan sjlv vlja vilken avgrnsare du vill ha mellan de olika sidorna genom att skriva ^C(::). Standard avgrnsare r \">\". \r\n\r\n<i>Note:</i> .crumbTrail stilklass anger hur den ser ut.\r\n\r\n<b>^c; - Fretagsnamn</b>\r\nNamnet p ditt fretag, angett av administratren.\r\n\r\n<b>^D; eller ^D(); - Datum</b>\r\nT!\nid just nu.\r\n\r\nDu kan sjlv vlja datumformat genom att anvnda vissa symboler. ^D(\"%c %D, %y\"); skulle generera September 26, 2001. Fljande format och symboler finns tillgngliga: \r\n\r\n%% % \r\n%y 4-siffrigt rtal\r\n%Y 2-siffrigt rtal\r\n%m 2-siffrig mnad\r\n%M mnad\r\n%c mnadsnamn\r\n%d 2-siffrig mnadsdag\r\n%D mnadsdag\r\n%w namn p veckodag\r\n%h 2-siffrig klocka bas 12 timmar\r\n%H klocka bas 12 timmar\r\n%j 2-siffrig klocka bas 24 timmar\r\n%J klocka bas 12 timmar\r\n%p gemen am/pm\r\n%P versal AM/PM\r\n%z anvndarinstllt datumformat\r\n%Z anvndarinstllt tidsformat\r\n\r\n<b>^e; - Fretagets e-postadress</b>\r\nE-postadressen som instlld av adminstratren.\r\n\r\n<b>^Env();</b>\r\nAnvnds fr att visa serverns variabler. Du kan se alla serverns variabler genom att g till \"www.dinwebplats.tld/env.pl\". Macrot ska skrivas som ^Env(\"REMOTE_ADDR\");.\r\n\r\n<b>^Execute();</b>\r\nTillter innehllshanterare eller administratr att kra ett externt program.!\n Anvnds vanligtvis som ^Execute(\"/this/file.sh\").\r\n\r\n<b>^Extras;</b>\r\nReturnera skvgen till WebGUI \"extras\" mapp som innehller saker som WebGUI ikoner.\r\n\r\n<b>^FlexMenu;</b>\r\nSkapar en expanderbar meny. Fungerar ungerfr som trdstrukturen i Utforskaren p en Windows-dator.\r\n\r\n<b>^FormParam();</b>\r\nAnvnds oftast fr att skapa dynamiska frgor genom SQL-rapporter. Genom att anvnda det hr macrot kan du f vrdet frn valfritt formulrflt bara genom att anvnda fltets namn. Exempel: ^FormParam(\"telefonnummer\"); \r\n\r\n<b>^GroupText();</b>\r\nVisar en kort text fr anvndare som r medlemmar i en specifik grupp. Exempel: ^GroupText(\"Visitors\",\"Du behver ett konto fr att anvnda den hr webbplatsen!\"); \r\n\r\n<b>^H; or ^H(); - Home Link</b>\r\nEn lnk till webbplatsens frstasida. Du kan sjlv vlja lnktexten genom att skicka med den som en parameter. Exempel: ^H(\"Hem\");. \r\n\r\n<i>Note:</i> Du kan ven skriva ^H(linkonly); fr att bara f en URL t!\nill frstasidan. .homeLink stilklassen anvnds fr att ndra utseende p lnken.\r\n\r\n<b>^I(); - Bild-tagg frn bildhanteraren</b>\r\nReturnerar en image-tag (HTML) till en bild definierad i bildhanteraren. Vlj vilken bild du vill ha genom att skicka namnet som parameter. Exempel: ^I(\"bildnamn\");. \r\n\r\n<b>^i(); - Image Manager Image Path</b>\r\nReturnera skvgen till en bild som r uppladdad via bildhanteraren. Vlj vilken bild du vill ha skvgen till genom att skicka namnet som parameter. Exempel: ^i(\"bildnamn\");.\r\n\r\n<b>^Include();</b>\r\nLter administratr eller innehllshanterare att inkludera filer frn lokala filsystemet i HTML-dokumenten. Skicka dokumentets plats som parameter. Exempel: ^Include(\"/denna/filen.html\"); \r\n\r\n<b>^L; or ^L(); - Login</b>\r\nEtt litet inloggningsformulr. Du kan bestmma hur bred rutan ska vara och ven ett meddelande som ska visas efter anvndaren loggat in. Fr att bestmma storleken s skriver man: ^L(20);. Fr att skriva !\nett meddelande som visas fr anvndaren s skriver man: ^L(20,Hej ^a(^@;);. Klicka %here% om du vill logga ut!) \r\n\r\n<i>Note:</i> .loginBox stilklassen bestmmer utseendet.\r\n\r\n<b>^LoginToggle; or ^LoginToggle();</b>\r\nVisar ett \"Logga in\"- eller \"Logga ut\"-meddelande beroende p om man r ut- eller inloggad. Du kan ven vlja andra texter genom att skriva shr: ^LoginToggle(\"Klicka hr fr att logga in.\",\"Klicka hr fr att logga ut.\"); \r\n\r\n<b>^M; or ^M(); - Nuvarande meny (vertikal)</b>\r\nEn vertikal meny som visar de underalternativ som finns tillgngliga frn nuvarande sida och nert. Som standard s visar den bara de menyalternativ som leder ner en niv, men du kan sjlv vlja hur mnga niver ner som ska visas. Fr att g tre niver ner kan du skriva shr: ^M(3);. Byter du 3\'an mot en 0\'a (noll) s visas hela webbplatsens undersidor.\r\n\r\n<b>^m; - Nuvarande meny (horisontell)</b>\r\nEn horisontell meny som innehller undersidorna rknat frn nuvarande!\n niv. Du kan sjlv vlja en avgrnsare genom att skriva ^m(:--:);. Standard avgrnsare r . \r\n\r\n<b>^P; or ^P(); - Tidigare meny (vertikal)</b>\r\nEn vertikal meny som innehller lnkar till sidorna innan nuvarande niv. Som standard s visar den bara de menyalternativ som leder ner en niv, men du kan sjlv vlja hur mnga niver ner som ska visas. Fr att g tre niver ner kan du skriva shr: ^P(3);. Byter du 3\'an mot en 0\'a (noll) s visas hela webbplatsens undersidor.\r\n\r\n<b>^p; - Tidigare meny (horisontell)</b>\r\nEn horisontell meny som innehller lnkar till sidorna innan nuvarande niv. Du kan sjlv vlja en avgrnsare genom att skriva ^m(:--:);. Standard avgrnsare r . \r\n\r\n<b>^Page();</b>\r\nKan anvndas fr att hmta information om aktuell sida. Till exempel s kan macrot anvndas fr att hmta sidans URL shr: ^Page(\"urlizedTitle\"); eller sidans title shr: ^Page(\"menuTitle\");. \r\n\r\n<b>^PageTitle;</b>\r\nVisar titeln p aktuell sida.\r\n\r\n<!\ni>Note:</i> Om du anvnder administratrsfunktioner eller \"indepth\"-funktioner i wobjects s kommer sidans titel bli en lnk som tar dig tillbaka till sidan.\r\n\r\n<b>^r; or ^r(); - Utskriftsbar version</b>\r\nSkapar en lnk som visar aktuell sida, men med annan design. Du kan ndra text p lnken genom att skriva shr: ^r(\"Skriv ut\");. \r\n\r\nNr en anvndare klickar p lnken kommer sidans stil att bytas ut mot \"Make Page Printable\"-stilen i stilhanteraren. Detta kan dock ndras till vilken stil som helst genom att skicka med stilen som paramter. Exempel: ^r(\"Print!\",\"WebGUI\");. Utrskriftssidan kommer d f WebGUI-stilen.\r\n\r\n<i>Note:</i> Du kan ven anvnda specialmacrot ^r(linkonly); fr att f en URL till utskriftsbar version. .makePrintableLink stilmallen bestmmer utseende p lnken.\r\n\r\n<b>^rootmenu; eller ^rootmenu(); (horisontell)</b>\r\nSkapar en horisontell meny med rtterna i WebGUI (frutom system-menyer). Du kan vlja menyavgrnsare genom att skriva s!\nhr: ^rootmenu(|); \r\n\r\n<b>^RootTitle;</b>\r\nReturnerar titlen p roten till nuvarande sida. Till exempel r roten till WebGUI \"Hem\"-sidan\r\nAvancerade sidor kan ha flera rtter och behver sledes ett stt att beskriva fr anvndaren vilken rot denna befinner sig i.\r\n\r\n<b>^S(); - Specifik undermeny (vertikal)</b>\r\nDetta macro ger dig en vertikal undermeny frn vilken sida som helst. Undermenyn startar frn sidan du anger som parameter till macrot. Till exempel kan du f en undermeny till alla sidor under \"Hem\" genom att skriva ^S(\"hem\",0);. Det frsta vrdet r URL\'iserade titeln av sidan och den andra paramtern r hur djup du vill att trdstrukturen ska vara. Standardinstllningen r att bara visa en niv. Fr att g tre niver ner skriver du: ^S(\"hem\",3);. \r\n\r\n<b>^s(); - Specifik undermeny (horisontell)</b>\r\nDetta macro ger dig en horisontell undermeny frn vilken sida som helst. Undermenyn startar frn sidan du anger som parameter till macrot. Till exe!\nmpel kan du f en undermeny till alla sidor under \"Hem\" genom att skriva ^s(\"hem\");. Parametern r den URL\'iserade titeln av sidan. Du kan ven sjlv vlja en avgrnsare genom att skriva ^s(\"hem\", \":--:\");. Standard avgrnsare r . \r\n\r\n<b>^SQL();</b>\r\nEn en-rads-SQL-rapport. Ibland vill bara bara ha lite snabba data frn databasen och d kan du anvnda detta macro. Det hr macrot kan ocks anvndas fr att utka ett. Detta macro anvnder de numeriska macrona (^0; ^1; ^2; etc) fr att positionera data. Macrot ^rownum; fr att f fram radnummer kan ocks anvndas hr. Exempel:\r\n\r\n^SQL(\"select count(*) from users\",\"Det finns ^0; anvndare p det hr systemet.\"); \r\n\r\n^SQL(\"select userId,username from users order by username\",\"<a href=\'^/;?op=viewProfile&uid=^0;\'>^1;</a><br>\"); \r\n\r\n<b>^Synopsis; eller ^Synopsis(); Meny</b>\r\nDetta macro ger dig en undermeny till sidor under en viss sida, tillsammans med kort beskrivning av respektive lnk. Du kan stta ett !\nheltal som parameter fr att vlja hur mnga niver djup menyn ska vara.\r\n\r\n<b>Notera:</b> .synopsis_sub, .synopsis_summary, och .synopsis_title stilklasser anvnds av detta macro. \r\n\r\n<b>^T; eller ^T(); - Toppnivmeny (vertikal)</b>\r\nEn vertikal meny som innehller alla huvudsidor p webbplatsen, dvs undersidor frn hemsidan. Du kan sjlv vlja hur djup du vill ha trdstrukturen genom att skriva ett heltal som parameter. Som standard visar den bara frsta nivn. Fr att g ner tre niver skriver du ^T(3). Om du skickar \"0\" (noll) s kommer hela webbplatsen trdstruktur visas. \r\n\r\n<b>^t; - Toppnivmeny (horisontell)</b>\r\nEn vertikal meny som innehller alla huvudsidor p webbplatsen, dvs undersidor frn hemsidan. Du kan sjlv vlja en avgrnsare mellan sidnamnen genom att skriva ^t(:--:);. Standard avgrnsare r . \r\n\r\n<b>^Thumbnail();</b>\r\nReturnerar en URL av en minitayrbild av en bild frn bildhanteraren. Vlj vilken bild du vill ha genom att skicka !\nmed namnet p bilden som parameter: ^Thumbnail(\"bildnamn\");. \r\n\r\n<b>^ThumbnailLinker();</b>\r\nDu kan anvnda detta macro fr att enkelt gra en sida med skrmdumpar eller ett fotogalleri. Skicka med namnet p en bild i bildhanteraren som parameter till macrot: ^ThumbnailLinker(\"Min hund\"); och p sidan kommer det visas en miniatyrbild men lnk under som lnkar till bilden i full storlek.\r\n\r\n<b>^u; - Fretags-URL</b>\r\nURL till ditt fretag, som det r instllt av administratren.\r\n\r\n<b>^URLEncode();</b>\r\nDetta macro r mest anvndbart i SQL-rapporter, men kan sjlvklart anvndas p andra stllen ocks. Macrot tar en strng som parametera och kodar om den i URL-format s man kan anvnda den i just en URL. S hr kan du anvnda den: ^URLEncode(\"Detta r en strng med tecken!\"); \r\n\r\n<b>^User();</b>\r\nAnvnd detta macro fr att visa information om en anvndare frn dennes kontouppgifter eller profil. Om du vill visa anvndaren dennes e-postadress skriver du:!\n ^User(\"email\");.\r\n\r\n<b>^/; - System-URL</b>\r\nURL till WebGUI-scriptet (exempel: /index.pl/). \r\n\r\n<b>^\\; - Sid-URL</b>\r\nURL till nuvarande sida (exempel: /index.pl/pagename).\r\n\r\n<b>^@; - Anvndarnamn</b>\r\nAnvndarnamnet p nu inloggad anvndare.\r\n\r\n<b>^?; - Sk</b>\r\nEn skbox p sidan. Knuten till WebGUI\'s inbyggda skmotor.\r\n\r\n<b>Note:</b> .searchBox stilklass anvnds av detta macrot. \r\n\r\n<b>^#; - Anvndar-ID</b>\r\nAnvndar-ID fr nu inloggad anvndare.\r\n\r\n<b>^*; or ^*(); - Slumpmssigt nummer</b>\r\nSlumpmssigt genererat nummer. Kan anvndas fr att rotera banners eller andra typer av bilder. Du kan ven vlja hgsta nummer fr slumptalsfunktionen shr: ^*(100) fr att skapa ett slumptal mellan 0 och 100.\r\n\r\n<b>^-;,^0;,^1;,^2;,^3;, etc.</b>\r\nDessa macros r reserverade fr system/wobject-specifika funktioner som i SQL-rapporten och Body i stilhanteraren.',1047895470);
INSERT INTO international VALUES (623,'WebGUI',6,'<a href=\"http://www.w3.org/Style/CSS/\">Cascading Style Sheets (CSS)</a> r ett vldigt bra stt att hantera utseendet p webbplasen. CSS anvnds mycket i WebGUI.\r\n\r\nOm du r obekant till hur man anvnder CSS kan <a href=\"http://www.rit.se/\">RIT AB</a> hjlpa dig med att skapa dessa. Alternativt kan du anvnda en CSS-redigerare som heter <a href=\"http://www.bradsoft.com/topstyle/index.asp\">Top Style</a>.\r\n\r\nFljande lista p klasser anvnds fr att kontrollera utseendet p WebGUI:\r\n\r\n<b>A</b>\r\nLnkar.\r\n\r\n<b>BODY</b>\r\nSjlva dokumentets kropp.\r\n\r\n<b>H1</b>\r\nRubriker p webbplatsen (varje sida).\r\n\r\n<b>.accountOptions</b>\r\nLnkar som visas under inloggning och konto-uppdateringsformulr.\r\n\r\n<b>.adminBar</b>\r\nListen som finns lngst upp p sidan nr du r i administrationslge.\r\n\r\n<b>.content</b>\r\nInnehllsdelen p samtliga sidor.\r\n\r\n<b>.formDescription</b>\r\nBeskrivningen av alla formulrflt.\r\n\r\n<b>.formSubtext</b>\r\nTexten som str inder vissa formulrflt.\r\n\r\n<b>.highlight</b>\r\nHur varje valt element ser ut, t.ex. fr att markera vilket meddelande det r du tittar p i en lista.\r\n\r\n<b>.horizontalMenu</b>\r\nDen horisontella menyn (om du anvnder det macrot).\r\n\r\n<b>.pagination</b>\r\nFramt- och Bakt-lnkarna som visas p sidor som r indelade i flera.\r\n\r\n<b>.selectedMenuItem</b>\r\nVisar vilken som r den aktuella sidan (sidan som visas nu) p samtliga meny-macron.\r\n\r\n<b>.tableData</b>\r\nRaderna p till exempel meddelandesystemet.\r\n\r\n<b>.tableHeader</b>\r\nversta raden p en tabell, i till exempel meddelandesystemet.\r\n\r\n<b>.tableMenu</b>\r\nMenyn fr funktioner som p meddelandesystem.\r\n\r\n<b>.verticalMenu</b>\r\nDen vertikala menyn (om du anvnder den).\r\n\r\n<i><b>Note:</b></i> Vissa wobjects och macron har sina egna stilar som dokumenteras i deras respektive hjlpfiler.',1031919778);
INSERT INTO international VALUES (622,'WebGUI',6,'Se <i>Hantera grupper</i> fr en beskrivning av gruppering av funktioner och standardgrupper.\r\n\r\n<b>Gruppnamn</b>\r\nNamnet p gruppen. Anvnd ett s beskrivande namn som mjligt.\r\n\r\n<b>Beskrivning</b>\r\nEn lngre beskrivning av gruppen s att andra kan veta vad gruppen r avsedd fr och vilka typer av anvndare som skall tillhra den.\r\n\r\n<b>Bst fre</b>\r\nHur lng tid kan en anvndare vara medlem i denna gruppen innan han tas bort frn den? Detta r mycket anvndbart p webbplatser dr man kan slja medlemskap t.ex. rsvis.\r\n\r\n<i>Note:</i> Bst-fre kan stllas in individuellt p respektive anvndare.\r\n\r\n<b>Karma-grns</b>\r\nOm du har karma pslaget s r detta en indikator p hur mycket karma anvndaren mste ha fr att anses som medlem i gruppen.',1031918601);
INSERT INTO international VALUES (621,'WebGUI',6,'I stilar kan du anvnda macros. Se <i>Anvnd Macros</i> fr mer information.\r\n\r\n<b>Stilnamn</b>\r\nEtt unikt namn som beskriver vad stilen ser ut som. Namnet pverkar inte hur stilen ser ut i vrigt.\r\n\r\n<b>Body</b>\r\nBodyn som r precis samma som body-taggen i HTML. Dr kan du definiera hur hela sidan ser ut, inklusive navigering, logotyper, coppyright osv. Som minimum br bodyn innehlla ngra macron som ^Adminbar; (fr att visa administrationsmenyn) och ^-; (avdelare) macrot. ^-; visar var WebGUI kommer lgga webbplatsens innehll.\r\n\r\nOm du behver hjlp att skapa en design p din webbplats eller bara hjlp att skapa en stil i WebGUI r du vlkommen att kontakta <a href=\"http://www.plainblack.com/\">Plain Black Software</a>.\r\n\r\nMnga lgger in WebGUI macros fr att autmatiskt skta navigeringen p webbplatsen och andra egenskaper.\r\n\r\n<b>Stilmall !\n(style sheet)</b>\r\nHr lgger du dina stilmallsdefinitioner. Stilmallar anvnds fr att kontrollera frger, storlekar och andra egenskaper fr de olika elementen p webbplatsen. Se <i>Anvnd stilmallar</i> fr mer information.\r\n\r\n<i>Avancerade anvndare:</i> fr att ka prestandan kan du skapa en extern stilmall och lgga p servern. Fr att lnka till den skriver du:\r\n&lt;link href=\"/webgui.css\" rel=\"stylesheet\" rev=\"stylesheet\" type=\"text/css\"&gt;',1047894158);
INSERT INTO international VALUES (620,'WebGUI',6,'Som funktionen lter kommer du att ta bort en grupp och ta bort alla anvndarna frn gruppen. Var frsiktig s inte sidor som har gruppen som redigerare inte blir oredigeringsbara.\r\n\r\nSom alla borttagningsoperationer kommer du f bekrfta borttagningen. Svara Ja s kommer gruppen tas bort och det gr inte att ngra sig. Svara du Nej kommer du tas till fregende sida.',1031917538);
INSERT INTO international VALUES (619,'WebGUI',6,'Den hr funktionen raderar valt wobject frn sidan, utan mjlighet att ngra sig. Om du r osker p om du vill ta bort detta innehll kan du istllet klippa ut det och lta det ligga i klippbordet tills dess du vill anvnda det igen eller r sker p att du vill ta bort det.\r\n\r\nPrecis som med alla borttagningsoperationer kommer du f bekrfta borttagninen. Vlj Ja och objektet tas bort och kan inte bli terskapat. Vlj Nej och du tas till sidan du var p tidigare.',1031917136);
INSERT INTO international VALUES (618,'WebGUI',6,'<b>\"terhmta lsenord\"-meddelande</b>\r\nMeddelande som skickas till anvndaren d personen anvnder \"terhmta lsenords\"-funktionen.\r\n\r\n<b>SMTP server</b>\r\nDetta r adressen till din lokala mailserver. Den behvs fr alla wobject som anvnder e-post (som lsenordsterhmningen).\r\n\r\nOm du kr sendmail p samma server som WebGUI kan du ven skriva in skvgen till ditt sendmail-program. P de flesta system ligger den i \"/usr/lib/sendmail\" eller \"/usr/sbin/sendmail\".',1031916978);
INSERT INTO international VALUES (617,'WebGUI',6,'Instllningar fr anpassning av WebGUI till dina frhllanden.\r\n\r\n<b>Redigera fretagsinformation</b>\r\nInformation specifikt fr fretaget eller personen som kontrollerar installationen av WebGUI (gare av webbplatsen).\r\n\r\n<b>Redigera innehllsinstllningar</b>\r\nInstllningar relaterat till innehll och innehllshantering.\r\n\r\n<b>Redigera e-postinstllningar</b>\r\nInstllningar som rr e-post och liknande funktioner.\r\n\r\n<b>Redigera vriga instllningar</b>\r\nInstllningar som inte platsar under ngon av de andra grupperna.\r\n\r\n<b>Redigera profilinstllningar</b>\r\nBestm hur anvndarprofilerna ska se ut och vad anvndaren sjlv kan ndra.\r\n\r\n<b>Redigera anvndarinstllningar</b>\r\nInstllningar som berr anvndare (utver profilinstllningar), som autenciering och registreringsmjligheter.',1031916710);
INSERT INTO international VALUES (616,'WebGUI',6,'<b>Skvg till WebGUI Extras</b>\r\nWebadressen till katalogen som innehller WebGUI-bilder och JavaScript-filer.\r\n\r\n<b>Maximal bilagsstorlek</b>\r\nMaximal storlek p filer som laddas upp. Det gller fr samtliga wobjects som tillter filuppladdning och bilder. Storleken mts i kilobyte.\r\n\r\n<b>Minatyrbildsstorlek</b>\r\nStorleken p den lngsta sidan av minityrbilder. Miniatyrvyen behller proportionerna p bilden. Om du stter detta vrde till 100 och har en bild som r 400 pixlar bred, 200 pixlar hg s kommer miniatyrbilden bli 100 pixlar bred, 50 pixlar hg.\r\n\r\n<i>Note:</i> Miniatyrbilder skapas autmatiskt nr bilder laddas upp.\r\n\r\n<b>Bilageplats, URL</b>\r\nSkvgen frn webbplatsen dit bifogade filer sparas.\r\n\r\n<b>Bilageplats, p servern</b>\r\nDen lokala skvgen till bilagor p servern. Kontrollera att webbservern har rttigheter att skriva till katalogen.',1031916437);
INSERT INTO international VALUES (615,'WebGUI',6,'Grupper anvnds fr att frdela rttigheter och ansvarsomrden i WebGUI-systemet. Till exempel s kanske du vill bygga en webbplats fr ett skola. Varje klass kan f sin egen grupp med bde elever och lrare. De kan drefter f sin egen sida att redigera som dom vill. Lrarna kan ligga i en egen grupp och ha mer rttigheter n eleverna.\r\n\r\nDet finns flera redan inbyggda grupper i WebGUI som har redan definierade betydelser. De fljer:\r\n\r\n<b>Admins</b>\r\nAdmins r personer med oinskrnkt makt ver systemet. Vanligtvis r det en till tre personer i denna gruppen som har ett vergripande ansvar fr allt innehll.\r\n\r\n<b>Innehllshanterare</b>\r\nInnehllshanterare r anvndare som har rttigheter att lgga till, redigera och ta bort innehll frn olika delar av webbplatsen. Innehllshanterarna ska inte som grupp anvndas fr att dela ut rttigheter till specifika delar av webbplatsen, utan bara anvndas fr att definiera vilka anvndare som har rttigheter att redigera sidor. Skapa individuella grupper fr varje del av webbplatsen.\r\n\r\n<b>Alla</b>\r\nAlla r en magisk grupp som ingen lggs till i. Alla r alla. Om du vill ha en ppen webbplatsen fr bde beskare och anvndare ska du anvnda denna gruppen.\r\n\r\n<b>Packethanterare</b>\r\nAnvndare som har rttigheter att lgga till, redigera och ta bort paket med wobjects och sidor.\r\n\r\n<b>Registrerade anvndare</b>\r\nNr anvndare lggs till systemet hamnar dom i denna gruppen. En anvndare ska bara tas bort frn gruppen om deras konto ska tas bort eller om du vill straffa en brkmakare.\r\n\r\n<b>Stilhanterare</b>\r\nAnvndare som har rttighet att ndra p webbplatsens stilar. Denna rttighet innebr inte att de kan ndra rttigheter p sidor, utan bara definiera de rttigheter som kan anvndas.\r\n\r\n<b>Mallhanterare</b>\r\nAnvndare som har rttighet att ndra mallarna p webbplatsen.\r\n\r\n<b>Beskare</b>\r\nEn beskare r en anvndare som inte loggat in nnu. Om du vill straffa en anvndare kan du ta bort personen frn Registrerade anvndare och lgga in honom i denna gruppen istllet.',1031911632);
INSERT INTO international VALUES (614,'WebGUI',6,'Stilar anvnds fr att hantera det visuella i WebGUI-sidor. Du kan ha obegrnsat med stilar och endast din fantasi stter grnserna. \r\n\r\nDet finns ett flertal stilar inbyggda i WebGUI. De frsta av dessa anvnds av WebGUI och br inte ndras eller tas bort. De sista r exempel-stilar som du kan experimentera med fritt.\r\n\r\n<b>Klippbord</b>\r\nDen hr stilen anvnds i klippbords-systemet.\r\n\r\n<b>Felsker</b>\r\nOm du tar bort en stil som anvnds av sidor kommer de istllet att f denna stilen. Vit bakgrund och enkel navigering.\r\n\r\n<b>Gr sidor utskriftsbara</b>\r\nDen hr stilen anvnds om du placerar ett <b>^r;</b> macro p ngon annan sida och anvndaren klicka p den. Den hr stilen ska vara en enkel stil utan mycket grafik fr att passa skrivare.\r\n\r\n<b>Packet</b>\r\nDen hr stilen anvnds av packethanteringssystemet.\r\n\r\n<b>Skrpkorg</b>\r\nDen hr stilen anvnds fr att hantera skrp (borttagna wobjects).\r\n\r\n<hr>\r\n\r\n<b>Demostil</b>\r\nDetta r en demonstration som anvnder en mall frn <a href=\"http://www.freewebtemplates.com\">www.freewebtemplates.com</a>.\r\n\r\n<b>Plain Black Software (black) & (white)</b>\r\nDessa designer anvnds av Plain Black webbplats.\r\n\r\n<b>Yahoo!</b>\r\nDesign anvnd av Yahoo!.\r\n\r\n<b>WebGUI</b>\r\nEnkel WebGUI-design.\r\n\r\n<b>WebGUI 4.0</b>\r\nVid version 4 kom den nya designen och har ersatt den gamla som bara heter WebGUI.',1031910524);
INSERT INTO international VALUES (613,'WebGUI',6,'Anvndare r konton i som tillts gra olika saker. Det finns tv standard-anvndare i systemet: Admin och Visitor.\r\n\r\n<b>Admin</b>\r\nAdmin r precis som det lter, en administratr. Har obegrnsade rttigheter och kan gra allt som gr.\r\n\r\n<b>Visitor</b>\r\nBeskskontot. Inga rttigheter alls, frrutom att titta p sidor. Alla anvndare som inte r inloggade fr identiteten Visitor.\r\n\r\n<b>Lgg till ny anvndare</b>\r\nKlicka hr fr att lgga till en ny anvndare.\r\n\r\n<b>Sk</b>\r\nDu kan ska i anvndarlistan baserat p anvndarnamn och e-postadress. ',1031909288);
INSERT INTO international VALUES (612,'WebGUI',6,'Det finns egentligen ingen anledning att ta bort en anvndare. Vill du lsa ut en person kan du helt enkelt ndra deras lsenord. Om du r helt sker p att du vill ta bort en anvndare br du tnka p konsekvenserna. Om du tar bort en anvndare s kommer innehll de bidragit med p webbplatsen att finnas kvar, men om andra anvndare frsker titta p anvndarens profil kommer de att f ett felmeddelande. Om den borttagna anvndaren tervnder till webbplatsen och vill komma t och ndra sina gamla bidrag s kan man inte enklet gra det genom att lgga till en ny anvndare med samma anvndarnamn som frr, utan mste g in direkt i tabellerna via SQL och lgg till honom den vgen.\r\n\r\nPrecis som med alla borttagningsoperationer kommer du att f bekrfta att du vill fortstta. Svara Ja och anvndaren kommer tas bort. Svara Nej och du kommer tillbaka till senaste sidan du var p.',1031909117);
INSERT INTO international VALUES (611,'WebGUI',6,'<b>Fretagsnamn</b>\r\nNamnet p fretaget. Det kommer synas p all e-post och alla stllen du anvnder fretagsnamnsmacrot.\r\n\r\n<b>Fretagets e-postadress</b>\r\nEn generell e-postadress fr ditt fretag. Det r frn den hr adressen alla automatiserade meddelanden kommer komma frn. Det kan ocks anvndas via WebGUI macro-system.\r\n\r\n<b>Fretags-URL</b>\r\nDen primra URL\'en fr ditt fretag. Kommer ocks visas p alla automatiserade e-postmeddelanden som skickas via WebGUI. Det finns ocks tillgngligt via WebGUI macro-system.',1031908216);
INSERT INTO international VALUES (610,'WebGUI',6,'Se <b>Hantera anvndare</b> fr mer detaljer.\r\n\r\n<b>Anvndarnamn</b>\r\nEtt anvndarnamn r en unik identifierare fr en anvndare. Det r under det hr namnet personen kommer bli knd p webbplatsen. \r\n\r\n<i><b>Note:</b></i> Administratrer har obegrnsat inflytande ver WebGUI och kan frbig reglerna. Om du dper om eller skapar en anvndare s kontrollera att det inte redan finns en anvndare med det anvndarnamnet.\r\n\r\n<b>Lsenord</b>\r\nEtt lsenord behvs fr att anvndaren ska bevisa att dom r den dom utger sig fr att vara.\r\n\r\n<b>Autencieringsmetod</b>\r\nSee <i>Redigera instllningar</i> fr detaljer.\r\n\r\n<b>LDAP URL</b>\r\nSee <i>Redigera instllningar</i> fr detaljer.\r\n\r\n<b>Anslutnings-DN</b>\r\nAnslutnings-DN r cn (common name) fr en anvndare i LDAP-databasen. Det ska specifieras som <b>cn=Sven Svensson</b>. Det r anvndarnamnet som kommer att anvndas fr autenciering mot LDAP-servern.',1031908076);
INSERT INTO international VALUES (609,'WebGUI',6,'Nr du tar bort en stil kommer alla sidor som anvnder den stilen att byta till felsker (standard) stil. Fr att garantera oavbruten visning av sidor br du se till att inga sidor anvnder stilen innan du tar bort den.\r\n\r\nPrecis som med alla borttagningsoperationer kommer du att f bekrfta innan operationen fortstter. Svarar du Ja kommer borttagningen fortstta och du kommer inte kunna ngra dig. Svara du Nej kommer du tas tillbaka till fregende sida.',1031907542);
INSERT INTO international VALUES (606,'WebGUI',6,'Tnk p sidor som platshllare fr innehll. Skapa sidan frst och fyll den sedan med allt du vill att den ska innehlla.\r\n\r\n<b>Titel</b>\r\nSidans titel. Den anvnds i navigeringen. Titlar ska vara beskrivande, men inte fr lnga.\r\n\r\n<b>Menytitel</b>\r\nEn frkortad eller ndrad titel som visas i navigeringsmenyer. Om fltet r tomt kommer titeln att visas.\r\n\r\n<b>Sid-URL</b>\r\nNr du skapar en sida kommer en URL att genereras baserad p sidans titel. Om du r missnjd med URL\'en den skapar automatiskt kan du vlja en egen hr.\r\n\r\n<b>Omdirigerings-URL</b>\r\nNr den hr sidan besks kommer anvndaren bli omdirigerad till en URL du fyller i hr. Fr att redigera den hr sidan i fortsttningen mste du g till den via \"Hantera trd-vy\" under \"Administrativa funktioner...\".\r\n\r\n<b>Mall</b>\r\nSom standard har WebGUI en stort omrde dr du kan placera!\n wobjects. Du kan vlja en annan fr att dela upp sidan i mindre omrden.\r\n\r\n<b>Beskrivning</b>\r\nKort beskrivning av sidan. Anvnds fr att skapa META-taggar och beskrivningar p webbplatskartan.\r\n\r\n<b>Meta-taggar</b>\r\nMeta-taggar anvnds av vissa skmotorer fr att associera nyckelord med innehllet i texten p sidan. Det finns en bra webbplats som heter <a href=\"http://www.metatagbuilder.com/\">Meta Tag Builder</a> som hjlper dig skapa meta-taggar om du aldrig gjort det frrut.\r\n\r\n<i>Avancerade anvndare:</i> Om du har andra saker som JavaScript kan du lgga in det hr.\r\n\r\n<b>Anvnd standard meta-taggar?</b>\r\nOm du inte vill vlja meta-taggar sjlv s kan WebGUI generera dessa fr dig, baserat p sidans titel och ditt fretagsnamn. Bocka i denna rutan fr att tillta WebGUI att gra detta.\r\n\r\n<b>Stil</b>\r\nSom standard s rver en ny sida vissa egenskaper frn sidan ovanfr. En av dessa egenskaper r stilen. Vlj frn en lista av stilar om du vil!\nl ndra utseendet p just denna sidan. \r\n\r\nVljer du Ja p frgan under s kommer alla sidor under denna sida att rva stilen.\r\n\r\n<b>Startdatum</b>\r\nDatum d sidan kommer brja visas fr anvndarna. Innan dess kommer sidan bara visas fr personer med rttighet att ndra sidor.\r\n\r\n<b>Slutdatum</b>\r\nDatum d sidan kommer sluta synas. Efter detta kommer sidan bara visas fr personer med rttighet att ndra sidor.\r\n\r\n<b>gare</b>\r\nVem ger sidan? Vanligtvis personen som skapade den.\r\n\r\n<b>garen kan se sidan?</b>\r\nKan garen se sin egen sida?\r\n\r\n<b>garen kan redigera sidan?</b>\r\nKan garen redigera sidan? Var frsiktig med att stnga av denna funktion eftersom om garen inte r i sidgruppen s kommer han inte lngre kunna redigera sin egen sida.\r\n\r\n<b>Grupp</b>\r\nVlj vilken grupp som ska ga sidan.\r\n\r\n<b>Grupp kan se sidan?</b>\r\nKan medlemmar i gruppen se sidan?\r\n\r\n<b>Grupp kan redigera sidan?</b>\r\nKan medlemmar i gruppen redg!\niera sidan?\r\n\r\n<b>Vem som helst kan se?</b>\r\nVem som helst kan se sidan, medlemskap eller inte?\r\n\r\n<b>Vem som helst kan redigera sidan?</b>\r\nKan vem som helst redigera sidan?\r\n\r\n<b>Note:</b> Du kan ge samtliga rttigheter rekursivt, s att de ven gller fr undersidor.',1047895156);
INSERT INTO international VALUES (71,'Article',6,'Artiklar r den \"schweiziska armkniven\" fr WebGUI. De flesta delar av statiskt innehll kan lggas till via en artikel.\r\n\r\n<b>Bild</b>\r\nVlj en bild (.jpg, .gif, .png) frn hrddisken. Filen kommer att laddas upp till servern och visas i artikeln.\r\n\r\n<b>Positionera bild</b>\r\nVlj var du vill positionera bilden ovan.\r\n\r\n<b>Bilaga</b>\r\nOm du vill bifoga en Word-fil, zip-fil eller ngon annan typ av fil fr nerladdning vljer du en frn hrddisken.\r\n\r\n<b>Lnktitel</b>\r\nOm du vill ha en lnk till din artikel skriver du in titeln i det hr fltet.\r\n\r\n<i>Exempel:</i> Google\r\n\r\n<b>Lnk URL</b>\r\nOm du skrev in en lnk ovan kan du lgga till en URL hr.\r\n\r\n<i>Exempel:</i> http://www.google.com\r\n\r\n<b>Konvertera radmatningar</b>\r\nOm du publicerar HTML behver du generellt sett inte kryssa fr det hr alternativet, men om du inte anvnder HTML och du vill ha en radmatning p varje stlle du tryckt p \"Enter\"-tangenten s ska du kryssa fr detta.\r\n\r\n<b>Tillt diskussion</b>\r\nKryssa i den hr rutan fr att tillta diskussion runt artikeln. Fr exempel p hur det kan se ut titta p <a href=\"http://www.slashdot.org\">slashdot</a>\r\n\r\n<b>Vem kan gra inlgg?</b>\r\nVlj vilken grupp som har tilltelse att gra inlgg.\r\n\r\n<b>Time-out fr redigering</b>\r\nHur lng tid ska anvndaren ha p sig att ndra sitt inlgg innan det lses.\r\n\r\n<i>Note:</i> Stt inte den hr grnsen fr hgt. En av frdelarna med en diskussionsforum r att det finns svart p vitt vem som sa vad. Om du tillter att anvndare kan g tillbaka och ndra efter en lng tid, s kan anvndaren ndra det som sades lngt tillbaka i tiden och p s stt gra diskussionen frvirrande. \r\n\r\n<b>Karma per inlgg</b>\r\nHur mycket karma ska ges till anvndaren fr ett inlgg?\r\n\r\n<b>Vem kan moderera?</b>\r\nVlj vilken grupp som modererar inlggen.\r\n\r\n<b>Modereringstyp</b>\r\nDu kan vlja vilken typ av moderering du vill ha fr dina anvndare. <i>Efterhand</i> betyder att nr en anvndare gr ett inlgg s visas det direkt och kan drefter plockas bort av modereringsgruppen (se ovan). <i>Frhand</i> betyder att modereringsgruppen mste godknna inlgget innan det visas fr allmnheten.\r\n\r\n<i>Note:</i> I bda fallen kan modereringsgruppen g in och redigera eller ta bort inlgg frn anvndarna.',1031842118);
INSERT INTO international VALUES (642,'WebGUI',6,'Sida, lgg till/redigera',1031841770);
INSERT INTO international VALUES (655,'WebGUI',6,'Anvndare, lgg till/redigera',1031841753);
INSERT INTO international VALUES (653,'WebGUI',6,'Sida, radera',1031841741);
INSERT INTO international VALUES (656,'WebGUI',6,'Fretagsinformation, redigera',1031841724);
INSERT INTO international VALUES (657,'WebGUI',6,'Anvndare, radera',1031841708);
INSERT INTO international VALUES (658,'WebGUI',6,'Anvndare, hantera',1031841696);
INSERT INTO international VALUES (659,'WebGUI',6,'Stilar, hantera',1031841685);
INSERT INTO international VALUES (660,'WebGUI',6,'Grupper, hantera',1031841674);
INSERT INTO international VALUES (661,'WebGUI',6,'Filinstllningar, redigera',1031841664);
INSERT INTO international VALUES (662,'WebGUI',6,'Instllningar, hantera',1031841649);
INSERT INTO international VALUES (663,'WebGUI',6,'E-postinstllningar, redigera',1031841636);
INSERT INTO international VALUES (664,'WebGUI',6,'Wobject, radera',1031841613);
INSERT INTO international VALUES (665,'WebGUI',6,'Grupp, radera',1031841586);
INSERT INTO international VALUES (666,'WebGUI',6,'Stil, lgg till/redigera',1031841553);
INSERT INTO international VALUES (667,'WebGUI',6,'Grupp, lgg till/redigera',1031841539);
INSERT INTO international VALUES (668,'WebGUI',6,'Stilmallar, anvnder',1031841526);
INSERT INTO international VALUES (671,'WebGUI',6,'Wobjects, anvnder',1031841502);
INSERT INTO international VALUES (677,'WebGUI',6,'Wobject, lgg till/redigera',1031841488);
INSERT INTO international VALUES (721,'WebGUI',6,'Namnrymd',1031841468);
INSERT INTO international VALUES (669,'WebGUI',6,'Macros, anvnder',1031841455);
INSERT INTO international VALUES (670,'WebGUI',6,'Bild, lgg till/redigera',1031841435);
INSERT INTO international VALUES (672,'WebGUI',6,'Profilinstllningar, redigera',1031841417);
INSERT INTO international VALUES (674,'WebGUI',6,'Blandade instllningar, redigera',1031841383);
INSERT INTO international VALUES (675,'WebGUI',6,'Skmotor, anvnder',1031841354);
INSERT INTO international VALUES (679,'WebGUI',6,'Innehllsinstllningar, redigera',1031841268);
INSERT INTO international VALUES (680,'WebGUI',6,'Paket, lgg till',1031841250);
INSERT INTO international VALUES (681,'WebGUI',6,'Paket, skapa',1031841235);
INSERT INTO international VALUES (608,'WebGUI',6,'Att ta bort en sida kan skapa stor oreda om du r osker p vad du gr. Tas en sida bort tas ven allt innehll, alla undersidor samt allt innhll undersidorna innehller bort. Var sker p att du redan flyttat ver innehll du vill spara till andra sidor innan du tar bort ngot.\r\n\r\nPrecis som vriga borttagningsfunktioner, s kommer du att bli frgad om du r sker och kunna vlja om du vill fortstta borttagningen, eller avbryta. Om du fortstter kommer borttagningen att fortg utan mjlighet att ngra sig. Om du avbryter kommer du tillbaka till fregende sida.',1031841222);
INSERT INTO international VALUES (682,'WebGUI',6,'Anvndarprofil, redigera',1031841215);
INSERT INTO international VALUES (683,'WebGUI',6,'Mallar, hantera',1031841199);
INSERT INTO international VALUES (684,'WebGUI',6,'Mall, lgg till/redigera',1031841184);
INSERT INTO international VALUES (696,'WebGUI',6,'Papperskorg, tm',1031841167);
INSERT INTO international VALUES (685,'WebGUI',6,'Mall, radera',1031841131);
INSERT INTO international VALUES (59,'Survey',1,'View statistical overview.',1037556614);
INSERT INTO international VALUES (697,'WebGUI',6,'Karma, anvnder',1031841097);
INSERT INTO international VALUES (699,'WebGUI',6,'Frsta dagen i veckan',1031840984);
INSERT INTO international VALUES (715,'WebGUI',6,'Ompeknings-URL',1031840875);
INSERT INTO international VALUES (716,'WebGUI',6,'Logga in',1031840859);
INSERT INTO international VALUES (717,'WebGUI',6,'Logga ut',1031840849);
INSERT INTO international VALUES (718,'WebGUI',6,'Exportera versttning.',1031840838);
INSERT INTO international VALUES (719,'WebGUI',6,'Utgngen',1031840824);
INSERT INTO international VALUES (601,'WebGUI',6,'Internationell-ID',1031840751);
INSERT INTO international VALUES (592,'WebGUI',6,'Teckenuppsttning',1031840733);
INSERT INTO international VALUES (720,'WebGUI',6,'OK',1031840711);
INSERT INTO international VALUES (589,'WebGUI',6,'Redigera sprk',1031840686);
INSERT INTO international VALUES (722,'WebGUI',6,'ID',1031840678);
INSERT INTO international VALUES (583,'WebGUI',6,'Max bildstorlek',1031840677);
INSERT INTO international VALUES (569,'WebGUI',6,'Modereringstyp',1031840667);
INSERT INTO international VALUES (568,'WebGUI',6,'Efterhand',1031840659);
INSERT INTO international VALUES (559,'WebGUI',6,'Kr vid registrering',1031840650);
INSERT INTO international VALUES (554,'WebGUI',6,'Behandla',1031840452);
INSERT INTO international VALUES (551,'WebGUI',6,'Pminnelse',1031840439);
INSERT INTO international VALUES (552,'WebGUI',6,'Vntande',1031840427);
INSERT INTO international VALUES (707,'WebGUI',6,'Visa felskningsinformation?',1031840397);
INSERT INTO international VALUES (584,'WebGUI',10,'Tilfj nyt sprog.',1037205300);
INSERT INTO international VALUES (706,'WebGUI',6,'Timma(r)',1031840361);
INSERT INTO international VALUES (705,'WebGUI',6,'Minut(er)',1031840344);
INSERT INTO international VALUES (704,'WebGUI',6,'Sekund(er)',1031840333);
INSERT INTO international VALUES (703,'WebGUI',6,'r',1031840321);
INSERT INTO international VALUES (702,'WebGUI',6,'Mnad(er)',1031840312);
INSERT INTO international VALUES (582,'WebGUI',10,'Lad vre blank',1037205253);
INSERT INTO international VALUES (581,'WebGUI',10,'Tilfj en ny vrdi',1037205231);
INSERT INTO international VALUES (580,'WebGUI',10,'Din meddelels er <bold>ikke</bold> blevet godkendt.',1037205214);
INSERT INTO international VALUES (512,'WebGUI',6,'Nsta trd',1031840161);
INSERT INTO international VALUES (509,'WebGUI',6,'Diskussionsdesign',1031840153);
INSERT INTO international VALUES (508,'WebGUI',6,'Hantera mallar.',1031840138);
INSERT INTO international VALUES (506,'WebGUI',6,'Hantera mallar',1031840127);
INSERT INTO international VALUES (505,'WebGUI',6,'Lgg till ny mall.',1031840119);
INSERT INTO international VALUES (502,'WebGUI',6,'r du sker p att du vill ta bort den hr mallen och lta alla sidor som anvnde den att byta till standardmallen?',1031840100);
INSERT INTO international VALUES (500,'WebGUI',6,'Sid-ID',1031839975);
INSERT INTO international VALUES (499,'WebGUI',6,'Wobject-ID',1031839351);
INSERT INTO international VALUES (498,'WebGUI',6,'Slutdatum',1031839341);
INSERT INTO international VALUES (496,'WebGUI',6,'Anvnd redigerare',1031839332);
INSERT INTO international VALUES (495,'WebGUI',6,'Inbyggd redigerare',1031839316);
INSERT INTO international VALUES (494,'WebGUI',6,'Real Objects Edit-On Pro',1031839302);
INSERT INTO international VALUES (406,'WebGUI',6,'Miniatyrbildsstorlek',1031839235);
INSERT INTO international VALUES (601,'WebGUI',10,'International ID',1037205754);
INSERT INTO international VALUES (71,'USS',6,'Anvndarinlggsystem r ett bra stt att bygga upp en community p webbplatsen och f gratis innehll frn dina anvndare.\r\n\r\n<b>Design</b>\r\nVad ska inlggsystemet se ut som? Dessa olika vyer finns tillgngliga:\r\n<lu>\r\n <li><b>Traditionell</b> - Skapar en enkel kalkylarksliknande lista av varje inlgg och sorterar efter datum.</li>\r\n <li><b>Webbok</b> - Skapar en vy som liknar nyhetswebbplatsen <a href=\"http://www.slashdot.org\">Slashdot</a>. Fr att begrnsa antalet artiklar p frstasidan kan du anvnda macrot ^-; dr du vill att frstasidans innehll ska sluta.</li>\r\n <li><b>Fotogalleri</b> - skapar en matris av miniatyrbilder som kan klickas p fr att ppna bilden i full storlek.</li>\r\n\r\n<b>Vem kan godknna?</b>\r\nVlj en grupp som ska godknna eller refusera inlgg.\r\n\r\n<b>Vem kan bidra?</b>\r\nVlj en grupp som kan bidra med innehll.\r\n\r\n<b>Inlgg per sida?</b>\r\nHur mnga inlgg ska visas per sida i inlggsindexet?\r\n\r\n<b>Standardstatus</b>\r\nSka inlgg sttas till <i>godknd</i>, <i>vntande</i> eller <i>refuserad</i> som standard.\r\n\r\n<i>Note:</i> Om du stter standardstatus till vntande s mste du sjlv vervaka meddelandeloggen och godknna/refusera inlgg.\r\n\r\n<b>Karma per inlgg</b>\r\nHur mycket karma ges till en anvndare nr de bidrar med inlgg?\r\n\r\n<b>Visa miniatyrbilder?</b>\r\nOm det finns en bild med i inlgget kommer denna att visas som en miniatyrbild i designen (se ovan).\r\n\r\n<b>Tillt diskussion?</b>\r\nVill du koppla ett diskussionsforum till inlggen? Om du gr det s kommer anvndarna att kunna kommentera inlggen.\r\n\r\n<b>Vem kan skicka?</b>\r\nVlj en grupp som kan skicka kommentarer till inlggen.\r\n\r\n<b>Redigeringstimeout</b>\r\nHur lng tid har en anvndare p sig att redigera dennes inlgg innan det blir lst? \r\n\r\n<i>Note:</i> Stt inte denna grnsen fr hgt. Om anvndarna tillts g tillbaka och ndra lngt bak i tiden kan det bli frvirrande nr man lser kommentarer till en borttagen text. \r\n\r\n<b>Karma per kommentar</b>\r\nHur mycket karma ges till anvndare som gr kommentarer till inlgget?\r\n\r\n<b>Vem kan moderera?</b>\r\nVlj en grupp som modererar kommentarerna.\r\n\r\n<b>Modereringstyp</b>\r\nDu kan vlja vilken typ av moderering du vill ha p kommentarerna. <i>Efterhand</i> menar att kommentarerna publiceras direkt och tas bort/redigeras i efterhand. <i>Frhand</i> menas att kommentarerna mste godknnas av ngon i modereringsgruppen innan dom visas p webbplatsen.\r\n\r\n<b><i>Note:</i><b> oavsett modereringstyp kan modererarna alltid g in och redigera/ta bort kommentarer och inlgg.',1031839167);
INSERT INTO international VALUES (567,'WebGUI',6,'Frhand',1031837015);
INSERT INTO international VALUES (582,'WebGUI',6,'Lmna tom',1031836927);
INSERT INTO international VALUES (581,'WebGUI',6,'Lgg till nytt vrde',1031836912);
INSERT INTO international VALUES (578,'WebGUI',6,'Du har ett meddelande att godknna vntandes.',1031836898);
INSERT INTO international VALUES (576,'WebGUI',6,'Radera',1031836869);
INSERT INTO international VALUES (575,'WebGUI',6,'Redigera',1031836853);
INSERT INTO international VALUES (571,'WebGUI',6,'Ls upp trd',1031836840);
INSERT INTO international VALUES (570,'WebGUI',6,'Ls trd',1031836826);
INSERT INTO international VALUES (516,'WebGUI',6,'Sl p Admin!',1031836796);
INSERT INTO international VALUES (522,'WebGUI',6,'Jag skulle vilja bli pmind via ICQ.',1031836777);
INSERT INTO international VALUES (524,'Discussion',6,'Lgg till redigerad-stmpel p inlgg?',1031836642);
INSERT INTO international VALUES (542,'WebGUI',6,'Fregende..',1031836615);
INSERT INTO international VALUES (543,'WebGUI',6,'Lgg till en ny bildgrupp.',1031836602);
INSERT INTO international VALUES (527,'WebGUI',6,'Startsida',1031836587);
INSERT INTO international VALUES (538,'WebGUI',6,'Karma-trskel',1031836567);
INSERT INTO international VALUES (540,'WebGUI',6,'Karma per inloggning',1031836552);
INSERT INTO international VALUES (513,'WebGUI',6,'Fregende trd',1031836539);
INSERT INTO international VALUES (533,'WebGUI',6,'<b>utan</b> orden',1031836528);
INSERT INTO international VALUES (541,'WebGUI',6,'Karma per inlgg',1031836516);
INSERT INTO international VALUES (517,'WebGUI',6,'Sl av Admin!',1031836504);
INSERT INTO international VALUES (514,'WebGUI',6,'Visningar',1047850784);
INSERT INTO international VALUES (511,'WebGUI',6,'Trdad',1031836478);
INSERT INTO international VALUES (515,'WebGUI',6,'Lgg till redigerad-stmpel p inlgg?',1031836467);
INSERT INTO international VALUES (531,'WebGUI',6,'med den <b>exakta frasen</b>',1031836437);
INSERT INTO international VALUES (521,'WebGUI',6,'Jag skulle vilja bli pmind via e-post till personskare.',1031836411);
INSERT INTO international VALUES (532,'WebGUI',6,'med <b>tminstone ett</b> av orden',1031836371);
INSERT INTO international VALUES (526,'WebGUI',6,'Ta bort bara JavaScript.',1031836348);
INSERT INTO international VALUES (530,'WebGUI',6,'med <b>alla</b> orden',1031836324);
INSERT INTO international VALUES (528,'WebGUI',6,'Mallnamn',1031836303);
INSERT INTO international VALUES (529,'WebGUI',6,'resultat',1031836291);
INSERT INTO international VALUES (525,'WebGUI',6,'Redigera innehllsinstllningar',1031836278);
INSERT INTO international VALUES (537,'WebGUI',6,'Karma',1031836256);
INSERT INTO international VALUES (536,'WebGUI',6,'En ny anvndare kallad ^@; har anslutit till webbplatsen.',1031836246);
INSERT INTO international VALUES (535,'WebGUI',6,'Grupp att varna vid ny anvndare',1031836219);
INSERT INTO international VALUES (523,'WebGUI',6,'Pminnelse',1031836205);
INSERT INTO international VALUES (558,'WebGUI',6,'Redigera anvndarens karma',1031836195);
INSERT INTO international VALUES (539,'WebGUI',6,'Anvnd karma?',1031836178);
INSERT INTO international VALUES (534,'WebGUI',6,'Varna vid ny anvndare?',1031836166);
INSERT INTO international VALUES (556,'WebGUI',6,'Antal',1031836143);
INSERT INTO international VALUES (607,'WebGUI',6,'<b>Anonyma registreringar</b>\r\nVill Du tillta beskare till din webbplats att registrera sig?\r\n\r\n<b>Kr vid registrering</b>\r\nOm det terfinns en kommandorad hr, kommer den att kras varje gng en anvndare registrerar sig anonymt.\r\n\r\n<b>Varning vid ny anvndare?</b>\r\nSkall ngon f en varning nr en anvndare registrerar sig anonymt?\r\n\r\n<b>Grupp att varna vid ny anvndare</b>\r\nVilken grupp skall bli varnad nr en ny anvndare registreras?\r\n\r\n<b>Anvnd Karma?</b>\r\nSkall karma anvndas?\r\n\r\n<b>Karma per inloggning</b>\r\nDen mngd karma en anvndare skall f nr dom loggar in. Denna instllning anvnds bara om karma anvnds.\r\n\r\n<b>Sessionstimeout</b>\r\nDen mngd tid som en session fortstter vara aktiv (innan man behver logga in p nytt). Timeoutvrdet nollstlls varje gng en anvndare laddar en sida. Drfr, om Du stter detta vrde till tta timmar, anvndaren skulle bli tvungen att logga in p nytt om han/hon inte bekt sidan p tta timmar.\r\n\r\n<b>Authenticeringsmetod (standard)</b>\r\nVad skall standard-autheticeringsmetoden fr nya konton vara? De tv tillgngliga alternativen r WebGUI och LDAP. WebGUI authenticering betyder att anvndare authenticeras mot det anvndarnamn och lsenord som finns sparat i WebGUI\'s databas. LDAP authenticering betyder att anvndare authenticeras mot en extern LDAP server.\r\n\r\n<i>Note:</i> Authenticeringsinstllningar kan sttas per anvndare.\r\n\r\n<b>Bindning till anvndarnamn</b>\r\nBind WebGUI-anvndarnamn till en LDAP-identitet. Detta krver att anvndaren har samma anvndarnamn i WebGUI som det dom angav i den anonyma registreringsprocessen. Det betyder ocks att dom inte kan ndra sitt anvndarnamn senare. Denna instllning trder enbart i kraft om anvndaren authenticerar mot LDAP.\r\n\r\n<b>URL till LDAP (standard)</b>\r\nStandardskvgen till din LDAP-server. En LDAP-URL skall se ut p fljande stt, <b>ldap://[server]:[port]/[base DN]</b>.\r\n\r\n<i>Exempel:</i> ldap://ldap.mittforetag.se:389/o=MittForetag.\r\n\r\n---\r\n\r\nLDAP Identity\r\nThe LDAP Identity is the unique identifier in the LDAP server that the user will be identified against. Often this field is shortname, which takes the form of first initial + last name. Example: jdoe. Therefore if you specify the LDAP identity to be shortname then Jon Doe would enter jdoe during the registration process. \r\n\r\nLDAP Identity Name\r\nThe label used to describe the LDAP Identity to the user. For instance, some companies use an LDAP server for their proxy server users to authenticate against. In the documentation or training already provided to their users, the LDAP identity is known as their Web Username. So you could enter that label here for consitency. \r\n\r\nLDAP Password Name\r\nJust as the LDAP Identity Name is a label, so is the LDAP Password Name. Use this label as you would LDAP Identity Name.',1031836131);
INSERT INTO international VALUES (61,'USS',6,'Anvndarinlggsystem, lgg till/redigera',1031834839);
INSERT INTO international VALUES (59,'USS',6,'Nsta inlgg',1031834797);
INSERT INTO international VALUES (58,'USS',6,'Tidigare inlgg',1031834779);
INSERT INTO international VALUES (57,'USS',6,'Svar',1031834770);
INSERT INTO international VALUES (53,'USS',6,'Design',1031834723);
INSERT INTO international VALUES (52,'USS',6,'Miniatyrbild',1031834714);
INSERT INTO international VALUES (51,'USS',6,'Visa miniatyrbilder?',1031834699);
INSERT INTO international VALUES (48,'USS',6,'Tillt diskussion?',1031834689);
INSERT INTO international VALUES (47,'USS',6,'Skicka ett svar',1031834680);
INSERT INTO international VALUES (46,'USS',6,'Ls mer...',1031834609);
INSERT INTO international VALUES (45,'USS',6,'tervnd till inlgg',1031834595);
INSERT INTO international VALUES (41,'USS',6,'Datum',1031834546);
INSERT INTO international VALUES (39,'USS',6,'Skicka ett svar',1031834531);
INSERT INTO international VALUES (38,'USS',6,'(Vlj \"Nej\" om du skriver ett HTML/Rich Edit inlgg)',1031834517);
INSERT INTO international VALUES (590,'WebGUI',6,'Sprk-ID',1031834347);
INSERT INTO international VALUES (595,'WebGUI',6,'Internationella meddelanden',1031834336);
INSERT INTO international VALUES (598,'WebGUI',6,'Redigera sprk.',1031834318);
INSERT INTO international VALUES (594,'WebGUI',6,'verstt meddelanden.',1031834291);
INSERT INTO international VALUES (605,'WebGUI',6,'Lgg till grupper',1032434647);
INSERT INTO international VALUES (597,'WebGUI',6,'Redigera Internationella Meddelanden',1031834246);
INSERT INTO international VALUES (596,'WebGUI',6,'SAKNAS',1031834211);
INSERT INTO international VALUES (585,'WebGUI',6,'Hantera versttningar.',1031834200);
INSERT INTO international VALUES (586,'WebGUI',6,'Sprk',1031834183);
INSERT INTO international VALUES (591,'WebGUI',6,'Sprk',1031834175);
INSERT INTO international VALUES (593,'WebGUI',6,'Skicka versttning.',1031834162);
INSERT INTO international VALUES (587,'WebGUI',6,'r Du sker p att Du vill ta bort det hr sprket, inklusive all hjlp och internationella meddelanden som hr till det?',1031834148);
INSERT INTO international VALUES (553,'WebGUI',6,'Status',1031834095);
INSERT INTO international VALUES (555,'WebGUI',6,'Redigera den hr anvndarens karma.',1031834086);
INSERT INTO international VALUES (501,'WebGUI',6,'Innehll',1031834057);
INSERT INTO international VALUES (30,'USS',6,'Karma per inlgg',1031834054);
INSERT INTO international VALUES (520,'WebGUI',6,'Jag vill bli pmind via e-post.',1031834042);
INSERT INTO international VALUES (71,'SyndicatedContent',6,'Syndikatinnehll r innehll som tas frn extern webbplats. Formatet p innehllet r RDF/RSS. Denna teknik anvnds ofta fr att dra nyhetsrubriker frn webplatser som <a href=\"http://www.cnn.com/\">CNN</a> och <a href=\"http://slashdot.org/\">Slashdot</a>. Det kan sjlvklart anvndas fr andra saker som sportresultat och aktiekurser.\r\n\r\n<b>URL till RSS-fil</b>\r\nSkriv in exakt URL till (inled med http://) till innehllets RDF eller RSS-fil. Innehller kommer laddas ner varje timme.\r\n\r\nDu kan hitta innehll p fljande webbplatser:\r\n\r\n<ul>\r\n<li><a href=\"http://www.newsisfree.com\">http://www.newsisfree.com</a></li>\r\n<li><a href=\"http://www.syndic8.com\">http://www.syndic8.com</a></li>\r\n<li><a href=\"http://www.voidstar.com/node.php?id=144\">http://www.voidstar.com/node.php?id=144</a></li>\r\n<li><a href=\"http://my.userland.com\">http://my.userland.com</a></li>\r\n<li><a href=\"http://www.webreference.com/services/news/\">http://www.webreference.com/services/news/</a></li>\r\n<li><a href=\"http://www.xmltree.com\">http://www.xmltree.com</a></li>\r\n<li><a href=\"http://w.moreover.com/\">http://w.moreover.com/</a></li>\r\n</ul>',1031834039);
INSERT INTO international VALUES (580,'WebGUI',6,'Ditt meddelande har blivit nekat.',1031834021);
INSERT INTO international VALUES (584,'WebGUI',6,'Lgg till ett nytt sprk.',1031833978);
INSERT INTO international VALUES (579,'WebGUI',6,'Ditt meddelande har blivit godknt.',1031833963);
INSERT INTO international VALUES (588,'WebGUI',6,'r du sker p att du vill skicka denna versttning till Plain Black fr inkludering i den officiella distributionen av WebGUI? Genom att klicka p Ja-lnken r du underfrstdd med att du ger Plain Black ohindrad tillgng till att anvnda versttningen i sina mjukvaror.',1032859216);
INSERT INTO international VALUES (507,'WebGUI',6,'Redigera Mall',1031833730);
INSERT INTO international VALUES (519,'WebGUI',6,'Jag vill inte bli pmind.',1031833690);
INSERT INTO international VALUES (518,'WebGUI',6,'Inkorgsnotifikationer',1031833674);
INSERT INTO international VALUES (504,'WebGUI',6,'Mall',1031833582);
INSERT INTO international VALUES (503,'WebGUI',6,'Mall-ID\r\n',1031833573);
INSERT INTO international VALUES (510,'WebGUI',6,'Platt',1031833536);
INSERT INTO international VALUES (61,'SyndicatedContent',6,'Syndikatinnehll, lgg till/redigera',1031832804);
INSERT INTO international VALUES (71,'SiteMap',6,'Webbplatskartor anvnds som alternativ navigering i WebGUI. Du kan stta upp en traditionell webbplatskarta som visar en hierarkisk vy av webbplatsen, eller bara anvnda den som extra navigering p vissa niver i webbplatsen.\r\n\r\n<b>Visa beskrivning?</b>\r\nOm du vill visa respektive sidas beskrivning bredvid lnkar. Fr att det hr alternativet ska fungera br samtliga sidor ha en beskrivning.\r\n\r\n<b>Brja frn denna nivn?</b>\r\nIf du vill att webbplatskartan ska brja frn den nivn du befinner dig p nu s bocka hr. Om du vill att webbplatskartan ska brja frn frstasidan s bockar du inte i den.\r\n\r\n<b>Djup</b>\r\nHur mnga niver ner ska webbplatskartan g? Om du stter 0 (noll) hr s visas samtliga niver.\r\n\r\n<b>Indrag</b>\r\nHur mnga tecken ska indentera varje niv?\r\n\r\n<b>Kula</b>\r\nVlj vilken kula som ska vara fre varje rad. Du kan lmna det hr fltet blankt om du vill. Du kan ven vlja HTML-kulor som  som . Du kan ven anvnda bilder frn bildhanteraren genom att anvnda macrot ^I(kula);\r\n\r\n<b>Linjehjd</b>\r\nVlj hur mnga radbrytningar som ska vara mellan varje rad. Detta vrdet br vara 1 eller hgre.\r\n\r\n',1031832684);
INSERT INTO international VALUES (61,'SiteMap',6,'Webbplatskarta, lgg till/redigera',1031818471);
INSERT INTO international VALUES (71,'SQLReport',6,'SQL-rapporter n ngot av det mest kraftfulla vapnet i WebGUI\'s arsenal. Den tillter dig att gra sql-frgor direkt mot en databas du har tillgng till. Kan anvndas fr att integrera en mngd olika data i WebGUI.\r\n\r\n<b>Kr macros p frgan</b>\r\nOm du anvnder macros i din frga s kryssa i denna ruta.\r\n\r\n<b>Debug?</b>\r\nVill du visa avlusnings- och felmeddelanden p sidan kryssa i denna ruta.\r\n\r\n<b>Frga</b>\r\nDetta r en standard SQL-frga. Du kan gra frgorna med dynamiska genom att anvnda ^FormParam(); macrot.\r\n\r\n<b>Rapportmall</b>\r\nEn mall fr hur resultatet kommer presenteras. Normalt anvnds HTML-tabeller fr att skapa en snygg rapport. Om du lmnar fltet tomt kommer en standardmall anvndas, baserat p resultatet frn SQL-frgan.\r\n\r\nDet finns special-macros fr anvndning i SQL-rapporter. Det r ^-;, ^0;, ^1;, ^2;, ^3; och s vidare. Dessa macros behandlas oavsett om du kryssat fr Kr macros tidigare. \"^-;\"-macrot r en avgrnsare fr att visa var loopande material brjar och slutar. Det mellan \"^-;\" kommer att visas fr varje rad av resultatet. De numeriska macron representerar dataflten som returneras av frgan (^0; r frsta kolumnen osv). Det finns ett extra macro, ^rownum; som rknar vilken rad loopen r p (startar p 1).\r\n\r\n<b>DSN</b>\r\nData Source Name r den unika identifieraren som Perl anvnder sig av fr att beskriva drivrutin, vrddator samt databas du vill stlla frgan till. Formatet r som fljer: DBI:[drivrutin]:[databasnamn]:[vrd].\r\n\r\n<i>Example:</i> DBI:mysql:WebGUI:localhost\r\n\r\n<b>Databasanvndare</b>\r\nAnvndarnamn fr din DSN.\r\n\r\n<b>Databaslsenord</b>\r\nLsenorder till din DSN.\r\n\r\n<b>Sidbryt efter</b>\r\nHur mnga rader kommer visas innan resultatet delas upp i fler sidor? \r\n\r\n<b>Konvertera radbrytning</b>\r\nVill du konvertera radbrytningar i resultatet till HTML-brytningar?',1031818311);
INSERT INTO international VALUES (61,'SQLReport',6,'SQL-rapport, lgg till/redigera',1031754304);
INSERT INTO international VALUES (9,'Product',6,'Produktbild 3',1031754258);
INSERT INTO international VALUES (8,'Product',6,'Produktbild 2',1031754246);
INSERT INTO international VALUES (7,'Product',6,'Produktbild 1',1031754236);
INSERT INTO international VALUES (557,'WebGUI',6,'Beskrivning',1031752171);
INSERT INTO international VALUES (62,'Product',6,'Produktmall, lgg till/redigera',1031752165);
INSERT INTO international VALUES (61,'Product',6,'Produktmall',1031752154);
INSERT INTO international VALUES (60,'Product',6,'Mall',1031752147);
INSERT INTO international VALUES (6,'Product',6,'Redigera produkt',1031752141);
INSERT INTO international VALUES (59,'Product',6,'Namn',1031752134);
INSERT INTO international VALUES (58,'Product',6,'Redigera produktmall',1031752128);
INSERT INTO international VALUES (57,'Product',6,'r du sker p att du vill ta bort denna mallen och lta alla produkter anvnda standardmallen.',1031752119);
INSERT INTO international VALUES (56,'Product',6,'Lgg till en produktmall.',1031752065);
INSERT INTO international VALUES (55,'Product',6,'Lgg till frdel',1031752048);
INSERT INTO international VALUES (54,'Product',6,'Frdelar',1031752039);
INSERT INTO international VALUES (53,'Product',6,'Redigera frdel',1031752033);
INSERT INTO international VALUES (52,'Product',6,'Lgg till fler frdelar?',1031751996);
INSERT INTO international VALUES (51,'Product',6,'Frdel',1031751984);
INSERT INTO international VALUES (50,'Product',6,'Frdelar r ett resultat av produktens egenskaper. De frklara varfr din produkt r den bsta. Lgger du till frdelar br du ocks lgga till egenskaper.\r\n\r\n<b>Frdel</b>\r\nDu kan lgga till en ny frdel eller anvnda en du redan skrivit in.\r\n\r\n<b>Fortstt att lgga till frdelar?</b>\r\nVill du lgga till fler frdelar vljer du Ja hr.',1031751977);
INSERT INTO international VALUES (5,'Product',6,'r du sker p att du vill ta bort denna produktspecifikation?',1031751821);
INSERT INTO international VALUES (49,'Product',6,'Produktfrdel, lgg till/redigera',1031751804);
INSERT INTO international VALUES (48,'Product',6,'r du sker p att du vill ta bort denna frdelen? Den kan inte tas tillbaka efter borttagning.',1031751703);
INSERT INTO international VALUES (47,'Product',6,'Relaterade produkter r produkter som r likvrdiga eller som kompletterar varandra.\r\n\r\n<b>Relaterade produkter</b>\r\nVlj en produkt frn listan med tidigare skapade produkter.\r\n\r\n<b>Fortstt lgga till relaterad produkt?</b>\r\nVlj Ja om du har ytterligare relaterade produkter.',1031751664);
INSERT INTO international VALUES (46,'Product',6,'Produkt (relaterad), lgg till/redigera',1031750934);
INSERT INTO international VALUES (45,'Product',6,'Tillbehr r produkter som kan utka och/eller frbttra andra produkter.\r\n\r\n<b>Tillbehr</b>\r\nVlj frn en lista med redan upplagda produkter.\r\n\r\n<b>Fortstt med att lgga till tillbehr?</b>\r\nVlj Ja om du vill fortstta lgga till tillbehr.',1031750754);
INSERT INTO international VALUES (44,'Product',6,'Produktillbehr, lgg till/redigera',1031750680);
INSERT INTO international VALUES (43,'Product',6,'Specifikationer r den tekniska beskrivningen av produkten.\r\n\r\n<b>Etikett</b>\r\nTyp av specifikation. Till exempel hjd, bredd, vikt eller frg. Du kan vlja en du valt till andra produkter eller skriva in en nya.\r\n\r\n<b>Specifikation</b>\r\nDet faktiska vrdet p etiketten. Valde du till exempel vikt som etikett s stter du specifikationen till 18 (om din produkt vger 18 kilo).\r\n\r\n<b>Enheter</b>\r\nI vilken enhet mts etiketten? Valde du vikt ovan som exempel s skriver du \"kg\" eller \"kilo\" hr.\r\n\r\n<b>Lgg till fler specifikationer?</b>\r\nVlj Ja om du vill lgga till fler.',1031750622);
INSERT INTO international VALUES (42,'Product',6,'Produktspecifikation, lgg till/redigera',1031749830);
INSERT INTO international VALUES (41,'Product',6,'Egenskaper r sljande fraser fr produkten. Anvnds som frsljningsargument fr kad frsljning.\r\n\r\n<b>Egenskap</b>\r\nDu kan lgga till en ny egenskap eller vlja en som du skrivit p en tidigare inlagd produkt.\r\n\r\n<b>Fortstt med att lgga till egenskaper?</b>\r\nSvara Ja om du vill fortstta lgga till egenskaper.',1031749794);
INSERT INTO international VALUES (40,'Product',6,'Produktegenskap, lgg till/redigera',1031749653);
INSERT INTO international VALUES (4,'Product',6,'r du sker p att du vill ta bort relationen mellan produkterna?',1031749639);
INSERT INTO international VALUES (39,'Product',6,'WebGUI har inbyggt produkthanteringssystem som gr det enkelt fr dig att publicera dina produkter och tjnster p webben.\r\n\r\n<b>Pris</b>\r\nProduktens pris. Du kan ven skriva in text som till exempel \"ring fr offert\", eller lmna fltet tomt.\r\n\r\n<b>Produktnummer</b>\r\nProduktens nummer, SKU, ISBN, eller annan identifiering av denna produkt.\r\n\r\n<b>Produkt bild 1</b>\r\nEn bild p produkten.\r\n\r\n<b>Produkt bild 2</b>\r\nEn bild p produkten.\r\n\r\n<b>Produkt bild 3</b>\r\nEn bild p produkten.\r\n\r\n<b>Broschyr</b>\r\nProduktens broschyr.\r\n\r\n<b>Manual</b>\r\nProdukt-, anvndar- eller servicemanual fr produkten.\r\n\r\n<b>Garanti</b>\r\nProduktens garantivillkor.',1031749615);
INSERT INTO international VALUES (38,'Product',6,'Produkt, lgg till/redigera',1031749311);
INSERT INTO international VALUES (37,'Product',6,'Lgg till relaterad produkt.',1031749300);
INSERT INTO international VALUES (36,'Product',6,'Lgg till tillbehr.',1031749290);
INSERT INTO international VALUES (35,'Product',6,'Lgg till specifikation.',1031749281);
INSERT INTO international VALUES (34,'Product',6,'Lgg till egenskap.',1031749269);
INSERT INTO international VALUES (33,'Product',6,'Relaterade produkter',1031749259);
INSERT INTO international VALUES (32,'Product',6,'Tillbehr',1031749251);
INSERT INTO international VALUES (31,'Product',6,'Specifikationer',1031749242);
INSERT INTO international VALUES (30,'Product',6,'Egenskaper',1031749232);
INSERT INTO international VALUES (3,'Product',6,'r du sker p att du vill ta bort denna egenskapen?',1031749225);
INSERT INTO international VALUES (29,'Product',6,'Enheter',1031749207);
INSERT INTO international VALUES (28,'Product',6,'Lgg till ytterligare specifikation?',1031749200);
INSERT INTO international VALUES (27,'Product',6,'Specifikation',1031749186);
INSERT INTO international VALUES (26,'Product',6,'Etikett',1031749176);
INSERT INTO international VALUES (25,'Product',6,'Redigera specifikation',1031748562);
INSERT INTO international VALUES (24,'Product',6,'Lgg till fler egenskaper?',1031748550);
INSERT INTO international VALUES (23,'Product',6,'Egenskap',1031748540);
INSERT INTO international VALUES (22,'Product',6,'Redigera egenskap',1031748534);
INSERT INTO international VALUES (21,'Product',6,'Lgg till mer relaterade produkter?',1031748521);
INSERT INTO international VALUES (20,'Product',6,'Relaterad produkt',1031748509);
INSERT INTO international VALUES (2,'Product',6,'r du sker p att du vill ta bort produktens relation med detta tillbehr?',1031748500);
INSERT INTO international VALUES (19,'Product',6,'Lgg till relaterad produkt',1031748475);
INSERT INTO international VALUES (18,'Product',6,'Lgg till fler tillbehr?',1031748465);
INSERT INTO international VALUES (17,'Product',6,'Tillbehr',1031748453);
INSERT INTO international VALUES (16,'Product',6,'Lgg till tillbehr',1031748445);
INSERT INTO international VALUES (15,'Product',6,'Garanti',1031748436);
INSERT INTO international VALUES (14,'Product',6,'Manual',1031748429);
INSERT INTO international VALUES (13,'Product',6,'Broschyr',1031748371);
INSERT INTO international VALUES (728,'WebGUI',6,'r du sker p att du vill ta bort denna filen?',1031748345);
INSERT INTO international VALUES (11,'Product',6,'Produktnummer',1031748332);
INSERT INTO international VALUES (10,'Product',6,'Pris',1031748322);
INSERT INTO international VALUES (1,'Product',6,'Produkt',1031748316);
INSERT INTO international VALUES (72,'Poll',6,'Slumpa svaren?',1031748307);
INSERT INTO international VALUES (71,'Poll',6,'Rstningar kan hjlpa dig gra underskningar om hur hur dina anvndare tnker samt vilka synpunkter dom har. \r\n\r\n<b>Aktiv</b>\r\nOm den r kryssad s kan anvndarna rsta, annars ser de bara resultatet av rstningen.\r\n\r\n<b>Vem kan rsta?</b>\r\nVlj en grupp som kan rsta.\r\n\r\n<b>Karma per rst</b>\r\nHur mycket karma ges till en anvndare som rstar.\r\n\r\n<b>Bredd p graf</b>\r\nBredden p grafen som visar resultatet. Bredden mts i pixlar.\r\n\r\n<b>Frga</b>\r\nVad r frgan du vill stlla?\r\n\r\n<b>Svar</b>\r\nSkriv ner de mjliga svarsalternativen p frgan, ett svar per rad. En rstning kan som mest innehlla 20 svar.\r\n\r\n<b>Slumpa svar</b>\r\nFr att vara sker p att svarens ordning inte pverkar rstarna svara Ja hr. Svarens ordning kommer slumpas fram fr varje gng sidan visas.\r\n\r\n<b>Nollstll svar</b>\r\nNollstller rstningen.\r\n\r\n<hr>\r\n\r\n<b><i>Note:</i></b> Fljande stilmallar anvnds p rstnings wobjektet.\r\n\r\n<b>.pollAnswer</b>\r\nSvaret p en rstning.\r\n\r\n<b>.pollColor</b>\r\nFrgen p procent-mtaren.\r\n\r\n<b>.pollQuestion</b>\r\nFrgan p rstningen.',1031748292);
INSERT INTO international VALUES (61,'Poll',6,'Rstning, lgg till/redigera',1031745609);
INSERT INTO international VALUES (20,'Poll',6,'Karma per rst',1031745596);
INSERT INTO international VALUES (71,'MessageBoard',6,'Meddelandeforum, ven kallat diskussionsgrupper, r ett enkelt stt att skapa en interaktiv och levande webbplats. Meddelandeforumen kan ven vara av intern karaktr.\r\n\r\n<b>Meddelanden per sida</b>\r\nNr en beskare frst kommer till meddelandeforumet kommer denna att presenteras en lista med alla mnen (ven kallat trdar). Meddelanden per sida anger hur mnga mnen som kommer visas p varje sida.\r\n\r\n<b>Vem kan skicka inlgg?</b>\r\nVlj en grupp som tillts skicka inlgg.\r\n\r\n<b>Redigerings-timeout</b>\r\nHur lng tid har en anvndare p sig att redigera dennes inlgg innan det blir lst?\r\n\r\n<i>Note:</i> Stt inte denna grnsen fr hgt. En av de bra sakerna med diskussionsforum r att de r en komplett historik ver vad som sagts. Om anvndarna tillts g tillbaka och ndra lngt bak i tiden kan det frvirra.\r\n\r\n<b>Karma per inlgg</b>\r\nHur mycket karma ska ges till anvndaren fr ett inlgg?\r\n\r\n<b>Vem kan moderera?</b>\r\nVlj en grupp som modererar forumet.\r\n\r\n<b>Modereringstyp?</b>\r\nDu kan vlja vilken typ av moderering av anvndarnas inlgg. <i>Efterhand</i> menar att inlgget visas fr alla direkt och att moderatorn kan ta bort det i efterhand. <i>Frhand</i> menas att moderatorn mste godknna inlgget innan det publiceras fr allmnheten.\r\n\r\n<i>Note:</i> Moderatorerna kan alltid g in och redigera och ta bort inlgg, oavsett modereringstyp.',1031745585);
INSERT INTO international VALUES (61,'MessageBoard',6,'Meddelandeforum, lgg till/redigera',1031743614);
INSERT INTO international VALUES (9,'MailForm',6,'Lgg till flt',1031743583);
INSERT INTO international VALUES (8,'MailForm',6,'Bredd',1031743574);
INSERT INTO international VALUES (72,'MailForm',6,'Du kan lgga till s mnga extra flt du vill.\r\n\r\n<b>Fltnamn</b>\r\nNamnet p fltet. Mste vara unikt bland samtliga flt p formulret.\r\n\r\n<b>Status</b>\r\nGmda flt kommer inte vara synliga fr anvndaren, men kommer nd skickas med i e-postmeddelandet. Visade vlt r synliga fr anvndaren, men inte modifierbara. ndringsbara flt fylls i av anvndaren. Om du vljer gmd eller visad s glm inte att fylla i ett standardvrde.\r\n\r\n<b>Typ</b>\r\nVlj en typ av formulrelement fr detta flt. Fljande element stds:\r\n<b>URL:</b> En textruta som automatiskt formaterar URL\'er.\r\n<b>Textbox:</b> En textruta.\r\n<b>Datum:</b> En textruta med knapp som ppnar en kalender i vilken du kan vlja datum.\r\n<b>Ja/Nej:</b> Ja/Nej-valsknappar.\r\n<b>E-postadress:</b> En textruta som krver att anvndaren skriver in en giltig e-postadress.\r\n<b>Textarea:</b> En textruta med flera rader.\r\n<b>Kryssruta:</b> En ruta som kan vara bockad eller inte.\r\n<b>Drop-down:</b> En textruta fr frinstllda alternativ och utan mjlighet att skriva sjlv. Lgg till de frinstllda alternativen genom att skriva dom en p varje rad i rutan Mjliga val.\r\n\r\n<b>Mjliga val</b>\r\nDetta fltet anvnds enbart fr drop-down. Skriv in vilka alternativ du vill ha, en per rad.\r\n\r\n<b>Standardvrde</b>\r\nVlj standardvrdet fr fltet. Kan ven lmnas tom. Fr Ja/Nej-flt skriv ja fr att vlja Ja och nej fr Nej. Fr kryssrutor skriver du \"checked\" fr att kryssa fr rutan.\r\n\r\n<b>Fortstt med att lgga till fler flt?</b>\r\nLt denna vara bockad om du vill lgga till fler flt.',1031743559);
INSERT INTO international VALUES (71,'MailForm',6,'Detta wobjekt skapar ett enkelt formulr som skickas till vald e-postadress.\r\n\r\n<b>Bredd</b>\r\nBredden p alla flt i formulret. Standardvrdet r 45.\r\n\r\n<b>Frn, Till, Cc, Bcc, mne</b>\r\nDessa flt kontrollerar hur e-postmeddelandet kommer se ut och vem det kommer komma till. Du kan ge beskarna valfrihet att sjlva vlja vilka flt som ska vara redigeringsbara, men vanligtvis r de r endast Frn och mne mjliga att ndra. Anvnd drop-down flten vid varje flt fr att vlja om de ska vara redigeringsbara.\r\n\r\nDu kan ven anvnda ett WebGUI anvndarnamn eller grupp i Till-fltet fr att skicka till den anvndaren/gruppen.\r\n\r\n<b>Bekrftelse</b>\r\nDetta meddelande kommer visas fr anvndaren efter de klickar p \"Skicka\".\r\n\r\n<b>Spara mail?</b>\r\nOm du vljer \"Ja\" hr kommer e-postmeddelanden som postas sparas i en databas. Ett verktyg fr att se e-posten i databasen r under utveckling.\r\n\r\n<b>Fortstt med att lgga till flt?</b>\r\nLt denna vara bockad fr att lgga till flt direkt.',1031737418);
INSERT INTO international VALUES (26,'MailForm',6,'Spara mail?',1031735211);
INSERT INTO international VALUES (7,'MailForm',6,'Redigera e-postformulr',1031735170);
INSERT INTO international VALUES (62,'MailForm',6,'E-postformulrflt, lgg till/redigera',1031735145);
INSERT INTO international VALUES (61,'MailForm',6,'E-postformulr, lgg till/redigera',1031733901);
INSERT INTO international VALUES (6,'MailForm',6,'ndringsbar',1031733885);
INSERT INTO international VALUES (5,'MailForm',6,'Visad',1031733868);
INSERT INTO international VALUES (4,'MailForm',6,'Gmt',1031733861);
INSERT INTO international VALUES (3,'MailForm',6,'Tack fr ditt mail!',1031733849);
INSERT INTO international VALUES (25,'MailForm',6,'Standardvrde (valfritt)',1031733356);
INSERT INTO international VALUES (24,'MailForm',6,'Mjliga vrden (endast drop-down)',1031733343);
INSERT INTO international VALUES (23,'MailForm',6,'Typ',1031733323);
INSERT INTO international VALUES (22,'MailForm',6,'Status',1031733317);
INSERT INTO international VALUES (21,'MailForm',6,'Fltnamn',1031733311);
INSERT INTO international VALUES (20,'MailForm',6,'Redigeringsflt',1031733304);
INSERT INTO international VALUES (2,'MailForm',6,'Ditt mne hr',1031733291);
INSERT INTO international VALUES (19,'MailForm',6,'r du sker p att du vill ta bort detta flt?',1031733279);
INSERT INTO international VALUES (18,'MailForm',6,'G tillbaka!',1031733218);
INSERT INTO international VALUES (17,'MailForm',6,'E-post skickad',1031733209);
INSERT INTO international VALUES (16,'MailForm',6,'Bekrftelse',1031733188);
INSERT INTO international VALUES (15,'MailForm',6,'Fortstt med att lgga till fler flt?',1031733154);
INSERT INTO international VALUES (14,'MailForm',6,'mne',1031733136);
INSERT INTO international VALUES (13,'MailForm',6,'Bcc',1031733130);
INSERT INTO international VALUES (12,'MailForm',6,'Cc',1031733124);
INSERT INTO international VALUES (11,'MailForm',6,'Till (e-postadress, anvndarnamn eller gruppnamn)',1031733109);
INSERT INTO international VALUES (10,'MailForm',6,'Frn',1031733088);
INSERT INTO international VALUES (1,'MailForm',6,'E-postformulr',1031733080);
INSERT INTO international VALUES (73,'LinkList',6,'<b>Titel</b>\r\nText som kommer bli lnkad.\r\n\r\n<b>URL</b>\r\nWebbplats lnken leder till. <i>Exempel:</i> http://www.google.com.\r\n\r\n<b>ppna i nytt fnster</b>\r\nVlj \"Ja\" om du vill att lnken ska ppna ett nytt fnster.\r\n\r\n<b>Beskrivning</b>\r\nKort beskrivning av webbplatsen lnken gr till. Du kan lmna det hr fltet tomt.\r\n\r\n<b>Fortstt med att lgga till lnk?</b>\r\nOm du har fler lnkar att lgga till vljer du \"Ja\".',1031732803);
INSERT INTO international VALUES (72,'LinkList',6,'Lnk, lgg till/redigera',1031732662);
INSERT INTO international VALUES (71,'LinkList',6,'Lnklistor r precis vad det lter som, en lista med lnkar. Mnga webbplatser har en lnksektion och det hr wobjektet hjlper dig skapa en sdan.\r\n\r\n<b>Indentering</b>\r\nHur mnga bokstvers indentering fr varje lnk?\r\n\r\n<b>Linjeavstnd</b>\r\nHur mnga radbrytningar mellan varje lnk?\r\n\r\n<b>Kula</b>\r\nVlj vilken typ av kula som ska anvndas i brjan p varje rad. Du kan lmna det hr fltet tomt om du vill. Du kan ven vlja HTML-kulor som  och . Du kan ven anvnda bilder frn bildhanteraren genom att anvnda ett macro typ ^I(bullet);.\r\n\r\n<b>Fortstt med att lgga till lnk?</b>\r\nLt den hr st p \"Ja\" fr att lgga till lnkar direkt.\r\n\r\n<b>Stilmall</b>\r\nEn extra stilmallsklass har lagts till fr lnklistan.\r\n<b>.linkTitle</b> Anvnd denna fr att manipulera utseendet fr titeln p varje lnk.',1031732417);
INSERT INTO international VALUES (61,'LinkList',6,'Lnklista, lgg till/redigera',1031732010);
INSERT INTO international VALUES (61,'Item',6,'Objekt, lgg till/redigera',1031731997);
INSERT INTO international VALUES (6,'Item',6,'Redigera objekt',1031731985);
INSERT INTO international VALUES (3,'Item',6,'Ta bort bilaga',1031731976);
INSERT INTO international VALUES (73,'FAQ',6,'<b>Frga</b>\r\nSkriv in frgan du vill ha i din FAQ.\r\n\r\n<b>Svar</b>\r\nSkriv in svaret p frgan ovan.\r\n\r\n<b>Fortstt med att lgga till frgor?</b>\r\nOm du har fler frgor att lgga till vljer du \"Ja\".',1031731966);
INSERT INTO international VALUES (72,'FAQ',6,'Frga, lgga till/redigera',1031731897);
INSERT INTO international VALUES (71,'FAQ',6,'Det verkar som i princip varenda webbplats har en \"Frequently Asked Questions\"-sektion (ofta stllda frgor). Det hr r ett wobject som hjlper dig bygga din egen.<p><b>Stt p innehllsfrteckning?</b><br>Om du vill visa en innehllsfrteckning fr din FAQ. En innehllsfrteckning listar lnkar till alla frgor i FAQ\'n lngst upp p sidan.<p><b>Stt p Q/A?</b><br>Vlj om du vill att det ska st ett Q: framfr varje frn och ett A: framfr varje svar.<p><b>Stt p [top]-lnk?</b><br>[top] kommer visas varje frga och svar. Klickar man p den lnken s kommer man lngst upp p sidan. Anvnds oftast i samband med en innehllsfrteckning.<p><b>Fortstt med att lgga till frgor?</b><br>Lt den vara bockad om du vill lgga till frgor direkt efter du skapat din FAQ.<p><hr><p><b><i>Note:</i></b> Fljande stilar r specifika fr FAQ.<p><b>.faqQuestion</b><br>En FAQ-frga. Fr att srskilja den frn ett svar.',1032859954);
INSERT INTO international VALUES (61,'FAQ',6,'FAQ, lgg till/redigera',1031669931);
INSERT INTO international VALUES (13,'FAQ',6,'Stt p [top] lnk?',1031669852);
INSERT INTO international VALUES (12,'FAQ',6,'Stt p Q/A?',1031669840);
INSERT INTO international VALUES (11,'FAQ',6,'Stt p innehllsfrteckning?',1031669826);
INSERT INTO international VALUES (71,'ExtraColumn',6,'Extra kolumner lter dig ndra layout p endast en sida. Om du vill ha fler kolumner p samtliga sidor br du vervga att ndra p stilen som stts p dina sidor eller anvnda en <i>mall</i> istllet fr en extra kolumn.\r\n\r\nKolumner lggs alltid till frn vnster till hger. Tidigare material kommer flyttas till vnster om den nya kolumnen.\r\n\r\n<b>Mellanrum</b>\r\nMellanrum r avstndet mellan existerande innehll och din nya kolumn. Mts i antalet pixlar.\r\n\r\n<b>Bredd</b>\r\nHur bred vill du att kolumnen ska vara? Mts i antalet pixlar.\r\n\r\n<b>Stilmallsklass (style sheet class)</b>\r\nStandard anvnds <i>content</i>-stilen (samma som vrig text p hemsidan). Om du har skapat en egen stil fr kolumner s kan du ndra till den hr.',1031669809);
INSERT INTO international VALUES (61,'ExtraColumn',6,'Extra kolumn, lgg till/redigera',1031667836);
INSERT INTO international VALUES (78,'EventsCalendar',6,'Ta inte bort ngot, jag klickade fel.',1031667821);
INSERT INTO international VALUES (77,'EventsCalendar',6,'Ta bort denna hndelse <b>och</b> alla av dess terkommande hndelser.',1031667806);
INSERT INTO international VALUES (76,'EventsCalendar',6,'Ta enbart bort denna hndelse.',1031667761);
INSERT INTO international VALUES (75,'EventsCalendar',6,'Vilket vill du gra?',1031667747);
INSERT INTO international VALUES (73,'EventsCalendar',6,'<b>Titel</b>\r\nTiteln fr denna hndelse.\r\n\r\n<b>Beskrivning</b>\r\nBeskrivning av aktiviteter fr denna hndelse eller vrig information om aktiviteten.\r\n\r\n<b>Start datum</b>\r\nVilket datum kommer det brja?\r\n\r\n<b>Slut datum</b>\r\nVilket datum slutar det p?\r\n\r\n<b>terkommer varje</b>\r\nVlj ett terkomstintervall fr denna hndelse.\r\n\r\n<b>Fortstt med att lgga till hndelse?</b>\r\nOm du vill fortstta lgga till hndelser lter du \"Ja\" vara valt.',1031667712);
INSERT INTO international VALUES (71,'EventsCalendar',6,'Hndelsekalendrar anvnds p mnga intrant fr att hlla reda p interna datum som pverkar hela organisationen. Kalendrar p handelsinriktade webbplatser r ett bra stt att lta kunderna veta bl.a. vilka mssor/utstllningar du kommer att medverka p.\r\n\r\n<b>Visningsformat</b>\r\nDetta kan sttas till <i>Lista</i> eller <i>kalender</i>. Nr du vljer <i>lista</i> kommer hndelserna vara listade efter datum (hndelser som redan intrffat kommer inte att visas). Den hr typen passar bst nr det inte hnder mer n ett par saker varje mnad. Om du vljer <i>kalender</i> s kommer hndelserna visas p en mnadskalender som det gr att blddra i. Den hr formatet passar sig bst vid mnga hndelser varje mnad.\r\n\r\n<b>Radbryt efter</b>\r\nNr du anvnder <i>list</i>-formatet s anger du hr hur mnga hndelser som kommer visas per sida.\r\n\r\n<b>Fortstt med att lgga till hndelse?</b>\r\nLt den hr vara instlld p \"Ja\" fr att direkt kunna lgga in hndelser.\r\n\r\n<hr>\r\n<b><i>Note:</i></b> Fljande stil r specifik fr hndelsekalendern.\r\n\r\n<b>.eventTitle</b>\r\nTiteln fr en enskild hndelse.',1031667571);
INSERT INTO international VALUES (72,'EventsCalendar',6,'Hndelse, lgg till/redigera',1031666394);
INSERT INTO international VALUES (61,'EventsCalendar',6,'Hndelsekalender, lgg till/redigera',1031666373);
INSERT INTO international VALUES (79,'EventsCalendar',1,'Main Template',1038190356);
INSERT INTO international VALUES (20,'EventsCalendar',6,'Lgg till en hndelse.',1031666339);
INSERT INTO international VALUES (73,'FileManager',6,'<b>Filtitel</b>\r\nTitel som kommer visas fr denna nerladdning.\r\n\r\n<b>Fil</b>\r\nVlj en fil frn din hrddisk som kommer laddas upp till nerladdningshanteraren.\r\n\r\n<b>Alternativ version #1</b>\r\nEn alternativ version till filen ovan. r filen ovan t.ex. en JPEG s kan alternativet vara samma bild fast i TIFF-format.\r\n\r\n<b>Alternativ version #2</b>\r\nEn alternativ version till filen ovan. r filen ovan t.ex. en JPEG s kan alternativet vara samma bild fast i TIFF-format.\r\n\r\n<b>Kort beskrivning</b>\r\nKort beskrivning av filen. Kom ihg att anvnda nyckelord som anvndaren kan tnkas anvnda nr denne sker p webbplatsen.\r\n\r\n<b>Nerladdningsgrupp</b>\r\nAvgrnsa mjligheten att ladda ner filen till denna gruppen.\r\n\r\n<b>Fortstt med att ladda upp mer filer fr nerladdning?</b>\r\nVlj \"Ja\" om du har mer filer att ladda upp.',1031665984);
INSERT INTO international VALUES (72,'FileManager',6,'Nerladdning, lgg till/redigera',1031664814);
INSERT INTO international VALUES (71,'FileManager',6,'Nerladdningshanteraren r designad fr att hjlpa dig hantera distrubitionen av filer p din site. Den hjlper dig vlja vilka som ska ha tilltrde till filerna.\r\n\r\n<b>Radbryt efter</b>\r\nHur mnga filer ska visas innan resultatet delas upp i sidor? Med andra ord, hur mnga filer per sida?\r\n\r\n<b>Visa miniatyrbilder?</b>\r\nKlicka fr denna och du vill att anvndaren ska se miniatyrbilder av bilder du laddat upp. Notera att miniatyrbilden endast syns fr huvudfilen. Fr alternativa versioner visas inga miniatyrbilder.\r\n\r\n<b>Fortstt med att lgga upp filer?</b>\r\nOm du vill brja lgga upp filer direkt s lt denna vara kryssad.',1031664796);
INSERT INTO international VALUES (61,'FileManager',6,'Nerladdningshanteraren, lgg till/redigera',1031664577);
INSERT INTO international VALUES (71,'Item',6,'Precis som artiklar r objekt den Schweiziska Armkniven fr WebGUI. De flesta delar av statiskt innehll kan lggas till via ett objekt, men objekt anvnds oftast fr mindre innehll n artiklar.\r\n\r\n<b>Lnk URL</b>\r\nDenna URL kommer anslutas till titeln p objektet.\r\n\r\n<i>Exempel:</i> http://www.google.com\r\n\r\n<b>Bilaga</b>\r\nOm du vill bifoga en Word-fil, zip-fil eller ngon annan typ av fil fr nerladdning vljer du frn hrddisken.\r\n',1031663580);
INSERT INTO international VALUES (61,'Article',6,'Artikel, Lgg till/Redigera',1031652255);
INSERT INTO international VALUES (654,'WebGUI',6,'Stilar, ta bort',1031651503);
INSERT INTO international VALUES (652,'WebGUI',6,'Anvndarinstllningar, redigera',1031651489);
INSERT INTO international VALUES (739,'WebGUI',1,'UI Level',1033832377);
INSERT INTO international VALUES (738,'WebGUI',1,'9 Guru',1033836704);
INSERT INTO international VALUES (737,'WebGUI',1,'8 Master',1033836698);
INSERT INTO international VALUES (736,'WebGUI',1,'7 Expert',1033836692);
INSERT INTO international VALUES (735,'WebGUI',1,'6 Professional',1033836686);
INSERT INTO international VALUES (734,'WebGUI',1,'5 Adept',1033836678);
INSERT INTO international VALUES (733,'WebGUI',1,'4 Skilled',1033836668);
INSERT INTO international VALUES (732,'WebGUI',1,'3 Rookie',1033836660);
INSERT INTO international VALUES (731,'WebGUI',1,'2 Trained',1033836651);
INSERT INTO international VALUES (730,'WebGUI',1,'1 Novice',1033836642);
INSERT INTO international VALUES (729,'WebGUI',1,'0 Beginner',1033836631);
INSERT INTO international VALUES (106,'WebGUI',11,'\" \"\"\"\"          \"',1031514049);
INSERT INTO international VALUES (105,'WebGUI',11,'. ',1031514049);
INSERT INTO international VALUES (104,'WebGUI',11,'  ',1031514049);
INSERT INTO international VALUES (103,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (102,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (101,'WebGUI',11,'         ǡ     Ͽ',1031514049);
INSERT INTO international VALUES (100,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (99,'WebGUI',11,'   ()',1031514049);
INSERT INTO international VALUES (95,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (94,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (93,'WebGUI',11,'  ()',1031514049);
INSERT INTO international VALUES (92,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (91,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (90,'WebGUI',11,'  ',1031514049);
INSERT INTO international VALUES (89,'WebGUI',11,'',1031514049);
INSERT INTO international VALUES (88,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (87,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (86,'WebGUI',11,'       ɿ        ǡ      .',1031514049);
INSERT INTO international VALUES (85,'WebGUI',11,'',1031514049);
INSERT INTO international VALUES (84,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (82,'WebGUI',11,' ...',1031514049);
INSERT INTO international VALUES (81,'WebGUI',11,'    !',1031514049);
INSERT INTO international VALUES (80,'WebGUI',11,'    !',1031514049);
INSERT INTO international VALUES (2,'Auth/LDAP',11,'  LDAP',1031514049);
INSERT INTO international VALUES (3,'Auth/WebGUI',11,'   .   ',1031514049);
INSERT INTO international VALUES (77,'WebGUI',11,'         .     .    :',1031514049);
INSERT INTO international VALUES (76,'WebGUI',11,'       ',1031514049);
INSERT INTO international VALUES (75,'WebGUI',11,'     ',1031514049);
INSERT INTO international VALUES (74,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (73,'WebGUI',11,'',1031514049);
INSERT INTO international VALUES (72,'WebGUI',11,'',1031514049);
INSERT INTO international VALUES (71,'WebGUI',11,'  ',1031514049);
INSERT INTO international VALUES (70,'WebGUI',11,'',1031514049);
INSERT INTO international VALUES (69,'WebGUI',11,'      ',1031514049);
INSERT INTO international VALUES (68,'WebGUI',11,'      .         ( / )  ',1031514049);
INSERT INTO international VALUES (67,'WebGUI',11,'  ',1031514049);
INSERT INTO international VALUES (66,'WebGUI',11,'',1031514049);
INSERT INTO international VALUES (65,'WebGUI',11,'   ',1031514049);
INSERT INTO international VALUES (64,'WebGUI',11,'',1031514049);
INSERT INTO international VALUES (63,'WebGUI',11,'  (admin)',1031514049);
INSERT INTO international VALUES (62,'WebGUI',11,'',1031514049);
INSERT INTO international VALUES (61,'WebGUI',11,'  ',1031514049);
INSERT INTO international VALUES (60,'WebGUI',11,'      .  ʡ     ',1031514049);
INSERT INTO international VALUES (59,'WebGUI',11,'  .',1031514049);
INSERT INTO international VALUES (58,'WebGUI',11,'   .',1031514049);
INSERT INTO international VALUES (57,'WebGUI',11,'           .',1031514049);
INSERT INTO international VALUES (56,'WebGUI',11,'  ',1031514049);
INSERT INTO international VALUES (2,'Auth/WebGUI',11,'  ()',1031514049);
INSERT INTO international VALUES (54,'WebGUI',11,'  ()',1031514049);
INSERT INTO international VALUES (53,'WebGUI',11,'  ',1031514049);
INSERT INTO international VALUES (52,'WebGUI',11,'',1031514049);
INSERT INTO international VALUES (51,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (50,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (49,'WebGUI',11,'?op=logout\"\">here</a> to log out.\"',0);
INSERT INTO international VALUES (48,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (47,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (46,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (45,'WebGUI',11,'ǡ  ',1031514049);
INSERT INTO international VALUES (44,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (43,'WebGUI',11,'       ',1031514049);
INSERT INTO international VALUES (42,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (41,'WebGUI',11,'       webGUI.     ѡ  webGUI     .',1031514049);
INSERT INTO international VALUES (40,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (39,'WebGUI',11,'      ',1031514049);
INSERT INTO international VALUES (38,'WebGUI',11,' that has sufficient privileges before attempting this operation.\"',0);
INSERT INTO international VALUES (37,'WebGUI',11,'     !',1031514049);
INSERT INTO international VALUES (36,'WebGUI',11,'       ɡ          :',1031514049);
INSERT INTO international VALUES (35,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (34,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (33,'WebGUI',11,'',1031514049);
INSERT INTO international VALUES (32,'WebGUI',11,'',1031514049);
INSERT INTO international VALUES (31,'WebGUI',11,'',1031514049);
INSERT INTO international VALUES (30,'WebGUI',11,'',1031514049);
INSERT INTO international VALUES (29,'WebGUI',11,'',1031514049);
INSERT INTO international VALUES (28,'WebGUI',11,'',1031514049);
INSERT INTO international VALUES (27,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (26,'WebGUI',11,'',1031514049);
INSERT INTO international VALUES (25,'WebGUI',11,'',1031514049);
INSERT INTO international VALUES (24,'WebGUI',11,'',1031514049);
INSERT INTO international VALUES (23,'WebGUI',11,'',1031514049);
INSERT INTO international VALUES (22,'WebGUI',11,'',1031514049);
INSERT INTO international VALUES (21,'WebGUI',11,'',1031514049);
INSERT INTO international VALUES (20,'WebGUI',11,'',1031514049);
INSERT INTO international VALUES (19,'WebGUI',11,'',1031514049);
INSERT INTO international VALUES (17,'WebGUI',11,'',1031514049);
INSERT INTO international VALUES (18,'WebGUI',11,'',1031514049);
INSERT INTO international VALUES (16,'WebGUI',11,'',1031514049);
INSERT INTO international VALUES (15,'WebGUI',11,'',1031514049);
INSERT INTO international VALUES (14,'WebGUI',11,'   ()',1031514049);
INSERT INTO international VALUES (13,'WebGUI',11,'   ()',1031514049);
INSERT INTO international VALUES (12,'WebGUI',11,'   (admin)',1031514049);
INSERT INTO international VALUES (11,'WebGUI',11,'  ',1031514049);
INSERT INTO international VALUES (10,'WebGUI',11,'  ',1031514049);
INSERT INTO international VALUES (9,'WebGUI',11,'  ',1031514049);
INSERT INTO international VALUES (8,'WebGUI',11,'   ',1031514049);
INSERT INTO international VALUES (7,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (6,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (5,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (4,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (3,'WebGUI',11,'   ',1031514049);
INSERT INTO international VALUES (2,'WebGUI',11,'',1031514049);
INSERT INTO international VALUES (1,'WebGUI',11,' ..',1031514049);
INSERT INTO international VALUES (886,'WebGUI',1,'Hide from navigation?',1044727952);
INSERT INTO international VALUES (887,'WebGUI',1,'Midas (Mozilla 1.3+)',1047342950);
INSERT INTO international VALUES (634,'WebGUI',2,'<b>Standard Startseite</b><BR>Einige kleinere Seiten haben keine Startseite \r\n(Eingangsseite), stattdessen benutzen sie eine der internen Seiten wie &quot;ber \r\nuns&quot; oder &quot;Informationen ber die Firma&quot;. Aus diesem Grund knnen \r\nSie eine beliebige Seite als Startseite auswhlen. Zu dieser Startseite gelangt \r\nman, wenn man die URL wie <a href=\"http://www.mywebguisite.com\">http://www.mywebguisite.com</a> \r\naufruft oder durch einen Klick auf den Home-Link, generiert durch das  ^H; Makro. \r\n<P><b>&quot;Nicht gefunden&quot; Seite</b><BR>Sollte eine Seite, die ein Besucher \r\naufrufen mchte, nicht vorhanden sein, kann er zur Homepage oder zu einer Fehlerseite \r\nweitergeleitet werden. Sie entscheiden, welcher Weg besser fr ihre Besucher \r\nist...<P><b>Dokument Typ Beschreibung</b><BR>Heutzutage ist es sehr wichtig, \r\neine grosse Anzahl von Browsern zu untersttzen, inklusive Robotern von Suchmaschinen. \r\nEinige dieser Browser mchten wissen, welcher Art Content ihnen angeboten wird. \r\nMit dem \'Doctype Tag\' knnen Sie dies angeben. Standardmssig generiert WebGUI \r\n HTML 4.0 konformen Inhalt.<P><b>Bearbeitungszeitpunkt zu Beitrgen hinzufgen?</b><BR>Gewhnlich \r\nwird der Zeitpunkt, an dem ein Beitrag bearbeitet wurde, als so genannter Timestamp \r\nhinzugefgt, damit man spter nachverfolgen&nbsp;kann, wann der Beitrag verfasst \r\nwurde. Diese Funktion wird natrlich nicht fr alle Seiten bentigt, daher knnen \r\nSie den Timestamp dort deaktivieren.<P><b>HTML filtern</b><BR>Bei ffentlichen \r\nSeiten, auf denen ein Besucher die Mglichkeit hat, z. B. Beitrge in einem \r\nDiskussionsforum zu verfassen,  ist es oft notwendig, deren Content zu filtern, \r\num z. B. das Ausfhren bswilligen Codes zu verhindern. Und dies kann unter \r\nbesonderen Umstnden zu Sicherheitsproblemen fhren. Hier knnen Sie daher die \r\nStufe der Filterung (z.B. nur Javascript entfernen) einstellen<P><b>Maximale \r\nDateigrsse fr Anhnge</b><BR>Die maximale Grsse in KB der Anhnge.<P><b>Maximale \r\nGrsse einer Grafik</b><BR>Falls Bilder, die hochgeladen wurden, grsser als \r\ndiese maximale Grsse einer Grafik sind, wird diese entsprechend dieser Grsseneinstellungen \r\numgewandelt. Die Angabe erfolgt in Pixel und gibt die lngste Seite der Grafik \r\nan.<P><b>Thumbnail Grsse</b><BR>Hier knnen Sie die Grsse der Vorschaubilder \r\n(Thumbnails) angeben, die automatisch beim Hochladen von Grafiken erstellt werden. \r\nDie Grsse wird in Pixel angegeben.<P><b>Schnippsel Vorschau Lnge</b><BR>Wieviel \r\nZeichen eines Schnippsels werden im Uploadmanager angezeigt? Wie gesagt, damit \r\nist nur die Anzeige in der &quot;Schnipselbersicht&quot; gemeint; der Code \r\nselbst wird nicht beschrnkt<P><b>Reihen&nbsp;des Textbereichs (mehrzeilige \r\nTextbox)</b><BR>Hier knnen Sie angeben, wie viel Reihen pro Textbereich.&nbsp;Dies \r\ngilt dann fr alleTextbereiche&nbsp;innerhalb der Seite -&nbsp;auch diejenigen, \r\ndie angezeigt werden, wenn Sie eine Seite bearbeiten.<P><b>Spalten des Textbereichs</b><BR>Analog \r\nzu den Reihen&nbsp;der Textbereiche knnen Sie auch die Anzahl der Spalten angeben. \r\n<P><b>Grsse der Textbox</b><BR>Hiermit knnen Sie angeben, wie gross die Textboxen \r\nin WebGUI sein sollen. Ein Wert von 20 z.B. erzeugt eine Textbox, die 20 Zeichen \r\nbreit ist.<P><b>Seiten Cache Timeout</b><BR>Die Zeit, die die Seiten fr registrierte \r\nBenutzer gecachet (zwischengespeichert) werden sollen.<P><b>Seiten Cache Timeout (Besucher)</b><BR>Die \r\nZeit, die die Seiten fr Besucher gecachet werden sollen. \r\n<P><b>Beachte:</b> Seiten Caching ist nur verfgbar, wenn der Administrator \r\ndas Cache::FileCache Perl Modul auf dem Webserver installiert/aktiviert hat. \r\nCaching (Zwischenspeichern) von Seiten kann die Performance Ihrer Website um \r\nmehr als 1000 % beschleunigen, da Seiten in einem temporren Verzeichnis zwischengespeichert \r\nwerden und nicht bei jedem Aufruf neu generiert werden mssen.</P>',1048590062);
INSERT INTO international VALUES (61,'SyndicatedContent',11,'/  ',1031514049);
INSERT INTO international VALUES (4,'SyndicatedContent',11,'  ',1031514049);
INSERT INTO international VALUES (2,'SyndicatedContent',11,'   ()',1031514049);
INSERT INTO international VALUES (1,'SyndicatedContent',11,' URL   RSS ',1031514049);
INSERT INTO international VALUES (61,'SQLReport',11,'/  SQL',1031514049);
INSERT INTO international VALUES (18,'SQLReport',11,'    ',1031514049);
INSERT INTO international VALUES (17,'SQLReport',11,' <b>:  <b/>:',1031514049);
INSERT INTO international VALUES (16,'SQLReport',11,'',1031514049);
INSERT INTO international VALUES (15,'SQLReport',11,' ()     ',1031514049);
INSERT INTO international VALUES (14,'SQLReport',11,' ',1031514049);
INSERT INTO international VALUES (13,'SQLReport',11,'     ',1031514049);
INSERT INTO international VALUES (12,'SQLReport',11,' <b>:  <b/>:      ',1031514049);
INSERT INTO international VALUES (11,'SQLReport',11,' <b>:  <b/>:    ',1031514049);
INSERT INTO international VALUES (10,'SQLReport',11,' <b>:  <b/>:  SQL   ',1031514049);
INSERT INTO international VALUES (9,'SQLReport',11,' <b>:  <b/>:  DSN   ',1031514049);
INSERT INTO international VALUES (8,'SQLReport',11,'  SQL',1031514049);
INSERT INTO international VALUES (6,'SQLReport',11,'  ',1031514049);
INSERT INTO international VALUES (7,'SQLReport',11,'   ',1031514049);
INSERT INTO international VALUES (5,'SQLReport',11,'DSN',1031514049);
INSERT INTO international VALUES (4,'SQLReport',11,'',1031514049);
INSERT INTO international VALUES (3,'SQLReport',11,' ',1031514049);
INSERT INTO international VALUES (1,'SQLReport',11,' SQL (  )',1031514049);
INSERT INTO international VALUES (61,'SiteMap',11,'/  ',1031514049);
INSERT INTO international VALUES (824,'WebGUI',1,'Email Footer',1038708558);
INSERT INTO international VALUES (75,'Survey',1,'Edit this question.',1038778819);
INSERT INTO international VALUES (6,'SiteMap',11,'  ',1031514049);
INSERT INTO international VALUES (5,'SiteMap',11,'  ',1031514049);
INSERT INTO international VALUES (4,'SiteMap',11,'   ',1031514049);
INSERT INTO international VALUES (3,'SiteMap',11,'   ',1031514049);
INSERT INTO international VALUES (2,'SiteMap',11,' ',1031514049);
INSERT INTO international VALUES (62,'Product',11,'/  ',1031514049);
INSERT INTO international VALUES (61,'Product',11,' ',1031514049);
INSERT INTO international VALUES (60,'Product',11,'',1031514049);
INSERT INTO international VALUES (59,'Product',11,'',1031514049);
INSERT INTO international VALUES (58,'Product',11,'  ',1031514049);
INSERT INTO international VALUES (57,'Product',11,'             ',1031514049);
INSERT INTO international VALUES (56,'Product',11,'  ',1031514049);
INSERT INTO international VALUES (55,'Product',11,' ',1031514049);
INSERT INTO international VALUES (54,'Product',11,'',1031514049);
INSERT INTO international VALUES (53,'Product',11,' ',1031514049);
INSERT INTO international VALUES (52,'Product',11,'  ',1031514049);
INSERT INTO international VALUES (51,'Product',11,'',1031514049);
INSERT INTO international VALUES (49,'Product',11,'/  ',1031514049);
INSERT INTO international VALUES (48,'Product',11,'       ɿ      ',1031514049);
INSERT INTO international VALUES (46,'Product',11,'/   ( )',1031514049);
INSERT INTO international VALUES (44,'Product',11,'/  ',1031514049);
INSERT INTO international VALUES (42,'Product',11,'/  ',1031514049);
INSERT INTO international VALUES (38,'Product',11,'/   ',1031514049);
INSERT INTO international VALUES (40,'Product',11,'/  ',1031514049);
INSERT INTO international VALUES (37,'Product',11,'   ',1031514049);
INSERT INTO international VALUES (36,'Product',11,' ',1031514049);
INSERT INTO international VALUES (35,'Product',11,' ',1031514049);
INSERT INTO international VALUES (34,'Product',11,' ',1031514049);
INSERT INTO international VALUES (33,'Product',11,'  ',1031514049);
INSERT INTO international VALUES (31,'Product',11,'',1031514049);
INSERT INTO international VALUES (32,'Product',11,'  ()',1031514049);
INSERT INTO international VALUES (30,'Product',11,'',1031514049);
INSERT INTO international VALUES (29,'Product',11,'',1031514049);
INSERT INTO international VALUES (28,'Product',11,'  ',1031514049);
INSERT INTO international VALUES (27,'Product',11,'',1031514049);
INSERT INTO international VALUES (26,'Product',11,'    ()',1031514049);
INSERT INTO international VALUES (25,'Product',11,' ',1031514049);
INSERT INTO international VALUES (24,'Product',11,'ɿ',1031514049);
INSERT INTO international VALUES (23,'Product',11,'',1031514049);
INSERT INTO international VALUES (22,'Product',11,' ',1031514049);
INSERT INTO international VALUES (21,'Product',11,'     ѿ',1031514049);
INSERT INTO international VALUES (20,'Product',11,'   ',1031514049);
INSERT INTO international VALUES (19,'Product',11,'    ',1031514049);
INSERT INTO international VALUES (18,'Product',11,'  ',1031514049);
INSERT INTO international VALUES (17,'Product',11,'',1031514049);
INSERT INTO international VALUES (16,'Product',11,' ',1031514049);
INSERT INTO international VALUES (15,'Product',11,'',1031514049);
INSERT INTO international VALUES (14,'Product',11,'',1031514049);
INSERT INTO international VALUES (13,'Product',11,'    ( )',1031514049);
INSERT INTO international VALUES (11,'Product',11,' ',1031514049);
INSERT INTO international VALUES (10,'Product',11,'',1031514049);
INSERT INTO international VALUES (9,'Product',11,'   3',1031514049);
INSERT INTO international VALUES (8,'Product',11,'   2',1031514049);
INSERT INTO international VALUES (7,'Product',11,'   1',1031514049);
INSERT INTO international VALUES (6,'Product',11,' ',1031514049);
INSERT INTO international VALUES (5,'Product',11,'       ʿ',1031514049);
INSERT INTO international VALUES (4,'Product',11,'            ',1031514049);
INSERT INTO international VALUES (3,'Product',11,'       ',1031514049);
INSERT INTO international VALUES (2,'Product',11,'          ɿ',1031514049);
INSERT INTO international VALUES (1,'Product',11,'',1031514049);
INSERT INTO international VALUES (72,'Poll',11,' ʿ',1031514049);
INSERT INTO international VALUES (61,'Poll',11,'/ ',1031514049);
INSERT INTO international VALUES (20,'Poll',11,'   ',1031514049);
INSERT INTO international VALUES (12,'Poll',11,' :',1031514049);
INSERT INTO international VALUES (11,'Poll',11,' !',1031514049);
INSERT INTO international VALUES (10,'Poll',11,'   ',1031514049);
INSERT INTO international VALUES (9,'Poll',11,' ',1031514049);
INSERT INTO international VALUES (8,'Poll',11,'(    .   20)',1031514049);
INSERT INTO international VALUES (7,'Poll',11,'',1031514049);
INSERT INTO international VALUES (6,'Poll',11,'',1031514049);
INSERT INTO international VALUES (5,'Poll',11,'  ',1031514049);
INSERT INTO international VALUES (4,'Poll',11,'  ڿ',1031514049);
INSERT INTO international VALUES (61,'MessageBoard',11,'/  ',1031514049);
INSERT INTO international VALUES (1,'Poll',11,'',1031514049);
INSERT INTO international VALUES (3,'Poll',11,'',1031514049);
INSERT INTO international VALUES (22,'MessageBoard',11,' ',1031514049);
INSERT INTO international VALUES (20,'MessageBoard',11,' ',1031514049);
INSERT INTO international VALUES (19,'MessageBoard',11,'',1031514049);
INSERT INTO international VALUES (18,'MessageBoard',11,' ',1031514049);
INSERT INTO international VALUES (17,'MessageBoard',11,'  ',1031514049);
INSERT INTO international VALUES (16,'MessageBoard',11,'',1031514049);
INSERT INTO international VALUES (15,'MessageBoard',11,'',1031514049);
INSERT INTO international VALUES (12,'MessageBoard',11,' ',1031514049);
INSERT INTO international VALUES (11,'MessageBoard',11,'   ',1031514049);
INSERT INTO international VALUES (9,'MessageBoard',11,' :',1031514049);
INSERT INTO international VALUES (8,'MessageBoard',11,':',1031514049);
INSERT INTO international VALUES (7,'MessageBoard',11,':',1031514049);
INSERT INTO international VALUES (6,'MessageBoard',11,'  ',1031514049);
INSERT INTO international VALUES (4,'MessageBoard',11,'   ',1031514049);
INSERT INTO international VALUES (61,'MailForm',11,'/  ',1031514049);
INSERT INTO international VALUES (62,'MailForm',11,'/   ',1031514049);
INSERT INTO international VALUES (2,'MessageBoard',11,' ',1031514049);
INSERT INTO international VALUES (26,'MailForm',11,' ',1031514049);
INSERT INTO international VALUES (25,'MailForm',11,'     ()',1031514049);
INSERT INTO international VALUES (23,'MailForm',11,'',1031514049);
INSERT INTO international VALUES (24,'MailForm',11,'   (  )',1031514049);
INSERT INTO international VALUES (22,'MailForm',11,'',1031514049);
INSERT INTO international VALUES (21,'MailForm',11,' ',1031514049);
INSERT INTO international VALUES (20,'MailForm',11,' ',1031514049);
INSERT INTO international VALUES (19,'MailForm',11,'       ',1031514049);
INSERT INTO international VALUES (18,'MailForm',11,' !',1031514049);
INSERT INTO international VALUES (17,'MailForm',11,'  ',1031514049);
INSERT INTO international VALUES (16,'MailForm',11,'',1031514049);
INSERT INTO international VALUES (15,'MailForm',11,'  ',1031514049);
INSERT INTO international VALUES (14,'MailForm',11,'',1031514049);
INSERT INTO international VALUES (13,'MailForm',11,'  ',1031514049);
INSERT INTO international VALUES (12,'MailForm',11,' ',1031514049);
INSERT INTO international VALUES (11,'MailForm',11,' (        )',1031514049);
INSERT INTO international VALUES (10,'MailForm',11,'',1031514049);
INSERT INTO international VALUES (9,'MailForm',11,' ',1031514049);
INSERT INTO international VALUES (8,'MailForm',11,'',1031514049);
INSERT INTO international VALUES (7,'MailForm',11,'  ',1031514049);
INSERT INTO international VALUES (6,'MailForm',11,' ',1031514049);
INSERT INTO international VALUES (5,'MailForm',11,'',1031514049);
INSERT INTO international VALUES (4,'MailForm',11,'',1031514049);
INSERT INTO international VALUES (3,'MailForm',11,'  !',1031514049);
INSERT INTO international VALUES (2,'MailForm',11,'   ',1031514049);
INSERT INTO international VALUES (1,'MailForm',11,' ',1031514049);
INSERT INTO international VALUES (72,'LinkList',11,'/ ',1031514049);
INSERT INTO international VALUES (61,'LinkList',11,'/  ',1031514049);
INSERT INTO international VALUES (13,'LinkList',11,'  ',1031514049);
INSERT INTO international VALUES (12,'LinkList',11,' ',1031514049);
INSERT INTO international VALUES (10,'LinkList',11,'/ ',1031514049);
INSERT INTO international VALUES (9,'LinkList',11,'       ɿ',1031514049);
INSERT INTO international VALUES (8,'LinkList',11,' ',1031514049);
INSERT INTO international VALUES (6,'LinkList',11,' ',1031514049);
INSERT INTO international VALUES (820,'WebGUI',1,'Your account is not activated. Therefore you cannot log in until it\'s activated, which only can be done by the admin.',1038431645);
INSERT INTO international VALUES (3,'LinkList',11,'   ɿ',1031514049);
INSERT INTO international VALUES (61,'Item',11,'/ ',1031514049);
INSERT INTO international VALUES (6,'Item',11,' ',1031514049);
INSERT INTO international VALUES (5,'Item',11,' ',1031514049);
INSERT INTO international VALUES (4,'Item',11,'',1031514049);
INSERT INTO international VALUES (3,'Item',11,' ',1031514049);
INSERT INTO international VALUES (2,'Item',11,'',1031514049);
INSERT INTO international VALUES (72,'FAQ',11,'/ ',1031514049);
INSERT INTO international VALUES (1,'Item',11,' ',1031514049);
INSERT INTO international VALUES (61,'FAQ',11,'/  ',1031514049);
INSERT INTO international VALUES (13,'FAQ',11,'  []',1031514049);
INSERT INTO international VALUES (12,'FAQ',11,' /̿',1031514049);
INSERT INTO international VALUES (11,'FAQ',11,'',1031514049);
INSERT INTO international VALUES (10,'FAQ',11,' ',1031514049);
INSERT INTO international VALUES (9,'FAQ',11,'  ',1031514049);
INSERT INTO international VALUES (8,'FAQ',11,' ',1031514049);
INSERT INTO international VALUES (6,'FAQ',11,'',1031514049);
INSERT INTO international VALUES (7,'FAQ',11,'       ',1031514049);
INSERT INTO international VALUES (5,'FAQ',11,'',1031514049);
INSERT INTO international VALUES (2,'FAQ',11,' ',1031514049);
INSERT INTO international VALUES (75,'FAQ',1,'Add a question.',1036260753);
INSERT INTO international VALUES (61,'ExtraColumn',11,'/  ',1031514049);
INSERT INTO international VALUES (6,'ExtraColumn',11,'  ',1031514049);
INSERT INTO international VALUES (5,'ExtraColumn',11,'  ',1031514049);
INSERT INTO international VALUES (4,'ExtraColumn',11,'',1031514049);
INSERT INTO international VALUES (3,'ExtraColumn',11,'',1031514049);
INSERT INTO international VALUES (1,'ExtraColumn',11,' ',1031514049);
INSERT INTO international VALUES (78,'EventsCalendar',11,'  ..      (  )',1031514049);
INSERT INTO international VALUES (77,'EventsCalendar',11,'  <>  </>  ',1031514049);
INSERT INTO international VALUES (76,'EventsCalendar',11,'   ',1031514049);
INSERT INTO international VALUES (75,'EventsCalendar',11,'  ',1031514049);
INSERT INTO international VALUES (72,'EventsCalendar',11,'/ ',1031514049);
INSERT INTO international VALUES (61,'EventsCalendar',11,'/  ',1031514049);
INSERT INTO international VALUES (86,'EventsCalendar',1,'Show 12 months from start.',1038190601);
INSERT INTO international VALUES (20,'EventsCalendar',11,' ',1031514049);
INSERT INTO international VALUES (19,'EventsCalendar',11,' ',1031514049);
INSERT INTO international VALUES (611,'WebGUI',21,'<b> </b><br>\r\n   .      ^c;.\r\n<br><br>\r\n<b>e-mail</b><br>\r\n    .          .\r\n<br><br>\r\n<b>URL  </b><br>\r\n   - .           .\r\n<br><br>',1042130932);
INSERT INTO international VALUES (15,'EventsCalendar',11,' ',1031514049);
INSERT INTO international VALUES (14,'EventsCalendar',11,' ',1031514049);
INSERT INTO international VALUES (13,'EventsCalendar',11,' ',1031514049);
INSERT INTO international VALUES (12,'EventsCalendar',11,'  ',1031514049);
INSERT INTO international VALUES (9,'EventsCalendar',11,'',1031514049);
INSERT INTO international VALUES (8,'EventsCalendar',11,' ',1031514049);
INSERT INTO international VALUES (4,'EventsCalendar',11,'  ',1031514049);
INSERT INTO international VALUES (2,'EventsCalendar',11,' ',1031514049);
INSERT INTO international VALUES (91,'EventsCalendar',1,'Add a new event.',1038190852);
INSERT INTO international VALUES (61,'Article',11,'/ ',1031514049);
INSERT INTO international VALUES (28,'Article',11,' ',1031514049);
INSERT INTO international VALUES (27,'Article',11,'  ',1031514049);
INSERT INTO international VALUES (24,'Article',11,' ',1031514049);
INSERT INTO international VALUES (23,'Article',11,' ()',1031514049);
INSERT INTO international VALUES (22,'Article',11,'',1031514049);
INSERT INTO international VALUES (894,'WebGUI',11,' ʿ',1031514049);
INSERT INTO international VALUES (749,'WebGUI',1,'Track page statistics?',1036736182);
INSERT INTO international VALUES (778,'WebGUI',1,'Folder Description',1036906132);
INSERT INTO international VALUES (13,'Article',11,'',1031514049);
INSERT INTO international VALUES (12,'Article',11,' ',1031514049);
INSERT INTO international VALUES (11,'Article',11,'br&gt',0);
INSERT INTO international VALUES (10,'Article',11,'     ',1031514049);
INSERT INTO international VALUES (9,'Article',11,'',1031514049);
INSERT INTO international VALUES (8,'Article',11,'  ',1031514049);
INSERT INTO international VALUES (7,'Article',11,' ',1031514049);
INSERT INTO international VALUES (6,'Article',11,' ',1031514049);
INSERT INTO international VALUES (4,'Article',11,' ',1031514049);
INSERT INTO international VALUES (3,'Article',11,' ',1031514049);
INSERT INTO international VALUES (1,'Article',11,'',1031514049);
INSERT INTO international VALUES (107,'WebGUI',11,'',1031514049);
INSERT INTO international VALUES (108,'WebGUI',11,'',1031514049);
INSERT INTO international VALUES (116,'WebGUI',11,'\" \"\"\"\"           \"',1031514049);
INSERT INTO international VALUES (117,'WebGUI',11,'  ',1031514049);
INSERT INTO international VALUES (118,'WebGUI',11,'  ',1031514049);
INSERT INTO international VALUES (119,'WebGUI',11,'  ()',1031514049);
INSERT INTO international VALUES (5,'Auth/LDAP',11,' LDAP URL  ()',1031514049);
INSERT INTO international VALUES (6,'Auth/LDAP',11,' LDAP ()',1031514049);
INSERT INTO international VALUES (7,'Auth/LDAP',11,'   LDAP',1031514049);
INSERT INTO international VALUES (8,'Auth/LDAP',11,'     LDAP',1031514049);
INSERT INTO international VALUES (124,'WebGUI',11,'  ',1031514049);
INSERT INTO international VALUES (125,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (126,'WebGUI',11,'   ',1031514049);
INSERT INTO international VALUES (127,'WebGUI',11,'  ',1031514049);
INSERT INTO international VALUES (130,'WebGUI',11,'  ',1031514049);
INSERT INTO international VALUES (133,'WebGUI',11,'  ',1031514049);
INSERT INTO international VALUES (134,'WebGUI',11,'   ',1031514049);
INSERT INTO international VALUES (135,'WebGUI',11,' () SMPT',1031514049);
INSERT INTO international VALUES (138,'WebGUI',11,'',1031514049);
INSERT INTO international VALUES (139,'WebGUI',11,'',1031514049);
INSERT INTO international VALUES (140,'WebGUI',11,'  ',1031514049);
INSERT INTO international VALUES (141,'WebGUI',11,'  ',1031514049);
INSERT INTO international VALUES (142,'WebGUI',11,'   ',1031514049);
INSERT INTO international VALUES (143,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (144,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (145,'WebGUI',11,' webGUI Build',1031514049);
INSERT INTO international VALUES (146,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (147,'WebGUI',11,'',1031514049);
INSERT INTO international VALUES (148,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (149,'WebGUI',11,'',1031514049);
INSERT INTO international VALUES (151,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (154,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (155,'WebGUI',11,'\"                 \"\" \"\"\"',1031514049);
INSERT INTO international VALUES (156,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (157,'WebGUI',11,'',1031514049);
INSERT INTO international VALUES (158,'WebGUI',11,'  ',1031514049);
INSERT INTO international VALUES (159,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (160,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (161,'WebGUI',11,'',1031514049);
INSERT INTO international VALUES (162,'WebGUI',11,'           ʿ',1031514049);
INSERT INTO international VALUES (163,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (164,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (3,'Auth/LDAP',11,'LDAP URL',1031514049);
INSERT INTO international VALUES (4,'Auth/LDAP',11,'  DN',1031514049);
INSERT INTO international VALUES (167,'WebGUI',11,'                    ',1031514049);
INSERT INTO international VALUES (168,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (169,'WebGUI',11,'  ',1031514049);
INSERT INTO international VALUES (170,'WebGUI',11,'',1031514049);
INSERT INTO international VALUES (171,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (174,'WebGUI',11,'   ()',1031514049);
INSERT INTO international VALUES (175,'WebGUI',11,' ʿ',1031514049);
INSERT INTO international VALUES (228,'WebGUI',11,'  ...',1031514049);
INSERT INTO international VALUES (229,'WebGUI',11,'',1031514049);
INSERT INTO international VALUES (230,'WebGUI',11,'',1031514049);
INSERT INTO international VALUES (231,'WebGUI',11,'  ',1031514049);
INSERT INTO international VALUES (232,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (233,'WebGUI',11,'(eom)',1031514049);
INSERT INTO international VALUES (234,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (237,'WebGUI',11,':',1031514049);
INSERT INTO international VALUES (238,'WebGUI',11,':',1031514049);
INSERT INTO international VALUES (239,'WebGUI',11,':',1031514049);
INSERT INTO international VALUES (240,'WebGUI',11,' :',1031514049);
INSERT INTO international VALUES (244,'WebGUI',11,'',1031514049);
INSERT INTO international VALUES (245,'WebGUI',11,'',1031514049);
INSERT INTO international VALUES (304,'WebGUI',11,'',1031514049);
INSERT INTO international VALUES (307,'WebGUI',11,'   ',1031514049);
INSERT INTO international VALUES (308,'WebGUI',11,'   ',1031514049);
INSERT INTO international VALUES (309,'WebGUI',11,'  ',1031514049);
INSERT INTO international VALUES (310,'WebGUI',11,'    ',1031514049);
INSERT INTO international VALUES (311,'WebGUI',11,'  ',1031514049);
INSERT INTO international VALUES (312,'WebGUI',11,'  ',1031514049);
INSERT INTO international VALUES (313,'WebGUI',11,'  ɿ',1031514049);
INSERT INTO international VALUES (314,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (315,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (316,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (317,'WebGUI',11,'',1031514049);
INSERT INTO international VALUES (318,'WebGUI',11,'',1031514049);
INSERT INTO international VALUES (319,'WebGUI',11,'',1031514049);
INSERT INTO international VALUES (320,'WebGUI',11,'',1031514049);
INSERT INTO international VALUES (321,'WebGUI',11,'  ()',1031514049);
INSERT INTO international VALUES (322,'WebGUI',11,' ( )',1031514049);
INSERT INTO international VALUES (323,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (324,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (325,'WebGUI',11,' () ',1031514049);
INSERT INTO international VALUES (326,'WebGUI',11,'  ',1031514049);
INSERT INTO international VALUES (327,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (328,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (329,'WebGUI',11,'  ',1031514049);
INSERT INTO international VALUES (330,'WebGUI',11,'  ',1031514049);
INSERT INTO international VALUES (331,'WebGUI',11,' ()  ',1031514049);
INSERT INTO international VALUES (332,'WebGUI',11,'   ',1031514049);
INSERT INTO international VALUES (333,'WebGUI',11,'  ',1031514049);
INSERT INTO international VALUES (334,'WebGUI',11,'  ',1031514049);
INSERT INTO international VALUES (335,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (336,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (337,'WebGUI',11,'   ',1031514049);
INSERT INTO international VALUES (338,'WebGUI',11,'   ',1031514049);
INSERT INTO international VALUES (339,'WebGUI',11,'',1031514049);
INSERT INTO international VALUES (340,'WebGUI',11,'',1031514049);
INSERT INTO international VALUES (341,'WebGUI',11,'  .',1031514049);
INSERT INTO international VALUES (342,'WebGUI',11,'  .',1031514049);
INSERT INTO international VALUES (343,'WebGUI',11,'  .',1031514049);
INSERT INTO international VALUES (345,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (346,'WebGUI',11,'     ǡ      .',1031514049);
INSERT INTO international VALUES (347,'WebGUI',11,'    ',1031514049);
INSERT INTO international VALUES (348,'WebGUI',11,'',1031514049);
INSERT INTO international VALUES (349,'WebGUI',11,'  ',1031514049);
INSERT INTO international VALUES (350,'WebGUI',11,'',1031514049);
INSERT INTO international VALUES (351,'WebGUI',11,'',1031514049);
INSERT INTO international VALUES (352,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (353,'WebGUI',11,'       ',1031514049);
INSERT INTO international VALUES (354,'WebGUI',11,'  ',1031514049);
INSERT INTO international VALUES (355,'WebGUI',11,'',1031514049);
INSERT INTO international VALUES (356,'WebGUI',11,'',1031514049);
INSERT INTO international VALUES (357,'WebGUI',11,'',1031514049);
INSERT INTO international VALUES (358,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (359,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (360,'WebGUI',11,'  ',1031514049);
INSERT INTO international VALUES (361,'WebGUI',11,'  ',1031514049);
INSERT INTO international VALUES (362,'WebGUI',11,'  ',1031514049);
INSERT INTO international VALUES (363,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (364,'WebGUI',11,'',1031514049);
INSERT INTO international VALUES (365,'WebGUI',11,' ...',1031514049);
INSERT INTO international VALUES (366,'WebGUI',11,'      ',1031514049);
INSERT INTO international VALUES (367,'WebGUI',11,'  ',1031514049);
INSERT INTO international VALUES (368,'WebGUI',11,'     ',1031514049);
INSERT INTO international VALUES (369,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (370,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (371,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (372,'WebGUI',11,'  ',1031514049);
INSERT INTO international VALUES (374,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (375,'WebGUI',11,'   ',1031514049);
INSERT INTO international VALUES (376,'WebGUI',11,'',1031514049);
INSERT INTO international VALUES (377,'WebGUI',11,'         () ',1031514049);
INSERT INTO international VALUES (378,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (379,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (380,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (381,'WebGUI',11,' WebGUI      .          .        ڡ    .',1031514049);
INSERT INTO international VALUES (806,'WebGUI',1,'Delete this group.',1037579396);
INSERT INTO international VALUES (384,'WebGUI',11,'',1031514049);
INSERT INTO international VALUES (385,'WebGUI',11,'',1031514049);
INSERT INTO international VALUES (386,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (387,'WebGUI',11,'  ',1031514049);
INSERT INTO international VALUES (388,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (696,'WebGUI',10,'Skraldespand, Tm',1036856003);
INSERT INTO international VALUES (391,'WebGUI',11,'  .',1031514049);
INSERT INTO international VALUES (597,'WebGUI',10,'Redigr international tekst',1037205701);
INSERT INTO international VALUES (785,'WebGUI',1,'Collateral, Manage',1038871973);
INSERT INTO international VALUES (394,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (395,'WebGUI',11,'  ',1031514049);
INSERT INTO international VALUES (716,'WebGUI',10,'Log in',1036855717);
INSERT INTO international VALUES (704,'WebGUI',10,'sekund(er)',1036855926);
INSERT INTO international VALUES (398,'WebGUI',11,'  ',1031514049);
INSERT INTO international VALUES (399,'WebGUI',11,'    ',1031514049);
INSERT INTO international VALUES (400,'WebGUI',11,'    ',1031514049);
INSERT INTO international VALUES (401,'WebGUI',11,'              ؿ',1031514049);
INSERT INTO international VALUES (402,'WebGUI',11,'    ',1031514049);
INSERT INTO international VALUES (403,'WebGUI',11,'  ',1031514049);
INSERT INTO international VALUES (404,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (405,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (406,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (407,'WebGUI',11,'  ',1031514049);
INSERT INTO international VALUES (408,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (409,'WebGUI',11,'  ',1031514049);
INSERT INTO international VALUES (410,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (411,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (412,'WebGUI',11,'',1031514049);
INSERT INTO international VALUES (416,'WebGUI',11,'   <h1>     </h1>.        .   ɡ              .',1031514049);
INSERT INTO international VALUES (417,'WebGUI',11,'  <h1>             </h1>.     .',1031514049);
INSERT INTO international VALUES (418,'WebGUI',11,'  HTML',1031514049);
INSERT INTO international VALUES (419,'WebGUI',11,'   ',1031514049);
INSERT INTO international VALUES (420,'WebGUI',11,'  ',1031514049);
INSERT INTO international VALUES (421,'WebGUI',11,'     ',1031514049);
INSERT INTO international VALUES (422,'WebGUI',11,'  <h1>       </h1>.',1031514049);
INSERT INTO international VALUES (423,'WebGUI',11,'  ',1031514049);
INSERT INTO international VALUES (424,'WebGUI',11,'  ',1031514049);
INSERT INTO international VALUES (425,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (426,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (427,'WebGUI',11,'',1031514049);
INSERT INTO international VALUES (428,'WebGUI',11,' ()',1031514049);
INSERT INTO international VALUES (429,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (430,'WebGUI',11,'  ',1031514049);
INSERT INTO international VALUES (431,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (432,'WebGUI',11,'  ',1031514049);
INSERT INTO international VALUES (433,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (434,'WebGUI',11,'',1031514049);
INSERT INTO international VALUES (435,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (436,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (437,'WebGUI',11,'',1031514049);
INSERT INTO international VALUES (438,'WebGUI',11,'',1031514049);
INSERT INTO international VALUES (439,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (440,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (441,'WebGUI',11,'     ()',1031514049);
INSERT INTO international VALUES (442,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (443,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (444,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (445,'WebGUI',11,'',1031514049);
INSERT INTO international VALUES (446,'WebGUI',11,'   ',1031514049);
INSERT INTO international VALUES (447,'WebGUI',11,'  ',1031514049);
INSERT INTO international VALUES (448,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (449,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (450,'WebGUI',11,'  ( )',1031514049);
INSERT INTO international VALUES (451,'WebGUI',11,' .',1031514049);
INSERT INTO international VALUES (452,'WebGUI',11,'  ߅',1031514049);
INSERT INTO international VALUES (453,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (454,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (455,'WebGUI',11,'   ',1031514049);
INSERT INTO international VALUES (456,'WebGUI',11,'   ',1031514049);
INSERT INTO international VALUES (457,'WebGUI',11,'   ',1031514049);
INSERT INTO international VALUES (458,'WebGUI',11,'   ',1031514049);
INSERT INTO international VALUES (459,'WebGUI',11,'    ',1031514049);
INSERT INTO international VALUES (460,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (461,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (462,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (463,'WebGUI',11,'  ',1031514049);
INSERT INTO international VALUES (464,'WebGUI',11,'  ',1031514049);
INSERT INTO international VALUES (465,'WebGUI',11,'  ',1031514049);
INSERT INTO international VALUES (466,'WebGUI',11,'             ɿ',1031514049);
INSERT INTO international VALUES (467,'WebGUI',11,'            ',1031514049);
INSERT INTO international VALUES (468,'WebGUI',11,'    ',1031514049);
INSERT INTO international VALUES (469,'WebGUI',11,'',1031514049);
INSERT INTO international VALUES (470,'WebGUI',11,'',1031514049);
INSERT INTO international VALUES (471,'WebGUI',11,'    ',1031514049);
INSERT INTO international VALUES (472,'WebGUI',11,'. ',1031514049);
INSERT INTO international VALUES (473,'WebGUI',11,'',1031514049);
INSERT INTO international VALUES (474,'WebGUI',11,'ȿ',1031514049);
INSERT INTO international VALUES (475,'WebGUI',11,'',1031514049);
INSERT INTO international VALUES (476,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (477,'WebGUI',11,' HTML',1031514049);
INSERT INTO international VALUES (478,'WebGUI',11,'  ',1031514049);
INSERT INTO international VALUES (479,'WebGUI',11,'',1031514049);
INSERT INTO international VALUES (480,'WebGUI',11,'  ',1031514049);
INSERT INTO international VALUES (481,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (482,'WebGUI',11,' ( )',1031514049);
INSERT INTO international VALUES (483,'WebGUI',11,'  ',1031514049);
INSERT INTO international VALUES (484,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (485,'WebGUI',11,' (  )',1031514049);
INSERT INTO international VALUES (486,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (487,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (488,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (489,'WebGUI',11,'  ',1031514049);
INSERT INTO international VALUES (490,'WebGUI',11,'   ',1031514049);
INSERT INTO international VALUES (491,'WebGUI',11,'   ',1031514049);
INSERT INTO international VALUES (492,'WebGUI',11,'   ',1031514049);
INSERT INTO international VALUES (493,'WebGUI',11,'  ',1031514049);
INSERT INTO international VALUES (494,'WebGUI',11,'    ',1031514049);
INSERT INTO international VALUES (495,'WebGUI',11,'  ',1031514049);
INSERT INTO international VALUES (496,'WebGUI',11,'  ',1031514049);
INSERT INTO international VALUES (497,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (498,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (499,'WebGUI',11,'  ',1031514049);
INSERT INTO international VALUES (500,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (501,'WebGUI',11,'',1031514049);
INSERT INTO international VALUES (502,'WebGUI',11,'                ɿ',1031514049);
INSERT INTO international VALUES (503,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (504,'WebGUI',11,'',1031514049);
INSERT INTO international VALUES (505,'WebGUI',11,'  ',1031514049);
INSERT INTO international VALUES (506,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (507,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (508,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (509,'WebGUI',11,'  ',1031514049);
INSERT INTO international VALUES (510,'WebGUI',11,'',1031514049);
INSERT INTO international VALUES (511,'WebGUI',11,'',1031514049);
INSERT INTO international VALUES (512,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (513,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (514,'WebGUI',11,'',1031514049);
INSERT INTO international VALUES (515,'WebGUI',11,'    ',1031514049);
INSERT INTO international VALUES (516,'WebGUI',11,'  !',1031514049);
INSERT INTO international VALUES (517,'WebGUI',11,'  !',1031514049);
INSERT INTO international VALUES (518,'WebGUI',11,'   ',1031514049);
INSERT INTO international VALUES (519,'WebGUI',11,'    ',1031514049);
INSERT INTO international VALUES (520,'WebGUI',11,'      ',1031514049);
INSERT INTO international VALUES (521,'WebGUI',11,'         ',1031514049);
INSERT INTO international VALUES (522,'WebGUI',11,'     ICQ',1031514049);
INSERT INTO international VALUES (523,'WebGUI',11,'',1031514049);
INSERT INTO international VALUES (524,'Discussion',11,'   ',1031514049);
INSERT INTO international VALUES (525,'WebGUI',11,'  ',1031514049);
INSERT INTO international VALUES (526,'WebGUI',11,'  JAVA ',1031514049);
INSERT INTO international VALUES (527,'WebGUI',11,'    ',1031514049);
INSERT INTO international VALUES (528,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (529,'WebGUI',11,'',1031514049);
INSERT INTO international VALUES (530,'WebGUI',11,'  <b>   </b> ',1031514049);
INSERT INTO international VALUES (531,'WebGUI',11,'   <b>    </b>',1031514049);
INSERT INTO international VALUES (532,'WebGUI',11,'  <b>     </b>  ',1031514049);
INSERT INTO international VALUES (533,'WebGUI',11,'  <b>   </b> ',1031514049);
INSERT INTO international VALUES (534,'WebGUI',11,'   Ͽ',1031514049);
INSERT INTO international VALUES (535,'WebGUI',11,'    Ͽ',1031514049);
INSERT INTO international VALUES (536,'WebGUI',11,' has joined the site.\"',0);
INSERT INTO international VALUES (537,'WebGUI',11,'. ',1031514049);
INSERT INTO international VALUES (538,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (539,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (540,'WebGUI',11,'   ',1031514049);
INSERT INTO international VALUES (541,'WebGUI',11,'   ',1031514049);
INSERT INTO international VALUES (542,'WebGUI',11,'..',1031514049);
INSERT INTO international VALUES (543,'WebGUI',11,'   ',1031514049);
INSERT INTO international VALUES (4,'WobjectProxy',10,'Wobject Proxy mislykkedes.\r\nMske er kilde Wobject slettet.',1036856184);
INSERT INTO international VALUES (583,'WebGUI',10,'Maksimal strrelse p billede',1037205281);
INSERT INTO international VALUES (585,'WebGUI',10,'Adminstrer oversttelser',1037205335);
INSERT INTO international VALUES (587,'WebGUI',10,'Er du sikker p at du vil slette dette sprog og dermed alle internationale tekster herunder?',1037205398);
INSERT INTO international VALUES (551,'WebGUI',11,'',1031514049);
INSERT INTO international VALUES (552,'WebGUI',11,'',1031514049);
INSERT INTO international VALUES (553,'WebGUI',11,'',1031514049);
INSERT INTO international VALUES (554,'WebGUI',11,'',1031514049);
INSERT INTO international VALUES (555,'WebGUI',11,'    ',1031514049);
INSERT INTO international VALUES (556,'WebGUI',11,'. ',1031514049);
INSERT INTO international VALUES (557,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (558,'WebGUI',11,'  ',1031514049);
INSERT INTO international VALUES (559,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (560,'WebGUI',11,'',1031514049);
INSERT INTO international VALUES (561,'WebGUI',11,'',1031514049);
INSERT INTO international VALUES (562,'WebGUI',11,'',1031514049);
INSERT INTO international VALUES (563,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (564,'WebGUI',11,'  ',1031514049);
INSERT INTO international VALUES (565,'WebGUI',11,'  ',1031514049);
INSERT INTO international VALUES (566,'WebGUI',11,'   ',1031514049);
INSERT INTO international VALUES (567,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (568,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (569,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (570,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (571,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (572,'WebGUI',11,'',1031514049);
INSERT INTO international VALUES (573,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (574,'WebGUI',11,'',1031514049);
INSERT INTO international VALUES (575,'WebGUI',11,'',1031514049);
INSERT INTO international VALUES (576,'WebGUI',11,'',1031514049);
INSERT INTO international VALUES (577,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (578,'WebGUI',11,'    ',1031514049);
INSERT INTO international VALUES (579,'WebGUI',11,'   ',1031514049);
INSERT INTO international VALUES (580,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (581,'WebGUI',11,'  ',1031514049);
INSERT INTO international VALUES (582,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (583,'WebGUI',11,'  ',1031514049);
INSERT INTO international VALUES (584,'WebGUI',11,'  ',1031514049);
INSERT INTO international VALUES (585,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (586,'WebGUI',11,'',1031514049);
INSERT INTO international VALUES (587,'WebGUI',11,'             ǿ',1031514049);
INSERT INTO international VALUES (588,'WebGUI',11,'                    (webGUI)    ..               .',1031514630);
INSERT INTO international VALUES (589,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (590,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (591,'WebGUI',11,'',1031514049);
INSERT INTO international VALUES (592,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (593,'WebGUI',11,' ',1031514223);
INSERT INTO international VALUES (594,'WebGUI',11,' ',1031514314);
INSERT INTO international VALUES (595,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (596,'WebGUI',11,'()',1031514049);
INSERT INTO international VALUES (597,'WebGUI',11,'  ',1031514049);
INSERT INTO international VALUES (598,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (601,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (605,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (642,'WebGUI',11,'/ ',1031514049);
INSERT INTO international VALUES (652,'WebGUI',11,'  ',1031514049);
INSERT INTO international VALUES (653,'WebGUI',11,'ɡ ',1031514049);
INSERT INTO international VALUES (654,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (655,'WebGUI',11,' /',1031514049);
INSERT INTO international VALUES (656,'WebGUI',11,' ɡ ',1031514049);
INSERT INTO international VALUES (657,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (658,'WebGUI',11,' ',1031514049);
INSERT INTO international VALUES (659,'WebGUI',11,'ʡ ',1031514049);
INSERT INTO international VALUES (660,'WebGUI',11,'ʡ ',1031514049);
INSERT INTO international VALUES (661,'WebGUI',11,' ݡ ',1031514049);
INSERT INTO international VALUES (662,'WebGUI',11,'ʡ ',1031514049);
INSERT INTO international VALUES (663,'WebGUI',11,' ϡ ',1031514049);
INSERT INTO international VALUES (664,'WebGUI',11,' ʡ ',1031514049);
INSERT INTO international VALUES (665,'WebGUI',11,'ɡ ',1031514049);
INSERT INTO international VALUES (666,'WebGUI',11,' /',1031514049);
INSERT INTO international VALUES (667,'WebGUI',11,'ɡ /',1031514049);
INSERT INTO international VALUES (668,'WebGUI',11,'  ',1031514049);
INSERT INTO international VALUES (669,'WebGUI',11,'ʡ  ',1031514049);
INSERT INTO international VALUES (670,'WebGUI',11,'ɡ /',1031514049);
INSERT INTO international VALUES (671,'WebGUI',11,' ʡ ',1031514049);
INSERT INTO international VALUES (672,'WebGUI',11,'  ɡ ',1031514049);
INSERT INTO international VALUES (674,'WebGUI',11,' ɡ ',1031514049);
INSERT INTO international VALUES (675,'WebGUI',11,' ˡ ',1031514049);
INSERT INTO international VALUES (677,'WebGUI',11,' ʡ /',1031514049);
INSERT INTO international VALUES (678,'WebGUI',11,'ѡ ',1031514049);
INSERT INTO international VALUES (679,'WebGUI',11,'  ',1031514049);
INSERT INTO international VALUES (680,'WebGUI',11,'ɡ ',1031514049);
INSERT INTO international VALUES (681,'WebGUI',11,'ʡ ',1031514049);
INSERT INTO international VALUES (682,'WebGUI',11,'  ɡ ',1031514049);
INSERT INTO international VALUES (683,'WebGUI',11,'ȡ ',1031514049);
INSERT INTO international VALUES (684,'WebGUI',11,'ȡ /',1031514049);
INSERT INTO international VALUES (685,'WebGUI',11,'ȡ ',1031514049);
INSERT INTO international VALUES (60,'Survey',1,'Back to survey.',1037556626);
INSERT INTO international VALUES (696,'WebGUI',11,' ʡ ',1031514049);
INSERT INTO international VALUES (697,'WebGUI',11,'. ߡ ',1031514049);
INSERT INTO international VALUES (699,'WebGUI',11,'  ',1031514049);
INSERT INTO international VALUES (700,'WebGUI',11,' ()',1031514049);
INSERT INTO international VALUES (701,'WebGUI',11,' ()',1031514049);
INSERT INTO international VALUES (702,'WebGUI',11,' ()',1031514049);
INSERT INTO international VALUES (703,'WebGUI',11,' ()',1031514049);
INSERT INTO international VALUES (704,'WebGUI',11,' ()',1031514049);
INSERT INTO international VALUES (705,'WebGUI',11,' ()',1031514049);
INSERT INTO international VALUES (706,'WebGUI',11,' ()',1031514049);
INSERT INTO international VALUES (707,'WebGUI',11,' Ϳ',1031514049);
INSERT INTO international VALUES (715,'WebGUI',11,'   ',1031514049);
INSERT INTO international VALUES (716,'WebGUI',11,'',1031514049);
INSERT INTO international VALUES (717,'WebGUI',11,'',1031514049);
INSERT INTO international VALUES (718,'WebGUI',11,' ',1031514184);
INSERT INTO international VALUES (719,'WebGUI',11,' ',1031514679);
INSERT INTO international VALUES (720,'WebGUI',11,'',1031514777);
INSERT INTO international VALUES (721,'WebGUI',11,' ',1031515005);
INSERT INTO international VALUES (722,'WebGUI',11,'',1031517195);
INSERT INTO international VALUES (723,'WebGUI',11,'',1031800566);
INSERT INTO international VALUES (724,'WebGUI',11,'       ',1031879593);
INSERT INTO international VALUES (725,'WebGUI',11,'     ',1031879612);
INSERT INTO international VALUES (4,'Auth/WebGUI',11,'     ',1031879567);
INSERT INTO international VALUES (5,'Auth/WebGUI',11,'\"     \"\" \"\"\"',1031880154);
INSERT INTO international VALUES (1,'WobjectProxy',11,'  ',1031514049);
INSERT INTO international VALUES (2,'WobjectProxy',11,'  ',1031514049);
INSERT INTO international VALUES (3,'WobjectProxy',11,' ',1031514049);
INSERT INTO international VALUES (4,'WobjectProxy',11,'     .      ',1031514049);
INSERT INTO international VALUES (5,'WobjectProxy',11,'  /',1031514049);
INSERT INTO international VALUES (746,'WebGUI',1,'Toolbar Icon Set',1036046598);
INSERT INTO international VALUES (45,'Survey',1,'Are you certain you wish to delete this answer and its responses?',1035951913);
INSERT INTO international VALUES (44,'Survey',1,'Are you certain you wish to delete this question, its answers and responses?',1035951626);
INSERT INTO international VALUES (34,'Survey',1,'Agree',1037498914);
INSERT INTO international VALUES (33,'Survey',1,'Strongly Agree',1037498857);
INSERT INTO international VALUES (32,'Survey',1,'False',1037498832);
INSERT INTO international VALUES (31,'Survey',1,'True',1037498842);
INSERT INTO international VALUES (27,'Survey',1,'Add an opinion (agree/disagree) answer scale.',1035948010);
INSERT INTO international VALUES (25,'Survey',1,'Add a true/false answer.',1035947960);
INSERT INTO international VALUES (26,'Survey',1,'Add a frequency (always/never) answer scale.',1035947924);
INSERT INTO international VALUES (43,'Survey',1,'Never',1037574752);
INSERT INTO international VALUES (42,'Survey',1,'Occasionally',1037574859);
INSERT INTO international VALUES (41,'Survey',1,'Frequently',1037574786);
INSERT INTO international VALUES (40,'Survey',1,'Always',1037574725);
INSERT INTO international VALUES (39,'Survey',1,'Not Applicable',1037574804);
INSERT INTO international VALUES (38,'Survey',1,'Strongly Disagree',1037498903);
INSERT INTO international VALUES (37,'Survey',1,'Disagree',1037498886);
INSERT INTO international VALUES (36,'Survey',1,'Somewhat Disagree',1037498872);
INSERT INTO international VALUES (35,'Survey',1,'Somewhat Agree',1037498927);
INSERT INTO international VALUES (30,'Survey',1,'Add a new question.',1035944708);
INSERT INTO international VALUES (29,'Survey',1,'Add a text answer.',1035874640);
INSERT INTO international VALUES (24,'Survey',1,'Add a multiple choice answer.',1035874502);
INSERT INTO international VALUES (745,'WebGUI',1,'Go back to the page.',1035872437);
INSERT INTO international VALUES (28,'Survey',1,'Add a question.',1035872173);
INSERT INTO international VALUES (744,'WebGUI',1,'What next?',1035864828);
INSERT INTO international VALUES (23,'Survey',1,'Add a new answer.',1035864494);
INSERT INTO international VALUES (22,'Survey',1,'Answer Type',1035864413);
INSERT INTO international VALUES (21,'Survey',1,'Go To',1035506057);
INSERT INTO international VALUES (20,'Survey',1,'Is this answer correct?',1035436321);
INSERT INTO international VALUES (19,'Survey',1,'Answer',1035436296);
INSERT INTO international VALUES (18,'Survey',1,'Edit Answer',1035436102);
INSERT INTO international VALUES (17,'Survey',1,'Edit Question',1035436091);
INSERT INTO international VALUES (16,'Survey',1,'Randomize answers?',1035429242);
INSERT INTO international VALUES (15,'Survey',1,'Allow comment?',1035429212);
INSERT INTO international VALUES (14,'Survey',1,'Question',1035428770);
INSERT INTO international VALUES (743,'WebGUI',1,'You must specify a valid email address in order to attempt to recover your password.',1035246389);
INSERT INTO international VALUES (13,'Survey',1,'Who can view reports?',1033949863);
INSERT INTO international VALUES (12,'Survey',1,'Who can take the survey?',1033949789);
INSERT INTO international VALUES (11,'Survey',1,'Mode',1033949647);
INSERT INTO international VALUES (10,'Survey',1,'Quiz',1033949566);
INSERT INTO international VALUES (9,'Survey',1,'Survey',1033949540);
INSERT INTO international VALUES (8,'Survey',1,'Question Order',1033949393);
INSERT INTO international VALUES (7,'Survey',1,'Response Driven',1033944729);
INSERT INTO international VALUES (6,'Survey',1,'Random',1033944643);
INSERT INTO international VALUES (5,'Survey',1,'Sequential',1033944535);
INSERT INTO international VALUES (3,'Survey',1,'Survey, Add/Edit',1038890559);
INSERT INTO international VALUES (4,'Survey',1,'Surveys allow you to gather information from your users. In the case of WebGUI surveys, you can also use them to test your user\'s knowledge.\r\n<p/>\r\n\r\n<b>Question Order</b><br/>\r\nThe order the questions will be asked. Sequential displays the questions in the order you create them. Random displays the questions randomly. Response driven displays the questions in order based on the responses of the users.\r\n<p/>\r\n\r\n<b>Mode</b><br/>\r\nBy default the Survey is in survey mode. This allows it to ask questions of your users. However, if you switch to Quiz mode, you can have a self-correcting test of your user\'s knowledge.\r\n<p/>\r\n\r\n\r\n<b>Who can take the survey?</b><br/>\r\nWhich users can participate in the survey?\r\n<p/>\r\n\r\n\r\n<b>Who can view reports?</b><br/>\r\nWho can view the results of the survey?\r\n<p/>\r\n\r\n\r\n<b>What next?</b><br/>\r\nIf you leave this set at its default, then you will add a question directly after adding the survey.\r\n<p/>\r\n',1038890559);
INSERT INTO international VALUES (2,'Survey',1,'Edit Survey',1033943825);
INSERT INTO international VALUES (1,'Survey',1,'Survey',1033942924);
INSERT INTO international VALUES (741,'WebGUI',1,'Edit this template.',1034223116);
INSERT INTO international VALUES (742,'WebGUI',1,'Manage templates.',1034223130);
INSERT INTO international VALUES (748,'WebGUI',1,'User Count',1036553016);
INSERT INTO international VALUES (760,'WebGUI',1,'Delete this folder.',1036892740);
INSERT INTO international VALUES (759,'WebGUI',1,'Edit this folder.',1036892731);
INSERT INTO international VALUES (758,'WebGUI',1,'Add a folder.',1036892705);
INSERT INTO international VALUES (757,'WebGUI',1,'Manage Collateral',1036892669);
INSERT INTO international VALUES (756,'WebGUI',1,'Back to group list.',1036867726);
INSERT INTO international VALUES (754,'WebGUI',1,'Manage the users in this group.',1036866994);
INSERT INTO international VALUES (753,'WebGUI',1,'Edit this group.',1036866979);
INSERT INTO international VALUES (752,'WebGUI',1,'View this user\'s profile.',1036864965);
INSERT INTO international VALUES (751,'WebGUI',1,'Become this user.',1036864905);
INSERT INTO international VALUES (750,'WebGUI',1,'Delete this user.',1036864742);
INSERT INTO international VALUES (724,'WebGUI',10,'Dit brugernavn kan ikke begynde med blanktegn.',1036855579);
INSERT INTO international VALUES (725,'WebGUI',10,'Dit brugernavn kan ikke vre blankt.',1036855553);
INSERT INTO international VALUES (4,'Auth/WebGUI',10,'Dit kodeord kan ikke vre blankt.',1036855532);
INSERT INTO international VALUES (682,'WebGUI',10,'Brugerprofil, Redigr',1036855505);
INSERT INTO international VALUES (681,'WebGUI',10,'Pakker, Opret',1036855491);
INSERT INTO international VALUES (680,'WebGUI',10,'Pakker, Tilfj',1036855476);
INSERT INTO international VALUES (679,'WebGUI',10,'Indholds indstillinger, Redigr',1036855461);
INSERT INTO international VALUES (678,'WebGUI',10,'Rod, Hndter',1036855438);
INSERT INTO international VALUES (677,'WebGUI',10,'Wobjects, Tilfj/Redigr',1036855426);
INSERT INTO international VALUES (675,'WebGUI',10,'Sgemaskine, Anvend',1036855390);
INSERT INTO international VALUES (674,'WebGUI',10,'Diverse indstillinger, Redigr',1036855371);
INSERT INTO international VALUES (672,'WebGUI',10,'Profil indstilling, Redigr',1036855339);
INSERT INTO international VALUES (669,'WebGUI',10,'Makroer, Anvend',1036855290);
INSERT INTO international VALUES (668,'WebGUI',10,'Style Sheets, Anvend',1036855265);
INSERT INTO international VALUES (671,'WebGUI',10,'Wobjects, Anvend',1036855231);
INSERT INTO international VALUES (670,'WebGUI',10,'Image, Tilfj/redigr',1036855215);
INSERT INTO international VALUES (667,'WebGUI',10,'Gruppe, Tilfj/Redigr',1036855136);
INSERT INTO international VALUES (666,'WebGUI',10,'Stilart, Tilfj/Redigr',1036855118);
INSERT INTO international VALUES (665,'WebGUI',10,'Gruppe, Slet',1036855098);
INSERT INTO international VALUES (664,'WebGUI',10,'Wobject, Slet',1036855078);
INSERT INTO international VALUES (663,'WebGUI',10,'Mail indstillinger, Redigr',1036854968);
INSERT INTO international VALUES (662,'WebGUI',10,'Indstillinger, Hndter',1036854946);
INSERT INTO international VALUES (571,'WebGUI',10,'Ls trd op',1036854909);
INSERT INTO international VALUES (570,'WebGUI',10,'Ls trd',1036854887);
INSERT INTO international VALUES (568,'WebGUI',10,'Efter facts',1036854874);
INSERT INTO international VALUES (569,'WebGUI',10,'Moderations type',1036854857);
INSERT INTO international VALUES (567,'WebGUI',10,'',1036854833);
INSERT INTO international VALUES (559,'WebGUI',10,'Kr ved registrering',1036854816);
INSERT INTO international VALUES (558,'WebGUI',10,'Redigr brugers karma',1036854794);
INSERT INTO international VALUES (557,'WebGUI',10,'Beskrivelse',1036854778);
INSERT INTO international VALUES (556,'WebGUI',10,'Vrdi',1036854766);
INSERT INTO international VALUES (555,'WebGUI',10,'Redigr denne brugers karma',1036854755);
INSERT INTO international VALUES (554,'WebGUI',10,'Tag aktion',1036854733);
INSERT INTO international VALUES (553,'WebGUI',10,'Status',1036854720);
INSERT INTO international VALUES (552,'WebGUI',10,'Afventer',1036854708);
INSERT INTO international VALUES (551,'WebGUI',10,'Besked',1036854692);
INSERT INTO international VALUES (543,'WebGUI',10,'Tilfj ny image gruppe',1036854555);
INSERT INTO international VALUES (542,'WebGUI',10,'Forrige..',1036854517);
INSERT INTO international VALUES (541,'WebGUI',10,'Karma pr. postering',1036854500);
INSERT INTO international VALUES (540,'WebGUI',10,'Karma pr. login',1036854367);
INSERT INTO international VALUES (539,'WebGUI',10,'Aktivr karma?',1036854349);
INSERT INTO international VALUES (538,'WebGUI',10,'Karma grnse',1036854328);
INSERT INTO international VALUES (537,'WebGUI',10,'Karma',1036854293);
INSERT INTO international VALUES (536,'WebGUI',10,'En ny bruger: ^@;, har registreret sig.',1036854252);
INSERT INTO international VALUES (535,'WebGUI',10,'Gruppe der skal notificeres om ny bruger',1036854162);
INSERT INTO international VALUES (534,'WebGUI',10,'Giv meddelelse om ny bruger?',1036854133);
INSERT INTO international VALUES (533,'WebGUI',10,'<bold>uden</bold> disse ord',1036854103);
INSERT INTO international VALUES (532,'WebGUI',10,'med <bold>mindst et</bold> af disse ord',1036854079);
INSERT INTO international VALUES (531,'WebGUI',10,'<bold>eksakt</bold> denne stning',1036854044);
INSERT INTO international VALUES (530,'WebGUI',10,'med <bold>alle</bold> ordene',1036854002);
INSERT INTO international VALUES (529,'WebGUI',10,'resultater',1036853971);
INSERT INTO international VALUES (528,'WebGUI',10,'Navn p skabelon',1036853957);
INSERT INTO international VALUES (527,'WebGUI',10,'Standard hjemmeside',1036853933);
INSERT INTO international VALUES (526,'WebGUI',10,'Fjern kun JavaScript.',1036853917);
INSERT INTO international VALUES (525,'WebGUI',10,'Rediger indholds indstillinger',1036853889);
INSERT INTO international VALUES (524,'Discussion',10,'Tilfj redigeringsmrke til posteringer?',1036853870);
INSERT INTO international VALUES (523,'WebGUI',10,'Notificering',1036853846);
INSERT INTO international VALUES (522,'WebGUI',10,'Jeg vil gerne notificeres via ICQ.',1036853832);
INSERT INTO international VALUES (521,'WebGUI',10,'Jeg vil gerne notificeres via email til personsger.',1036853814);
INSERT INTO international VALUES (520,'WebGUI',10,'Jeg vil gerne notificeres via Email.',1036853784);
INSERT INTO international VALUES (519,'WebGUI',10,'Jeg vil gerne notificeres',1036853765);
INSERT INTO international VALUES (518,'WebGUI',10,'Indbakke notificeringer',1036853749);
INSERT INTO international VALUES (517,'WebGUI',10,'Sl administration fra',1036853708);
INSERT INTO international VALUES (516,'WebGUI',10,'Sl administration til',1036853690);
INSERT INTO international VALUES (515,'WebGUI',10,'Tilfj redigeringsmrke til posteringer?',1036853672);
INSERT INTO international VALUES (514,'WebGUI',10,'Visninger',1036853524);
INSERT INTO international VALUES (513,'WebGUI',10,'Forrige trd',1036853502);
INSERT INTO international VALUES (512,'WebGUI',10,'Nste trd',1036853486);
INSERT INTO international VALUES (5,'Auth/WebGUI',10,'Dit kodeord kan ikke vre \"password\".',1036612598);
INSERT INTO international VALUES (511,'WebGUI',10,'Emne opdelt',1036612553);
INSERT INTO international VALUES (510,'WebGUI',10,'Flad',1036612526);
INSERT INTO international VALUES (509,'WebGUI',10,'Diskusions layout',1036612509);
INSERT INTO international VALUES (508,'WebGUI',10,'Administrer skabeloner',1036612485);
INSERT INTO international VALUES (507,'WebGUI',10,'Redigr skabelon',1036612448);
INSERT INTO international VALUES (506,'WebGUI',10,'Administrer skabeloner',1036612430);
INSERT INTO international VALUES (505,'WebGUI',10,'Tilfj ny skabelon',1036612389);
INSERT INTO international VALUES (504,'WebGUI',10,'Skabelon',1036612373);
INSERT INTO international VALUES (503,'WebGUI',10,'Skabelon ID',1036612359);
INSERT INTO international VALUES (502,'WebGUI',10,'Er du sikker p du vil slette denne skabelon og dermed alle sider der anvender den?',1036612343);
INSERT INTO international VALUES (501,'WebGUI',10,'Body',1036612298);
INSERT INTO international VALUES (500,'WebGUI',10,'Side ID',1036612281);
INSERT INTO international VALUES (615,'WebGUI',2,'Gruppen werden zum Aufteilen von Rechten und Pflichten innherhalb des WebGUI \r\nSystems bentigt. Wenn sie z. b. eine Seite hnlich einer Klassenraum Situation \r\nerstellen mssen. In diesem Fall wrden Sie fr jede einzelne Klasse eine eigene \r\nGruppe erstellen, die sie dann den entsprechenden Seiten zuordnen knnten.<P>Es \r\ngibt bereits einige voreingestellte Gruppen in WebGUI:<P><B>Admins</B><BR>Admins \r\nsind User mit unbegrenzten Rechten in WebGUI. Ein Benutzer sollte dieser Gruppe \r\nnur hinzugefgt werden, wenn der das System berblicken kann. Gewhnlich werden \r\n1 bis 3 Personen dieser Gruppe zugeordnet.<P><B>Content Managers</B><BR>Content Manager \r\nsind Benutzer, die die Berechtigung zum Hinzufgen, Bearbeiten und lschen von \r\nInhalten fr die verschiedenen Bereich der Site haben. Diese Gruppe sollte nicht \r\ndazu benutzt werden, individuelle Content-Bereiche der Seite zu kontrollieren, \r\nsondern um festzulegen, ob &nbsp;ein Benutzer Inhalt bearbeiten kann oder nicht. \r\nSie sollten zustzliche Gruppen fr die separaten Bereiche der Site erstellen. \r\n<P><B>Everyone (Jeder)</B><BR>Everyone ist eine \'magische\' Gruppe, der niemand \r\nhinzugefgt werden kann, aber alle Mitglieder der Site sind Teil davon. Mchten \r\nSie ihre Seite fr Besucher und registrierte Benutzer gleichermassen ffnen, \r\ndann benutzen Sie diese Gruppe dafr.<P><B>Package Managers (Paket Manager)</B><BR>Benutzer \r\nmit der Berechtigung, Pakete zu erstellen, zu bearbeiten, zu lschen und anzuwenden.<P><B>Registrierte \r\nBenutzer</B><BR>Sobald ein User dem System hinzugefgt wird, befindet er sich \r\nin dieser Gruppe. Er sollte aus dieser Gruppe nur entfernt werden, wenn sein \r\nAccount gelscht ist oder wenn sie einen Strenfried sperren wollen.<P><B>Style Managers</B><BR>Benutzer \r\nmit der Berechtigung, Styles zu bearbeiten. Dieses Recht enthlt aber nicht \r\ndas Recht, Berechtigungen fr eine Seite zu vergeben.<P><B>Template Managers</B><BR>Benutzer \r\nmit der Berechtigung, Templates fr diese Seite zu bearbeiten.<P><B>Visitors \r\n(Besucher)</B><BR>Besucher sind diejenigen Benutzer, die nicht eingeloggt sind. \r\n</P>',1044964822);
INSERT INTO international VALUES (61,'SyndicatedContent',10,'Syndicated Content, tilfj/redigr',1036611329);
INSERT INTO international VALUES (61,'SiteMap',10,'Tr struktur (site map), tilfj/redigr',1036611295);
INSERT INTO international VALUES (61,'SQLReport',10,'SQL Rapport, tilfj/redigr',1036611251);
INSERT INTO international VALUES (9,'Product',10,'Produkt billed 3',1036611226);
INSERT INTO international VALUES (8,'Product',10,'Produkt billed 2',1036611213);
INSERT INTO international VALUES (7,'Product',10,'Produkt billed 1',1036611200);
INSERT INTO international VALUES (62,'Product',10,'Produkt skabelon, tilfj/redigr',1036611151);
INSERT INTO international VALUES (61,'Product',10,'Produkt skabelon',1036611127);
INSERT INTO international VALUES (60,'Product',10,'Skabelon',1036611112);
INSERT INTO international VALUES (6,'Product',10,'Redigr produkt',1036611098);
INSERT INTO international VALUES (59,'Product',10,'Navn',1036611082);
INSERT INTO international VALUES (58,'Product',10,'Redigr produkt skabelon',1036611058);
INSERT INTO international VALUES (57,'Product',10,'Er du sikker p du vil slette denne skabelon og dermed ogs alle produkter der anvender den?',1036611039);
INSERT INTO international VALUES (56,'Product',10,'Tilfj en produkt skabelon.',1036605180);
INSERT INTO international VALUES (55,'Product',10,'Tilfj en fordel.',1036605149);
INSERT INTO international VALUES (54,'Product',10,'Fordele',1036605131);
INSERT INTO international VALUES (53,'Product',10,'Redigr fordel',1036605116);
INSERT INTO international VALUES (52,'Product',10,'Tilfj yderligere fordel?',1036605101);
INSERT INTO international VALUES (51,'Product',10,'Fordel',1036605083);
INSERT INTO international VALUES (5,'Product',10,'Er du sikker p du vil slette denne specifikation?',1036605065);
INSERT INTO international VALUES (49,'Product',10,'Produkt fordel, tilfj/redigr',1036605042);
INSERT INTO international VALUES (48,'Product',10,'Er du sikker p du vil slette denne fordel? (kan ikke genskabes nr frst slettet)',1036605023);
INSERT INTO international VALUES (46,'Product',10,'Relateret produkt, tilfj/redigr',1036604974);
INSERT INTO international VALUES (44,'Product',10,'Produkt tilbehr, tilfj/redigr',1036604937);
INSERT INTO international VALUES (42,'Product',10,'Produkt specifikation, tilfj/redigr',1036604911);
INSERT INTO international VALUES (40,'Product',10,'Produkt egenskab, tilfj/redigr',1036604886);
INSERT INTO international VALUES (4,'Product',10,'Er du sikker p du vil slette relationen til det relaterede produkt?',1036604858);
INSERT INTO international VALUES (38,'Product',10,'Produkter, tilfj/redigr',1036604819);
INSERT INTO international VALUES (37,'Product',10,'Tilfj et relateret produkt.',1036604797);
INSERT INTO international VALUES (36,'Product',10,'Tilfj tilbehr.',1036604779);
INSERT INTO international VALUES (35,'Product',10,'Tilfj en specifikation.',1036604761);
INSERT INTO international VALUES (34,'Product',10,'Tilfj en egenskab.',1036604744);
INSERT INTO international VALUES (33,'Product',10,'Relaterede produkter',1036604724);
INSERT INTO international VALUES (32,'Product',10,'Tilbehr',1036604703);
INSERT INTO international VALUES (31,'Product',10,'Specifikationer',1036604690);
INSERT INTO international VALUES (30,'Product',10,'Egenskaber',1036604674);
INSERT INTO international VALUES (3,'Product',10,'Er du sikker p du vil slette denne egenskab?',1036604621);
INSERT INTO international VALUES (29,'Product',10,'Enheder',1036604600);
INSERT INTO international VALUES (28,'Product',10,'Tilfj yderligere specifikation',1036604556);
INSERT INTO international VALUES (27,'Product',10,'Specifikation',1036604539);
INSERT INTO international VALUES (26,'Product',10,'Label',1036604513);
INSERT INTO international VALUES (25,'Product',10,'Redig+er specifikation',1036604493);
INSERT INTO international VALUES (24,'Product',10,'Tilfj yderligere egenskaber?',1036604476);
INSERT INTO international VALUES (23,'Product',10,'Egenskab',1036604454);
INSERT INTO international VALUES (22,'Product',10,'Redigr egenskab',1036604438);
INSERT INTO international VALUES (21,'Product',10,'Tilfj yderligere releteret produkt?',1036604409);
INSERT INTO international VALUES (20,'Product',10,'Relateret produkt',1036604385);
INSERT INTO international VALUES (2,'Product',10,'Er du sikker p du vil slette referencen til dette tilbehr?',1036604368);
INSERT INTO international VALUES (19,'Product',10,'Tilfj relateret produkt',1036604335);
INSERT INTO international VALUES (18,'Product',10,'Tilfj yderligere tilbehr?',1036604319);
INSERT INTO international VALUES (17,'Product',10,'Tilbehr',1036604302);
INSERT INTO international VALUES (16,'Product',10,'Tilfj tilbehr',1036604289);
INSERT INTO international VALUES (15,'Product',10,'Garanti',1036604274);
INSERT INTO international VALUES (14,'Product',10,'Manual',1036604254);
INSERT INTO international VALUES (13,'Product',10,'Brochure',1036604243);
INSERT INTO international VALUES (11,'Product',10,'Produkt nr.',1036604204);
INSERT INTO international VALUES (10,'Product',10,'Pris',1036604182);
INSERT INTO international VALUES (1,'Product',10,'Produkt',1036604168);
INSERT INTO international VALUES (61,'Poll',10,'Afstemning, tilfj/redigr',1036604149);
INSERT INTO international VALUES (20,'Poll',10,'Karma per stemme',1036604131);
INSERT INTO international VALUES (12,'Poll',10,'Stemmer i alt:',1036604113);
INSERT INTO international VALUES (61,'MessageBoard',10,'Opslagstavle, tilfj/redigr',1036604088);
INSERT INTO international VALUES (9,'MailForm',10,'Tilfj felt',1036604053);
INSERT INTO international VALUES (8,'MailForm',10,'Bredde',1036604040);
INSERT INTO international VALUES (7,'MailForm',10,'Redigr mail formular',1036604018);
INSERT INTO international VALUES (62,'MailForm',10,'Mail form felter, tilfj/redigr',1036604001);
INSERT INTO international VALUES (61,'MailForm',10,'Mail formular, tilfj/redigr',1036603976);
INSERT INTO international VALUES (6,'MailForm',10,'Redigrbar',1036603957);
INSERT INTO international VALUES (5,'MailForm',10,'Vist',1036603937);
INSERT INTO international VALUES (4,'MailForm',10,'Skjult',1036603927);
INSERT INTO international VALUES (3,'MailForm',10,'Tak for din tilbagemelding!',1036603915);
INSERT INTO international VALUES (26,'MailForm',10,'Gem indhold?',1036603892);
INSERT INTO international VALUES (25,'MailForm',10,'Standard vrdi (valgfrit)',1036603877);
INSERT INTO international VALUES (24,'MailForm',10,'Mulige vrdier (drop-down liste)',1036603850);
INSERT INTO international VALUES (23,'MailForm',10,'Type',1036603824);
INSERT INTO international VALUES (22,'MailForm',10,'Status',1036603804);
INSERT INTO international VALUES (21,'MailForm',10,'Felt navn',1036603793);
INSERT INTO international VALUES (20,'MailForm',10,'Redigr felt',1036603782);
INSERT INTO international VALUES (2,'MailForm',10,'Emnet for din email her',1036603768);
INSERT INTO international VALUES (19,'MailForm',10,'Er du sikker p du vil slette dette felt?',1036603745);
INSERT INTO international VALUES (18,'MailForm',10,'G tilbage!',1036603723);
INSERT INTO international VALUES (17,'MailForm',10,'Mail sendt',1036603709);
INSERT INTO international VALUES (15,'MailForm',10,'Fortst med at tilfje flere felter?',1036603693);
INSERT INTO international VALUES (16,'MailForm',10,'Bekrftigelse',1036599476);
INSERT INTO international VALUES (14,'MailForm',10,'Emne',1036598522);
INSERT INTO international VALUES (13,'MailForm',10,'Bcc',1036598494);
INSERT INTO international VALUES (12,'MailForm',10,'Cc',1036598479);
INSERT INTO international VALUES (11,'MailForm',10,'Til (email, brugernavn ell. gruppenavn)',1036598461);
INSERT INTO international VALUES (10,'MailForm',10,'Fra',1036598436);
INSERT INTO international VALUES (1,'MailForm',10,'Mail formular',1036598423);
INSERT INTO international VALUES (61,'LinkList',10,'Henvisningsliste, tilfj/redigr',1036598042);
INSERT INTO international VALUES (61,'Item',10,'Item, tilfj/redigr',1036598009);
INSERT INTO international VALUES (6,'Item',10,'Redigr item',1036597984);
INSERT INTO international VALUES (72,'FAQ',10,'Sprgsml, tilfj/redigr',1036597894);
INSERT INTO international VALUES (61,'FAQ',10,'FAQ, tilfj/redigr',1036597867);
INSERT INTO international VALUES (13,'FAQ',10,'Sl [top] link til?',1036597810);
INSERT INTO international VALUES (12,'FAQ',10,'Sl Q/A til?',1036597786);
INSERT INTO international VALUES (11,'FAQ',10,'Sl TOC til?',1036597771);
INSERT INTO international VALUES (61,'ExtraColumn',10,'Ekstra kolonne, tilfj/redigr',1036597749);
INSERT INTO international VALUES (78,'EventsCalendar',10,'Slet ikke noget, det var en fejl.',1036597719);
INSERT INTO international VALUES (75,'EventsCalendar',10,'Hvad nsker du at gre?',1036597679);
INSERT INTO international VALUES (77,'EventsCalendar',10,'Slet denne begivenhed og alle gentagelser',1031671274);
INSERT INTO international VALUES (76,'EventsCalendar',10,'Slet kun denne begivenhed.',1031671246);
INSERT INTO international VALUES (72,'EventsCalendar',10,'Begivenhed, tilfj/redigr',1031671171);
INSERT INTO international VALUES (61,'EventsCalendar',10,'Begivenhedskalender, Tilfj/redigr',1031671122);
INSERT INTO international VALUES (84,'EventsCalendar',1,'End Month',1038190527);
INSERT INTO international VALUES (20,'EventsCalendar',10,'Tilfj begivenhed',1031671040);
INSERT INTO international VALUES (61,'Article',10,'Artikkel, tilfj/redigr',1031546465);
INSERT INTO international VALUES (814,'WebGUI',1,'Back to styles.',1038022043);
INSERT INTO international VALUES (815,'WebGUI',1,'The file you tried to upload is too large.',1038023800);
INSERT INTO international VALUES (679,'WebGUI',21,'   ()',1042132866);
INSERT INTO international VALUES (72,'MailForm',21,'         .\r\n<br><br>\r\n<b> </b><br>\r\n    (..            ).\r\n<br><br>\r\n<b></b><br>\r\n   ,   e-mail.<br>\r\n   ,   .<br>\r\n   .<br>\r\n       ,  ,      .\r\n<br><br>\r\n<b></b><br>\r\n   .    :<br>\r\n<ul>\r\n<li>URL:  ,    URL.<br>\r\n<li> :   .<br>\r\n<li>:  ,      ,    .<br>\r\n<li>/:         .<br>\r\n<li>E-mail:  ,      e-mail  (      ).<br>\r\n<li> :   .<br>\r\n<li>-:  -.<br>\r\n :         (       ).\r\n</ul>\r\n<br><br>\r\n<b> </b><br>\r\n         .\r\n<br><br>\r\n<b>   ()</b><br>\r\n     .    /  \"yes\"  ,        &#8222;&#8220;  \"no\",      &#8222;&#8220;.\r\n -  \"checked\",   ,       .\r\n<br><br>\r\n<b>   ?</b><br>\r\n &#8222;&#8220;,       .\r\n<br>',1041689534);
INSERT INTO international VALUES (554,'WebGUI',21,' ',1034774744);
INSERT INTO international VALUES (64,'WebGUI',21,'  ',1034772536);
INSERT INTO international VALUES (1,'WobjectProxy',21,' ',1037087561);
INSERT INTO international VALUES (2,'Item',21,' ',1034752668);
INSERT INTO international VALUES (4,'Item',21,'  ',1034752668);
INSERT INTO international VALUES (5,'Item',21,'  ',1034752668);
INSERT INTO international VALUES (12,'Poll',21,' :',1034752668);
INSERT INTO international VALUES (12,'FAQ',21,' /?',1034752668);
INSERT INTO international VALUES (12,'MailForm',21,'Cc',1034752668);
INSERT INTO international VALUES (13,'MailForm',21,'Bcc',1034752668);
INSERT INTO international VALUES (357,'WebGUI',21,'',1034752668);
INSERT INTO international VALUES (361,'WebGUI',21,'  ,  ',1036492249);
INSERT INTO international VALUES (362,'WebGUI',21,'  ',1036492299);
INSERT INTO international VALUES (364,'WebGUI',21,'',1034752668);
INSERT INTO international VALUES (371,'WebGUI',21,' ',1034752668);
INSERT INTO international VALUES (424,'WebGUI',21,'  .',1034752668);
INSERT INTO international VALUES (429,'WebGUI',21,' ',1034752668);
INSERT INTO international VALUES (442,'WebGUI',21,'  ',1042471727);
INSERT INTO international VALUES (445,'WebGUI',21,' ',1042469962);
INSERT INTO international VALUES (576,'WebGUI',21,'',1034752668);
INSERT INTO international VALUES (512,'WebGUI',21,' ',1036929085);
INSERT INTO international VALUES (534,'WebGUI',21,'   ?',1034752668);
INSERT INTO international VALUES (537,'WebGUI',21,'',1034752668);
INSERT INTO international VALUES (538,'WebGUI',21,' ',1034752668);
INSERT INTO international VALUES (539,'WebGUI',21,'   ?',1034752668);
INSERT INTO international VALUES (540,'WebGUI',21,'    ',1034752668);
INSERT INTO international VALUES (20,'Poll',21,'   ',1034752668);
INSERT INTO international VALUES (541,'WebGUI',21,'  ',1034752668);
INSERT INTO international VALUES (61,'MessageBoard',21,' (/)',1048509696);
INSERT INTO international VALUES (71,'SQLReport',21,' SQL       .\r\n<br><br>\r\n<b>  ?</b><br>\r\n       ,        .\r\n<br><br>\r\n<b>   ?</b><br>\r\n            . \r\n<br><br>\r\n<b></b><br>\r\n    SQL .      ^FormParam();.\r\n<br><br>\r\n<b> </b><br>\r\n     ,   SQL-.      ,      .\r\n<br>\r\n       :  ^-;, ^0;, ^1;, ^2;, ^3;  .. ,         ,    ,    .      ^rownum;,      .\r\n<br><br>\r\n<b>DSN</b><br>\r\nDSN -      ,      .  DSN : <i>DBI:[driver]:[database name]:[host]</i>. \r\n<br>\r\n<i>:</i> DBI:mysql:WebGUI:localhost\r\n<br><br>\r\n<b>  </b><br>\r\n     (login).\r\n<br><br>\r\n<b>   </b><br>\r\n ,      .\r\n<br><br>\r\n<b>     </b><br>\r\n    ,    . \r\n<br><br>\r\n<b>  ?</b><br>\r\n           ,         ,   &#132;&#147;\r\n<br>\r\n',1036073993);
INSERT INTO international VALUES (678,'WebGUI',21,'  ()',1034752668);
INSERT INTO international VALUES (681,'WebGUI',21,' ()',1042132885);
INSERT INTO international VALUES (680,'WebGUI',21,' ()',1042132874);
INSERT INTO international VALUES (675,'WebGUI',21,'  ()',1042132857);
INSERT INTO international VALUES (656,'WebGUI',21,'   ()',1042132801);
INSERT INTO international VALUES (696,'WebGUI',21,' ()',1034752668);
INSERT INTO international VALUES (672,'WebGUI',21,'   ()',1034752668);
INSERT INTO international VALUES (674,'WebGUI',21,'  ()',1042132848);
INSERT INTO international VALUES (661,'WebGUI',21,'  ()',1034752668);
INSERT INTO international VALUES (663,'WebGUI',21,'  ()',1045499959);
INSERT INTO international VALUES (671,'WebGUI',21,' ()',1048517100);
INSERT INTO international VALUES (677,'WebGUI',21,' (/)',1048517136);
INSERT INTO international VALUES (668,'WebGUI',21,'  ()',1048517010);
INSERT INTO international VALUES (667,'WebGUI',21,' (/)',1034752668);
INSERT INTO international VALUES (652,'WebGUI',21,'  ()',1034752668);
INSERT INTO international VALUES (665,'WebGUI',21,' ()',1034752668);
INSERT INTO international VALUES (666,'WebGUI',21,' (/)',1042132821);
INSERT INTO international VALUES (664,'WebGUI',21,' ()',1037086166);
INSERT INTO international VALUES (662,'WebGUI',21,' ()',1034752668);
INSERT INTO international VALUES (660,'WebGUI',21,' ()',1034752668);
INSERT INTO international VALUES (658,'WebGUI',21,' ()',1034752668);
INSERT INTO international VALUES (659,'WebGUI',21,' ()',1034752668);
INSERT INTO international VALUES (657,'WebGUI',21,' ()',1034752668);
INSERT INTO international VALUES (682,'WebGUI',21,'  ()',1034752668);
INSERT INTO international VALUES (655,'WebGUI',21,' (/)',1034752668);
INSERT INTO international VALUES (653,'WebGUI',21,' ()',1034752668);
INSERT INTO international VALUES (654,'WebGUI',21,' ()',1034752668);
INSERT INTO international VALUES (683,'WebGUI',21,' ()',1042132894);
INSERT INTO international VALUES (684,'WebGUI',21,' (/)',1042132902);
INSERT INTO international VALUES (685,'WebGUI',21,' ()',1042132912);
INSERT INTO international VALUES (669,'WebGUI',21,' ()',1048517050);
INSERT INTO international VALUES (637,'WebGUI',2,'<B>Vorname</B><BR>Der Vorname des Benutzers. \r\n<P><B>Zweiter Vorname</B><BR>Ein weiterer Vorname des Benutzers. \r\n<P><B>Nachname</B><BR>Der Nachname des Benutzers. \r\n<P><B>Email Adresse</B><BR>Die Emailadresse des Benutzers. Diese muss nur angegeben \r\nwerden, wenn der Benutzer Funktionen nutzen mchte, die eine Emailadresse bentigen. \r\n<P><B>ICQ UIN</B><BR>Die <A href=\"http://www.icq.com/\">ICQ</A> UIN ist die &quot;User \r\nID Number&quot; im ICQ Network. ICQ ist eine sehr bekannte Messaging Plattform. \r\n\r\n<P><B>AIM Id</B><BR>Die Account Id fr den <A href=\"http://www.aim.com/\">AOL \r\nInstant Messenger</A> .<P><B>MSN Messenger Id</B><BR>Die Account Id fr das \r\n <A \r\nhref=\"http://messenger.msn.com/\">Microsoft Network Instant Messenger system. \r\n\r\n</a><P><B>Yahoo! Messenger Id</B><BR>Die Account Id fr den <A \r\nhref=\"http://messenger.yahoo.com/\">Yahoo! Instant Messenger</A> system. \r\n<P><B>Mobiltelefon</B><BR>Die Mobilfunknummer des Benutzers. \r\n<P><B>Pager</B><BR>Die Pager Telefonnummer. \r\n<P><B>Email zu Pager Gateway</B><BR>Die Pager Email Adresse. \r\n<P><B>Private Angaben</B><BR>Die privaten Adressangaben. \r\n<P><B>Geschftliche Angaben</B><BR>Die geschftlichen Adressangaben. \r\n<P><B>Geschlecht</B><BR>Das Geschlecht des Benutzers. \r\n<P><B>Geburtsdatum</B><BR>Das Geburtsdatum des Benutzers.\r\n<p> <B>Sprache</B><BR>In welcher Sprache sollen systembedingte Meldungen angezeigt \r\nwerden?. \r\n</p>\r\n<P><B>Zeitabweichung</B><BR>Die Anzahl der Stunden  (plus oder minus), die die \r\nZeit des Benutzers von der Serverzeit abweicht. Dies wird benutzt, um die einzelnen \r\nZeitzonen anzugleichen. \r\n<P><B>Erster Tag der Woche</B><BR>Der erste Wochentag im Kalender. Zum Beispiel \r\nist in den USA der erste Wochentag der Sonntag und in Deutschland ist es der \r\nMontag. \r\n<P><B>Datumsformat</B><BR>In welchem Format soll das Datum erscheinen? \r\n<P><B>Zeitformat</B><BR>In welchem Format soll die Zeit angezeigt werden? \r\n<P><B>Diskussions Layout</B><BR>Sollen Diskussionen in einer flachen oder beitragsbasierten \r\nStruktur angezeigt werden? In einer flachen Struktur werden die Beitrge in \r\nder Reihenfolge, wie sie angelegt wurden, angezeigt. In der beitragsbasierten \r\nStruktur wird eine hierarchische Liste der Antworten, so wie sie erstellt wurden, \r\nangezeigt.<P><B>Benachrichtigungen</B><BR>Wie soll der Benutzer ber den Eingang \r\nneuer Nachrichtigen informiert werden? </P>',1044961519);
INSERT INTO international VALUES (72,'LinkList',21,' (/)',1041688410);
INSERT INTO international VALUES (11,'Article',21,'( \"\",      &lt;br&gt; ( )        )',1046341044);
INSERT INTO international VALUES (451,'WebGUI',21,'  .',1034682265);
INSERT INTO international VALUES (4,'EventsCalendar',21,'  ',1034673527);
INSERT INTO international VALUES (343,'WebGUI',21,'   ',1034670694);
INSERT INTO international VALUES (718,'WebGUI',21,'    SQL',1042130100);
INSERT INTO international VALUES (493,'WebGUI',21,'  ',1034670040);
INSERT INTO international VALUES (49,'WebGUI',21,'<a href=\"^\\;?op=logout\"></a>  ',1034669959);
INSERT INTO international VALUES (65,'WebGUI',21,' ',1034669848);
INSERT INTO international VALUES (341,'WebGUI',21,'   ',1034669826);
INSERT INTO international VALUES (589,'WebGUI',21,' ',1042130505);
INSERT INTO international VALUES (594,'WebGUI',21,' ',1042129995);
INSERT INTO international VALUES (598,'WebGUI',21,' ',1042130565);
INSERT INTO international VALUES (354,'WebGUI',21,'  ',1034664790);
INSERT INTO international VALUES (577,'WebGUI',21,'',1034664192);
INSERT INTO international VALUES (240,'WebGUI',21,'ID :',1034589237);
INSERT INTO international VALUES (6,'Article',21,'',1034583796);
INSERT INTO international VALUES (529,'WebGUI',21,'',1034581807);
INSERT INTO international VALUES (585,'WebGUI',21,'',1042134728);
INSERT INTO international VALUES (490,'WebGUI',21,'    ',1034242079);
INSERT INTO international VALUES (459,'WebGUI',21,'   ',1034241932);
INSERT INTO international VALUES (458,'WebGUI',21,'  ',1034241724);
INSERT INTO international VALUES (456,'WebGUI',21,'   ',1034241561);
INSERT INTO international VALUES (457,'WebGUI',21,'  ',1034241523);
INSERT INTO international VALUES (410,'WebGUI',21,'  ',1034241292);
INSERT INTO international VALUES (409,'WebGUI',21,'  ',1034241247);
INSERT INTO international VALUES (395,'WebGUI',21,'   ',1036929948);
INSERT INTO international VALUES (601,'WebGUI',21,'ID ',1034232837);
INSERT INTO international VALUES (45,'WebGUI',21,'\",   \"',1034232760);
INSERT INTO international VALUES (44,'WebGUI',21,'\",  \"',1034232745);
INSERT INTO international VALUES (423,'WebGUI',21,'  ',1034232698);
INSERT INTO international VALUES (420,'WebGUI',21,' ',1048515722);
INSERT INTO international VALUES (419,'WebGUI',21,'  ',1048515701);
INSERT INTO international VALUES (422,'WebGUI',21,'<h1> </h1>',1034232615);
INSERT INTO international VALUES (402,'WebGUI',21,'    .',1034232585);
INSERT INTO international VALUES (360,'WebGUI',21,'  ,  ',1036492223);
INSERT INTO international VALUES (407,'WebGUI',21,'  ',1034232476);
INSERT INTO international VALUES (403,'WebGUI',21,' ',1034231617);
INSERT INTO international VALUES (394,'WebGUI',21,'  ',1042130298);
INSERT INTO international VALUES (374,'WebGUI',21,'',1034231518);
INSERT INTO international VALUES (368,'WebGUI',21,'  ',1034231473);
INSERT INTO international VALUES (333,'WebGUI',21,'',1034231443);
INSERT INTO international VALUES (233,'WebGUI',21,'(eom)',1034231379);
INSERT INTO international VALUES (144,'WebGUI',21,'',1042134962);
INSERT INTO international VALUES (71,'SiteMap',21,'      .               .\r\n<br><br>\r\n<b></b><br>\r\n    .\r\n<br><br>\r\n<b> </b><br>\r\n ,     .\r\n<br><br>\r\n<b> </b><br>\r\n          ?    0 (),     .\r\n<br><br>\r\n<b></b><br>\r\n   ,      \r\n<br><br>\r\n',1042131957);
INSERT INTO international VALUES (8,'Poll',21,'(     .   :   20)',1034231002);
INSERT INTO international VALUES (13,'LinkList',21,'  ',1034230906);
INSERT INTO international VALUES (71,'Item',21,'         .\r\n<br><br>\r\n<b>URL</b><br>\r\n URL     .\r\n<br><br>\r\n<i>:</i> http://www.google.com\r\n<br><br>\r\n<b> </b><br>\r\n     MIcroSoft Word,       ,       \"\"   .\r\n<b></b><br>\r\n     .\r\n<br><br>',1041688264);
INSERT INTO international VALUES (13,'FAQ',21,'  []?',1034230765);
INSERT INTO international VALUES (71,'EventsCalendar',21,'   ,        ,    .\r\n<br><br>\r\n<b> </b><br>\r\n ,    .    <i> </i>, <i> </i>  <i> </i>.   <i></i>     (  ,   ,  ).      <i></i>       (..    ).\r\n<br><br>\r\n<b> </b><br>\r\n   .\r\n<br><br>\r\n<b> </b><br>\r\n ,    .\r\n           .\r\n<br><br>\r\n<b> </b><br>\r\n  ,     .\r\n<br><br>\r\n<b>  </b><br>\r\n  ,       .\r\n<br><br>\r\n<b>    </b><br>\r\n  ,              .\r\n<br><br>\r\n<b>   ?</b><br>\r\n      ,    .\r\n<br><br>\r\n',1041683983);
INSERT INTO international VALUES (20,'EventsCalendar',21,' ',1034230256);
INSERT INTO international VALUES (71,'Article',21,'           .\r\n<br><br>\r\n<b></b><br>\r\n   .\r\n<br><br>\r\n<b> </b><br>\r\n     (*.jpg, *.gif, *.png),    .\r\n<br><br>\r\n<b> </b><br>\r\n     Microsoft Word,       ,           \"\".\r\n<br><br>\r\n<b> </b><br>\r\n      ,   . \r\n<br><i>:</i> Google\r\n<br><br>\r\n<b>URL</b><br>\r\n   ,  URL (uniform resource locator). \r\n<br>\r\n<i>:</i> http://www.google.com\r\n<br><br>\r\n<b>  ?</b><br>\r\n       HTML,   \"\",         ,  \"\".\r\n<br><br>\r\n<b>  ?</b><br>\r\n   \"\",   ,         .\r\n<br><br>\r\n<b> </b><br>\r\n    . <p>\r\n<b>      ?</b><br>\r\n  ,      .\r\n<br><br>\r\n<b> </b><br>\r\n   ,      ;          .\r\n<br><br>\r\n<b>  </b><br>\r\n  ,     .\r\n<br><br>\r\n<b>   ?</b><br>\r\n      .\r\n<br><br>\r\n<b> </b><br>\r\n     . <i>  </i> ,  ,    .<i>  </i> ,             .\r\n<br><br>\r\n<b>   ?</b><br>\r\n   ,    \r\n',1048509677);
INSERT INTO international VALUES (856,'WebGUI',21,'     .',1041679656);
INSERT INTO international VALUES (27,'Article',21,'  ',1034227747);
INSERT INTO international VALUES (61,'Article',21,' (/)',1048509014);
INSERT INTO international VALUES (23,'Article',21,'',1034227710);
INSERT INTO international VALUES (22,'Article',21,'',1034227698);
INSERT INTO international VALUES (894,'WebGUI',21,'  ?',1034227687);
INSERT INTO international VALUES (13,'Article',21,'',1034227621);
INSERT INTO international VALUES (12,'Article',21,' ',1034227611);
INSERT INTO international VALUES (1,'Article',21,'',1034227567);
INSERT INTO international VALUES (10,'Article',21,'  ?',1034227536);
INSERT INTO international VALUES (1,'ExtraColumn',21,' ',1034189690);
INSERT INTO international VALUES (1,'Poll',21,'',1034189690);
INSERT INTO international VALUES (1,'SQLReport',21,'SQL-',1034189690);
INSERT INTO international VALUES (1,'SyndicatedContent',21,'URL   RSS',1034189690);
INSERT INTO international VALUES (1,'WebGUI',21,' ...',1034189690);
INSERT INTO international VALUES (1,'MailForm',21,'',1034189690);
INSERT INTO international VALUES (2,'EventsCalendar',21,'',1034189690);
INSERT INTO international VALUES (2,'FAQ',21,'  ',1034189690);
INSERT INTO international VALUES (2,'MessageBoard',21,'',1034189690);
INSERT INTO international VALUES (2,'SiteMap',21,' ',1034189690);
INSERT INTO international VALUES (2,'SyndicatedContent',21,'    ',1034189690);
INSERT INTO international VALUES (2,'WebGUI',21,'',1034189690);
INSERT INTO international VALUES (3,'Article',21,' ',1034189690);
INSERT INTO international VALUES (3,'ExtraColumn',21,'',1034189690);
INSERT INTO international VALUES (3,'Item',21,'  ',1034189690);
INSERT INTO international VALUES (3,'LinkList',21,'    ?',1034189690);
INSERT INTO international VALUES (3,'Poll',21,'',1034189690);
INSERT INTO international VALUES (3,'SiteMap',21,' ',1041690643);
INSERT INTO international VALUES (3,'SQLReport',21,' ',1034189690);
INSERT INTO international VALUES (3,'WebGUI',21,'  ...',1034189690);
INSERT INTO international VALUES (4,'Article',21,' ',1034189690);
INSERT INTO international VALUES (4,'ExtraColumn',21,'',1034189690);
INSERT INTO international VALUES (4,'MessageBoard',21,'   ',1034189690);
INSERT INTO international VALUES (4,'Poll',21,'   ?',1034189690);
INSERT INTO international VALUES (4,'SiteMap',21,' ',1034189690);
INSERT INTO international VALUES (4,'SQLReport',21,'',1034189690);
INSERT INTO international VALUES (4,'SyndicatedContent',21,'    ',1034189690);
INSERT INTO international VALUES (4,'WebGUI',21,'',1034189690);
INSERT INTO international VALUES (5,'ExtraColumn',21,' CSS',1034189690);
INSERT INTO international VALUES (5,'FAQ',21,'',1034189690);
INSERT INTO international VALUES (821,'WebGUI',1,'Any',1038432387);
INSERT INTO international VALUES (5,'Poll',21,' ',1034189690);
INSERT INTO international VALUES (5,'SiteMap',21,'  ',1034189690);
INSERT INTO international VALUES (5,'SQLReport',21,'DSN',1034189690);
INSERT INTO international VALUES (6,'ExtraColumn',21,' ',1034189690);
INSERT INTO international VALUES (6,'FAQ',21,'',1034189690);
INSERT INTO international VALUES (6,'LinkList',21,' ',1034189690);
INSERT INTO international VALUES (6,'MessageBoard',21,' ',1034189690);
INSERT INTO international VALUES (6,'Poll',21,'',1034189690);
INSERT INTO international VALUES (6,'SiteMap',21,'',1034189690);
INSERT INTO international VALUES (6,'SQLReport',21,'  ',1034189690);
INSERT INTO international VALUES (7,'Article',21,' ',1034189690);
INSERT INTO international VALUES (7,'FAQ',21,'  ?',1034189690);
INSERT INTO international VALUES (7,'MessageBoard',21,':',1034189690);
INSERT INTO international VALUES (7,'Poll',21,' ',1034189690);
INSERT INTO international VALUES (7,'SQLReport',21,'   ',1034189690);
INSERT INTO international VALUES (8,'Article',21,'URL',1034189690);
INSERT INTO international VALUES (8,'EventsCalendar',21,'  ',1046342497);
INSERT INTO international VALUES (8,'FAQ',21,'    ',1034189690);
INSERT INTO international VALUES (8,'LinkList',21,'URL',1034189690);
INSERT INTO international VALUES (8,'MessageBoard',21,':',1034189690);
INSERT INTO international VALUES (8,'SQLReport',21,' SQL- ',1034189690);
INSERT INTO international VALUES (8,'WebGUI',21,'  .',1034189690);
INSERT INTO international VALUES (9,'Article',21,' ',1034189690);
INSERT INTO international VALUES (9,'EventsCalendar',21,'',1034189690);
INSERT INTO international VALUES (9,'FAQ',21,'  ',1034189690);
INSERT INTO international VALUES (9,'LinkList',21,'  ?',1034189690);
INSERT INTO international VALUES (9,'MessageBoard',21,'ID :',1034189690);
INSERT INTO international VALUES (9,'Poll',21,' ',1034189690);
INSERT INTO international VALUES (9,'SQLReport',21,': DSN    .',1034189690);
INSERT INTO international VALUES (9,'WebGUI',21,'   .',1034189690);
INSERT INTO international VALUES (10,'FAQ',21,' ',1034189690);
INSERT INTO international VALUES (10,'LinkList',21,'  ',1034189690);
INSERT INTO international VALUES (10,'Poll',21,'  ',1034189690);
INSERT INTO international VALUES (11,'Poll',21,'',1034189690);
INSERT INTO international VALUES (10,'SQLReport',21,':   SQL-.',1034189690);
INSERT INTO international VALUES (10,'WebGUI',21,'',1034189690);
INSERT INTO international VALUES (11,'MessageBoard',21,'   ',1034189690);
INSERT INTO international VALUES (11,'SQLReport',21,':    .',1034189690);
INSERT INTO international VALUES (11,'WebGUI',21,' ',1034189690);
INSERT INTO international VALUES (12,'EventsCalendar',21,'',1046341762);
INSERT INTO international VALUES (12,'LinkList',21,' ',1034189690);
INSERT INTO international VALUES (12,'MessageBoard',21,' ',1034189690);
INSERT INTO international VALUES (12,'SQLReport',21,':     .',1034189690);
INSERT INTO international VALUES (12,'WebGUI',21,'  ',1034189690);
INSERT INTO international VALUES (13,'EventsCalendar',21,' ',1046341870);
INSERT INTO international VALUES (13,'WebGUI',21,'',1034189690);
INSERT INTO international VALUES (14,'WebGUI',21,'  .',1034189690);
INSERT INTO international VALUES (15,'MessageBoard',21,'',1034189690);
INSERT INTO international VALUES (15,'WebGUI',21,'',1034189690);
INSERT INTO international VALUES (16,'MessageBoard',21,'',1034189690);
INSERT INTO international VALUES (16,'WebGUI',21,'',1034189690);
INSERT INTO international VALUES (17,'MessageBoard',21,'  ',1034189690);
INSERT INTO international VALUES (17,'WebGUI',21,'',1034189690);
INSERT INTO international VALUES (18,'MessageBoard',21,'',1034189690);
INSERT INTO international VALUES (18,'WebGUI',21,'',1034189690);
INSERT INTO international VALUES (19,'MessageBoard',21,'',1034189690);
INSERT INTO international VALUES (19,'WebGUI',21,'',1034189690);
INSERT INTO international VALUES (20,'MessageBoard',21,' ',1034189690);
INSERT INTO international VALUES (20,'WebGUI',21,'',1034189690);
INSERT INTO international VALUES (21,'WebGUI',21,'',1034189690);
INSERT INTO international VALUES (22,'WebGUI',21,'',1034189690);
INSERT INTO international VALUES (23,'WebGUI',21,'',1034189690);
INSERT INTO international VALUES (24,'WebGUI',21,'',1034189690);
INSERT INTO international VALUES (25,'WebGUI',21,'',1034189690);
INSERT INTO international VALUES (26,'WebGUI',21,'',1034189690);
INSERT INTO international VALUES (27,'WebGUI',21,'',1034189690);
INSERT INTO international VALUES (28,'WebGUI',21,'',1034189690);
INSERT INTO international VALUES (29,'WebGUI',21,'',1034189690);
INSERT INTO international VALUES (30,'WebGUI',21,'',1034189690);
INSERT INTO international VALUES (31,'WebGUI',21,'',1034189690);
INSERT INTO international VALUES (32,'WebGUI',21,'',1034189690);
INSERT INTO international VALUES (33,'WebGUI',21,'',1034189690);
INSERT INTO international VALUES (34,'WebGUI',21,' ',1034189690);
INSERT INTO international VALUES (35,'WebGUI',21,' ',1034189690);
INSERT INTO international VALUES (36,'WebGUI',21,'      .  :',1034189690);
INSERT INTO international VALUES (37,'WebGUI',21,' !',1034189690);
INSERT INTO international VALUES (38,'WebGUI',21,'       .',1034189690);
INSERT INTO international VALUES (39,'WebGUI',21,'          .',1034189690);
INSERT INTO international VALUES (40,'WebGUI',21,' ',1034189690);
INSERT INTO international VALUES (41,'WebGUI',21,'    .',1034189690);
INSERT INTO international VALUES (42,'WebGUI',21,' ',1034189690);
INSERT INTO international VALUES (43,'WebGUI',21,'  ?',1034189690);
INSERT INTO international VALUES (46,'WebGUI',21,' ',1034189690);
INSERT INTO international VALUES (47,'WebGUI',21,'',1034189690);
INSERT INTO international VALUES (48,'WebGUI',21,'',1034189690);
INSERT INTO international VALUES (50,'WebGUI',21,'',1034189690);
INSERT INTO international VALUES (51,'WebGUI',21,'',1034189690);
INSERT INTO international VALUES (52,'WebGUI',21,'',1034189690);
INSERT INTO international VALUES (53,'WebGUI',21,'  ',1036492742);
INSERT INTO international VALUES (54,'WebGUI',21,' ',1034189690);
INSERT INTO international VALUES (2,'Auth/WebGUI',21,' ()',1034189690);
INSERT INTO international VALUES (56,'WebGUI',21,'e-mail',1034189690);
INSERT INTO international VALUES (57,'WebGUI',21,'      ,    e-mail.',1034189690);
INSERT INTO international VALUES (58,'WebGUI',21,'     ',1034189690);
INSERT INTO international VALUES (59,'WebGUI',21,'  ',1034189690);
INSERT INTO international VALUES (61,'WebGUI',21,'   ',1034189690);
INSERT INTO international VALUES (62,'WebGUI',21,'',1034189690);
INSERT INTO international VALUES (63,'WebGUI',21,'  .',1034189690);
INSERT INTO international VALUES (66,'WebGUI',21,'  ',1034189690);
INSERT INTO international VALUES (67,'WebGUI',21,'  .',1034189690);
INSERT INTO international VALUES (69,'WebGUI',21,'    .',1034189690);
INSERT INTO international VALUES (70,'WebGUI',21,'',1034189690);
INSERT INTO international VALUES (624,'WebGUI',2,'WebGUI Makros werden zum Erstellen von dynamischen Inhalten innerhalb ansonsten \r\nstatischem Inhalt bentigt. Wenn Sie zum Beispiel sehen mchten, welcher User \r\nauf einer Seite eingeloggt ist oder sie mchten ein dynamisch erzeugtes Menu \r\nhaben.<P>Makros beginnen immer mit einem Caret (^), gefolgt von mindestens einem \r\nweiteren Zeichen. Am Ende muss ein Semikolon  (;) stehen. Einige Makros knnen \r\nerweitert/konfiguriert werden (Format: ^<I>x</I>(&quot;<b>config text</b>&quot;);). \r\n<P>Beachten Sie: Die nachfolgenden Makros sind fr System-/Wobject spezifische \r\nFunktionen (wie im SQL-Report oder im Body-Bereich des Stylemanagers): \r\n</P>\r\n<ul>\r\n    <li><b>^-;</b></li>\r\n    <li><b>^0;</b></li>\r\n    <li><b>^1;</b></li>\r\n    <li><b>^2;</b></li>\r\n    <li><b>^3;</b></li>\r\n    <li> <b>etc.</b><BR></li>\r\n</ul>',1048592086);
INSERT INTO international VALUES (72,'WebGUI',21,'',1034189690);
INSERT INTO international VALUES (73,'WebGUI',21,'.',1034189690);
INSERT INTO international VALUES (74,'WebGUI',21,'  ',1034189690);
INSERT INTO international VALUES (75,'WebGUI',21,'        e-mail.',1034189690);
INSERT INTO international VALUES (76,'WebGUI',21,' e-mail     ',1034189690);
INSERT INTO international VALUES (77,'WebGUI',21,'   .        :',1034189690);
INSERT INTO international VALUES (3,'Auth/WebGUI',21,'  ',1034189690);
INSERT INTO international VALUES (2,'Auth/LDAP',21,'      LDAP.',1046341420);
INSERT INTO international VALUES (80,'WebGUI',21,'  !',1034189690);
INSERT INTO international VALUES (81,'WebGUI',21,'  !',1034189690);
INSERT INTO international VALUES (82,'WebGUI',21,' ...',1034189690);
INSERT INTO international VALUES (84,'WebGUI',21,' ',1034189690);
INSERT INTO international VALUES (85,'WebGUI',21,'',1034189690);
INSERT INTO international VALUES (87,'WebGUI',21,' ',1034189690);
INSERT INTO international VALUES (88,'WebGUI',21,'  ',1034189690);
INSERT INTO international VALUES (91,'WebGUI',21,'&#151;',1042134516);
INSERT INTO international VALUES (92,'WebGUI',21,'&#151;',1042134578);
INSERT INTO international VALUES (93,'WebGUI',21,'',1034189690);
INSERT INTO international VALUES (94,'WebGUI',21,' ',1034189690);
INSERT INTO international VALUES (99,'WebGUI',21,'',1034189690);
INSERT INTO international VALUES (100,'WebGUI',21,'-',1034189690);
INSERT INTO international VALUES (101,'WebGUI',21,' ,           ?',1034189690);
INSERT INTO international VALUES (102,'WebGUI',21,' ',1034189690);
INSERT INTO international VALUES (103,'WebGUI',21,' ',1048512898);
INSERT INTO international VALUES (104,'WebGUI',21,'URL ',1034189690);
INSERT INTO international VALUES (105,'WebGUI',21,' ',1048515583);
INSERT INTO international VALUES (106,'WebGUI',21,' \"\"   ,      ',1034189690);
INSERT INTO international VALUES (107,'WebGUI',21,' ',1034189690);
INSERT INTO international VALUES (108,'WebGUI',21,'',1034189690);
INSERT INTO international VALUES (116,'WebGUI',21,' \"\"         .',1034189690);
INSERT INTO international VALUES (118,'WebGUI',21,' ',1034189690);
INSERT INTO international VALUES (119,'WebGUI',21,'  ( )',1034189690);
INSERT INTO international VALUES (5,'Auth/LDAP',21,'URL LDAP ( )',1034189690);
INSERT INTO international VALUES (6,'Auth/LDAP',21,'   LDAP',1036584175);
INSERT INTO international VALUES (7,'Auth/LDAP',21,'Login   LDAP ',1036585109);
INSERT INTO international VALUES (8,'Auth/LDAP',21,'   LDAP',1036585375);
INSERT INTO international VALUES (126,'WebGUI',21,'E-mail',1034189690);
INSERT INTO international VALUES (134,'WebGUI',21,',     ',1036150650);
INSERT INTO international VALUES (135,'WebGUI',21,' SMTP',1034189690);
INSERT INTO international VALUES (138,'WebGUI',21,'',1034189690);
INSERT INTO international VALUES (139,'WebGUI',21,'',1034189690);
INSERT INTO international VALUES (142,'WebGUI',21,'  ',1034189690);
INSERT INTO international VALUES (143,'WebGUI',21,' ',1034189690);
INSERT INTO international VALUES (145,'WebGUI',21,' WebGUI',1034189690);
INSERT INTO international VALUES (146,'WebGUI',21,' ',1034189690);
INSERT INTO international VALUES (147,'WebGUI',21,'',1034189690);
INSERT INTO international VALUES (148,'WebGUI',21,'',1045500224);
INSERT INTO international VALUES (149,'WebGUI',21,'',1034189690);
INSERT INTO international VALUES (151,'WebGUI',21,'  ',1036151718);
INSERT INTO international VALUES (154,'WebGUI',21,'CSS',1034189690);
INSERT INTO international VALUES (155,'WebGUI',21,'   ? ( ,         \"Fail Safe\") ',1034189690);
INSERT INTO international VALUES (156,'WebGUI',21,'  ',1042472648);
INSERT INTO international VALUES (159,'WebGUI',21,' ',1034189690);
INSERT INTO international VALUES (160,'WebGUI',21,' ',1034189690);
INSERT INTO international VALUES (161,'WebGUI',21,'()',1034189690);
INSERT INTO international VALUES (162,'WebGUI',21,'      ?',1037084644);
INSERT INTO international VALUES (163,'WebGUI',21,' ',1034189690);
INSERT INTO international VALUES (164,'WebGUI',21,' ',1034189690);
INSERT INTO international VALUES (3,'Auth/LDAP',21,'LDAP URL',1034189690);
INSERT INTO international VALUES (4,'Auth/LDAP',21,' DN',1034189690);
INSERT INTO international VALUES (167,'WebGUI',21,'  ?',1036491838);
INSERT INTO international VALUES (168,'WebGUI',21,' ',1034189690);
INSERT INTO international VALUES (170,'WebGUI',21,'',1034189690);
INSERT INTO international VALUES (171,'WebGUI',21,'   ',1037003893);
INSERT INTO international VALUES (174,'WebGUI',21,' ?',1034189690);
INSERT INTO international VALUES (175,'WebGUI',21,' ?',1034189690);
INSERT INTO international VALUES (505,'WebGUI',21,'  ',1036492612);
INSERT INTO international VALUES (504,'WebGUI',21,'',1034189690);
INSERT INTO international VALUES (503,'WebGUI',21,'ID ',1034189690);
INSERT INTO international VALUES (502,'WebGUI',21,' ,     ?',1034189690);
INSERT INTO international VALUES (367,'WebGUI',21,'   ',1045500253);
INSERT INTO international VALUES (700,'WebGUI',21,'/',1036153024);
INSERT INTO international VALUES (566,'WebGUI',21,' ',1034189690);
INSERT INTO international VALUES (701,'WebGUI',21,'/',1036153019);
INSERT INTO international VALUES (560,'WebGUI',21,'  ',1036499912);
INSERT INTO international VALUES (561,'WebGUI',21,' ',1036499979);
INSERT INTO international VALUES (562,'WebGUI',21,'   ',1036500079);
INSERT INTO international VALUES (563,'WebGUI',21,'  ',1034189690);
INSERT INTO international VALUES (707,'WebGUI',21,'  ?',1034189690);
INSERT INTO international VALUES (516,'WebGUI',21,'  ',1034189690);
INSERT INTO international VALUES (517,'WebGUI',21,'  ',1034189690);
INSERT INTO international VALUES (572,'WebGUI',21,'  ',1034189690);
INSERT INTO international VALUES (573,'WebGUI',21,'  ',1034189690);
INSERT INTO international VALUES (574,'WebGUI',21,'',1034189690);
INSERT INTO international VALUES (404,'WebGUI',21,' ',1034189690);
INSERT INTO international VALUES (228,'WebGUI',21,' ',1036491679);
INSERT INTO international VALUES (229,'WebGUI',21,'',1034189690);
INSERT INTO international VALUES (230,'WebGUI',21,'',1034189690);
INSERT INTO international VALUES (231,'WebGUI',21,'  ',1036491752);
INSERT INTO international VALUES (232,'WebGUI',21,' ',1034189690);
INSERT INTO international VALUES (234,'WebGUI',21,' ',1036491865);
INSERT INTO international VALUES (237,'WebGUI',21,':',1034189690);
INSERT INTO international VALUES (238,'WebGUI',21,':',1034189690);
INSERT INTO international VALUES (239,'WebGUI',21,':',1034189690);
INSERT INTO international VALUES (244,'WebGUI',21,'',1034189690);
INSERT INTO international VALUES (245,'WebGUI',21,'',1034189690);
INSERT INTO international VALUES (304,'WebGUI',21,'',1034189690);
INSERT INTO international VALUES (307,'WebGUI',21,' -,   ?',1034189690);
INSERT INTO international VALUES (309,'WebGUI',21,'   ?',1034189690);
INSERT INTO international VALUES (310,'WebGUI',21,'   ?',1034189690);
INSERT INTO international VALUES (311,'WebGUI',21,'    ?',1034189690);
INSERT INTO international VALUES (312,'WebGUI',21,'   ?',1034189690);
INSERT INTO international VALUES (313,'WebGUI',21,'   ?',1034189690);
INSERT INTO international VALUES (314,'WebGUI',21,'',1034189690);
INSERT INTO international VALUES (315,'WebGUI',21,'',1034189690);
INSERT INTO international VALUES (316,'WebGUI',21,'',1034189690);
INSERT INTO international VALUES (321,'WebGUI',21,' ',1034189690);
INSERT INTO international VALUES (322,'WebGUI',21,'',1034189690);
INSERT INTO international VALUES (323,'WebGUI',21,' ',1034189690);
INSERT INTO international VALUES (324,'WebGUI',21,'',1034189690);
INSERT INTO international VALUES (327,'WebGUI',21,'',1034189690);
INSERT INTO international VALUES (328,'WebGUI',21,' ',1034189690);
INSERT INTO international VALUES (334,'WebGUI',21,' ',1034189690);
INSERT INTO international VALUES (335,'WebGUI',21,'',1034189690);
INSERT INTO international VALUES (338,'WebGUI',21,'   ',1034189690);
INSERT INTO international VALUES (339,'WebGUI',21,'.',1034189690);
INSERT INTO international VALUES (340,'WebGUI',21,'.',1034189690);
INSERT INTO international VALUES (346,'WebGUI',21,'     .',1036492036);
INSERT INTO international VALUES (347,'WebGUI',21,'   ',1034189690);
INSERT INTO international VALUES (348,'WebGUI',21,'',1034189690);
INSERT INTO international VALUES (349,'WebGUI',21,'  ',1034189690);
INSERT INTO international VALUES (350,'WebGUI',21,'',1034189690);
INSERT INTO international VALUES (351,'WebGUI',21,'',1034189690);
INSERT INTO international VALUES (352,'WebGUI',21,' ',1034189690);
INSERT INTO international VALUES (353,'WebGUI',21,'    .',1034189690);
INSERT INTO international VALUES (803,'WebGUI',21,' ',1042133497);
INSERT INTO international VALUES (471,'WebGUI',21,'     ',1034189690);
INSERT INTO international VALUES (355,'WebGUI',21,' ',1034189690);
INSERT INTO international VALUES (356,'WebGUI',21,'',1034189690);
INSERT INTO international VALUES (358,'WebGUI',21,' ',1034189690);
INSERT INTO international VALUES (359,'WebGUI',21,' ',1034189690);
INSERT INTO international VALUES (365,'WebGUI',21,' ',1034189690);
INSERT INTO international VALUES (366,'WebGUI',21,'       .',1034189690);
INSERT INTO international VALUES (369,'WebGUI',21,' ',1034189690);
INSERT INTO international VALUES (370,'WebGUI',21,' ',1034189690);
INSERT INTO international VALUES (372,'WebGUI',21,'  ',1034189690);
INSERT INTO international VALUES (375,'WebGUI',21,'   ',1034189690);
INSERT INTO international VALUES (376,'WebGUI',21,'',1034189690);
INSERT INTO international VALUES (377,'WebGUI',21,' .',1034189690);
INSERT INTO international VALUES (378,'WebGUI',21,'ID ',1034189690);
INSERT INTO international VALUES (379,'WebGUI',21,'ID ',1034189690);
INSERT INTO international VALUES (380,'WebGUI',21,'ID ',1034189690);
INSERT INTO international VALUES (381,'WebGUI',21,'  .   \"\"    .',1034189690);
INSERT INTO international VALUES (13,'SQLReport',21,'  ?',1034189690);
INSERT INTO international VALUES (14,'EventsCalendar',21,' ',1034189690);
INSERT INTO international VALUES (15,'EventsCalendar',21,' ',1034189690);
INSERT INTO international VALUES (14,'SQLReport',21,'     ',1034189690);
INSERT INTO international VALUES (19,'EventsCalendar',21,'     ',1034189690);
INSERT INTO international VALUES (384,'WebGUI',21,'',1034189690);
INSERT INTO international VALUES (385,'WebGUI',21,'',1034189690);
INSERT INTO international VALUES (386,'WebGUI',21,' ',1034189690);
INSERT INTO international VALUES (387,'WebGUI',21,'():',1036929327);
INSERT INTO international VALUES (388,'WebGUI',21,' ',1034189690);
INSERT INTO international VALUES (391,'WebGUI',21,'  .',1034189690);
INSERT INTO international VALUES (399,'WebGUI',21,' HTML-',1042474298);
INSERT INTO international VALUES (400,'WebGUI',21,'  ',1034189690);
INSERT INTO international VALUES (401,'WebGUI',21,' ,     ?',1034189690);
INSERT INTO international VALUES (565,'WebGUI',21,'   ?',1034189690);
INSERT INTO international VALUES (22,'MessageBoard',21,' ',1034189690);
INSERT INTO international VALUES (405,'WebGUI',21,' ',1034189690);
INSERT INTO international VALUES (15,'SQLReport',21,'     ?',1034189690);
INSERT INTO international VALUES (16,'SQLReport',21,'   ?',1034189690);
INSERT INTO international VALUES (17,'SQLReport',21,'<b>:</b> :',1034189690);
INSERT INTO international VALUES (18,'SQLReport',21,'     .',1034189690);
INSERT INTO international VALUES (506,'WebGUI',21,' ',1036492665);
INSERT INTO international VALUES (408,'WebGUI',21,'  ',1034189690);
INSERT INTO international VALUES (411,'WebGUI',21,'',1034189690);
INSERT INTO international VALUES (823,'WebGUI',1,'Go to the new page.',1038706332);
INSERT INTO international VALUES (24,'Article',21,' ',1034189690);
INSERT INTO international VALUES (28,'Article',21,' ',1034189690);
INSERT INTO international VALUES (416,'WebGUI',21,'<h1>  </h1>  \"\"    .',1034189690);
INSERT INTO international VALUES (417,'WebGUI',21,'<h1>  </h1>     ,    .',1037084777);
INSERT INTO international VALUES (418,'WebGUI',21,'  HTML-',1048515643);
INSERT INTO international VALUES (421,'WebGUI',21,'  .',1048515762);
INSERT INTO international VALUES (425,'WebGUI',21,' ',1034189690);
INSERT INTO international VALUES (426,'WebGUI',21,' ',1034189690);
INSERT INTO international VALUES (427,'WebGUI',21,'',1034189690);
INSERT INTO international VALUES (428,'WebGUI',21,' (ID)',1034189690);
INSERT INTO international VALUES (430,'WebGUI',21,'  ',1034189690);
INSERT INTO international VALUES (431,'WebGUI',21,'IP ',1034189690);
INSERT INTO international VALUES (432,'WebGUI',21,' ',1034189690);
INSERT INTO international VALUES (433,'WebGUI',21,' ',1034189690);
INSERT INTO international VALUES (434,'WebGUI',21,'',1034189690);
INSERT INTO international VALUES (435,'WebGUI',21,'  ',1034189690);
INSERT INTO international VALUES (436,'WebGUI',21,' ',1034189690);
INSERT INTO international VALUES (437,'WebGUI',21,'',1034189690);
INSERT INTO international VALUES (438,'WebGUI',21,' ',1034189690);
INSERT INTO international VALUES (439,'WebGUI',21,' ',1034189690);
INSERT INTO international VALUES (440,'WebGUI',21,' ',1034189690);
INSERT INTO international VALUES (443,'WebGUI',21,' ',1042471566);
INSERT INTO international VALUES (448,'WebGUI',21,' ',1034189690);
INSERT INTO international VALUES (452,'WebGUI',21,' ...',1034189690);
INSERT INTO international VALUES (453,'WebGUI',21,' ',1034189690);
INSERT INTO international VALUES (454,'WebGUI',21,'  ',1034189690);
INSERT INTO international VALUES (460,'WebGUI',21,'  ',1034189690);
INSERT INTO international VALUES (461,'WebGUI',21,' ',1034189690);
INSERT INTO international VALUES (462,'WebGUI',21,' ',1034189690);
INSERT INTO international VALUES (463,'WebGUI',21,'    ',1034189690);
INSERT INTO international VALUES (464,'WebGUI',21,'      ',1037171135);
INSERT INTO international VALUES (465,'WebGUI',21,'  ',1037171259);
INSERT INTO international VALUES (466,'WebGUI',21,'          ?',1036928295);
INSERT INTO international VALUES (467,'WebGUI',21,'      ,  ?',1036928391);
INSERT INTO international VALUES (469,'WebGUI',21,'Id',1034189690);
INSERT INTO international VALUES (470,'WebGUI',21,'',1034189690);
INSERT INTO international VALUES (472,'WebGUI',21,'',1034189690);
INSERT INTO international VALUES (473,'WebGUI',21,'?',1034189690);
INSERT INTO international VALUES (474,'WebGUI',21,'    ?',1034189690);
INSERT INTO international VALUES (475,'WebGUI',21,'',1034189690);
INSERT INTO international VALUES (476,'WebGUI',21,' ',1034189690);
INSERT INTO international VALUES (477,'WebGUI',21,' HTML',1034189690);
INSERT INTO international VALUES (478,'WebGUI',21,'URL',1034189690);
INSERT INTO international VALUES (479,'WebGUI',21,'',1034189690);
INSERT INTO international VALUES (480,'WebGUI',21,'E-mail',1034189690);
INSERT INTO international VALUES (481,'WebGUI',21,'',1034189690);
INSERT INTO international VALUES (482,'WebGUI',21,'',1034189690);
INSERT INTO international VALUES (483,'WebGUI',21,'\"\"  \"\"',1034189690);
INSERT INTO international VALUES (484,'WebGUI',21,' ',1034189690);
INSERT INTO international VALUES (485,'WebGUI',21,'-',1036492468);
INSERT INTO international VALUES (486,'WebGUI',21,' ',1034189690);
INSERT INTO international VALUES (487,'WebGUI',21,' ',1034189690);
INSERT INTO international VALUES (488,'WebGUI',21,' ',1034189690);
INSERT INTO international VALUES (489,'WebGUI',21,'   ',1034189690);
INSERT INTO international VALUES (491,'WebGUI',21,'     ',1036492493);
INSERT INTO international VALUES (492,'WebGUI',21,' ',1036492510);
INSERT INTO international VALUES (495,'WebGUI',21,'htmlArea ( Internet Explorer 5.5+)',1045500299);
INSERT INTO international VALUES (496,'WebGUI',21,'  ',1037171462);
INSERT INTO international VALUES (494,'WebGUI',21,'RealObjects edit-on Pro 2.x',1045500273);
INSERT INTO international VALUES (497,'WebGUI',21,' ',1034189690);
INSERT INTO international VALUES (498,'WebGUI',21,' ',1034189690);
INSERT INTO international VALUES (499,'WebGUI',21,'ID ',1037084820);
INSERT INTO international VALUES (500,'WebGUI',21,'ID ',1034189690);
INSERT INTO international VALUES (501,'WebGUI',21,'',1034189690);
INSERT INTO international VALUES (578,'WebGUI',21,'   ,    .',1036499843);
INSERT INTO international VALUES (468,'WebGUI',21,'     ',1034189690);
INSERT INTO international VALUES (508,'WebGUI',21,'',1036492586);
INSERT INTO international VALUES (571,'WebGUI',21,'   ',1034189690);
INSERT INTO international VALUES (11,'FAQ',21,' ?',1034189690);
INSERT INTO international VALUES (509,'WebGUI',21,'  ',1034189690);
INSERT INTO international VALUES (514,'WebGUI',21,' ',1034189690);
INSERT INTO international VALUES (518,'WebGUI',21,' ',1034189690);
INSERT INTO international VALUES (519,'WebGUI',21,' .',1034189690);
INSERT INTO international VALUES (520,'WebGUI',21,'   e-mail.',1034189690);
INSERT INTO international VALUES (523,'WebGUI',21,'',1034189690);
INSERT INTO international VALUES (526,'WebGUI',21,' JavaScript  ',1048515783);
INSERT INTO international VALUES (528,'WebGUI',21,' ',1034189690);
INSERT INTO international VALUES (530,'WebGUI',21,' <b></b> ',1034189690);
INSERT INTO international VALUES (531,'WebGUI',21,' <b> </b>',1034189690);
INSERT INTO international VALUES (532,'WebGUI',21,' <b> </b> ',1034189690);
INSERT INTO international VALUES (533,'WebGUI',21,'<b></b> ',1034189690);
INSERT INTO international VALUES (535,'WebGUI',21,' ,     ',1036582033);
INSERT INTO international VALUES (579,'WebGUI',21,'  .',1034189690);
INSERT INTO international VALUES (575,'WebGUI',21,'',1034189690);
INSERT INTO international VALUES (570,'WebGUI',21,' ',1034189690);
INSERT INTO international VALUES (568,'WebGUI',21,'  ',1034189690);
INSERT INTO international VALUES (542,'WebGUI',21,'   / ',1036930332);
INSERT INTO international VALUES (543,'WebGUI',21,'   .',1034189690);
INSERT INTO international VALUES (551,'WebGUI',21,'',1034189690);
INSERT INTO international VALUES (552,'WebGUI',21,' ',1034189690);
INSERT INTO international VALUES (553,'WebGUI',21,'',1034189690);
INSERT INTO international VALUES (556,'WebGUI',21,'',1034189690);
INSERT INTO international VALUES (557,'WebGUI',21,'',1034189690);
INSERT INTO international VALUES (6,'Item',21,'   ',1034189690);
INSERT INTO international VALUES (559,'WebGUI',21,'',1034189690);
INSERT INTO international VALUES (581,'WebGUI',21,'  ',1034189690);
INSERT INTO international VALUES (582,'WebGUI',21,' ',1034189690);
INSERT INTO international VALUES (583,'WebGUI',21,'  ',1034189690);
INSERT INTO international VALUES (2,'WobjectProxy',21,'  ',1037087708);
INSERT INTO international VALUES (3,'WobjectProxy',21,'',1034189690);
INSERT INTO international VALUES (586,'WebGUI',21,'  ',1042130436);
INSERT INTO international VALUES (587,'WebGUI',21,'    ?',1034189690);
INSERT INTO international VALUES (590,'WebGUI',21,'ID ',1034189690);
INSERT INTO international VALUES (591,'WebGUI',21,'',1034189690);
INSERT INTO international VALUES (592,'WebGUI',21,'',1034189690);
INSERT INTO international VALUES (595,'WebGUI',21,'',1034189690);
INSERT INTO international VALUES (597,'WebGUI',21,' ',1042129879);
INSERT INTO international VALUES (2,'MailForm',21,' ',1034189690);
INSERT INTO international VALUES (3,'MailForm',21,'   !',1034189690);
INSERT INTO international VALUES (4,'MailForm',21,'',1034189690);
INSERT INTO international VALUES (5,'MailForm',21,'',1034189690);
INSERT INTO international VALUES (6,'MailForm',21,'',1034189690);
INSERT INTO international VALUES (7,'MailForm',21,' ',1034189690);
INSERT INTO international VALUES (8,'MailForm',21,'',1034189690);
INSERT INTO international VALUES (9,'MailForm',21,' ',1034189690);
INSERT INTO international VALUES (10,'MailForm',21,'',1034189690);
INSERT INTO international VALUES (11,'MailForm',21,' (e-mail)',1034189690);
INSERT INTO international VALUES (14,'MailForm',21,'',1034189690);
INSERT INTO international VALUES (15,'MailForm',21,'  ?',1034189690);
INSERT INTO international VALUES (16,'MailForm',21,'',1034189690);
INSERT INTO international VALUES (17,'MailForm',21,' ',1034189690);
INSERT INTO international VALUES (18,'MailForm',21,'',1034189690);
INSERT INTO international VALUES (19,'MailForm',21,' ?',1034189690);
INSERT INTO international VALUES (20,'MailForm',21,' ',1034189690);
INSERT INTO international VALUES (21,'MailForm',21,' ',1034189690);
INSERT INTO international VALUES (22,'MailForm',21,'',1034189690);
INSERT INTO international VALUES (23,'MailForm',21,'',1034189690);
INSERT INTO international VALUES (24,'MailForm',21,'  (   )',1034189690);
INSERT INTO international VALUES (25,'MailForm',21,'   ()',1034189690);
INSERT INTO international VALUES (26,'MailForm',21,' ?',1034189690);
INSERT INTO international VALUES (642,'WebGUI',21,' (/)',1042132791);
INSERT INTO international VALUES (61,'Item',21,'   (/)',1041688165);
INSERT INTO international VALUES (61,'FAQ',21,'   (/)',1041687588);
INSERT INTO international VALUES (61,'SyndicatedContent',21,'    (/)',1048510340);
INSERT INTO international VALUES (61,'EventsCalendar',21,' (/)',1041683121);
INSERT INTO international VALUES (61,'LinkList',21,'  (/)',1041688304);
INSERT INTO international VALUES (61,'ExtraColumn',21,'  (/)',1041684269);
INSERT INTO international VALUES (61,'Poll',21,' (/)',1034189690);
INSERT INTO international VALUES (61,'SiteMap',21,'  (/)',1041690702);
INSERT INTO international VALUES (61,'SQLReport',21,'SQL- (/)',1034189690);
INSERT INTO international VALUES (62,'MailForm',21,'  (/)',1041688800);
INSERT INTO international VALUES (71,'SyndicatedContent',21,'       ,      RDF/RSS.\r\n<br><br>\r\n\r\n<b>URL   RSS</b><br>\r\n  URL (  http://)   RDF  RSS.        .\r\n<br><br>\r\n<b></b><br>\r\n     .',1048510491);
INSERT INTO international VALUES (71,'MessageBoard',21,'<b>   </b><br>\r\n     ,       .             .\r\n<br><br>\r\n<b> </b><br>\r\n ,    .  \r\n<br><br>\r\n<br><br>\r\n<b> </b><br>\r\n    .<p>\r\n<b>      ?</b><br>\r\n  ,     .\r\n\r\n<br><br>\r\n<b> </b><br>\r\n,    ;       .\r\n<br>\r\n<i>:</i>      .\r\n<br><br>\r\n<b>  </b><br>\r\n     .\r\n<br><br>\r\n<b>   ?</b><br>\r\n    ,       .\r\n<br><br>\r\n<b> .</b><br>\r\n<i> </i> ,        . <i>  </i> ,        ,         .\r\n',1048509829);
INSERT INTO international VALUES (71,'LinkList',21,'      .\r\n<br><br>\r\n<b></b><br>\r\n   .\r\n<br><br>\r\n<b> </b><br>',1041688386);
INSERT INTO international VALUES (855,'WebGUI',21,' ',1041679407);
INSERT INTO international VALUES (854,'WebGUI',21,'  ',1041679264);
INSERT INTO international VALUES (853,'WebGUI',21,' ',1041679018);
INSERT INTO international VALUES (852,'WebGUI',21,' ',1041678905);
INSERT INTO international VALUES (851,'WebGUI',21,' ',1041678870);
INSERT INTO international VALUES (848,'WebGUI',21,'   !',1041678800);
INSERT INTO international VALUES (847,'WebGUI',21,'    ',1041678676);
INSERT INTO international VALUES (71,'ExtraColumn',21,'         .         ,    <i></i>    <i></i>   . \r\n<br><br>\r\n    .         .\r\n<br><br>\r\n<b></b><br>\r\n            .    .\r\n<br><br>\r\n<b></b><br>\r\n       .\r\n<br><br>\r\n<b>CSS</b><br>\r\n         ,   .    ,     ,    .\r\n',1041684375);
INSERT INTO international VALUES (670,'WebGUI',21,'  (/)',1042132839);
INSERT INTO international VALUES (72,'EventsCalendar',21,' (/)',1041684015);
INSERT INTO international VALUES (72,'FAQ',21,' (/)',1041687982);
INSERT INTO international VALUES (697,'WebGUI',21,' ()',1034189690);
INSERT INTO international VALUES (5,'WobjectProxy',21,'  (/)',1037087918);
INSERT INTO international VALUES (72,'Poll',21,'    ?',1034189690);
INSERT INTO international VALUES (699,'WebGUI',21,'  ',1034189690);
INSERT INTO international VALUES (702,'WebGUI',21,'',1034189690);
INSERT INTO international VALUES (703,'WebGUI',21,'//',1036152691);
INSERT INTO international VALUES (705,'WebGUI',21,'()',1036152890);
INSERT INTO international VALUES (706,'WebGUI',21,'()',1036152945);
INSERT INTO international VALUES (716,'WebGUI',21,'  ',1034189690);
INSERT INTO international VALUES (717,'WebGUI',21,'  ',1034189690);
INSERT INTO international VALUES (722,'WebGUI',21,'Id',1034189690);
INSERT INTO international VALUES (721,'WebGUI',21,' ',1034189690);
INSERT INTO international VALUES (804,'WebGUI',21,' ',1042133520);
INSERT INTO international VALUES (805,'WebGUI',21,' ',1042133548);
INSERT INTO international VALUES (806,'WebGUI',21,' ',1042133567);
INSERT INTO international VALUES (807,'WebGUI',21,' ',1042134020);
INSERT INTO international VALUES (808,'WebGUI',21,'   ',1042133768);
INSERT INTO international VALUES (809,'WebGUI',21,'   ',1042133907);
INSERT INTO international VALUES (810,'WebGUI',21,'',1042133933);
INSERT INTO international VALUES (447,'WebGUI',21,' ',1034156022);
INSERT INTO international VALUES (5,'WebGUI',21,'  ',1034155904);
INSERT INTO international VALUES (90,'WebGUI',21,'  ',1034153981);
INSERT INTO international VALUES (89,'WebGUI',21,'  ',1034153938);
INSERT INTO international VALUES (157,'WebGUI',21,'  ',1034153862);
INSERT INTO international VALUES (6,'WebGUI',21,'  ',1034153818);
INSERT INTO international VALUES (158,'WebGUI',21,'   ',1034153765);
INSERT INTO international VALUES (169,'WebGUI',21,'  ',1034153708);
INSERT INTO international VALUES (7,'WebGUI',21,'  ',1034153673);
INSERT INTO international VALUES (117,'WebGUI',21,'  ',1036145263);
INSERT INTO international VALUES (342,'WebGUI',21,'   ',1034153304);
INSERT INTO international VALUES (455,'WebGUI',21,'   ',1034153274);
INSERT INTO international VALUES (308,'WebGUI',21,'  ',1034153248);
INSERT INTO international VALUES (68,'WebGUI',21,'       /  .',1034152803);
INSERT INTO international VALUES (140,'WebGUI',21,' ',1034152676);
INSERT INTO international VALUES (133,'WebGUI',21,' e-mail',1045500193);
INSERT INTO international VALUES (524,'Discussion',21,'   ?',1037169664);
INSERT INTO international VALUES (515,'WebGUI',21,'   ?',1037169693);
INSERT INTO international VALUES (406,'WebGUI',21,'   ',1034149253);
INSERT INTO international VALUES (130,'WebGUI',21,'   ',1034149144);
INSERT INTO international VALUES (398,'WebGUI',21,'  ',1034149105);
INSERT INTO international VALUES (141,'WebGUI',21,' \"  \"',1034149033);
INSERT INTO international VALUES (527,'WebGUI',21,' ',1034148929);
INSERT INTO international VALUES (525,'WebGUI',21,' ',1034148876);
INSERT INTO international VALUES (127,'WebGUI',21,'URL  ',1034148744);
INSERT INTO international VALUES (125,'WebGUI',21,' ',1034148713);
INSERT INTO international VALUES (124,'WebGUI',21,'  ',1034148253);
INSERT INTO international VALUES (584,'WebGUI',21,'  ',1042130354);
INSERT INTO international VALUES (73,'LinkList',21,'<b></b><br>\r\n  .\r\n<br><br>\r\n<b>URL</b><br>\r\n URL ,      .\r\n<br><br>\r\n<b>    ?</b><br>\r\n \"\",   ,  ,    ,    .\r\n<br><br>\r\n<b></b><br>\r\n     ,    .      .\r\n<br><br>\r\n<b> </b><br>\r\n',1041688527);
INSERT INTO international VALUES (1,'Item',21,'URL',1034072933);
INSERT INTO international VALUES (73,'FAQ',21,'<b></b><br>\r\n  .\r\n<br><br>\r\n<b></b><br>\r\n  .\r\n<br><br>\r\n<b> </b><br>\r\n\r\n',1041688061);
INSERT INTO international VALUES (71,'FAQ',21,' \"  \"   ,      ,     ,    ,    ..\r\n<br><br>\r\n<b></b><br>\r\n     .\r\n<br><br>\r\n<b> </b><br>',1041687957);
INSERT INTO international VALUES (78,'EventsCalendar',21,'  ',1034072600);
INSERT INTO international VALUES (73,'EventsCalendar',21,'<b></b><br>\r\n  .\r\n<br><br>\r\n<b></b><br>\r\n   .\r\n<br><br>\r\n<b> </b><br>\r\n   .\r\n<br><br>\r\n<b> </b><br>\r\n   .\r\n<br><br>\r\n<b>  </b><br>\r\n  ,     . \r\n<br><br>\r\n<b> </b><br>\r\n\r\n',1046342551);
INSERT INTO international VALUES (4,'WobjectProxy',21,'   .   .',1037087909);
INSERT INTO international VALUES (95,'WebGUI',21,'',1034071300);
INSERT INTO international VALUES (86,'WebGUI',21,'  ?',1034071269);
INSERT INTO international VALUES (719,'WebGUI',21,'.',1034071136);
INSERT INTO international VALUES (71,'WebGUI',21,' ',1034071069);
INSERT INTO international VALUES (60,'WebGUI',21,'      !<br>  ? \r\n',1034070891);
INSERT INTO international VALUES (564,'WebGUI',21,'      ?',1036490781);
INSERT INTO international VALUES (567,'WebGUI',21,'  ',1034070696);
INSERT INTO international VALUES (569,'WebGUI',21,' ',1034070657);
INSERT INTO international VALUES (596,'WebGUI',21,' ',1034070631);
INSERT INTO international VALUES (536,'WebGUI',21,'     ^@;.',1034070542);
INSERT INTO international VALUES (513,'WebGUI',21,' ',1034070369);
INSERT INTO international VALUES (363,'WebGUI',21,'  ',1042130223);
INSERT INTO international VALUES (345,'WebGUI',21,' ',1036492080);
INSERT INTO international VALUES (332,'WebGUI',21,'',1036491918);
INSERT INTO international VALUES (331,'WebGUI',21,'',1036074456);
INSERT INTO international VALUES (337,'WebGUI',21,' ',1034069981);
INSERT INTO international VALUES (329,'WebGUI',21,' ',1034069955);
INSERT INTO international VALUES (336,'WebGUI',21,' ',1034069849);
INSERT INTO international VALUES (330,'WebGUI',21,'',1034069815);
INSERT INTO international VALUES (326,'WebGUI',21,'',1034069763);
INSERT INTO international VALUES (325,'WebGUI',21,'',1034069721);
INSERT INTO international VALUES (71,'Poll',21,'             (     ).\r\n<br><br>\r\n<b> </b><br>\r\n   \"\",    .\r\n<br><br>\r\n\r\n<b>   ?</b><br>\r\n  ,      .\r\n<br><br>\r\n\r\n<b>   </b><br>\r\n         \r\n<p>\r\n\r\n<b> </b><br>\r\n     .        .    .\r\n<br><br>\r\n\r\n<b> </b><br>\r\n ,     .\r\n<br><br>\r\n\r\n<b> </b><br>\r\n       (      ).       20.\r\n<br><br>\r\n\r\n<b>    </b><br>\r\n.         .\r\n<p>\r\n\r\n<b>  .</b><br>\r\n        .\r\n<br><br>\r\n\r\n<hr size=\"1\">\r\n<i><b>:</b></i>          :\r\n<br><br>\r\n\r\n<b>.pollAnswer </b><br>\r\n  .\r\n<p>\r\n\r\n<b>.pollColor </b>\r\n  .\r\n<p>\r\n\r\n<b>.pollQuestion </b>\r\n   .\r\n\r\n',1034069013);
INSERT INTO international VALUES (5,'Auth/WebGUI',21,'         \"password\".',1031880154);
INSERT INTO international VALUES (725,'WebGUI',21,'   .',1031879612);
INSERT INTO international VALUES (4,'Auth/WebGUI',21,'  .',1031879567);
INSERT INTO international VALUES (723,'WebGUI',21,'',1036413280);
INSERT INTO international VALUES (720,'WebGUI',21,'OK',1031514777);
INSERT INTO international VALUES (593,'WebGUI',21,'   ',1042130548);
INSERT INTO international VALUES (800,'WebGUI',21,' ',1042132979);
INSERT INTO international VALUES (801,'WebGUI',21,'  ',1042133251);
INSERT INTO international VALUES (802,'WebGUI',21,'     .        .',1042133459);
INSERT INTO international VALUES (704,'WebGUI',21,'()',1036071472);
INSERT INTO international VALUES (605,'WebGUI',21,'   :',1036055603);
INSERT INTO international VALUES (606,'WebGUI',21,'<b></b><br>\r\n  .    ,    .\r\n<br><br>\r\n<b></b><br>\r\n     ,       .\r\n    ,       &#132;<b></b>&#147;.\r\n<br><br>\r\n<b>   (    )?</b><br>\r\n             ,    .<br>\r\n<br><br>\r\n<b>URL </b><br>\r\n  ,       .<br><br>\r\n<b></b><br>\r\n    .\r\n<br><br>\r\n<b>  URL</b><br>\r\n              .\r\n<br><br>\r\n<b>  URL</b><br>\r\n              .\r\n<b></b><br>\r\n         .              .\r\n<br><br>\r\n<b></b><br>\r\n    .     -           Internet.\r\n<br><br>\r\n<b>-</b><br>\r\n-        .         -,        .    , -  ,           <a href=http://www.metatagbuilder.com/> Meta Tag Builder</a>. \r\n<br>\r\n  :      JavaScript.\r\n<br><br>\r\n<b> -,   ?</b><br>\r\n     ,      &#8222;&#8220;.\r\n<br><br>\r\n<b>  </b><br>\r\n          .          ,      .\r\n<br><br>\r\n<b> </b><br>\r\n  ,         .             .\r\n<br><br>\r\n<b> </b><br>\r\n ,           .\r\n<br><br>\r\n<b></b><br>\r\n    (   ).\r\n<br><br>\r\n<b>,    </b><br>\r\n         .\r\n<br><br>\r\n<b>,    </b><br>\r\n   ,      .\r\n<br><br>\r\n        . ',1045503542);
INSERT INTO international VALUES (607,'WebGUI',21,'<b> </b><br>\r\n        .       ,      .\r\n<br><br>\r\n<b> </b><br>\r\n      ,     .\r\n<br><br>\r\n<#--<b>    ?</b><br>\r\n         . \r\n<br><br>\r\n<b> ,     </b><br>\r\n  ,        .\r\n<br><br>-->\r\n<b>   ?</b><br>\r\n       .\r\n<br><br>\r\n<b>    ?</b><br>\r\n       (     ).\r\n<br><br>\r\n<b>  </b><br>\r\n  ,        . ..         .      . \r\n<br><br>\r\n<b>     ?</b><br>\r\n              .\r\n<br><br>\r\n<b>  ( )</b><br>\r\n ,       .   : <i>WebGUI</i>  <i>LDAP</i>.  WebGUI ,          .     LDAP       LDAP.\r\n<br>\r\n<i>:</i>       .\r\n<br><br>\r\n<h2>  WebGUI</h2>\r\n<b>  ?</b><br>\r\n              . <br>\r\n<i>:</i>        .<br>\r\n<br>\r\n<b> </b><br>\r\n  ,         . \r\n<br><br>\r\n<b>,     </b><br>\r\n  ,      e-mail      .\r\n<h2>    LDAP</h2>\r\n<b>URL LDAP ( )</b><br>\r\n URL   LDAP. URL   LDAP    : <i>ldap://[server]:[port]/[base DN]</i><br> : ldap://ldap.mycompany.com:389/o=MyCompany.\r\n<br><br>\r\n<b>   LDAP</b><br>\r\n   LDAP     ,          . \r\n<br><br>\r\n<b>     LDAP </b><br>\r\n login,      LDAP. \r\n<br><br>\r\n<b>   LDAP</b><br>\r\n ,      LDAP. ',1045502243);
INSERT INTO international VALUES (608,'WebGUI',21,'         .          . ',1036493050);
INSERT INTO international VALUES (75,'EventsCalendar',21,' :',1046342394);
INSERT INTO international VALUES (76,'EventsCalendar',21,' ',1036066760);
INSERT INTO international VALUES (77,'EventsCalendar',21,'     ',1036066908);
INSERT INTO international VALUES (412,'WebGUI',21,'',1036067018);
INSERT INTO international VALUES (507,'WebGUI',21,' ',1036067169);
INSERT INTO international VALUES (510,'WebGUI',21,'',1036067188);
INSERT INTO international VALUES (511,'WebGUI',21,'',1036067208);
INSERT INTO international VALUES (555,'WebGUI',21,'   ',1036067285);
INSERT INTO international VALUES (558,'WebGUI',21,'     ',1036067349);
INSERT INTO international VALUES (446,'WebGUI',21,'- ',1036069056);
INSERT INTO international VALUES (449,'WebGUI',21,' ',1036069167);
INSERT INTO international VALUES (450,'WebGUI',21,' ',1036069201);
INSERT INTO international VALUES (580,'WebGUI',21,'   .',1036069567);
INSERT INTO international VALUES (588,'WebGUI',21,' ,      ?',1036069647);
INSERT INTO international VALUES (651,'WebGUI',21,'<b>!</b>  ,   ,  .      .',1037085963);
INSERT INTO international VALUES (698,'WebGUI',21,'     ,     .    ,  , ,     .',1036070406);
INSERT INTO international VALUES (832,'WebGUI',2,'Das Upload-Verwaltungssystem (Verwalten: Uploads) bietet verschiedene Makros \r\nan:<P><b>^File();</b><BR>Diese Makros erzeugt einen direkten Link zu einer Datei. \r\nEs wird ein verlinktes Symbol fr die Datei und der verlinkte Dateiname ausgegeben. \r\n<P><b>^I();</b><BR>Dieses Makro gibt eine Grafik aus dem Uploadmanager mit HTML-Image \r\nTags zurck, so dass Sie schnell und einfach eine Grafik aus Ihrem Bestand auf \r\nIhrer Seite anzeigen knnen. <P><I>Beispiel:</I> ^I(&quot;logo&quot;); \r\n<P><b>^i();</b><BR>Dieses Makro gibt die URL fr eine Datei zurck. \r\n<P><I>Beispiel:</I> ^i(&quot;status report&quot;); \r\n<P><b>^Snippet();</b><BR>Dieses Makro enthlt den Inhalt eines Schnipsels und \r\nfgt ihn in die Seite ein.<P><I>Beispiel:</I> ^Snippet(&quot;flash code&quot;); \r\n<P><b>^Thumbnail();</b><BR>Dieses Makro gibt die URL fr das Vorschaubild einer \r\nGrafik zurck \r\n<P><I>Beispiel:</I> ^Thumbnail(&quot;logo&quot;); \r\n<P><b>^ThumbnailLinker();</b><BR>Dieses Makro erzeugt ein Vorschaubild und den \r\nNamen der Grafik. Ein Klick auf die Grafik verlinkt auf deren Vollansicht. \r\n<P><I>Beispiel:</I> ^ThumbnailLinker(&quot;logo&quot;); </P>',1048592147);
INSERT INTO international VALUES (715,'WebGUI',21,'  URL',1036070893);
INSERT INTO international VALUES (724,'WebGUI',21,'      .',1036070945);
INSERT INTO international VALUES (6,'WobjectProxy',21,'    ,             .    ,            .<br><br>\r\n<b> </b><br>\r\n  ,      .      : <i> /  (Id )</i>.  \r\n',1037088080);
INSERT INTO international VALUES (609,'WebGUI',21,'   ,  ,   ,    ,   .',1036140377);
INSERT INTO international VALUES (610,'WebGUI',21,'<b> </b><br>\r\n<br>   (login).<br>\r\n<b></b><br>\r\n      .\r\n<br><br>\r\n<b> </b><br>\r\n     :     LDAP.\r\n<br><br>\r\n<b>LDAP URL</b><br>\r\n    LDAP.\r\n<br><br>\r\n<b>      LDAP</b><br>\r\n  ,      LDAP.\r\n<br><br>',1036141119);
INSERT INTO international VALUES (612,'WebGUI',21,'<i>:</i><br>\r\n<ol>\r\n<li>       ,      .\r\n<li> ,    ,  . \r\n<li>      ,            .\r\n</ol>\r\n ,    ?',1036142412);
INSERT INTO international VALUES (613,'WebGUI',21,'<b>  </b><br>\r\n      .\r\n<br><br>\r\n<b></b><br>\r\n       ,       (,    ).\r\n<br><br>\r\n',1036142778);
INSERT INTO international VALUES (614,'WebGUI',21,'           .    .<br><br>\r\n<b>  </b><br>\r\n     ^r;.\r\n<br><br>\r\n\r\n',1036144283);
INSERT INTO international VALUES (615,'WebGUI',21,'     ,          . ',1036144932);
INSERT INTO international VALUES (617,'WebGUI',21,'<b>  </b><br>\r\n      .\r\n<br><br>\r\n<b> </b><br>\r\n        ,         ..<br><br>\r\n<b> e-mail</b><br>\r\n       ,     .\r\n<br><br>\r\n<b> </b><br>\r\n  ,    .\r\n<br><br>\r\n<b>  </b><br>\r\n   ,    .      .\r\n<br><br>\r\n<b>  </b><br>\r\n       .\r\n<br><br>',1045504281);
INSERT INTO international VALUES (618,'WebGUI',21,'<b> SMTP</b><br>\r\n  SMTP-.     Linux,       : <i>/usr/bin/sendmail</i>\r\n<br><br>\r\n<b>   ,   e-mail</b><br>\r\n  ,       ,     WebGUI.\r\n<br><br>\r\n<b>     ?</b><br><br>\r\n<b> ,     </b><br>\r\n  ,       .\r\n<br><br>\r\n',1045504721);
INSERT INTO international VALUES (619,'WebGUI',21,'      .        ,    ,     &#8222;&#8220;.   ,         \r\n&#8222;  &#8220;.',1037084944);
INSERT INTO international VALUES (620,'WebGUI',21,'   ,      ,    .<br>\r\n    ,         ,             .  ',1036151143);
INSERT INTO international VALUES (621,'WebGUI',21,'<b>  </b><br>\r\n      \r\n<br><br>\r\n<b></b><br>\r\n    HTML  ,     .\r\n<br><br>\r\n<b>CSS</b><br>\r\n     . \r\n<br><br>',1042130968);
INSERT INTO international VALUES (622,'WebGUI',21,'<b> </b><br>\r\n<br>   .<br>\r\n<b></b><br>\r\n      ,    .\r\n<br><br>\r\n<b>   </b><br>\r\n<br>  ,         .<br><br>\r\n<b>      ?</b><br>     ,    ,            .\r\n<br><br>\r\n<b>        ?</b><br>\r\n  ,          ,                .<br><br>\r\n<b>  ,        </b><br>\r\n  <br><br>\r\n<b>          ?</b><br>\r\n      ,                . \r\n<br><br>\r\n<b>     </b><br>\r\n     ,      . (      &#132;0&#147;     ,  &#132;1&#147;      .\r\n<br><br>\r\n<b>IP</b><br>\r\n     IP    .         ,        .\r\n<br><br>',1045563572);
INSERT INTO international VALUES (640,'WebGUI',21,'<i></i>        .   ,   ,   ,   ,   .',1042132782);
INSERT INTO international VALUES (623,'WebGUI',21,' <a href=\"http://www.w3.org/Style/CSS\"> CSS</a>           .<br>\r\n       : <br>\r\n<b>.accountLink</b> -       <br>\r\n<b>.makePrintableLink</b> -      <br>\r\n<b>.loginToggleLink</b> -     <br>\r\n<b>.verticalMenu</b> -   <br>\r\n<b>body</b> -   <br>\r\n<b>td</b> -   <br>\r\n<b>H1</b> -     <br>\r\n<b>H3</b> -     <br>\r\n<b>H4</b> -     <br>\r\n<b>H5</b> -     <br>\r\n<b>ul</b> -    <br>\r\n<b>A</b> -     <br>\r\n<b>.pagination</b> -     ,        <br>\r\n<b>.horizontalMenu</b> -    <br>\r\n<b>.adminBar</b> -    <br>\r\n<b>.formDescription</b> -    <br>\r\n<b>.formSubtext</b> -    <br>\r\n<b>.tableMenu</b> -    <br>\r\n<b>.tableHeader</b> -    <br>\r\n<b>.tableCell</b> -     #2<br>\r\n<b>.tableCellColor</b> -     #3<br>\r\n<b>.tableData</b> -     #4<br>\r\n<b>.pollAnswer</b> -      <br>\r\n<b>.pollColor</b>  -          <br>\r\n<b>.pollQuestion</b> -     <br>\r\n<b>.faqQuestion</b> -      &#132;  &147;<br>\r\n<b>.listItemInvisible</b> -     #2<br>\r\n\r\n',1048515944);
INSERT INTO international VALUES (624,'WebGUI',21,'     ^     ,       (;).            .<br>\r\n<i>:</i>       .<br>\r\n       .            . <i>:</i>^T();<br><br>\r\n<#--     :<br>\r\n<b>^a;  ^a();</b> -   <br>\r\n-   ,   ,      .\r\n, ^a(  );<br>\r\n<i>:</i>        URL   .    : ^a(linkonly);.\r\n<br><br>\r\n<b>^AdminBar;</b><br>\r\n     .\r\n<br><br>\r\n<b>^AdminText();</b><br>\r\n<br>      .<br>\r\n<b>^AdminToggle;  ^AdminToggle();</b><br>\r\n    ,     .\r\n<br><br>\r\n<b>^c;</b><br>\r\n     .\r\n<br><br>\r\n<b>^C; or ^C(); - Crumb Trail</b><br>\r\n<br><br>\r\n<b>^D;  ^D();</b><br>\r\n    .       :\r\n%y    (4 )<br>\r\n%Y  2   <br>\r\n%m     2  ( 02  12)<br>\r\n%M      <br>\r\n%c  <br>\r\n%d   (2 )<br>\r\n%D    <br>\r\n%w   <br>\r\n%h 12    (2 )<br>\r\n%H     12    <br>\r\n%j 2   24    <br>\r\n%J     24   <br>\r\n%p   am/pm\r\n%P   AM/PM<br>\r\n%z     <br>\r\n%Z     \r\n<br><br>\r\n<b>^e; </b><br> -     e-mail \r\n<br><br>\r\n<b>^Env()</b><br> -       -.\r\n<br><br>\r\n<b>^Execute();</b><br> -        .\r\n<br><br>\r\n<b>^Extras;</b><br> -               .\r\n<br><br>\r\n<b>^FlexMenu;</b><br> -        \r\n<br><br>\r\n<b>^FormParam();</b><br>         .\r\n<br><br>\r\n<b>^GroupText();</b><br>      ,    . : ^GroupText(\"Visitors\",\"    \");\r\n<br><br>\r\n<b>^H; or ^H();</b> -      .\r\n<br><br>\r\n<b>^I();</b> -      ,      &#8222;  &#8220;. : ^I(\"\");<br>\r\n<br>\r\n<b>^i();</b> -     . :^i(\"\"); \r\n<br><br>\r\n<b>^Include();</b> -        <br> :^Include(\"/this/file.html\"); \r\n<br><br>\r\n<b>^L; or ^L();</b>         login`. \r\n<br><br>\r\n<b>^LoginToggle; or ^LoginToggle();</b>     &#8222;  &#8220;  &#8222;  &#8220;          <br>\r\n :^LoginToggle(\"  \",\"  \");  \r\n<br><br>\r\n<b>^M; or ^M();</b>   ()\r\n<br><br>\r\n<b>^m;</b>   ()\r\n<br><br>\r\n<b>^P; or ^P();</b>   ()\r\n<br><br>\r\n<b>^p;</b>   ()\r\n<br><br>\r\n<b>^Page();</b>     :      ^Page(\"urlizedTitle\");  ^Page(\"menuTitle\");. \r\n<br><br>\r\n<b>^PageTitle;</b>     .\r\n<br><br>\r\n<b>^r; or ^r();</b>       .      . : ^r(  ); \r\n<br><br>\r\n<b>^rootmenu;</b> -        .\r\n<br><br>\r\n<b>^RootTitle;</b> -      .\r\n<br><br>\r\n<b>^S();</b> -     ,    .<br>\r\n: ^S(\"home\",3);<br>\r\n   url  ,    ,     . \r\n<br><br>\r\n<b>^s();</b> - ,   ^S();,    .<br>\r\n<br><br>\r\n<b>^SQL();</b>           .      ^1; ^2;  ..<br>\r\n:  ^SQL(\"select count(*) from users\",\"  : ^0;\"); \r\n<br><br>\r\n<b>^Synopsis()</b>            .       .\r\n<br><br>\r\n<b>^T();</b> -    .\r\n<br><br>\r\n<b>^t();</b> -    .\r\n<br><br>\r\n<b>^Thumbnail();</b> -       .<br>\r\n: ^Thumbnail(\" \");. \r\n<br><br>\r\n<b>^ThumbnailLinker();</b> -     ,    ,           .<br>\r\n<br><br>\r\n<b>^u;</b> -        .\r\n<br><br>\r\n<b>^URLEncode();</b><br>\r\n<br><br>\r\n<b>^User();</b> -       . <br>      ,        . :^User(email);     .       ,      .\r\n<br><br>\r\n<b>^/;</b>      .\r\n<br><br>\r\n<b>^\\;</b>  url  . \r\n<br><br>\r\n<b>^@;</b>    ,      .\r\n<br><br>\r\n<b>^?;</b>        \r\n<br><br>\r\n<b>^#;</b>    ID \r\n<br><br>\r\n<b>^*; or ^*();</b>    <br>\r\n    0  100.\r\n<br><br> \r\n<b>^-;,^0;,^1;,^2;,^3;</b> ,    SQL-.\r\n<br><br>\r\n-->\r\n\r\n\r\n\r\n',1048516054);
INSERT INTO international VALUES (625,'WebGUI',21,'<b></b><br>\r\n     .\r\n<br><br>\r\n<b></b><br>\r\n        .\r\n<br><br>\r\n<b></b><br>\r\n          img. <br>\r\n:<br>\r\nalign=\"right\"<br>\r\nalt=\"\"\r\n<br><br>\r\n<b> </b><br>\r\n       .',1042131088);
INSERT INTO international VALUES (626,'WebGUI',21,' ,        &#132; ...&#147;    .<br>\r\n     CSS',1048516472);
INSERT INTO international VALUES (627,'WebGUI',21,'      ,    ,      .',1037107666);
INSERT INTO international VALUES (629,'WebGUI',21,'<b> ?</b><br>\r\n             -. \r\n<br><br>\r\n<b>  ?</b><br>\r\n       .\r\n<br><br>\r\n<b>   ?</b><br>\r\n  ,     , ,  ,   ,  .\r\n',1042131709);
INSERT INTO international VALUES (630,'WebGUI',21,'    .      ^?;    URL  <i>?op=search</i>.\r\n<i>:</i>       .',1042132118);
INSERT INTO international VALUES (616,'WebGUI',21,'???   ',1036591976);
INSERT INTO international VALUES (632,'WebGUI',21,'<b>Id </b><br>\r\nId      ,    .    SQL- .\r\n<br><br>\r\n<b></b><br>\r\n ;     .\r\n<br><br>\r\n<b> </b><br>\r\n         .\r\n<br><br>\r\n<b> ?</b><br>\r\n        .\r\n<br><br>\r\n<b>  </b><br>\r\n      .\r\n<br><br>\r\n<b> </b><br>\r\n     ,         .\r\n<br><br>\r\n<b> </b><br>\r\n    ,        .\r\n<br><br>\r\n<b></b><br> \r\n       .    .\r\n<br><br>',1048516549);
INSERT INTO international VALUES (633,'WebGUI',21,'          ,    .',1037108799);
INSERT INTO international VALUES (634,'WebGUI',21,'<b> </b><br>\r\n        .<br><br>\r\n<b> \"  \"</b><br>\r\n ,       ,         .           ,     .<br><br>\r\n<b>  </b><br>\r\n    ,   HTML 4.0 <br><br>\r\n<b>   ?</b><br>\r\n ,  ,     ,     ,            .<br><br>\r\n<b>  HTML-</b><br>\r\n ,   ,     HTML-.<br><br>\r\n<b>   </b><br>\r\n         ( )     .<br><br>\r\n<b>   </b><br>\r\n     .        , ,         ,      .<br><br>\r\n<b> </b><br>\r\n   ,       ,       .    .<br><br>\r\n<b>    </b><br>\r\n          .\r\n<br><br>\r\n<b>    </b><br>\r\n         .<br><br>\r\n<b>    </b><br>         .<br><br>\r\n<b>  </b><br>\r\n       ,     .<br><br>\r\n<b>,     </b><br>\r\n .\r\n<p>\r\n<b>,      ( )</b><br>\r\n .\r\n<p>\r\nNOTE: Page caching is only available if your administrator has installed the Cache::FileCache Perl module. Using page caching can improve site performance by as much as 1000%.',1048516924);
INSERT INTO international VALUES (635,'WebGUI',21,'      .   ,        . :         .',1042131971);
INSERT INTO international VALUES (636,'WebGUI',21,' ,        :\r\n<ol>\r\n<li>  &#8222; &#8220;   &#8222;&#8220; \r\n<li>     .      .\r\n<li>          .    ,       &#8222;&#8220; \r\n</ol> ',1042132005);
INSERT INTO international VALUES (638,'WebGUI',21,'         ,     .',1042132615);
INSERT INTO international VALUES (639,'WebGUI',21,'<b> </b><br>\r\n  ,       .<br><br>\r\n<b></b><br>\r\n       .       .     HTML.<br><br>\r\n',1042132742);
INSERT INTO international VALUES (637,'WebGUI',21,'<b>  </b><br>\r\n      ,          .\r\n<br><br>\r\n<b>  </b><br>\r\n,       .\r\n<br><br>\r\n<b> </b><br>\r\n ,       .\r\n<br><br>',1037190271);
INSERT INTO international VALUES (845,'WebGUI',1,'Style Macros',1046656109);
INSERT INTO international VALUES (846,'WebGUI',1,'These macros are mainly useful in maintaining styles in WebGUI.\r\n<p/>\r\n\r\n<b>&#94;AdminBar;</b><br>\r\nPlaces the administrative tool bar on the page. This is a required element in the \"body\" segment of the Style Manager.\r\n<p>\r\n\r\n\r\n<b>&#94;c; - Company Name</b><br>\r\nThe name of your company specified in the settings by your Administrator.\r\n<p>\r\n\r\n\r\n<b>&#94;e; - Company Email Address</b><br>\r\nThe email address for your company specified in the settings by your Administrator.\r\n<p>\r\n\r\n<b>&#94;Extras;</b><br>\r\nReturns the path to the WebGUI \"extras\" folder, which contains things like WebGUI icons.\r\n<p>\r\n\r\n<b>&#94;PageTitle;</b><br>\r\nDisplays the title of the current page.\r\n<p>\r\n\r\n<B>NOTE:</b> If you begin using admin functions or the indepth functions of any wobject, the page title will become a link that will quickly bring you back to the page.\r\n<p>\r\n\r\n<b>&#94;r; or &#94;r(); - Make Page Printable</b><br>\r\nCreates a link to remove the style from a page to make it printable.  In addition, you can change the link text by creating a macro like this <b>&#94;r(\"Print Me!\");</b>.\r\n<p>\r\n\r\nBy default, when this link is clicked, the current page\'s style is replaced with the \"Make Page Printable\" style in the Style Manager. However, that can be overridden by specifying the name of another style as the second parameter, like this: &#94;r(\"Print!\",\"WebGUI\");\r\n<p>\r\n\r\n<b>NOTES:</b> You can also use the special case &#94;r(linkonly); to return only the URL to the make printable page and nothing more. Also, the .makePrintableLink style sheet class is tied to this macro.\r\n<p>\r\n\r\n<b>&#94;RootTitle;</b><br>\r\nReturns the title of the root of the current page. For instance, the main root in WebGUI is the \"Home\" page. Many advanced sites have many roots and thus need a way to display to the user which root they are in.\r\n<p>\r\n\r\n<b>&#94;u; - Company URL</b><br>\r\nThe URL for your company specified in the settings by your Administrator.\r\n<p>\r\n\r\n<b>&#94;?; - Search</b><br>\r\nAdd a search box to the page. The search box is tied to WebGUI\'s built-in search engine.\r\n<p>\r\n\r\n<b>NOTE:</b> The .searchBox style sheet class is tied to this macro.\r\n<p>\r\n\r\n<b>&#94;-;</b><br/>\r\nThis is known as the separator macro. It must appear exactly once in every style. Wherever it appears is where the content for any given page will be put.\r\n<p/>',1046656109);
INSERT INTO international VALUES (843,'WebGUI',1,'User Macros',1046656765);
INSERT INTO international VALUES (844,'WebGUI',1,'These macros have to do with users and logins.\r\n<p/>\r\n\r\n<b>&#94;a; or &#94;a(); - My Account Link</b><br>\r\nA link to your account information. In addition you can change the link text by creating a macro like this <b>&#94;a(\"Account Info\");</b>. \r\n<p>\r\n\r\n<b>NOTES:</b> You can also use the special case &#94;a(linkonly); to return only the URL to the account page and nothing more. Also, the .myAccountLink style sheet class is tied to this macro.\r\n<p>\r\n\r\n\r\n<b>&#94;AdminText();</b><br>\r\nDisplays a small text message to a user who is in admin mode. Example: &#94;AdminText(\"You are in admin mode!\");\r\n<p>\r\n\r\n<b>&#94;AdminToggle; or &#94;AdminToggle();</b><br>\r\nPlaces a link on the page which is only visible to content managers and adminstrators. The link toggles on/off admin mode. You can optionally specify other messages to display like this: &#94;AdminToggle(\"Edit On\",\"Edit Off\");\r\n<p>\r\n\r\n\r\n\r\n<b>&#94;GroupText();</b><br>\r\nDisplays a small text message to the user if they belong to the specified group. Example: &#94;GroupText(\"Visitors\",\"You need an account to do anything cool on this site!\");\r\n<p>\r\n\r\n<b>&#94;L; or &#94;L(); - Login Box</b><br>\r\nA small login form. You can also configure this macro. You can set the width of the login box like this &#94;L(20);. You can also set the message displayed after the user is logged in like this &#94;L(20,Hi &#94;a(&#94;@;);. Click %here% if you wanna log out!)\r\n<p>\r\n\r\n<b>NOTE:</b> The .loginBox style sheet class is tied to this macro.\r\n<p>\r\n\r\n<b>&#94;LoginToggle; or &#94;LoginToggle();</b><br>\r\nDisplays a \"Login\" or \"Logout\" message depending upon whether the user is logged in or not. You can optionally specify other messages like this: &#94;LoginToggle(\"Click here to log in.\",\"Click here to log out.\");\r\n<p>\r\n\r\n\r\n<b>&#94;@; - Username</b><br>\r\nThe username of the currently logged in user.\r\n<p>\r\n\r\n\r\n<b>&#94;#; - User ID</b><br>\r\nThe user id of the currently logged in user.\r\n<p>\r\n\r\n',1046656765);
INSERT INTO international VALUES (841,'WebGUI',1,'Navigation Macros',1046656370);
INSERT INTO international VALUES (842,'WebGUI',1,'These macros are used to create navigation on the site.\r\n<p/>\r\n\r\n<b>&#94;C; or &#94;C(); - Crumb Trail</b><br>\r\nA dynamically generated crumb trail to the current page. You can optionally specify a delimeter to be used between page names by using &#94;C(::);. The default delimeter is >.\r\n<p>\r\n\r\n<b>NOTE:</b> The .crumbTrail style sheet class is tied to this macro.\r\n<p>\r\n\r\n<b>&#94;FlexMenu;</b><br>\r\nThis menu macro creates a top-level menu that expands as the user selects each menu item.\r\n<p>\r\n\r\n<b>&#94;H; or &#94;H(); - Home Link</b><br>\r\nA link to the home page of this site.  In addition you can change the link text by creating a macro like this <b>&#94;H(\"Go Home\");</b>.\r\n<p>\r\n\r\n<b>NOTES:</b> You can also use the special case &#94;H(linkonly); to return only the URL to the home page and nothing more. Also, the .homeLink style sheet class is tied to this macro.\r\n<p>\r\n\r\n<b>&#94;M; or &#94;M(); - Current Menu (Vertical)</b><br>\r\nA vertical menu containing the sub-pages at the current level. In addition, you may configure this macro by specifying how many levels deep the menu should go. By default it will show only the first level. To go three levels deep create a macro like this <b>&#94;M(3);</b>. If you set the macro to \"0\" it will track the entire site tree.\r\n<p>\r\n\r\n<b>&#94;m; - Current Menu (Horizontal)</b><br>\r\nA horizontal menu containing the sub-pages at the current level. You can optionally specify a delimeter to be used between page names by using &#94;m(:--:);. The default delimeter is &middot;.\r\n<p>\r\n\r\n<b>&#94;P; or &#94;P(); - Previous Menu (Vertical)</b><br>\r\nA vertical menu containing the sub-pages at the previous level. In addition, you may configure this macro by specifying how many levels deep the menu should go. By default it will show only the first level. To go three levels deep create a macro like this <b>&#94;P(3);</b>. If you set the macro to \"0\" it will track the entire site tree.\r\n<p>\r\n\r\n<b>&#94;p; - Previous Menu (Horizontal)</b><br>\r\nA horizontal menu containing the sub-pages at the previous level. You can optionally specify a delimeter to be used between page names by using &#94;p(:--:);. The default delimeter is &middot;.\r\n<p>\r\n\r\n<b>&#94;rootmenu; or &#94;rootmenu(); (Horizontal)</b><br>\r\nCreates a horizontal menu of the various roots on your system (except for the WebGUI system roots). You can optionally specify a menu delimiter like this: &#94;rootmenu(|);\r\n<p>\r\n\r\n\r\n<b>&#94;S(); - Specific SubMenu (Vertical)</b><br>\r\nThis macro allows you to get the submenu of any page, starting with the page you specified. For instance, you could get the home page submenu by creating a macro that looks like this <b>&#94;S(\"home\",0);</b>. The first value is the urlized title of the page and the second value is the depth you\'d like the menu to go. By default it will show only the first level. To go three levels deep create a macro like this <b>&#94;S(\"home\",3);</b>.\r\n<p>\r\n\r\n\r\n<b>&#94;s(); - Specific SubMenu (Horizontal)</b><br>\r\nThis macro allows you to get the submenu of any page, starting with the page you specified. For instance, you could get the home page submenu by creating a macro that looks like this <b>&#94;s(\"home\");</b>. The value is the urlized title of the page.  You can optionally specify a delimeter to be used between page names by using &#94;s(\"home\",\":--:\");. The default delimeter is .\r\n<p>\r\n\r\n<b>&#94;Synopsis; or &#94;Synopsis(); Menu</b><br>\r\nThis macro allows you to get the submenu of a page along with the synopsis of each link. You may specify an integer to specify how many levels deep to traverse the page tree.\r\n<p>\r\n\r\n<b>NOTES:</b> The .synopsis_sub, .synopsis_summary, and .synopsis_title style sheet classes are tied to this macro.\r\n<p>\r\n\r\n<b>&#94;T; or &#94;T(); - Top Level Menu (Vertical)</b><br>\r\nA vertical menu containing the main pages of the site (aka the sub-pages from the home page). In addition, you may configure this macro by specifying how many levels deep the menu should go. By default it will show only the first level. To go three levels deep create a macro like this <b>&#94;T(3);</b>. If you set the macro to \"0\" it will track the entire site tree.\r\n<p>\r\n\r\n<b>&#94;t; - Top Level Menu (Horizontal)</b><br>\r\nA vertical menu containing the main pages of the site (aka the sub-pages from the home page). You can optionally specify a delimeter to be used between page names by using &#94;t(:--:);. The default delimeter is .\r\n<p>\r\n\r\n<b>&#94;/; - System URL</b><br>\r\nThe URL to the gateway script (example: <i>/index.pl/</i>).\r\n<p>\r\n\r\n<b>&#94;\\; - Page URL</b><br>\r\nThe URL to the current page (example: <i>/index.pl/pagename</i>).\r\n<p>\r\n\r\n',1046656370);
INSERT INTO international VALUES (837,'WebGUI',1,'Folder, Add/Edit',1038871918);
INSERT INTO international VALUES (838,'WebGUI',1,'Folders are used to organize collateral, much the same way you\'d use folders on your hard drive or in a file cabinet.\r\n<p/>\r\n<b>Organize in Folder</b><br/>\r\nFolders can be inside of other folders. In which folder would you like to put this folder?\r\n<p/>\r\n\r\n<b>Name</b><br/>\r\nGive this folder a name so you can recognize what\'s in it.\r\n<p/>\r\n\r\n<b>Description</b><br/>\r\nDescribe the folder so that you remember why you created it and what it\'s supposed to contain.\r\n<p/>',1038871918);
INSERT INTO international VALUES (835,'WebGUI',1,'Snippet, Add/Edit',1038871744);
INSERT INTO international VALUES (836,'WebGUI',1,'Snippets are bits of text that may be reused on your site. Thinks like java scripts, style sheets, flash animations, or even slogans are all great snippets. Best of all, if you need to change the text, you can change it in only one location.\r\n<p/>\r\n<b>Name</b><br/>\r\nGive your snippet a unqiue name that you can use later to retrieve it.\r\n<p/>\r\n\r\n<b>Organize in Folder</b><br/>\r\nWhich collateral folder should contain this snippet?\r\n<p/>\r\n\r\n<b>Snippet</b><br/>\r\nStart typing! Or better yet, copy the snippet from some other electronic document and paste it here.\r\n<p/>',1038871744);
INSERT INTO international VALUES (833,'WebGUI',1,'File, Add/Edit',1038871497);
INSERT INTO international VALUES (834,'WebGUI',1,'You can upload any kind of file to the repository to be used later.\r\n<p/>\r\n\r\n<b>Name</b><br/>\r\nGive this file a unique name that you can use to retrieve it later.\r\n<p/>\r\n\r\n<b>Organize in Folder</b><br/>\r\nWhich collateral folder should hold this file?\r\n<p/>\r\n\r\n<b>File</b><br/>\r\nSelect a file from your hard drive to upload.\r\n<p/>',1038871497);
INSERT INTO international VALUES (831,'WebGUI',1,'Collateral Macros',1046656420);
INSERT INTO international VALUES (832,'WebGUI',1,'The collateral management system has several macros for its specific purpose.\r\n<p/>\r\n\r\n<b>&#94;File();</b><br/>\r\nThis macro builds a quick file link. It creates an icon for the file and outputs the files name. Then it links them both to the file for downloading.\r\n<p/>\r\n\r\n<b>&#94;I();</b><br/>\r\nThis macro retrieves an image from the collateral management system along with an HTML image tag so that you can quickly display an image from the repository in your content.\r\n<p/>\r\n<i>Example:</i> &#94;I(\"logo\");\r\n<p/>\r\n\r\n<b>&#94;i();</b><br/>\r\nThis macro retrieves the URL for any file in the collateral management system.\r\n<p/>\r\n<i>Example:</i> &#94;i(\"status report\");\r\n<p/>\r\n\r\n<b>&#94;Snippet();</b><br/>\r\nThis macro retrieves the contents of a snippet in the collateral management system and inserts it into the page.\r\n<p />\r\n<i>Example:</i> &#94;Snippet(\"flash code\");\r\n<p />\r\n\r\n<b>&#94;Thumbnail();</b><br/>\r\nThis macro retrieves the URL for the thumbnail of any image in the collateral management system.\r\n<p/>\r\n<i>Example:</i> &#94;Thumbnail(\"logo\");\r\n<p/>\r\n\r\n<b>&#94;ThumbnailLinker();</b><br/>\r\nThis macro builds a quick image viewer using nothing more than the collateral management system. It creates a thumbnail image with the name of the image under it and then links them both to the full sized image.\r\n<p/>\r\n<i>Example:</i> &#94;ThumbnailLinker(\"logo\");\r\n<p/>\r\n\r\n',1046656420);
INSERT INTO international VALUES (829,'WebGUI',1,'Page Template',1038870260);
INSERT INTO international VALUES (830,'WebGUI',1,'Page templates are used to organize wobjects on your page. To do this you create page template positions. You can have any number of positions in your page template, but you must always have position one. The page template position variables look like this: \r\n<pre>\r\n&lt;tmpl_var page.position1&gt;\r\n&lt;tmpl_var page.position2&gt;\r\n&lt;tmpl_var page.position3&gt;\r\n&lt;tmpl_var page.position4&gt;\r\n&lt;tmpl_var page.position5&gt;\r\n&lt;tmpl_var page.position6&gt;\r\n&lt;tmpl_var page.position7&gt;\r\n&lt;tmpl_var ...&gt;\r\n\r\n</pre>\r\n\r\nThe position elements can go up to 1 billion, which should be more than enough for the average site.',1038870260);
INSERT INTO international VALUES (825,'WebGUI',1,'Template, Language',1038865669);
INSERT INTO international VALUES (826,'WebGUI',1,'WebGUI has a powerful templating language built to give you maximum control over the layout of your content. The following is a list of the template language syntax.\r\n\r\n<p/>\r\n<b>NOTE:</b> Please note that the words <i>foo</i> and <i>bar</i> are used below as placeholders for the actual variable names that you\'ll use. They are not part of the template language.\r\n\r\n<p/>\r\n<b>Variables</b><br/>\r\nVariables are the most basic of the template commands. They are used to position pieces of content.\r\n\r\n<p/>\r\n<i>Syntax:</i> &lt;tmpl_var foo&gt; or &lt;tmpl_var name=\"foo\"&gt;\r\n<p/>\r\n\r\n<i>Example:</i> &lt;tmpl_var name&gt;\r\n<p/>\r\n\r\n<b>Conditions</b><br/>\r\nTo programmers conditions are nothing new, but to designers they can often be confusing at first. Conditions are really just true or false questions, and if you think of them that way, you\'ll have no trouble at all.\r\n<p/>\r\n\r\n<i>Syntax:</i> &lt;tmpl_if foo&gt; &lt;tmpl_else&gt; &lt;/tmpl_if&gt;\r\n<br/>\r\n<i>Syntax:</i> &lt;tmpl_unless foo&gt; &lt;tmpl_else&gt; &lt;/tmpl_unless&gt;\r\n<p/>\r\n\r\n<i>Example:</i> &lt;tmpl_if isTrue&gt; It was true!&lt;tmpl_else&gt; It was false! &lt;/tmpl_if&gt;\r\n<p/>\r\n\r\n<b>Loops</b><br/>\r\nLoops iterate over a list of data output for each pass in the loop. Loops are slightly more complicated to use than plain variables, but are considerably more powerful.\r\n<p/>\r\n\r\n<i>Syntax:</i> &lt;tmpl_loop foo&gt; &lt;/tmpl_loop&gt;\r\n<p/>\r\n\r\n<i>Example:</i> <br/>\r\n&lt;tmpl_loop users&gt; <br/>\r\n  &nbsp; Name: &lt;tmpl_var first_name&gt;&lt;br/&gt;<br/>\r\n&lt;/tmpl_loop&gt;\r\n<p/>\r\n\r\n<b>Loop Conditions</b><br/>\r\nLoops come with special condition variables of their own. They are __FIRST__, __ODD__, __INNER__, and __LAST__.\r\n<p/>\r\n\r\n<i>Examples:</i><br/>\r\n<pre>\r\n   &lt;TMPL_LOOP FOO&gt;\r\n      &lt;TMPL_IF __FIRST__&gt;\r\n        This only outputs on the first pass.\r\n      &lt;/TMPL_IF&gt;\r\n\r\n      &lt;TMPL_IF __ODD__&gt;\r\n        This outputs every other pass, on the odd passes.\r\n      &lt;/TMPL_IF&gt;\r\n\r\n      &lt;TMPL_UNLESS __ODD__&gt;\r\n        This outputs every other pass, on the even passes.\r\n      &lt;/TMPL_UNLESS&gt;\r\n\r\n      &lt;TMPL_IF __INNER__&gt;\r\n        This outputs on passes that are neither first nor last.\r\n      &lt;/TMPL_IF&gt;\r\n\r\n      &lt;TMPL_IF __LAST__&gt;\r\n        This only outputs on the last pass.\r\n      &lt;TMPL_IF&gt;\r\n   &lt;/TMPL_LOOP&gt;\r\n</pre>\r\n\r\n<p/>\r\n<b>NOTE:</b>Both the template language and template variables are case-insensitive.',1038865669);
INSERT INTO international VALUES (74,'USS',1,'User Submission System Template',1038865585);
INSERT INTO international VALUES (75,'USS',1,'This is the listing of template variables available in user submission system templates.\r\n<p/>\r\n\r\n<b>readmore.label</b><br/>\r\nA translated label that indicates that the user should click to read more.\r\n<p/>\r\n\r\n<b>responses.label</b><br/>\r\nA translated label that indicates that the user should click to view the responses to this submission.\r\n<p/>\r\n\r\n<b>canPost</b><br/>\r\nA condition that indicates whether a user can add a new submission.\r\n<p/>\r\n\r\n<b>post.url</b><br/>\r\nThe URL to add a new submission.\r\n<p/>\r\n\r\n<b>post.label</b><br/>\r\nA translated label for the post link.\r\n<p/>\r\n\r\n<b>search.label</b><br/>\r\nA translated label for the search link.\r\n<p/>\r\n\r\n<b>search.url</b><br/>\r\nThe URL to toggle on/off WebGUI\'s power search form.\r\n<p/>\r\n\r\n<b>search.form</b><br/>\r\nWebGUI\'s power search form.\r\n<p/>\r\n\r\n<b>title.label</b><br/>\r\nA translated label for the title column.\r\n<p/>\r\n\r\n<b>thumbnail.label</b><br/>\r\nA translated label for the thumbnail column.\r\n<p/>\r\n\r\n<b>date.label</b><br/>\r\nA translated label for the date column.\r\n<p/>\r\n\r\n<b>by.label</b><br/>\r\nA translated label stating who the submission was submitted by.\r\n<p/>\r\n\r\n<b>submissions_loop</b><br/>\r\nA loop containing each submission.\r\n<blockquote>\r\n<b>submission.id</b><br/>\r\nA unique identifier for this submission.\r\n<p/>\r\n\r\n<b>submission.url</b><br/>\r\nThe URL to view this submission.\r\n<p/>\r\n\r\n<b>submission.content</b><br/>\r\nThe abbreviated text content of this submission.\r\n<p/>\r\n\r\n<b>submission.responses</b><br/>\r\nThe number of responses to this submission.\r\n<p/>\r\n\r\n<b>submission.title</b><br/>\r\nThe title for this submission.\r\n<p/>\r\n\r\n<b>submission.userId</b><br/>\r\nThe user id of the user that posted this submission.\r\n<p/>\r\n\r\n<b>submission.username</b><br/>\r\nThe username of the person that posted this submission.\r\n<p/>\r\n\r\n<b>submission.status</b><br/>\r\nThe status of this submission (approved, pending, denied).\r\n<p/>\r\n\r\n<b>submission.thumbnail</b><br/>\r\nThe thumbnail of the image uploaded with this submission (if any).\r\n<p/>\r\n\r\n<b>submission.date</b><br/>\r\nThe that this submission was posted.\r\n<p/>\r\n\r\n<b>submission.currentUser</b><br/>\r\nA condition indicating whether the current user is the same as the user that posted this submission.\r\n<p/>\r\n\r\n<b>submission.userProfile</b><br/>\r\nThe URL to the profile of the user that posted this submission.\r\n<p/>\r\n\r\n<b>submission.secondColumn</b><br/>\r\nA condition indicating whether or not this submission would belong in the second column, in a multi-column layout.\r\n<p/>\r\n\r\n<b>submission.thirdColumn</b><br/>\r\nA condition indicating whether or not this submission would belong in the third column, in a multi-column layout.\r\n<p/>\r\n\r\n<b>submission.fourthColumn</b><br/>\r\nA condition indicating whether or not this submission would belong in the fourth column, in a multi-column layout.\r\n<p/>\r\n\r\n<b>submission.fifthColumn</b><br/>\r\nA condition indicating whether or not this submission would belong in the fifth column, in a multi-column layout.\r\n<p/>\r\n\r\n</blockquote>\r\n<p/>\r\n\r\n\r\n<b>firstPage</b><br/>\r\nA link to the first page in the paginator.\r\n<p/>\r\n\r\n<b>lastPage</b><br/>\r\nA link to the last page in the paginator.\r\n<p/>\r\n\r\n<b>nextPage</b><br/>\r\nA link to the next page forward in the paginator.\r\n<p/>\r\n\r\n<b>previousPage</b><br/>\r\nA link to the next page backward in the paginator.\r\n<p/>\r\n\r\n<b>pageList</b><br/>\r\nA list of links to all the pages in the paginator.\r\n<p/>\r\n\r\n<b>multiplePages</b><br/>\r\nA conditional indicating whether there is more than one page in the paginator.\r\n<p/>\r\n',1038865585);
INSERT INTO international VALUES (73,'MessageBoard',1,'Message Board Template',1038865549);
INSERT INTO international VALUES (74,'MessageBoard',1,'The following is the list of template variables available in message board templates.\r\n<p/>\r\n\r\n<b>canPost</b><br/>\r\nA conditional indicating whether the current user has the privileges to post a new message.\r\n<p/>\r\n\r\n\r\n<b>post.url</b><br/>\r\nThe URL to post a new message.\r\n<p/>\r\n\r\n<b>post.label</b><br/>\r\nThe translated label for the post URL.\r\n<p/>\r\n\r\n\r\n<b>search.url</b><br/>\r\nThe URL to search this message board.\r\n<p/>\r\n\r\n<b>search.label</b><br/>\r\nThe translated label for the search URL.\r\n<p/>\r\n\r\n<b>subject.label</b><br/>\r\nThe translated label for the subject column.\r\n<p/>\r\n\r\n<b>user.label</b><br/>\r\nThe translated label for the user column.\r\n<p/>\r\n\r\n<b>date.label</b><br/>\r\nThe translated label for the date column.\r\n<p/>\r\n\r\n<b>views.label</b><br/>\r\nThe translated label for the views column.\r\n<p/>\r\n\r\n<b>replies.label</b><br/>\r\nThe translated label for the replies column.\r\n<p/>\r\n\r\n<b>last.label</b><br/>\r\nThe translated label for the last reply column.\r\n<p/>\r\n\r\n<b>message_loop</b><br/>\r\nThe loop containing each message.\r\n<blockquote>\r\n\r\n<b>last.url</b><br/>\r\nThe URL to the last reply to this message.\r\n<p/>\r\n\r\n<b>last.subject</b><br/>\r\nThe subject on the last reply to this message.\r\n<p/>\r\n\r\n\r\n<b>last.username</b><br/>\r\nThe username who posted the last reply to this message.\r\n<p/>\r\n\r\n<b>last.userProfile</b><br/>\r\nThe URL to the profile of the user who posted the last reply to this message.\r\n<p/>\r\n\r\n<b>last.date</b><br/>\r\nThe date that the last reply to this message was posted.\r\n<p/>\r\n\r\n\r\n<b>message.subject</b><br/>\r\nThe subject of this message.\r\n<p/>\r\n\r\n<b>message.date</b><br/>\r\nThe date that this message was posted.\r\n<p/>\r\n\r\n<b>message.user</b><br/>\r\nThe user that posted this message.\r\n<p/>\r\n\r\n<b>message.views</b><br/>\r\nThe views that this message has received.\r\n<p/>\r\n\r\n<b>message.replies</b><br/>\r\nThe number of replies to this thread.\r\n<p/>\r\n\r\n<b>message.url</b><br/>\r\nThe URL to view this message.\r\n<p/>\r\n\r\n<b>message.currentUser</b><br/>\r\nA condition indicating whether the current user is also the user that posted this message.\r\n<p/>\r\n\r\n<b>message.status</b><br/>\r\nThe status of this message (pending, approved, denied).\r\n<p/>\r\n\r\n</blockquote>\r\n<p/>\r\n\r\n\r\n<b>firstPage</b><br/>\r\nA link to the first page in the paginator.\r\n<p/>\r\n\r\n<b>lastPage</b><br/>\r\nA link to the last page in the paginator.\r\n<p/>\r\n\r\n<b>nextPage</b><br/>\r\nA link to the next page forward in the paginator.\r\n<p/>\r\n\r\n<b>previousPage</b><br/>\r\nA link to the next page backward in the paginator.\r\n<p/>\r\n\r\n<b>pageList</b><br/>\r\nA list of links to all the pages in the paginator.\r\n<p/>\r\n\r\n<b>multiplePages</b><br/>\r\nA conditional indicating whether there is more than one page in the paginator.\r\n<p/>\r\n',1038865549);
INSERT INTO international VALUES (72,'SiteMap',1,'Site Map Template',1047855100);
INSERT INTO international VALUES (73,'SiteMap',1,'This is the list of template variables available for site map templates.\r\n<p />\r\n\r\n<b>page_loop</b><br />\r\nThis loop contains all of the pages in the site map.\r\n<blockquote>\r\n\r\n<b>page.indent</b><br />\r\nThe indent spacer for this page indicating the depth of the page in the tree.\r\n<p />\r\n\r\n<b>page.url</b><br />\r\nThe URL to the page.\r\n<p />\r\n\r\n<b>page.id</b><br />\r\nThe unique identifier for this page that WebGUI uses internally.\r\n<p />\r\n\r\n<b>page.title</b><br />\r\nThe title of this page.\r\n<p />\r\n\r\n<b>page.menutitle</b><br />\r\nThe title of this page that appears in navigation.\r\n<p />\r\n\r\n<b>page.synopsis</b><br />\r\nThe description of the contents of this page (if any).\r\n<p />\r\n\r\n<b>page.isRoot</b><br />\r\nA condition indicating whether or not this page is a root.\r\n<p />\r\n\r\n<b>page.isTop</b><br />\r\nA condition indicating whether or not this page is at the top of the navigation tree.\r\n<p />\r\n\r\n\r\n</blockquote>\r\n<p />',1047855100);
INSERT INTO international VALUES (75,'FileManager',1,'File Manager Template',1038853712);
INSERT INTO international VALUES (76,'FileManager',1,'This is the list of template variables available in File Manager templates.\r\n<p/>\r\n\r\n<b>titleColumn.url</b><br/>\r\nThe URL to sort by the title.\r\n<p/>\r\n\r\n<b>titleColumn.label</b><br/>\r\nThe translated label for the title.\r\n<p/>\r\n\r\n<b>descriptionColumn.label</b><br/>\r\nThe translated label for the description.\r\n<p/>\r\n\r\n<b>descriptionColumn.url</b><br/>\r\nThe URL to sort by the description.\r\n<p/>\r\n\r\n<b>dateColumn.label</b><br/>\r\nThe translated label for the upload date.\r\n<p/>\r\n\r\n<b>dateColumn.url</b><br/>\r\nThe URL to sort by the date uploaded.\r\n<p/>\r\n\r\n<b>search.form</b><br/>\r\nWebGUI\'s power search form.\r\n<p/>\r\n\r\n<b>search.url</b><br/>\r\nThe URL to toggle search mode on and off.\r\n<p/>\r\n\r\n<b>search.label</b><br/>\r\nThe translated label for the search link.\r\n<p/>\r\n\r\n<b>addfile.url</b><br/>\r\nThe URL to add a file to the file manager.\r\n<p/>\r\n\r\n<b>addfile.label</b><br/>\r\nThe translated label for the add file link.\r\n<p/>\r\n\r\n<b>file_loop</b><br/>\r\nA loop containing the information about each file uploaded to this file manager.\r\n<blockquote>\r\n<b>file.canView</b><br/>\r\nA condition as to whether the current user has the privileges to view this file.\r\n<p/>\r\n<b>file.controls</b><br/>\r\nThe WebGUI management controls for this file.\r\n<p/>\r\n<b>file.title</b><br/>\r\nThe title for this file.\r\n<p/>\r\n<b>file.version1.name</b><br/>\r\nThe filename for the first version of this file.\r\n<p/>\r\n<b>file.version1.url</b><br/>\r\nThe download URL for the first version of this file.\r\n<p/>\r\n<b>file.version1.icon</b><br/>\r\nThe URL to the icon for the file type of the first version of this file.\r\n<p/>\r\n<b>file.version1.size</b><br/>\r\nThe storage size of the first version of this file.\r\n<p/>\r\n<b>file.version1.type</b><br/>\r\nThe type (or file extension) of the first version of this file.\r\n<p/>\r\n<b>file.version1.thumbnail</b><br/>\r\nThe URL to the thumbnail for the first version of this file.\r\n<p/>\r\n<b>file.version1.isImage</b><br/>\r\nA conditional indicating whether the first version of this file is an image or not.\r\n<p/>\r\n<b>file.version2.name</b><br/>\r\nThe filename for the second version of this file.\r\n<p/>\r\n<b>file.version2.url</b><br/>\r\nThe download URL for the second version of this file.\r\n<p/>\r\n<b>file.version2.icon</b><br/>\r\nThe URL to the icon for the file type of the second version of this file.\r\n<p/>\r\n<b>file.version2.size</b><br/>\r\nThe storage size of the second version of this file.\r\n<p/>\r\n<b>file.version2.type</b><br/>\r\nThe type (or file extension) of the second version of this file.\r\n<p/>\r\n<b>file.version2.thumbnail</b><br/>\r\nThe URL to the thumbnail for the second version of this file.\r\n<p/>\r\n<b>file.version2.isImage</b><br/>\r\nA conditional indicating whether the second version of this file is an image or not.\r\n<p/>\r\n<b>file.version3.name</b><br/>\r\nThe filename for the third version of this file.\r\n<p/>\r\n<b>file.version3.url</b><br/>\r\nThe download URL for the third version of this file.\r\n<p/>\r\n<b>file.version3.icon</b><br/>\r\nThe URL to the icon for the file type of the third version of this file.\r\n<p/>\r\n<b>file.version3.size</b><br/>\r\nThe storage size of the third version of this file.\r\n<p/>\r\n<b>file.version3.type</b><br/>\r\nThe type (or file extension) of the third version of this file.\r\n<p/>\r\n<b>file.version3.thumbnail</b><br/>\r\nThe URL to the thumbnail for the third version of this file.\r\n<p/>\r\n<b>file.version3.isImage</b><br/>\r\nA conditional indicating whether the third version of this file is an image or not.\r\n<p/>\r\n<b>file.description</b><br/>\r\nThe description of this file.\r\n<p/>\r\n<b>file.date</b><br/>\r\nThe date that this file was uploaded.\r\n<p/>\r\n<b>file.time</b><br/>\r\nThe time that this file was uploaded.\r\n<p/>\r\n</blockquote>\r\n<p/>\r\n<b>noresults.message</b><br/>\r\nA translated message stating that this file manager has no files for this user to view.\r\n<p/>\r\n<b>noresults</b><br/>\r\nA conditional indicating whether there are any files for this user to view.\r\n<p/>\r\n\r\n<b>firstPage</b><br/>\r\nA link to the first page in the paginator.\r\n<p/>\r\n\r\n<b>lastPage</b><br/>\r\nA link to the last page in the paginator.\r\n<p/>\r\n\r\n<b>nextPage</b><br/>\r\nA link to the next page forward in the paginator.\r\n<p/>\r\n\r\n<b>previousPage</b><br/>\r\nA link to the next page backward in the paginator.\r\n<p/>\r\n\r\n<b>pageList</b><br/>\r\nA list of links to all the pages in the paginator.\r\n<p/>\r\n\r\n<b>multiplePages</b><br/>\r\nA conditional indicating whether there is more than one page in the paginator.\r\n<p/>\r\n',1038853712);
INSERT INTO international VALUES (75,'LinkList',1,'Link List Template',1038852816);
INSERT INTO international VALUES (76,'LinkList',1,'The following is the list of template variables available in Link List templates.\r\n<p/>\r\n\r\n\r\n<b>addlink.url</b><br/>\r\nThe URL to add a link to this link list.\r\n<p/>\r\n\r\n<b>addlink.label</b><br/>\r\nThe translated label for the add link URL.\r\n<p/>\r\n\r\n<b>link_loop</b><br/>\r\nThis loop contains all of the information about each link.\r\n<blockquote>\r\n\r\n<b>link.url</b><br/>\r\nThe URL for this link.\r\n<p/>\r\n\r\n<b>link.name</b><br/>\r\nThe text to be linked.\r\n<p/>\r\n\r\n<b>link.controls</b><br/>\r\nThe WebGUI management controls for this link.\r\n<p/>\r\n\r\n<b>link.newwindow</b><br/>\r\nA conditional as to whether the link should be opened in a new window.\r\n<p/>\r\n\r\n<b>link.description</b><br/>\r\nThe description of this link.\r\n<p/>\r\n\r\n</blockquote>\r\n<p/>\r\n',1038852816);
INSERT INTO international VALUES (73,'Item',1,'Item Template',1038852468);
INSERT INTO international VALUES (74,'Item',1,'The following is the list of template variables available in item templates.\r\n<p/>\r\n\r\n<b>attachment.name</b><br/>\r\nThe filename for the file attached to this item.\r\n<p/>\r\n\r\n<b>attachment.url</b><br/>\r\nThe URL to download the file attached to this item.\r\n<p/>\r\n\r\n<b>attachment.icon</b><br/>\r\nThe URL to the icon for the file attached to this item.\r\n<p/>',1038852468);
INSERT INTO international VALUES (96,'EventsCalendar',1,'Event Template',1038852164);
INSERT INTO international VALUES (97,'EventsCalendar',1,'The following is the list of template variables available in event templates.\r\n<p/>\r\n\r\n<b>title</b><br/>\r\nThe title of this event.\r\n<p/>\r\n\r\n<b>start.label</b><br/>\r\nThe translated label for the start date.\r\n<p/>\r\n\r\n<b>start.date</b><br/>\r\nThe date this event starts.\r\n<p/>\r\n\r\n<b>end.date</b><br/>\r\nThe date this event ends.\r\n<p/>\r\n\r\n<b>end.label</b><br/>\r\nThe translated label for the end date.\r\n<p/>\r\n\r\n<b>canEdit</b><br/>\r\nA condition indicating whether the current user can edit an event.\r\n<p/>\r\n\r\n<b>edit.url</b><br/>\r\nThe URL to edit this event.\r\n<p/>\r\n\r\n<b>edit.label</b><br/>\r\nThe translated label for the edit URL.\r\n<p/>\r\n\r\n<b>delete.url</b><br/>\r\nThe URL to delete this event.\r\n<p/>\r\n\r\n<b>delete.label</b><br/>\r\nThe translated label for the delete URL.\r\n<p/>\r\n\r\n<b>previous.url</b><br/>\r\nThe URL to view the event before this one.\r\n<p/>\r\n\r\n<b>previous.label</b><br/>\r\nThe translated label for the previous URL.\r\n<p/>\r\n\r\n<b>next.label</b><br/>\r\nThe translated label for the next URL.\r\n<p/>\r\n\r\n<b>next.url</b><br/>\r\nThe URL to view the event after this one.\r\n<p/>\r\n\r\n<b>description</b><br/>\r\nThe description of this event.\r\n<p/>\r\n',1038852164);
INSERT INTO international VALUES (76,'FAQ',1,'FAQ Template',1038802597);
INSERT INTO international VALUES (77,'FAQ',1,'The following is the list of template variables available in FAQ templates.\r\n<p/>\r\n\r\n<b>addquestion.url</b><br/>\r\nThe URL to add a question to the FAQ.\r\n<p/>\r\n\r\n<b>addquestion.label</b><br/>\r\nThe translated label for the add question link.\r\n<p/>\r\n\r\n<b>qa_loop</b><br/>\r\nThe loop containing the variables for each question in the FAQ.\r\n<blockquote>\r\n<b>qa.id</b><br/>\r\nThe unique identifier for this question.\r\n<p/>\r\n<b>qa.answer</b><br/>\r\nThe answer for this question.\r\n<p/>\r\n<b>qa.question</b><br/>\r\nThe question itself.\r\n<p/>\r\n<b>qa.controls</b><br/>\r\nThe WebGUI management controls for this question.\r\n<p/>\r\n</blockquote>\r\n<p/>',1038802597);
INSERT INTO international VALUES (94,'EventsCalendar',1,'Events Calendar Template',1038795945);
INSERT INTO international VALUES (95,'EventsCalendar',1,'The following template variables are available for you to customize your events calendar.\r\n<p/>\r\n<b>addevent.url</b><br/>\r\nThe URL to add an event to the calendar.\r\n<p/>\r\n\r\n<b>addevent.label</b><br/>\r\nThe translated label for the add event link.\r\n<p/>\r\n\r\n<b>calendar.big</b><br/>\r\nA full page calendar.\r\n<p/>\r\n\r\n<b>calendar.small</b><br/>\r\nA small calendar showing only dates.\r\n<p/>\r\n\r\n<b>calendar.firstPage</b><br/>\r\nA link to the first page of the calendar pagination.\r\n<p/>\r\n\r\n<b>calendar.lastPage</b><br/>\r\nA link to the last page of the calendar pagination.\r\n<p/>\r\n\r\n<b>calendar.nextPage</b><br/>\r\nA link to the next page forward in the calendar pagination.\r\n<p/>\r\n\r\n<b>calendar.previousPage</b><br/>\r\nA link to the next page backward in the calendar pagination.\r\n<p/>\r\n\r\n<b>calendar.pageList</b><br/>\r\nA list of links to all the pages in the calendar pagination.\r\n<p/>\r\n\r\n<b>calendar.multiplePages</b><br/>\r\nA conditional variable indicating whether there is more than one page in the calendar pagination.\r\n<p/>\r\n\r\n<b>list_loop</b><br/>\r\nA loop containing the list view of an events calendar.\r\n<blockquote>\r\n<b>list.date</b><br/>\r\nThe date of this event.\r\n<p/>\r\n<b>list.title</b><br/>\r\nThe title of this event.\r\n<p/>\r\n<b>list.description</b><br/>\r\nThe description of this event.\r\n<p/>\r\n<b>list.sameAsPrevious</b><br/>\r\nA conditional indicating whether the this event has the same date as the last event.\r\n<p/>\r\n<b>list.url</b><br/>\r\nThe URL to the full page view of this event.\r\n<p/>\r\n<b>list.controls</b><br/>\r\nThe WebGUI management controls for this event.\r\n<p/>\r\n\r\n</blockquote>\r\n<p/>\r\n\r\n<b>list.firstPage</b><br/>\r\nA link to the first page of the pagination.\r\n<p/>\r\n\r\n<b>list.lastPage</b><br/>\r\nA link to the last page of the pagination.\r\n<p/>\r\n\r\n<b>list.nextPage</b><br/>\r\nA link to the next page forward in the pagination.\r\n<p/>\r\n\r\n<b>list.previousPage</b><br/>\r\nA link to the next page backward in the pagination.\r\n<p/>\r\n\r\n<b>list.pageList</b><br/>\r\nA list of links to all the pages in the pagination.\r\n<p/>\r\n\r\n<b>list.multiplePages</b><br/>\r\nA conditional variable indicating whether there is more than one page in the pagination.\r\n<p/>\r\n\r\n',1038795945);
INSERT INTO international VALUES (73,'Article',1,'The following template variables are available for article templates.\r\n<p/>\r\n\r\n<b>attachment.box</b><br/>\r\nOutputs a standard WebGUI attachment box including icon, filename, and attachment indicator.\r\n<p/>\r\n\r\n<b>attachment.icon</b><br/>\r\nThe URL to the icon image for this attachment type.\r\n<p/>\r\n\r\n<b>attachment.name</b><br/>\r\nThe filename for this attachment.\r\n<p/>\r\n\r\n<b>attachment.url</b><br/>\r\nThe URL to download this attachment.\r\n<p/>\r\n\r\n<b>image.thumbnail</b><br/>\r\nThe URL to the thumbnail for the attached image.\r\n<p/>\r\n\r\n<b>image.url</b><br/>\r\nThe URL to the attached image.\r\n<p/>\r\n\r\n<b>post.label</b><br/>\r\nThe translated label to add a comment to this article.\r\n<p/>\r\n\r\n\r\n<b>post.URL</b><br/>\r\nThe URL to add a comment to this article.\r\n<p/>\r\n\r\n<b>replies.count</b><br/>\r\nThe number of comments attached to this article.\r\n<p/>\r\n\r\n<b>replies.label</b><br/>\r\nThe translated text indicating that you can view the replies.\r\n<p/>\r\n\r\n<b>replies.url</b><br/>\r\nThe URL to view the replies to this article.\r\n<p/>\r\n',1038794871);
INSERT INTO international VALUES (72,'Article',1,'Article Template',1038794871);
INSERT INTO international VALUES (827,'WebGUI',1,'Wobject Template',1047855553);
INSERT INTO international VALUES (828,'WebGUI',1,'Most wobjects have templates that allow you to change the layout of the wobject\'s user interface. Those wobjects that do have templates all have a common set of template variables that you can use for layout, as well as their own custom variables. The following is a list of the common template variables shared among all wobjects.\r\n<p/>\r\n<b>title</b><br/>\r\nThe title for this wobject.\r\n<p/>\r\n\r\n<b>displayTitle</b><br/>\r\nA conditional variable for whether or not the title should be displayed.\r\n<p/>\r\n\r\n<b>description</b><br/>\r\nThe description of this wobject.\r\n<p/>\r\n\r\n<b>wobjectId</b><br/>\r\nThe unique identifier that WebGUI uses to control this wobject.\r\n<p/>\r\n',1047855553);
INSERT INTO international VALUES (1,'Auth/LDAP',1,'LDAP Authentication Options',1039450730);
INSERT INTO international VALUES (1,'Auth/WebGUI',1,'WebGUI Authentication Options',1039449605);
INSERT INTO international VALUES (9,'Auth/SMB',1,'NT Password',1039453225);
INSERT INTO international VALUES (8,'Auth/SMB',1,'NT Login',1039452980);
INSERT INTO international VALUES (7,'Auth/SMB',1,'NT Domain',1039452950);
INSERT INTO international VALUES (6,'Auth/SMB',1,'BDC',1039452936);
INSERT INTO international VALUES (5,'Auth/SMB',1,'PDC',1039452926);
INSERT INTO international VALUES (4,'Auth/SMB',1,'SMB Logon Error (3)<br>You have supplied an invalid username/password pair. Probably a typo, please try again.',1039452797);
INSERT INTO international VALUES (3,'Auth/SMB',1,'SMB Protocol Error (2)<br>Please contact your sysadmin.',1039452769);
INSERT INTO international VALUES (2,'Auth/SMB',1,'SMB Server Error (1)<br>Something went wrong accessing the domain controller. Perhaps the connection timed out. Please try again or contact your sysadmin.',1039452744);
INSERT INTO international VALUES (1,'Auth/SMB',1,'SMB Authentication Options',1039451963);
INSERT INTO international VALUES (668,'WebGUI',3,'Style Sheets, Gebruiken',1038484132);
INSERT INTO international VALUES (665,'WebGUI',3,'Groep, Verwijderen',1038483979);
INSERT INTO international VALUES (664,'WebGUI',3,'Wobject, Verwijderen',1038483964);
INSERT INTO international VALUES (662,'WebGUI',3,'Instellingen, Beheer',1038483913);
INSERT INTO international VALUES (660,'WebGUI',3,'Groepen, Beheer',1038483881);
INSERT INTO international VALUES (659,'WebGUI',3,'Stijlen, Beheer',1038483865);
INSERT INTO international VALUES (658,'WebGUI',3,'Gebruikers, Beheer',1038483848);
INSERT INTO international VALUES (657,'WebGUI',3,'Gebruiker, Verwijderen',1038483831);
INSERT INTO international VALUES (653,'WebGUI',3,'Pagina, Verwijderen',1038483777);
INSERT INTO international VALUES (651,'WebGUI',3,'Bij het legen van de prullenbak wordt alles wat erin zit voor altijd weggegooid. Voor zaken waar u niet zeker van bent of ze wel weggegooid moeten kunt u het beste even in het klemboord knippen voordat u de prullenbak leegt.',1038483463);
INSERT INTO international VALUES (633,'WebGUI',3,'Simpel gezegd zijn \'roots\' pagina\'s zonder hogerliggende pagina. De eerste en belangrijkste \'root\' in WebGUI is de \"Home\" pagina. In de meeste gevallen is een extra \'root\' nooit nodig. Voorbeelden voor een extra \'root\' zijn een verborgen pagina voor administratieve redenen of een nieuwe \'root\' om de zoekmachine op te plaatsen.',1038483226);
INSERT INTO international VALUES (630,'WebGUI',3,'WebGUI heeft een kleine, maar degelijke real-time zoekmachine ingebouwd.\r\nWanneer u de zoemachine wilt gebruiken kunt u het ^?; macro toepassen, u\r\nkunt ook ?op=search aan het eind van een URL toevoegen of een apart formulier\r\nbouwen om het aan te spreken.<br>\r\n<br>\r\nVeel mensen hebben een specifieke zoekmachine nodig om hun WebGUI site en\r\nenkele anderen te indexeren. In dat geval raden we <a\r\n href=\"http://www.mnogosearch.org/\">MnoGo Search</a> of <a\r\n href=\"http://www.htdig.org/\">ht://Dig</a> aan. <br>\r\n',1039782428);
INSERT INTO international VALUES (629,'WebGUI',3,'<b>Voorkom Proxy Caching</b><br>\r\n Sommige bedrijven hebben proxyservers die problemen met WebGUI kunnen opleveren. \r\nWanneer er problemen met WebGUI geconstateerd worden en er wordt tevens gebruik \r\ngemaakt van een proxyserver is het wellicht verstandig deze instelling op \r\nJa te zetten.<br>\r\n <i>Let op: </i>WebGUI\'s URLs zullen er niet zo gebruikersvriendelijk uit \r\nzien wanneer deze optie aan staat<br>\r\n <br>\r\n <b>Laat debugging zien</b><br>\r\n Wanneer deze optie aan staat worden alle variabelen die gebruikt worden\r\ndoor WebGUI onderaan uw pagina getoond.<br>\r\n <i>Let op:</i> Wanneer debugging aan staat zijn veel security gevoelige\r\ngegevens voor iedereen te zien zoals het wachtwoord van uw SQL database.\r\nGebruik deze setting dan ook alleen op ontwikkelservers.<br>\r\n <b><br>\r\n Houdt pagina statistieken bij?</b><br>\r\n Deze optie zet het verzamelen van pagina statistieken aan. Het genereert \r\nwat extra belasting op uw database en processor maar geeft uw inzicht in hoe\r\nvaak pagina\'s gebruikt worden.<br>\r\n <br>\r\n',1039782402);
INSERT INTO international VALUES (627,'WebGUI',3,'Profielen worden gebruikt om informatie over een bepaalde gebruiker uit te breiden. In sommige gevallen zijn profielen belangrijk voor een site, in andere gevallen niet. Het profielensysteem is volledig uitbreidbaar.',1038480954);
INSERT INTO international VALUES (625,'WebGUI',3,'<b>Naam<br>\r\n </b>Het label waaraan naar dit plaatje gerefereerd kan worden wanneer het \r\nin pagina\'s geplaatst wordt met ^I(\"label\");<br>\r\n <br>\r\n <b>Bestand</b><br>\r\n Kies een bestand van je lokale harddisk om op de server te zetten.<br>\r\n <br>\r\n <b>Parameters</b><br>\r\n Hier kunnen HTML &lt;img&gt; parameters toegevoegd worden die voor dit plaatje \r\ngebruikt zullen worden.<br>\r\n <br>\r\n <i>Voorbeelden:</i><br>\r\n align=\"right\"<br>\r\n alt=\"Beschrijving voor dit plaatje\"<br>\r\n width=\"300\" (breedte in pixels)<br>\r\n height=\"200\" (hoogte in pixels)<br>\r\n <b><br>\r\nPictogram grootte</b><br>\r\nHoe groot (in pixels) moet het pictogram voor dit plaatje zijn?<br>\r\n',1039782372);
INSERT INTO international VALUES (74,'FileManager',3,'Voeg een bestand toe.',1038480509);
INSERT INTO international VALUES (75,'FAQ',3,'Voeg vraag toe.',1038480472);
INSERT INTO international VALUES (74,'FAQ',3,'Sjabloon',1038480461);
INSERT INTO international VALUES (71,'ExtraColumn',3,'Extra kolommen geven je de mogelijkheid om de layout van de pagina voor een \r\nspecifieke pagina aan te passen. Meer mogelijkheden hiertoe bieden de stijlen \r\nen sjablonen.<br>\r\n <br>\r\n Kolommen worden altijd van links naar rechts toegevoegd. Reeds bestaande \r\ninhoud zal daarom links van de nieuwe kolom te zien zijn.<br>\r\n <br>\r\n <b>Tussenruimte<br>\r\n </b>Tussenruimte is de hoeveelheid ruimte in pixels tussen de reeds bestaande \r\ncontent en de nieuwe kolom.<br>\r\n <br>\r\n <b>Breedte</b><br>\r\n Breedte is de werkelijke breedte van de nieuwe kolom in pixels.<br>\r\n <br>\r\n <b>Style sheet klasse (class)</b><br>\r\n De standaardklasse die normaal aan alle kolommen wordt toegekend is content \r\n(de stijl die de body van de site normaal gebruikt). Het is echter mogelijk \r\nom een speciale stijl voor de extra kolom te definieren.<br>\r\n <br>\r\n',1039775096);
INSERT INTO international VALUES (7,'Survey',3,'Antwoordgestuurd',1038479871);
INSERT INTO international VALUES (11,'Survey',3,'Mode',1038479785);
INSERT INTO international VALUES (623,'WebGUI',3,'<a href=\"http://www.w3.org/Style/css/\">Cascading Style Sheets (CSS)</a> zijn \r\neen goede manier om het uiterlijk en gevoel van een webpagina te beheren. \r\nZe worden uitgebreid gebruikt in WebGUI.<br>\r\n <br>\r\n Als er geen ervaring is met het gebruik van CSS, heeft <a\r\n href=\"http://www.plainblack.com\">Plain Black Software</a> cursussen in XHTML \r\nen CSS. Als alternatief kan de CSS editor, genaamd <a\r\n href=\"http://www.bradsoft.com/topstyle/index.asp\">Top Style</a> gebruikt \r\nworden.<br>\r\n <br>\r\n De volgende lijst bevat de verschillende klassen die gebruikt worden het \r\nuiterlijk en gevoel van WebGUI te bepalen:<br>\r\n <br>\r\n <b>A</b><br>\r\n De links in een stijl.<br>\r\n <br>\r\n <b>BODY</b><br>\r\n De tsandaard indeling van alle paginas die de stijl gebruiken.<br>\r\n <br>\r\n <b>H1</b><br>\r\n De headers (koppen) op elke pagina.<br>\r\n <br>\r\n <b>.accountOptions</b><br>\r\n De links sie onder de login en account update formulieren verschijnen.<br>\r\n <br>\r\n <b>.adminBar</b><br>\r\n De balk die bovenaan de pagina verschijnt wanneer de beheer modus gebruikt \r\nwordt.<br>\r\n <br>\r\n <b>.inhoud</b><br>\r\n Het belangrijkste inhouds gebied in elke pagina die de stijl gebruikt<br>\r\n <br>\r\n <b>.formDescription</b><br>\r\n De labels op alle formulieren naast de formulier elementen.<br>\r\n <br>\r\n <b>.formSubtext</b><br>\r\n De labels onder sommige formulier elementen.<br>\r\n  <b><br>\r\n.highlight</b><br>\r\nDuid een highlighted object aan, zoals een bericht dat bekeken wordt binnen\r\neen lijst.<br>\r\n<br>\r\n<b>.horizontalMenu</b><br>\r\nHet horizontale menu (als het horizontale menu macro gebruikt wordt).<br>\r\n<br>\r\n<b>.pagination</b><br>\r\nDe Vorige en Volgende links op paginas die opgebroken worden in meer paginas.<br>\r\n<br>\r\n<b>.selectedMenuItem</b><br>\r\nGebruik deze klasse om de huidige pagina te highlighten in een menu macro.<br>\r\n<br>\r\n<b>.tableData</b><br>\r\nDe data rijen in dingen zoals berichtenborden en gebruikersbijdragen.<br>\r\n<br>\r\n<b>.tableHeader</b><br>\r\nDe headers van kolommen in dingen zoals berichtenborden en gebruikersbijdragen.<br>\r\n <br>\r\n<b>.tableMenu</b><br>\r\nHet menu in dingen zoals berichtenborden en gebruikersbijdragen.<br>\r\n<br>\r\n<b>.verticalMenu</b><br>\r\n Het vertikale menu (als het vertikale menu macro gebruikt wordt).<br>\r\n<br>\r\n<i><b>N.B.:</b></i> Sommige wobjecten en macros hebben hun eigen unieke stylesheet\r\nklasse, die gedocumenteerd worden in hun eigen hulp bestanden.<br>\r\n',1043314620);
INSERT INTO international VALUES (622,'WebGUI',3,'Zie <i>Beheren Groep</i> voor een beschrijving van groepeer functies en de\r\nstandaard groepen.<br>\r\n<br>\r\n<b>Groepsnaam</b><br>\r\nEen naam van de groep. Het is handig een naam te kiezen die de groep beschrijft,\r\nzodat het makkelijk herkenbaar is.<br>\r\n<br>\r\n<b>Beschrijving</b><br>\r\nEen langere beschrijving van de groep zodat beheerders en inhoud beheerders\r\n(of u als u het zelf vergeet) weten wat het doel van de groep is.<br>\r\n<br>\r\n<b>Verlopen Na</b><br>\r\nDe tijd die een gebruiker tot deze groep behoort, voordat de gebruikersaccount\r\nverloopt (of dat de gebruiker verwijderd wordt). Dit is nuttig voor paginas\r\nwaarop de gebruikers bepaalde privileges hebben voor een specifieke periode.\r\nDit kan ook per gebruiker worden ingesteld.<br>\r\n<br>\r\n<b>Karma Drempel</b><br>\r\nWanneer Karma gebruikt wordt, kan deze waarde ingesteld worden. De Karma\r\nDrempel is de hoeveelheid karma die een gebruiker moet hebben om als onderdeel\r\nvan de groep beschouwd te worden.<br>\r\n',1038415439);
INSERT INTO international VALUES (612,'WebGUI',3,'Er is geen noodzaak om ooit een gebruiker te verwijderen. Wanneer een gebruiker uitgesloten moet worden, verander dan het wachtwoord. Als het echt gewenst is een gebruiker te verwijderen, hou dan in gedachten dat er consequenties zijn. Wanneer een gebruiker verwijdert wordt, zal alle inhoud die met wobjects is toegevoegd (zoals berichten op een berichtenbord en gebruikers bijdragen) op depagina blijven staan. Maar als een andere gebruiker het profiel van de verwijderde gebruiker wilt bekijken, zal de gebruiker een foutmelding krijgen. Ook kan als de gebruiker weer toegelaten wordt op de pagina, er geen toegang meer verleent worden tot zijn/haar oude inhoud objecten, behalve door de gebruiker handmatig opnieuw toe te voegen in het gebruikers tabel.\r\n<br><br>\r\nZoals bij elke verwijderingsoperatie wordt er gevraagd of er verder gegaan moet worden met het verwijderen. Als dit met \"Ja\" beantwoord wordt, zal het verwijderingsproces verder gaan en is er geen kans meer om dit te herstellen. Wanneer er met \"Nee\" beantwoord wordt, zal de het programma teruggaan naar het vorige scherm.',1038414758);
INSERT INTO international VALUES (621,'WebGUI',3,'Stijlen zijn uitgerust met WebGUI macros. Zie <i>Macros Gebruiken</i> voor \r\nmeer informatie.<br>\r\n <br>\r\n <b>Stijl Naam</b><br>\r\n Dit is een unieke naam die in een oogopslag omschrijft hoe de stijl eruit \r\nziet. De naam heeft geen effect op het uiterlijk van de stijl.<br>\r\n <br>\r\n <b>Body</b><br>\r\n De body is vrij letterlijk het HTML lichaam van de site. Het definieerd\r\nhoe de pagina navigatie eruit ziet en vele andere dingen zoals logos, copyright \r\netc. Het kale minimum waaruit een body moet bestaan bestaat uit een paar dinegen:\r\nhet ^Adminbalk; macro en het ^-; macro. het ^Adminbalk; macro vertelt WebGUI\r\nwaar de administratieve functies getoond moeten worden. Het ^-; macro (de\r\nsplijter) vertelt WebGUI waar de inhoud moet komen te staan.<br>\r\n <br>\r\n Als er hulp nodig is bij het maken van een uiterlijk van een site of als \r\ner hulp nodig is om het ontwerp te converteren naar WebGUI, kan <a\r\n href=\"http://www.plainblack.com\">Plain Black Software</a> hulp bieden voor \r\neen klein bedrag (voor Nederlandse support: <a\r\n href=\"http://www.procolix.com\">Procolix.com</a>).<br>\r\n <br>\r\n Veel mensen zullen WebGUI macros aan de body toevoegen voor automatische \r\nnavigatie en andere kenmerken.<br>\r\n <br>\r\n <b>Style Sheet</b><br>\r\n Plaats de style sheet entries hier. Style sheets worden gebruikt om kleuren, \r\nafmetingen en andere eigenschappen van de elementen op de site te controleren. \r\nZie <i>Style Sheets Gebruiken</i> voor meer informatie.<br>\r\n <br>\r\n <i>Geavanceerde Gebruikers:</i> voor betere prestaties kan de stylesheet\r\nin het bestandssysteem worden gemaakt (noem het zoiets als webgui.css) en\r\nvoeg een entry toe in deze omgeving: <a href=\"styles/webgui.css\">stylesheet</a><br>\r\n <br>\r\n',1039782189);
INSERT INTO international VALUES (620,'WebGUI',3,'Zoals de functie al suggereerd wordt met deze functie een groep verwijdert\r\nen daarmee alle gebruikers in de groep. Zorg dat gebruikers niet afgesloten\r\nworden van paginas waar ze toegang toe zouden moeten hebben door een groep\r\ndie gebruikt wordt te verwijderen.<br>\r\n<br>\r\nZoals bij elke verwijderingsoperatie wordt er gevraagd of er verder gegaan \r\nmoet worden met het verwijderen. Als dit met \"Ja\" beantwoord wordt, zal het \r\nverwijderingsproces verder gaan en is er geen kans meer om dit te herstellen. \r\nWanneer er met \"Nee\" beantwoord wordt, zal de het programma teruggaan naar \r\nhet vorige scherm.\r\n',1038413071);
INSERT INTO international VALUES (609,'WebGUI',3,'Wanneer een stijl verwijderd wordt, zullen alle paginas die deze stijl gebruiken de standaard stijl gaan gebruiken. Om ongestoord de pagina te kunnen bekijken, wees dan zeker dat geen pagina de stijl gebruikt die verwijdert gaat worden.<br><br>\r\n\r\nZoals bij elke verwijderingsoperatie wordt er gevraagd of er verder gegaan moet worden met het verwijderen. Als dit met \"Ja\" beantwoord wordt, zal het verwijderingsproces verder gaan en is er geen kans meer om dit te herstellen. Wanneer er met \"Nee\" beantwoord wordt, zal de het programma teruggaan naar het vorige scherm. ',1038412855);
INSERT INTO international VALUES (608,'WebGUI',3,'Het verwijderen van een pagina kan een chaos veroorzaken als iemand niet\r\nweet wat hij/zij aan het doen is. Wanneer een pagina verwijdert wordt, wordt\r\nook de inhoud van de pagina, alle onderliggende paginas en hun inhoud die\r\naan deze pagina gekoppeld zijn, verwijdert. Wees zeker dat alle inhoud die\r\nbehouden moet worden verplaatst is, voordat een pagina verwijderd wordt.<br>\r\n<br>\r\nZoals bij elke verwijderingsoperatie wordt er gevraagd of er verder gegaan\r\nmoet worden met het verwijderen. Als dit met \"Ja\" beantwoord wordt, zal het\r\nverwijderingsproces verder gaan en is er geen kans meer om dit te herstellen.\r\nWanneer er met \"Nee\" beantwoord wordt, zal de het programma teruggaan naar\r\nhet vorige scherm.<br>\r\n',1038412813);
INSERT INTO international VALUES (619,'WebGUI',3,'Deze functie verwijdert permanent het geselcteerde wobject van een pagina.\r\nWanneer het onzeker is of deze inhoud echt verwijderd moet worden, kan het\r\ngeknipt worden zodat het op het klembord komt te staan totdat zeker is of\r\nhet verwijderd moet worden.<br>\r\n<br>\r\n Zoals bij elke verwijderingsoperatie wordt er gevraagd of er verder gegaan \r\nmoet worden met het verwijderen. Als dit met \"Ja\" beantwoord wordt, zal het \r\nverwijderingsproces verder gaan en is er geen kans meer om dit te herstellen. \r\nWanneer er met \"Nee\" beantwoord wordt, zal de het programma teruggaan naar \r\nhet vorige scherm.<br>\r\n',1038412792);
INSERT INTO international VALUES (618,'WebGUI',3,'<b>Herstel Wachtwoord Bericht</b><br>\r\n Het bericht dat een gebruiker toegestuurd wordt wanneer ze de \"herstel wachtwoord\"\r\nfunctie gebruiken.<br>\r\n  <br>\r\n<b>E-mail voettekst</b><br>\r\nDeze voettekst zal gebruikt worden voor macro\'s en e-mail die vanaf WebGUI\r\nverstuurd worden.<br>\r\n<br>\r\n <b>SMTP Server</b><br>\r\n Dit is het adres van de locale mail server. Dit is nodig voor alle kenmerken \r\ndie het Internet email systeem gebruiken (zoals wachtwoord herstellen).<br>\r\n <br>\r\n Als er een sendmail server en het WebGUI systeem op dezelfde machine gedraaid \r\nworden &nbsp;kan er optioneel ook een pad gespecificeerd worden naar het sendmail\r\nprogramma. Dit kan op de meeste Linux systemen gevonden worden in \"/usr/lib/sendmail\".<br>\r\n <br>\r\n',1039781234);
INSERT INTO international VALUES (617,'WebGUI',3,'Instellingen zijn objecten waarmee WebGUI naar persoonlijke behoeften aangepast\r\nkan worden.<br>\r\n<br>\r\n<b>Bewerk Bedrijfsinformatie</b><br>\r\nSpecifieke informatie over het bedrijf of individu waardoor deze WebGUI installatie\r\nbeheerd wordt.<br>\r\n<br>\r\n<b>Bewerk Inhoud Instellingen</b><br>\r\nInstellingen die betrekking hebben op inhoud of inhoudsmanagement.<br>\r\n<br>\r\n<b>Bewerk Mail Instellingen</b><br>\r\nInstellingen die betrekking hebben op &nbsp;email of gerelateerde functies.<br>\r\n<br>\r\n<b>Bewerk Diverse Instellingen</b><br>\r\nAlle instellingen die niet duidelijk onder een andere noemer vallen.<br>\r\n<br>\r\n<b>Bewerk Profiel Instellingen</b><br>\r\nDefinieer hoe gebruikers profielen eruit zien en hoeveel de gebruikers de\r\nmogelijkheid hebben te bewerken.<br>\r\n<br>\r\n<b>Bewerk Gebruikers Instellingen</b><br>\r\nGebruikers gerelateerde instellingen die verder gaan dan profiel instellingen,\r\ndit zijn bijvoorbeeld authenticatie informatie en registratie opties.<br>\r\n',1038411913);
INSERT INTO international VALUES (616,'WebGUI',3,'<b>Pad naar WebGUI Extras<br>\r\n</b>Het web-pad naar de map die de WebGUI afbeeldings-en javascript bestanden.<br>\r\n<br>\r\n<b>Maximum Bijlage Grootte</b><br>\r\nDe maximum grootte van bestanden waarvan het toegestaan is dat ze in de site\r\ningeladen worden. Dit heeft betrekking op alle wobjecten die het inladen\r\nvan bestanden toestaan (zoals het Artikel en gebruikers bijdragen). De grootte\r\nwordt gemeten in kilobytes.<br>\r\n<br>\r\n<b>Grootte Miniaturen</b><br>\r\nDe grootte van de langste zijde van miniaturen. Bij het genereren van miniaturen\r\nworden de verhoudingen van de zijden behouden. Dus als deze waarde op 100\r\nstaat en er is een afbeelding van 400 bij 200 pixels, zal het miniatuur 100\r\nbij 50 pixels worden.<br>\r\n<br>\r\n<i>N.B.:</i> Miniaturen worden automatisch gegenereerd wanneer afbeeldingen\r\nin het systeem worden ingeladen.<br>\r\n<br>\r\n<b>Web Bijlage Pad</b><br>\r\nHet web-pad van de map waar bijlagen worden opgeslagen.<br>\r\n<br>\r\n<b>Server Bijlage Pad</b><br>\r\nHet locale pad van de map waar bijlagen worden opgeslagen (Dit kan bijvoorbeeld\r\n/var/www/public/uploads zijn). Zorg ervoor dat de webserver de rechten heeft\r\nom in deze map te schrijven.<br>\r\n',1038411072);
INSERT INTO international VALUES (615,'WebGUI',3,'Groepen wworden gebruikt om privileges en verantwoordelijkheden onder te\r\nverdelen binnen het WebGUI systeem. Er kan bijboorbeeld een pagina gemaakt\r\nworden voor een klaslokaal situatie. In dit geval zou er een groep gemaakt\r\nkunnen worden per klas. Deze groepen kunnen nu toegepast worden op de paginas\r\ndie per klas ontworpen zijn.  <br>\r\n<br>\r\nDe volgende verschillende groepen zijn in WebGUI ingebouwd:<br>\r\n<br>\r\n<b>Beheerders</b><br>\r\nBeheerders zijn gebruikers die binnen WebGUI onbeperkte privileges hebben.\r\nEen gebruiker moet alleen aan deze groep toegevoegd worden als de gebruiker\r\nhet systeem kan overzien. Normaal gesproken behoren slechts drie mensen tot\r\ndeze groep.<br>\r\n<br>\r\n<b>Inhoud Beheerders</b><br>\r\nInhoud Beheerders zijn de gebruikers die het recht hebben om inhoud toe tevoegen,\r\nbewerken en verwijderen van verschillende gebieden van de pagina. Deze groep\r\nmoet niet gebruikt worden individuele inhoud gebieden in de pagina te beheren,\r\nmaar om te bepalen of een gebruiker inhoud &nbsp;kan bewerken of niet. Verschillende\r\ngroepen moeten gemaakt worden om de verschillende inhoud gebieden van elkaar\r\nte scheiden<br>\r\n<br>\r\n<b>Iedereen</b><br>\r\nIedereen is een virtuele groep waar nooit iemand aan toegevoegd is, maar\r\nalle leden van de pagina zijn hier een onderdeel van. Als de pagina open\r\ngezet wordt voor zowel bezoekers als geregistreerde gebruikers, gebruik dan\r\ndeze groep.<br>\r\n<br>\r\n<b>Pakketten Beheerders</b><br>\r\ngebruikers die het recht hebben om pakketten van in te zetten wobjecten en\r\npaginas toe te voegen, bewerken en verwijderen.<br>\r\n<br>\r\n<b>Geregistreerde Gebruikers</b><br>\r\nWanneer gebruikers worden toegevoegd aan het systeem worden ze in de geregistreerde\r\ngebruiks groep gezet. Een gebruikerzou alleen uit deze groep verwijderd moeten\r\nworden als de account wordt verwijderd of als een onruststoker gestraft moet\r\nworden.<br>\r\n<br>\r\n<b>Stijl Beheerders</b><br>\r\nGebruikers die het privilege hebben stijlen voor deze paginas te bewerken.\r\nDeze privileges staan de gebruiker niet toe privileges toe te kennen voor\r\neen pagina.<br>\r\n<br>\r\n<b>Sjabloon Beheerders</b><br>\r\ngebruikers die sjablonen mogen bewerken.<br>\r\n<br>\r\n<b>Bezoekers</b><br>\r\nBezoekers zijn gebruikers die niet ingelogd zijn door een accountvan het\r\nsysteem te gebruiken. Ook kan een geregistreerde gebruiker gestraft worden\r\ndoor naar deze groep verplaatst te worden.<br>\r\n',1037988236);
INSERT INTO international VALUES (759,'WebGUI',3,'Bewerk deze map.',1037986853);
INSERT INTO international VALUES (614,'WebGUI',3,'Stijlen worden gebruikt om te regelen he de WebGUI paginas eruit zien en\r\naanvoelen. Met WebGUI kan een onbeperkt aantal stijlen gemaakt worden, zodat\r\nde pagina zoveel uiterlijken kan hebben als gewenst. Er kunnen een paar paginas\r\ngemaakt worden die de stijl van de brochure hebben en een paar andere met\r\nhet uitelijk van&nbsp;Yahoo!&reg;. Er kunnen zelfs paginas gemaakt worden\r\nmet het uiterlijk van de paginas van een boek. Met stijl beheer is er onbeperkt\r\ninvloed op alle ontwerpen.<br>\r\n<br>\r\nEr zijn verscheidene stijlen ingebouwd in WebGUI. De eersten worden gebruikt\r\ndoor WebGUIen moeten niet worden bewerkt of verwijderd. De laatste paar zijn\r\nvoorbeeldstijlen en kunnen zoveel als gewenst worden bewerkt of verwijderd.<br>\r\n<br>\r\n<b>Klembord</b><br>\r\nDeze stijl wordt door het klembord systeem gebruikt.<br>\r\n<br>\r\n<b>Veilige modus</b><br>\r\nWanneer een stijl wordt verwijderd dat op sommige paginas nog steeds gebruikt\r\nwordt, zal de Veilige Modus stijl gebruikt worden op deze paginas. Deze stijl\r\nheeft een witte achtergrond en een simpele navigatie.<br>\r\n<br>\r\n<b>Maak Pagina Printbaar </b><br>\r\nDeze stijl wordt gebruikt als een <b>^r;</b> macro wordt geplaatst op de\r\npaginas en de gebruiker hierop klikt. Deze stijl stelt u in staat een simpel\r\nlogo en een copyright bericht op de printbare paginas af te drukken.<br>\r\n<br>\r\n<b>Pakketten</b><br>\r\nDeze stijl wordt gebruikt bij het pakketten beheer systeem.<br>\r\n<br>\r\n<b>Afval</b><br>\r\nDeze stijl wordt gebruikt door het afval systeem<br>\r\n<br>\r\n<hr width=\"100%\" size=\"1\" noshade=\"noshade\"><b>Demonstratie Stijl</b><br>\r\nDit is een proefontwerp dat van een sjablonenpagina (www.freewentemplates.com)\r\ngehaald.<br>\r\n<br>\r\n<b>Plain Black Software (black) &amp; (white)</b><br>\r\nDeze ontwerpen worden op de Plain Black paginas gebruikt.<br>\r\n<br>\r\n<b>Yahoo!&reg;</b><br>\r\nDit is is het ontwerp van de Yahoo!&reg; pagina (zonder toestemming gebruikt).<br>\r\n<br>\r\n<b>WebGUI</b><br>\r\nDit is een simpel ontwerp met de WebGUI logos.<br>\r\n<br>\r\n<b>WebGUI 4</b><br>\r\nDeze stijl was toegevoegd bij WebGUI 4.0.0. Het is nu de standaard stijl\r\nen heeft de WebGUI stijl overtroffen.<br>\r\n',1037986626);
INSERT INTO international VALUES (613,'WebGUI',3,'Gebruikers zijn de accounts in het systeem die de rechten hebben om bepaalde\r\ndingen te doen. er zijn twee standaard gebruikers in het systeem: Beheerder\r\nen Bezoeker.<br>\r\n<br>\r\n<i><b>Beheerder</b><br>\r\nDe is precies wat het zegt. Het is een gebruiker met onbeperkte rechten in\r\nde WebGUI omgeving. Als iets gedaan kan worden, heeft deze gebruiker het\r\nrecht om het te doen.<br>\r\n<br>\r\n<br>\r\n<b>Bezoeker</b><br>\r\nDe Bezoeker is precies het tegenovergestelde van de Beheerder. een Bezoeker\r\nheeft geen rechten. Standaard wordt een gebruiker die niet ingelogd is gezien\r\nals Bezoeker.<br>\r\n<br>\r\n<br>\r\n<b>Voeg nieuwe gebruiker toe.</b><br>\r\nKlik hierop om naar het \"Gebruiker Toevoegen\" scherm te gaan.<br>\r\n<br>\r\n<br>\r\n<b>Zoek</b><br>\r\nGebruikers kunnen gezocht worden op gebruikersnaam en email adres. Er kunnen\r\nook gedeeltelijke zoekopdrachten uitgevoerd worden.</i><br>\r\n',1037983861);
INSERT INTO international VALUES (611,'WebGUI',3,'<b>Bedrijfsnaam</b><br>\r\nDe naam van het bedrijf. Deze zal in alle e-mails en overal waar het bedrijfsnaam\r\nmacro wordt gebruikt verschijnen.<br>\r\n<br>\r\n<b>Bedrijfs E-mail Adres</b><br>\r\nEen algemeen e-mail adres van het bedrijf. Dit is het adres waar alle geautomatiseerde\r\ne-mails van het bedrijf vandaan komen. Het kan ook gebruikt worden met behulp\r\nvan het WebGUI macro systeem.<br>\r\n<br>\r\n<b>Bedrijfs URL</b><br>\r\nHet primaire URL van het bedrijf. Dit zal in alle e-mails, die met het WebGUI\r\nsysteem verstuurd worden verschijnen. Het kan ook gebruikt worden met behulp\r\nvan het WebGUI macro systeem.<br>\r\n',1039781103);
INSERT INTO international VALUES (610,'WebGUI',3,'Zie <b>Gebruiker Beheer</b> voor extra details.<br>\r\n<br>\r\n<b>Gebruikersnaam</b><br>\r\nDe gebruikersnaam is een unieke identificatie voor een gebruiker. Het is\r\nook de naam waaronder een gebruiker bekend staat op de pagina. (<i>N.B.:</i>\r\nbeheerders hebben ongelimiteerd gebruik in het WebGUI systeem. Dit betekent\r\nook dat ze het systeem kapot kunnen maken. Wanneer een gebruiker wordt hernoemd\r\nof toegevoegd, zorg dan dat er geen gebruiksnaam wordt gebruikt die al bestaat.)<br>\r\n<br>\r\n<b>Wachtwoord</b><br>\r\nEen wachtwoord wordt gebruikt om te controleren of een gebruiker inderdaad\r\nis wie hij of zij zegt dat hij of zij is.<br>\r\n<br>\r\n<b>Authenticatie Methode</b><br>\r\nZie <i>Bewerk Instellingen</i> voor details.<br>\r\n<br>\r\n<b>LDAP URL<br>\r\n</b>Zie <i>Bewerk Instellingen</i> voor details.<br>\r\n<br>\r\n<b>DN verbinding</b><br>\r\nDe DN verbinding is de <b>cn</b> (of common name (normale naam)) van een\r\ngegeven gebruiker in de LDAP database. Deze zou bijvoorbeeld gespecificeerd\r\nmoeten worden als <b>cn=John Doe</b>. Dez is in een aangepaste versie is\r\nmeestal ook de gebruikersnaa, die gebruikt wordt voor de authenticatie in\r\nde LDAP server.<br>\r\n',1037982376);
INSERT INTO international VALUES (607,'WebGUI',3,'<b>Anonieme Registratie</b><br>\r\n Is het gewenst dat bezoekers zichzelf kunnen inschrijven?<br>\r\n <br>\r\n <b>Start Bij Registratie</b><br>\r\n Wanneer hier een commandoregel is gespecificeerd, zal dit commando elke\r\nkeer dat een gebruiker zich anoniem inschrijft uitgevoerd worden.<br>\r\n <br>\r\n <b>Waarschuwen bij nieuwe gebruiker?</b><br>\r\n Moet iemand gewaarschuwd worden als een gebruiker zich anoniem inschrijft.<br>\r\n <br>\r\n <b>Waar te schuwen groep bij nieuwe gebruiker</b><br>\r\n welke groep moet worden gewaarschuwd wanneer een nieuwe gebruiker zich inschrijft.<br>\r\n <br>\r\n <b>Karma aanzetten?</b><br>\r\n Moet karma zijn aangezet?<br>\r\n <br>\r\n <b>Karma Per Login</b><br>\r\n De hoeveelheid karma die aan een gebruiker gegeven wordt wanneer ingelogd \r\nwordt. Dit heeft alleen effect als karma aan is gezet.<br>\r\n <br>\r\n <b>Sessie Uitschakelen Na</b><br>\r\n De hoeveelheid tijd dat een gebruiker actief blijft (voordat er opnieuw\r\nmoet worden ingelogd). Deze tijd wordt iedere keer dat een gebruiker een\r\npagina bezicht op nul gesteld. Als deze tijd op bijvoorbeeld op 8 uur staat,\r\nmoet een gebruiker opnieuw inloggen als de pagina 8 uur niet bezocht is.<br>\r\n <b><br>\r\nAuthenticatie methode (standaard)</b><br>\r\nWat is de standaard authenticatie methode voor nieuwe accounts. De twee opties\r\nzijn WebGUi en LDAP. WebGUI authenticatie dat gebruikers zich moeten authenticeren\r\nmet de gebruikersnamen en wachtwoorden die in de WebGUI database staan. LDAP\r\nauthenticatie betekent dat de gebruikersnamen en wachtwoorden in een externe\r\nLDAP server staan.<br>\r\n<br>\r\n<i>N.B.:</i> De authenticatie instellingen kunnen per gebruiker ingesteld\r\nworden.<br>\r\n<br>\r\n<b>Gebruiksnaam Koppeling</b><br>\r\nKoppel de WebGUI gebruikersnaam aan de LDAP identiteit. Dit vereist dat de\r\ngebruiker in WebGUI dezelfde gebruikersnaam heeft&nbsp;als gespecificeerd\r\nis &nbsp;in het Anonieme &nbsp;Registratieprocess. Het betekent ook dat ze\r\nlater niet in staat zijn hun gebruikersnaam te veranderen. Dit is alleen\r\nin werking gesteld als de gebruiker geauthenticeerd wordt met LDAP.<br>\r\n<br>\r\n<b>URL LDAP (standaard)</b><br>\r\nhet standaard URL van de LDAP server. Het LDAP URL neemt de volgende vorm\r\naan: <b>ldap://[server]:[poort]/[basis DN]</b>. Voorbeeld: ldap://ldap.mycompany.com:389/o=MyCompany.<b><br>\r\n<br>\r\nLDAP identiteit</b><br>\r\nDe LDAP identiteit is de unieke identificatie van een gebruiker. Vaak neemt\r\ndit veld (<b>Kortenaam)</b> de volgende vorm aan: eerste voorletter + achternaam.\r\nVoorbeeld: jdoe. Hiervoor moet de LDAP identiteit, wanneer deze als <i>kortenaam</i>\r\ningesteld is, door Jon Doe als <i>jdoe</i> ingevoerd worden tijdens het registratie\r\nprocess.<b></b><br>\r\n<br>\r\n<b>LDAP Identiteitsnaam</b><br>\r\nHet etiket dat de LDAP identiteit gebruikt voor de gebruiker. Sommige bedrijven\r\ngebruiken bijvoorbeeld een LDAP server voor hun proxy servers gebruikers\r\nom zich te identificeren. In de documentatie of training wordt de <i>Webgebruikersnaam</i>\r\nal aan de gebruikers gegeven, zodat dat etiket consistent gebruikt wordt.<br>\r\n<br>\r\n<i><b>LDAP Wachtwoord</b><br>\r\nNet als de LDAP indentiteitsnaam is hetLDAP wachtwoord een etiket. Gebruik\r\ndit etiket net zoals de LDAP identiteitsnaam.</i><br>\r\n',1037980931);
INSERT INTO international VALUES (606,'WebGUI',3,'Paginas kunnen gezien worden als containers voor inhoud. Als iemand bijvoorbeeld \r\n een brief wilt schrijven aan een redakteur van zijn/haar favoriete blad, \r\ndan wordt er een notepad of tekstverwerker geopend en gevuld met gedachten. \r\nHetzelfde geldt voor WebGUI. Maak een pagina en voeg dan de inhoud toe.<br>\r\n   <br>\r\n   <b>Titel</b><br>\r\n   De titel van de pagina wordt gebruikt door gebruikers om zich in een webpagina \r\n te orienteren. Titels moeten de inhoud beschrijven, maar niet te lang zijn.<br>\r\n   <br>\r\n   <b>Menu Titel</b><br>\r\n   Eeen kortere of veranderde titel die tijdens het navigeren verschijnt. \r\nAls  dit leegelaten wordt zal de titel standaard op <i>Titel</i> gezet worden.<br>\r\n   <br>\r\n   <b>Pagina URL</b><br>\r\n   Het URL is meestal gebaseerd op de titel van de pagina. Wanneer het URL\r\n niet voldoet, kan het hier verandert worden.<br>\r\n   <br>\r\n   <b>Taal<br>\r\n</b>Kies een standaard taal voor deze pagina. Alle berichten die door WebGUI\r\ngegenereerd worden zullen in deze taal en het karakterset van deze taal getoond\r\nworden.<br>\r\n<b><br>\r\nURL hergeleiden</b><br>\r\n   Wanneer de pagina wordt bezocht, wordt de gebruiker naar het hier gespecificeerd \r\n URL geleid. Om deze pagina in de toekomst te bewerken, moet het vanaf \"Beheer \r\n pagina boom\" in het \"Administratieve functies...\"-menu geopend worden.<br>\r\n   <br>\r\n   <b>Sjabloon</b><br>\r\n   WebGUI heeft standaard een grote ruimte om wobjecten te plaatsen. Als\r\ner echter een sjabloon anders dan de standaard gemaakt wordt, kan de inhoud\r\nruimte onderverdeeld worden in verschillende secties.<br>\r\n   <br>\r\n   <b>Korte Samenvatting</b><br>\r\n   Een korte beschrijving van de pagina. Het kan voor zowel meta tags alsook\r\n beschrijvingen op pagina overzichten  gebruikt worden.<b><br>\r\n  <br>\r\n  Meta Tags<br>\r\n  </b>Meta tags worden door sommige zoekmachines gebruikt om sleutelwoorden\r\n te associeren met een bepaalde pagina. Er is een websit, <a\r\n href=\"http://www.metatagbuilder.com\">Meta Tag Builder</a>, die mensen die\r\n nooit meta tags gemaakt hebben, kan helpen ze te maken.<br>\r\n  <br>\r\n  <i>Geavanceerde gebruikers:<b> </b></i>Als er regelmatig andere dingen\r\n(zoals  Javascript) in de paginaruimte gebruikt worden, kunnen die bij de\r\nmeta tags  gezet worden.<br>\r\n  <br>\r\n  <b>Standaard meta tags gebruiken?</b><br>\r\n  WebGUI kan zelf meta tags maken, als dit niet handmatig gedaan wordt. Deze\r\n worden gebaseerd op de paginatitel en de bedrijfsnaam. Vink dit vak aan\r\nom  WebGui meta tags te laten genereren.<br>\r\n  <br>\r\n  <b>Stijl</b><br>\r\n  Wanneer een pagina gemaakt wordt neemt het standaard een paar eigenschappen \r\nover van het origineel. Stijl is &eacute;&eacute;n van deze eigenschappen. \r\nKies uit de lijst van stijlen of het uiterlijk van de pagina verandert moet \r\nworden. Zie <i>Stijl toevoegen</i> voor meer details.<br>\r\n <br>\r\n Als \"Ja\" geselecteerd is onder het pull-down menu, zullen alle paginas onder \r\ndeze pagina deze stijl aannemen.<br>\r\n <br>\r\n <b>Begindatum</b><br>\r\n De datum waarvanaf de gebruikers de pagina kunnen bezichtigen. Let op dat \r\nvoor deze datum alleen de&nbsp; beheerders van de inhoud met bewerkingsrechten \r\nde pagina kunnen zien.<br>\r\n <br>\r\n <b>Einddatum</b><br>\r\n De datum waarvanaf de gebruikers de pagina niet meer kunnen bekijken. Let \r\nop dat na deze datum alleen de&nbsp; beheerders van de inhoud met bewerkingsrechten \r\nde pagina kunnen zien.<br>\r\n <br>\r\n <b>Eigenaar</b><br>\r\n De eigenaar van de pagina is meestal de persoon de de pagina gemaakt heeft.<br>\r\n <br>\r\n <b>Kan de eigenaar de pagina bekijken?</b><br>\r\n Kan de eigenaar de pagina wel of niet zien.<br>\r\n <br>\r\n <b>Kan de eigenaar bewerken?</b><br>\r\n kan de eigenaar de pagina bewerken of niet? Wees voorzichtig, als besloten \r\nwordt dat de eigenaar de pagina niet kan bewerken en u behoort niet tot de \r\npagina groep u de mogelijkheid om de pagina te kunnen bewerken, verliest.<br>\r\n <br>\r\n <b>Groep</b><br>\r\n Er wordt aan elke pagina een groep toegewezen met extra privileges. Kies \r\neen groep uit het pull-down menu.<br>\r\n <br>\r\n <b>Kan de groep de pagina bekijken?</b><br>\r\n Kunnen leden van de groep de pagina bezichtigen?<br>\r\n <br>\r\n <b>Kan de groep bewerken?</b><br>\r\n Kunnen leden van de groep de pagina bewerken?<br>\r\n <br>\r\n <b>Kan iedereen de pagina bekijken?</b><br>\r\n Kan elke bezoeker of gebruikerde pagina bezichtigen, ongeacht de groep of \r\neigenaar.<br>\r\n <br>\r\n <b>Kan iedereen bewerken?</b><br>\r\n  Kan elke bezoeker of gebruikerde pagina bewerken, ongeacht de groep of\r\neigenaar.<br>\r\n <br>\r\n Deze privileges kunnen ook recursief aan alle paginas onder deze pagina\r\ngegeven worden.<br>\r\n <br>\r\n   <b>Hoe verder?</b><br>\r\nAls dit op de standaard instelling gelaten wordt gaat u meteen naar de pagina\r\ndie u gemaakt heeft.<br>\r\n',1039781039);
INSERT INTO international VALUES (537,'WebGUI',3,'Karma',1037973648);
INSERT INTO international VALUES (73,'USS',3,'Sjabloon van de Bijdrage',1037973607);
INSERT INTO international VALUES (72,'USS',3,'Belangrijkste Sjabloon',1037973577);
INSERT INTO international VALUES (61,'USS',3,'Gebruikersbijdrage systeem, Toevoegen/Bewerken',1039597147);
INSERT INTO international VALUES (59,'USS',3,'Volgende Bijdrage',1037970733);
INSERT INTO international VALUES (58,'USS',3,'Vorige Bijdrage',1037970719);
INSERT INTO international VALUES (38,'USS',3,'(Selecteer \"Nee\" als er een HTML bijdrage geschreven wordt.)',1037970705);
INSERT INTO international VALUES (71,'SyndicatedContent',3,'Syndicated content is inhoud van een pagina die van een andere pagina gehaald\r\nwordt met behulp van de RDF/RSS specificatie. Deze techniek wordt vaak gebruikt\r\nom de koppen van verschillende nieuwspaginas zoals  <a\r\n href=\"www.cnn.com\">CNN</a> en <a href=\"http://slashdot.org\">Slashdot</a>&nbsp;te\r\nhalen. Het kan natuurlijk ook voor andere dingen zoals sportuitslagen, informatie\r\nover de aandelenmarkt, etc. gebruikt worden.<br>\r\n<br>\r\n<b>URL naar RSS bestand</b><br>\r\nVoorzie het syndicated content bestand (RDF of RSS) bestand van het volledige\r\nURL (beginnend met http://). De syndicated content wordt elk uur gedownload\r\nvan dit URL.<br>\r\n<br>\r\nSyndicated content kan onder andere op de volgende plaatsen gevonden worden:\r\n<ul>\r\n  <li><a href=\"http://www.newsisfree.com\">http://www.newsisfree.com</a></li>\r\n  <li><a href=\"http://www.syndic8.com\">http://www.syndic8.com</a></li>\r\n  <li><a href=\"http://www.voidstar.com/node.php?id=144\">http://www.voidstar.com/node.php?id=144</a></li>\r\n  <li><a href=\"http://my.userland.com\">http://my.userland.com</a></li>\r\n  <li><a href=\"http://www.webreference.com/services/news/\">http://www.webreference.com/services/news/</a></li>\r\n  <li><a href=\"http://www.xmltree.com\">http://www.xmltree.com</a></li>\r\n  <li><a href=\"http://w.moreover.com/\">http://w.moreover.com/</a><br>\r\n  </li>\r\n</ul>\r\n',1037970486);
INSERT INTO international VALUES (61,'SyndicatedContent',3,'Syndicated Content, Toevoegen/Bewerken',1037969458);
INSERT INTO international VALUES (71,'Survey',3,'Cijferboek',1037969411);
INSERT INTO international VALUES (61,'Survey',3,'Bekijk cijferboek.',1037969315);
INSERT INTO international VALUES (5,'Survey',3,'Opvolgend',1037969276);
INSERT INTO international VALUES (30,'USS',3,'Karma Per Bijdrage',1037969249);
INSERT INTO international VALUES (9,'Survey',3,'Enqu&ecirc;te\r\n',1037968997);
INSERT INTO international VALUES (8,'Survey',3,'Volgorde Vragen',1037968964);
INSERT INTO international VALUES (74,'Survey',3,'Weet u zeker dat u alle reacties wilt verwijderen?',1037968943);
INSERT INTO international VALUES (73,'Survey',3,'Verwijder alle reacties.',1037968916);
INSERT INTO international VALUES (72,'Survey',3,'Weet u zeker dat u de reacties van deze gebruiker wilt verwijderen?',1037968899);
INSERT INTO international VALUES (70,'Survey',3,'Indivuele Reacties',1037968852);
INSERT INTO international VALUES (69,'Survey',3,'Verwijder de reacties van deze gebruiker.',1037968762);
INSERT INTO international VALUES (68,'Survey',3,'Bekijk verslagen en exports.',1037968735);
INSERT INTO international VALUES (67,'Survey',3,'Gebruiker',1037968674);
INSERT INTO international VALUES (66,'Survey',3,'Reacties',1037968663);
INSERT INTO international VALUES (65,'Survey',3,'Exporteer samengestelde samenvatting.',1037968653);
INSERT INTO international VALUES (64,'Survey',3,'Exporteer reacties',1037968600);
INSERT INTO international VALUES (63,'Survey',3,'Exporteer vragen.',1037968585);
INSERT INTO international VALUES (62,'Survey',3,'Exporteer antwoorden.',1037968571);
INSERT INTO international VALUES (60,'Survey',3,'Terug naar enqu&ecirc;te.\r\n',1037968471);
INSERT INTO international VALUES (6,'Survey',3,'Willekeurig',1037968434);
INSERT INTO international VALUES (59,'Survey',3,'Bekijk statistisch overzicht.',1037968421);
INSERT INTO international VALUES (58,'Survey',3,'Statistisch Overzicht',1037968400);
INSERT INTO international VALUES (57,'Survey',3,'Commentaar',1037968323);
INSERT INTO international VALUES (56,'Survey',3,'Bekijk commentaar.',1037968304);
INSERT INTO international VALUES (55,'Survey',3,'Bekijk reacties.',1037968289);
INSERT INTO international VALUES (54,'Survey',3,'Percentage',1037968270);
INSERT INTO international VALUES (53,'Survey',3,'Reacties',1037968243);
INSERT INTO international VALUES (52,'Survey',3,'Score',1037968228);
INSERT INTO international VALUES (51,'Survey',3,'Commentaar?',1037968195);
INSERT INTO international VALUES (50,'Survey',3,'Volgende',1037968182);
INSERT INTO international VALUES (49,'Survey',3,'U kunt momenteel niet deelnemen aan de quiz.',1037968062);
INSERT INTO international VALUES (48,'Survey',3,'U bent momenteel niet bevoegd om aan deze enqu&ecirc;te mee te doen.<br>\r\n',1037968040);
INSERT INTO international VALUES (47,'Survey',3,'U heeft de quiz afgerond.',1037967841);
INSERT INTO international VALUES (46,'Survey',3,'Bedankt voor het invullen van onze enqu&ecirc;te.\r\n',1037967798);
INSERT INTO international VALUES (45,'Survey',3,'Weet u zeker dat u dit antwoord en de reacties wilt verwijderen?',1037967714);
INSERT INTO international VALUES (44,'Survey',3,'Weet u zeker dat u deze vraag inclusief de antwoorden en reacties wilt verwijderen?',1037967671);
INSERT INTO international VALUES (43,'Survey',3,'Nooit',1037967613);
INSERT INTO international VALUES (42,'Survey',3,'Soms',1037967599);
INSERT INTO international VALUES (41,'Survey',3,'Vaak',1037967514);
INSERT INTO international VALUES (40,'Survey',3,'Altijd',1037967502);
INSERT INTO international VALUES (4,'Survey',3,'Enqute\'s laten u informatie van uw gebruikers verzamelen. In het geval van\r\nWebGUI enqute kunt u ze ook gebruiken om de kennis van uw gebruikers te\r\ntesten.<br>\r\n<br>\r\n<b>Vraag volgorde<br>\r\n</b>De volgorde van de vragen zal gevraagd worden. Sequentieel laat de vragen\r\nzien in de volgorde waarin u ze gemaakt heeft. Willekeurige volgorde laat\r\nze in willekeurige volgorde zien. Antwoord gestuurd laat de vragen zien op\r\nbasis van de antwoorden van de gebruikers.<br>\r\n<br>\r\n<b>Mode</b><b><br>\r\n</b>Standaard start de enqute in enqute mode. Dit geeft u de mogelijkheid\r\nom uw gebruikers vragen te stellen. Als u naar quiz mode wisselt kunt u zelf-verbeterende\r\nantwoorden test van uw gebruikers kennis laten zien.<br>\r\n<br>\r\n<b>Wie kan de enqute doen?</b><br>\r\nWelke gebruikers mogen in de enqute deelnemen?<br>\r\n<br>\r\n<b>Wie kan rapporten bekijken?</b><br>\r\nWie kan de rapporten van de enqute bekijken?<br>\r\n<br>\r\n<b>Hoe verder?</b><br>\r\nAls u dit default laat zal er meteen om een vraag gevraagd worden na het\r\ntoevoegen van de enqute.<br>\r\n',1039784249);
INSERT INTO international VALUES (39,'Survey',3,'Niet van toepassing',1037967463);
INSERT INTO international VALUES (38,'Survey',3,'Helemaal oneens',1037967425);
INSERT INTO international VALUES (37,'Survey',3,'Oneens',1037967311);
INSERT INTO international VALUES (36,'Survey',3,'Enigszins oneens',1037967300);
INSERT INTO international VALUES (35,'Survey',3,'Enigszins mee eens',1037967285);
INSERT INTO international VALUES (34,'Survey',3,'Mee eens',1037967262);
INSERT INTO international VALUES (33,'Survey',3,'Helemaal mee eens',1037967246);
INSERT INTO international VALUES (32,'Survey',3,'Onjuist',1037967219);
INSERT INTO international VALUES (31,'Survey',3,'Juist',1037967208);
INSERT INTO international VALUES (30,'Survey',3,'Voeg een nieuwe vraag toe.',1037967189);
INSERT INTO international VALUES (3,'Survey',3,'Enqu&ecirc;te, Toevoegen/Bewerken\r\n',1039597071);
INSERT INTO international VALUES (29,'Survey',3,'Voeg een in te vullen antwoord toe.',1037967068);
INSERT INTO international VALUES (28,'Survey',3,'Voeg een vraag toe.',1037966977);
INSERT INTO international VALUES (27,'Survey',3,'Voeg een menings (mee eens tot niet mee eens) antwoord schaal toe.',1037966964);
INSERT INTO international VALUES (26,'Survey',3,'Voeg een altijd tot nooit antwoord schaal toe. ',1037966896);
INSERT INTO international VALUES (25,'Survey',3,'Voek een juist/onjuist antwoord toe.',1037966636);
INSERT INTO international VALUES (24,'Survey',3,'Voeg een meerkeuze antwoord toe.',1037966600);
INSERT INTO international VALUES (23,'Survey',3,'Voeg een nieuw antwoord toe.',1037966575);
INSERT INTO international VALUES (22,'Survey',3,'Type Antwoord',1037966556);
INSERT INTO international VALUES (21,'Survey',3,'Ga Naar',1037966541);
INSERT INTO international VALUES (20,'Survey',3,'Is dit antwoord juist?',1037966527);
INSERT INTO international VALUES (2,'Survey',3,'Bewerk Enqu&ecirc;te\r\n',1037966503);
INSERT INTO international VALUES (19,'Survey',3,'Antwoord',1037966407);
INSERT INTO international VALUES (18,'Survey',3,'Bewerk Antwoord',1037966396);
INSERT INTO international VALUES (17,'Survey',3,'Bewerk Vraag',1037966383);
INSERT INTO international VALUES (16,'Survey',3,'Antwoorden in willekeurige volgorde plaatsen?',1037966370);
INSERT INTO international VALUES (15,'Survey',3,'Commentaar toestaan?',1037966207);
INSERT INTO international VALUES (14,'Survey',3,'Vraag',1037966189);
INSERT INTO international VALUES (13,'Survey',3,'Wie kan verslagen inzien?',1037966177);
INSERT INTO international VALUES (12,'Survey',3,'Wie kan de enqu&ecirc;te afnemen?\r\n',1037966157);
INSERT INTO international VALUES (10,'Survey',3,'Quiz',1037965894);
INSERT INTO international VALUES (1,'Survey',3,'Enqu&ecirc;te\r\n',1037965882);
INSERT INTO international VALUES (592,'WebGUI',3,'Karakter set',1037904981);
INSERT INTO international VALUES (587,'WebGUI',3,'Weet u zeker dat u deze taal en alle helpberichten die erbij horen wilt weggooien?',1037904834);
INSERT INTO international VALUES (580,'WebGUI',3,'Uw bericht is afgekeurd.',1037904795);
INSERT INTO international VALUES (579,'WebGUI',3,'Uw bericht is goedgekeurd.',1037904775);
INSERT INTO international VALUES (578,'WebGUI',3,'U heeft wachtende berichten goed te keuren.',1037904761);
INSERT INTO international VALUES (571,'WebGUI',3,'Deblokeer draad ',1037904734);
INSERT INTO international VALUES (570,'WebGUI',3,'Blokkeer draad',1037904719);
INSERT INTO international VALUES (569,'WebGUI',3,'Moderatie type',1037904708);
INSERT INTO international VALUES (568,'WebGUI',3,'Achteraf',1037904697);
INSERT INTO international VALUES (567,'WebGUI',3,'Vantevoren',1037904686);
INSERT INTO international VALUES (559,'WebGUI',3,'Uitvoeren bij registratie',1037904669);
INSERT INTO international VALUES (557,'WebGUI',3,'Beschrijving',1037904633);
INSERT INTO international VALUES (556,'WebGUI',3,'Hoeveelheid',1037904622);
INSERT INTO international VALUES (554,'WebGUI',3,'Neem actie',1037904567);
INSERT INTO international VALUES (553,'WebGUI',3,'Status',1037904556);
INSERT INTO international VALUES (552,'WebGUI',3,'Wachtend',1037904548);
INSERT INTO international VALUES (551,'WebGUI',3,'Berichtje',1037904530);
INSERT INTO international VALUES (541,'WebGUI',3,'Karma per post',1037904507);
INSERT INTO international VALUES (540,'WebGUI',3,'Karme per keer inloggen',1037904496);
INSERT INTO international VALUES (539,'WebGUI',3,'Karma aanzetten?',1037904482);
INSERT INTO international VALUES (538,'WebGUI',3,'Karma grens',1037904470);
INSERT INTO international VALUES (535,'WebGUI',3,'Groep die gewaarschuwd moet worden wanneer een nieuwe gebruiker toegevoegd is',1037904453);
INSERT INTO international VALUES (367,'WebGUI',3,'Verlopen na',1037904389);
INSERT INTO international VALUES (71,'EventsCalendar',3,'Evenementen Kalenders worden op veel intranets gebruikt om afspraken die\r\nde hele organisatie beinvloeden bij te houden. Bovendien worden evenementen\r\nkalenders op klantensites gebruikt om klanten op de hoogte te houden van\r\naanbiedingen en promoties.<br>\r\n<br>\r\n<b>Kalender layout</b><br>\r\nHier kan lijst of maand gekozen worden. Wanneer lijst gekozen wordt zullen\r\nde evenementen in een cronologische lijst getoond worden. Wanneer voor maand\r\ngekozen wordt zal een maandelijkse kalender getoond worden, waar per maand\r\nin gebladerd kan worden.<br>\r\n<br>\r\n<b>Gebeurtenis sjabloon</b><br>\r\nKies de layout die individuele gebeurtenissen binnen kalenders zullen krijgen.<br>\r\n<br>\r\n<b>Begin maand</b><br>\r\nKies de maand waarop uw kalender begint. Als u kiest voor \"huidige\" zal de kalender altijd op de huidige maand blijven. Daarom zal hij van maand tot maand veranderen. Als je kies voor \"eerste in de kalender\" zal hij beginnen op welke datum dan ook als eerste in de kalender zit.<br>\r\n<br>\r\n<b>Eind maand</b><br>\r\nKies de maand waarop uw kalender eindigt. Als u kiest voor \"laat X maanden vanaf het begin zien\", dan zijn er alleen maar X maanden informatie te zien. Als u kiest voor \"huidge\" dan zal de kalender eindigen op de maand waar u op dit moment in bent. Als u kiest voor \"laatste in de kalender\" dan zal de calender te zien zijn tot op de laatste datum die in de kalender ingevoerd is.<br>\r\n<br>\r\n<b>Standaard maand</b><br>\r\nKies op welke maand deze kalender stanaard start wanneer er een bezoeker komt op de pagina waar deze kalender op staat.\r\n<b>Breek pagina af na</b><br>\r\nWanneer de lijst layout gebruikt wordt kan hier aangegeven worden hoeveel\r\ner per pagina getoond mogen worden.<br>\r\n<br>\r\n<b>Doorgaan met evenement toevoegen?</b><br>\r\nLaat hier \'ja\' staan wanneer meteen een evenement toegevoegd zal worden.<br>\r\n<br>\r\n<i>Note:</i> Evenementen die al voorbij zijn worden niet meer getoond in\r\nde kalender.<br>\r\n<br>\r\n<i>Note:</i> De volgende css-stijl is specifiek\r\nvoor de Evenementen Kalender<br>\r\n<br>\r\n<b>.eventTitle</b><br>\r\nDe titel van een evenement.<br>\r\n',1039741152);
INSERT INTO international VALUES (534,'WebGUI',3,'Waarschuwing bij nieuwe gebruiker?',1037901925);
INSERT INTO international VALUES (495,'WebGUI',3,'htmlArea (standaard)',1039780232);
INSERT INTO international VALUES (404,'WebGUI',3,'Eerste Pagina',1037901889);
INSERT INTO international VALUES (71,'SiteMap',3,'Een sitemap wordt gebruikt om extra navigatie te bieden in WebGUI. \r\nEen traditioneel overzicht kan gemaakt worden dat een hierarchisch beeld geeft\r\nvan alle paginas in de webpagina. Ook kunnen pagian overzichten gebruikt worden\r\nom extra navigatie te bieden in een bepaalde niveauvan de pagina.<br>\r\n <br>\r\n <b>Sjabloon</b><br>\r\nKies een layout voor deze sitemap.<br>\r\n <br>\r\n <b>Beginnen met</b><br>\r\nSelecteer de pagina waarmee deze sitemap moet beginnen.<br>\r\n <br>\r\n <b>Aantal niveaus weer te geven</b><br>\r\n Hoeveel niveaus moet het pagina overzicht laten zien. Wanneer 0 is ingevoerd \r\nzullen alle onderliggende niveaus getoond worden.<br>',1039989792);
INSERT INTO international VALUES (855,'WebGUI',3,'Geef een lijst van alle sjablonen.',1039989692);
INSERT INTO international VALUES (854,'WebGUI',3,'Geef een lijst met alle sjablonen zoals deze.',1039989672);
INSERT INTO international VALUES (71,'MailForm',3,'Dit wobject maakt een eenvoudig formulier dat een e-mail kan versturen.<br>\r\n <br>\r\n <b>Breedte</b><br>\r\n De breedte van alle velden in het formulier. De standaard waarde is 45.<br>\r\n <br>\r\n <b>Van, Naar, Cc, Bcc, Onderwerp</b><br>\r\n Deze velden controleren het uiterlijk van de e-mail wanneer hij verstuurd \r\nwordt en naar wie. De bezoekers van de pagina kunnen de mogelijkheid gegeven \r\nworden sommige of alle velden aan te passen. De \"Van\" en \"Onderwerp\" velden \r\nzijn meestal de enige velden waarvan het gewenst is dat de gebruiker ze kan \r\nbewerken. Gebruik de opties bij elk veld om te kiezen of een gebruiker dit \r\nveld wel of niet kan zien of bewerken.<br>\r\n <br>\r\n Er kan ook in het \"Naar\" veld een WebGUI gebruikersnaam of groep ingevoerd \r\nworden. De e-mail wordt dan gestuurd naar de corresponderende gebruiken of \r\ngroep.<br>\r\n <br>\r\n <b>Bevestiging</b><br>\r\n Dit bericht wordt weergegevn nadat de gebruiker op \"Verzenden\" heeft geklikt.<br>\r\n <br>\r\n <b>Opslaan Gegevens?</b><br>\r\n Wanneer deze op \"Ja\" staat worden de ingevulde gegevens opgeslagen in de \r\ndatabase, zodat ze later bekeken kunnen worden. De applicatie voor het bekijken \r\nvan deze database is nog niet verkrijgbaar, maar zodra dit wel zo is kunnen \r\nde gegevens bekeken worden in een centrale locatie.<br>\r\n <br>\r\n <b>Nog meer velden toevoegen?</b><br>\r\n Laat dit aangevinkt staan, wanneer er direct extra velden aan het formulier \r\ntoegevoegd worden.<br>\r\n <br>\r\n',1039783898);
INSERT INTO international VALUES (61,'SiteMap',3,'Sitemap, Toevoegen/Bewerken',1039784098);
INSERT INTO international VALUES (71,'SQLReport',3,'SQL verslagen zijn misschien wel het krachtigste wobject in het WebGUI arsenaal. \r\nZe stellen een gebruiker in staat data te verzamelen uit elke database waar \r\nde gebruiker toegang toe heeft. Dit is handig om verkoopcijfers van een boekhoud \r\ndatabase te halen of zelfs een samenvatting te krijgen van alle berichtenborden \r\nop een eigen website.<br>\r\n <br>\r\n <b>Uitvoeren macros bij een zoekopdracht?</b><br>\r\n Als er WebGUI macros gebruikt worden in de zoekopdracht, is het aanbevolen \r\ndit vak aan te vinken.<br>\r\n <br>\r\n <b>Debug?</b><br>\r\n Vink dit vak aan om debug-en foutmeldingen weer te geven.<br>\r\n <br>\r\n <b>Zoekopdracht</b><br>\r\n Dit is een standaard SQL zoekopdracht. Voor mensen die onbekend zijn met \r\nSQL geeft <a href=\"http://www.plainblack.com\">Plain Black Software</a> cursussen \r\nSQL en database bediening. De zoekopdrachten kunnen dynamischer gemaakt worden \r\ndoor het macro ^FormParam();.<br>\r\n <br>\r\n <b>Verslag sjabloon</b><br>\r\n Maak een sjabloon indeling van hoe het verslag eruit moet zien. Normaal\r\ngesproken worden HTML tabellen gebruikt om een verslag te genereren. Hieronder\r\nis een voorbeeld bijgevoegd. Wanneer het veld leeg ge;laten wordt, wordt\r\neen sjabloon gegenereerd, gebaseerd op de set van resultaten.<br>\r\n <br>\r\n Bij het genereren van SQL verslagen worden speciale macro krakters gebruikt.\r\nDeze zijn: ^-;, ^0;, ^1;, ^2;, ^3;, etc. Deze macros worden uitgevoerd ongeacht\r\nof het vak \"uitvoeren macros\" is aangevinkt. Het ^- macro representeert het\r\nbegin en het eind in het document waar het verslag repeteert. De numerieke\r\nmacros representeren de data velden die worden teruggestuurd van de opdracht.\r\nEr is nog een extra macro, ^rownum;, dit macro telt het aantal rijen, beginnend\r\nbij 1, voor het gebruik waarbij de regels van de output genummerd moeten\r\nzijn.<br>\r\n<br>\r\n<b>DSN</b><br>\r\n<b>D</b>ata <b>S</b>ource <b>N</b>ame is de unieke identificatie die Perl\r\ngebruikt om de locatie van de database te beschrijven. Het neemt de opmaak\r\nvan DBI:[driver]:[database naam]:[host]<br>\r\n <br>\r\n<i>Voorbeeld:</i> DBI:mysql:WebGUI:localhost<br>\r\n<br>\r\n<b>Database gebruiker</b><br>\r\nDe gebruikersnaam die gebruikt wordt om de gebruiker met DSN te verbinden.<br>\r\n<br>\r\n<b>Database Wachtwoord</b><br>\r\nHet wachtwoord dat gebruikt wordt om de gebruiker met DSN te verbinden.<br>\r\n<br>\r\n<b>Breek pagina af na</b><br>\r\nHoeveel rijen moeten weergegeven worden voordat de resultaten over verschillende\r\npaginas verdeeld worden? Met andere woorden, hoeveel rijen mogen er maximaal\r\nper pagina afgebeeld worden?<br>\r\n<br>\r\n<b>Enters Converteren?</b><br>\r\nIs het gewenst enters te converteren naar HTML(). <br>\r\n',1037898147);
INSERT INTO international VALUES (61,'SQLReport',3,'SQL Verslag, Toevoegen/Bewerken',1037894777);
INSERT INTO international VALUES (63,'Product',3,'Hieronder volgt een lijst met sjabloon variabelen die gebruikt kunnen worden\r\nin produduct sjablonen.<br>\r\n  <br>\r\n  <b>brochure.icon<br>\r\n</b>De URL naar het pictogram voor de brochure.<b><br>\r\n<br>\r\nbrochure.url<br>\r\n</b>De URL om de brochure te downloaden.<b><br>\r\n<br>\r\nbrochure.label<br>\r\n</b>Het vertaalde label voor de brochure URL.<br>\r\n<br>\r\n<b>warranty.icon<br>\r\n</b>De URL naar het pictogram voor de garantievoorwaarden.<br>\r\n<br>\r\n<b>warranty.url<br>\r\n</b>De URL om de garantievoorwaarden te downloaden.<br>\r\n<br>\r\n<b>warranty.label</b><br>\r\nHet vertaalde label voor de garantievoorwaarden URL.<br>\r\n<b><br>\r\n</b><b>image1</b><br>\r\nDe URL voor het eerste plaatje dat bij dit product hoort.<br>\r\n<br>\r\n<b>thumbnail1<br>\r\n</b>De URL naar het pictogram voor het eerste plaatje dat bij dit product\r\nhoort.<br>\r\n  <br>\r\n<b>image2</b><br>\r\nDe URL voor het tweede plaatje dat bij dit product hoort.<br>\r\n <br>\r\n <b>thumbnail2<br>\r\n </b>De URL naar het pictogram voor het tweede plaatje dat bij dit product\r\nhoort.<br>\r\n  <br>\r\n  <b>image3</b><br>\r\nDe URL voor het derde plaatje dat bij dit product hoort.<br>\r\n <br>\r\n <b>thumbnail1<br>\r\n </b>De URL naar het pictogram voor het derde plaatje dat bij dit product\r\nhoort.<br>\r\n  <br>\r\n  <b>addfeature.url<br>\r\n</b>De URL om een eigenschap aan dit product toe te voegen.<br>\r\n<br>\r\n<b>addfeature.label</b><br>\r\nHet vertaalde label voor de voeg eigenschap toe link.<br>\r\n<br>\r\n  <b>feature_loop</b><br>\r\nDeze lus bevat alle eigenschappen van dit product.<br>\r\n<blockquote> <b>feature.controls</b><br>\r\nDe WebGUI beheergereedschappen voor deze eigenschap. \r\n  <p>  <b>feature.feature</b><br>\r\nDe tekst van de eigenschap zelf. </p>\r\n  <p> </p>\r\n</blockquote>\r\n \r\n<p>  <b>addbenefit.url</b><br>\r\nDe URL om een voordeel van dit product toe te voegen. </p>\r\n<p>  <b>addbenefit.label</b><br>\r\nHet vertaalde label om een voordeel van dit product toe te voegen. </p>\r\n<p>  <b>benefit_loop</b><br>\r\nDeze lus bevat de voordelen voor dit product. </p>\r\n<blockquote>  <b>benefit.benefit</b><br>\r\nDe tekst van het voordeel zelf. \r\n  <p>  <b>benefit.controls</b><br>\r\nDe WebGUI beheersgereedschappen voor dit voordeel. </p>\r\n  <p>  </p>\r\n</blockquote>\r\n \r\n<p>  <b>addspecification.url</b><br>\r\nDe URL om een specificatie aan dit product toe te voegen. </p>\r\n<p>  <b>addspecification.label</b><br>\r\nHet vertaalde label voor de specificatie toevoegen link. </p>\r\n<p>  <b>specification_loop</b><br>\r\nDe lijst met specificaties van dit product. </p>\r\n<blockquote>  <b>specification.controls</b><br>\r\n De WebGUI beheersgereedschappen voor deze specificatie. \r\n  <p>  <b>specification.specification</b><br>\r\nDe tekst van de specificatie zelf. </p>\r\n  <p>  <b>specification.units</b><br>\r\nDe grootheden voor deze specificatie. <i>vb.</i>: meters </p>\r\n  <p>  <b>specification.label</b><br>\r\nDe aanduiding voor deze specificatie <i>vb</i>: hoogte </p>\r\n  <p>  </p>\r\n</blockquote>\r\n \r\n<p>  <b>addaccessory.url</b><br>\r\nDe URL om een accessoire aan dit product toe te voegen. </p>\r\n<p>  <b>addaccessory.label</b><br>\r\nHet vertaalde label voor de voeg accessoire toe link. </p>\r\n<p>  <b>accessory_loop</b><br>\r\nDeze lus bevat alle accessoires die bij dit product horen. </p>\r\n<blockquote>  <b>accessory.url</b><br>\r\nDe URL naar de gelinkte accessoire. \r\n  <p>  <b>accessory.title</b><br>\r\nDe titel voor de gelinkte accessoire. </p>\r\n  <p>  <b>accessory.controls</b><br>\r\n De WebGUI beheersgereedschappen voor deze accessoire.</p>\r\n</blockquote>\r\n<p><b>addRelatedProduct.url</b><br>\r\nDe URL om een gerelateerd product toe te voegen. </p>\r\n<p>  <b>addRelatedProduct.label</b><br>\r\nHet vertaalde label voor de voeg gerelateerd product toe link. </p>\r\n<p>  <b>relatedproduct.url</b><br>\r\nDe URL naar het gelinkte product. </p>\r\n<p>  <b>relatedproduct.title</b><br>\r\nDe titel van het gelinkte product. </p>\r\n<p>  <b>relatedproduct.controls</b><br>\r\n De WebGUI beheersgereedschappen voor het gelinkte product. </p>\r\n',1039778304);
INSERT INTO international VALUES (62,'Product',3,'Produkt Sjabloon, Toevoegen/Bewerken',1039597061);
INSERT INTO international VALUES (61,'Product',3,'Produkt Sjabloon',1037892211);
INSERT INTO international VALUES (60,'Product',3,'Sjabloon',1037892193);
INSERT INTO international VALUES (6,'Product',3,'Bewerk Produkt',1037892181);
INSERT INTO international VALUES (59,'Product',3,'Naam',1037892167);
INSERT INTO international VALUES (58,'Product',3,'Bewerk Produkt Sjabloon',1037892158);
INSERT INTO international VALUES (57,'Product',3,'Weet u zeker dat u dit sjabloon wilt verwijderen en alle produkten die dit sjabloon gebruiken het standaard sjabloon gaan gebruiken?',1037892087);
INSERT INTO international VALUES (56,'Product',3,'Voeg een produkt sjabloon toe.',1037891948);
INSERT INTO international VALUES (55,'Product',3,'Voeg een voordeel toe.',1037891925);
INSERT INTO international VALUES (54,'Product',3,'Voordelen',1037891909);
INSERT INTO international VALUES (53,'Product',3,'Bewerk Voordeel',1037891897);
INSERT INTO international VALUES (52,'Product',3,'Nog een voordeel toevoegen?',1037891873);
INSERT INTO international VALUES (51,'Product',3,'Voordeel',1037891848);
INSERT INTO international VALUES (50,'Product',3,'Voordelen zijn het resultaat van kenmerken van het produkt. Ze beschrijven\r\nwaarom het produkt zo goed is. Als er voordelen worden toegevoegd, kan er\r\noverwogen worden om ook de kenmerken toe te voegen.<br>\r\n<br>\r\n<b>Voordeel</b><br>\r\nEr kan een nieuw voordeel ingevoerd worden of een voordeel gekozen worden\r\nvan degene die al ingevoerd zijn.<br>\r\n<br>\r\n<b>Nog een voordeel toevoegen?</b><br>\r\nAls er meteen nog een voordeel toegevoegd gaat worden, selecteer dan \"Ja\".<br>\r\n',1037891794);
INSERT INTO international VALUES (5,'Product',3,'Weet u zeker dat u deze specificatie wilt verwijderen?',1037890879);
INSERT INTO international VALUES (49,'Product',3,'Produkt Voordeel, Toevoegen/Bewerken',1037890769);
INSERT INTO international VALUES (48,'Product',3,'Weet u zeker dat u dit voordeel wilt verwijderen? Het kan niet meer herstelt worden zodra het verwijderd is.',1037890738);
INSERT INTO international VALUES (47,'Product',3,'Gerelateerde produkten zijn produkten die vergelijkbaar zijn met een produkt of die een aanvulling op een produkt.<br>\r\n<br>\r\n<b>Gerelateerde produkten</b><br>\r\nTe kiezen van de lijst met produkten die al ingevoerd zijn.<br>\r\n<br>\r\n<b>Nog een gerelateerd produkt toevoegen?</b><br>\r\nSelecteer \"Ja\" als er nog een gerelateerd produkt toegevoegd gaat worden.<br>',1043314348);
INSERT INTO international VALUES (46,'Product',3,'Produkt (Gerelateerd), Toevoegen/Bewerken',1037890155);
INSERT INTO international VALUES (45,'Product',3,'Accesoires zijn produkten die andere produkten verbeteren.<br>\r\n<br>\r\n<b>Accessoire</b><br>\r\nTe kiezen van de lijst van produkten die al ingevoerd zijn.<br>\r\n<br>\r\n<b>Nog een accessoire toevoegen?</b><br>\r\nSelecteer \"Ja\" als er nog een accessoire toe te voegen is.<br>\r\n',1037890118);
INSERT INTO international VALUES (44,'Product',3,'Produkt Accesoire, Toevoegen/Bewerken',1037889995);
INSERT INTO international VALUES (43,'Product',3,'Specificaties zijn de technische details van een produkt.<br>\r\n<br>\r\n<b>Etiket</b><br>\r\nHet type specificatie, bijvoorbeeld hoogte, breedte of kleur. Er kan een\r\nspecificatie gekozen worden die al voor een ander produkt zijn ingevoerd\r\nof er kan een nieuwe specificatie ingevoerd worden.<br>\r\n<br>\r\n<b>Specificatie</b><br>\r\nDe waarde van de specficatie. Als bijvoorbeeld de hoogte als etiket is gekozen,\r\nkan er een geatalswaarde als \"18\" ingevoerd worden.<br>\r\n<br>\r\n<b>Units</b><br>\r\nde eenheid waarin een specificatie wordt uitgedrukt. Als hoogte het label\r\nis kan de eenheid \"meter\" zijn.<br>\r\n<br>\r\n<b>Nog een specificatie toevoegen?</b><br>\r\nAls het gewenst is nog een specificatie in te voeren, slecteer dan \"Ja\".<br>\r\n',1037889959);
INSERT INTO international VALUES (42,'Product',3,'Produkt specificatie, Toevoegen/Bewerken',1037889549);
INSERT INTO international VALUES (41,'Product',3,'Kenmerken zijn de redenen om een product te kopen. Kenmerken zijn vaak voordelen,\r\ndus wanneer gewenst kunnen deze kenmerken aan het produkt toegevoegd worden.<br>\r\n<br>\r\n<b>Kenmerken</b><br>\r\nHier kan een nieuw kenmerk ingevoerd worden of een kenmerk van een ander\r\nprodukt uit het systeem geselecteerd worden.<br>\r\n<br>\r\n<b>Voeg nog een kenmerk toe</b><br>\r\nWanneer meteen een volgend kenmerk toegevoegd gaat worden, klik dan op \"Ja\".<br>\r\n',1037889520);
INSERT INTO international VALUES (40,'Product',3,'Produkt Kenmerk, Toevoegen/Bewerken',1037888542);
INSERT INTO international VALUES (4,'Product',3,'Weet u zeker dat u de relatie van dit gerelateerde produkt wilt verwijderen?',1037888510);
INSERT INTO international VALUES (14,'Product',3,'Handleiding',1037888418);
INSERT INTO international VALUES (39,'Product',3,'WebGUI heeft een ingebouwd produkt management systeem, zodat produkten en \r\ndiensten snel en makkelijk gepubliceerd kunnen worden.<br>\r\n <br>\r\n <b>Sjabloon<br>\r\n</b>Kies de layout voor dit product.<b><br>\r\n<br>\r\nPrijs</b><br>\r\n De prijs van het produkt. Hier kan optioneel \"Prijs op te vragen per telefoon\" \r\ningevuld worden, of de prijs kan weggelaten worden.<br>\r\n <br>\r\n <b>Produktnummer</b><br>\r\n Het produktnummer, SKU, ISBN of een andere indentificatie van dit produkt.<br>\r\n <br>\r\n <b>Afbeelding van het produkt 1</b><br>\r\n Een afbeelding van het produkt.<br>\r\n <br>\r\n <b>Afbeelding van het produkt 2</b><br>\r\n  Een afbeelding van het produkt.<br>\r\n <br>\r\n <b>Afbeelding van het produkt 3</b><br>\r\n  Een afbeelding van het produkt.<br>\r\n <br>\r\n <b>Brochure</b><br>\r\n De brochure van dit produkt<br>\r\n <br>\r\n <b>Handleiding</b><br>\r\n De produkt, gebruiks of onderhouds handleiding van dit produkt.<br>\r\n <br>\r\n <b>Garantie</b><br>\r\n De Garantie van dit produkt.<br>\r\n <br>\r\n',1039776947);
INSERT INTO international VALUES (38,'Product',3,'Produkt, Toevoegen/Bewerken',1039597055);
INSERT INTO international VALUES (37,'Product',3,'Voeg een gerelateerd produkt toe.',1037887563);
INSERT INTO international VALUES (35,'Product',3,'Voeg een specificatie toe.',1037887541);
INSERT INTO international VALUES (34,'Product',3,'Voeg een kenmerk toe.',1037887519);
INSERT INTO international VALUES (33,'Product',3,'Gerelateerde Produkten',1037887489);
INSERT INTO international VALUES (32,'Product',3,'Accessoires',1037887468);
INSERT INTO international VALUES (31,'Product',3,'Specificaties',1037887450);
INSERT INTO international VALUES (30,'Product',3,'Kenmerken',1037887437);
INSERT INTO international VALUES (3,'Product',3,'Bent u zeker dat u dit kenmerk wilt verwijderen?',1037887426);
INSERT INTO international VALUES (29,'Product',3,'Eenheden',1037887391);
INSERT INTO international VALUES (28,'Product',3,'Nog een specificatie toevoegen?',1037887284);
INSERT INTO international VALUES (27,'Product',3,'Specificatie',1037887266);
INSERT INTO international VALUES (26,'Product',3,'Etiket',1037887254);
INSERT INTO international VALUES (25,'Product',3,'Bewerk specificatie',1037887221);
INSERT INTO international VALUES (24,'Product',3,'Nog een kenmerk toevoegen?',1037887202);
INSERT INTO international VALUES (23,'Product',3,'Kenmerk',1037887174);
INSERT INTO international VALUES (22,'Product',3,'Bewerk kenmerk',1037887164);
INSERT INTO international VALUES (21,'Product',3,'Nog een gerelateerd produkt toevoegen?',1037887124);
INSERT INTO international VALUES (20,'Product',3,'Gerelateerd Produkt',1037887093);
INSERT INTO international VALUES (2,'Product',3,'Weet u zeker dat u het verband met dit accessoire wilt verwijderen?',1037887076);
INSERT INTO international VALUES (19,'Product',3,'Voeg gerelateerd produkt toe',1037887015);
INSERT INTO international VALUES (18,'Product',3,'Nog een accessoire toevoegen?',1037886992);
INSERT INTO international VALUES (17,'Product',3,'Accessoire',1037886896);
INSERT INTO international VALUES (16,'Product',3,'Voeg Accesoire Toe',1037886864);
INSERT INTO international VALUES (15,'Product',3,'Garantie',1037886643);
INSERT INTO international VALUES (13,'Product',3,'Brochure',1037886574);
INSERT INTO international VALUES (11,'Product',3,'Productnummer',1037886548);
INSERT INTO international VALUES (10,'Product',3,'Prijs',1037886531);
INSERT INTO international VALUES (1,'Product',3,'Produkt',1037886076);
INSERT INTO international VALUES (71,'Poll',3,'Peilingen kunnen gebruikt worden om een overzicht van de meningen van de\r\ngebruikers te krijgen.<br>\r\n<br>\r\n<b>Actief</b><br>\r\nAls dit vak aangevinkt is kunnen gebruikers stemmen. In andere gevallen kunnen\r\nze alleen de resultaten van de peiling zien.<br>\r\n<br>\r\n<b>Wie kan stemmen?</b><br>\r\nKies de groep die kan stemmen op deze peiling.<br>\r\n<br>\r\n<b>Karma per stem</b><br>\r\nHoeveel karma moet er aan een gebruiker gegeven worden wanneer er door de\r\ngebruiker gestemd wordt.<br>\r\n<br>\r\n<b>Grafiekbreedte</b><br>\r\nDe breedte van de grafiek waarin de resultaten van de peiling weergegevn\r\nworden. De breedte wordt gemeten in pixels.<br>\r\n<br>\r\n<b>Vraag</b><br>\r\nWat is de vraag die aan de gebruikers gesteld wordt?<br>\r\n<br>\r\n<b>Antwoorden</b><br>\r\nVoer de mogelijke antwoorden op de vraag in. Voer &eacute;&eacute;n antwoord\r\nin per regel. Peiling kunnen slechts 20 mogelijke antwoorden bevatten.<br>\r\n<br>\r\n<b>Volgorde antwoorden willekeurig?</b><br>\r\nOm te zorgen dat de gebruikers niet bevooroordeelt worden door de volgorde\r\nvan de antwoorden, kunnen de antwoorden iedere keer in een andere volgorde\r\nweergegevn worden. Selecteer \"Ja\" om de antwoorden in een wisselende volgorde\r\nte plaatsen.<br>\r\n<br>\r\n<b>Stemmen op nul zetten.</b><br>\r\nZet het aantal stemmen van deze peiling op nul.<br>\r\n<br>\r\n<hr width=\"100%\" size=\"1\" noshade=\"noshade\"><i><b>N.B.:</b></i> De volgende\r\nstylesheet mogelijkheden zijn ingesteld voor het peilings-wobject:<br>\r\n<br>\r\n<b>.peilingAntwoord</b><br>\r\nEen mogelijk antwoord in de peiling<br>\r\n<br>\r\n<b>.peilingKleur</b><br>\r\nDe kleur van een percentage balk van een peiling<br>\r\n<br>\r\n<b>.peilingVraag</b><br>\r\nDe vraag van een peiling<br>\r\n',1037886059);
INSERT INTO international VALUES (61,'Poll',3,'Peiling, Toevoegen/Bewerken',1037884955);
INSERT INTO international VALUES (20,'Poll',3,'Karma per stem',1037884915);
INSERT INTO international VALUES (12,'Poll',3,'Totaal Aantal Stemmen:',1037884901);
INSERT INTO international VALUES (61,'MessageBoard',3,'Berichtenbord, Toevoegen/Bewerken',1039597052);
INSERT INTO international VALUES (72,'MailForm',3,'Er kan een willekeurig aantal velden aan het e-mail formulier toegevoegd\r\nworden.<br>\r\n <br>\r\n <b>Veldnaam</b><br>\r\n De naam van dit veld. Dit dient uniek te zijn voor alle velden op het formulier.<br>\r\n <br>\r\n <b>Status</b><br>\r\n Verborgen velden zijn niet zichtbaar voor de gebruiker, maar worden wel\r\nmeegezonden in de email.<br>\r\n Weergegeven velden laat de gebruiker het veld zien, maar stelt de gebruiker \r\nniet in staat het veld aan te passen.<br>\r\n Aanpasbare velden kunnen ingevuld worden door de gebruiker.<br>\r\n Zorg dat een Standaardwaarde ingevuld word als hier voor een verborgen of \r\nweergegeven veld wordt gekozen.<br>\r\n <br>\r\n <b>Type</b><br>\r\n Kies het type element voor dit veld. De volgende typen velden worden ondersteund:<br>\r\n URL: Een textveld dat automatisch ingevulde URL\'s &nbsp;opmaakt.<br>\r\n Tekstveld: een standaard tekstveld.<br>\r\n Datum: Een tekstveld met een popup window waar een datum in geselecteerd \r\nkan worden.<br>\r\n Ja/Nee: Een set van keuzeknoppen.<br>\r\n Email adres: Een tekstveldwaar een geldig email adres ingevuld moet worden \r\ndoor de gebruiker.<br>\r\n Tekstvak: Een simpel tekstvak.<br>\r\n Aanvinkveld: Een enkel aanvinkveld<br>\r\n Drop-down veld: een drop-down veld. Gebruik het Mogelijke Waarden veld om \r\nelke weer te geven mogelijkheid in te voeren. Voer &eacute;&eacute;n optie \r\nin per regel.<br>\r\n <br>\r\n <b>Mogelijke Waarden</b><br>\r\n Dit vled wordt alleen gebruikt voor het type drop-down veld. Voer de waarden \r\nin die in het drop-down veld weergegeven moeten worden, per regel &eacute;&eacute;n.<br>\r\n <br>\r\n <b>Standaard Waarde (optioneel)</b><br>\r\n Voer de eventuele standaard waarde van het veld in. Voor Ja/Nee velden voer \r\n&nbsp;\"ja \" of \"nee\" in om respectievelijk &nbsp;\"Ja\" &nbsp;en \"Nee\" van te\r\nvoren te selecteren. Voor Aanvinkvelden voer \"aangevinkt\" in om het vak vante\r\nvoren aan te vinken.<br>\r\n <br>\r\n <b>Verder gaan met toevoegen velden?</b><br>\r\n Laat dit aangevinkt staan als direct na het invoeren van het veld nog een \r\nveld ingevoerd wordt. <br>\r\n <br>\r\n',1039776778);
INSERT INTO international VALUES (71,'LinkList',3,'Link lijsten zijn precies wat het zegt, een lijst van links. Veel webpaginas \r\nhebben een link sectie, dit wobject automatiseert het proces.<br>\r\n <br>\r\n <b>Sjabloon<br>\r\n</b>Kies een layout voor dit wobject.<br>\r\n<br>\r\n <b>Hoe verder?</b><br>\r\nKies het standaard antwoord als u meteen een link toe wilt voegen na het\r\naanmaken van de lijst.<br>\r\n',1039775791);
INSERT INTO international VALUES (71,'FileManager',3,'De bestanden beheerder is ontworpen om te helpen de bestanden te distriburen \r\nop de site. Hiermee kan gespecificeerd worden wie bestanden mag downloaden \r\nvan de site.<br>\r\n <br>\r\n <b>Sjabloon<br>\r\n</b>Kies een layout voor de bestanden beheerder.<b><br>\r\n<br>\r\nBreek Af Na</b><br>\r\n Hoeveel bestanden moeten er weergegeven worden voordat de bestanden over \r\nmeer paginas verdeeld worden? Met andere woorden: hoeveel bestanden moeten \r\ner getoond worden per pagina?<br>\r\n <br>\r\n <b>Doorgaan met nog een bestand toevoegen?</b><br>\r\n Laat dit aangevinkt staan wanneer meteen nog meer bestanden toegevoegd \r\nworden.<br>\r\n <br>\r\n',1039775538);
INSERT INTO international VALUES (61,'LinkList',3,'Link Lijst, Toevoegen/Bewerken',1039597029);
INSERT INTO international VALUES (72,'Item',3,'Sjabloon',1037877509);
INSERT INTO international VALUES (71,'Item',3,'Net als artikelen zijn items een soort Zwitsers zakmes van WebGUI. De meeste\r\nstukken statische inhoud kunnen worden toegevoegd met behulp van Objecten, \r\nhoewel Objecten meestal een kleinere inhoud hebben dan Artikelen.<br>\r\n <br>\r\n <b>URL link</b><br>\r\n Dit URL zal worden verbonden met dit Object.<br>\r\n <br>\r\n <i>Voorbeeld:</i> http://www.google.com<br>\r\n <br>\r\n <b>Bijlage</b><br>\r\n Als het gewenst is een tekstbestand, een zip-bestand of een ander willekeurig \r\ntype bestand toe te voegen als bijlage, die gedownload kan worden door gebruikers, \r\ndient dit bestand gekozen te worden van de harde schijf.<br>\r\n <br>\r\n<b>Sjabloon</b><br>\r\nKies een layout voor dit object.<br>\r\n',1039783783);
INSERT INTO international VALUES (61,'Item',3,'Item, Toevoegen/Bewerken',1039783705);
INSERT INTO international VALUES (6,'Item',3,'Bewerk Item',1039783723);
INSERT INTO international VALUES (73,'FileManager',3,'<b>Bestandstitel</b>&nbsp;&nbsp; <br>\r\n De titel die voor dit bestand zal worden weergegeven.<br>\r\n <b><br>\r\nBestand<br>\r\n </b>Kies het bestand van de harde schijf dat in de wonload manager wordt \r\ningeladen.<br>\r\n <br>\r\n <b>Alternatieve Versie #1</b><br>\r\n Een alternatieve versie van het bestand. Als het bestand bijvoorbeeld een\r\nJPEG is, kan de alternatieve versie een .TIF of .BMP formaat hebben.<br>\r\n <br>\r\n <b>Alternatieve Versie #2</b><br>\r\n  Een alternatieve versie van het bestand. Als het bestand bijvoorbeeld  een\r\nJPEG is, kan de alternatieve versie een .TIF of .BMP formaat hebben.<br>\r\n <br>\r\n <b>Korte samenvatting</b><br>\r\n Een korte beschrijving van het bestand. Zorg dat er sleutelwoorden in staan \r\nwaar gebruikers naar zouden kunnen zoeken.<br>\r\n <br>\r\n <b>Download Groep</b><br>\r\n Kies de groep die dit bestand kan downloaden.<br>\r\n <br>\r\n <b>Hoe verder?</b><br>\r\nAls u nog een bestand wilt toevoegen kies dan \"voeg nog een bestand toe\"\r\nanders kunt u terug gaan naar de huidige pagina.<br>\r\n <br>\r\n',1039775633);
INSERT INTO international VALUES (847,'WebGUI',1,'Go back to the current page.',1039587250);
INSERT INTO international VALUES (848,'WebGUI',1,'There is a syntax error in this template. Please correct.',1039892202);
INSERT INTO international VALUES (837,'WebGUI',3,'Map, Toevoegen/Bewerken',1039785647);
INSERT INTO international VALUES (835,'WebGUI',3,'Knipsel, Toevoegen/Bewerken',1039785635);
INSERT INTO international VALUES (833,'WebGUI',3,'Bestand, Toevoegen/Bewerken',1039785591);
INSERT INTO international VALUES (786,'WebGUI',3,'WebGUI\'s collaterale inhoudsbeheer systeem laat u bestanden en tekst uploaden naar een centrale repository zodat u het later overal in uw inhoud kunt gebruiken.',1039783439);
INSERT INTO international VALUES (785,'WebGUI',3,'Collateralen, Beheer',1039783357);
INSERT INTO international VALUES (675,'WebGUI',3,'Zoekmachine, Gebruiken',1039783009);
INSERT INTO international VALUES (674,'WebGUI',3,'Allerlei instellingen, Bewerken',1039783002);
INSERT INTO international VALUES (670,'WebGUI',3,'Plaatje, Toevoegen/Bewerken',1039782993);
INSERT INTO international VALUES (669,'WebGUI',3,'Macros, Gebruiken',1039782963);
INSERT INTO international VALUES (666,'WebGUI',3,'Stijl, Toevoegen/Bewerken',1039782945);
INSERT INTO international VALUES (663,'WebGUI',3,'E-mail instellingen, Bewerken',1039782938);
INSERT INTO international VALUES (656,'WebGUI',3,'Bedrijfsinformatie, Bewerken',1039782919);
INSERT INTO international VALUES (642,'WebGUI',3,'Pagina, Toevoegen/Bewerken',1039782894);
INSERT INTO international VALUES (640,'WebGUI',3,'Sjablonen verwijderen zonder te weten wat voor bijwerkingen dit kan hebben is niet verstandig (sommige paginas kunnen het sjabloon nog gebruiken). Wanneer ervoor gekozen wordt een sjabloon te verwijderen, zulleen alle paginas die dit sjabloon gebruiken het standaard sjabloon gaan gebruiken.',1039782887);
INSERT INTO international VALUES (639,'WebGUI',3,'<b>Sjabloon Naam</b><br>\r\n Geef dit sjabloon een beschrijvende naam, zodat bekend is welk sjabloon\r\naan een pagina wordt toegevoegd.<br>\r\n<br>\r\n<b>Namespace<br>\r\n</b>Wat voor soort sjabloon is dit?<br>\r\n<br>\r\n <b>Sjabloon</b><br>\r\nMaak uw sjabloon door gebruik te maken van sjabloon commando\'s, variabelen,\r\nmacro\'s en HTML.<br>\r\n<br>\r\n&lt;b&gt;N.B.:&lt;/b&gt; het is niet de bedoeling dat u de sjablonen die\r\nmet WebGUI meegeleverd worden zelf aanpast omdat deze iedere keer dat u WebGUI\r\nupdate overschreven worden. Kopieer de sjablonen naar een eigen sjabloon\r\nen bewerk de kopie in plaats daarvan.<br>\r\n',1039782867);
INSERT INTO international VALUES (638,'WebGUI',3,'Sjablonen bepalen hoe inhoud in WebGUI worden ingedeeld. De meeste sjablonen in WebGUI gebruiken het sjabloon beheer systeem, u kunt uw eigen sjablonen toevoegen om ervan verzekerd te zijn dat de site er <b>precies</b> zo uitziet als u wilt.',1039782713);
INSERT INTO international VALUES (636,'WebGUI',3,'Volg deze simpele stappen om een pakket te maken:  \r\n<ol>\r\n   <li>Selecteer \"Beheer Pakketten\" uit het administratieve functies menu</li>\r\n   <li>Voeg een pagina toe en geef de pagina een naam. Deze naam is meteen \r\nook de naam van het pakket.</li>\r\n   <li>Ga naar de nieuwe pagina en voeg paginas en wobjecten toe. Elke pagina \r\nof wobject die toegevoegd worden zullen iedere keer dat dit pakket ontplooid \r\nwordt, gemaakt worden.</li>\r\n \r\n</ol>\r\n <b>Aantekeningen:</b><br>\r\n Een gebruiker kan alleen pakketten toevoegen, bewerken of verwijderen, als \r\nhij/zij tot de Pakketten Beheerders of Beheerders groep behoort.<br>\r\n <br>\r\n De inhoud die zich in een wobject bevindt wordt automatisch gekopieerd wanneer \r\nhet pakket ontplooid wordt.<br>\r\n <br>\r\n Privileges en stijlen die tot paginas behoren worden niet gekopieerd wanneer \r\nhet pakket ontplooid wordt. De paginas nemen de privileges en stijlen aan \r\ndie in het gebied staan waar het pakket ontplooid wordt.<br>\r\n <br>\r\n',1039782625);
INSERT INTO international VALUES (635,'WebGUI',3,'Pakketten zijn groepen van pagina en wobjecten die voorbereid zijn, zadat ze samen ingezet kunnen worden. Een pakketten beheerder kan het nodig achten een pakket te maken dat op verscheidene paginas een berichtenbord, een FAQ en een peiling heeft, omdat ze vaak gebruikt worden. Pakketten worden meestal samengesteld om de herhalende taken te verlichten.<br><br>\r\nEen pakket dat vaak gemaakt wordt is een Pagina/Artikel pakket. Het is vaak het geval dat iemand een pagina wilt toevoegen met een Artikel voor de inhoud. In plaats van de stappen van het maken van een pagina (pagina toevoegen, naar de pagina gaan en dan het artikel toevoegen) te nemen, kan ook een pakket gemaakt worden die al deze stappen in 1 keer maakt.',1039782586);
INSERT INTO international VALUES (634,'WebGUI',3,'<b>Standaard Thuis Pagina (Home Page)</b><br>\r\n Sommige kleine paginas hebben geen thuispagina, maar gebruiken een interne \r\npagina zoals \"Bedrijfs Informatie\" als hun thuispagina. Om deze reden kan \r\nelke pagina op de site de standaard pagina zijn. Mensen krijgen dan deze pagina\r\nte zien als ze alleen het URL opgeven of wanneer ze op de Thuis link klikken\r\ndie gemaakt is met het ^H; macro.<br>\r\n <br>\r\n <b>Niet Gevonden Pagina</b><br>\r\n Als een pagina die opgevraagd wordt die zich niet in het systeem bevindt, \r\nkan de gebruiker naar de thuispagina of een foutmeldingspagina verwezen worden. \r\nDan kan de gebruiker verder zoeken. Hier kan besloten worden wat het beste \r\nis voor de gebruikers.<br>\r\n <br>\r\n <b>Document Type verklaring</b><br>\r\n tegenwoordig kan een site bekeken worden met verschillende browsers, inclusief \r\ngeautomatiseerde browsers zoals zoekmachines. De meeste browsers willen weten \r\nwat voor type inhoud er op de pagina staat. Met het doctype etiket&nbsp; kan\r\ndit gespecificeerd worden. WebGUI genereert standaard een inhoud die met\r\nHTML 4.0 bekeken kan worden.<br>\r\n <br>\r\n <b>Voeg bewerkings stempel toe aan bijdragen?</b><br>\r\n Wanneer een gebruiker een bijdrage bewerkt op een berichten bord, wordt\r\neen stempel toegevoegd zodat de gebruiker geidentificeerd kan worden en bepaald \r\nkan worden wanneer de bijdrage is gemaakt. Op sommige paginas is deze informatie \r\noverbodig, daarom kan deze functie hier ook uitgezet worden.<br>\r\n <br>\r\n <b>Bijgedragen HTML filteren</b><br>\r\n Vooral wanneer een site publiekelijk toegankelijk is en iedereen bijdragen \r\nkan leveren aan bijvoorbeeld berichtenborden is het een goed idee om de inhoud \r\nte filteren voor beschadigende code, die het bekijken door bezoekers kan bemoeilijken..\r\nIn sommige omstandigheden kan het zelfs leiden tot veiligheidsproblemen. Gebruik\r\ndeze instelling om te bepalen hoeveel er gefilterd moet worden.<br>\r\n <br>\r\n <b>Maximum Grootte Bijlagen</b><br>\r\n De maximum grootte (in kilobytes) van bijlagen die ingeladen kunnen worden \r\nin het systeem.<br>\r\n <br>\r\n <b>Maximale Afmeting Afbeeldingen</b><br>\r\n Wanneer afbeeldingen, die groter zijn dan de maximale afmeting, in het systeem \r\nworden ingeladen, worden de afmetingen bepaald op de maximale afmetingen. \r\nDe maximale afmeting worden gemeten in pixels en zal de langste zijde van \r\nde afbeelding gebruiken om te kijken of de limiet is overschreden.<br>\r\n <br>\r\n <b>Miniatuur Grootte</b><br>\r\n Wanneer afbeeldingen in het systeem worden ingeladen, zullen ze automatisch \r\nminiaturen hebben die gegenereerd zijn tot de grootte die hier wordt ingevoerd. \r\nMiniatuur grootte wordt in pixels gemeten.<br>\r\n<br>\r\n<b>Knipsel preview lengte</b><br>\r\nHoeveel karakters van een knipsel moeten getoond worden in de hoofdlijst\r\nvan het collaterale beheerssysteem.<br>\r\n <br>\r\n <b>Rijen Tekst Gebieden</b><br>\r\n Sommige paginas willen de grootte van de formulieren die WebGUI maakt kunnen \r\ncontroleren. Met deze instelling kan het aantal rijen met karakters, dat weergegeven\r\nwordt in de tekst gebieden, gespecificeerd worden.<br>\r\n <br>\r\n <b>Kolommen Tekst Gebieden</b><br>\r\n Sommige paginas willen de grootte van de formulieren die WebGUI maakt kunnen \r\ncontroleren. Met deze instelling kan het aantal kolommen met karakters, dat \r\nweergegeven wordt in de tekst gebieden, gespecificeerd worden.<br>\r\n <br>\r\n <b>Grootte Tekst Velden</b><br>\r\n Sommige paginas willen de grootte van de formulieren die WebGUI maakt kunnen \r\ncontroleren. Met deze instelling kan het aantal karakters dat in &eacute;&eacute;n \r\nkeer in tekst velden weergegeven wordt gespecificeerd worden.<br>\r\n <br>\r\n <b>De te gebruiken Editor</b><br>\r\n WebGui heeft de uitgebreide Rich Editor die gebruikers in staat stelt tekst \r\nte bewerken alsof ze met Microsoft Word&reg; of een ander tekstverwerkingsprogramma \r\nwerken. Om dit te gebruiken moet \"htmlArea\" geselcteerd worden. Soms zijn\r\nnog meer ontwikkelde editors nodig voor bijvoorbeeld Spell Check. Daarom kan\r\neen derde editor, <a href=\"http://www.realobjects.de\">Real Objects Edit-On \r\nPro&reg;</a> geinstalleerd worden. Nadat het geinstalleerd is verander dan \r\ndeze optie. Wanneer er meer gedetailleerde instructie nodig is, kan deze gevonden\r\nworden bij <a href=\"http://www.plainblack.com/ruling_webgui\">Ruling WebGUI.</a><br>\r\n   <br>\r\n',1039782572);
INSERT INTO international VALUES (624,'WebGUI',3,'WebGUI macros worden gebruikt voor het maken van dynamische inhoud binnen een voor de rest statische inhoud. Zo kan bijvoorbeeld voor elke pagina getoond  worden welke gebruikers op deze pagina ingelogd zijn of er kan een  dynamisch  gebouwd menu of een webpad weergegeven worden.<br>\r\n<br>\r\nMacros beginnen altijd met een carat (dakje) (^) en wordt vervolgd met minstens &eacute;&eacute;n ander karakter en eindigen met een puntkomma (;). Sommige  macros kunnen uitgebreid of aangepast worden door de opmaak\r\n<i>^x</i>(\"<b>aangepaste  tekst</b>\"); te gebruiken.\r\n<br>\r\n<b>N.B.</b><br>\r\nOnderstaande macros worden apart gehouden voor systeem of wobject specifieke functies zoals het SQL Verslag wobject en de Body in de Stijl Beheerder.<b>^-;, ^0;, ^1;, ^2;, ^3;, etc</b><br>',1043314531);
INSERT INTO international VALUES (71,'USS',3,'Begruikersbijdrage systemen zijn een goede manier om een een gevoel van betrokkenheid\r\n te krijgen voor een pagina, alsook om een gratis inhoud te krijgen van de\r\n gebruikers.<br>\r\n  <br>\r\n  <b>Hoofd sjabloon<br>\r\n</b>Kies een layout voor dit gebruikersbijdrage systeem.<br>\r\n<br>\r\n<b>Bijdrage sjabloon<br>\r\n</b>Kies een layout voor de individuele bijdragen.<br>\r\n<ul>\r\n   \r\n</ul>\r\n  <b>Wie kan goedkeuren?</b><br>\r\n  Welke groep kan inhoud goed-en afkeuren?<br>\r\n  <br>\r\n  <b>Wie kan bijdragen?</b><br>\r\n  Welke groep kan inhoud toevoegen?<br>\r\n  <br>\r\n  <b>Bijdragen Per Pagina</b><br>\r\n  Hoeveel bijdragen moeten per pagina op de lijst van bijdragen gezet worden?<br>\r\n  <br>\r\n  <b>Standaard Status</b><br>\r\n  Moeten bijdragen standaard op <i>Goedkeurd, Wachtend of Afgekeurd</i> staan\r\n in de bijdrage index?<br>\r\n  <br>\r\n  <i>N.B.:</i> Als de standaard status Wachtend is, moet het berichtenlogboek\r\n in de gaten gehouden worden voor nieuwe bijdragen.<br>\r\n  <br>\r\n  <b>Karma Per Bijdrage</b><br>\r\n  Hoeveel karma moet een gebruiker gegeven worden wanneer er mee gedaan wordt\r\n aan het gebruikersbijdrage systeem?<br>\r\n  <br>\r\n  <b>Miniaturen tonen?</b><br>\r\n  Als er zich een afbeelding in de bijdrage bevindt, dan wordt een miniatuur\r\n afgebeeld in de  matrix (zie hierboven).<br>\r\n  <br>\r\n  <b>Discussie toestaan?</b><br>\r\n  Is het gewenst een discussie toe te voegen aan dit gebruikerbijdrage systeem? \r\nGebruikers zijn dan in staat om op alle bijdragen te reageren.<br>\r\n <br>\r\n <b>Wie kan discussi&euml;ren?</b><br>\r\n Selecteer de groep die mee kan doen aan de discussie.<br>\r\n <br>\r\n <b>Verlopen na</b><br>\r\n Hoe lang kunnen gebruikers hun bijdrage bewerken?<br>\r\n <br>\r\n <i>N.B.: </i>Zet deze limiet niet te hoog. Een voordeel van discussies is\r\n dat er precies op wordt geslagen wie wat zegt. Als er lange tijd bewerkt\r\nkan worden kan de gebruiker teruggaan en de gedachten over een lang geleden\r\ngedane uitspraak veranderen.<br>\r\n <br>\r\n <b>Karma Per Bijdrage</b><br>\r\n Hoeveel karma moet er aan een gebruiker gegeven worden als ze bijdragen\r\naan de discussie?<br>\r\n <br>\r\n <b>Wie kan bewerken?</b><br>\r\n  Selecteer de groep die de discussie kan bewerken.<br>\r\n <br>\r\n <b>Moderatietype?</b><br>\r\n  Het type moderatie dat gebruikt wordt, kan gekozen worden. <i>Naderhand</i>\r\n betekent dat een bericht meteen publiekelijk gepubliceerd wordt. <i>Vooraf</i>\r\n Betekent dat een moderatiebevoegde een bericht moet zien en goedkeuren voordat\r\n ze publiekelijk weergegeven worden. Er wordt automatisch een bericht gestuurd\r\n naar de moderatiebevoegde, dit bericht komt in de WebGUI Inbox van de moderatiebevoegde.<br>\r\n  <br>\r\n  <i>N.B.:</i> Bij beide typen moderatie kan de moderatiebevoegde de berichten\r\n van gebruikers bewerken of verwijderen.<br>\r\n <br>\r\n',1039779058);
INSERT INTO international VALUES (71,'MessageBoard',3,'Berichtenborden, ook forum en/of discussie genoemd, zijn een goede manier \r\nom betrokkenheid an een webpagina od intranet toe te voegn. Veel bedrijven \r\ngebruiken berichtenborden om samen te werken bij projecten.<br>\r\n <br>\r\n <b>Berichten per pagina.</b><br>\r\n Als een bezoeker voor het eerst op een berichtenbord komt, zal eerst een \r\nlijst met onderwerpen van het berichtenbord getoond worden. Wanneer een berichtenbord \r\npopulair is zal het snel veel onderwerpen bevatten. Met de Berichten Per Pagina\r\nbepaling kan het aantal onerwerpen op een pagina gespecificeerd worden.<br>\r\n <br>\r\n <b>E-mail sjabloon<br>\r\n</b>Selecteer de layout voor de hoofdlijst van deze discussie.<br>\r\n<b><br>\r\nWie kan reageren?</b><br>\r\n Selecteer de groep die reacties op de discussies kan plaatsen.<br>\r\n <br>\r\n <b>Stel reactietijd in</b><br>\r\n Hoe lang moet een gebruiker in staat zijn zijn reactie te bewerken voordat \r\ndeze mogelijkheid afgesloten wordt.<br>\r\n <br>\r\n <i>N.B.:</i> Zet deze limiet niet te hoog. Een voordeel van discussies is \r\ndat er precies op wordt geslagen wie wat zegt. Als er lange tijd bewerkt kan\r\nworden kan de gebruiker teruggaan en de gedachten over een lang geleden gedane\r\nuitspraak veranderen.<br>\r\n <br>\r\n <b>Karma per bericht</b><br>\r\n Hoeveel karma moet er aan een gebruiker gegeven worden wanneer ze op de\r\ndiscussie reageren?<br>\r\n <br>\r\n <b>Wie kan bewerken?</b><br>\r\n Selecteer de groep die de discussie kan bewerken.<br>\r\n <br>\r\n <b>Moderatietype?</b><br>\r\n Het type moderatie dat gebruikt wordt, kan gekozen worden. <i>Naderhand</i> \r\nbetekent dat een bericht meteen publiekelijk gepubliceerd wordt. <i>Vooraf</i> \r\nBetekent dat een moderatiebevoegde een bericht moet zien en goedkeuren voordat \r\nze publiekelijk weergegeven worden. Er wordt automatisch een bericht gestuurd \r\nnaar de moderatiebevoegde, dit bericht komt in de WebGUI Inbox van de aanpasbevoegde.<br>\r\n <br>\r\n <i>N.B.:</i> Bij beide typen moderatie kan de moderatiebevoegde de berichten \r\nvan gebruikers bewerken of verwijderen.<br>\r\n',1039776873);
INSERT INTO international VALUES (71,'FAQ',3,'Het lijkt alsof elke website, intranet en extranet in de wereld een Frequently \r\nAsked Questions (FAQ, in het Nederlands: Vaak Gestelde Vragen) sectie heeft. \r\nDit wobject biedt hulp bij het bouwen van zo\'n sectie.<br>\r\n <br>\r\n <b>Sjabloon<br>\r\n</b>Kies een layout voor deze FAQ.<b><br>\r\n<br>\r\n</b><b>Hoe verder?</b><br>\r\nSelecteer \"nog een vraag toevoegen\" als u meteen nog een vraag toe wilt voegen.<br>\r\n <br>\r\n \r\n<hr width=\"100%\" size=\"1\" noshade=\"noshade\"><i><b>N.B.:</b></i> De volgende \r\nstijl is specifiek voor het FAQ wobject in sommige van de ingebouwde FAQ\r\nsjablonen.<br>\r\n <br>\r\n <b>.faqQuestion</b><br>\r\n Een FAQ vraag, dit ter onderscheiding van een antwoord.<br>\r\n <br>\r\n',1039775411);
INSERT INTO international VALUES (61,'FileManager',3,'Bestands beheer, Toevoegen/Bewerken',1039741327);
INSERT INTO international VALUES (846,'WebGUI',3,'<p>Deze macro\'s zijn voornamelijk handig voor het beheren van stijlen in WebGUI.</p>\r\n         <b>^AdminBar;</b><br>\r\n         Plaatst de administratieve werkbalk op de pagina. Dit is een vereist \r\n  element   in het \"body\" segment van de Stijl Beheerder.<br>\r\n         <br>\r\n        <b>^c; - Bedrijfsnaam</b><br>\r\n        De De naam van het bedrijf gespecicificeerd in de instellingen.<br>\r\n        <br>\r\n        \r\n        <br>\r\n        <b>^e; Bedrijfs email Adres</b><br>\r\n       Het email adres dat door de beheerder in gespecificeerd in de instellingen.<br>\r\n       <br>\r\n      <b>^Extras;</b><br>\r\n       Zet het pad in de WebGUI \"extras\" map, die dingen als de WebGUI iconen \r\n  bevat.<br>\r\n       <br>\r\n    <b>^PageTitle;</b><br>\r\n    Toont de titel van de huidige pagina.<br>\r\n    <br>\r\n    <i>N.B.:</i> Wanneer er begonnen wordt met het gebruiken van de beheerders\r\n  functies of de geavanceerde functies van wobjecten zal de pagina titel\r\neen   link worden die u terug zal brengen naar de pagina.<br>\r\n    <br>\r\n    <b>^r; of ^r(); - Maak Pagina Printbaar</b><br>\r\n    Dit macro maakt een link die de stijl van een pagina verwijdert, zodat\r\n een  pagina printbaar wordt. Ook kan de tekst van de link verandert worden\r\n door  het macro als volgt te gebruiken: <b>^r(\"Print Mij\");</b>.<br>\r\n    <br>\r\n    De huidige stijl van de pagina wordt standaard vervangen door de \"Maak\r\n Pagina  Printbaar\" stijl uit het Stijlbeheer. Dit kan desgewenst voorkomen\r\n worden  door de naam van een andere stijl te specificeren als tweede parameter:<br>\r\n    ^r(\"Print\",\"WebGUI\");<br>\r\n    <br>\r\n    <i>N.B.:</i> Ook kan het speciale geval ^r(linkonly); gebruikt worden \r\ndoor  alleen het URL op te sturen om de pagina printbaar te maken. De .makePrintableLink\r\n  stijl is verbonden aan dit macro.<br>\r\n    <br>\r\n <b>^u; - Bedrijfs URL</b><br>\r\n Het door de beheerder gespecificeerde URL van het bedrijf.<br>\r\n <br>\r\n<b>^?; - Zoek</b><br>\r\nVoegt een zoekopdracht veld toe aan de pagina. Het zoek veld is gebonden\r\naan het in WebGUI ingebouwde zoekprogramma.<br>\r\n<br>\r\n<i>N.B.:</i> De .searchBox Stylesheet klasse is gebonden aan dit macro.<br>\r\n<br>\r\n<p><b>^-;</b><br>\r\nDit macro is bekend als het scheidings macro. Het moet in iedere stijl exact een keer bestaan. Waar dit macro geplaatst wordt is waar de inhoud voor die betreffende pagina getoond zal worden.</p>\r\n',1039740718);
INSERT INTO international VALUES (844,'WebGUI',3,'<p>Deze macro\'s hebben te maken met gebruikers en logins.</p>\r\n         <b>^a; or ^a();- Mijn Account Link</b><br>\r\n         Een link naar de account informatie. Ook kan de link tekst veranderd \r\n  worden   door een macro op de volgende manier te maken: <b>^a(Account Info\");</b>.<br>\r\n         <br>\r\n         <i>Aantekening:</i> Er kan ook het speciale geval ^a(linkonly);\r\ngebruikt     worden om alleen het URL naar de account pagina terug te sturen\r\nen niet   meer.  Ook is de .myAccountLink stylesheet klasse aan dit macro\r\ngebonden.<br>\r\n         <br>\r\n        <b>^AdminText();</b><br>\r\n         Laat een klein tekstbericht zien aan een gebruiker die in de beheerders\r\n    modus is. Voorbeeld: ^AdminTekst(\"u bent in de beheerders modus!\");<br>\r\n         <br>\r\n        <b>^Admintoggle; of ^AdminToggle();</b><br>\r\n         Plaatst een link op de pagina die allen zichtbaar is voor inhoud \r\nbeheerders     en beheerders. De link zet de beheerders modus aan of uit. \r\nEr kan optioneel     ook een ander bericht weergegeven worden op de volgende \r\nmanier: ^AdminToggle(\"Bewerken     Aan\",Bewerken Uit\");<br>\r\n         <br>\r\n       <b>^GroupText();</b><br>\r\n      Toont een klein bericht aan de gebruikers die tot een bepaaldegroep \r\nbehoren.   Voorbeeld: ^GroupText(\"Bezoekers\",\" Je hebt een account nodig om\r\niets leuks   te kunnen doen op deze pagina\");<br>\r\n      <br>\r\n\r\n      <i>Aantekening:</i> Er kan ook het speciale geval ^H(linkonly); gebruikt\r\n   worden om alleen het URL terug te zetten op dat van de homepage en niets\r\n  meer. De .homeLink stylesheet klasse kan alleen voor dit macro gebruikt\r\nworden.<br>\r\n      <br>\r\n   <b>^L; of ^L(); - Login</b><br>\r\n     Een klein login formulier. Dit macro kan ook aangepast worden. De breedte \r\n  kan op de volgende manier ingesteld worden: ^L(20);. Ook kan een bericht \r\n weergegeven worden wanneer de gebruiker net ingelogd is op de volgende manier:<br>\r\n     ^L(20,Hi ^a(^@;);. Klik %hier% om uit te loggen!);.<br>\r\n     <br>\r\n     <i>N.B.:</i> De .loginBox stylesheet klasse is verbonden met dit macro.<br>\r\n     <br>\r\n     <b>^LoginToggle; of ^LoginToggle();</b><br>\r\n     Toont een \"Logout\" of \"Login\" bericht afhankelijk van of de gebruiker\r\n ingelogd  is of niet. Ook kunnen andere berichten weergegeven worden op\r\nde  volgende  manier:<br>\r\n     ^LoginToggle(\"Klik hier om in te loggen.\",\"Klik hierom uit te loggen\");.<br>\r\n     <br>\r\n <b>^@; - Gebruikersnaam</b><br>\r\nDe gebruiksnaam van de momenteel ingelogde gebruiker.<br>\r\n<br>\r\n<b>^#; - Gebruikers Identificatie</b><br>\r\nDe Identificatie van de momenteel ingelogde gebruiker.<br>\r\n<br>\r\n',1039740451);
INSERT INTO international VALUES (842,'WebGUI',3,'<p>Deze macro\'s worden gebruikt om navigatie op de site te maken.</p>\r\n         <b>^C; of ^C(); - Webpad</b><br>\r\n        Een dynamisch gemaakt webpad van de huidige pagina. Ook kan een delimeter\r\n    gespecificeerd worden die tussen paginas gebruikt wordt door ^C(::);\r\nte gebruiken. De standaard delimeter is &gt;.</p>\r\n<p><b>N.B.</b> De .crumbTrail style sheet klasse is aan dit macro gekoppeld.</p>\r\n     <b>^FlexMenu;</b><br>\r\n       Dit menu macro maakt een top-niveau menu dat groter wordt wanneer\r\neen   gebruiker  een menu object selecteerd.<br>\r\n       <br>\r\n      <b>^H; of ^H(); - Home Link</b><br>\r\n      Een link naar de homepage van deze webpagina. Ook kan de tekst van\r\nde  link  aangepast wordendoor een macro te maken op de volgende manier:\r\n<b>^H(\"Go Home\");</b>.<br>\r\n      <br>\r\n<p><b>N.B. I</b>: er kan ook gebruik gemaakt worden van het speciale geval ^H(linkonly); om ervoor te zorgen dat alleen de URL naar de homepage gegeven wordt en niets meer.</p>\r\n<p><b>N.B. II</b>: De .homeLink style sheel klasse is aan dit macro gekoppeld.</p>\r\n     <b>^M; of ^M(); - Huidig Menu (Vertikaal)</b><br>\r\n     Eeen vertikaal menu dat de subpaginas bevat in het heidige niveau. Ook \r\n kan  dit macro aangepast worden door te specificeren hoe veel niveaus diep \r\n het  menu moet afbeelden. Standaard zal alleen het eerste niveau getoond \r\nworden.  Om bijvoorbeeld drie niveaus diep te tonen kan het macro alsvolgt \r\ngebruikt  worden: <b>^M(3);</b> Als het aantal niveaus op nul gezet wordt \r\nzal de hele  pagina boom getoond worden.<br>\r\n     <br>\r\n     <b>^m; - Huidig Menu (Horizontaal)</b><br>\r\n     Een horizontaal menu dat de sub paginas bevat in het huidige niveau. \r\nEr  kan optioneel met ^m(:--:); een delimeter gespecificeerd worden die tussen\r\n  paginas gebruikt wordt.<br>\r\n      De standaard delimeter is &middot;.<br>\r\n     <br>\r\n     <b>^P; of ^P(); - Vorig Menu (Vertikaal)</b><br>\r\n    Een vertikaal menu dat de subpaginas van een niveau lager bevat. Het\r\naantal   niveaus in het menu kan gespecificeerd worden. Standaard zal alleen\r\nhet eerste  niveau getoond worden. Om bijvoorbeeld drie niveaus diep te tonen\r\nkan het  macro alsvolgt gebruikt worden: <b>^P(3);</b> Als het aantal niveaus\r\nop nul  gezet wordt zal de hele pagina boom getoond worden.<br>\r\n     <br>\r\n    <b>^p; - Vorig Menu (Horizontaal)<br>\r\n    </b> Een horizontaal menu dat de subpaginas van een niveau lager bevat. \r\n Er kan optioneel met ^p(:--:); een delimeter gespecificeerd worden die tussen\r\n  paginas gebruikt wordt.<br>\r\n      De standaard delimeter is &middot;.<br>\r\n    <br>\r\n<b>^rootmenu of ^rootmenu(); (Horizontaal)</b><br>\r\n    Dit macro maakt een horizontaal menu die uit de verschillende roots , \r\nbehalve  de WebGUI systeem roots, bestaat. Ook kan een menu delimeter gespecificeerd\r\n  worden op de volgende manier: ^rootmenu(|);<br>\r\n    <br>\r\n    <b>^S(); - Specifiek SubMenu (Vertikaal)</b><br>\r\n   Met dit macro kan het submenu van een pagina verkregen worden, beginnend \r\n met de pagina die gespecificeerd is. Het thuispagina submenu kan bijvoorbeeld \r\n verkregen worden door het macro als volgt te specificeren: <b>^S(\"home\",0);</b>. \r\n De eerste waarde is de URL versie van de titel van de pagina en de tweede \r\n waarde is het aantal niveaus dat getoond moet worden. Het eerste niveau is\r\n het enige dat standaard getoond wordt. Om drie niveaus diep te tonen moet\r\n het macro op de volgende manier gemaakt worden:<b>^S(\"home\",3);</b>.<br>\r\n   <br>\r\n   <b>^s(); - Specifiek SubMenu (Horizontaal)</b><br>\r\n   Met dit macro kan het submenu van een pagina verkregen worden, beginnend\r\n met de pagina die gespecificeerd is. Het thuispagina submenu kan bijvoorbeeld\r\n  verkregen worden door het macro als volgt te specificeren: <b>^S(\"home\");</b>. \r\n De waarde is de URL versie van de titel van de pagina. Er kan optioneel met\r\n ^s(\"home\",:--:); een delimeter gespecificeerd worden die tussen paginas gebruikt\r\n wordt. De standaard delimeter is &middot;.<br>\r\n    <br>\r\n   <br>\r\n  <b>^Synopsis; of ^Synopsis(); Menu</b><br>\r\n  Dit macro zorgt dat er een submenu van een pagina getoond wordt met een \r\nkorte samenvattting van elke link. Er kan een geheel getal gespecificeerd \r\nworden om het aantal niveaus dat getoond wordt te bepalen.<br>\r\n  <br>\r\n  <i>N.B.:</i> De stylesheet klassen .synopsis_sub, .synopsis_summary en\r\n.synopsis_title  zijn verbonden aan dit macro.<br>\r\n  <br>\r\n <b>^T; of ^T(); -Top Level Menu (Vertikaal)</b><br>\r\n  Een vertikaal menu &nbsp;dat de belangrijkste paginas van een site bevat\r\n (ook bekend als de subpaginas van de home pagina).&nbsp;Ook kan  dit macro\r\n aangepast worden door te specificeren hoe veel niveaus diep het  menu moet\r\n afbeelden. Standaard zal alleen het eerste  niveau getoond worden. Om bijvoorbeeld\r\n drie niveaus diep te tonen kan het  macro alsvolgt gebruikt worden: <b>^T(3);</b>\r\n Als het aantal niveaus op nul  gezet wordt zal de hele pagina boom getoond\r\n worden. <br>\r\n  <br>\r\n  <b>^t; - Top Level Menu (Horizontal)</b><br>\r\n  Een horizontaal menu dat de belangrijkste paginas van een site bevat (ook\r\n bekend als de subpaginas van de home pagina). Er kan optioneel met ^t(:--:);\r\n een delimeter gespecificeerd worden die tussen  paginas gebruikt wordt.<br>\r\n      De standaard delimeter is &middot;.<br>\r\n <br>\r\n <b>^/; - URL van het Systeem</b><br>\r\n Het URL van het gateway script (voorbeeld: <i>/index.pl/</i>).<br>\r\n <br>\r\n <b>^\\; - URL van de Pagina</b><br>\r\n Het URL van de huidige pagina (voorbeeld: <i>/index.pl/pagename</i>).<br>\r\n <br>',1039740268);
INSERT INTO international VALUES (840,'WebGUI',3,'<p>Deze macro\'s worden gebruikt om in programmeer achtige functionaliteit te voorzien.</p>\r\n        <b>^D; of ^D(); - Datum</b><br>\r\n        De huidige datum en tijd.<br>\r\n        <br>\r\n        De datum kan aangepast worden door datum opmaak symbolen te gebruiken.\r\n   Als  er een macro <b>^D(\"%c %D, %y\");</b> gemaakt wordt zal het de datum\r\n  op de  vologende manier weergeven: <b>September 26, 2001</b>. De volgende\r\n  lijst bestaat uit de beschikbare opmaak symbolen:<br>\r\n        <br>\r\n               \r\n<table>\r\n          <tbody>\r\n            <tr>\r\n              <td>%%</td>\r\n              <td>%</td>\r\n            </tr>\r\n            <tr>\r\n              <td>%y</td>\r\n              <td>4 cijferige jaaraanduiding</td>\r\n            </tr>\r\n            <tr>\r\n              <td>%Y</td>\r\n              <td>2 cijferige jaaraanduiding</td>\r\n            </tr>\r\n            <tr>\r\n              <td>%m</td>\r\n              <td>2 cijferige jaaraanduiding</td>\r\n            </tr>\r\n            <tr>\r\n              <td>%M</td>\r\n              <td>variabel aantal cijfers</td>\r\n            </tr>\r\n            <tr>\r\n              <td>%c</td>\r\n              <td>naam van de maand</td>\r\n            </tr>\r\n            <tr>\r\n              <td>%d</td>\r\n              <td>2 cijferige datumaanduiding</td>\r\n            </tr>\r\n            <tr>\r\n              <td>%D</td>\r\n              <td>variabel aantal cijfers</td>\r\n            </tr>\r\n            <tr>\r\n              <td>%w</td>\r\n              <td>naam van de dag</td>\r\n            </tr>\r\n            <tr>\r\n              <td>%h</td>\r\n              <td>2 cijferige basis 12 uurs klok</td>\r\n            </tr>\r\n            <tr>\r\n              <td>%H</td>\r\n              <td>variabel aantal cijfers 12 hour</td>\r\n            </tr>\r\n            <tr>\r\n              <td>%j</td>\r\n              <td>2 cijferige basis 24 uurs klok</td>\r\n            </tr>\r\n            <tr>\r\n              <td>%J</td>\r\n              <td>variabel aantal cijfers 24 hour</td>\r\n            </tr>\r\n            <tr>\r\n              <td>%p</td>\r\n              <td>kleine letters am/pm<br>\r\n              </td>\r\n            </tr>\r\n            <tr>\r\n              <td>%P</td>\r\n              <td>hoofdletters AM/PM</td>\r\n            </tr>\r\n            <tr>\r\n              <td>%z</td>\r\n              <td>gebruikers voorkeur datum opmaak</td>\r\n            </tr>\r\n            <tr>\r\n              <td>%Z</td>\r\n              <td>gebruikers voorkeur tijdsopmaak</td>\r\n            </tr>\r\n                               \r\n  </tbody>        \r\n</table>\r\n        <br>\r\n<b>^Env();</b><br>\r\n       Dit macro kan gebruikt worden om een webserver omgeving variabel weer\r\n  te  geven op een pagina. De verschillende omgevings variabelen, die op\r\nelke   server  beschikbaar zijn, &nbsp;kunnen nu uitgezocht worden voor de\r\neigen   webserver  door naar http://www.tourwebguisite.com/env.pl te gaan.<br>\r\n       <br>\r\n       Het macro moet op de volgende manier gespecificeerd worden: ^Env(\"REMOTE_ADDR\");.<br>\r\n       <br>\r\n       <b>^Execute();</b><br>\r\n       Stelt een inhouds beheerder of beheerder in staat een extern programma \r\n  uit  te voeren. Dit neemt de volgende vorm aan: <b>^Execute(\"/this/file.sh\");</b>.<br>\r\n       <br>\r\n       <b>^FormParam();</b><br>\r\n       Dit macro wordt vooral gebruikt om dynamische zoekopdrachten in SQL\r\n verslagen   te doen. Door dit macro te gebruiken kan de waarde van elk veld\r\n genomen worden  door de naam van het veld te specificeren op de volgende\r\nmanier:<br>\r\n       ^FormParam(\"phoneNumber\");.<br>\r\n       <br>\r\n     <b>^Include();</b><br>\r\n     Stelt een inhoud beheerder of beheerder in staat een bestand bij te\r\nvoegen   van het locale bestandssysteem. Dit neemt de volgende vorm aan:<br>\r\n     <b>^Include(\"/this/file.html\");</b><br>\r\n     <br>\r\n<b>^International();</b><br>\r\nTrek een vertaald bericht uit het internationalisatie systeem.\r\n\r\n<i>Voorbeeld:</i> ^International(45,\"Article\"); <br>\r\n<br>\r\n    <b>^Page();</b><br>\r\n    Dit kan gebruikt worden om informatie zoals bijvoorbeeld het URL over \r\nde  huidige pagina in te winnen. Het URL kan op de volgende manier verkregen\r\n worden: ^Page(\"urlizedTitle\"); of de menu titel als volgt: ^Page(\"menuTitle\");.<br>\r\n    <br>\r\n   <b>^SQL();</b><br>\r\n   Een eenregelig SQL verslag. Soms moet informatie snel uit een database \r\ngehaald  worden. Dit macro is ook nuttig om het SQL Verslag wobject uit te \r\nbreiden.  Het gebruikt numerieke macros (^0;, ^1;, ^2; etc) om data te positioneren\r\n en kan ook het ^rownum; macro gebruiken net zoals het SQL Verslag wobject.\r\n Voorbeelden:<br>\r\n  <br>\r\n  ^SQL(\"select count(*) from users\",\"There are ^0; users on this system.\");<br>\r\n  <br>\r\n  ^SQL(\"select usedId,username from users order by username\",\"&lt;a href=\'^/;?op=viewProfile&amp;uid=^0;\'&gt;^1;&lt;/a&gt;&lt;br&gt;\"); \r\n <br>\r\n <b>^URLEncode();</b><br>\r\n Dit macro is nuttig in SQL verslagen, maar ook elders. De invoer wordt door \r\nURL Encode zo gemaakt dat de invoer doorgegeven kan worden door een URL. De\r\nsyntax ziet er zo uit: ^URLEncode(\"Is dit mijn invoer?\");<br>\r\n <br>\r\n <b>^User();</b><br>\r\n Met dit macro kan informatie over een gebruiker of het profiel van een gebruiker \r\ngetoond worden. Als bijvoorbeeld het email adres van een gebruiker getoond \r\nmoet worden ziet het macro er zo uit: ^User(\"email\");<br>\r\n <br>\r\n<b>^</b><b>*; of ^</b><b>*(); - Willekeurig Getal</b><br>\r\nEen willekeurig gegenereerd getal. Dit wordt vaak gebruikt voor afbeeldingen\r\ndie niet in het cache geheugen opgeslagen moeten worden. Ook kan het macro\r\nzo gedefinieerd worden dat er een willekeurig getal tussen de 0 en 100 gegeven\r\nwordt: <b>^</b><b>*(100);</b>.<br>\r\n<br>\r\n<b>^-;, ^0;, ^1;, ^2;, ^3;, etc</b><br>\r\nDeze macros worden apart gehouden voor systeem of wobject specifieke functies\r\nzoals het SQL Verslag wobject en de Body in de Stijl Beheerder.<br>\r\n  <br>\r\n <br>',1039739731);
INSERT INTO international VALUES (836,'WebGUI',3,'<p>Knipsels zijn stukjes tekst die op uw site hergebruikt kunnen worden. Denk aan dingen zoals javascripts, style sheets, flash animaties, of zelfs slogans kunnen allemaal prima knipsels zijn. Het mooiste is dat wanneer je die tekst wilt aanpassen het maar op een plek hoeft.</p>\r\n<p><b>Naam</b><br>\r\nGeef uw knipsel een unieke naam waaraan u later kunt refereren om het op te vragen.</p>\r\n<p><b>Organiseer in map</b><br>\r\nIn welke collaterale map moet dit knipsel bewaard worden?</p>\r\n<p><b>Knipsel</b><br>\r\nBegin met typen! Of nog beter, knip het knipsel uit een ander electronisch document en plak het hier in.</p>',1039739063);
INSERT INTO international VALUES (834,'WebGUI',3,'<p>U kunt iedere soort bestand in de repository plaatsen zodat u deze later kunt gebruiken.</p>\r\n<p><b>Naam</b><br>\r\nGeef dit bestand een unieke naam die u kunt gebruiken om er later aan te refereren.</p>\r\n<p><b>Beheer in een map</b><br>\r\nIn welke map moet dit bestand bewaard worden?\r\n</p>\r\n<p><b>Bestand</b><br>\r\nSelecteer een bestand van uw harddisk om te uploaden.</p>',1039738822);
INSERT INTO international VALUES (832,'WebGUI',3,'<p>Het collaterale inhoudsbeheer systeem heeft de beschikking over enkele specifieke macro\'s.</p>\r\n<b>^File();</b><br/>\r\nDit macro maakt een snelle bestandslink. Het maakt een pictogram voor het bestand en laat de bestandsnaam zien. Daarna linkt het naar dit bestand zodat het gedownload kan worden.<p/>\r\n<p><b>^I();</b><br>\r\nDit macro haalt een plaatje uit het collaterale inhoudsbeheer systeem en voegt daaraan een HTML plaatjes tag toe zodat het mogelijk is snel een plaatje uit het collaterale systeem in uw inhoud te plaatsen.</p>\r\n<p><i>Voorbeeld:</i> ^I(\"logo\");\r\n</p>\r\n<b>^i();</b><br/>\r\nDit macro haalt de URL voor willekeurige inhoud uit het systeem.\r\n<p/>\r\n<i>Voorbeeld:</i> ^i(\"status rapportage\");\r\n<p/>\r\n\r\n<b>^Snippet();</b><br/>\r\nDit makro haalt de inhoud van het knipsel uit het systeem en plakt het in de pagina.\r\n<p/>\r\n<i>Voorbeeld:</i> ^Snippet(\"flash code\");\r\n<p/>\r\n\r\n<b>^Thumbnail();</b><br/>\r\nDit makro geeft de URL voor het pictogram van een plaatje uit het systeem.\r\n<p/>\r\n<i>Voorbeeld:</i> ^Thumbnail(\"trouwfoto\");\r\n<p/>\r\n\r\n<b>^ThumbnailLinker();</b><br/>\r\nDit macro bouwt een plaatje zoals het Thumbnail macro en maakt daar een link van naar het plaatje op volledige groote.\r\n<p/>\r\n<i>Voorbeeld:</i> ^ThumbnailLinker(\"trouwfoto\");\r\n<p/>\r\n\r\n',1043314308);
INSERT INTO international VALUES (77,'USS',3,'<P>De volgende sjabloon variabelen zijn beschikbaar om een bijdrage\r\naan te passen. Bijdrage sjablonen worden gebruikt voor het tonen van\r\nindividuele bijdragen in een gebruikers bijdrage systeem. \r\n</P>\r\n<P><B>title</B><BR>De titel van deze bijdrage.</P>\r\n<P><B>content</B><BR>De volledige inhoud van deze bijdrage.</P>\r\n<P><B>user.label</B><BR>Het vertaalde label voor wat deze gebruiker\r\naan het systeem bijgedragen heeft.</P>\r\n<P><B>user.profile</B><BR>De URL naar het profiel van de gebruiker\r\ndie deze bijdrage gepost heeft.</P>\r\n<P><B>user.username</B><BR>De gebruikersnaam van de gebruiker die\r\ndeze bijdrage gepost heeft.</P>\r\n<P><B>user.id</B><BR>Het id waaraan de gebruiker die deze bijdrage\r\ngeleverd heeft geidentificeerd kan worden.</P>\r\n<P><B>date.label</B><BR>Het vertaalde label voor op welke datum deze\r\nbijdrage gepost is.</P>\r\n<P><B>date.epoch</B><BR>De tijd die verstreken is in seconden sinds 1\r\njanuari 1970 waarop deze bijdrage geleverd is.</P>\r\n<P><B>date.human</B><BR>Een voor mensen leesbare datum die de datum\r\nen tijd aangeeft waarop deze bijdrage geleverd is.</P>\r\n<P><B>status.label</B><BR>Het vertaalde label dat de status van deze\r\nbijdrage aangeeft.</P>\r\n<P><B>status.status</B><BR>De status van deze bijdrage\r\n(goedgekeurd,wachtend,afgekeurd).</P>\r\n<P><B>views.label</B><BR>Het vertaalde label voor het aantal keer dat\r\ndeze bijdrage bekeken is.</P>\r\n<P><B>views.count</B><BR>Het aantal keer dat deze bijdrage bekeken\r\nis.</P>\r\n<P><B>canPost</B><BR>Een conditie die aangeeft of deze gebruiker al\r\ndan niet een nieuwe bijdrage mag leveren.</P>\r\n<P><B>post.url</B><BR>De URL om een nieuwe bijdrage te posten.</P>\r\n<P><B>post.label</B><BR>Het vertaalde label voor de post link.</P>\r\n<P><B>previous.more</B><BR>Een conditie die aangeeft of er enige\r\nvoorgaande bijdragen beschikbaar zijn voor deze bijdrage. \r\n</P>\r\n<P><B>previous.url</B><BR>Een URL naar de bijdrage die hiervoor kwam.</P>\r\n<P><B>previous.label</B><BR>Het vertaalde label voor de vorige link.</P>\r\n<P><B>next.more</B><BR>Een conditie die aangeeft of er nog bijdragen\r\nna deze beschikbaar zijn.</P>\r\n<P><B>next.url</B><BR>De URL naar de bijdrage na deze.</P>\r\n<P><B>next.label</B><BR>Het vertaalde label voor de bijdrage na deze.</P>\r\n<P><B>canEdit</B><BR>Een conditie die aangeeft of de huidige\r\ngebruiker deze bijdrage mag bewerken of verwijderen.</P>\r\n<P><B>edit.url</B><BR>De URL om deze bijdrage te bewerken.</P>\r\n<P><B>edit.label</B><BR>Het vertaalde label om deze bijdrage te\r\nbewerken.</P>\r\n<P><B>delete.url</B><BR>De URL om deze bijdrage te verwijderen.</P>\r\n<P><B>delete.label</B><BR>Het vertaalde label voor de link om deze\r\nbijdrage te verwijderen.</P>\r\n<P><B>canChangeStatus</B><BR>Een conditie die aangeeft of de huidige\r\ngebruiker de privileges heeft om de status van deze bijdrage aan te\r\npassen.</P>\r\n<P><B>approve.url</B><BR>De URL om deze bijdrage goed te keuren.</P>\r\n<P><B>approve.label</B><BR>Het vertaalde label voor de link om goed\r\nte keuren.</P>\r\n<P><B>deny.url</B><BR>De URL om deze bijdrage af te keuren.</P>\r\n<P><B>deny.label</B><BR>Het vertaalde label voor de link om af te\r\nkeuren.</P>\r\n<P><B>leave.url</B><BR>De URL om deze post in z\'n huidige status te\r\nlaten.</P>\r\n<P><B>leave.label</B><BR>Het vertaalde label voor de link om de\r\nhuidige status te handhaven.</P>\r\n<P><B>canReply</B><BR>Een conditie die aangeeft of de huidige\r\ngebruiker op deze bijdrage mag reageren.</P>\r\n<P><B>reply.url</B><BR>De URL om op deze post te reageren.</P>\r\n<P><B>reply.label</B><BR>Het vertaalde label voor de reageren link.</P>\r\n<P><B>search.url</B><BR>De URL om het WebGUI krachtzoek formulier aan\r\nof uit te zetten.</P>\r\n<P><B>search.label</B><BR>Het vertaalde label voor de krachtzoek\r\nlink.</P>\r\n<P><B>back.url</B><BR>De URL om de gebruiker terug te laten keren\r\nnaar de hoofdlijst met bijdragen.</P>\r\n<P><B>back.label</B><BR>Het vertaalde label voor het terugkeren.</P>\r\n<P><B>replies</B><BR>Een volledige lijst met alle reacties op deze\r\nbijdrage.</P>',1039737802);
INSERT INTO international VALUES (838,'WebGUI',3,'Mappen worden gebruikt om naburigen te organiseren, ongeveer op dezelfde manier waarop bestanden op de harddisk worden opgeslagen of mappen in een hangmappenkast. <p></p> <p><b>Zet in map</b><br> Mappen kunnen in andere mappen geplaatst worden. In welke map wilt u deze map plaatsen?</p> <p><b>Naam</b><br> Geef deze map een naam zodat u kunt herkennen wat er in zit.&nbsp;</p> <p><b>Beschrijving</b><br> Geef een beschrijving van de inhoud van deze map.</p> ',1039710269);
INSERT INTO international VALUES (847,'WebGUI',3,'Ga terug naar de huidige pagina.',1039709981);
INSERT INTO international VALUES (75,'USS',3,'De volgende sjabloon variabelen zijn beschikbaar om uw gebruikers bijdrage\r\nsysteem aan te passen.<br>\r\n<p><b>readmore.label</b><br>\r\nHet vertaalde label dat aangeeft dat de gebruiker hier moet klikken om meer\r\nte lezen. </p>\r\n<p>  <b>responses.label</b><br>\r\nHet vertaalde label dat aangeeft dat de gebruiker hier moet klikken om antwoorden\r\nop deze bijdrage te lezen. </p>\r\n<p>  <b>canPost</b><br>\r\nEen conditie die aangeeft of een gebruiker een nieuwe bijdrage mag toevoegen. \r\n</p>\r\n<p>  <b>post.url</b><br>\r\nDe URL om een nieuwe bijdrage toe te voegen. </p>\r\n<p>  <b>post.label</b><br>\r\nHet vertaalde label voor de post link. </p>\r\n<p>  <b>search.label</b><br>\r\nHet vertaalde label voor de zoek link. </p>\r\n<p>  <b>search.url</b><br>\r\nDe URL om WebGUI\'s krachtzoek formulier aan of uit te zetten. </p>\r\n<p>  <b>search.form</b><br>\r\nWebGUI\'s krachtzoek formulier. </p>\r\n<p>  <b>title.label</b><br>\r\nHet vertaalde label voor de titel kolom. </p>\r\n<p>  <b>thumbnail.label</b><br>\r\nHet vertaalde label voor de pictogram kolom. </p>\r\n<p>  <b>date.label</b><br>\r\nHet vertaalde label voor de datum kolom. </p>\r\n<p>  <b>by.label</b><br>\r\nHet vertaalde label voor dat aangeeft door wie de bijdrage bijgedragen was. \r\n</p>\r\n<p>  <b>submissions_loop</b><br>\r\nEen lus die iedere bijdrage bevat. </p>\r\n<blockquote> <b>submission.id</b><br>\r\nEen unieke waarde waaraan deze bijdrage geidentificeerd kan worden. \r\n  <p>  <b>submission.url</b><br>\r\nDe URL om deze bijdrage te bekijken. </p>\r\n  <p>  <b>submission.content</b><br>\r\nDe afgekortte tekstinhoud van deze bijdrage. </p>\r\n  <p>  <b>submission.responses</b><br>\r\nHet aantal reacties op deze bijdrage. </p>\r\n  <p>  <b>submission.title</b><br>\r\nDe titel voor deze bijdrage. </p>\r\n  <p>  <b>submission.userId</b><br>\r\nDe gebruikers Id van de gebruiker die deze bijdrage gepost heeft. </p>\r\n  <p>  <b>submission.username</b><br>\r\nDe gebruikersnaam van de gebruiker die deze bijdrage gepost heeft. </p>\r\n  <p>  <b>submission.status</b><br>\r\nDe status van deze bijdrage. (goedgekeurd,wachtend,afgekeurd). </p>\r\n  <p>  <b>submission.thumbnail</b><br>\r\nHet pictogram van het plaatje dat bij deze bijdrage is toegevoegd (als dat\r\nhet geval is). </p>\r\n  <p>  <b>submission.date</b><br>\r\nDe datum waarop deze bijdrage is gepost. </p>\r\n  <p>  <b>submission.currentUser</b><br>\r\nEen conditie die aangeeft of de huidige gebruiker dezelfde is als de gebruiker\r\ndie deze bijdrage heeft gepost. </p>\r\n  <p>  <b>submission.userProfile</b><br>\r\nDe URL naar het profiel van de gebruiker die deze bijdrage gepost heeft. </p>\r\n  <p>  <b>submission.secondColumn</b><br>\r\nEen conditie die aangeeft of deze bijdrage al dan niet in de tweede colom\r\nbehoort, in een meerdere-kolommen layout. </p>\r\n  <p>  <b>submission.thirdColumn</b><br>\r\nEen conditie die aangeeft of deze bijdrage al dan niet in de derde colom\r\nbehoort, in een meerdere-kolommen layout.&nbsp; </p>\r\n  <p>  <b>submission.fourthColumn</b><br>\r\nEen conditie die aangeeft of deze bijdrage al dan niet in de vierde colom\r\nbehoort, in een meerdere-kolommen layout.&nbsp; </p>\r\n  <p>  <b>submission.fifthColumn</b><br>\r\nEen conditie die aangeeft of deze bijdrage al dan niet in de vijfde colom\r\nbehoort, in een meerdere-kolommen layout.&nbsp; </p>\r\n  <p>  </p>\r\n</blockquote>\r\n \r\n<p>   </p>\r\n<p>  <b>lastPage</b><br>\r\n Een link naar de laatste pagina van de paginanummering. </p>\r\n \r\n<p>  <b>nextPage</b><br>\r\n Een link naar de volgende pagina van de paginanummering. </p>\r\n \r\n<p>  <b>previousPage</b><br>\r\n Een link naar de vorige pagina van de paginanummering.&nbsp; </p>\r\n \r\n<p>  <b>pageList</b><br>\r\n Een lijst van links naar alle pagina\'s in de paginanummering.&nbsp; </p>\r\n \r\n<p>  <b>multiplePages</b><br>\r\n  Een conditionele variabele die aangeeft of er meer dan een pagina in de \r\npaginanummering is.  </p>\r\n',1039699226);
INSERT INTO international VALUES (830,'WebGUI',3,'Pagina sjablonen worden gebruikt om wobjects op een pagina te organiseren.\r\nOm dit te doen moet u paginasjabloon posities maken. U kunt een onbeperkt\r\naantal posities in uw paginasjabloon opnemen, maar u moet er altijd minstens\r\neen positioneren. De paginasjabloon positie ziet er zo uit:<br>\r\n<pre>&lt;tmpl_var page.position1&gt;<br>&lt;tmpl_var page.position2&gt;<br>&lt;tmpl_var page.position3&gt;<br>&lt;tmpl_var page.position4&gt;<br>&lt;tmpl_var page.position5&gt;<br>&lt;tmpl_var page.position6&gt;<br>&lt;tmpl_var page.position7&gt;<br>&lt;tmpl_var ...&gt;<br><br></pre>\r\nDe positie elementen kunnen oplopen tot 1 miljoen wat ruim voldoende zou\r\nmoeten zijn voor een gemiddelde site.\r\n',1039627261);
INSERT INTO international VALUES (73,'SiteMap',3,'De volgende sjabloon variabelen zijn beschikbaar om uw sitemap aan te passen.<br>\r\n \r\n<p>  <b>page_loop</b><br>\r\nDeze lus bevat alle pagina\'s in de sitemap. </p>\r\n  <b>page.indent</b><br>\r\nHet opsommingsteken voor deze pagina die de diepte in de paginaboom aangeeft. \r\n<p>  <b>page.url</b><br>\r\nDe URL naar de pagina. </p>\r\n<p>  <b>page.id</b><br>\r\nDe unieke waarde waaraan deze pagina in WebGUI intern gerefereerd wordt. </p>\r\n<p>  <b>page.title</b><br>\r\nDe titel van deze pagina. </p>\r\n<p>  <b>page.menutitle</b><br>\r\nDe titel van deze pagina die in de navigatie wordt getoond. </p>\r\n<p>  <b>page.synopsis</b><br>\r\nDe beschrijving van de inhoud van deze pagina (als die bestaat). </p>\r\n<p>  <b>page.isRoot</b><br>\r\nEen conditie die aangeeft of deze pagina een root is. </p>\r\n',1039989891);
INSERT INTO international VALUES (74,'MessageBoard',3,'De volgende sjabloon variabelen zijn beschikbaar om het berichtenbord aan\r\nte passen.<br>\r\n \r\n<p>  <b>canPost</b><br>\r\nEen conditie die aangeeft of de huidige gebruiker privileges heeft om een\r\nnieuw bericht te posten. </p>\r\n<p>   <b>post.url</b><br>\r\nDe URL om een nieuw bericht te posten. </p>\r\n<p>  <b>post.label</b><br>\r\nHet vertaalde label voor de URL om een nieuw bericht te posten. </p>\r\n<p>   <b>search.url</b><br>\r\nDe URL om in dit berichtenbord te zoeken. </p>\r\n<p>  <b>search.label</b><br>\r\nHet vertaalde label voor de zoek URL. </p>\r\n<p>  <b>subject.label</b><br>\r\nHet vertaalde label voor de onderwerp kolom. </p>\r\n<p>  <b>user.label</b><br>\r\nHet vertaalde label voor de gebruiker kolom. </p>\r\n<p>  <b>date.label</b><br>\r\nHet vertaalde label voor de datum kolom. </p>\r\n<p>  <b>views.label</b><br>\r\nHet vertaalde label voor de aantal keer bekeken kolom. </p>\r\n<p>  <b>replies.label</b><br>\r\nHet vertaalde label voor de reacties kolom. </p>\r\n<p>  <b>last.label</b><br>\r\nHet vertaalde label voor de laatste reactie kolom. </p>\r\n<p>  <b>message_loop</b><br>\r\nDe lus die de berichten bevat. </p>\r\n<blockquote>  <b>last.url</b><br>\r\n De URL voor de laatste reactie op dit bericht. \r\n  <p>  <b>last.subject</b><br>\r\nHet ondewerp van de laatste reactie op dit bericht. </p>\r\n  <p>   <b>last.username</b><br>\r\nDe gebruiker die de laatste reactie op dit bericht gepost heeft. </p>\r\n  <p>  <b>last.userProfile</b><br>\r\nDe URL naar het profiel van de gebruiker die de laatste reactie op dit bericht\r\ngepost heeft. </p>\r\n  <p>  <b>last.date</b><br>\r\nDe datum waarop de laatste reactie op dit bericht gepost is. </p>\r\n  <p>   <b>message.subject</b><br>\r\nHet onderwerp van dit bericht. </p>\r\n  <p>  <b>message.date</b><br>\r\nDe datum waarop dit bericht gepost is. </p>\r\n  <p>  <b>message.user</b><br>\r\nDe gebruiker die dit bericht gepost heeft. </p>\r\n  <p>  <b>message.views</b><br>\r\nHet aantal keer dat dit bericht bekeken is. </p>\r\n  <p>  <b>message.replies</b><br>\r\nHet aantal reacties op dit bericht. </p>\r\n  <p>  <b>message.url</b><br>\r\nDe URL om dit bericht te bekijken. </p>\r\n  <p>  <b>message.currentUser</b><br>\r\nEen conditie die aangeeft of de huidige gebruiker ook de gebruiker is die\r\ndit bericht gepost heeft. </p>\r\n  <p>  <b>message.status</b><br>\r\nDe status van dit bericht (lopend, goedgekeurd, afgekeurd). </p>\r\n  <p>  </p>\r\n</blockquote>\r\n \r\n<p>   <b>firstPage</b><br>\r\nEen link naar de eerste pagina van de paginanummering. </p>\r\n<p>  <b>lastPage</b><br>\r\nEen link naar de laatste pagina van de paginanummering. </p>\r\n<p>  <b>nextPage</b><br>\r\nEen link naar de volgende pagina van de paginanummering. </p>\r\n<p>  <b>previousPage</b><br>\r\nEen link naar de vorige pagina van de paginanummering.&nbsp; </p>\r\n<p>  <b>pageList</b><br>\r\nEen lijst van links naar alle pagina\'s in de paginanummering.&nbsp; </p>\r\n<p>  <b>multiplePages</b><br>\r\n Een conditionele variabele die aangeeft of er meer dan een pagina in de\r\npaginanummering is.  </p>\r\n<br>\r\n',1039626840);
INSERT INTO international VALUES (61,'FAQ',3,'FAQ, Toevoegen/Bewerken',1039596915);
INSERT INTO international VALUES (61,'ExtraColumn',3,'Extra Kolom, Toevoegen/Bewerken',1039596903);
INSERT INTO international VALUES (61,'EventsCalendar',3,'Evenementen Kalender, Toevoegen/Bewerken',1039596872);
INSERT INTO international VALUES (71,'Article',3,'Artikelen zijn het snijblad van het zwitsers zakmes van WebGUI. De meeste \r\nstatische inhoud kan toegevoegd worden via het artikel.<br>\r\n <br>\r\n <b>Plaatje</b><br>\r\n Kies een plaatjesbestand (.jpg, .gif, .png) van je harddisk. Dit bestand \r\nzal op de server bewaard worden en bij het artikel weergegeven worden.<br>\r\n <br>\r\n <b>Plaatje uitlijnen<br>\r\n </b>Kies hier waar het plaatje uitgelijnd zal worden ten opzichte van het \r\nartikel.<br>\r\n <br>\r\n <b>Bijlage</b><br>\r\n Voor het toevoegen van bijvoorbeeld een zip bestand of een tekstverwerkingsbestand \r\nzodat andere gebruikers dit van de WebGUI server op kunnen halen kan hier \r\neen bijlage gekozen worden vanaf de harddisk. Deze worden net zoals plaatjes \r\nop de server bewaard.<br>\r\n <br>\r\n <b>Link Titel<br>\r\n </b>Voor het toevoegen van een link aan het artikel kan hier een titel gekozen \r\nworden.<br>\r\n <br>\r\n <i>Voorbeeld:</i> ProcoliX<br>\r\n <br>\r\n <b>Link URL</b><br>\r\n Voor de toegevoegde link kan hier de URL (uniform resource locator) toegevoegd \r\nworden.<br>\r\n <br>\r\n <i>Voorbeeld:</i> http://www.procolix.com<br>\r\n <br>\r\n <b>Enter converteren?</b><br>\r\n Wanneer hier HTML-code ingevoerd is heeft deze optie niet veel zin. Wanneer \r\nechter geen HTML ingevoerd wordt kan ervoor gekozen dat iedere \"Enter\" aanslag \r\nomgezet wordt in een op het scherm zichtbare enter.<br>\r\n <br>\r\n <b>Discussie toelaten?<br>\r\n </b>Mag over dit artikel direct en op deze plaats gediscussieerd worden?<br>\r\n <br>\r\n <b>Wie kan posten?</b><br>\r\n Kies welke groep toestemming heeft om in de discussie te posten.<br>\r\n <br>\r\n <b>Edit Timeout</b><br>\r\n Hoe lang mag een gebruiker erover doen om posts voor in de discussie te\r\ntypen?<br>\r\n <br>\r\n <i>Note: </i>Zet deze limiet niet te hoog. Een van de goede dingen van discussies \r\nis dat er een duidelijk overzicht is van wie wat gezegd heeft.<br>\r\n Wanneer gebruikers er lang over mogen doen om een post te typen hebben ze \r\neen kans om terug te gaan en van gedachten te veranderen nadat de oorspronkelijke \r\nmening geformuleerd is.<br>\r\n <br>\r\n <b>Karma Per Post</b><br>\r\n Hoeveel karma moet er aan een gebruiker toegekend worden wanneer ze in de \r\ndiscussie posten?<br>\r\n <br>\r\n <b>Wie kan modereren?</b><br>\r\n Selecteer de groep die toestemming heeft om de discussie te modereren.<br>\r\n <br>\r\n <b>Moderatie type?</b><br>\r\n Wat voor type moderatie moet er toegepast worden op de discussie?<br>\r\n <i>Achteraf</i> betekent dat wanneer een gebruiker een post gemaakt heeft \r\ndeze direct publiek bekend gemaakt wordt. <i>Vantevoren</i> betekent dat voordat\r\neen post publiek gemaakt wordt deze eerst door een moderator goedgekeurd moet\r\nworden. Waarschuwingen dat zo\'n post gemaakt is wordt automatisch in de moderator\'s\r\nWebGUI Inbox geplaatst.<br>\r\n <br>\r\n <i>Note:</i> Bij beide typen moderatie kan de moderator altijd post\'s van \r\ngebruikers bewerken of weggooien.<br>\r\n <br>\r\n',1039596858);
INSERT INTO international VALUES (845,'WebGUI',3,'Stijl macro\'s',1039543471);
INSERT INTO international VALUES (843,'WebGUI',3,'Gebruikers macro\'s',1039543455);
INSERT INTO international VALUES (841,'WebGUI',3,'Navigatie macro\'s',1039543436);
INSERT INTO international VALUES (839,'WebGUI',3,'Programmeurs macro\'s',1039543415);
INSERT INTO international VALUES (831,'WebGUI',3,'Naburige Macro\'s',1039543319);
INSERT INTO international VALUES (829,'WebGUI',3,'Pagina sjabloon',1039543299);
INSERT INTO international VALUES (828,'WebGUI',3,'De meeste wobjects hebben sjablonen die de mogelijkheid geven om de layout\r\nvan de gebruikers interface van dat wobject aan te passen. Deze wobject sjablonen\r\nhebben een gezamenlijke set van variabelen die gebruikt kunnen worden voor\r\nde layout. Ze hebben ook een set eigen variabelen. De volgende sjabloon variabelen\r\nzijn beschikbaar om in alle wobjects de sjablonen aan te passen.<br>\r\n<p> <b>title</b><br>\r\nDe titel voor dit wobject. </p>\r\n<p>  <b>displayTitle</b><br>\r\nEen conditionele variabele die aangeeft of de titel wel of niet getoond moet\r\nworden. </p>\r\n<p>  <b>description</b><br>\r\nDe beschrijving van dit wobject. </p>\r\n<p>  <b>wobjectId</b><br>\r\nHet nummer dat WebGUI gebruikt om dit wobject te identificeren. </p>\r\n',1039543288);
INSERT INTO international VALUES (827,'WebGUI',3,'Wobject sjabloon',1039543049);
INSERT INTO international VALUES (76,'LinkList',3,'De volgende sjabloon variabelen zijn beschikbaar om uw link lijst sjablonen \r\naan te passen.<br>\r\n \r\n<p>   <b>addlink.url</b><br>\r\nDe URL om een link aan deze link lijst toe te voegen. </p>\r\n<p>  <b>addlink.label</b><br>\r\nHet vertaalde label voor de \'voeg link toe\' URL. </p>\r\n<p>  <b>link_loop</b><br>\r\nDeze lus bevat alle informatie over iedere link. </p>\r\n  <b>link.url</b><br>\r\nDe URL voor deze link. \r\n<p>  <b>link.name</b><br>\r\nDe tekst om naar te linken. </p>\r\n<p>  <b>link.controls</b><br>\r\nDe WebGUI beheersgereedschappen voor deze link. </p>\r\n<p>  <b>link.newwindow</b><br>\r\nEen conditie die aangeeft of deze link in een nieuw venster geopend moet\r\nworden. </p>\r\n<p>  <b>link.description</b><br>\r\nDe beschrijving van deze link. </p>\r\n',1039543022);
INSERT INTO international VALUES (74,'Item',3,'De volgende sjabloon variabelen zijn beschikbaar om uw item sjablonen aan\r\nte passen.<br>\r\n \r\n<p>  <b>attachment.name</b><br>\r\nDe bestandsnaam voor de bijlage bij dit item. </p>\r\n<p>  <b>attachment.url</b><br>\r\nDe URL om de bijlage bij dit item te downloaden. </p>\r\n<p>  <b>attachment.icon</b><br>\r\nDe URL om naar het pictogram bij de bijlage bij dit item. </p>\r\n',1039542869);
INSERT INTO international VALUES (76,'FileManager',3,'De volgende sjabloon variabelen zijn beschikbaar om Bestandsbeheer sjablonen\r\naan te passen.<br>\r\n<p><b>titleColumn.url</b><br>\r\nDe URL om op titel te sorteren.<br>\r\n</p>\r\n<p><b>titleColumn.label</b><br>\r\nHet vertaalde label voor de titel. </p>\r\n<p>  <b>descriptionColumn.label</b><br>\r\nHet vertaalde label voor de beschrijving. </p>\r\n<p>  <b>descriptionColumn.url</b><br>\r\nDe URL om op beschrijving te sorteren. </p>\r\n<p>  <b>dateColumn.label</b><br>\r\nHet vertaalde label voor de upload datum. </p>\r\n<p>  <b>dateColumn.url</b><br>\r\nDe URL om op upload datum te sorteren. </p>\r\n<p>  <b>search.form</b><br>\r\nWeGUI krachtzoek formulier. </p>\r\n<p>  <b>search.url</b><br>\r\nDe URL om zoek modus aan en uit te zetten. </p>\r\n<p>  <b>search.label</b><br>\r\nHet vertaalde label voor de zoek link. </p>\r\n<p>  <b>addfile.url</b><br>\r\nDe URL om een bestand aan bestandsbeheer toe te voegen. </p>\r\n<p>  <b>addfile.label</b><br>\r\nHet vertaalde label voor de voeg bestand toe link. </p>\r\n<p>  <b>file_loop</b><br>\r\nEen lus die informatie bevat over iedere file die geupload is in deze bestandsbeheer. \r\n</p>\r\n<blockquote> <b>file.canView</b><br>\r\nEen conditie die aangeeft of de huidige gebruiker rechten heeft om dit bestand\r\nte bekijken. \r\n  <p> <b>file.controls</b><br>\r\nDe WebGUI beheergereedschappen voor dit bestand. </p>\r\n  <p> <b>file.title</b><br>\r\nDe titel voor dit bestand. </p>\r\n  <p> <b>file.version1.name</b><br>\r\nDe bestandsnaam voor de eerste versie van dit bestand. </p>\r\n  <p> <b>file.version1.url</b><br>\r\nDe download URL voor de eerste versie van dit bestand. </p>\r\n  <p> <b>file.version1.icon</b><br>\r\nDe URL voor het pictogram voor het bestandstype voor de eerste versie van\r\ndit bestand. </p>\r\n  <p> <b>file.version1.size</b><br>\r\nDe opslaggrootte voor de eerste versie van dit bestand. </p>\r\n  <p> <b>file.version1.type</b><br>\r\nHet type (of bestandsextentie) van de eerste versie van dit bestand. </p>\r\n  <p> <b>file.version1.thumbnail</b><br>\r\nDe URL naar het pictogram voor de eerste versie van dit bestand. </p>\r\n  <p> <b>file.version1.isImage</b><br>\r\nEen conditie die aangeeft of de eerste versie van dit bestand een plaatje\r\nis of niet. </p>\r\n  <p> <b>file.version2.name</b><br>\r\nDe bestandsnaam voor de tweede versie van dit bestand.  </p>\r\n  <p> <b>file.version2.url</b><br>\r\nDe download URL voor de tweede versie van dit bestand.  </p>\r\n  <p> <b>file.version2.icon</b><br>\r\nDe URL voor het pictogram voor het bestandstype voor de tweede versie van\r\ndit bestand.  </p>\r\n  <p> <b>file.version2.size</b><br>\r\nDe opslaggrootte voor de tweede versie van dit bestand.&nbsp; </p>\r\n  <p> <b>file.version2.type</b><br>\r\nHet type (of bestandsextentie) van de tweede versie van dit bestand.&nbsp; \r\n  </p>\r\n  <p> <b>file.version2.thumbnail</b><br>\r\nDe URL naar het pictogram voor de tweede versie van dit bestand.  </p>\r\n  <p> <b>file.version2.isImage</b><br>\r\nEen conditie die aangeeft of de tweede versie van dit bestand een plaatje\r\nis of niet.  </p>\r\n  <p> <b>file.version3.name</b><br>\r\nDe bestandsnaam voor de derde versie van dit bestand.   </p>\r\n  <p> <b>file.version3.url</b><br>\r\nDe download URL voor de derde versie van dit bestand.   </p>\r\n  <p> <b>file.version3.icon</b><br>\r\nDe URL voor het pictogram voor het bestandstype voor de derde versie van\r\ndit bestand.   </p>\r\n  <p> <b>file.version3.size</b><br>\r\nDe opslaggrootte voor de derde versie van dit bestand.&nbsp;  </p>\r\n  <p> <b>file.version3.type</b><br>\r\nHet type (of bestandsextentie) van de derde versie van dit bestand.&nbsp; \r\n </p>\r\n  <p> <b>file.version3.thumbnail</b><br>\r\nDe URL naar het pictogram voor de derde versie van dit bestand.   </p>\r\n  <p> <b>file.version3.isImage</b><br>\r\nEen conditie die aangeeft of de derde versie van dit bestand een plaatje\r\nis of niet.   </p>\r\n  <p> <b>file.description</b><br>\r\nDe beschrijving van dit bestand. </p>\r\n  <p> <b>file.date</b><br>\r\nDe datum waarop dit bestand geupload is. </p>\r\n  <p> <b>file.time</b><br>\r\nDe tijd waarop dit bestand geupload is. </p>\r\n  <p> </p>\r\n</blockquote>\r\n \r\n<p> <b>noresults.message</b><br>\r\nEen vertaald bericht dat aangeeft dat deze bestandsbeheer geen bestanden\r\nheeft die deze gebruiker mag zien.<br>\r\n</p>\r\n<p> </p>\r\n<p> <b>noresults</b><br>\r\nEen conditie die aangeeft of er bestanden zijn die deze gebruiker mag zien. \r\n</p>\r\n<p>  <b>firstPage</b><br>\r\n Een link naar de eerste pagina van de paginanummering.&nbsp;  </p>\r\n<p>  <b>lastPage</b><br>\r\n Een link naar de laatste pagina van de paginanummering.&nbsp;</p>\r\n<p>  <b>nextPage</b><br>\r\n Een link naar de volgende pagina van de paginanummering. </p>\r\n<p>  <b>previousPage</b><br>\r\n Een link naar de vorige pagina van de paginanummering. </p>\r\n<p>  <b>pageList</b><br>\r\n Een lijst van links naar alle pagina\'s in de paginanummering. </p>\r\n<p>  <b>multiplePages</b><br>\r\n Een conditionele variabele die aangeeft of er meer dan een pagina in de\r\npaginanummering is.  </p>\r\n',1039542744);
INSERT INTO international VALUES (77,'FAQ',3,'De volgende sjabloon variabelen zijn beschikbaar om in FAQ sjablonen te gebruiken.<br>\r\n<p><b>addquestion.url</b><br>\r\nDe URL om een vraag aan de FAQ toe te voegen. </p>\r\n<p>  <b>addquestion.label</b><br>\r\n Het vertaalde label voor de voeg vraag toe link. </p>\r\n<p>  <b>qa_loop</b><br>\r\nDe lus die variabelen voor iedere FAQ vraag bevat. </p>\r\n <b>qa.id</b><br>\r\nHet id om deze vraag te identificeren. \r\n<p> <b>qa.answer</b><br>\r\nHet antwoord voor deze vraag. </p>\r\n<p> <b>qa.question</b><br>\r\nDe vraag zelf. </p>\r\n<p> <b>qa.controls</b><br>\r\nDe WebGUI beheergereedschappen voor deze vraag. </p>\r\n',1039541829);
INSERT INTO international VALUES (73,'Article',3,'De volgende sjabloon variabelen zijn beschikbaar om in artikel sjablonen te\r\ngebruiken.<br>\r\n<p><b>attachment.box</b><br>\r\nLaat een standaard WebGUI bijlage box zien, inclusief icoontje, bestandsnaam\r\nen een bijlage indicator.</p>\r\n<p><b>attachment.icon</b><br>\r\nDe URL naar het icoon-plaatje voor dit sjabloon type. </p>\r\n<p>  <b>attachment.name</b><br>\r\nDe bestandsnaam voor deze bijlage. </p>\r\n<p>  <b>attachment.url</b><br>\r\nDe URL om deze bijlage te downloaden. </p>\r\n<p>  <b>image.thumbnail</b><br>\r\nDe URL naar het pictogram voor het bijgevoegde plaatje. </p>\r\n<p>  <b>image.url</b><br>\r\nDe URL naar het bijgevoegde plaatje. </p>\r\n<p>  <b>post.label</b><br>\r\nHet vertaalde \'label\' om commentaar aan dit artikel toe te voegen. </p>\r\n<p>   <b>post.URL</b><br>\r\nDe URL om commentaar aan dit artikel toe te voegen. </p>\r\n<p>  <b>replies.count</b><br>\r\nHet aantal commentaar dat bij dit artikel toegevoegd is.</p>\r\n<p>  <b>replies.label</b><br>\r\nDe vertaalde tekst die aangeeft dat je de antwoorden kunt bekijken. </p>\r\n<p>  <b>replies.url</b><br>\r\nDe URL om de antwoorden op dit artikel te bekijken. </p>\r\n',1039541698);
INSERT INTO international VALUES (97,'EventsCalendar',3,'Hieronder volgt de lijst met beschikbare sjabloon variabelen voor gebeurtenis\r\nsjablonen.<br>\r\n<p><b>title</b><br>\r\nDe titel van deze gebeurtenis. </p>\r\n<p>  <b>start.label</b><br>\r\nHet vertaalde label voor de begindatum. </p>\r\n<p>  <b>start.date</b><br>\r\nDe datum waarop deze gebeurtenis begint. </p>\r\n<p>  <b>end.date</b><br>\r\nDe datum waarop deze gebeurtenis eindigt. </p>\r\n<p>  <b>end.label</b><br>\r\nHet vertaalde label voor de einddatum. </p>\r\n<p>  <b>canEdit</b><br>\r\nEen conditie die aangeeft of de huidige gebruiker een gebeurtenis kan aanpassen. \r\n</p>\r\n<p>  <b>edit.url</b><br>\r\nDe URL om deze gebeurtenis aan te passen. </p>\r\n<p>  <b>edit.label</b><br>\r\nHet vertaalde label voor de bewerk URL. </p>\r\n<p>  <b>delete.url</b><br>\r\nDe URL om deze gebeurtenis te verwijderen. </p>\r\n<p>  <b>delete.label</b><br>\r\nHet vertaalde label om deze URL te verwijderen. </p>\r\n<p>  <b>previous.url</b><br>\r\nDe URL om de gebeurtenis voor deze gebeurtenis te bekijken. </p>\r\n<p>  <b>previous.label</b><br>\r\nHet vertaalde label voor de vorige URL. </p>\r\n<p>  <b>next.label</b><br>\r\nHet vertaalde label voor de volgende URL. </p>\r\n<p>  <b>next.url</b><br>\r\nDe URL om de gebeurtenis na deze gebeurtenis te bekijken. </p>\r\n<p>  <b>description</b><br>\r\nDe beschrijving van deze gebeurtenis. </p>\r\n',1039541021);
INSERT INTO international VALUES (95,'EventsCalendar',3,'De volgende sjabloon variabelen zijn beschikbaar om uw evenementen kalender\r\naan te passen.<br>\r\n<p><b>addevent.url</b><br>\r\nDe URL om een gebeurtenis aan de kalender toe te voegen. </p>\r\n<p>  <b>addevent.label</b><br>\r\nHet vertaalde label voor de link om een gebeurtenis toe te voegen. </p>\r\n<p>  <b>calendar.big</b><br>\r\nEen&nbsp; paginavullende kalender. </p>\r\n<p>  <b>calendar.small</b><br>\r\nEen kleine kalender die alleen datumnummers laat zien. </p>\r\n<p>  <b>calendar.firstPage</b><br>\r\nEen link naar de eerste pagina van de kalender paginanummering. </p>\r\n<p>  <b>calendar.lastPage</b><br>\r\nEen link naar de laatste pagina van de kalender paginanummering.&nbsp; </p>\r\n<p>  <b>calendar.nextPage</b><br>\r\nEen link naar de volgende pagina van de kalender paginanummering. <br>\r\n</p>\r\n<p><b>calendar.previousPage</b><br>\r\nEen link naar de vorige pagina van de kalender paginanummering.&nbsp; </p>\r\n<p>  <b>calendar.pageList</b><br>\r\nEen lijst van links naar alle pagina\'s in de kalender paginanummering. </p>\r\n<p>  <b>calendar.multiplePages</b><br>\r\nEen conditionele variabele die aangeeft of er meer dan een pagina in de kalender\r\npaginanummering is. </p>\r\n<p>  <b>list_loop</b><br>\r\nEen lus die de \'lijst layout\' lijst van een kalender bevat.<br>\r\n</p>\r\n<p></p>\r\n<blockquote><b>list.date</b><br>\r\nDe datum van deze gebeurtenis. \r\n  <p> <b>list.title</b><br>\r\nDe titel van deze gebeurtenis. </p>\r\n  <p> <b>list.description</b><br>\r\nDe beschrijving van deze gebeurtenis. </p>\r\n  <p> <b>list.sameAsPrevious</b><br>\r\nEen conditionele variabele die aangeeft of deze gebeurtenis dezelfde datum\r\nheeft als de laatse gebeurtenis. </p>\r\n  <p> <b>list.url</b><br>\r\nDe URL naar de paginavullende layout voor deze gebeurtenis. </p>\r\n  <p> <b>list.controls</b><br>\r\nDe WebGUI beheergereedschappen voor deze gebeurtenis.&nbsp; </p>\r\n  <p>  </p>\r\n</blockquote>\r\n \r\n<p>  <b>list.firstPage</b><br>\r\nEen link naar de eerste pagina van de paginanummering.&nbsp; </p>\r\n<p>  <b>list.lastPage</b><br>\r\nEen link naar de laatste pagina van de paginanummering.&nbsp;&nbsp; </p>\r\n<p>  <b>list.nextPage</b><br>\r\nEen link naar de volgende pagina van de paginanummering.&nbsp; <br>\r\n </p>\r\n<p>  <b>list.previousPage</b><br>\r\nEen link naar de vorige pagina van de paginanummering.&nbsp; <br>\r\n </p>\r\n<p>  <b>list.pageList</b><br>\r\nEen lijst van links naar alle pagina\'s in de paginanummering.<br>\r\n</p>\r\n<p><b>list.multiplePages</b><br>\r\nEen conditionele variabele die aangeeft of er meer dan een pagina in de paginanummering\r\nis. </p>\r\n',1039540752);
INSERT INTO international VALUES (826,'WebGUI',3,'WebGUI heeft een krachtige sjabloontaal ingebouwd om u maximale controle\r\nte geven over de layout van de inhoud. Hieronder volgt een lijst van de sjabloon\r\ntaal syntax.<br>\r\n<p><b>NB I: </b>Let erop dat de woorden <i>foo</i> en <i>bar </i>bedoeld\r\nzijn als plaatshouders voor eigenlijke variabele namen die u zult gebruiken.\r\nZe horen niet bij de sjabloontaal. <br>\r\n<b>NB II: </b>Aangezien deze taal in het engels is (en niet vertaald kan\r\nworden) zullen alle variabele namen en andere zaken ook engelstalig zijn\r\n(zoals het woord template voor sjabloon).<br>\r\n<b><br>\r\nVariabelen</b><br>\r\n Variabelen zijn de meest simpele sjabloon commando\'s. Ze worden gebruikt\r\nom stukken inhoud te positioneren.  </p>\r\n<p> <i>Syntax:</i> &lt;tmpl_var foo&gt; or &lt;tmpl_var name=\"foo\"&gt; </p>\r\n<p>  <i>Voorbeeld:</i> &lt;tmpl_var name&gt; </p>\r\n<p>  <b>Condities</b><br>\r\nVoor programmeurs zijn condities niets nieuws, maar voor designers kunnen\r\nze een beetje verwarrend zijn. Condities zijn eigenlijk gewoon waar of niet\r\nwaar vragen en als je er zo over denkt hoeven ze geen enkel probleem op te\r\nleveren. (If = als, Else = anders, Unless = tenzij)<br>\r\n<i><br>\r\nSyntax:</i> &lt;tmpl_if foo&gt; &lt;tmpl_else&gt; &lt;/tmpl_if&gt; <br>\r\n <i>Syntax:</i> &lt;tmpl_unless foo&gt; &lt;tmpl_else&gt; &lt;/tmpl_unless&gt; \r\n</p>\r\n<p>  <i>Voorbeeld:</i> &lt;tmpl_if isTrue&gt; Het was waar!&lt;tmpl_else&gt;\r\nHet was niet waar! &lt;/tmpl_if&gt; </p>\r\n<p>  <b>Lussen</b><br>\r\nLussen itereren over een lijst van gegevens. Lussen zijn iets moeilijker\r\nte gebruiken dan variabelen, maar ze zijn stukken krachtiger.<br>\r\n<i><br>\r\nSyntax:</i> &lt;tmpl_loop foo&gt; &lt;/tmpl_loop&gt; </p>\r\n<p>  <i>Voorbeeld:</i> <br>\r\n &lt;tmpl_loop users&gt; <br>\r\n   &nbsp; Naam: &lt;tmpl_var first_name&gt;&lt;br/&gt;<br>\r\n &lt;/tmpl_loop&gt; </p>\r\n<p>  <b>Lus condities</b><br>\r\nLussen hebben speciale conditie-variabelen. Deze zijn __FIRST__ (eerste),\r\n__ODD__ (oneven), __INNER__ (binnenste) en __LAST__ (laatste). </p>\r\n<p>  <i>Examples:</i><br>\r\n </p>\r\n<pre>   &lt;TMPL_LOOP FOO&gt;<br>      &lt;TMPL_IF __FIRST__&gt;<br>        Dit wordt alleen bij de eerste lus getoond.<br>      &lt;/TMPL_IF&gt;<br><br>      &lt;TMPL_IF __ODD__&gt;<br>        Dit wordt om de andere lus getoond in de oneven lussen.<br>      &lt;/TMPL_IF&gt;<br><br>      &lt;TMPL_UNLESS __ODD__&gt;<br>        Dit wordt om de andere lus getoond in de even lussen.<br>      &lt;/TMPL_UNLESS&gt;<br><br>      &lt;TMPL_IF __INNER__&gt;<br>        Dit wordt getoond bij lussen die niet het eerste, noch het laatste zijn.<br>      &lt;/TMPL_IF&gt;<br><br>      &lt;TMPL_IF __LAST__&gt;<br>        Dit wordt alleen bij de laatste lus getoond.<br>      &lt;TMPL_IF&gt;<br>   &lt;/TMPL_LOOP&gt;<br></pre>\r\n  \r\n<p> <b>NB:</b> Zowel de sjabloontaal als de sabloon variabelen zijn niet\r\nafhankelijk van hoofd of kleine letters (case insensitive).<br>\r\n</p>\r\n',1039540120);
INSERT INTO international VALUES (825,'WebGUI',3,'Sjabloon, taal',1039525586);
INSERT INTO international VALUES (824,'WebGUI',3,'E-mail voettekst',1039525574);
INSERT INTO international VALUES (823,'WebGUI',3,'Ga naar de nieuwe pagina.',1039525556);
INSERT INTO international VALUES (76,'USS',3,'Bijdrage sjabloon',1039525530);
INSERT INTO international VALUES (74,'USS',3,'Gebruikers bijdrage systeem sjablooon',1039525485);
INSERT INTO international VALUES (80,'Survey',3,'seconden',1039525461);
INSERT INTO international VALUES (79,'Survey',3,'minuten',1039525453);
INSERT INTO international VALUES (78,'Survey',3,'Totale tijd',1039525444);
INSERT INTO international VALUES (77,'Survey',3,'Eind tijd',1039525434);
INSERT INTO international VALUES (76,'Survey',3,'Start tijd',1039525424);
INSERT INTO international VALUES (75,'Survey',3,'Bewerk deze vraag.',1039525414);
INSERT INTO international VALUES (72,'SiteMap',3,'Sitemap sjabloon',1039525402);
INSERT INTO international VALUES (73,'MessageBoard',3,'Berichtenbord sjabloon',1039525381);
INSERT INTO international VALUES (72,'MessageBoard',3,'Hoofd sjabloon',1039525367);
INSERT INTO international VALUES (75,'LinkList',3,'Link lijst sjabloon',1039525339);
INSERT INTO international VALUES (73,'Item',3,'Item sjabloon',1039525324);
INSERT INTO international VALUES (75,'FileManager',3,'Bestandsbeheer sjabloon',1039525237);
INSERT INTO international VALUES (76,'FAQ',3,'FAQ sjabloon',1039525212);
INSERT INTO international VALUES (96,'EventsCalendar',3,'Gebeurtenis sjabloon',1039523402);
INSERT INTO international VALUES (94,'EventsCalendar',3,'Evenementen kalender sjabloon',1039523374);
INSERT INTO international VALUES (5,'Auth/WebGUI',3,'Uw wachtwoord kan niet \"password\" zijn.',1039523322);
INSERT INTO international VALUES (4,'Auth/WebGUI',3,'Uw wachtwoord kan niet leeg zijn.',1039523268);
INSERT INTO international VALUES (1,'Auth/WebGUI',3,'WebGUI authenticatie opties',1039523248);
INSERT INTO international VALUES (9,'Auth/SMB',3,'NT Wachtwoord',1039523234);
INSERT INTO international VALUES (8,'Auth/SMB',3,'NT login',1039523219);
INSERT INTO international VALUES (7,'Auth/SMB',3,'NT Domain',1039523208);
INSERT INTO international VALUES (6,'Auth/SMB',3,'BDC',1039523195);
INSERT INTO international VALUES (5,'Auth/SMB',3,'PDC',1039523186);
INSERT INTO international VALUES (4,'Auth/SMB',3,'SMB Aanlogfout (3)<br>\r\nU heeft een ongeldig gebruikersnaam/wachtwoord paar gebruikt. Waarschijnlijk heeft u een type-fout gemaakt, probeert u het opnieuw.',1039523177);
INSERT INTO international VALUES (3,'Auth/SMB',3,'SMB Protocolfout (2)<br>\r\nNeem contact op met de beheerder.',1039523119);
INSERT INTO international VALUES (2,'Auth/SMB',3,'SMB server fout (1)<br>\r\nEr is iets fout gegaan bij het aanspreken van de domain controller. Wellicht is de connectie na lang wachten verbroken.<br>\r\nProbeer het opnieuw of neem contact op met de beheerder.',1039523091);
INSERT INTO international VALUES (1,'Auth/SMB',3,'SMB authenticatie opties',1039523015);
INSERT INTO international VALUES (1,'Auth/LDAP',3,'LDAP authenticatie opties',1039522700);
INSERT INTO international VALUES (72,'Article',3,'Artikel Sjabloon',1039522582);
INSERT INTO international VALUES (6,'WobjectProxy',3,'Met de Wobject Proxy kan een wobject van een andere pagina gespiegeld worden\r\nnaar een willekeurige pagina. Dit is praktisch als inhoud in verschillende\r\ndelen van de site gebruikt wordt.<br>\r\n<br>\r\n<b>Wobject Naar Proxy</b><br>\r\nSelecteer het wobject dat naar de proxy moet. Het selectie veld neemt de\r\nvolgende vorm aan: <b>\"Pagina Titel / Wobject Naam\" (Wobject Id)</b> zodat\r\nsnel en precies het wobject dat je zoekt kan vinden.<br>\r\n',1038523409);
INSERT INTO international VALUES (93,'EventsCalendar',3,'Volgende Gebeurtenis',1038521732);
INSERT INTO international VALUES (92,'EventsCalendar',3,'Vorige Gebeurtenis',1038521715);
INSERT INTO international VALUES (91,'EventsCalendar',3,'Voeg een nieuwe gebeurtenis toe.',1038521696);
INSERT INTO international VALUES (90,'EventsCalendar',3,'Standaard Maand',1038521672);
INSERT INTO international VALUES (89,'EventsCalendar',3,'Toon 3 maanden vanaf het begin.',1038521656);
INSERT INTO international VALUES (88,'EventsCalendar',3,'Toon 6 maanden vanaf het begin.',1038521641);
INSERT INTO international VALUES (87,'EventsCalendar',3,'Toon 9 maanden vanaf het begin.',1038521611);
INSERT INTO international VALUES (86,'EventsCalendar',3,'Toon 12 maanden vanaf het begin.',1038521589);
INSERT INTO international VALUES (85,'EventsCalendar',3,'Laatste op de kalender.',1038521544);
INSERT INTO international VALUES (84,'EventsCalendar',3,'Einde Maand',1038521522);
INSERT INTO international VALUES (83,'EventsCalendar',3,'Eerstvolgend.',1038521504);
INSERT INTO international VALUES (82,'EventsCalendar',3,'Huidig.',1038521479);
INSERT INTO international VALUES (81,'EventsCalendar',3,'Begin Maand',1038521464);
INSERT INTO international VALUES (80,'EventsCalendar',3,'Gebeurtenissen Sjabloon',1038521447);
INSERT INTO international VALUES (79,'EventsCalendar',3,'Hoofdsjabloon',1038521427);
INSERT INTO international VALUES (637,'WebGUI',3,'<b>Voornaam</b><br>\r\nDe voornaam van deze gebruiker.<br>\r\n<br>\r\n<b>Andere Voornamen</b><br>\r\nDe andere voornamen van deze gebruiker.<br>\r\n<br>\r\n<b>Achternaam</b><br>\r\nDe achternaam van deze gebruiker<b><br>\r\n<br>\r\nEmail adres</b><br>\r\nHet email adres van deze gebruiker. Dit moet alleen gespecificeerd worden\r\nals de gebruiker deel gaat nemen in functies waarbij email nodig is.<br>\r\n<br>\r\n<b>ICQ UIN</b><br>\r\nHet <a href=\"http://www.icq.com\">ICQ</a> UIN is het \"User ID Number\" (gebruikers-identificatie-nummer)\r\nop het ICQ netwerk. ICQ is een populair platform waar de berichten meteen\r\nworden weergegeven.<br>\r\n<br>\r\n<b>AIM Id</b><br>\r\nDe account identificatie voor het <a href=\"http://www.aim.com\">AOL Instant\r\nMessenger</a> systeem.<br>\r\n<br>\r\n<b>MSN Messenger Id</b><br>\r\nDe account identificatie voor het <a href=\"http://messenger.msn.com\">Microsoft\r\nNetwork Instant Messenger</a> systeem.<br>\r\n<br>\r\n<b>Yahoo! Messenger Id</b><br>\r\nDe account identificatie voor het <a href=\"http://messenger.yahoo.com\">Yahoo!\r\nInstant Messenger</a> systeem.<br>\r\n<br>\r\n<b>Mobiel Nummer</b><br>\r\nHet mobiele telefoonnummer van deze gebruiker.<br>\r\n<br>\r\n<b>Pieper</b><br>\r\nHet telefoonnummer van de pieper van deze gebruiker.<br>\r\n<br>\r\n<b>Email naar Pieper Gateway</b><br>\r\nHet email adres vande gebruiker waarmee tekst berichten naar de pieper gestuurd\r\nkunnen worden.<br>\r\n<br>\r\n<b>Adresinformatie</b><br>\r\nHet post- of huisadres van deze gebruiker.<br>\r\n<br>\r\n<b>Werkadresinformatie</b><br>\r\nHet post-of huisadres van het bedrijf van deze gebruiker.<br>\r\n<br>\r\n<b>Geslacht</b><br>\r\nHet geslacht van deze gebruiker.<br>\r\n<br>\r\n<b>Geboortedatum</b><br>\r\nDe geboortedatum van deze gebruiker.<br>\r\n<br>\r\n<b>Taal</b><br>\r\nWelke taal moet gebruikt worden voor systeem gerelateerde berichten.<br>\r\n<br>\r\n<b>Tijds Correctie</b><br>\r\nEen aantal uren (positief of negatief) die het verschil tussen de tijd van\r\nde server en de gebruiker. Deze functie wordt gebruikt om het verschil in\r\ntijdszones te corrigeren.<br>\r\n<br>\r\n<b>Eerste dag van de week</b><br>\r\nDe eerste dag van de week op de kalender van deze gebruiker. In de USA is\r\ndit zondag maar in andere landen is het ook wel eens maandag.<br>\r\n<br>\r\n<b>Datum Opmaak</b><br>\r\nWelke opmaak moet de datum op deze pagina gebruiken.<br>\r\n<br>\r\n<b>Tijd Opmaak</b><br>\r\nWelke opmaak moet de tijdsaanduiding op deze pagina gebruiken.<br>\r\n<br>\r\n<b>Indeling Discussie</b><br>\r\nMoet de discussie weergegeven worden in &eacute;&eacute;n lijn of in een\r\nboomconstructie? De eerste optie zet alle antwoorden op &eacute;&eacute;n\r\npagina in chronologische volgorde. De tweede optie toont een hierarchische\r\nlijst van antwoorden.<br>\r\n<br>\r\n<b>Inbox Melding</b><br>\r\nHoe moet aan deze gebruiker gemeld worden wanneer er een nieuw WebGUI bericht\r\nis ontvangen.<br>\r\n',1038521357);
INSERT INTO international VALUES (2,'WobjectProxy',3,'Bewerk Wobject Proxy',1038506942);
INSERT INTO international VALUES (558,'WebGUI',3,'Bewerk het karma van deze gebruiker',1038506928);
INSERT INTO international VALUES (555,'WebGUI',3,'Bewerk het karma van deze gebruiker.',1038506918);
INSERT INTO international VALUES (803,'WebGUI',3,'Bewerk deze stijl.',1038506807);
INSERT INTO international VALUES (789,'WebGUI',3,'Bewerk deze profielcategorie.',1038506799);
INSERT INTO international VALUES (787,'WebGUI',3,'Bewerk dit profielveld.',1038506790);
INSERT INTO international VALUES (776,'WebGUI',3,'Bewerk map',1038506782);
INSERT INTO international VALUES (772,'WebGUI',3,'Bewerk bestand',1038506774);
INSERT INTO international VALUES (770,'WebGUI',3,'Bewerk knipsel',1038506767);
INSERT INTO international VALUES (764,'WebGUI',3,'Bewerk dit naburige item.',1038506758);
INSERT INTO international VALUES (753,'WebGUI',3,'Bewerk deze groep.',1038506749);
INSERT INTO international VALUES (741,'WebGUI',3,'Bewerk dit sjabloon.',1038506742);
INSERT INTO international VALUES (672,'WebGUI',3,'Profiel instellingen, Bewerken',1038506251);
INSERT INTO international VALUES (661,'WebGUI',3,'Bestands instellingen, Bewerken',1038506209);
INSERT INTO international VALUES (667,'WebGUI',3,'Groep, Toevoegen/Bewerken',1038506203);
INSERT INTO international VALUES (698,'WebGUI',3,'De methode waarbij de activiteiten van gebruikers gevolgd worden heet karma.\r\nKarma kan ook gebruikers ook belonen of straffen voor hun activiteitenniveau.\r\nZodra karma wordt gebruikt zullen menus van vele dingen in WebGUI veranderen\r\nom karma weer te geven.<br>\r\n<br>\r\nEr kan gevolgd worden wanneergebruikers inloggen en hoeveel ze bijdragen\r\naan de pagina. Ook kunnen gebruikers extra mogelijkheden krijgen door hun\r\nkarma niveau.<br>\r\n<br>\r\nMeer informatie kan gevonden worden op <a\r\n href=\"http://www.plainblack.cum/ruling_webgui\">Ruling WebGUI</a>.<br>\r\n',1038506195);
INSERT INTO international VALUES (655,'WebGUI',3,'Gebruiker, Toevoegen/Bewerken',1038505424);
INSERT INTO international VALUES (652,'WebGUI',3,'Toegangscontrole instellingen, Bewerken',1038505418);
INSERT INTO international VALUES (632,'WebGUI',3,'Wobjecten kunnen toegevoegd worden door ze uit het pulldown menu <i>Inhoud\r\nToevoegen</i> te selecteren. Ze kunnen bewerkt worden door op de \"Bewerk\"\r\nknop, die direct boven het wobject verschijnt, te klikken.<br>\r\n<br>\r\nBijna alle wobjecten hebben een paar eigenschappen gemeen. Deze eigenschappen\r\nzijn:<br>\r\n<br>\r\n<b>Wobject Identificatie (ID)</b><br>\r\nDit is de unieke identificatie die WebGUI gebruikt om dit wobject in de te\r\ntraceren. Normale gebruikers zouden zich nooit bezig hoeven te houden met\r\nde Wobject ID, maar meer geavanceerde gebruikers hebben het soms nodig voor\r\ndingen als SQL verslagen.<br>\r\n<br>\r\n<b>Titel</b><br>\r\nDe titel van dit wobject. Dit wordt weergegevn bovenaan elk wobject.<br>\r\n<br>\r\n<i>N.B.:</i> Zelfs als het de titel niet weergegeven gaat worden, moet er\r\neen titel gespecificeerd worden. De titel zal dan in de afvalbak en klembord\r\nverschijnen en kan het niet meer apart gehouden worden van andere wobjecten.<br>\r\n<br>\r\n<b>Titel Weergeven?</b><br>\r\nIs het gewenst de gespecificeerde titel te tonen? Dit is op sommige paginas\r\nniet nodig.<br>\r\n<br>\r\n<b>Macros Verwerken?</b><br>\r\nis het gewenst om macros te verwerken in de inhoud van het wobject? Het komt\r\nvaker voor dat dit niet gewenst is dan wel. Als deze functie niet aan staat\r\nin de wobjecten die geen macros gebruiken zal de web server enigszins sneller\r\nworden.<br>\r\n<br>\r\n<b>Sjabloon Positie</b><br>\r\nSjabloon posities kunnen van nul tot een willekeurig nummer rijken. De hoeveelheid\r\nhangt af van het sjabloon die geassocieerd worden met deze pagina. Het standaard\r\nsjabloon heeft maar &eacute;&eacute;n sjabloon positie, andere kunnen er\r\nmeer hebben. Door een sjabloon positie te selecteren, kan bepaald worden\r\nwaar dit wobject geplaatst wordt binnen het sjabloon.<br>\r\n<br>\r\n<b>Begin Datum</b><br>\r\nVanaf welke datum moet het wobject zichtbaar zijn? Voor deze datum is het\r\nwobject alleen zichtbaar voor inhoud beheerders.<br>\r\n<br>\r\n<b>Eind Datum</b><br>\r\nVanaf welke datum moet het wobject onzichtbaar zijn? Na deze datum is het\r\nwobject alleen zichtbaar voor inhoud beheerders.<br>\r\n<br>\r\n<b>Beschrijving</b><br>\r\nDit is een gebied met inhoud waarin zo veel inhoud als gewenst geplaatst\r\nkan worden. Zelfs voor een FAQ sectie wordt meestal al beschreven&nbsp;in\r\neen paragraaf  wat de inhoud is van de sectie.<br>\r\n',1038504673);
INSERT INTO international VALUES (626,'WebGUI',3,'Wobjecten (vroeger bekend als Widgets) zijn de ware kracht achter WebGUI.\r\nWobjecten zijn kleine toepassingen die gebouwd zijn om onder WebGUI te werken.\r\nBerichten borden en peilingen zijn voorbeelden van wobjecten.<br>\r\n<br>\r\nGa naar de pagina waar het wobject ingevoegd moet worden en selecteer dan\r\n<i>Inhoud Toevoegen</i>.. in de linker bovenhoek op het scherm. Elk wobject\r\nheeft zijn eigen help functie, lees deze functie wanneer er onduidelijkheid\r\nis over het gebruik van hetwobject.<br>\r\n<br>\r\n<i>Style Sheets:</i> Alle wobjecten hebben een style-sheet klasse en identificatie\r\naan zich verbonden.<br>\r\n<br>\r\nDe style-sheet klasse is het woord wobject plus het type van het wobject.\r\nDus voor een peiling zou de klasse \"wobjectPoll\" zijn. De klasse heeft betrekking\r\nop alle wobjecten van dat type in het systeem.<br>\r\n<br>\r\nDe style-sheet identificatie is het woord wobjectId plus de wobject identificatie\r\nvan dat wobject. Dus als er een Artikel is met een wobject identificatie\r\n\"94\" zal de identificatie \"wobjectId94\" zijn.<br>\r\n',1038502584);
INSERT INTO international VALUES (4,'WobjectProxy',3,'Wobject proxying mislukt. Wellicht is het geproxiede wobject verwijderd.',1038486715);
INSERT INTO international VALUES (3,'WobjectProxy',3,'Wobject Proxy',1038486681);
INSERT INTO international VALUES (1,'WobjectProxy',3,'Wobject om te proxyen',1038486657);
INSERT INTO international VALUES (821,'WebGUI',3,'Willekeurige',1038486620);
INSERT INTO international VALUES (820,'WebGUI',3,'Uw account is niet geactiveerd. Daarom kunt u niet inloggen totdat het geactiveerd is wat alleen door de beheerder gedaan kan worden.',1038486607);
INSERT INTO international VALUES (819,'WebGUI',3,'Zelfvernietigd',1038486570);
INSERT INTO international VALUES (818,'WebGUI',3,'Gedeactiveerd',1038486551);
INSERT INTO international VALUES (817,'WebGUI',3,'Actief',1038486538);
INSERT INTO international VALUES (816,'WebGUI',3,'Status',1038486522);
INSERT INTO international VALUES (815,'WebGUI',3,'Het bestand dat u getracht heeft te uploaden is te groot.',1038486508);
INSERT INTO international VALUES (814,'WebGUI',3,'Status',1038486485);
INSERT INTO international VALUES (813,'WebGUI',3,'Groepen in deze groep',1038486477);
INSERT INTO international VALUES (812,'WebGUI',3,'Uw bericht is verstuurd.',1038486467);
INSERT INTO international VALUES (811,'WebGUI',3,'Van',1038486455);
INSERT INTO international VALUES (810,'WebGUI',3,'stuur',1038486445);
INSERT INTO international VALUES (809,'WebGUI',3,'Groeps e-mail',1038486435);
INSERT INTO international VALUES (808,'WebGUI',3,'E-mail naar deze groep.',1038486415);
INSERT INTO international VALUES (807,'WebGUI',3,'Beheer de groepen in deze groep.',1038486401);
INSERT INTO international VALUES (806,'WebGUI',3,'Verwijder deze groep.',1038486388);
INSERT INTO international VALUES (805,'WebGUI',3,'Verwijder deze stijl.',1038486375);
INSERT INTO international VALUES (804,'WebGUI',3,'Kopieeer deze stijl.',1038486363);
INSERT INTO international VALUES (802,'WebGUI',3,'Webgui houdt op dit moment geen paginastatistieken bij. Dit kan aangezet worden in de instellingen.',1038486340);
INSERT INTO international VALUES (801,'WebGUI',3,'Wobject interacties',1038486287);
INSERT INTO international VALUES (800,'WebGUI',3,'Unieke bezoekers',1038486275);
INSERT INTO international VALUES (799,'WebGUI',3,'Aantal keer bekeken (pagina)',1038486256);
INSERT INTO international VALUES (798,'WebGUI',3,'Pagina titel',1038486227);
INSERT INTO international VALUES (797,'WebGUI',3,'Bekijk verkeersstatistieken',1038486215);
INSERT INTO international VALUES (796,'WebGUI',3,'Bekijk pagina statistieken.',1038486188);
INSERT INTO international VALUES (795,'WebGUI',3,'Roots',1038486174);
INSERT INTO international VALUES (794,'WebGUI',3,'Pakketten',1038486164);
INSERT INTO international VALUES (793,'WebGUI',3,'Stukjes naburigen',1038486146);
INSERT INTO international VALUES (792,'WebGUI',3,'Sjablonen',1038486063);
INSERT INTO international VALUES (791,'WebGUI',3,'Verwijder deze vertaling.',1038486047);
INSERT INTO international VALUES (790,'WebGUI',3,'Verwijder deze profielcategorie',1038486031);
INSERT INTO international VALUES (788,'WebGUI',3,'Verwijder dit profielveld.',1038485995);
INSERT INTO international VALUES (784,'WebGUI',3,'Miniatuur',1038485934);
INSERT INTO international VALUES (783,'WebGUI',3,'Type',1038485899);
INSERT INTO international VALUES (782,'WebGUI',3,'Willekeurige',1038485886);
INSERT INTO international VALUES (781,'WebGUI',3,'Knipsel',1038485865);
INSERT INTO international VALUES (780,'WebGUI',3,'Bestand',1038485854);
INSERT INTO international VALUES (779,'WebGUI',3,'Plaatje',1038485843);
INSERT INTO international VALUES (778,'WebGUI',3,'Map omschrijving',1038485832);
INSERT INTO international VALUES (777,'WebGUI',3,'Map Id',1038485817);
INSERT INTO international VALUES (775,'WebGUI',3,'Weet u zeker dat u deze map wilt weggooien en alle inhoud naar de hogerliggende map wilt verplaatsen?',1038485793);
INSERT INTO international VALUES (774,'WebGUI',3,'Weet u zeker dat u dit naburige item wilt weggooien? Het kan niet teruggehaald worden wanneer het weggegooid is.',1038485760);
INSERT INTO international VALUES (773,'WebGUI',3,'Bestand',1038485722);
INSERT INTO international VALUES (771,'WebGUI',3,'Knipsel',1038485699);
INSERT INTO international VALUES (769,'WebGUI',3,'Organiseer in een map',1038485676);
INSERT INTO international VALUES (768,'WebGUI',3,'Naam',1038485657);
INSERT INTO international VALUES (767,'WebGUI',3,'Naburig Id',1038485632);
INSERT INTO international VALUES (766,'WebGUI',3,'Terug naar de naburige lijst.',1038485617);
INSERT INTO international VALUES (765,'WebGUI',3,'Verwijder dit naburige item.',1038485601);
INSERT INTO international VALUES (763,'WebGUI',3,'Voeg een knipsel toe.',1038485563);
INSERT INTO international VALUES (762,'WebGUI',3,'Voeg een bestand toe.',1038485548);
INSERT INTO international VALUES (761,'WebGUI',3,'Voeg een plaatje toe.',1038485535);
INSERT INTO international VALUES (760,'WebGUI',3,'Verwijder deze map.',1038485522);
INSERT INTO international VALUES (758,'WebGUI',3,'Voeg een map toe.',1038485507);
INSERT INTO international VALUES (757,'WebGUI',3,'Beheer naburigen',1038485491);
INSERT INTO international VALUES (756,'WebGUI',3,'Terug naar de groepenlijst.',1038485465);
INSERT INTO international VALUES (754,'WebGUI',3,'Beheer de gebruikers in deze groep.',1038485451);
INSERT INTO international VALUES (752,'WebGUI',3,'Bekijk het profiel van deze gebruiker.',1038485423);
INSERT INTO international VALUES (751,'WebGUI',3,'Wordt deze gebruiker.',1038485402);
INSERT INTO international VALUES (750,'WebGUI',3,'Verwijder deze gebruiker.',1038485387);
INSERT INTO international VALUES (749,'WebGUI',3,'Houdt pagina statistieken bij?',1038485361);
INSERT INTO international VALUES (748,'WebGUI',3,'Gebruikerstelling',1038485324);
INSERT INTO international VALUES (747,'WebGUI',3,'Gebruikersnamen moeten alleen alpha-nummerieke karakters bevatten.',1038485309);
INSERT INTO international VALUES (746,'WebGUI',3,'Toolbar Icon Set',1038485282);
INSERT INTO international VALUES (745,'WebGUI',3,'Ga terug naar de pagina.',1038485237);
INSERT INTO international VALUES (744,'WebGUI',3,'Wat komt hierna?',1038485219);
INSERT INTO international VALUES (743,'WebGUI',3,'U moet een geldig e-mail address invullen om uw wachtwoord terug te halen.',1038485202);
INSERT INTO international VALUES (742,'WebGUI',3,'Beheer sjablonen.',1038485165);
INSERT INTO international VALUES (739,'WebGUI',3,'UI Level (Gebruikers Interface Niveau)',1038485136);
INSERT INTO international VALUES (738,'WebGUI',3,'9 Guru (Goeroe)',1038485102);
INSERT INTO international VALUES (737,'WebGUI',3,'8 Master (Meester)',1038485058);
INSERT INTO international VALUES (736,'WebGUI',3,'7 Expert',1038485032);
INSERT INTO international VALUES (735,'WebGUI',3,'6 Professional',1038485020);
INSERT INTO international VALUES (734,'WebGUI',3,'5 Adept (aangepaste)',1038485006);
INSERT INTO international VALUES (733,'WebGUI',3,'4 Skilled (vaardige)',1038484990);
INSERT INTO international VALUES (732,'WebGUI',3,'3 Rookie (nozem)',1038484965);
INSERT INTO international VALUES (731,'WebGUI',3,'2 Trained (getrainde)',1038484938);
INSERT INTO international VALUES (730,'WebGUI',3,'1 Novice',1038484818);
INSERT INTO international VALUES (729,'WebGUI',3,'0 Beginner',1038484794);
INSERT INTO international VALUES (728,'WebGUI',3,'Weet u zeker dat u dit bestand wilt weggooien?',1038484780);
INSERT INTO international VALUES (725,'WebGUI',3,'Uw gebruikersnaam kan niet leeg zijn.',1038484474);
INSERT INTO international VALUES (724,'WebGUI',3,'Uw gebruikersnaam kan niet beginnen of eindigen met een spatie.',1038484455);
INSERT INTO international VALUES (723,'WebGUI',3,'Uitgerangeerd',1038484407);
INSERT INTO international VALUES (722,'WebGUI',3,'Id',1038484391);
INSERT INTO international VALUES (721,'WebGUI',3,'Namespace',1038484378);
INSERT INTO international VALUES (720,'WebGUI',3,'OK',1038484366);
INSERT INTO international VALUES (719,'WebGUI',3,'Verouderd',1038484350);
INSERT INTO international VALUES (718,'WebGUI',3,'Exporteer deze vertaling.',1038484331);
INSERT INTO international VALUES (678,'WebGUI',3,'Root, beheren',1038484287);
INSERT INTO international VALUES (671,'WebGUI',3,'Wobjects, Gebruiken',1038484191);
INSERT INTO international VALUES (593,'WebGUI',4,'Enviar esta traduccin',1039818680);
INSERT INTO international VALUES (493,'WebGUI',4,'Regresar al Sitio',1039818652);
INSERT INTO international VALUES (499,'WebGUI',4,'ID del Wobject',1039818606);
INSERT INTO international VALUES (567,'WebGUI',4,'Previa',1039818567);
INSERT INTO international VALUES (568,'WebGUI',4,'Posterior',1039818544);
INSERT INTO international VALUES (742,'WebGUI',4,'Configurar Plantillas',1039818443);
INSERT INTO international VALUES (803,'WebGUI',4,'Editar este estilo',1039818415);
INSERT INTO international VALUES (789,'WebGUI',4,'Editar esta categora de perfil',1039818403);
INSERT INTO international VALUES (787,'WebGUI',4,'Editar este campo de perfil',1039818379);
INSERT INTO international VALUES (764,'WebGUI',4,'Editar este elemento adicional',1039818362);
INSERT INTO international VALUES (759,'WebGUI',4,'Editar esta carpeta',1039818348);
INSERT INTO international VALUES (753,'WebGUI',4,'Editar este grupo',1039818334);
INSERT INTO international VALUES (741,'WebGUI',4,'Editar esta plantilla',1039818320);
INSERT INTO international VALUES (555,'WebGUI',4,'Modificar el Karma de este usuario',1039818287);
INSERT INTO international VALUES (459,'WebGUI',4,'Editar el perfil de este usuario',1039818263);
INSERT INTO international VALUES (458,'WebGUI',4,'Editar los grupos de este usuario',1039818248);
INSERT INTO international VALUES (457,'WebGUI',4,'Editar la cuenta de este usuario',1039818232);
INSERT INTO international VALUES (342,'WebGUI',4,'Editar datos de la cuenta',1039818117);
INSERT INTO international VALUES (596,'WebGUI',4,'FALTA',1039818076);
INSERT INTO international VALUES (723,'WebGUI',4,'Obsoleto',1039818061);
INSERT INTO international VALUES (569,'WebGUI',4,'Tipo de Moderacin',1039817944);
INSERT INTO international VALUES (675,'WebGUI',4,'Motor de Bsqueda, Usar',1039817837);
INSERT INTO international VALUES (365,'WebGUI',4,'Resultados de la Bsqueda...',1039817799);
INSERT INTO international VALUES (364,'WebGUI',4,'Buscar',1039817779);
INSERT INTO international VALUES (498,'WebGUI',4,'Fecha Fin',1039817715);
INSERT INTO international VALUES (497,'WebGUI',4,'Fecha inicio',1039817678);
INSERT INTO international VALUES (452,'WebGUI',4,'Espere...',1039817644);
INSERT INTO international VALUES (594,'WebGUI',4,'Traducir mensajes',1039817626);
INSERT INTO international VALUES (508,'WebGUI',4,'Configurar Plantillas',1039630307);
INSERT INTO international VALUES (506,'WebGUI',4,'Configurar Plantillas',1039630278);
INSERT INTO international VALUES (504,'WebGUI',4,'Plantilla',1039630260);
INSERT INTO international VALUES (503,'WebGUI',4,'ID de Plantilla',1039630247);
INSERT INTO international VALUES (363,'WebGUI',4,'Posicin en la plantilla de la pgina',1039630227);
INSERT INTO international VALUES (825,'WebGUI',4,'Plantilla, Idioma',1039630205);
INSERT INTO international VALUES (827,'WebGUI',4,'Plantilla de Wobject',1039630186);
INSERT INTO international VALUES (829,'WebGUI',4,'Plantilla de Pgina',1039630168);
INSERT INTO international VALUES (356,'WebGUI',4,'Plantilla',1039630148);
INSERT INTO international VALUES (96,'EventsCalendar',4,'Plantilla de Evento',1039630118);
INSERT INTO international VALUES (94,'EventsCalendar',4,'Plantilla del Calendario',1039630070);
INSERT INTO international VALUES (71,'Article',4,'Los artculos son la <em>Navaja Suiza</em> de WebGUI. Casi todos los elementos de contenido esttico pueden ser aadidos usando el Artculo.<br /><br />\r\n\r\n<b>Plantila</b><br />\r\nSeleccione una plantilla para definir la disposicin visual de su artculo.<br /><br />\r\n\r\n<b>Imagen</b><br />\r\nSeleccione un archivo de imagen (.jpg, .gif, .png) de su disco duro. Este archivo ser transferido al servidor y se mostrar junto con su artculo.<br /><br />\r\n\r\n<b>Adjunto</b><br />\r\nSi desea agregar un archivo de procesamiento de texto, un archivo comprimido, o cualquier otro tipo de archivo que pueda ser descargado por sus lectores, seleccinelo de su disco duro.<br /><br />\r\n\r\n<b>Ttulo del Enlace</b><br />\r\nSi desea aadir un enlace a su artculo, escriba el ttulo del enlace en este campo.<br /><br />\r\n\r\n<em>Ejemplo:</em> Google<br /><br />\r\n\r\n!\n<b>Direccin (URL) del Enlace</b><br />\r\nSi utiliz un Ttulo de Enlace, aqu puede escribir la direccin, en formato URL (Localizador Uniforme de Recursos, por sus siglas en ingls).<br /><br />\r\n\r\n<em>\njemplo:</em> http://www.google.com <br /><br />\r\n\r\n<b>Convertir saltos de carro?</b><br />\r\nSi el artculo que est escribiendo est en cdigo HTML, por lo general no es necesario seleccionar esta opcin. Pero si no est usando cdigo HTML y desea un salto de carro (o corte de lnea) cada vez que presione la tecla Enter, debe seleccionarla.<br /><br />\r\n\r\n<b>Permitir Discusin?</b><br />\r\nSeleccionar esta opcin permite que sus lectores respondan al artculo, similar al funcionamiento de Slashdot.org<br /><br />\r\n\r\n<b>Quin puede responder?</b><br />\r\nSeleccione el grupo de usuarios que puede responder a esta discusin.<br /><br />\r\n\r\n<b>Plazo para Editar</b><br />\r\nCunto tiempo debe darse al usuario para que pueda editar su respuesta?<br /><br />\r\n\r\n<em>Nota:</em> No debe otorgar un plazo muy amplio. Una de las caractersticas de las discusiones es que deben reflejar quin dijo qu cosa. Si permite la edicin por mucho tiempo, los usuarios podr!\nn alterar lo que han dicho mucho despus de haber expuesto su opinin inicial.<br /><br />\r\n\r\n<b>Karma por respuesta</b><br />\r\nCunto karma debe darse a un usuario cuando respondan a esta discusin?<br \n><br />\r\n\r\n<b>Quin puede moderar?</b><br />\r\nSeleccione el grupo de usuarios que puede moderar esta discusin.<br /><br />\r\n\r\n<b>Tipo de Moderacin</b><br />\r\nPuede seleccionar el tipo de moderacin que desea para sus usuarios. <em>Posterior</em> significa que cuando un usuario responde a una discusin, su mensaje es publicado de inmediato. <em> Previo</em> significa que un moderador debe leer y aprobar las respuestas antes que stas sean visibles pblicamente. En la bandeja de entrada de los moderadores aparecern los mensajes que necesiten aprobacin.<br /><br />\r\n\r\n<em>Nota:</em> En ambos tipos de moderacin, los moderadores pueden editar o eliminar las respuestas escritas por los usuarios.<br /><br />',1039630009);
INSERT INTO international VALUES (307,'WebGUI',4,'Utilizar comentarios Meta por defecto?',1039629189);
INSERT INTO international VALUES (412,'WebGUI',4,'Resumen',1039629089);
INSERT INTO international VALUES (8,'FileManager',4,'Breve Resumen',1039629060);
INSERT INTO international VALUES (715,'WebGUI',4,'Redireccionar al URL',1039628918);
INSERT INTO international VALUES (411,'WebGUI',4,'Ttulo en el Men',1039628840);
INSERT INTO international VALUES (500,'WebGUI',4,'ID de la Pgina',1039628812);
INSERT INTO international VALUES (721,'WebGUI',4,'Seccin',1039628481);
INSERT INTO international VALUES (816,'WebGUI',4,'Estado',1039628440);
INSERT INTO international VALUES (553,'WebGUI',4,'Estado',1039628419);
INSERT INTO international VALUES (434,'WebGUI',4,'Estado',1039628408);
INSERT INTO international VALUES (597,'WebGUI',4,'Editar traduccin del mensaje',1039628384);
INSERT INTO international VALUES (595,'WebGUI',4,'Mensajes traducidos',1039628357);
INSERT INTO international VALUES (587,'WebGUI',4,'Est seguro que desea eliminar este idioma y todos los mensajes traducidos a l?',1039628342);
INSERT INTO international VALUES (38,'USS',4,'(Seleccione \"NO\" si est escribiendo un texto en cdigo HTML o Edicin Mejorada)',1039628249);
INSERT INTO international VALUES (501,'WebGUI',4,'Cuerpo',1039628115);
INSERT INTO international VALUES (80,'EventsCalendar',4,'Plantilla de Evento',1039628048);
INSERT INTO international VALUES (79,'EventsCalendar',4,'Plantilla Principal',1039628036);
INSERT INTO international VALUES (78,'EventsCalendar',4,'No eliminar nada.',1039628022);
INSERT INTO international VALUES (77,'EventsCalendar',4,'Eliminar este evento <b>y adems</b> todas sus repeticiones.',1039628003);
INSERT INTO international VALUES (76,'EventsCalendar',4,'Eliminar slo este evento.',1039627933);
INSERT INTO international VALUES (75,'EventsCalendar',4,'Cul desea hacer?',1039627920);
INSERT INTO international VALUES (73,'EventsCalendar',4,'<b>Ttulo</b><br />\r\nEl ttulo de este evento.<br /><br />\r\n<b>Descripcin</b><br />\r\nIngrese las actividades de este evento, o informacin sobre la ubicacin del evento.<br /><br />\r\n<b>Fecha de inicio</b><br />\r\nCundo iniciar este evento?<br /><br />\r\n<b>Fecha Final</b><br />\r\nCundo terminar este evento?<br /><br />\r\n<b>Repetir cada</b><br />\r\nSeleccione un intervalo de repeticin para el evento.<br /><br />\r\n<b>Siguiente paso</b><br />\r\nSeleccione \"Agregar nuevo evento\" si desea agregar un nuevo evento; de lo contrario seleccione \"Regresar a la pgina\".<br /><br />',1039627904);
INSERT INTO international VALUES (72,'EventsCalendar',4,'Evento, Agregar/Editar',1039627618);
INSERT INTO international VALUES (61,'EventsCalendar',4,'Calendario de Eventos, Agregar/Editar',1039627591);
INSERT INTO international VALUES (19,'EventsCalendar',4,'Cortar pgina despus de',1039627573);
INSERT INTO international VALUES (15,'EventsCalendar',4,'Fecha Final',1039627555);
INSERT INTO international VALUES (14,'EventsCalendar',4,'Fecha de Inicio',1039627548);
INSERT INTO international VALUES (5,'Auth/WebGUI',4,'Su contrasea no puede ser \"password\"',1039627539);
INSERT INTO international VALUES (4,'Auth/WebGUI',4,'Su contrasea no puede quedar vaca',1039627519);
INSERT INTO international VALUES (1,'Auth/WebGUI',4,'Opciones de autenticacin WebGUI',1039627500);
INSERT INTO international VALUES (9,'Auth/SMB',4,'Contrasea NT',1039627484);
INSERT INTO international VALUES (8,'Auth/SMB',4,'Login NT',1039627472);
INSERT INTO international VALUES (7,'Auth/SMB',4,'Dominio NT',1039627457);
INSERT INTO international VALUES (6,'Auth/SMB',4,'CDR (Controlador de Dominio de Respaldo)',1039627445);
INSERT INTO international VALUES (5,'Auth/SMB',4,'CPD (Controlador de Dominio Primario)',1039627419);
INSERT INTO international VALUES (4,'Auth/SMB',4,'Error de autenticacin de SMB (3)\r\nEl nombre o contrasea dados no es vlido. Por favor intente de nuevo.',1039627368);
INSERT INTO international VALUES (3,'Auth/SMB',4,'Error de protocolo de SMB (2)\r\nPor favor contacte al administrador del sistema.',1039627322);
INSERT INTO international VALUES (1,'Auth/SMB',4,'Opciones de autenticacin SMB',1039627250);
INSERT INTO international VALUES (2,'Auth/SMB',4,'Error del servidor SMB (1)\r\nSucedi un error al accesar al controlador de dominio. Quizs se perdi la conexin. Por favor intente de nuevo o contacte al administrador del sistema.',1039627233);
INSERT INTO international VALUES (1,'Auth/LDAP',4,'Opciones de autenticacin de LDAP',1039627122);
INSERT INTO international VALUES (72,'Article',4,'Plantilla de artculo',1039626989);
INSERT INTO international VALUES (791,'WebGUI',4,'Eliminar esta traduccin',1039626973);
INSERT INTO international VALUES (718,'WebGUI',4,'Exportar esta traduccin',1039626950);
INSERT INTO international VALUES (598,'WebGUI',4,'Editar esta traduccin',1039626932);
INSERT INTO international VALUES (589,'WebGUI',4,'Editar traduccin',1039626917);
INSERT INTO international VALUES (588,'WebGUI',4,'Est seguro que desea enviar esta traduccin a Plain Black para ser incluida en la distribucin oficial de WebGUI? Al aceptar, Ud. declara entender que est dando a Plain Black licencia ilimitada para utilizar esta traduccin en las distribuciones de su software.',1039626899);
INSERT INTO international VALUES (586,'WebGUI',4,'Configurar Traducciones',1039626780);
INSERT INTO international VALUES (585,'WebGUI',4,'Configurar traducciones',1039626763);
INSERT INTO international VALUES (380,'WebGUI',4,'ID Estilo',1039626727);
INSERT INTO international VALUES (584,'WebGUI',4,'Agregar traduccin nueva',1039626696);
INSERT INTO international VALUES (61,'Article',4,'Artculo, Aadir/Editar',1039564394);
INSERT INTO international VALUES (23,'Article',4,'Fecha',1039564371);
INSERT INTO international VALUES (894,'WebGUI',4,'Permitir Discusin?',1039564362);
INSERT INTO international VALUES (28,'Article',4,'Ver Respuestas',1039564350);
INSERT INTO international VALUES (27,'Article',4,'Volver al Artculo',1039564338);
INSERT INTO international VALUES (24,'Article',4,'Responder',1039564324);
INSERT INTO international VALUES (22,'Article',4,'Autor',1039564293);
INSERT INTO international VALUES (20,'EventsCalendar',4,'Agregar un Evento',1039564281);
INSERT INTO international VALUES (75,'SiteMap',1,'All Roots',1039908572);
INSERT INTO international VALUES (74,'SiteMap',1,'This Page',1039908565);
INSERT INTO international VALUES (855,'WebGUI',1,'List all templates.',1039926498);
INSERT INTO international VALUES (854,'WebGUI',1,'List all templates like this one.',1039926488);
INSERT INTO international VALUES (853,'WebGUI',1,'Delete this template.',1039926459);
INSERT INTO international VALUES (852,'WebGUI',1,'Copy this template.',1039926448);
INSERT INTO international VALUES (851,'WebGUI',1,'Edit this template.',1039926394);
INSERT INTO international VALUES (853,'WebGUI',3,'Verwijder dit sjabloon.',1039989646);
INSERT INTO international VALUES (852,'WebGUI',3,'Kopieer dit sjabloon.',1039989629);
INSERT INTO international VALUES (851,'WebGUI',3,'Bewerk dit sjabloon.',1039989612);
INSERT INTO international VALUES (848,'WebGUI',3,'Er zit een syntax fout in dit sjabloon. Corrigeer dit a.u.b.',1039989596);
INSERT INTO international VALUES (75,'SiteMap',3,'Alle roots',1039989564);
INSERT INTO international VALUES (74,'SiteMap',3,'Deze pagina',1039989549);
INSERT INTO international VALUES (856,'WebGUI',1,'You have no account properties to edit at this time.',1040340432);
INSERT INTO international VALUES (856,'WebGUI',3,'Er zijn op dit moment geen account eigenschappen die u mag aanpassen.',1040350000);
INSERT INTO international VALUES (36,'Survey',2,'nicht ganz ablehnen',1040600035);
INSERT INTO international VALUES (41,'Survey',2,'Hufig',1040599965);
INSERT INTO international VALUES (42,'Survey',2,'Gelegentlich',1040599945);
INSERT INTO international VALUES (43,'Survey',2,'Nie',1040599922);
INSERT INTO international VALUES (46,'Survey',2,'Danke, dass Sie sich die Zeit genommen haben, an der Umfrage teilzunehmen.',1040599910);
INSERT INTO international VALUES (47,'Survey',2,'Sie haben dieses Quiz abgeschlossen.',1040599877);
INSERT INTO international VALUES (49,'Survey',2,'Sie knnen im Moment nicht an diesem Quiz teilnehmen.',1040599818);
INSERT INTO international VALUES (5,'Survey',2,'der Reihe nach',1040599792);
INSERT INTO international VALUES (50,'Survey',2,'Weiter',1040599769);
INSERT INTO international VALUES (51,'Survey',2,'Kommentare?',1040599752);
INSERT INTO international VALUES (54,'Survey',2,'Prozentzahl',1040599736);
INSERT INTO international VALUES (56,'Survey',2,'Kommentare anschauen.',1040599702);
INSERT INTO international VALUES (57,'Survey',2,'Kommentare',1040599684);
INSERT INTO international VALUES (58,'Survey',2,'Statistische bersicht',1040599672);
INSERT INTO international VALUES (59,'Survey',2,'Statistische bersicht anschauen.',1040599655);
INSERT INTO international VALUES (6,'Survey',2,'Zufllig',1040599636);
INSERT INTO international VALUES (61,'Survey',2,'Rangstufen anschauen.',1040599619);
INSERT INTO international VALUES (55,'Survey',2,'Antworten anschauen.',1049146220);
INSERT INTO international VALUES (64,'Survey',2,'Kommentare exportieren.',1040599109);
INSERT INTO international VALUES (62,'Survey',2,'Antworten exportieren.',1040599029);
INSERT INTO international VALUES (63,'Survey',2,'Fragen exportieren.',1040599013);
INSERT INTO international VALUES (65,'Survey',2,'Gemischte Auswertung exportieren.',1040598966);
INSERT INTO international VALUES (66,'Survey',2,'Geantwortet',1049146849);
INSERT INTO international VALUES (67,'Survey',2,'Benutzer',1040598808);
INSERT INTO international VALUES (68,'Survey',2,'Reports anschauen, Exportieren, ...',1040598788);
INSERT INTO international VALUES (71,'Survey',2,'Rangstufen',1040598736);
INSERT INTO international VALUES (73,'Survey',2,'Alle Antworten lschen.',1049146069);
INSERT INTO international VALUES (75,'Survey',2,'Diese Frage bearbeiten.',1040598384);
INSERT INTO international VALUES (76,'Survey',2,'Start Zeit',1040598367);
INSERT INTO international VALUES (77,'Survey',2,'Ende Zeit',1040598353);
INSERT INTO international VALUES (78,'Survey',2,'Gesamtzeit',1040598333);
INSERT INTO international VALUES (79,'Survey',2,'Minuten',1040598320);
INSERT INTO international VALUES (69,'Survey',2,'Antworten dieses Benutzers lschen.',1049146361);
INSERT INTO international VALUES (70,'Survey',2,'Individuelle Antworten',1049146347);
INSERT INTO international VALUES (72,'Survey',2,'Sind Sie sicher, dass Sie die Antworten dieses Benutzers lschen mchten?',1049146334);
INSERT INTO international VALUES (799,'WebGUI',2,'Seiten angeschaut',1040597666);
INSERT INTO international VALUES (797,'WebGUI',2,'Traffic Statistiken anschauen.',1040597629);
INSERT INTO international VALUES (795,'WebGUI',2,'Startseiten',1041631002);
INSERT INTO international VALUES (794,'WebGUI',2,'Pakete',1040597469);
INSERT INTO international VALUES (793,'WebGUI',2,'Uploadbereiche',1040597455);
INSERT INTO international VALUES (792,'WebGUI',2,'Templates',1040597433);
INSERT INTO international VALUES (790,'WebGUI',2,'Diese Profil Kategorie lschen.',1040597419);
INSERT INTO international VALUES (789,'WebGUI',2,'Diese Profil Kategorie bearbeiten.',1040597406);
INSERT INTO international VALUES (788,'WebGUI',2,'Dieses Profilfeld lschen.',1040597377);
INSERT INTO international VALUES (787,'WebGUI',2,'Dieses Profilfeld bearbeiten.',1040597360);
INSERT INTO international VALUES (786,'WebGUI',2,'WebGUI\'s Upload Verwaltungssystem erlaubt Ihnen, Dateien und Texte zu einem zentralen Speicher hochzuladen, um Sie dann irgendwo in Ihrem Content einzusetzen.',1040597320);
INSERT INTO international VALUES (785,'WebGUI',2,'Uploads, verwalten',1040597235);
INSERT INTO international VALUES (784,'WebGUI',2,'Vorschaubild',1040597218);
INSERT INTO international VALUES (782,'WebGUI',2,'Beliebig',1040597198);
INSERT INTO international VALUES (781,'WebGUI',2,'Schnipsel',1040597177);
INSERT INTO international VALUES (780,'WebGUI',2,'Datei',1040597163);
INSERT INTO international VALUES (779,'WebGUI',2,'Grafik',1040597152);
INSERT INTO international VALUES (777,'WebGUI',2,'Verzeichnis ID',1040597140);
INSERT INTO international VALUES (776,'WebGUI',2,'Verzeichnis bearbeiten',1040597128);
INSERT INTO international VALUES (773,'WebGUI',2,'Datei',1040597112);
INSERT INTO international VALUES (772,'WebGUI',2,'Datei bearbeiten',1040597100);
INSERT INTO international VALUES (771,'WebGUI',2,'Schnipsel',1040597084);
INSERT INTO international VALUES (769,'WebGUI',2,'In welches Verzeichnis?',1041616372);
INSERT INTO international VALUES (768,'WebGUI',2,'Name',1040597050);
INSERT INTO international VALUES (767,'WebGUI',2,'Upload ID',1040597039);
INSERT INTO international VALUES (757,'WebGUI',2,'Uploads verwalten',1040638501);
INSERT INTO international VALUES (754,'WebGUI',2,'Benutzer dieser Gruppe verwalten.',1040597007);
INSERT INTO international VALUES (753,'WebGUI',2,'Diese Gruppe bearbeiten.',1040596983);
INSERT INTO international VALUES (752,'WebGUI',2,'Profil dieses Benutzers anschauen.',1040596967);
INSERT INTO international VALUES (751,'WebGUI',2,'Diesen Benutzer bernehmen.',1040596935);
INSERT INTO international VALUES (750,'WebGUI',2,'Diesen Benutzer lschen.',1040596917);
INSERT INTO international VALUES (746,'WebGUI',2,'Bearbeitungsleiste Icon Set',1040596900);
INSERT INTO international VALUES (744,'WebGUI',2,'Als nchstes?',1040596874);
INSERT INTO international VALUES (743,'WebGUI',2,'Sie mssen eine korrekte Emailadresse angeben, um Ihr Passwort zu erhalten.',1040596854);
INSERT INTO international VALUES (742,'WebGUI',2,'Templates verwalten.',1040596824);
INSERT INTO international VALUES (739,'WebGUI',2,'UI Level',1040596808);
INSERT INTO international VALUES (738,'WebGUI',2,'9 Guru',1040596787);
INSERT INTO international VALUES (737,'WebGUI',2,'8 Master',1040596775);
INSERT INTO international VALUES (736,'WebGUI',2,'7 Experte',1040596762);
INSERT INTO international VALUES (735,'WebGUI',2,'6 Professional',1040596749);
INSERT INTO international VALUES (734,'WebGUI',2,'5 erfahren',1040596731);
INSERT INTO international VALUES (733,'WebGUI',2,'4 gebt',1040652286);
INSERT INTO international VALUES (732,'WebGUI',2,'3 erweiterter Anfnger',1040596670);
INSERT INTO international VALUES (731,'WebGUI',2,'2 Anfnger',1040652248);
INSERT INTO international VALUES (730,'WebGUI',2,'1 Absoluter Anfnger',1040652226);
INSERT INTO international VALUES (729,'WebGUI',2,'0 Anfnger',1040596557);
INSERT INTO international VALUES (725,'WebGUI',2,'Der Benutzername darf nicht leer sein.',1040596542);
INSERT INTO international VALUES (724,'WebGUI',2,'Der Benutzername kann nicht mit einem Leerzeichen anfangen oder enden.',1040596522);
INSERT INTO international VALUES (722,'WebGUI',2,'ID',1040596484);
INSERT INTO international VALUES (721,'WebGUI',2,'Namensbereich',1040596472);
INSERT INTO international VALUES (720,'WebGUI',2,'OK',1040596445);
INSERT INTO international VALUES (719,'WebGUI',2,'Veraltet',1040596428);
INSERT INTO international VALUES (7,'Survey',2,'Antwort gesteuert',1040596122);
INSERT INTO international VALUES (805,'WebGUI',2,'Diesen Style lschen.',1040595710);
INSERT INTO international VALUES (806,'WebGUI',2,'Diese Gruppe lschen.',1040595693);
INSERT INTO international VALUES (807,'WebGUI',2,'Verwalten Sie die Gruppen in dieser Gruppe.',1040595655);
INSERT INTO international VALUES (808,'WebGUI',2,'Senden Sie dieser Gruppe eine Email.',1040595633);
INSERT INTO international VALUES (809,'WebGUI',2,'Email Gruppe',1040595612);
INSERT INTO international VALUES (810,'WebGUI',2,'Senden',1040595597);
INSERT INTO international VALUES (811,'WebGUI',2,'Von',1040595584);
INSERT INTO international VALUES (812,'WebGUI',2,'Ihre Nachricht wurde gesendet.',1040595571);
INSERT INTO international VALUES (813,'WebGUI',2,'Gruppen in dieser Gruppe',1040595549);
INSERT INTO international VALUES (815,'WebGUI',2,'Die Datei, die Sie hochladen mchten, ist zu gross.',1040595529);
INSERT INTO international VALUES (816,'WebGUI',2,'Status',1040595505);
INSERT INTO international VALUES (817,'WebGUI',2,'Aktiviert',1040595489);
INSERT INTO international VALUES (818,'WebGUI',2,'Deaktiviert',1040595477);
INSERT INTO international VALUES (819,'WebGUI',2,'kann selbst deaktivieren',1043422108);
INSERT INTO international VALUES (820,'WebGUI',2,'Ihr Zugang ist nicht aktiviert. Daher knnen Sie sich solange nicht einloggen, bis er aktiviert wurde. Die Aktivierung kann nur durch den Administrator erfolgen.',1040595434);
INSERT INTO international VALUES (821,'WebGUI',2,'beliebig',1040595358);
INSERT INTO international VALUES (823,'WebGUI',2,'Zur neuen Seite gehen.',1040595331);
INSERT INTO international VALUES (824,'WebGUI',2,'Email Fussbereich',1040595314);
INSERT INTO international VALUES (825,'WebGUI',2,'Template, Sprache',1040595289);
INSERT INTO international VALUES (827,'WebGUI',2,'Wobject Template',1048243079);
INSERT INTO international VALUES (831,'WebGUI',2,'Upload Makros',1048243091);
INSERT INTO international VALUES (834,'WebGUI',2,'Sie knnen jede Art von Datei hochladen, um sie spter zu benutzen.\r\n\r\nName\r\nVergeben Sie einen eindeutigen Namen, den Sie spter benutzen knnen.\r\n\r\nIn Verzeichnisnissen organisieren\r\nIn welches Verzeichnis soll diese Datei gespeichert werden?\r\n\r\nDatei\r\nWhlen Sie eine Datei von Ihrer Festplatte aus, die sich hochladen mchten.',1040595218);
INSERT INTO international VALUES (833,'WebGUI',2,'Datei hinzufgen oder bearbeiten',1040647079);
INSERT INTO international VALUES (835,'WebGUI',2,'Schnipsel hinzufgen oder bearbeiten',1040647101);
INSERT INTO international VALUES (837,'WebGUI',2,'Verzeichnis hinzufgen oder bearbeiten',1040647122);
INSERT INTO international VALUES (839,'WebGUI',2,'Entwickler Makros',1048243052);
INSERT INTO international VALUES (841,'WebGUI',2,'Navigations Makros',1048243112);
INSERT INTO international VALUES (843,'WebGUI',2,'Benutzer Makros',1048243126);
INSERT INTO international VALUES (845,'WebGUI',2,'Style Makros',1048243004);
INSERT INTO international VALUES (848,'WebGUI',2,'Ein Syntaxfehler ist in diesem Template enhalten. Bitte korrigieren Sie den Fehler.',1040594846);
INSERT INTO international VALUES (856,'WebGUI',2,'Sie haben im Moment keine Account Eigenschaften zu bearbeiten.',1040594811);
INSERT INTO international VALUES (6,'WobjectProxy',2,'Mit dem Wobject Proxy knnen Sie ein bereits vorhandenes Wobject auf einer anderen Seite spiegeln, das heisst, das ein und das selbe Wobject auf mehreren Seiten vorkommen kann.<br><br>\r\n\r\n<b>Wobject To Proxy</b><br>\r\nWhlen Sie ein Wobject aus Ihrem System aus, dass Sie als Proxy Element nutzen mchten. Die Auswahlbox hat das Format \"Seiten Titel/Wobject Name (Wobject ID), so dass Sie schnell und direkt das Wobject finden knnen, dass Sie bentigen.',1049548414);
INSERT INTO international VALUES (4,'WobjectProxy',2,'Wobject Proxy fehlgeschlagen. Vieleicht wurde das Object gelscht?',1040594574);
INSERT INTO international VALUES (3,'WobjectProxy',2,'Wobject Proxy',1040594541);
INSERT INTO international VALUES (1,'WobjectProxy',2,'Wobject zu Proxy',1040594526);
INSERT INTO international VALUES (5,'WobjectProxy',2,'Wobject Proxy hinzufgen oder bearbeiten',1040647154);
INSERT INTO international VALUES (73,'Article',2,'Die nachfolgenden Template Variabeln sind fr Artikel Templates verfgbar.<br><br>\r\n\r\n<b>attachment.box</b><br>\r\nGibt eine Standard WebGUI Anlagen-Box aus mit Icon, Dateiname und Anlageindikator. \r\n<br><br>\r\n<b>attachment.icon</b><br>\r\nDie URL zum Icon-Symbol fr diesen Anlagentyp.\r\n<br><br>\r\n<b>attachment.name</b><br>\r\nDer Dateiname fr diese Anlage.\r\n<br><br>\r\n<b>attachment.url</b><br>\r\nDie URL zum Downloaden dieser Anlage. \r\n<br><br>\r\n<b>image.thumbnail</b><br>\r\nDie URL zum Thumbnail fr die angefgte Grafik.\r\n<br><br>\r\n<b>image.url</b><br>\r\nDie URL zur angefgten Grafik. \r\n<br><br>\r\n<b>post.label</b><br>\r\nDas bersetzte Label um Kommentare zu diesem Artikel hinzuzufgen. \r\n<br><br>\r\n<b>post.URL</b><br>\r\nDie URL um einen Kommentar zu diesem Artikel hinzuzufgen. \r\n<br><br>\r\n<b>replies.count</b><br>\r\nDie Anzahl d!\n er Kommentare zu diesem Artikel. \r\n<br><br>\r\n<b>replies.label</b><br>\r\nDer bersetzte Text, der anzeigt, dass Sie die Kommentare anschauen knnen..\r\n<br><br> \r\n\r\n<b>replies.url</b><br>\r\nDie URL, um die Kommentare zu diesem Artikel anzuschauen.',1041619226);
INSERT INTO international VALUES (38,'Survey',2,'Stimme auf keinen Fall zu',1040593717);
INSERT INTO international VALUES (37,'Survey',2,'Stimme nicht zu',1040593668);
INSERT INTO international VALUES (39,'Survey',2,'Nicht massgeblich',1040593621);
INSERT INTO international VALUES (74,'Survey',2,'Sind Sie sicher, dass Sie alle Antworten lschen mchten?',1049146085);
INSERT INTO international VALUES (44,'Survey',2,'Sind Sie sicher, dass Sie diese Frage, ihre Antworten und die Kommentare lschen mchten?',1040593415);
INSERT INTO international VALUES (45,'Survey',2,'Sind Sie sicher, dass Sie diese Antwort und Ihre Kommentare lschen mchten?',1040593366);
INSERT INTO international VALUES (52,'Survey',2,'Auswertung',1040593309);
INSERT INTO international VALUES (53,'Survey',2,'Geantwortet',1049146653);
INSERT INTO international VALUES (8,'Survey',2,'Reihenfolge der Fragen',1040593268);
INSERT INTO international VALUES (80,'Survey',2,'Sekunden',1040593240);
INSERT INTO international VALUES (40,'Survey',2,'Immer',1040593211);
INSERT INTO international VALUES (35,'Survey',2,'Ein wenig einverstanden',1040593179);
INSERT INTO international VALUES (34,'Survey',2,'Einverstanden',1040593148);
INSERT INTO international VALUES (33,'Survey',2,'Komplett einverstanden',1040593131);
INSERT INTO international VALUES (32,'Survey',2,'Falsch',1040593062);
INSERT INTO international VALUES (31,'Survey',2,'Wahr',1040593051);
INSERT INTO international VALUES (28,'Survey',2,'Eine Frage hinzufgen.',1040593038);
INSERT INTO international VALUES (26,'Survey',2,'Frequenz (immer/nie) Antwortbereich hinzufgen.',1040593016);
INSERT INTO international VALUES (25,'Survey',2,'Falsch/wahr Antwort hinzufgen.',1040592716);
INSERT INTO international VALUES (24,'Survey',2,'Mehrfachauswahl-Antwort hinzufgen.',1040592694);
INSERT INTO international VALUES (23,'Survey',2,'Neue Antwort hinzufgen.',1040592638);
INSERT INTO international VALUES (22,'Survey',2,'Antwort Typ',1040592620);
INSERT INTO international VALUES (4,'Product',2,'Sind Sie sicher, dass Sie die Beziehung zu diesem verwandten Produkt lschen mchten?',1040648767);
INSERT INTO international VALUES (37,'Product',2,'Verwandtes Produkt hinzufgen',1040648744);
INSERT INTO international VALUES (21,'Survey',2,'Gehe zu',1040592351);
INSERT INTO international VALUES (20,'Survey',2,'Ist diese Antwort korrekt?',1040592337);
INSERT INTO international VALUES (18,'Survey',2,'Antwort bearbeiten',1040592317);
INSERT INTO international VALUES (770,'WebGUI',2,'Schnipsel bearbeiten',1040652306);
INSERT INTO international VALUES (764,'WebGUI',2,'Upload bearbeiten.',1040471399);
INSERT INTO international VALUES (759,'WebGUI',2,'Dieses Verzeichnis bearbeiten',1040471347);
INSERT INTO international VALUES (774,'WebGUI',2,'Mchten Sie diesen Upload wirklich lschen? Nach dem Lschen kann das File nicht wiederhergestellt werden...',1040471298);
INSERT INTO international VALUES (765,'WebGUI',2,'Diesen Upload lschen.',1040471238);
INSERT INTO international VALUES (72,'SiteMap',2,'SiteMap Template',1048242785);
INSERT INTO international VALUES (72,'USS',2,'Haupt Template',1040405887);
INSERT INTO international VALUES (76,'USS',2,'Benutzerbeitragssystem Template',1041635215);
INSERT INTO international VALUES (73,'MessageBoard',2,'Diskussionsforum Template',1041632663);
INSERT INTO international VALUES (72,'MessageBoard',2,'Haupt Template',1040405753);
INSERT INTO international VALUES (75,'LinkList',2,'Link Liste Template',1040405733);
INSERT INTO international VALUES (3,'Survey',2,'Umfrage hinzufgen oder bearbeiten',1040647060);
INSERT INTO international VALUES (2,'Survey',2,'Umfrage bearbeiten',1040405651);
INSERT INTO international VALUES (48,'Survey',2,'Sie sind momentan nicht berechtigt, an dieser Umfrage teilzunehmen.',1040650776);
INSERT INTO international VALUES (73,'Item',2,'Textelement Template',1040404643);
INSERT INTO international VALUES (829,'WebGUI',2,'Seiten Template',1040404503);
INSERT INTO international VALUES (72,'Item',2,'Template',1040404478);
INSERT INTO international VALUES (75,'FileManager',2,'Download Manager Template',1041600125);
INSERT INTO international VALUES (76,'FAQ',2,'FAQ Template',1040404432);
INSERT INTO international VALUES (96,'EventsCalendar',2,'Ereignis Template',1040404414);
INSERT INTO international VALUES (74,'FAQ',2,'Template',1040404399);
INSERT INTO international VALUES (94,'EventsCalendar',2,'Ereignis Kalender Template',1040404377);
INSERT INTO international VALUES (80,'EventsCalendar',2,'Ereignis Template',1040404360);
INSERT INTO international VALUES (79,'EventsCalendar',2,'Haupt Template',1040404342);
INSERT INTO international VALUES (72,'Article',2,'Artikel Template',1040404102);
INSERT INTO international VALUES (723,'WebGUI',2,'Abgelehnt',1040403998);
INSERT INTO international VALUES (855,'WebGUI',2,'Alle Templates anzeigen',1040402476);
INSERT INTO international VALUES (854,'WebGUI',2,'Alle Templates wie dieses anzeigen',1041631426);
INSERT INTO international VALUES (853,'WebGUI',2,'Template lschen',1041631401);
INSERT INTO international VALUES (852,'WebGUI',2,'Template kopieren',1041631380);
INSERT INTO international VALUES (851,'WebGUI',2,'Template bearbeiten',1041631362);
INSERT INTO international VALUES (741,'WebGUI',2,'Template bearbeiten',1041631291);
INSERT INTO international VALUES (783,'WebGUI',2,'Typ',1040399695);
INSERT INTO international VALUES (766,'WebGUI',2,'Zurck zu den Uploads',1040399523);
INSERT INTO international VALUES (756,'WebGUI',2,'Zurck zur Gruppenliste.',1040399470);
INSERT INTO international VALUES (814,'WebGUI',2,'Zurck zu den Styles.',1040399446);
INSERT INTO international VALUES (745,'WebGUI',2,'Zurck zur Seite.',1040399379);
INSERT INTO international VALUES (60,'Survey',2,'Zurck zur Umfrage.',1040399321);
INSERT INTO international VALUES (775,'WebGUI',2,'Sind Sie sicher, dass Sie dieses Verzeichnis lschen und den Inhalt in den darberliegenden Ordner verschieben mchten?',1040399275);
INSERT INTO international VALUES (760,'WebGUI',2,'Dieses Verzeichnis lschen',1040399202);
INSERT INTO international VALUES (763,'WebGUI',2,'Schnipsel hinzufgen',1040399163);
INSERT INTO international VALUES (762,'WebGUI',2,'Datei hinzufgen',1040399069);
INSERT INTO international VALUES (761,'WebGUI',2,'Grafik hinzufgen',1040399045);
INSERT INTO international VALUES (758,'WebGUI',2,'Verzeichnis hinzufgen',1040399023);
INSERT INTO international VALUES (749,'WebGUI',2,'Seitenstatistik aktivieren?',1040398977);
INSERT INTO international VALUES (796,'WebGUI',2,'Seitenstatistik',1040398941);
INSERT INTO international VALUES (798,'WebGUI',2,'Seitentitel',1040398799);
INSERT INTO international VALUES (802,'WebGUI',2,'WebGUI speichert momentan keine Seitenstatistiken. Sie knnen dieses Feature in den Einstellungen aktivieren.',1040398735);
INSERT INTO international VALUES (791,'WebGUI',2,'Diese bersetzung lschen',1040398136);
INSERT INTO international VALUES (847,'WebGUI',2,'Zurck zur vorhergehenden Seite gehen.',1040398065);
INSERT INTO international VALUES (778,'WebGUI',2,'Verzeichnisbeschreibung',1040398001);
INSERT INTO international VALUES (747,'WebGUI',2,'Benutzernamen mssen alpha-numerische Zeichen enthalten',1040397962);
INSERT INTO international VALUES (567,'WebGUI',2,'Freigeben',1041607147);
INSERT INTO international VALUES (601,'WebGUI',2,'International ID',1040397860);
INSERT INTO international VALUES (570,'WebGUI',2,'Thema sperren',1040397845);
INSERT INTO international VALUES (559,'WebGUI',2,'Beim Registieren ausfhren',1040397832);
INSERT INTO international VALUES (568,'WebGUI',2,'Sofort',1041606979);
INSERT INTO international VALUES (558,'WebGUI',2,'Benutzer Karma bearbeiten',1040397662);
INSERT INTO international VALUES (554,'WebGUI',2,'Aktion ausfhren',1040397646);
INSERT INTO international VALUES (538,'WebGUI',2,'Karma Grenzwert',1040397605);
INSERT INTO international VALUES (521,'WebGUI',2,'Ich mchte via Email to Pager informiert werden.',1040397574);
INSERT INTO international VALUES (518,'WebGUI',2,'Benachrichtigungen',1040397531);
INSERT INTO international VALUES (515,'WebGUI',2,'Zeitpunkt der Bearbeitung einfgen/anzeigen?',1040397458);
INSERT INTO international VALUES (513,'WebGUI',2,'Vorheriges Thema',1040397425);
INSERT INTO international VALUES (512,'WebGUI',2,'Nchstes Thema',1040397414);
INSERT INTO international VALUES (74,'USS',2,'Benutzerbeitragssystem System Template',1041635078);
INSERT INTO international VALUES (73,'USS',2,'Benutzerbeitragssystem Template',1041635105);
INSERT INTO international VALUES (52,'USS',2,'Vorschaubild',1040397318);
INSERT INTO international VALUES (38,'USS',2,'(Whlen Sie \"Nein\", wenn Sie ein HTML/Richedit Beitragssystem hinzufgen)',1040397301);
INSERT INTO international VALUES (9,'Survey',2,'Umfrage',1040397175);
INSERT INTO international VALUES (511,'WebGUI',2,'durchgehend',1040397160);
INSERT INTO international VALUES (509,'WebGUI',2,'Diskussions Layout',1040397118);
INSERT INTO international VALUES (496,'WebGUI',2,'Editor auswhlen',1040397079);
INSERT INTO international VALUES (495,'WebGUI',2,'htmlArea (Internet Explorer 5.5+)',1045240994);
INSERT INTO international VALUES (494,'WebGUI',2,'RealObjects edit-on Pro 2.x',1045240980);
INSERT INTO international VALUES (501,'WebGUI',2,'Body',1040397021);
INSERT INTO international VALUES (510,'WebGUI',2,'Flach',1040397009);
INSERT INTO international VALUES (748,'WebGUI',2,'Benutzer Zhler',1040396997);
INSERT INTO international VALUES (492,'WebGUI',2,'Liste der Profil-Felder',1040396980);
INSERT INTO international VALUES (491,'WebGUI',2,'Profil Feld hinzufgen.',1040396957);
INSERT INTO international VALUES (490,'WebGUI',2,'Profil Kategorie hinzufgen.',1040396942);
INSERT INTO international VALUES (489,'WebGUI',2,'Profil Kategorie',1040396924);
INSERT INTO international VALUES (485,'WebGUI',2,'Boolean (Checkbox)',1040396911);
INSERT INTO international VALUES (484,'WebGUI',2,'Liste auswhlen',1040396891);
INSERT INTO international VALUES (468,'WebGUI',2,'Benutzer Profil Kategorie bearbeiten',1041633590);
INSERT INTO international VALUES (446,'WebGUI',2,'Homepage URL (geschftlich)',1040641618);
INSERT INTO international VALUES (443,'WebGUI',2,'Privat',1040396759);
INSERT INTO international VALUES (442,'WebGUI',2,'Geschftlich',1040396750);
INSERT INTO international VALUES (441,'WebGUI',2,'Email zu Pager Gateway',1040396717);
INSERT INTO international VALUES (440,'WebGUI',2,'Kontakt Informationen',1040396599);
INSERT INTO international VALUES (9,'Product',2,'Produktgrafik 3',1040649097);
INSERT INTO international VALUES (42,'Product',2,'Produkt Beschreibung hinzufgen oder bearbeiten',1040647019);
INSERT INTO international VALUES (15,'Survey',2,'Kommentare erlauben?',1040396480);
INSERT INTO international VALUES (17,'Survey',2,'Frage bearbeiten',1040396466);
INSERT INTO international VALUES (2,'Product',2,'Sind Sie sicher, dass Sie die Verknpfung zu diesem Zubehr lschen mchten?',1040648263);
INSERT INTO international VALUES (17,'Product',2,'Zubehr',1040396372);
INSERT INTO international VALUES (18,'Product',2,'Anderes Zubehr hinzufgen?',1040396355);
INSERT INTO international VALUES (16,'Product',2,'Zubehr hinzufgen',1040396333);
INSERT INTO international VALUES (44,'Product',2,'Produkt Zubehr hinzufgen oder bearbeiten',1040647041);
INSERT INTO international VALUES (19,'Survey',2,'Antwort',1040396283);
INSERT INTO international VALUES (30,'Survey',2,'Neue Frage hinzufgen.',1040396272);
INSERT INTO international VALUES (29,'Survey',2,'Antwort-Textfeld hinzufgen.',1040396252);
INSERT INTO international VALUES (27,'Survey',2,'Meinungsbereich hinzufgen (einverstanden/nicht einverstanden).',1040396228);
INSERT INTO international VALUES (16,'Survey',2,'Antworten zufllig anordnen?',1040396058);
INSERT INTO international VALUES (14,'Survey',2,'Frage',1040396029);
INSERT INTO international VALUES (13,'Survey',2,'Wer kann die Ergebnisliste anschauen?',1040395954);
INSERT INTO international VALUES (12,'Survey',2,'Wer kann an der Umfrage teilnehmen?',1040395930);
INSERT INTO international VALUES (11,'Survey',2,'Modus',1040395911);
INSERT INTO international VALUES (10,'Survey',2,'Quiz',1040395898);
INSERT INTO international VALUES (1,'Survey',2,'Umfrage',1041613099);
INSERT INTO international VALUES (75,'SiteMap',2,'Alle Hauptpfade',1040395875);
INSERT INTO international VALUES (74,'SiteMap',2,'Diese Seite',1040395856);
INSERT INTO international VALUES (20,'Poll',2,'Karma pro Abstimmung',1040395813);
INSERT INTO international VALUES (12,'Poll',2,'Gesamtzahl der Abstimmungen:',1041071732);
INSERT INTO international VALUES (74,'FileManager',2,'Neue Datei hinzufgen.',1040395313);
INSERT INTO international VALUES (75,'FAQ',2,'Frage hinzufgen.',1040395090);
INSERT INTO international VALUES (3,'Auth/SMB',2,'SMB Protokol Fehler (2)<br>\r\nBitte nehmen Sie Kontakt mit Ihrem Systemadministrator auf.',1040651984);
INSERT INTO international VALUES (4,'Auth/SMB',2,'SMB Anmeldefehler (3)<br>\r\nSie haben einen falschen Benutzernamen oder ein falsches Kennwort eingegeben. Bitte versuchen Sie es noch einmal.',1040651997);
INSERT INTO international VALUES (5,'Auth/SMB',2,'PDC',1040394965);
INSERT INTO international VALUES (6,'Auth/SMB',2,'BDC',1040394956);
INSERT INTO international VALUES (7,'Auth/SMB',2,'NT Domain',1040394946);
INSERT INTO international VALUES (8,'Auth/SMB',2,'NT Login',1040394932);
INSERT INTO international VALUES (9,'Auth/SMB',2,'NT Passwort',1040394921);
INSERT INTO international VALUES (93,'EventsCalendar',2,'Nchster Termin',1040394862);
INSERT INTO international VALUES (718,'WebGUI',2,'bersetzung exportieren.',1040394793);
INSERT INTO international VALUES (92,'EventsCalendar',2,'Vorheriger Termin.',1040394762);
INSERT INTO international VALUES (91,'EventsCalendar',2,'Neues Ereignis hinzufgen.',1040394748);
INSERT INTO international VALUES (90,'EventsCalendar',2,'Standard Monat',1040394734);
INSERT INTO international VALUES (89,'EventsCalendar',2,'3 Monate vom Beginn an anzeigen',1040662577);
INSERT INTO international VALUES (88,'EventsCalendar',2,'6 Monate vom Beginn an anzeigen',1040662541);
INSERT INTO international VALUES (87,'EventsCalendar',2,'9 Monate vom Beginn an anzeigen',1040662529);
INSERT INTO international VALUES (86,'EventsCalendar',2,'12 Monate vom Beginn an anzeigen',1040662515);
INSERT INTO international VALUES (85,'EventsCalendar',2,'Letzter im Kalender',1040662419);
INSERT INTO international VALUES (84,'EventsCalendar',2,'Ende Monat',1040394649);
INSERT INTO international VALUES (83,'EventsCalendar',2,'Erster im Kalender',1040662448);
INSERT INTO international VALUES (82,'EventsCalendar',2,'Aktuell',1040662319);
INSERT INTO international VALUES (81,'EventsCalendar',2,'Anfangsmonat',1040394600);
INSERT INTO international VALUES (5,'Auth/WebGUI',2,'Ihr Passwort darf nicht \"Passwort\" lauten.',1040394515);
INSERT INTO international VALUES (4,'Auth/WebGUI',2,'Ihr Passwort darf nicht leer sein.',1040394494);
INSERT INTO international VALUES (1,'Auth/WebGUI',2,'WebGUI Authentifizierungs-Optionen',1040394478);
INSERT INTO international VALUES (2,'Auth/SMB',2,'SMB Server Fehler(1)<br>\r\nProbleme beim Zugriff auf den Domain-Controller. Wahrscheinlich gibt es einen Verbindungs-Timeout. Bitte versuchen Sie es nochmal oder nehmen Sie Kontakt mit Ihrem Systemadministrator auf.',1040651968);
INSERT INTO international VALUES (1,'Auth/SMB',2,'SMB Authentifizierungs-Optionen',1040394357);
INSERT INTO international VALUES (1,'Auth/LDAP',2,'LDAP Authentifizierungs Optionen',1040384677);
INSERT INTO international VALUES (30,'USS',2,'Karma pro Benutzer Beitrag',1040656066);
INSERT INTO international VALUES (627,'WebGUI',2,'Profile werden genutzt, um sich weitergehende Informationen ber einen bestimmten Benuter anzuschauen. Fr mache Seiten sind Profile wichtig, fr andere wiederum nicht. Das Profilsystem ist komplett anpassbar. Sie knnen so viel Informationen anzeigen oder anfordern, wie Sie mchten.',1040655917);
INSERT INTO international VALUES (638,'WebGUI',2,'Templates werden eingesetzt um das Layout in WebGUI festzulegen. Mit WebGUI werden viele Templates ausgeliefert. Und mit der Templateverwaltung knnen Sie Ihrer eigenen Templates erstellen, damit Ihre Seite genau so aussieht, wie Sie sie sich vorstellen. ',1040655721);
INSERT INTO international VALUES (639,'WebGUI',2,'<b>Template Name</b><br>\r\nVergeben Sie einen aussagekrftigen Namen, damit Sie spter wissen, wofr dieses Template ist.\r\n<br><br>\r\n<b>Namensbereich</b><br>\r\nWelcher Template Typ ist es? z.B. Template fr das Textelement\r\n<br><br>\r\n<b>Template</b><br>\r\nBenutzen Sie zur Erstellung des Templates die vorhandenen Template-Befehle und Variablen, Macros und auch HTML-Code.\r\n<br><br>\r\n<b>Beachten Sie:</b><br>\r\nSie sollten niemals die Standardtemplates, die mit WebGUI ausgeliefert werden, bearbeiten, da diese oft mit jeder neuen Version von WebGUI gendert werden. Verfahren Sie stattdessen so, dass Sie ein Template Ihrer Wahl zuerst kopieren und dann mit dieser Kopie weiterarbeiten und z. B. einen neuen Namen vergeben etc.',1040655572);
INSERT INTO international VALUES (838,'WebGUI',2,'Verzeichnisse (Ordner) werden zum Organisieren von Uploads genutzt, hnlich wie Sie Dateien auf Ihrer Festplatte in Verzeichnisses sortiert haben.\r\n<br><br>\r\n<b>In Verzeichnisses organisieren</b><br>\r\nVerzeichnisse knnen sich innerhalb anderer Verzeichnisse befinden. In welchen Ordner mchten Sie diesen Ordner verschieben?\r\n<br><br>\r\n<b>Name</b><br>\r\nBenennen Sie den Ordner so, dass Sie auch erkennen, was sich darin befindet (z. B. Grafiken, Private Bilder, Musikfiles, ...)\r\n<br><br>\r\n<b>Beschreibung</b><br>\r\nGeben Sie eine kurze Beschreibung des Ordners an, so dass Sie sich z. b. warum Sie diesen Ordner erstellt haben, was sich darin befindet, etc.',1040655148);
INSERT INTO international VALUES (830,'WebGUI',2,'Seiten Templates werden genutzt um Wobjects auf Ihrer Seite zu organisieren. Um dies zu ermglichen, mssen Sie Template Positionen erstellen. Sie knnen eine unbegrenzte Anzahl von Postionsnummern in Ihren Seiten-Templates benutzen, aber sie mssen dafr immer eine Position schaffen. Die Template Positions Variablen knnen ungefhr so aussehen:<br><br>\r\n\r\n<pre>\r\n&lt;tmpl_var page.position1&gt;\r\n&lt;tmpl_var page.position2&gt;\r\n&lt;tmpl_var page.position3&gt;\r\n&lt;tmpl_var page.position4&gt;\r\n&lt;tmpl_var page.position5&gt;\r\n&lt;tmpl_var page.position6&gt;\r\n&lt;tmpl_var page.position7&gt;\r\n&lt;tmpl_var ...&gt;\r\n\r\n</pre>\r\n\r\n\r\nSie knnen mehr als 1 Million dieser Positionen einsetzen... Das sollte mehr als genug auch fr die komplexeste Seite sein.',1040654716);
INSERT INTO international VALUES (74,'Item',2,'Nachfolgend eine Liste von Template Variablen fr Textelement Templates.\r\n<br><br>\r\n<b>attachment.name</b><br>\r\nDer Dateiname fr den Anhang\r\n<br><br>\r\n<b>attachment.url</b><br>\r\nDie URL zum Downloaden des Anhangs\r\n<br><br>\r\n<b>attachment.icon</b><br>\r\nDie URL zum Icon fr den Anhang (z.B. Symbol fr PDF-Dateien)<br>',1040654374);
INSERT INTO international VALUES (73,'FAQ',2,'<b>Frage</b><br>\r\nFgen Sie die Frage hinzu, die in der FAQ erscheinen soll.\r\n<br><br>\r\n<b>Antwort</b><br>\r\nFgen Sie die Antwort hinzu, die fr die Frage, die Sie eben eingegeben haben, erscheinen soll.\r\n<br><br>\r\n<b>Als nchstes?</b><br>\r\nMchten Sie eine neue Frage hinzufgen, so whlen Sie es hier aus.<br>',1040654126);
INSERT INTO international VALUES (71,'FAQ',2,'Es scheint, dass es auf fast auf jeder Website, privaten Homepage, in Intranets oder auch in Extranets einen F.A.Q-Bereich (Frequently Asked Questions) gibt. Dieses Wobject hilft Ihnen, solch eine FAQ aufzubauen.\r\n<br><br>\r\n<b>Template</b><br>\r\nWhlen Sie ein Layout fr diese FAQ aus.\r\n<br><br>\r\n<b>Als nchstes?</b><br>\r\nWhlen Sie \"Eine Frage hinzufgen\", wenn Sie eine neue Frage hinzufgen mchten.<br><br>\r\n<hr>\r\n<b>Beachten Sie bitte:</b> Die nachfolgende Stylesheet Class ist speziell fr die FAQ.\r\n<br><br>\r\n<b>faqQuestion</b><br>\r\nEine FAQ Frage. zum Abgrenzen von der Antwort<br>',1040653967);
INSERT INTO international VALUES (71,'ExtraColumn',2,'Extra Spalten erlauben Ihnen, unbhngig vom Gesamtlayout(Style) Ihrer Seite fr die momentan ausgewhlte Seite eine Zusatzspalte einzufgen.\r\n<br><br>\r\nMchten Sie mehrere Spalten auf all Ihren Seiten haben, mssen Sie den Style entsprechend bearbeiten oder stattdessen ein Template benutzen.\r\n<br><br>\r\nSpalten werden immer von links nach rechts hinzugefgt. Deswegen erscheint bereits vorhandener Content links von der neuen Spalte.\r\n<br><br>\r\n<b>Platzhalter</b><br>\r\nDer Platzhalter ist die Grsse der Abstnde zwischen dem bereits vorhandenen Content und Ihrer neuen Spalte. Angaben in Pixel.\r\n<br><br>\r\n<b>Breite</b><br>\r\nGeben Sie hier bitte die Breite in Pixel fr die neue Spalte an.\r\n<br><br>\r\n<b>StyleSheet Class</b><br>\r\nWenn Sie eine spezielle StyleSheet Class fr Spalten benutzen, knnen Sie diese hier angeben.',1040653582);
INSERT INTO international VALUES (73,'EventsCalendar',2,'<b>Titel</b><br>\r\nBezeichnung dieses Ereignisses\r\n<br><br>\r\n<b>Description</b><br>\r\nBeschreibung dieses Ereignisses\r\n<br><br>\r\n<b>Start Datum</b><br>\r\nWann beginnt das Ereignis?\r\n<br><br>\r\n<b>Ende Datum</b><br>\r\nWann endet das Ereignis?\r\n<br><br>\r\n<b>Wiederholt sich</b><br>\r\nWhlen Sie einen Wiederholungszeitraum fr dieses Ereignis aus\r\n<br><br>\r\n<b>Als nchstes?</b><br>\r\nWhlen Sie \"Neues Ereignis hinzufgen\", wenn Sie ein neues Ereignis hinzufgen mchten, andernfalls whlen Sie \"Zurck zur Seite\".\r\n<br>',1040652689);
INSERT INTO international VALUES (71,'SiteMap',2,'SiteMaps (Seitenbersichten) stellen eine zustzliche Navigationshilfe dar. \r\nSie knnen eine traditionelle Sitemap&nbsp;verwenden, die eine hierarchische \r\nAnsicht aller Seiten anzeigt. Sie knnen aber andererseits Sitemaps benutzen, \r\num eine zustzliche Navigationsebene fr bestimmte Ebenen Ihrer Seite einzubauen. <BR><BR><b>Template</b><BR>Whlen \r\nSie ein Layout fr die Sitemap. \r\n<P><b>Beginnen mit</b><BR>Whlen Sie die Seite aus, mit der die Sitemap beginnen \r\nsoll. \r\n<BR><BR><b>Tiefe</b><BR>Wie viel Stufen der Navigation soll die Sitemap anzeigen? \r\nWenn Sie \'0\' angeben, wird die komplette Seitenbersicht angezeigt mit all ihren \r\nStufen. \r\n<P><b>Einrckung? <br></b>Wie weit soll jede nachfolgende Stufe eingerckt werden?</P>',1041635478);
INSERT INTO international VALUES (77,'USS',2,'Nachfolgend sind die Template Variabeln die im Benutzerbeitragssystem verwendet \r\nwerden. Diese Templates werden benutzt, um den einzelnen Benutzerbeitrag im \r\nBenutzer Beitragssystem darzustellen. \r\n<P><b>title</b><BR>Der Titel dieses Beitrages. \r\n<P><b>content</b><BR>Der komplette Text dieses Beitrages. \r\n<P><b>user.label</b><BR>Die bersetzte Bezeichnung die anzeigt, welcher Benutzer \r\ndiesen Beitrag verffentlicht hat. \r\n<P><b>user.profile</b><BR>Die URL zum Profil des Benutzers, der den Beitrag \r\nverffentlicht hat. \r\n<P><b>user.username</b><BR>Der Benutzername dieses Benutzers. \r\n\r\n<P><b>user.id</b><BR>Die Benutzer ID dieses Benutzers. \r\n<P><b>date.label</b><BR>Die bersetzte Bezeichnung die anzeigt, wann dieser \r\nBeitrag geschrieben wurde. \r\n<P><b>date.epoch</b><BR>Die Anzahl der Sekunden seit 1. Januar 1970 zum Zeitpunkt \r\n, an dem di!\n eser Beitrag geschrieben wurde. \r\n<P><b>date.human</b><BR>Das umgewandelte Datum, wann dieser Beitrag geschrieben \r\nwurde. \r\n<P><b>status.label</b><BR>Die bersetzte Bezeichnung, die den Status dieses Beitrages anzeigt. \r\n<P><b>status.status</b><BR>Der aktuelle Status dieses Beitrages (ausstehend, \r\nfreigegeben, abgelehnt). \r\n<P><b>views.label</b><BR>Die bersetzte Bezeichnung, wie oft dieser Beitrag \r\nangeschaut wurde. \r\n<P><b>views.count</b><BR>Anzahl,  \r\nwie oft dieser Beitrag angeschaut wurde<P><b>canPost</b><BR>Bedinung, ob der \r\nBenutzer einen neuen Beitrag schreiben kann oder nicht. \r\n<P><b>post.url</b><BR>Die URL zum Schreiben eines neuen Beitrages. \r\n<P><b>post.label</b><BR>Die bersetzte Bezeichnung fr diese URL. \r\n<P><b>previous.more</b><BR>Bedingung, ob es ltere/vorherige Beitrge vor diesem \r\ngab oder nicht.. \r\n<P><b>previous.url</b><BR>Eine URL zu dem vorherigen Beitrag.<P><b>previous.label</b><BR>Die \r\nbersetzte Bezeichnung !\n fr diese URL. \r\n<P><b>next.more</b><BR>Bedingung, ob es noch weiter\ne Beitrge gibt oder nicht. \r\n<P><b>next.url</b><BR>Die URL  zum nachfolgenden Beitrag. \r\n<P><b>next.label</b><BR>Die bersetzte Bezeichnung fr diese URL. \r\n<P><b>canEdit</b><BR>Bedingung, ob der aktuelle Benutzer diesen Beitrag bearbeiten \r\noder lschen kann. \r\n<P><b>edit.url</b><BR>Die URL  zum Bearbeiten dieses Beitrages. \r\n<P><b>edit.label</b><BR>Die bersetzte Bezeichnung fr den Bearbeitungslink. \r\n<P><b>delete.url</b><BR>Die URL zum Lschen des Beitrages.<P><b>delete.label</b><BR>Die \r\nbersetzte Bezeichnung diese URL. \r\n<P><b>canChangeStatus</b><BR>Bedingung, ob der aktuelle Benutzer die Berechtigung \r\nhat, den Status dieses Beitrages zu bearbeiten. \r\n<P><b>approve.url</b><BR>Die URL  zum Freigeben dieses Beitrages. \r\n<P><b>approve.label</b><BR>Die bersetzte Bezeichnung diese URL. \r\n<P><b>deny.url</b><BR>Die URL  zum Ablehnen des Beitrages. \r\n<P><b>deny.label</b><BR>Die bersetzte Bezeichnung fr diese URL. \r\n<P><b>leave.url</b><BR>Die!\n  URL, um diesen Beitrag beim aktuellen Status zu belassen.. \r\n<P><b>leave.label</b><BR>Die bersetzte Bezeichnung fr diese URL. \r\n<P><b>canReply</b><BR>Bedingung, ob der aktuelle Benutzer auf diesen Beitrag \r\nantworten kann oder nicht. \r\n<P><b>reply.url</b><BR>Die URL  um auf diesen Beitrag zu antworten. \r\n<P><b>reply.label</b><BR>Die bersetzte Bezeichnung fr diese URL. \r\n<P><b>search.url</b><BR>Die URL, um zum WebGUI Power Suchformular zu wechseln. \r\n<P><b>search.label</b><BR>Die bersetzte Bezeichnung fr diesen Link. \r\n<P><b>back.url</b><BR>Die URL, um zur Hauptbersicht zurckzukehren. \r\n<P><b>back.label</b><BR>Die bersetzte Bezeichnung fr diese URL. \r\n<P><b>replies</b><BR>Eine komplette Liste aller Antworten zu diesem Beitrag.</P>',1041635262);
INSERT INTO international VALUES (617,'WebGUI',2,'<p>Einstellungen sind Elemente, die es Ihnen ermglichen WebGUI an ihre besonderen \r\nBedrfnisse anzupassen. \r\n</p>\r\n<P><B>Informationen ber das Unternehmen bearbeiten</B><BR>Informationen ber \r\ndas Unternehmen oder individuelle Personen, die diese WebGUI-Installation verwaltet.<P><B>Inhaltliche Einstellungen bearbeiten</B><BR>Einstellungen bezglich des \r\nInhalts und allgemeine Einstellungen bearbeiten, z. B. Grsse der Textboxen \r\ndefinieren. \r\n<P><B>Benachrichtigungsoptionen bearbeiten</B><BR>Einstellungen bezglich Email \r\nund andere benachrichtigungs bezogenen Funktionen. \r\n\r\n<P><B>Sonstige Einstellungen bearbeiten</B><BR>Alles, wofr wir sonst keinen \r\nPlatz gefunden haben, wie z. B. Seitenstatistik aktivieren. \r\n<p><B>Profileinstellungen bearbeiten</B><BR>Hier knnen\r\n  Sie definieren, wie \r\ndie Benutzerprofile aussehen, welche Bereiche der Benutzer bearbeiten darf, \r\nDatumsformat etc. \r\n</p>\r\n<P><B>Benutzereinstellungen bearbeiten</B><BR>Einstellungen bezglich der Benutzer \r\n(bis auf die Profileinstellungen) wie Authentifizierungs Informationen und Registierungsoptionen, \r\n \r\nAktivieren des Karma, etc.. </P>',1045243162);
INSERT INTO international VALUES (72,'MailForm',2,'Sie knnen so viele Felder hinzufgen, wie sie mchten. \r\n<BR><BR><b>Feld Name</b><BR>Der Name dieses Feldes. Es muss in diesem Formular \r\neinmalig sein, das heisst, es darf nicht mehrere Felder mit gleichem Namen geben:<P><b>Status</b><BR>Versteckte \r\n(Hidden) Felder werden dem Besucher nicht angezeigt, aber gleichwohl mit der \r\nEmail versendet.<BR>Angezeigte Felder werden dem Besucher angezeigt, er kann \r\naber keine Eingaben bzw. nderungen durchfhren.<BR>Vernderbare Felder knnen \r\nvom Benutzer ausgefllt werden (betrifft aber z. B. nicht die Drop-Down-Box).<BR>Wenn \r\nSie versteckte oder angezeigte Felder verwenden, beachten Sie, dass Sie einen \r\nStandardwert eingeben. \r\n<P><b>Typ</b><BR>Whlen Sie hier den Feldtyp aus. Die folgenden Typen werden \r\nuntersttzt:<BR>\r\n<ul>\r\n    <li>URL: Eine Textbox, die eingegebene URL\'s automatisch forma!\n tiert.</li>\r\n    <li>Textbox: Eine Standard-Textbox.</li>\r\n    <li>Date: Ein Textboxfeld mit einem Pop-Up Fenster zum Auswhlen eines Datums.</li>\r\n    <li>Yes/No: Ein Set von ja/nein Radio Buttons.</li>\r\n    <li>Email \r\nAddress: Eine Textbox, die den Besucher verpflichtet, eine Emailadresse einzugeben.</li>\r\n    <li>Textarea: Ein einfaches Textfeld (mehrzeilig).</li>\r\n    <li>Checkbox: Eine einzelne Checkbox.</li>\r\n    <li>Drop-Down Box: Eine Drop-Down Liste. Benutzen Sie das &quot;Mgliche \r\n    Werte&quot;-Feld, um jeden einzelnen Punkt der Auswahl zu definieren. Geben \r\n    Sie nur einen Punkt pro Zeile ein. \r\n    </li>\r\n</ul>\r\n<P><b>Mgliche Werte</b><BR>Dieses Feld wird nur von der Drop-Down Box bercksichtigt. \r\nGeben Sie die mglichen Werte ein, die in der Drop-Down Box erscheinen sollen, \r\neinen Wert pro Zeile. \r\n<P><b>Standardwert (optional)</b><BR>Geben Sie einen Standardwert fr das Feld \r\nein, sofern einer bentigt wird. Fr &q!\n uot;Ja/Nein&quot; Felder geben Sie &quot;yes&quot; \r\num &quot;Ja&quo\nt; auszuwhlen, und &quot;no&quot; um &quot;Nein&quot; auswhlen \r\n(als Beispiel: Wenn Sie hier &quot;no&quot; eingeben, ist das Feld &quot;Nein&quot; \r\nfr den Besucher standardmssig aktiviert). Beachten Sie hierbei, dass Sie die \r\nenglischen Bezeichnungen benutzen. Fr Checkbox-Felder geben Sie &quot;checked&quot; ein, \r\num den Wert der Checkbox standarmssig zu aktivieren. \r\n<P><b>Weitere Felder hinzufgen?</b><BR>Mchten Sie Ihrem Formular noch weitere \r\nWerte hinzufgen?</P>',1041633662);
INSERT INTO international VALUES (76,'FileManager',2,'Dies ist eine Liste von Template Variablen, die Sie in Downloadmanager Templates \r\nbenutzen knnen. \r\n<P><b>titleColumn.url</b><BR>Die URL, um nach dem Titel zu sortieren. \r\n<P><b>titleColumn.label</b><BR>Die bersetzte Bezeichnung des Titels. \r\n<P><b>descriptionColumn.url</b><BR>Die URL, um nach der Beschreibung zu sortieren. \r\n<p><b>descriptionColumn.label</b><BR>Die bersetzte Bezeichnung fr die Beschreibung. \r\n</p>\r\n<P><b>dateColumn.url</b><BR>Die  URL, um nach dem Upload-Datum zu sortieren. \r\n<p><b>dateColumn.label</b><BR>Die bersetzte Bezeichnung fr das Upload-Datum. \r\n</p>\r\n<P><b>search.form</b><BR>WebGUI\'s Power Suchformular. \r\n<P><b>search.url</b><BR>Die URL, um den Suchmodus an- oder abzuschalten. \r\n<P><b>search.label</b><BR>Die bersetzte Bezeichnung fr den Suchlink. \r\n<P><b>addfile.url</b><BR>Die URL, um eine Datei hinzuz!\n ufgen. \r\n<P><b>addfile.label</b><BR>Die bersetzte Bezeichnung fr diesen Link. \r\n<P><b>file_loop</b><BR>Eine Schleife, die Informationen ber jede upgeloadete \r\nDatei enthlt. \r\n<BLOCKQUOTE><b>file.canView</b><BR>Eine Bedingungsvariable, ob der Benutzer \r\n    die Berechtigung hat, diese Datei anzuschauen. \r\n<P><b>file.controls</b><BR>Die WebGUI Verwaltungscontrols fr diese Datei. \r\n<P><b>file.title</b><BR>Der Dateititel. \r\n<P><b>file.version1.name</b><BR>Der Dateiname der ersten Version dieser Datei. \r\n\r\n<P><b>file.version1.url</b><BR>Die Download-URL fr diese erste Version der \r\n    Datei. \r\n<P><b>file.version1.icon</b><BR>Die URL zum Dateityp-Icon fr die erste Version \r\n    der Datei. \r\n<P><b>file.version1.size</b><BR>Die Dateigrsse der ersten Version der Datei. \r\n<P><b>file.version1.type</b><BR>Der Dateityp (siehe auch file.version1.icon). \r\n<P><b>file.version1.thumbnail</b><BR>Die URL zum Vorschaubild (Thumbnail) fr \r\n    die ers!\n te Version dieser Datei. \r\n<P><b>file.version1.isImage</b><BR>Eine V\nariable um zu ermitteln, ob diese Datei \r\n    eine Grafik ist oder nicht. \r\n<P><b>file.version2.name</b><BR>Der Dateiname fr die Alternative #1 dieser \r\n    Datei. \r\n<P><b>file.version2.url</b><BR>Die Download-URL fr Alternative #1. \r\n<P><b>file.version2.icon</b><BR>Die URL zum Dateityp-Icon fr Alternative #1. \r\n<P><b>file.version2.size</b><BR>Die Dateigrsse fr Alternative #1. \r\n<P><b>file.version2.type</b><BR>Der Dateityp von Alternative #1. \r\n<P><b>file.version2.thumbnail</b><BR>Die URL zum Vorschaubild (Thumbnail) fr \r\n    Alternative #1. \r\n<P><b>file.version2.isImage</b><BR>Eine Variable um zu ermitteln, ob es sich \r\n    bei Alternative #1 um eine Grafik handelt oder nicht. \r\n<P><b>file.version3.name</b><BR>Der Dateiname fr die Alternative #2 dieser \r\n    Datei. \r\n<P><b>file.version3.url</b><BR>Die Download-URL fr Alternative #2. \r\n<P><b>file.version3.icon</b><BR>Die URL zum Dateityp-Icon fr Alternative #2. \r\n<P><b>file.version3.s!\n ize</b><BR>Die Dateigrsse fr Alternative #2. \r\n<P><b>file.version3.type</b><BR>Der Dateityp von Alternative #2. \r\n<P><b>file.version3.thumbnail</b><BR>Die URL zum Vorschaubild (Thumbnail) fr \r\n    Alternative #2. \r\n<P><b>file.version3.isImage</b><BR>Eine Variable um zu ermitteln, ob es sich \r\n    bei Alternative #2 um eine Grafik handelt oder nicht. \r\n<P><b>file.description</b><BR>Die Beschreibung fr die Datei (fr alle 3 Versionen \r\n    gleich). \r\n<P><b>file.date</b><BR>Das Datum, an dem die Datei(en) hochgeladen wurde(n). \r\n<P><b>file.time</b><BR>Die Uhrzeit, an dem die Datei(en) hochgeladen wurde(n). \r\n<P></P></BLOCKQUOTE>\r\n<P><b>noresults.message</b><BR>Eine bersetzte Nachricht, dass es keine Dateien \r\nzum Downloaden fr diesen Benutzer gibt. \r\n<P><b>noresults</b><BR>Eine Variable, um zu ermitteln, ob es Dateien fr diesen \r\nBenutzer zum Downloaden gibt. \r\n<P><b>firstPage</b><BR> Ein Link zur ersten Seite. \r\n<P><b>lastPage</b><BR>Ein!\n  Link zur letzten Seite. \r\n<P><b>nextPage</b><BR>Ein Link zur nchst\nen Seite. \r\n<P><b>previousPage</b><BR>Ein Link zur vorherigen Seite. \r\n<P><b>pageList</b><BR>Eine Liste aller Seiten. \r\n<P><b>multiplePages</b><BR>Eine Variable um zu ermitteln, ob es mehrere Seiten \r\ngibt.</P>',1041633620);
INSERT INTO international VALUES (633,'WebGUI',2,'Vereinfacht ausgedrckt, sind Startseiten (auch root genannt) Seiten mit keiner darberliegenden Seite. \r\nDie erste und wichtigeste Startseite in WebGUI ist die &quot;Home&quot; Seite. \r\nViele Anwender fgen niemals weitere Startseiten ein, aber einige Poweruser schon. \r\nDiese User erstellen neue Startseiten aus verschiedenen Grnden, vielleicht erstellen sie Sammelpunkte fr Contentmanager oder vielleicht einen versteckten Bereich fr Admin-Tools. Oder womglich einfach eine neue Startseite, um die Suchmaschine zu platzieren. \r\n<p>Mglichkeiten zum Einsatz mehrerer Startseiten bieten sich viele... lassen Sie Ihren Ideen freien Lauf.</p>',1041631109);
INSERT INTO international VALUES (63,'Product',2,'Nachfolgend eine Liste der Template Variabeln, die in Produkt Templates verfgbar \r\nsind. \r\n<P><b>brochure.icon</b><BR>Die URL zum Icon des Prospekts. \r\n<P><b>brochure.url</b><BR>Die URL um dieses Prospekt zu downloaden. \r\n<P><b>brochure.label</b><BR>Die bersetzte Bezeichnung fr diese URL. \r\n<P><b>warranty.icon</b><BR>Die URL zum Icon der Garantie. \r\n<P><b>warranty.url</b><BR>Die URL um die Garantie zu downloaden. \r\n<P><b>warranty.label</b><BR>Die Bezeichnung fr diese URL. \r\n<P><b>image1</b><BR>Die URL zur Produktgrafik 1. \r\n<P><b>thumbnail1</b><BR>Die URL zum Vorschaubild der Produktgrafik 1. \r\n<P><b>image2</b><BR>Die URL zur Produktgrafik 2. \r\n<P><b>thumbnail2</b><BR>Die URL zum Vorschaubild der Produktgrafik 2. \r\n<P><b>image3</b><BR>Die URL zur Produktgrafik 3. \r\n<P><b>thumbnail3</b><BR>Die URL zum Vorschaubild der Produktgrafik 3. \r\n!\n <P><b>addfeature.url</b><BR>Die URL um eine Produkteigenschaft (Feature) hinzuzufgen. \r\n<P><b>addfeature.label</b><BR>Die bersetzte Bezeichnung fr diese URL. \r\n<P><b>feature_loop</b><BR>Diese Schleife enthlt alle Produkteigenschaften, \r\ndie zu diesem Produkt gehren. \r\n<BLOCKQUOTE><b>feature.controls</b><BR> WebGUI Verwaltungselemente fr diese \r\n    Eigenschaft. \r\n<P><b>feature.feature</b><BR>Der Text der Produkteigenschaft. \r\n<P></P></BLOCKQUOTE>\r\n<P><b>addbenefit.url</b><BR>Die URL um Vorteile hinzuzufgen. \r\n<P><b>addbenefit.label</b><BR>Die bersetzte Bezeichnung &nbsp;fr diese URL. \r\n<P><b>benefit_loop</b><BR>Diese Schleife enthlt alle Vorteile dieses Produktes. \r\n<BLOCKQUOTE><b>benefit.benefit</b><BR>Der Vorteil selbst (Text des Vorteils). \r\n<P><b>benefit.controls</b><BR>WebGUI Verwaltungselemente fr diesen Vorteil. \r\n<P></P></BLOCKQUOTE>\r\n<P><b>addspecification.url</b><BR>Die URL um Merkmale hinzuzufgen. \r\n<P><b>addspecification!\n .label</b><BR>Die bersetzte Bezeichnung fr diese URL. \r\n<P><b>spec\nification_loop</b><BR>Eine Liste von Merkmalen zu diesem Produkt. \r\n<BLOCKQUOTE><b>specification.controls</b><BR>WebGUI Verwaltungselemente fr \r\n    dieses Merkmal. \r\n<P><b>specification.specification</b><BR>Der Text des Merkmals selbst. \r\n<P><b>specification.units</b><BR>Die Einheiten fr dieses Merkmal, z.B. Zentimeter \r\n<P><b>specification.label</b><BR>Die Bezeichnung fr dieses Merkmal, z. B. Hhe \r\n<P></P></BLOCKQUOTE>\r\n<P><b>addaccessory.url</b><BR>Die URL zum Hinzufgen von Zubehr. \r\n<P><b>addaccessory.label</b><BR>Die bersetzte Bezeichnung &nbsp;fr diese URL. \r\n\r\n<P><b>accessory_loop</b><BR>Diese Schleife enthlt all das&nbsp;zu diesem Produkt \r\nverbundene Zubehr. \r\n<BLOCKQUOTE><b>accessory.url</b><BR>Die URL zum verbundenen Zubehr. \r\n<P><b>accessory.title</b><BR>Der Titel des verbundenen Zubehrs. \r\n<P><b>accessory.controls</b><BR>WebGUI Verwaltungselemente fr dieses Zubehr. \r\n<P></P></BLOCKQUOTE>\r\n<P><b>addRelatedProduct.url<!\n /b><BR>Die URL um ein verwandtes Produkt hinzuzufgen. \r\n<P><b>addRelatedProduct.label</b><BR>Die bersetzte Bezeichnung &nbsp;fr diese \r\nURL. \r\n<P><b>relatedproduct.url</b><BR>Die URL zu diesem verwandten Produkt. \r\n<P><b>relatedproduct.title</b><BR>Der Titel des verwandten Produkts. \r\n<P><b>relatedproduct.controls</b><BR>WebGUI Verwaltungselemente fr dieses verwandte \r\nProdukt.</P>',1041627712);
INSERT INTO international VALUES (47,'Product',2,'Verwandte Produkte sind Produkte, die vergleichbar zu anderen Produkten sind.<br><br>\r\n<b>Verwandte Produkte</b><br>\r\nWählen Sie aus der Liste ein Produkt aus, das Sie bereits eingegeben haben.<br><br>\r\n<b>Weiteres verwandtes Produkt hinzufügen?</b><br><br>\r\nMöchten Sie ein weiteres Produkt hinzufügen?\r\n',1042383649);
INSERT INTO international VALUES (43,'Product',2,'Merkmale beschreiben die technischen Details Ihres Produks<br><br>\r\n<b>Bezeichnung</b><br>\r\nDer Typ des Merkmals. Zum Beispiel Hhe, Breite, Gewicht, Farbe. Sie knnen Merkmale, die Sie bereits fr andere Produkte definiert haben, bernehmen.<br><br>\r\n<b>Merkmal</b><br>\r\nDer aktuelle Wert des Merkmals. Wenn Sie z. B. als Bezeichnung \"Farbe\" gewhlt haben, knnen Sie hier als Wert \"blau\", \"rot\" usw. definieren.<br><br>\r\n<b>Einheiten</b><br>\r\nDie Maeinheiten fr dieses Merkmal. Wenn Sie als Beispiel \"Hhe\" fr die Bezeichnung gewhlt haben, knnen Sie hier z. B. \"Zentimeter\" angeben.<br><br>\r\n<b>Weitere Merkmale hinzufgen?</b><br>\r\nHier knnen Sie weitere Merkmale definieren.',1041626097);
INSERT INTO international VALUES (828,'WebGUI',2,'Die meisten Wobjects haben Templates, dies es Ihnen erlauben, das Layout des Wobject-Benutzerinterfaces zu verndern. Diese Wobjects enthalten alle ein Standardset von Template Variabeln, die sie frs Layout benutzen knnen, aber auch ihre eigenen spezifischen Variabeln. Nachfolgend eine Liste der allgemeinen Template Variabeln die alle Wobjects betreffen.<br><br>\r\n<b>title</b><br>\r\nDer Titel fr das Wobject<br><br>\r\n<b>displayTitle</b><br>\r\nEine bedingte Variable, ob der Titel angezeigt werden soll, oder nicht.<br><br>\r\n<b>description</b><br>\r\nDie Beschreibung des Wobjects.<br><br>\r\n<b>wobjectId</b><br>\r\nDie ID, die WebGUI zum Ansteuern dieses Wobjects benutzt.',1048590122);
INSERT INTO international VALUES (826,'WebGUI',2,'WebGUI hat eine mchtige Template Sprache eingebaut um Ihnen die maximale Kontrolle \r\nber Ihr Layout oder Ihren Content zu geben. Nachfolgend eine bersicht ber \r\ndie Sprachsyntax. \r\n<P><b>Beachten Sie:</b> Bite beachten Sie, dass die Wrter <I>foo</I> und <I>bar</I> nur \r\nals Platzhalter fr die aktuelle Variable genutzt werden. Sie sind keine Teil \r\nder Template Sprache. \r\n<P><b>Variabeln</b><BR>Variabeln sind der Grundstock von Template Befehlen. \r\nSie werden eingesetzt zum Positionieren von Contentbereichen. \r\n<P><I>Syntax:</I> &lt;tmpl_var foo&gt; oder &lt;tmpl_var name=&quot;foo&quot;&gt; \r\n<P><I>Beispiel:</I> &lt;tmpl_var name&gt; \r\n<P><b>Bedingungsvariaben</b><BR>Fr Programmierer sind Bedinungen (Bedingungsvariabeln) \r\nnichts neues, aber bei Designern knnen sie schon anfangs fr Verwirrung sorgen. \r\nBedinungen sind ganz einfach nur !\n &quot;wahr&quot; oder &quot;falsch&quot; Fragen, \r\nund wenn Sie sich das so vorstellen, drften Sie keine Probleme damit haben.. \r\n<P><I>Syntax:</I> &lt;tmpl_if foo&gt; &lt;tmpl_else&gt; &lt;/tmpl_if&gt; \r\n<BR><I>Syntax:</I> &lt;tmpl_unless foo&gt; &lt;tmpl_else&gt; \r\n&lt;/tmpl_unless&gt; \r\n<P><I>Beispiel:</I> &lt;tmpl_if isTrue&gt; Es ist wahr!&lt;tmpl_else&gt; Es \r\nist falsch! &lt;/tmpl_if&gt; \r\n<P><b>Schleifen (Loops)</b><BR>Loops wiederholen sich ber eine Liste von Datenausgaben \r\nfr jeden Durchlauf des Loops. Loops sind etwas komplizierter als das ausschliessliche \r\nBenutzen von Variabeln, aber sie sind um einiges mchtiger. \r\n<P><I>Syntax:</I> &lt;tmpl_loop foo&gt; &lt;/tmpl_loop&gt; \r\n<P><I>Beispiel:</I> <BR>&lt;tmpl_loop users&gt; <BR>&nbsp; Name: &lt;tmpl_var \r\nfirst_name&gt;&lt;br/&gt;<BR>&lt;/tmpl_loop&gt; \r\n<P><b>Schleifenbedingungen (Loop Conditions)</b><BR>Loops haben eigene Spezial \r\nSchleifenvariabeln. Als da wren __FIRST__, __!\n ODD__, __INNER__, und __LAST__. \r\n<P><I>Beispiele:</I><BR><PRE>   &l\nt;TMPL_LOOP FOO&gt;\r\n      &lt;TMPL_IF __FIRST__&gt;\r\n       Dies ist nur der erste Durchlauf.\r\n      &lt;/TMPL_IF&gt;\r\n\r\n      &lt;TMPL_IF __ODD__&gt;\r\n        Dieses Ergebnis erscheint bei jedem Durchlauf mit ungerader Zahl.\r\n      &lt;/TMPL_IF&gt;\r\n\r\n      &lt;TMPL_UNLESS __ODD__&gt;\r\n        Dieses Ergebnis erscheint bei jedem Durchlauf mit gerader Zahl.\r\n      &lt;/TMPL_UNLESS&gt;\r\n\r\n      &lt;TMPL_IF __INNER__&gt;\r\n        Dieses Ergebnis erscheint wenn der Durchlauf weder der erste noch  der letzte ist.\r\n      &lt;/TMPL_IF&gt;\r\n\r\n      &lt;TMPL_IF __LAST__&gt;\r\n        Dieses Ergebnis erscheint erst beim letzten Druchlauf.\r\n      &lt;TMPL_IF&gt;\r\n   &lt;/TMPL_LOOP&gt;\r\n</PRE>\r\n<P><b>Beachten Sie: </b>Sowohl die Template Sprache als auch die Template Variabeln \r\nsind case-insensitive, das heisst weder Gross- noch Kleinschreibung wird bercksichtigt.</P>',1041622881);
INSERT INTO international VALUES (95,'EventsCalendar',2,'<p>Die nachfolgenden Templatevariabeln sind verfgbar, um Ihren Veranstaltungskalender \r\nanzupassen. \r\n</p>\r\n<P><b>addevent.url</b><BR>Die URL, um ein Ereignis zum Kalender hinzuzufgen. \r\n<P><b>addevent.label</b><BR>Der bersetzte Text zum Hinzufgen eines Ereignisses \r\n(z. B. \'Neue Veranstaltung hinzufgen\'). \r\n<P><b>calendar.big</b><BR>Eine komplette&nbsp;Kalenderansicht. Wochentage werden \r\nkomplett ausgeschrieben (Montag, Dienstag, ...). \r\n<P><b>calendar.small</b><BR>Eine kleinere Kalenderansicht mit abgekrzten Wochentagen \r\n(z. B. M, D, M, D ...). \r\n<P><b>calendar.firstPage</b><BR>Ein Link zur ersten Seite im Kalender. \r\n<P><b>calendar.lastPage</b><BR>Ein Link zur letzten Seite im Kalender. \r\n<P><b>calendar.nextPage</b><BR>Ein Link zur nchsten Seite im Kalender. \r\n<P><b>calendar.previousPage</b><BR>Ein Link zur vorherigen Sei!\n te im Kalender. \r\n<P><b>calendar.pageList</b><BR>Eine Liste aller Seiten des Kalenders (z. b. \r\nSeite 1, 2, 3, ....). \r\n<P><b>calendar.multiplePages</b><BR>Eine bedingte Variable, die anzeigt, ob \r\nes mehr als eine Seite im Kalender gibt.. \r\n<P><b>list_loop</b><BR>Eine Schleife (Loop), die die Listenansicht eines Kalenders \r\numschliesst. \r\n<BLOCKQUOTE><b>list.date</b><BR>Das Datum dieses Ereignisses. \r\n<P><b>list.title</b><BR>Der Titel dieses Ereignisses. \r\n<P><b>list.description</b><BR>Die Beschreibung dieses Ereignisses. \r\n<P><b>list.sameAsPrevious</b><BR>Eine Bedingungs-Variable, falls dieses Ereigniss \r\n    das selbe Datum wie ein anderes/das letzte&nbsp;Ereignis hat. \r\n<P><b>list.url</b><BR>Die URL zur Komplettansicht dieses Ereignisses. \r\n<P><b>list.controls</b><BR>Die WebGUI Verwaltungscontrols fr dieses Ereigniss \r\n    (z. B. Ereingiss bearbeiten). \r\n<P></P></BLOCKQUOTE>\r\n<P><b>list.firstPage</b><BR>Ein Link zur ersten Seite des Kale!\n nders (in der \r\nListenansicht). \r\n<P><b>list.lastPage</b><BR>Ein L\nink zur letzten Seite des Kalenders (in der \r\nListenansicht). \r\n<P><b>list.nextPage</b><BR> Ein Link zur nchsten Seite des Kalenders (in der \r\nListenansicht). \r\n<P><b>list.previousPage</b><BR> Ein Link zur vorherigen Seite des Kalenders \r\n(in der Listenansicht). \r\n<P><b>list.pageList</b><BR> Ein Link zu allen Seiten des Kalenders (in der Listenansicht). \r\n<P><b>list.multiplePages</b><BR>Eine Bedingungs-Variable, falls es mehr als \r\neine Seite im Kalender gibt. </P>',1041622576);
INSERT INTO international VALUES (50,'Product',2,'Vorzge oder Vorteile sind das Ergebnis der Eigenschaften Ihres Produktes. Sie sind es, warum gerade dieses Produkt so gut ist. Wenn Sie Vorzge hinzufgen, mssen Sie auch einige Features (Eigenschaften) hinzufgen.\r\n<br><br>\r\n<b>Vorzge</b><br>\r\nSie knnen entweder einen neuen Vorzug eingeben, oder einen auswhlen, den sie bereits eingegeben haben.\r\n<br><br>\r\n<b>Neuen Vorzug hinzufgen?</b><br>\r\nHier knnen Sie weitere Vorzge bzw. Vorteile Ihres Produktes hinzufgen.',1041622511);
INSERT INTO international VALUES (71,'SyndicatedContent',2,'Syndicated Content. Hierbei werden Seiten in Art eines \r\nRinges (Syndicate) zusammengeschlossen, indem Sie einen zentralen Inhalt \r\n(Content) zustzlich zu den eigenen Informationen anbieten. Dies knnen \r\nbeispielsweise tgliche Nachrichten einer Branche oder eines Themas sein. Diese \r\nTechnologie wird oft genutzt, um Schlagzeilen/Nachrichten von verschiedenen \r\nSeiten anzuzeigen, wie <a href=\"http://www.heise.de\">www.heise.de</a> oder <a href=\"http://www.golem.de.\">www.golem.de.</a> \r\nEs kann natrlich auch fr andere Dinge genutzt werden, wie z. B. Sportnachrichten, \r\nAktienkurse, etc.<BR><BR><b>URL zur RSS \r\nDatei</b><BR>Geben Sie die genaue  URL (beginnend mit http://) zu der angebotenen \r\nRDF oder RSS Datei an. Der Syndicated Content wird stndlich (sofern runHourly.pl \r\nals Cron- oder AT-Job luft) von dieser URL gedownloadet.\r\n <BR><BR>Hier einige \r\nBeispiele, wo Sie RSS oder RDF Dateien bzw. Anbieter finden knnen: \r\n<P></P>\r\n<UL>\r\n<LI><a href=\"http://www.heise.de/newsticker/heise.rdf\">http://www.heise.de/newsticker/heise.rdf</a>\r\n    <li><a href=\"http://www.golem.de/golem_backend.rdf\">http://www.golem.de/golem_backend.rdf</a></li>\r\n    <li><A href=\"http://www.newsisfree.com/\">http://www.newsisfree.com</A> \r\n    </li>\r\n<LI><A href=\"http://www.syndic8.com/\">http://www.syndic8.com</A> \r\n<LI><A \r\nhref=\"http://www.voidstar.com/node.php?id=144\">http://www.voidstar.com/node.php?id=144</A> \r\n\r\n<LI><A href=\"http://my.userland.com/\">http://my.userland.com</A> \r\n<LI><A \r\nhref=\"http://www.webreference.com/services/news/\">http://www.webreference.com/services/news/</A> \r\n\r\n<LI><A href=\"http://www.xmltree.com/\">http://www.xmltree.com</A> \r\n<LI><A href=\"http://w.moreover.com/\">http://w.moreover.com/</A> </LI></UL>\r\n<P><b>Template</b><BR>Whlen Sie ein Template fr dieses Content aus. </P>',1048588796);
INSERT INTO international VALUES (61,'SyndicatedContent',2,'Syndicated Content, hinzufgen/bearbeiten',1048242800);
INSERT INTO international VALUES (625,'WebGUI',2,'Laden Sie einige Bilder hoch, die Sie in mehreren Bereichen der Seite benutzen \r\nmöchten. \r\n<P><b>Name</b><BR>Die Bezeichnung, mit der Sie dieses Bild referenzieren, um \r\nes in anderen Seiten einzufügen. \r\n<P><b>In welches Verzeichnis?</b><BR>In welches Verzeichnis möchten Sie diese \r\nGrafik platzieren?<P><b>Datei</b><BR>Wählen Sie eine Grafik aus Ihrem lokalen \r\nVerzeichnis, die Sie zum Server hochladen möchten. \r\n<P><b>Parameter</b><BR>Geben Sie hier einige  HTML &lt;img Tag Parameter an, \r\ndie Sie standardmässig für diese Grafik benutzen möchten. \r\n<P><I>Beispiel:</I><BR>align=&quot;right&quot;<BR>alt=&quot;Dies ist ein Bild&quot;<BR>\r\n<P><b>Thumbnail Size</b><BR>Wie gross  (in Pixels) soll das Vorschaubild (Thumbnail) \r\nsein?</P>',1042585804);
INSERT INTO international VALUES (609,'WebGUI',2,'Wenn Sie einen Style lschen, werden alle Seiten, die diesen verwenden, auf \r\nden Standard-Style (Fail Safe)&nbsp;umgestellt. Um eine strungsfreie Ansicht \r\nzu gewhrleisten, sollten Sie sich sicher sein, dass keine Seite mehr diesen \r\nStyle benutzt, bevor Sie ihn lschen.<P>Wie es in der Regel bei Lschvorgngen so blich ist, werden Sie vorher gefragt, \r\nob Sie sich sicher sind, dass Sie diesen Style lschen mchten. Wenn Sie nun \r\nmit &quot;Ja&quot; antworten, wird der Style  endltig gelscht. Wenn Sie mit &quot;nein&quot; antworten, \r\n gelangen Sie wieder zur vorhergehenden Seite</P>',1041616041);
INSERT INTO international VALUES (608,'WebGUI',2,'Eine Seite zu lschen knnte ein grosses Durcheinander verursachen, wenn Sie \r\nsich nicht sicher sind, was Sie tun. Wenn Sie eine Seite lschen, lschen Sie \r\nauch den kompletten Inhalt dieser Seite, sowie alle Unterseiten, die zu dieser \r\nSeite verbunden sind an auch deren Inhalt. Versichern Sie sich, dass Sie allen \r\nInhalt, den Sie noch bentigen, verschoben haben, bevor Sie zu Lschen beginnen. \r\n<P>Wie es in der Regel bei Lschvorgngen so blich ist, werden Sie vorher gefragt, \r\nob Sie sich sicher sind, dass Sie diese Seite lschen mchten. Wenn Sie nun \r\nmit &quot;Ja&quot; antworten, wird die Seite endltig gelscht. Wenn Sie mit \"nein\" antworten gelangen Sie wieder zur vorhergehenden Seite</P>',1041615928);
INSERT INTO international VALUES (578,'WebGUI',2,'Sie haben einen ausstehenden Beitrag zu genehmigen.',1041614885);
INSERT INTO international VALUES (571,'WebGUI',2,'Thread freigeben.',1041614729);
INSERT INTO international VALUES (555,'WebGUI',2,'Karma dieses Benutzers bearbeiten.',1041614705);
INSERT INTO international VALUES (524,'Discussion',2,'Bearbeitungszeitpunkt zu Beitrgen hinzufgen?',1041614685);
INSERT INTO international VALUES (73,'SiteMap',2,'Nachfolgend die Liste der Template Variablen fr die Sitemap Templates. \r\n<P><b>page_loop</b><BR>Diese Schleife umfasst all Ihre Seiten der Sitemap. \r\n<BLOCKQUOTE><b>page.indent</b><BR>Abstand, wie weit diese Seite im Verzeichnisbaum \r\n    eingerckt werden soll. \r\n<P><b>page.url</b><BR>Die URL zur Seite. \r\n<P><b>page.id</b><BR>Die ID fr diese Seite, die WebGUI intern benutzt. \r\n<P><b>page.title</b><BR>Der Seitentitel. \r\n<P><b>page.menutitle</b><BR>Der Titel, wie die Seite in der Navigation erscheinen \r\n    soll. \r\n<P><b>page.synopsis</b><BR>Die Beschreibung des Inhalts (Synopsis)&nbsp;fr \r\n    diese Seite (sofern vorhanden).. \r\n<P><b>page.isRoot</b><BR>Eine Variable, ob diese Seite root-Seite ist, oder \r\n    nicht.</P>\r\n    <p><b>page.isTop</b><BR>Eine Bedingung, ob diese Seite auf der oberen Ebene \r\n    der Navigationsstruktur ist oder nicht</p>\r\n</blockquote>',1048243530);
INSERT INTO international VALUES (4,'Survey',2,'Umfragen erlauben Ihnen, vielfltige Informationen von Ihren Besuchern zu erhalten. Bei den  WebGUI \r\nUmfragen knnen Sie sogar das Wissen der Benutzer testen, indem Sie ein Quiz einrichten. \r\n<P><b>Reihenfolge der Fragen</b><BR>Die Reihenfolge, in der die Fragen gestellt \r\nwerden. \'Der Reihe nach\' (sequentiell) stellt die Fragen in der Reihenfolge \r\ndar, in der Sie sie erstellt haben. \'Zufllig\' zeigt die Fragen in einer zuflligen \r\nReihenfolge an. Und &quot;Antwort gesteuert&quot; zeigt die nchsten Fragen \r\nabhngig von der Antwort des Benutzers an. \r\n<P><b>Modus</b><BR>Standardmssig ist die Umfrage im &quot;Umfragemodus&quot;. \r\nDamit knnen Sie Ihren Benutzern Fragen stellen. Aber es gibt auch noch den \r\n&quot;Quizmodus&quot;. Damit knnen Sie z. B. einen Test/Quiz erstellen, um \r\ndas Wissen Ihres Besuchers zu erfahren.  \r\n<P><b>Wer kann!\n  an der Umfrage teilnehmen?</b><BR>Welche Benutzer drfen an der \r\nUmfrage teilnehmen? \r\n\r\n<P><b>Wer kann die Ergebnisliste&nbsp;anschauen?</b><BR>Wer kann die Ergebnisliste \r\nanschauen? \r\n<P><b>Als nchstes?</b><BR>Mchten Sie nun gleich eine neue Frage eingeben?.</P>',1041613868);
INSERT INTO international VALUES (71,'Poll',2,'Abstimmungen knnen verwendet werden, um Meinungen Ihrer Besucher zu verschiedenen \r\nThemen zu erfragen. \r\n<BR><BR><b>Aktiv</b><BR>Wenn dieses Feld ausgewhlt ist, haben die Besucher \r\ndie Mglichkeit abzustimmen. Andernfalls knnen sie sich lediglich das Ergebnis \r\nder Abstimmung anschauen.. \r\n<BR><BR><b>Wer kann abstimmen?</b><BR>Whlen Sie eine Gruppe aus, die an der Abstimmung \r\nteilnehmen bzw. abstimmen kann. \r\n<BR><BR><b>Karma pro Abstimmung</b><BR>Wie viel Karma soll der Benutzer erhalten, \r\nwenn er abstimmt? \r\n<P><b>Breite der Grafik</b><BR>Die Breite der Ergebnisbalken-Grafiken dieser \r\nAbstimmung (gemessen in Pixel). <BR><BR><b>Frage</b><BR>Welche Frage mchten Sie \r\nIhren Besuchern stellen? <BR><BR><b>Antworten</b><BR>Geben Sie hier die mglichen \r\nAntworten zu Ihrer Frage ein. Abstimmungen knnen aber maximal 20 mgliche Antworten \r\n!\n enthalten. <BR><BR><b>Antworten zufllig anordnen?</b><BR>Mchten Sie Benutzer \r\ndurch die Reihenfolge der Antworten nicht beeinflussen, so whlen Sie hier die \r\nzufllige Anordnung der Antworten aus.  \r\n<P><b>Abstimmung zurcksetzen.</b><BR>Setzen Sie hier die Ergebnisse der Abstimmung \r\nzurck. Alle bereits abgegebenen Stimmen werden gelscht. <BR><BR>\r\n<HR SIZE=1>\r\n<I><B>Beachten Sie:</B></I> Die nachfolgenden Style Sheet Werte sind speziell \r\nfr das Abstimmungs-Wobject: <BR><BR><b>.pollAnswer </b><BR>Eine Antwort zu \r\neiner Abstimmung. \r\n<P><b>.pollColor <br></b>Die Farbe der prozentualen Anzeige (also der Balkengrafik). \r\n<P><b>.pollQuestion<br> </b>Die Frage der Abstimmung. </P>',1041613075);
INSERT INTO international VALUES (45,'Product',2,'Zubehr sind Produkte, die andere Produkte erweitern<br><br>\r\n<b>Zubehr</b><br>\r\nWhlen Sie aus einer Liste von Produkten aus, die Sie bereits eingegeben haben.\r\n<br><br>\r\n<b>Weiteres Zubehr hinzufgen?</b><br>\r\nMchten Sie weitere Zubehrprodukte hinzufgen?',1041612724);
INSERT INTO international VALUES (41,'Product',2,'Eigenschaften(Features) sind Verkaufkriterien fr ein Produkt, vielleicht auch Grnde dafr, genau dieses Produkt zu kaufen.\r\n<br><br>\r\n<b>Eigenschaft</b><br>\r\nSie knnen eine neue Eigenschaft angeben oder die Eigenschaft eines anderen Produktes bernehmen.\r\n<br><br>\r\n<b>Eine weitere Eigenschaft eingeben?</b><br>\r\nMchten Sie weitere Eigenschaften definieren?',1041612440);
INSERT INTO international VALUES (39,'Product',2,'WebGUI enthlt eine Produktverwaltung, mit dem Sie Produkte und Services schnell \r\nund einfach zu Ihrer Seite hinzufgen knnen. \r\n<P><b>Template</b><BR>Whlen Sie ein Layout fr dieses Produkt. \r\n<P><b>Preis</b><BR>Hier knnen Sie einen Preis fr dieses Produkt eingeben. \r\nSie knnen aber auch einen&nbsp;Text angeben, wie &quot;Rufen Sie uns an, wenn \r\nSie den Preis erfahren mchten&quot; oder lassen Sie dieses Feld einfach leer. \r\n<P><b>Produkt Nummer</b><BR>Die Produkt Nummber, SKU, ISBN oder hnliches fr \r\ndieses Produkt. \r\n<P><b>Produkt Grafik 1</b><BR>Eine Grafik fr dieses  Produkt. \r\n<P><b>Produkt Grafik 2</b><BR>Eine weitere Grafik fr dieses Produkt. \r\n<P><b>Produkt Grafik 3</b><BR>Eine dritte Grafik fr dieses Produkt. \r\n<P><b>Prospekt/Broschre</b><BR>Ein Prospekt oder eine Broschre fr dieses Produkt. \r\n<P><b>Handbuch</b><BR>Das !\n Produkt-, Benutzer oder Servicehandbuch  fr dieses \r\nProdukt. \r\n<P><b>Garantie</b><BR>Die Garantie fr dieses Produkt. </P>',1041612070);
INSERT INTO international VALUES (74,'MessageBoard',2,'Nachfolgend eine Liste von Template Variablen fr Diskussionsforen-Templates. \r\n<P><b>canPost</b><BR>Eine Bedingungs-Variable, ob der Benutzer die Berechtigung \r\nhat, einen neuen Beitrag zu schreiben. \r\n<P><b>post.url</b><BR>Die  URL zum Schreiben neuer Beitrge. \r\n<P><b>post.label</b><BR>Die bersetzte Bezeichnung fr diese  URL. \r\n<P><b>search.url</b><BR>Die URL zum Durchsuchen des Forums. \r\n<P><b>search.label</b><BR>Die bersetzte Bezeichnung fr die Such-URL. \r\n<P><b>subject.label</b><BR>Die bersetzte Bezeichnung fr die Betreffspalte. \r\n<P><b>user.label</b><BR>Die bersetzte Bezeichnung fr die Benutzerspalte. \r\n<P><b>date.label</b><BR>Die bersetzte Bezeichnung fr die Datums-Spalte. \r\n<P><b>views.label</b><BR>Die bersetzte Bezeichnung fr die Ansichten-Spalte. \r\n<P><b>replies.label</b><BR>Die bersetzte Bezeichnung fr die Antworten!\n -Spalte. \r\n<P><b>last.label</b><BR>Die bersetzte Bezeichnung fr die &quot;letzte Antwort&quot;-Spalte. \r\n<P><b>message_loop</b><BR>eine Schleife die jede Nachricht enthlt. \r\n<BLOCKQUOTE><b>last.url</b><BR>Die URL zur letzten Antwort dieses Beitrages. \r\n<P><b>last.subject</b><BR>Der Betreff der letzten Antwort zu diesem Beitrag. \r\n<P><b>last.username</b><BR>Der Benutzername, der diese Antwort verfasst hat. \r\n<P><b>last.userProfile</b><BR>Die URL zum Profil dieses Benutzers. \r\n<P><b>last.date</b><BR>Das Datum, an dem die letzte Antwort zu diesem Beitrag \r\n    geschrieben wurde. \r\n<P><b>message.subject</b><BR>Der Betreff des Beitrages. \r\n<P><b>message.date</b><BR>Das Datum, an dem dieser Beitrag geschrieben wurde. \r\n<P><b>message.user</b><BR>Der Benutzer, der diesen Beitrag verfasst hat. \r\n<P><b>message.views</b><BR>Wie oft wurde dieser Beitrag angeschaut. \r\n<P><b>message.replies</b><BR>Die Anzahl der Antworten zu diesem Thread/Thema/Beitrag. \r\n<!\n P><b>message.url</b><BR>Die URL, um diesen Beitrag anzuschauen. \r\n<P\n><b>message.currentUser</b><BR>Eine Bedingungsvariable, ob der aktuelle Benutzer \r\n    auch der Benutzer ist, der diesen Beitrag verffentlicht hat. \r\n<P><b>message.status</b><BR>Der Status dieses Beitrages (ausstehend, freigegeben, \r\nabgelehnt). \r\n<P></P></BLOCKQUOTE>\r\n<P><b>firstPage</b><BR>Ein Link zur ersten Seite. \r\n<P><b>lastPage</b><BR>Ein Link zur letzten Seite. \r\n<P><b>nextPage</b><BR>Ein Link zur nchsten Seite. \r\n<P><b>previousPage</b><BR>Ein Link zur vorherigen Seite. \r\n<P><b>pageList</b><BR>Eine Liste der Links zu allen Seiten. \r\n<P><b>multiplePages</b><BR>Eine Bedingungsvariable, ob es mehr als eine Seite \r\ngibt.</P>',1041610808);
INSERT INTO international VALUES (71,'MessageBoard',2,'Diskussionsforen, auch genannt Foren, Diskussionen oder Messageboards, sind \r\neine sehr gute Mglichkeit der Interaktion mit Ihren Besuchern. Diese knnen \r\nber von Themen diskutieren, die Sie z. B. vorgeben oder auch beliebig ber \r\nalles Mgliche reden. Einige Firmen benutzen diese Foren z. B. auch in internen \r\nProjekten. <BR><BR><b>Beitrge pro Seite</b><BR>Wenn ein Besucher zum ersten \r\nMal ein Forum aufruft, sieht er in der Regel eine Liste mit allen Themen (auch \r\nThreads genannt), ber die gerade diskutiert wird. So gibt es oft Foren mit \r\nhunderten von Beitrgen. Hier knnen Sie daher einstellen, wie viel Threads \r\npro Seite angezeigt werden sollen.  \r\n<P><b>Haupt Template</b><BR>Whlen Sie ein Layout fr die Hauptbersicht des \r\nForums aus. \r\n<p><b>Beitrge filtern</b><br>Whlen Sie aus, inwieweit Sie den Inhalt der Beitrge \r\nfiltern mchten. &nbsp;</p>\r\n<P><b>Wer kann Beitrge schreiben?</b><BR>Whlen Sie die Gruppe aus, die Beitrge zu dies!\r\n er Diskussion verfassen kann.<P> <b>Timeout \r\nzum Bearbeiten</b><BR>Wie lange hat der Benutzer die Mglichkeit, seinen verfassten Beitrag zu \r\nbearbeiten, bevor diese Bearbeitungsmglichkeit gesperrt wird? \r\n<P><I>Beachten Sie:</I> Setzen Sie das Limit nicht zu hoch!. Das schnste an \r\nDiskussionen ist doch, dass diese einen genauen Verlauf darstellen, wer was wann \r\ngesagt hat. Wenn Sie das Bearbeiten zu lange ermglichen, kann jeder Benutzer \r\nseine Meinung beliebig oft korrigieren oder abndern ...  \r\n</P><P><b>Karma pro Beitrag</b><BR>Wie viel Karma erhlt ein Benutzer, wenn er Beitrge zu dieser Diskussion \r\nverfasst?<P><b>Wer kann moderieren?</b><BR>Whlen Sie die Gruppe aus, die die Berechtigung hat, diese Diskussion zu \r\nmoderieren. <P><b>Moderationsart?</b><BR>Sie knnen hier auswhlen, welche Moderationsart \r\nSie bevorzugen. \r\n<UL>\r\n<LI>\'Sofort\'<I> </I>bedeutet, dass der Beitrag sofort verffentlicht wird, \r\nnachdem der Benutzer ihn ver!\r\n fasst hat. \r\n<LI>\'Freigeben\' bedeutet, dass der Moderator den Beit\r\nrag zuerst anschauen und \r\nfreigeben muss, bevor er fr alle sichtbar wird.</LI></UL><P>Benachrichtigungen ber den Eingang neuer Beitrge/Kommentare erscheinen \r\nsofort im Posteingang des Moderators. </P>\r\n<P><I>Beachten Sie:</I> Bei beiden Moderationsarten hat der Moderator immer das \r\nRecht, die Beitrge Ihrer Besucher/Benutzer zu bearbeiten oder sogar zu \r\nlschen.</P>\r\n\r\n<b>Zeitstempel zu Beitrgen hinzufgen?</b><BR>Mchten Sie, dass ein Zeitstempel \r\n(Datum, Uhrzeit) zum Beitrag hinzugefgt wird, damit man erkennen kann, wann \r\n&nbsp;ein Beitrag verfasst wann und von wem bearbeitet wurde?',1048243403);
INSERT INTO international VALUES (71,'Article',2,'Artikel sind das &quot;Schweizer Messer&quot; von WebGUI. Der grsste Teil von \r\nstatischem Inhalt kann mit Hilfe des Artikels hinzugefgt werden. <BR><BR><b>Template</b><BR>Whlen \r\nSie ein Template fr Ihren Artikel aus. \r\n<P><b>Grafik</b><BR>Whlen Sie eine Grafik (.jpg, .gif, .png) von Ihrem lokalen \r\nLaufwerk aus. Diese Datei wird zum Server hochgeladen und erscheint in Ihrem \r\nArtikel. \r\n<BR><BR><b>Dateianhang</b><BR>Mchten Sie z. B. ein Word-Dokument, ein Zip-File oder irgendeine andere Datei \r\nzum Download anbieten, so knnen Sie diese von Ihrem lokalen Laufwerk auswhlen \r\nund hochladen. <BR><BR><b>Link Titel</b><BR>Mchten Sie einen Link zu Ihrem \r\nArtikel hinzufgen, so geben Sie hier den Link-Titel ein. <BR><BR><I>Beispiel:</I> \r\nPlainblack <BR><BR><b>Link URL</b><BR>Wenn Sie zuvor einen Link Titel eingeben \r\nhaben, so geben Sie hier!\r\n  die URL ein. <BR><BR><I>Beispiel:</I> http://www.plainblack.com \r\n<BR><BR><b>Carriage Return beachten?</b><BR>Wenn Sie HTML-Code eingeben, so \r\nbrauchen Sie diese Option nicht zu aktivieren. Aber wenn Sie keinen HTML-Code, \r\nsondern einfachen Text eingeben, und Sie mchten, dass auch ein &quot;Carriage \r\nReturn&quot;, also ein Zeilenumbruch, eingefgt wird, so aktivieren Sie diese \r\nOption. \r\nAndernfalls werden die Zeilenumbrche, die Sie hier eingeben, nicht bercksichtigt.<P><b>Diskussion \r\nerlauben?</b><BR>Whlen Sie diese Option, wenn Sie Kommentare der Besucher oder \r\nBenutzer zu diesem Artikel erlauben mchten, so wie es z. B. auf <a href=\"http://www.slashdot.org\">http://www.slashdot.org</a> \r\nmglich ist. \r\n<P><b>Wer kann Beitrge schreiben?</b><BR>Whlen Sie die Gruppe aus, die Beitrge \r\nzu dieser Diskussion verfassen kann. \r\n<P><b>Timeout zum Bearbeiten</b><BR>Wie lange hat der Benutzer die Mglichkeit, \r\nseinen verfassten Beitrag zu b!\r\n earbeiten, bevor diese Bearbeitungsmglichkeit \r\ngesperrt wird? \r\n\r\n<P><I>Beachten Sie:</I> Setzen Sie das Limit nicht zu hoch!. Das schnste an \r\nDiskussionen ist doch, dass diese einen genauen Verlauf darstellen, wer was \r\nwann gesagt hat. Wenn Sie das Bearbeiten zu lange ermglichen, kann jeder Benutzer \r\nseine Meinung beliebig oft korrigieren oder abndern ... \r\n<P><b>Karma pro Beitrag</b><BR>Wie viel Karma erhlt ein Benutzer, wenn er Beitrge \r\nzu dieser Diskussion verfasst? \r\n<P><b>Wer kann moderieren?</b><BR>Whlen Sie die Gruppe aus, die die Berechtigung \r\nhat, diese Diskussion zu moderieren. \r\n<P><b>Moderationsart?</b><BR>Sie knnen hier auswhlen, welche Moderationsart \r\nSie bevorzugen. \r\n<ul>\r\n    <li>\'Sofort\'<I> </I>bedeutet, dass der Beitrag sofort verffentlicht wird, \r\n    nachdem der Benutzer ihn verfasst hat. </li>\r\n    <li>\'Freigeben\' bedeutet, dass der Moderator den Beitrag zuerst anschauen \r\n    und freigeben muss, bevor er fr alle sichtbar wird.</li>\r\n</ul>\r\n<p>Benachrichtigungen ber den Eingang neuer Beitrge/Kommentare erscheinen sofort im Posteingang des Moderators.</p>\r\n<P><I>Beachten Sie:</I> Bei beiden Moderationsarten hat der Moderator immer \r\ndas Recht, die Beitrge Ihrer Besucher/Benutzer zu bearbeiten oder sogar zu \r\nlschen.</P>\r\n<BR><BR><b>Bearbeitungszeitpunkt zum Beitrag hinzufgen?</b><BR>Hiermit ermglichen Sie, dass zu jedem Beitrag das Datum, wann der Beitrag verfasst bzw. bearbeitet wurde, hinzugefgt wird',1048242641);
INSERT INTO international VALUES (71,'MailForm',2,'Dieses Wobject erstellt ein einfaches Formular, um eine Email zu versenden, \r\nz. B. Kontaktformular. <BR><BR><b>Breite</b><BR>Die Breite fr alle Felder dieses \r\nFormulars. Der Standardwert ist 45. \r\n<P><b>Von, An, Cc (Kopie), Bcc (Blindkopie), Betreff</b><BR>Diese Felder steuern, \r\nwie die Email aussieht, wenn Sie gesendet wird und an wen sie gesendet wird. \r\nSie knnen Ihren Besuchern die Mglichkeit geben, einige oder alle dieser Felder \r\nzu bearbeiten bzw. dort Eingaben zu ttigen. Aber blicherweise sind die einzigen \r\nFelder, in denen der Besucher Eingaben machen kann, das Feld &quot;Von&quot;, \r\nder Betreff und natrlich der Text selber. Benutzen Sie die Drop-Down Optionen \r\nin jedem Feld um einzustellen, ob der Besucher Eingaben ttigen kann (Vernderbar) \r\noder nicht (Angezeigt) oder ob das Feld versteckt (Hidden) sein soll.<BR><BR>Sie \r!\n \nknnen aber auch genauso einen WebGUI Benutzer oder eine Gruppe im &quot;To&quot; \r\nbzw. &quot;Senden an&quot; eingeben und die Mail wird an den ausgewhlten Benutzer \r\noder an die Gruppe geschickt. Er erhlt die Nachricht dann sowohl als Email \r\nund er findet sie in seinem Posteingang.  \r\n<P><b>Eingangsbesttigung</b><BR>Diese Nachricht wird dem Besucher angezeigt, \r\nsobald er die Nachricht gesendet hat. \r\n<P><b>Eintrge speichern?</b><BR>Wenn Sie &quot;Ja&quot; auswhlen, werden die \r\nEintrge in der Datenbank gespeichert, um sie spter anschauen zu knnen. Das \r\nTool, um die Beitrge spter anzuschauen, ist zur Zeit noch nicht implementiert, \r\naber sobald es fertig gestellt ist, knnen Sie alle Eintrge an einer zentralen \r\nStelle anschauen. \r\n<P><b>Weitere Felder hinzufgen?</b><BR>Mchten Sie Ihrem Formular noch weitere \r\nFelder hinzufgen (z. B. eine Drop-Down Box)?</P>\r\n',1041602518);
INSERT INTO international VALUES (76,'LinkList',2,'Nachfolgend eine Liste von Template Variablen fr Links-Listen Templates. \r\n<P><b>addlink.url</b><BR>Die  URL um einen Link zur Liste hinzuzufgen. \r\n<P><b>addlink.label</b><BR>Der bersetzte Text fr diesen Link. \r\n<P><b>link_loop</b><BR>Diese Schleife (Loop) enthlt alle Informationen ber \r\njeden Link. \r\n<BLOCKQUOTE><b>link.url</b><BR>Die URL fr diesen Link. \r\n<P><b>link.name</b><BR>Der verlinkte Text. \r\n<P><b>link.controls</b><BR>Die WebGUI Verwaltungscontrols fr diesen Link. \r\n<P><b>link.newwindow</b><BR>Eine Variable, um den Link in einem neuen Fenster \r\n    anzeigen zu lassen. \r\n<P><b>link.description</b><BR>Die Beschreibung dieses Links.</BLOCKQUOTE>',1041600987);
INSERT INTO international VALUES (71,'LinkList',2,'Link Listen sind genau das, was der Name sagt: Eine Liste von Links. Viele Seiten haben Linkbereiche - und dieses Wobject kann zum Erstellen und Verwalten dieser Linklisten eingesetzt werden.<br><br>\r\n<b>Template</b><br>\r\nWhlen Sie ein Layout fr die Linkliste aus.<br><br>\r\n<b>Als nchstes?</b><br>\r\nMchten Sie gleich einen neuen Link in die Liste aufnehmen? Oder zuerst zurck zur Seite gehen, um sie sich anzuschauen?',1041600773);
INSERT INTO international VALUES (71,'Item',2,'Wie Artikel sind die Textelemente das &quot;Schweizer Messer&quot; von WebGUI. Der \r\ngrsste Teil von statischem Inhalt kann mit Hilfe des Textelements hinzugefgt \r\nwerden. Zusammengefasst kann man sagen, dass Textelemente benutzt werden knnen, \r\num kleinere Textelemente (aber auch Grafikelemente) einzufgen. <BR><BR><b>Link URL</b><BR>Diese URL wird \r\ndem Titel dieses Elements hinzugefgt. <BR>\r\n<p><I>Beispiel:</I> http://www.plainblack.com \r\n<BR><BR><b>Anhang</b><BR>Mchten Sie z. B. ein Word-Dokument, ein Zip-File oder \r\nirgendeine andere Datei zum Download anbieten, so knnen Sie diese von Ihrem \r\nlokalen Laufwerk auswhlen und hochladen. \r\n</p>\r\n<P><b>Template</b><BR>Whlen Sie ein Layout fr dieses Textelement. </P>\r\n',1041600534);
INSERT INTO international VALUES (73,'FileManager',2,'<b>Dateititel</b><BR>Der Text, der fr diese Datei angezeigt wird. Falls Sie \r\nhier nichts angeben, wird der Dateiname angezeigt. \r\n<P><b>Dateiname</b><BR>Whlen Sie hier eine Datei von Ihrem lokalen Laufwerk, \r\ndie Sie uploaden mchten. \r\n<P><b>Alternative #1</b><BR>Eine alternative Version dieser Datei. Wenn z. B. \r\ndie Datei im  JPEG-Format ist, knnten Sie bei der alternativen Version z. B. \r\nTIFF oder BMP auswhlen. \r\n<P><b>Alternative #2</b><BR>Analog zur Alternative #1. \r\n<P><b>Kurze Beschreibung</b><BR>Eine kurze Beschreibung dieser Datei. Beachten \r\nSie, dass Sie Schlsselwrter benutzen, damit die Benutzer besser nach dieser \r\nDatei suchen knnen. \r\n<P><b>Gruppe, die Download benutzen kann</b><BR>Whlen Sie die Gruppe aus, die \r\ndiese Datei downloaden kann. \r\n<P><b>Als nchstes?</b><BR>Mchten Sie sofort&nbsp;einen neuen Downloa!\n d hinzufgen? \r\nOder mchten Sie zuerst zurck zur Seite gehen?. </P>',1041598859);
INSERT INTO international VALUES (71,'FileManager',2,'Der Download-/Dateimanager wurde entwickelt um Ihnen eine Mglichkeit zu geben, \r\nDateien und Downloads in Ihrer Seite zu verwalten. Er bietet Ihnen die Mglichkeit \r\nzu definieren, wer Dateien anschauen oder gar downloaden kann. \r\n<P><b>Template</b><BR>Whlen Sie ein Layout fr den Downloadmanager (z. B. \'Standard/Default\' \r\noder \'Standard ohne Suchfunktion\'. \r\n<P><b>Eintrge pro Seite</b><BR>Wie viele Dateien sollen pro Seite angezeigt \r\nwerden? \r\n<P><b>Als nchstes?</b><BR>Mchten Sie neue Downloads hinzufgen oder zurck \r\nzur Seite gehen?.</P>',1041598396);
INSERT INTO international VALUES (77,'FAQ',2,'Nachfolgend eine Liste aller Variablen fr FAQ Templates. \r\n<P><b>addquestion.url</b><BR>Die URL um eine Frage zur FAQ hinzuzufgen. \r\n<P><b>addquestion.label</b><BR>Die bersetzte Bezeichnung fr diesen Link. \r\n<P><b>qa_loop</b><BR>Eine Schleife (Loop), die die Variablen fr jede einzelne \r\nFrage der FAQ enthlt. \r\n<BLOCKQUOTE><b>qa.id</b><BR>Die ID fr diese Frage. \r\n<P><b>qa.answer</b><BR>Die Antwort fr diese Frage. \r\n<P><b>qa.question</b><BR>Die Frage selbst. \r\n<P><b>qa.controls</b><BR>Die WebGUI Verwaltungscontrols fr diese Frage (z. \r\n    B. \'Frage bearbeiten\').</BLOCKQUOTE>',1041597921);
INSERT INTO international VALUES (97,'EventsCalendar',2,'Nachfolgend eine Liste von Template Variablen fr Ereignis Templates. \r\n<P><b>title</b><BR>Der Titel des Ereignisses. \r\n<P><b>start.label</b><BR>Die &nbsp;bersetzte Bezeichnung des Startdatums. \r\n<P><b>start.date</b><BR>Das Datum, an dem das Ereignis beginnt. \r\n<P><b>end.date</b><BR>Das Datum, an dem dieses Ereignis endet. \r\n<P><b>end.label</b><BR>Die bersetzte Bezeichung des Ende Datums. \r\n<P><b>canEdit</b><BR>Variable, falls der Benutzer des Ereignis bearbeiten kann. \r\n<P><b>edit.url</b><BR>Die URL zum Bearbeiten dieses Ereignisses. \r\n<P><b>edit.label</b><BR>Die bersetzte Bezeichnung fr diese URL (z. B. \'Termin \r\nbearbeiten\'). \r\n<P><b>delete.url</b><BR>Die URL zum Lschen dieses Ereignisses. \r\n<P><b>delete.label</b><BR>Die bersetzte Bezeichnung fr diese  URL. \r\n<P><b>previous.url</b><BR>Die URL, um sich das vorherige Ereignis a!\n nzeigen zu \r\nlassen. \r\n<P><b>previous.label</b><BR>Die bersetzte Bezeichnung fr diese URL. \r\n<P><b>next.url</b><BR>Die URL, um sich das nchste Ereignis anzeigen zu lassen. \r\n<p><b>next.label</b><BR>Die bersetzte Bezeichnung fr diese URL. \r\n</p>\r\n<P><b>description</b><BR>Die Beschreibung fr dieses Ereignis.</P>',1041597266);
INSERT INTO international VALUES (71,'EventsCalendar',2,'Veranstaltungskalender werden z. B. in vielen Intranets benutzt, um interne Termine zu speichern, die das gesamte Unternehmen betreffen. Aber genauso sind Veranstaltungskalender eine besonders gute Mglichkeit, um Ihre Kunden auf Ihrer Unternehmensseite oder privaten Homepage ber kommende Veranstaltungen oder Werbeevents zu informieren.<br><br>\r\n<b>Haupt Template</b><br>\r\nWhlen Sie ein Layout fr den Veranstaltungskalender.<br><br>\r\n<b>Ereignis Template</b><br>\r\nWhlen Sie ein Layout fr die einzelnen Termine innerhalb des Kalenders aus.<br><br>\r\n<b>Start Monat</b><br>\r\nWhlen Sie hier den Startmonat Ihres Kalenders aus. Wenn Sie \"Aktuell\" auswhlen, beginnt der Kalender immer im aktuellen Monat. Wenn Sie \"Erster im Kalender\" auswhlen, beginnt der Kalender immer in dem Monat, in dem der frheste Termin eingetragen ist.<br><br>\r\n<b>Ende Mona!\n t</b><br>\r\nWhlen Sie hier den Endemonat Ihres Kalenders aus. Wenn Sie \"X Monate vom Beginn an anzeigen\" auswhlen, werden auch nur X Monate rckwirkend angezeigt. \"Aktuell\" und \"Letzter im Kalender\" gelten analog zum zuvor beschriebenen Startmonat.<br><br>\r\n<b>Standard Monat</b><br>\r\nWhlt den Monat fr diesen Kalender aus, der dem Besucher angezeigt wird, wenn er die Seite, die den Kalender enthlt, aufruft.<br><br>\r\n<b>Eintrge pro Seite</b><br>\r\nWenn Sie eine Veranstaltungsliste als Layout ausgewhlt haben (z. B. Events-List), knnen Sie hier angeben, wieviel Termine pro Seite angezeigt werden sollen.<br><br>\r\n<b>Als nchstes?</b><br>\r\nMchten Sie nun nach dem Erstellen des Kalenders gleich ein neues Ereignis einfgen oder zurck zur Seite gehen?<br><br>\r\n<i>Beachten Sie bitte: Termine, die bereits stattgefunden haben, werden nicht mehr im Kalender angezeigt.</i><br>\r\n<hr>\r\n<b>Achtung:</b> Der nachfolgende Style ist speziell fr den Veranstaltu!\n ngskalender<br><br>\r\n<b>.eventTitle</b><br>\r\nDer Titel eines indiv\niduellen Termins.<br>',1041595262);
INSERT INTO international VALUES (73,'MailForm',1,'Send',1039776778);
INSERT INTO international VALUES (73,'MailForm',3,'Verstuur',1039776778);
INSERT INTO international VALUES (73,'MailForm',2,'Senden',1042383682);
INSERT INTO international VALUES (9,'Product',21,' &#8470;3',1041699153);
INSERT INTO international VALUES (8,'Product',21,' &#8470;2',1041699143);
INSERT INTO international VALUES (7,'Product',21,' &#8470;1',1041699125);
INSERT INTO international VALUES (63,'Product',21,'???  ',1041699030);
INSERT INTO international VALUES (62,'Product',21,'  ',1041699005);
INSERT INTO international VALUES (61,'Product',21,'  ',1041698989);
INSERT INTO international VALUES (60,'Product',21,'',1041698968);
INSERT INTO international VALUES (6,'Product',21,' ',1041698952);
INSERT INTO international VALUES (59,'Product',21,'',1041698932);
INSERT INTO international VALUES (58,'Product',21,'   ',1041698909);
INSERT INTO international VALUES (57,'Product',21,' ?',1041698875);
INSERT INTO international VALUES (56,'Product',21,'   ',1041698855);
INSERT INTO international VALUES (55,'Product',21,' ',1041698829);
INSERT INTO international VALUES (54,'Product',21,' ',1041698799);
INSERT INTO international VALUES (53,'Product',21,'    ',1041698778);
INSERT INTO international VALUES (52,'Product',21,'  ?',1041698739);
INSERT INTO international VALUES (51,'Product',21,'',1041698697);
INSERT INTO international VALUES (50,'Product',21,'<b></b><br>\r\n            .\r\n<br><br>\r\n<b>  </b><br>',1041698684);
INSERT INTO international VALUES (5,'Product',21,' ?',1041698536);
INSERT INTO international VALUES (49,'Product',21,'  (/)',1041698066);
INSERT INTO international VALUES (48,'Product',21,' ?',1041697876);
INSERT INTO international VALUES (47,'Product',21,'    .<br>\r\n<b> </b><br>\r\n       .\r\n<br><br>\r\n<b>   ?</b><br>',1045500158);
INSERT INTO international VALUES (46,'Product',21,'  (/)',1041696704);
INSERT INTO international VALUES (45,'Product',21,'<b></b><br>\r\n          .\r\n<br><br>\r\n<b>  </b><br>\r\n<br><br>',1041696461);
INSERT INTO international VALUES (44,'Product',21,' (/)',1041696252);
INSERT INTO international VALUES (43,'Product',21,'<b></b><br>\r\n     .\r\n:  ,   ..<br><br>\r\n<b></b><br>\r\n   . <br><br>\r\n<b> </b><br>\r\n     . : ,   ..<br><br>\r\n<b>  ?</b><br><br><br>',1041696188);
INSERT INTO international VALUES (42,'Product',21,' (/)',1041695839);
INSERT INTO international VALUES (41,'Product',21,'<b></b><br>\r\n            .\r\n<br><br>\r\n<b>  ?</b><br>\r\n       ,   .\r\n<br><br>',1041695779);
INSERT INTO international VALUES (40,'Product',21,'  (/)',1041695340);
INSERT INTO international VALUES (4,'Product',21,'   ?',1041694885);
INSERT INTO international VALUES (39,'Product',21,'WebGUI has a product management system built in to enable you to publish your products and services to your site quickly and easily.\r\n\r\nTemplate\r\nSelect a layout for this product.\r\n\r\nPrice\r\nThe price of this product. You may optionally enter text like \"call for pricing\" if you wish, or you may leave it blank.\r\n\r\nProduct Number\r\nThe product number, SKU, ISBN, or other identifier for this product.\r\n\r\nProduct Image 1\r\nAn image of this product.\r\n\r\nProduct Image 2\r\nAn image of this product.\r\n\r\nProduct Image 3\r\nAn image of this product.\r\n\r\nBrochure\r\nThe brochure for this product.\r\n\r\nManual\r\nThe product, user, or service manual for this product.\r\n\r\nWarranty\r\nThe warranty for this product. ',1041694775);
INSERT INTO international VALUES (38,'Product',21,' (/)',1041694484);
INSERT INTO international VALUES (37,'Product',21,'  ',1041694227);
INSERT INTO international VALUES (36,'Product',21,' ',1041693557);
INSERT INTO international VALUES (35,'Product',21,' ',1041693440);
INSERT INTO international VALUES (34,'Product',21,' ',1041693384);
INSERT INTO international VALUES (33,'Product',21,' ',1041693322);
INSERT INTO international VALUES (32,'Product',21,'',1041693263);
INSERT INTO international VALUES (31,'Product',21,'',1041693245);
INSERT INTO international VALUES (30,'Product',21,'',1041693228);
INSERT INTO international VALUES (3,'Product',21,' ?',1041693202);
INSERT INTO international VALUES (29,'Product',21,' ',1041692718);
INSERT INTO international VALUES (28,'Product',21,' ?',1041692503);
INSERT INTO international VALUES (27,'Product',21,'',1041692367);
INSERT INTO international VALUES (26,'Product',21,'',1041692012);
INSERT INTO international VALUES (25,'Product',21,' ',1041691611);
INSERT INTO international VALUES (24,'Product',21,'  ',1041691530);
INSERT INTO international VALUES (23,'Product',21,'',1041691465);
INSERT INTO international VALUES (22,'Product',21,' ',1041691443);
INSERT INTO international VALUES (21,'Product',21,'   ?',1041691344);
INSERT INTO international VALUES (20,'Product',21,' ',1041691269);
INSERT INTO international VALUES (2,'Product',21,'   ?',1041691215);
INSERT INTO international VALUES (19,'Product',21,'  ',1041691148);
INSERT INTO international VALUES (18,'Product',21,'  ?',1041690984);
INSERT INTO international VALUES (17,'Product',21,'',1041690943);
INSERT INTO international VALUES (16,'Product',21,' ',1041690891);
INSERT INTO international VALUES (15,'Product',21,'',1041690851);
INSERT INTO international VALUES (14,'Product',21,' ',1041690820);
INSERT INTO international VALUES (13,'Product',21,'',1041690780);
INSERT INTO international VALUES (11,'Product',21,'  ',1041690762);
INSERT INTO international VALUES (10,'Product',21,'',1041690740);
INSERT INTO international VALUES (1,'Product',21,'',1041690725);
INSERT INTO international VALUES (846,'WebGUI',21,'<b>^AdminBar;</b><br>\r\n     .\r\n<br><br>\r\n<b>^c;</b><br>\r\n     .\r\n<br><br>\r\n<b>^e; </b><br> -     e-mail .\r\n<br><br>\r\n<b>^Extras;</b><br> -               .\r\n<br><br>\r\n<b>^PageTitle;</b>     .\r\n<br><br>\r\n<b>^r; or ^r();</b>       .      . : ^r(  ); \r\n<br><br>\r\n<b>^RootTitle;</b> -      .\r\n<br><br>\r\n<b>^u;</b> -        .\r\n<br><br>\r\n<b>^?;</b>        \r\n<br><br>',1048518643);
INSERT INTO international VALUES (845,'WebGUI',21,',    ',1048518633);
INSERT INTO international VALUES (844,'WebGUI',21,'<b>^a;  ^a();</b> -   <br>\r\n-   ,   ,      .\r\n, ^a(  );<br>\r\n<i>:</i>        URL   .    : ^a(linkonly);.\r\n<br><br>\r\n<b>^AdminText();</b><br>\r\n<br>      .<br>\r\n<b>^AdminToggle;  ^AdminToggle();</b><br>\r\n    ,     .\r\n<br><br>\r\n<b>^GroupText();</b><br>      ,    . : ^GroupText(\"Visitors\",\"    \");\r\n<br><br>\r\n<b>^L; or ^L();</b>         login`. \r\n<br><br>\r\n<b>^LoginToggle; or ^LoginToggle();</b>     &#8222;  &#8220;  &#8222;  &#8220;          <br>\r\n :^LoginToggle(\"  \",\"  \");  \r\n<br><br>\r\n<b>^@;</b>    ,      .\r\n<br><br>\r\n<b>^#;</b>    ID \r\n<br><br>',1048518619);
INSERT INTO international VALUES (843,'WebGUI',21,' ',1048518595);
INSERT INTO international VALUES (842,'WebGUI',21,'       .\r\n<b>^C()</b> -           .         .<br><br>\r\n<b>^FlexMenu;</b><br> -        .<br><br>\r\n<b>^H; or ^H();</b> -      .<br><br>\r\n<b>^M; or ^M();</b>   (). <br><br>\r\n<b>^m;</b>   ().\r\n<br><br>\r\n<b>^P; or ^P();</b>   ().\r\n<br><br>\r\n<b>^p;</b>   ().\r\n<br><br>\r\n<b>^rootmenu;</b> -        .\r\n<br><br>\r\n<b>^S();</b> -     ,    .<br>\r\n: ^S(\"home\",3);<br>\r\n   url  ,    ,     . \r\n<br><br>\r\n<b>^s();</b> - ,   ^S();,    .<br>\r\n<br><br>\r\n<b>^Synopsis()</b>            .       .\r\n<br><br>\r\n<b>^T();</b> -    .\r\n<br><br>\r\n<b>^t();</b> -    .\r\n<br><br>\r\n<b>^/;</b>      .\r\n<br><br>\r\n<b>^\\;</b>  url  . \r\n<br><br>\r\n\r\n',1048518536);
INSERT INTO international VALUES (841,'WebGUI',21,',   ',1048518441);
INSERT INTO international VALUES (840,'WebGUI',21,'<b>^D;  ^D();</b><br>\r\n    .       :\r\n%y    (4 )<br>\r\n%Y  2   <br>\r\n%m     2  ( 02  12)<br>\r\n%M      <br>\r\n%c  <br>\r\n%d   (2 )<br>\r\n%D    <br>\r\n%w   <br>\r\n%h 12    (2 )<br>\r\n%H     12    <br>\r\n%j 2   24    <br>\r\n%J     24   <br>\r\n%p   am/pm\r\n%P   AM/PM<br>\r\n%z     <br>\r\n%Z     \r\n<br><br>\r\n<b>^Env()</b><br> -       -.\r\n<br><br>\r\n<b>^Execute();</b><br> -        .\r\n<br><br>\r\n<b>^FormParam();</b><br>         .\r\n<br><br>\r\n<b>^Include();</b> -        <br> :^Include(\"/this/file.html\"); \r\n<br><br>\r\n<b>^International();</b> -         .<br> :^International(21,\"\"); \r\n<br><br>\r\n<b>^Page();</b>     :      ^Page(\"urlizedTitle\");  ^Page(\"menuTitle\");. \r\n<br><br>\r\n<b>^SQL();</b>           .      ^1; ^2;  ..<br>\r\n:  ^SQL(\"select count(*) from users\",\"  : ^0;\");<br>\r\n^SQL(\"select userId,username from users order by username\",\"<a href=\'^/;?op=viewProfile&uid=^0;\'>^1;</a><br>\");\r\n\r\n<b>^URLEncode();</b><br>\r\n<br><br>\r\n<b>^User();</b> -       . <br>      ,        . :^User(email);     .       ,      .\r\n<br><br> \r\n<b>^*; or ^*();</b>    <br>\r\n    0  100.\r\n<br><br> \r\n<b>^-;,^0;,^1;,^2;,^3;</b> ,    SQL-.\r\n<br><br>\r\n\r\n \r\n<br><br>',1048518413);
INSERT INTO international VALUES (839,'WebGUI',21,'    ',1048518185);
INSERT INTO international VALUES (838,'WebGUI',21,'         .   <b>  </b>  ,      . \r\n  <b></b>    .  <b> </b>   ,      .',1041348202);
INSERT INTO international VALUES (837,'WebGUI',21,' (/)',1041347906);
INSERT INTO international VALUES (836,'WebGUI',21,'         <b></b>.   <b>  </b>  ,     .   <b></b>   ,    .',1041347859);
INSERT INTO international VALUES (835,'WebGUI',21,' (/)',1041347608);
INSERT INTO international VALUES (834,'WebGUI',21,'         <b></b>.   <b>  </b>  ,     .  <b> </b>         .',1041347439);
INSERT INTO international VALUES (769,'WebGUI',21,'  ',1041347336);
INSERT INTO international VALUES (772,'WebGUI',21,'   ',1041345307);
INSERT INTO international VALUES (833,'WebGUI',21,' (/)',1041344836);
INSERT INTO international VALUES (832,'WebGUI',21,'       .<br><br>\r\n<b>^File();</b><br>\r\n    ,     .\r\n<br><br>\r\n<b>^I();</b><br>\r\n           .<br>\r\n<i>:</i> ^I(\"logo\"); \r\n<br><br>\r\n<b>^i();</b><br>\r\n         .<br>\r\n<i>:</i> ^i(\"   2003 \"); \r\n<br><br>\r\n<b>^Thumbnail();</b><br>\r\n               . <br>\r\n<i>:</i> ^Thumbnail(\"logo\"); \r\n<br><br>\r\n<b>^ThumbnailLinker();</b><br>\r\n             .            . <br>\r\n<i>:</i> ^ThumbnailLinker(\"logo\"); \r\n<br><br>\r\n<b>^Snippet();</b><br>\r\n        .\r\n<i>:</i> ^Snippet(\"  \");',1048518024);
INSERT INTO international VALUES (831,'WebGUI',21,'     ',1048517732);
INSERT INTO international VALUES (830,'WebGUI',21,'       .<br>\r\n         .     :<br>\r\n<tmpl_var page.position1>\r\n<tmpl_var page.position2>\r\n<tmpl_var page.position3>\r\n<tmpl_var page.position4>\r\n<tmpl_var page.position5>\r\n<tmpl_var page.position6>\r\n<tmpl_var page.position7>\r\n<tmpl_var ...>\r\n<br><br>\r\n',1041343388);
INSERT INTO international VALUES (829,'WebGUI',21,' ',1041343095);
INSERT INTO international VALUES (828,'WebGUI',21,'   ,         .       ,  ,     ,    . <br>\r\n     :\r\n<b>title</b><br>\r\n .\r\n<br>\r\n<b>displayTitle</b><br>\r\n       .\r\n<br>\r\n<b>description</b><br>\r\n .\r\n<br>\r\n<b>wobjectId</b><br>\r\n  .\r\n<br>\r\n\r\n',1048517418);
INSERT INTO international VALUES (827,'WebGUI',21,'  ',1048517249);
INSERT INTO international VALUES (826,'WebGUI',21,'WebGUI has a powerful templating language built to give you maximum control over the layout of your content. The following is a list of the template language syntax.\r\n\r\nNOTE: Please note that the words foo and bar are used below as placeholders for the actual variable names that you\'ll use. They are not part of the template language.\r\n\r\nVariables\r\nVariables are the most basic of the template commands. They are used to position pieces of content.\r\n\r\nSyntax: <tmpl_var foo> or <tmpl_var name=\"foo\">\r\n\r\nExample: <tmpl_var name>\r\n\r\nConditions\r\nTo programmers conditions are nothing new, but to designers they can often be confusing at first. Conditions are really just true or false questions, and if you think of them that way, you\'ll have no trouble at all.\r\n\r\nSyntax: <tmpl_if foo> <tmpl_else> </tmpl_if>\r\nSyntax: <tmpl_unless foo> <tmpl_else> </tmpl_unless>\r\n\r\nExample: <tmpl_if isTrue> It was true!<tmpl_else> It was false! </tmpl_if>\r\n\r\nLoops\r\nLoops iterate over a list of data output for each pass in the loop. Loops are slightly more complicated to use than plain variables, but are considerably more powerful.\r\n\r\nSyntax: <tmpl_loop foo> </tmpl_loop>\r\n\r\nExample:\r\n<tmpl_loop users>\r\n  Name: <tmpl_var first_name><br/>\r\n</tmpl_loop>\r\n\r\nLoop Conditions\r\nLoops come with special condition variables of their own. They are __FIRST__, __ODD__, __INNER__, and __LAST__.\r\n\r\nExamples:\r\n\r\n   <TMPL_LOOP FOO>\r\n      <TMPL_IF __FIRST__>\r\n        This only outputs on the first pass.\r\n      </TMPL_IF>\r\n\r\n      <TMPL_IF __ODD__>\r\n        This outputs every other pass, on the odd passes.\r\n      </TMPL_IF>\r\n\r\n      <TMPL_UNLESS __ODD__>\r\n        This outputs every other pass, on the even passes.\r\n      </TMPL_UNLESS>\r\n\r\n      <TMPL_IF __INNER__>\r\n        This outputs on passes that are neither first nor last.\r\n      </TMPL_IF>\r\n\r\n      <TMPL_IF __LAST__>\r\n        This only outputs on the last pass.\r\n      <TMPL_IF>\r\n   </TMPL_LOOP>\r\n\r\nNOTE:Both the template language and template variables are case-insensitive.',1041335734);
INSERT INTO international VALUES (825,'WebGUI',21,' ( )',1041335677);
INSERT INTO international VALUES (824,'WebGUI',21,'Email -  ',1041335052);
INSERT INTO international VALUES (823,'WebGUI',21,'   ',1042471942);
INSERT INTO international VALUES (821,'WebGUI',21,'----',1041334767);
INSERT INTO international VALUES (820,'WebGUI',21,'  .    ^e(); .',1041334748);
INSERT INTO international VALUES (819,'WebGUI',21,'',1041334071);
INSERT INTO international VALUES (818,'WebGUI',21,'',1041333202);
INSERT INTO international VALUES (817,'WebGUI',21,'',1041333178);
INSERT INTO international VALUES (816,'WebGUI',21,'',1041333158);
INSERT INTO international VALUES (815,'WebGUI',21,'  .',1041333092);
INSERT INTO international VALUES (814,'WebGUI',21,'   ',1041332940);
INSERT INTO international VALUES (813,'WebGUI',21,'',1041332877);
INSERT INTO international VALUES (812,'WebGUI',21,'  .',1041332184);
INSERT INTO international VALUES (811,'WebGUI',21,'',1041332146);
INSERT INTO international VALUES (799,'WebGUI',21,'  ',1041332123);
INSERT INTO international VALUES (798,'WebGUI',21,' ',1041332081);
INSERT INTO international VALUES (797,'WebGUI',21,'  ',1041332058);
INSERT INTO international VALUES (796,'WebGUI',21,'  ',1041331932);
INSERT INTO international VALUES (795,'WebGUI',21,' ',1041331898);
INSERT INTO international VALUES (794,'WebGUI',21,'',1041331845);
INSERT INTO international VALUES (793,'WebGUI',21,'    ',1041331823);
INSERT INTO international VALUES (792,'WebGUI',21,'',1041331508);
INSERT INTO international VALUES (791,'WebGUI',21,'     ',1041331407);
INSERT INTO international VALUES (790,'WebGUI',21,' ',1041331331);
INSERT INTO international VALUES (789,'WebGUI',21,'  ',1041330635);
INSERT INTO international VALUES (788,'WebGUI',21,' ',1041330556);
INSERT INTO international VALUES (787,'WebGUI',21,' ',1041330525);
INSERT INTO international VALUES (786,'WebGUI',21,'      ,     ,              . ',1041330443);
INSERT INTO international VALUES (785,'WebGUI',21,'  ()',1042472175);
INSERT INTO international VALUES (784,'WebGUI',21,'',1041329972);
INSERT INTO international VALUES (783,'WebGUI',21,'',1041329942);
INSERT INTO international VALUES (782,'WebGUI',21,'-----',1041329897);
INSERT INTO international VALUES (781,'WebGUI',21,'',1041329821);
INSERT INTO international VALUES (780,'WebGUI',21,'',1041329804);
INSERT INTO international VALUES (779,'WebGUI',21,' ',1041329784);
INSERT INTO international VALUES (778,'WebGUI',21,' ',1041329715);
INSERT INTO international VALUES (777,'WebGUI',21,'Id ',1041329690);
INSERT INTO international VALUES (776,'WebGUI',21,' ',1041329652);
INSERT INTO international VALUES (774,'WebGUI',21,'     ?',1042472468);
INSERT INTO international VALUES (773,'WebGUI',21,'',1041329427);
INSERT INTO international VALUES (771,'WebGUI',21,'',1041268840);
INSERT INTO international VALUES (770,'WebGUI',21,' ',1041268749);
INSERT INTO international VALUES (768,'WebGUI',21,'',1041268246);
INSERT INTO international VALUES (775,'WebGUI',21,'     ?',1041268216);
INSERT INTO international VALUES (767,'WebGUI',21,'Id',1041267948);
INSERT INTO international VALUES (766,'WebGUI',21,'  ',1041267882);
INSERT INTO international VALUES (765,'WebGUI',21,' ',1041267794);
INSERT INTO international VALUES (764,'WebGUI',21,'  ',1041259609);
INSERT INTO international VALUES (763,'WebGUI',21,' ',1041257881);
INSERT INTO international VALUES (762,'WebGUI',21,' ',1041257344);
INSERT INTO international VALUES (761,'WebGUI',21,'  ',1041253339);
INSERT INTO international VALUES (760,'WebGUI',21,' ',1041253240);
INSERT INTO international VALUES (759,'WebGUI',21,' ',1041253221);
INSERT INTO international VALUES (758,'WebGUI',21,' ',1041253190);
INSERT INTO international VALUES (757,'WebGUI',21,' ',1043765129);
INSERT INTO international VALUES (756,'WebGUI',21,'    ',1041252763);
INSERT INTO international VALUES (754,'WebGUI',21,'  ',1041252698);
INSERT INTO international VALUES (753,'WebGUI',21,'  ',1041252484);
INSERT INTO international VALUES (752,'WebGUI',21,'  ',1041252433);
INSERT INTO international VALUES (751,'WebGUI',21,'    ',1041252312);
INSERT INTO international VALUES (750,'WebGUI',21,' ',1041252253);
INSERT INTO international VALUES (749,'WebGUI',21,'   ?',1041252160);
INSERT INTO international VALUES (748,'WebGUI',21,' ',1041252104);
INSERT INTO international VALUES (747,'WebGUI',21,'       / .',1041251653);
INSERT INTO international VALUES (746,'WebGUI',21,'',1041251545);
INSERT INTO international VALUES (745,'WebGUI',21,'  ',1041251482);
INSERT INTO international VALUES (744,'WebGUI',21,' ',1041251381);
INSERT INTO international VALUES (743,'WebGUI',21,'  e-mail. ',1041251137);
INSERT INTO international VALUES (742,'WebGUI',21,' ',1041251068);
INSERT INTO international VALUES (741,'WebGUI',21,' ',1041251038);
INSERT INTO international VALUES (739,'WebGUI',21,'  ',1041251013);
INSERT INTO international VALUES (738,'WebGUI',21,'9 - ',1041250289);
INSERT INTO international VALUES (737,'WebGUI',21,'8 - ',1041250220);
INSERT INTO international VALUES (736,'WebGUI',21,'7 - ',1041250028);
INSERT INTO international VALUES (735,'WebGUI',21,'6 -  ',1041249588);
INSERT INTO international VALUES (734,'WebGUI',21,'5 -  ',1041249546);
INSERT INTO international VALUES (733,'WebGUI',21,'4',1041249474);
INSERT INTO international VALUES (732,'WebGUI',21,'3',1041249453);
INSERT INTO international VALUES (731,'WebGUI',21,'2 - ',1041249326);
INSERT INTO international VALUES (730,'WebGUI',21,'1 - ',1041248344);
INSERT INTO international VALUES (729,'WebGUI',21,'0 - ',1041248318);
INSERT INTO international VALUES (728,'WebGUI',21,' ?',1041248253);
INSERT INTO international VALUES (522,'WebGUI',21,'   ICQ',1041246921);
INSERT INTO international VALUES (521,'WebGUI',21,'   ',1041246867);
INSERT INTO international VALUES (444,'WebGUI',21,' ',1041246336);
INSERT INTO international VALUES (441,'WebGUI',21,'       ',1041245992);
INSERT INTO international VALUES (320,'WebGUI',21,'Yahoo! Messenger Id',1041245834);
INSERT INTO international VALUES (319,'WebGUI',21,'MSN Messenger Id',1041245815);
INSERT INTO international VALUES (318,'WebGUI',21,'AIM Id',1041245797);
INSERT INTO international VALUES (317,'WebGUI',21,' ICQ',1041245764);
INSERT INTO international VALUES (77,'USS',21,'The following are the template variables used in a submission template. Submission templates are used to display the individual submissions in a user submission system.\r\n\r\ntitle\r\nThe title of this submission.\r\n\r\ncontent\r\nThe full text content of this submission.\r\n\r\nuser.label\r\nThe translated label indicating what user posted this submission.\r\n\r\nuser.profile\r\nThe URL to the profile of the user that posted this submission.\r\n\r\nuser.username\r\nThe username of the user that posted this submission.\r\n\r\nuser.id\r\nThe unique identifier for the user that posted this submission.\r\n\r\ndate.label\r\nThe translated label indicating what date this submission was posted.\r\n\r\ndate.epoch\r\nThe number of seconds since January 1, 1970 that this submission was posted.\r\n\r\ndate.human\r\nA human readable date that displays the date and time this submission was posted.\r\n\r\nstatus.label\r\nA translated label indicating the status of this submission.\r\n\r\nstatus.status\r\nThe actual status of this submission (pending, approved, denied).\r\n\r\nviews.label\r\nA translated label indicating how many times this submission has been viewed.\r\n\r\nviews.count\r\nThe number of times this submission has been viewed.\r\n\r\ncanPost\r\nAn condition indicating whether or not this user can post a new submission.\r\n\r\npost.url\r\nThe URL to post a new submission.\r\n\r\npost.label\r\nA translated label for the post link.\r\n\r\nprevious.more\r\nAn condition indicating whether there are any posts prior to this one available for viewing.\r\n\r\nprevious.url\r\nA URL to the post that came before this one.\r\n\r\nprevious.label\r\nA translated label for the previous link.\r\n\r\nnext.more\r\nA condition indicating whether there are any posts after this one available for viewing.\r\n\r\nnext.url\r\nThe URL to the post that came after this one.\r\n\r\nnext.label\r\nA translated label for the next link.\r\n\r\ncanEdit\r\nA condition indicating whether the current user cane edit or delete this post.\r\n\r\nedit.url\r\nThe URL to edit this post.\r\n\r\nedit.label\r\nA translated label for the edit link.\r\n\r\ndelete.url\r\nThe URL to delete this post.\r\n\r\ndelete.label\r\nA translated label for the delete link.\r\n\r\ncanChangeStatus\r\nA condition indicating whether the current user has the privileges to change the status of this post.\r\n\r\napprove.url\r\nThe URL to approve this post.\r\n\r\napprove.label\r\nA translated label for the approve link.\r\n\r\ndeny.url\r\nThe URL to deny this post.\r\n\r\ndeny.label\r\nA translated label for the deny link.\r\n\r\nleave.url\r\nThe URL to leave this post in it\'s current state.\r\n\r\nleave.label\r\nA translated label for the leave link.\r\n\r\ncanReply\r\nA condition indicating whether the current user can reply to this post.\r\n\r\nreply.url\r\nThe URL to reply to this post.\r\n\r\nreply.label\r\nA translated label for the reply link.\r\n\r\nsearch.url\r\nThe URL to toggle on the WebGUI power search form.\r\n\r\nsearch.label\r\nA translated label for the search link.\r\n\r\nback.url\r\nThe URL to return the user to the main listing.\r\n\r\nback.label\r\nA translated label for the back link.\r\n\r\nreplies\r\nA complete listing of all replies to this post. ',1041245718);
INSERT INTO international VALUES (76,'USS',21,'     ',1041245679);
INSERT INTO international VALUES (75,'USS',21,'This is the listing of template variables available in user submission system templates.\r\n\r\nreadmore.label\r\nA translated label that indicates that the user should click to read more.\r\n\r\nresponses.label\r\nA translated label that indicates that the user should click to view the responses to this submission.\r\n\r\ncanPost\r\nA condition that indicates whether a user can add a new submission.\r\n\r\npost.url\r\nThe URL to add a new submission.\r\n\r\npost.label\r\nA translated label for the post link.\r\n\r\nsearch.label\r\nA translated label for the search link.\r\n\r\nsearch.url\r\nThe URL to toggle on/off WebGUI\'s power search form.\r\n\r\nsearch.form\r\nWebGUI\'s power search form.\r\n\r\ntitle.label\r\nA translated label for the title column.\r\n\r\nthumbnail.label\r\nA translated label for the thumbnail column.\r\n\r\ndate.label\r\nA translated label for the date column.\r\n\r\nby.label\r\nA translated label stating who the submission was submitted by.\r\n\r\nsubmissions_loop\r\nA loop containing each submission.\r\nsubmission.id\r\nA unique identifier for this submission.\r\n\r\nsubmission.url\r\nThe URL to view this submission.\r\n\r\nsubmission.content\r\nThe abbreviated text content of this submission.\r\n\r\nsubmission.responses\r\nThe number of responses to this submission.\r\n\r\nsubmission.title\r\nThe title for this submission.\r\n\r\nsubmission.userId\r\nThe user id of the user that posted this submission.\r\n\r\nsubmission.username\r\nThe username of the person that posted this submission.\r\n\r\nsubmission.status\r\nThe status of this submission (approved, pending, denied).\r\n\r\nsubmission.thumbnail\r\nThe thumbnail of the image uploaded with this submission (if any).\r\n\r\nsubmission.date\r\nThe that this submission was posted.\r\n\r\nsubmission.currentUser\r\nA condition indicating whether the current user is the same as the user that posted this submission.\r\n\r\nsubmission.userProfile\r\nThe URL to the profile of the user that posted this submission.\r\n\r\nsubmission.secondColumn\r\nA condition indicating whether or not this submission would belong in the second column, in a multi-column layout.\r\n\r\nsubmission.thirdColumn\r\nA condition indicating whether or not this submission would belong in the third column, in a multi-column layout.\r\n\r\nsubmission.fourthColumn\r\nA condition indicating whether or not this submission would belong in the fourth column, in a multi-column layout.\r\n\r\nsubmission.fifthColumn\r\nA condition indicating whether or not this submission would belong in the fifth column, in a multi-column layout.\r\n\r\nfirstPage\r\nA link to the first page in the paginator.\r\n\r\nlastPage\r\nA link to the last page in the paginator.\r\n\r\nnextPage\r\nA link to the next page forward in the paginator.\r\n\r\npreviousPage\r\nA link to the next page backward in the paginator.\r\n\r\npageList\r\nA list of links to all the pages in the paginator.\r\n\r\nmultiplePages\r\nA conditional indicating whether there is more than one page in the paginator. ',1041245580);
INSERT INTO international VALUES (74,'USS',21,'    ',1041245539);
INSERT INTO international VALUES (73,'USS',21,'  ',1041245501);
INSERT INTO international VALUES (72,'USS',21,' ',1041245446);
INSERT INTO international VALUES (61,'USS',21,'   (/)',1048511041);
INSERT INTO international VALUES (6,'USS',21,'    ',1041245387);
INSERT INTO international VALUES (59,'USS',21,' ',1041244955);
INSERT INTO international VALUES (58,'USS',21,' ',1041244935);
INSERT INTO international VALUES (57,'USS',21,'',1041244905);
INSERT INTO international VALUES (53,'USS',21,' ',1041244884);
INSERT INTO international VALUES (71,'USS',21,'<b> </b><br>\r\n      .\r\n<p>\r\n<b>  </b><br>\r\n     .\r\n<p>\r\n<b>    </b><br/>\r\n     .\r\n<p/>\r\n\r\n<b>,    </b><br>\r\n ,             .\r\n<br><br>\r\n\r\n<b>,    </b><br>\r\n ,       .\r\n<br><br>\r\n\r\n<b>   </b><br>\r\n   ,      .        .\r\n<br><br>\r\n\r\n<b>    </b><br>\r\n    3 : <i></i>, <i> </i>  <i>  </i>. ,        . \r\n<br><br>\r\n<p>\r\n<b>   </b><br>\r\n<p>\r\n<b> </b><br>\r\n   ,           .\r\n<p>\r\n<b> ?</b><br>\r\n   ?\r\n<p>\r\n<b> </b><br>\r\n     .\r\n<p>\r\n<b>,    </b><br>\r\n .\r\n<p>\r\n<b> </b><br>\r\n            .\r\n<p>\r\n<b>   </b><br>\r\n 1,           0,     .\r\n<p>\r\n\r\n<b>   ?</b><br>\r\n      . \r\n<p>\r\n\r\n<b> </b><br>\r\n     .<i>  </i> ,  ,    . <i>  </i> ,             . .\r\n\r\n<p>\r\n<b>   ?</b><br>\r\n   ,        ?\r\n<p>',1048512779);
INSERT INTO international VALUES (52,'USS',21,'',1041244426);
INSERT INTO international VALUES (51,'USS',21,'    ?',1041244404);
INSERT INTO international VALUES (5,'USS',21,'      .',1041244351);
INSERT INTO international VALUES (48,'USS',21,'  ?  ',1041244296);
INSERT INTO international VALUES (47,'USS',21,'',1041244241);
INSERT INTO international VALUES (46,'USS',21,' ...',1041244221);
INSERT INTO international VALUES (45,'USS',21,'  ',1041006426);
INSERT INTO international VALUES (41,'USS',21,'',1041006323);
INSERT INTO international VALUES (4,'USS',21,'      ',1041006200);
INSERT INTO international VALUES (39,'USS',21,' ',1041006064);
INSERT INTO international VALUES (38,'USS',21,'(      ,   &#132;&#147;)',1041005892);
INSERT INTO international VALUES (37,'USS',21,'',1041005678);
INSERT INTO international VALUES (35,'USS',21,'',1041005652);
INSERT INTO international VALUES (34,'USS',21,'  ',1041005625);
INSERT INTO international VALUES (33,'USS',21,' ',1041005573);
INSERT INTO international VALUES (32,'USS',21,' ',1041005539);
INSERT INTO international VALUES (31,'USS',21,'',1041005463);
INSERT INTO international VALUES (30,'USS',21,'    ?<br>\r\n(0 -    , 1 -   )',1041005372);
INSERT INTO international VALUES (3,'USS',21,'      .  . ',1041005053);
INSERT INTO international VALUES (29,'USS',21,'  ',1041004887);
INSERT INTO international VALUES (28,'USS',21,'   ',1041004775);
INSERT INTO international VALUES (27,'USS',21,'',1041004731);
INSERT INTO international VALUES (21,'USS',21,'()',1041004682);
INSERT INTO international VALUES (20,'USS',21,' ',1041004633);
INSERT INTO international VALUES (2,'USS',21,',    ',1041004490);
INSERT INTO international VALUES (19,'USS',21,' ',1041004113);
INSERT INTO international VALUES (18,'USS',21,'   ',1041003798);
INSERT INTO international VALUES (17,'USS',21,'  ?',1041002917);
INSERT INTO international VALUES (16,'USS',21,' ',1041002377);
INSERT INTO international VALUES (15,'USS',21,'/ ',1041002354);
INSERT INTO international VALUES (14,'USS',21,'',1041002310);
INSERT INTO international VALUES (13,'USS',21,'',1041002291);
INSERT INTO international VALUES (12,'USS',21,'( ,    HTML)',1041002267);
INSERT INTO international VALUES (1,'USS',21,',   ',1041002182);
INSERT INTO international VALUES (75,'SiteMap',21,'   ',1040999349);
INSERT INTO international VALUES (74,'SiteMap',21,'  ',1040999225);
INSERT INTO international VALUES (73,'SiteMap',21,'     :\r\n\r\n<b>page_loop</b><br>\r\n    .\r\n<p>\r\n<b>page.indent</b><br>\r\n    .\r\n<p>\r\n<b>page.url</b><br>\r\n   .\r\n<p>\r\n<b>page.id</br><br>\r\n     WebGUI.\r\n<p>\r\n<b>page.title</b><br>\r\n .\r\n<p>\r\n<b>page.menutitle</b><br>\r\n ,   .\r\n<p>\r\n<b>page.synopsis</b><br>\r\n  .\r\n<p>\r\n<b>page.isRoot<b><br>\r\n    . ',1048510317);
INSERT INTO international VALUES (72,'SiteMap',21,'   ',1048509845);
INSERT INTO international VALUES (74,'MessageBoard',21,'The following is the list of template variables available in message board templates.\r\n\r\ncanPost\r\nA conditional indicating whether the current user has the privileges to post a new message.\r\n\r\npost.url\r\nThe URL to post a new message.\r\n\r\npost.label\r\nThe translated label for the post URL.\r\n\r\nsearch.url\r\nThe URL to search this message board.\r\n\r\nsearch.label\r\nThe translated label for the search URL.\r\n\r\nsubject.label\r\nThe translated label for the subject column.\r\n\r\nuser.label\r\nThe translated label for the user column.\r\n\r\ndate.label\r\nThe translated label for the date column.\r\n\r\nviews.label\r\nThe translated label for the views column.\r\n\r\nreplies.label\r\nThe translated label for the replies column.\r\n\r\nlast.label\r\nThe translated label for the last reply column.\r\n\r\nmessage_loop\r\nThe loop containing each message.\r\nlast.url\r\nThe URL to the last reply to this message.\r\n\r\nlast.subject\r\nThe subject on the last reply to this message.\r\n\r\nlast.username\r\nThe username who posted the last reply to this message.\r\n\r\nlast.userProfile\r\nThe URL to the profile of the user who posted the last reply to this message.\r\n\r\nlast.date\r\nThe date that the last reply to this message was posted.\r\n\r\nmessage.subject\r\nThe subject of this message.\r\n\r\nmessage.date\r\nThe date that this message was posted.\r\n\r\nmessage.user\r\nThe user that posted this message.\r\n\r\nmessage.views\r\nThe views that this message has received.\r\n\r\nmessage.replies\r\nThe number of replies to this thread.\r\n\r\nmessage.url\r\nThe URL to view this message.\r\n\r\nmessage.currentUser\r\nA condition indicating whether the current user is also the user that posted this message.\r\n\r\nmessage.status\r\nThe status of this message (pending, approved, denied).\r\n\r\nfirstPage\r\nA link to the first page in the paginator.\r\n\r\nlastPage\r\nA link to the last page in the paginator.\r\n\r\nnextPage\r\nA link to the next page forward in the paginator.\r\n\r\npreviousPage\r\nA link to the next page backward in the paginator.\r\n\r\npageList\r\nA list of links to all the pages in the paginator.\r\n\r\nmultiplePages\r\nA conditional indicating whether there is more than one page in the paginator. ',1040999056);
INSERT INTO international VALUES (73,'MessageBoard',21,'  ',1040998990);
INSERT INTO international VALUES (72,'MessageBoard',21,' ',1040998914);
INSERT INTO international VALUES (76,'LinkList',21,'The following is the list of template variables available in Link List templates.\r\n\r\naddlink.url\r\nThe URL to add a link to this link list.\r\n\r\naddlink.label\r\nThe translated label for the add link URL.\r\n\r\nlink_loop\r\nThis loop contains all of the information about each link.\r\nlink.url\r\nThe URL for this link.\r\n\r\nlink.name\r\nThe text to be linked.\r\n\r\nlink.controls\r\nThe WebGUI management controls for this link.\r\n\r\nlink.newwindow\r\nA conditional as to whether the link should be opened in a new window.\r\n\r\nlink.description\r\nThe description of this link. ',1040997456);
INSERT INTO international VALUES (75,'LinkList',21,'   ',1040997406);
INSERT INTO international VALUES (74,'Item',21,'         :\r\n\r\nattachment.name\r\nThe filename for the file attached to this item.\r\n\r\nattachment.url\r\nThe URL to download the file attached to this item.\r\n\r\nattachment.icon\r\nThe URL to the icon for the file attached to this item. ',1040997361);
INSERT INTO international VALUES (73,'Item',21,'  ',1040997146);
INSERT INTO international VALUES (72,'Item',21,'',1040997086);
INSERT INTO international VALUES (77,'FAQ',21,'         .\r\n\r\naddquestion.url\r\nThe URL to add a question to the FAQ.\r\n\r\naddquestion.label\r\nThe translated label for the add question link.\r\n\r\nqa_loop\r\nThe loop containing the variables for each question in the FAQ.\r\nqa.id\r\nThe unique identifier for this question.\r\n\r\nqa.answer\r\nThe answer for this question.\r\n\r\nqa.question\r\nThe question itself.\r\n\r\nqa.controls\r\nThe WebGUI management controls for this question. ',1040997064);
INSERT INTO international VALUES (76,'FAQ',21,'    ',1040996979);
INSERT INTO international VALUES (75,'FAQ',21,' ',1040996942);
INSERT INTO international VALUES (74,'FAQ',21,'',1040996915);
INSERT INTO international VALUES (97,'EventsCalendar',21,' ,    .\r\n\r\ntitle\r\nThe title of this event.\r\n\r\nstart.label\r\nThe translated label for the start date.\r\n\r\nstart.date\r\nThe date this event starts.\r\n\r\nend.date\r\nThe date this event ends.\r\n\r\nend.label\r\nThe translated label for the end date.\r\n\r\ncanEdit\r\nA condition indicating whether the current user can edit an event.\r\n\r\nedit.url\r\nThe URL to edit this event.\r\n\r\nedit.label\r\nThe translated label for the edit URL.\r\n\r\ndelete.url\r\nThe URL to delete this event.\r\n\r\ndelete.label\r\nThe translated label for the delete URL.\r\n\r\nprevious.url\r\nThe URL to view the event before this one.\r\n\r\nprevious.label\r\nThe translated label for the previous URL.\r\n\r\nnext.label\r\nThe translated label for the next URL.\r\n\r\nnext.url\r\nThe URL to view the event after this one.\r\n\r\ndescription\r\nThe description of this event. ',1040996778);
INSERT INTO international VALUES (96,'EventsCalendar',21,' ',1040996647);
INSERT INTO international VALUES (95,'EventsCalendar',21,'          .\r\n\r\n<b>addevent.url</b><br>\r\nURL     .\r\n<br><br>\r\n<b>addevent.label</b><br>\r\n     (    ).\r\n<br><br>\r\n<b>calendar.big</b><br>\r\n  ,    .\r\n<br><br>\r\n<b>calendar.small</b><br>\r\n  ( ).\r\n<br><br>\r\n<b>calendar.firstPage</b><br>\r\n  .\r\n<br><br>\r\n<b>calendar.lastPage</b><br>\r\n  .\r\n<br><br>\r\n<b>calendar.nextPage</b><br>\r\n    .\r\n<br><br>\r\n<b>calendar.previousPage</b><br>\r\n    .\r\n<br><br>\r\n<b>calendar.pageList</b><br>\r\n    .\r\n<br><br>\r\n<b>calendar.multiplePages</b><br>\r\n  ,       .\r\n<br><br>\r\n<b>list_loop</b><br>\r\n   (       ).\r\n<br><br>\r\n<b>list.date</b><br>\r\n .\r\n<br><br>\r\n<b>list.title</b><br>\r\n .\r\n<br><br>\r\n<b>list.description</b><br>\r\n  .\r\n<br><br>\r\n<b>list.sameAsPrevious</b><br>\r\n           .\r\n<br><br>\r\n<b>list.url</b><br>\r\nURL       .\r\n<br><br>\r\n<b>list.controls</b><br>\r\n     WebGUI.\r\n<br><br>\r\n<b>list.firstPage</b><br>\r\n   .\r\n<br><br>\r\n<b>list.lastPage</b><br>\r\n   .\r\n<br><br>\r\n<b>list.nextPage</b><br>\r\n   .\r\n<br><br>\r\n<b>list.previousPage</b><br>\r\n   .\r\n<br><br>\r\n<b>list.pageList</b><br>\r\n   .\r\n<br><br>\r\n<b>list.multiplePages</b><br>\r\n  ,     . ',1046345953);
INSERT INTO international VALUES (94,'EventsCalendar',21,' ',1040996203);
INSERT INTO international VALUES (93,'EventsCalendar',21,' ',1040996149);
INSERT INTO international VALUES (92,'EventsCalendar',21,' ',1040996131);
INSERT INTO international VALUES (91,'EventsCalendar',21,'  ',1040996104);
INSERT INTO international VALUES (90,'EventsCalendar',21,'  ',1040996071);
INSERT INTO international VALUES (89,'EventsCalendar',21,' 3   ',1040996015);
INSERT INTO international VALUES (88,'EventsCalendar',21,' 6   ',1040995970);
INSERT INTO international VALUES (87,'EventsCalendar',21,' 9   ',1040995927);
INSERT INTO international VALUES (86,'EventsCalendar',21,' 12   ',1040995841);
INSERT INTO international VALUES (85,'EventsCalendar',21,'  ',1040995750);
INSERT INTO international VALUES (84,'EventsCalendar',21,' ',1040995673);
INSERT INTO international VALUES (9,'Survey',21,'',1040995196);
INSERT INTO international VALUES (80,'Survey',21,'/',1040995163);
INSERT INTO international VALUES (8,'Survey',21,' ',1040995115);
INSERT INTO international VALUES (79,'Survey',21,'/',1040995030);
INSERT INTO international VALUES (78,'Survey',21,' ',1040994955);
INSERT INTO international VALUES (77,'Survey',21,' ',1040994934);
INSERT INTO international VALUES (76,'Survey',21,' ',1040994891);
INSERT INTO international VALUES (75,'Survey',21,' ',1040994861);
INSERT INTO international VALUES (74,'Survey',21,'  ?',1040994705);
INSERT INTO international VALUES (73,'Survey',21,'  ',1040994660);
INSERT INTO international VALUES (72,'Survey',21,'  ?',1040994635);
INSERT INTO international VALUES (71,'Survey',21,'   ',1040994571);
INSERT INTO international VALUES (70,'Survey',21,' ',1040994426);
INSERT INTO international VALUES (7,'Survey',21,'',1040994305);
INSERT INTO international VALUES (69,'Survey',21,' ',1040994278);
INSERT INTO international VALUES (68,'Survey',21,'  ',1040994224);
INSERT INTO international VALUES (67,'Survey',21,'',1040993947);
INSERT INTO international VALUES (66,'Survey',21,' ',1040993892);
INSERT INTO international VALUES (65,'Survey',21,' ',1040993800);
INSERT INTO international VALUES (64,'Survey',21,'  ',1040993616);
INSERT INTO international VALUES (63,'Survey',21,' ',1040993551);
INSERT INTO international VALUES (62,'Survey',21,' ',1040993524);
INSERT INTO international VALUES (61,'Survey',21,'     ',1040993470);
INSERT INTO international VALUES (60,'Survey',21,'  ',1040993266);
INSERT INTO international VALUES (6,'Survey',21,'',1040993232);
INSERT INTO international VALUES (59,'Survey',21,'  ',1040993172);
INSERT INTO international VALUES (58,'Survey',21,'  ',1040993097);
INSERT INTO international VALUES (57,'Survey',21,'',1040992687);
INSERT INTO international VALUES (56,'Survey',21,' ',1040992638);
INSERT INTO international VALUES (55,'Survey',21,'  ',1040992547);
INSERT INTO international VALUES (54,'Survey',21,'',1040992489);
INSERT INTO international VALUES (53,'Survey',21,' ',1040992352);
INSERT INTO international VALUES (52,'Survey',21,'   ',1040992161);
INSERT INTO international VALUES (51,'Survey',21,' ',1040991961);
INSERT INTO international VALUES (50,'Survey',21,'',1040991870);
INSERT INTO international VALUES (5,'Survey',21,'',1040991828);
INSERT INTO international VALUES (49,'Survey',21,'         .',1040991723);
INSERT INTO international VALUES (48,'Survey',21,'      .',1040990017);
INSERT INTO international VALUES (47,'Survey',21,' .',1040989689);
INSERT INTO international VALUES (46,'Survey',21,'   .',1040989234);
INSERT INTO international VALUES (45,'Survey',21,'     ? ',1040989167);
INSERT INTO international VALUES (44,'Survey',21,' ,     ?',1040989043);
INSERT INTO international VALUES (43,'Survey',21,'',1040986900);
INSERT INTO international VALUES (42,'Survey',21,'  ',1040986827);
INSERT INTO international VALUES (41,'Survey',21,' ',1040986642);
INSERT INTO international VALUES (40,'Survey',21,'',1040986613);
INSERT INTO international VALUES (4,'Survey',21,'        .\r\n<b> </b><br>\r\n<i></i>  ,          .\r\n<i></i>  ,         .\r\n<i></i>  ,             .\r\n<br>\r\n<b></b><br>\r\n<i></i> -               .\r\n<i></i> -   ,      .\r\n<br>\r\n<b> ,    </b><br>\r\n       ,        .\r\n<br>\r\n<b> ,     </b><br>\r\n   ,       ,      ,     , , ,   . \r\n<br>\r\n<b>  </b><br>\r\n<br>',1040986579);
INSERT INTO international VALUES (39,'Survey',21,'   ',1040923113);
INSERT INTO international VALUES (38,'Survey',21,' ',1040923016);
INSERT INTO international VALUES (37,'Survey',21,'',1040922993);
INSERT INTO international VALUES (36,'Survey',21,'   ',1040922973);
INSERT INTO international VALUES (35,'Survey',21,'     ',1040922882);
INSERT INTO international VALUES (34,'Survey',21,'',1040922685);
INSERT INTO international VALUES (33,'Survey',21,' ',1040922665);
INSERT INTO international VALUES (32,'Survey',21,'',1040922632);
INSERT INTO international VALUES (31,'Survey',21,'',1040922587);
INSERT INTO international VALUES (30,'Survey',21,'  ',1040922172);
INSERT INTO international VALUES (3,'Survey',21,'   (/)',1040922057);
INSERT INTO international VALUES (29,'Survey',21,'  ',1040922011);
INSERT INTO international VALUES (28,'Survey',21,' ',1040921980);
INSERT INTO international VALUES (27,'Survey',21,'        ',1040921957);
INSERT INTO international VALUES (26,'Survey',21,'       ',1040921795);
INSERT INTO international VALUES (25,'Survey',21,'   /',1040921463);
INSERT INTO international VALUES (24,'Survey',21,'   ',1040921365);
INSERT INTO international VALUES (23,'Survey',21,'   ',1040921063);
INSERT INTO international VALUES (22,'Survey',21,' ',1040921023);
INSERT INTO international VALUES (21,'Survey',21,' ',1040920943);
INSERT INTO international VALUES (20,'Survey',21,'  ?',1040920841);
INSERT INTO international VALUES (2,'Survey',21,'   ',1040920751);
INSERT INTO international VALUES (19,'Survey',21,'',1040920696);
INSERT INTO international VALUES (18,'Survey',21,' ',1040920676);
INSERT INTO international VALUES (17,'Survey',21,' ',1040920549);
INSERT INTO international VALUES (16,'Survey',21,'    ?',1040920450);
INSERT INTO international VALUES (15,'Survey',21,'  ?',1040920380);
INSERT INTO international VALUES (14,'Survey',21,'',1040920337);
INSERT INTO international VALUES (13,'Survey',21,' ,     ',1040920313);
INSERT INTO international VALUES (12,'Survey',21,' ,    ',1040920231);
INSERT INTO international VALUES (11,'Survey',21,'',1040920150);
INSERT INTO international VALUES (10,'Survey',21,'',1040920024);
INSERT INTO international VALUES (1,'Survey',21,' ',1040919961);
INSERT INTO international VALUES (9,'FileManager',21,'  ',1040919392);
INSERT INTO international VALUES (8,'FileManager',21,' ',1040919331);
INSERT INTO international VALUES (76,'FileManager',21,'        .<br><br>\r\n<b>titleColumn.url</b> -   .\r\n<b>titleColumn.label</b> -     .\r\n<b>descriptionColumn.label</b> -   .\r\n<b>descriptionColumn.url</b> -    .\r\n<b>dateColumn.label</b> -  .\r\n<b>dateColumn.url</b> -  .\r\n<b>search.form</b> -   .\r\n<b>search.url</b> - The URL to toggle search mode on and off.\r\n<b>search.label</b> -    \"\".\r\n<b>addfile.url</b> -    \" \".\r\n<b>addfile.label</b> -    \" \".\r\n<b>file_loop</b>A loop containing the information about each file uploaded to this file manager.\r\n<b>file.canView</b> -     .\r\n<b>file.controls</b> -  .\r\n<b>file.title</b> -  .\r\n<b>file.version1.name</b> -   1\r\n<b>file.version1.url</b> -   2.\r\n<b>file.version1.icon</b> -     1.\r\n<b>file.version1.size</b> -   .\r\n<b>file.version1.type</b> -  ()    1.\r\n<b>file.version1.thumbnail</b> -     1.\r\n<b>file.version1.isImage</b>\r\nA conditional indicating whether the first version of this file is an image or not.\r\nfile.version2.name\r\nThe filename for the second version of this file.\r\nfile.version2.url\r\nThe download URL for the second version of this file.\r\nfile.version2.icon\r\nThe URL to the icon for the file type of the second version of this file.\r\nfile.version2.size\r\nThe storage size of the second version of this file.\r\nfile.version2.type\r\nThe type (or file extension) of the second version of this file.\r\nfile.version2.thumbnail\r\nThe URL to the thumbnail for the second version of this file.\r\nfile.version2.isImage\r\nA conditional indicating whether the second version of this file is an image or not.\r\nfile.version3.name\r\nThe filename for the third version of this file.\r\nfile.version3.url\r\nThe download URL for the third version of this file.\r\nfile.version3.icon\r\nThe URL to the icon for the file type of the third version of this file.\r\nfile.version3.size\r\nThe storage size of the third version of this file.\r\nfile.version3.type\r\nThe type (or file extension) of the third version of this file.\r\nfile.version3.thumbnail\r\nThe URL to the thumbnail for the third version of this file.\r\nfile.version3.isImage\r\nA conditional indicating whether the third version of this file is an image or not.\r\nfile.description\r\nThe description of this file.\r\nfile.date\r\nThe date that this file was uploaded.\r\nfile.time\r\nThe time that this file was uploaded.\r\nnoresults.message\r\nA translated message stating that this file manager has no files for this user to view.\r\nnoresults\r\nA conditional indicating whether there are any files for this user to view.\r\nfirstPage\r\nA link to the first page in the paginator.\r\nlastPage\r\nA link to the last page in the paginator.\r\nnextPage\r\nA link to the next page forward in the paginator.\r\npreviousPage\r\nA link to the next page backward in the paginator.\r\npageList\r\nA list of links to all the pages in the paginator.\r\nmultiplePages\r\nA conditional indicating whether there is more than one page in the paginator.\r',1042653640);
INSERT INTO international VALUES (75,'FileManager',21,'   ',1040919246);
INSERT INTO international VALUES (74,'FileManager',21,' ',1040919211);
INSERT INTO international VALUES (73,'FileManager',21,'<b> </b><br>\r\n  . \r\n<br>\r\n<b></b><br>\r\n ,    .      \r\n<br>\r\n<b>   1</b><br>\r\n     ,    ,       . \r\n<br>\r\n<b>   2</b><br>\r\n     ,    ,       . \r\n<br>\r\n<b> </b><br>\r\n        .\r\n<br>\r\n<b></b><br>\r\n  ,      .\r\n<br>\r\n<b> </b><br>\r\n   .\r\n<br>',1040919192);
INSERT INTO international VALUES (72,'FileManager',21,' (/)',1040918517);
INSERT INTO international VALUES (71,'FileManager',21,'      ,     .          .\r\n<b></b><br>\r\n         .\r\n<br>\r\n<b> </b><br>\r\n   ,      .      .\r\n<br>\r\n<b> ?</b><br>\r\n       .\r\n<br>',1040918274);
INSERT INTO international VALUES (7,'FileManager',21,' ,    ',1040917783);
INSERT INTO international VALUES (61,'FileManager',21,'  (/)',1040913735);
INSERT INTO international VALUES (6,'FileManager',21,'',1040913685);
INSERT INTO international VALUES (5,'FileManager',21,' ',1040913666);
INSERT INTO international VALUES (3,'FileManager',21,'   ?',1040913618);
INSERT INTO international VALUES (20,'FileManager',21,'     ',1040913546);
INSERT INTO international VALUES (19,'FileManager',21,' .',1040913449);
INSERT INTO international VALUES (18,'FileManager',21,'   &#8470;2',1040913356);
INSERT INTO international VALUES (17,'FileManager',21,'  &#8470; 1',1040913165);
INSERT INTO international VALUES (16,'FileManager',21,'',1040913036);
INSERT INTO international VALUES (15,'FileManager',21,'',1042472826);
INSERT INTO international VALUES (14,'FileManager',21,'',1040912922);
INSERT INTO international VALUES (12,'FileManager',21,' ?',1040912891);
INSERT INTO international VALUES (11,'FileManager',21,'  ',1040912819);
INSERT INTO international VALUES (10,'FileManager',21,' ',1040912767);
INSERT INTO international VALUES (1,'FileManager',21,' ',1040912706);
INSERT INTO international VALUES (83,'EventsCalendar',21,'  ',1040912198);
INSERT INTO international VALUES (82,'EventsCalendar',21,'',1040912146);
INSERT INTO international VALUES (81,'EventsCalendar',21,' ',1040912129);
INSERT INTO international VALUES (80,'EventsCalendar',21,' ',1040912086);
INSERT INTO international VALUES (79,'EventsCalendar',21,' ',1040912071);
INSERT INTO international VALUES (1,'Auth/WebGUI',21,'     WebGUI',1040912053);
INSERT INTO international VALUES (9,'Auth/SMB',21,'',1040911991);
INSERT INTO international VALUES (8,'Auth/SMB',21,' ',1040911980);
INSERT INTO international VALUES (7,'Auth/SMB',21,' NT',1040911904);
INSERT INTO international VALUES (6,'Auth/SMB',21,'BDC',1040910980);
INSERT INTO international VALUES (5,'Auth/SMB',21,'PDC',1040910572);
INSERT INTO international VALUES (4,'Auth/SMB',21,'   SMB (3)\r\n       .     .',1040910493);
INSERT INTO international VALUES (3,'Auth/SMB',21,'    SMB (2)',1040910316);
INSERT INTO international VALUES (2,'Auth/SMB',21,'  SMB (1)\r\n',1040907309);
INSERT INTO international VALUES (1,'Auth/SMB',21,'    SMB',1040907186);
INSERT INTO international VALUES (1,'Auth/LDAP',21,'     LDAP',1040907137);
INSERT INTO international VALUES (73,'Article',21,'      :<br>\r\n<b>attachment.box</b><br>\r\n     .\r\n<br>\r\n<b>attachment.icon</b><br>\r\n   ,   .\r\n<br>\r\n<b>attachment.name</b><br>\r\n     .\r\n<br>\r\n<b>attachment.url</b><br>\r\n    (     ).\r\n<br>\r\n<b>image.thumbnail</b><br>\r\n       .\r\n<br>\r\n<b>image.url</b><br>\r\n     (     ).\r\n<br>\r\n<b>post.label</b><br>\r\n  .\r\n<br>\r\n<b>post.URL</b><br>\r\n  ,    .\r\n<br>\r\n<b>replies.count</b><br>\r\n     .\r\n<br>\r\n<b>replies.label</b><br>\r\n,     ,    .\r\n<br>\r\n<b>replies.url</b><br>\r\nURL     . \r\n<br>',1040902552);
INSERT INTO international VALUES (72,'Article',21,' ',1040901056);
INSERT INTO international VALUES (857,'WebGUI',1,'IP Address',1043878310);
INSERT INTO international VALUES (861,'WebGUI',1,'Make profile public?',1043879954);
INSERT INTO international VALUES (860,'WebGUI',1,'Make email address public?',1043879942);
INSERT INTO international VALUES (859,'WebGUI',1,'Signature',1043879866);
INSERT INTO international VALUES (858,'WebGUI',1,'Alias',1043879848);
INSERT INTO international VALUES (862,'WebGUI',1,'This user\'s profile is not public.',1043881275);
INSERT INTO international VALUES (866,'WebGUI',1,'Expire Notifcation Message',1044127055);
INSERT INTO international VALUES (865,'WebGUI',1,'Notify user about expiration?',1044126938);
INSERT INTO international VALUES (864,'WebGUI',1,'Expire Notification Offset',1044126838);
INSERT INTO international VALUES (863,'WebGUI',1,'Delete Offset',1044126633);
INSERT INTO international VALUES (867,'WebGUI',1,'Loss of Privilege',1044133143);
INSERT INTO international VALUES (618,'WebGUI',1,'<b>SMTP Server</b><br>\r\nThis is the address of your local mail server. It is needed for all features that use the Internet email system (such as password recovery).\r\n<p>\r\nOptionally, if you are running a sendmail server on the same machine as WebGUI, you can also specify a path to your sendmail executable. On most Linux systems this can be found at \"/usr/lib/sendmail\".\r\n\r\n<p>\r\n<b>Email Footer</b><br/>\r\nThis footer will be processed for macros and attached to every email sent from this WebGUI instance.\r\n<p/>\r\n\r\n<b>Alert on new user?</b><br>\r\nShould someone be alerted when a new user registers anonymously?\r\n<p>\r\n\r\n<b>Group To Alert On New User</b><br>\r\nWhat group should be alerted when a new user registers?\r\n<p>\r\n\r\n',1044709143);
INSERT INTO international VALUES (870,'WebGUI',1,'Welcome',1044139461);
INSERT INTO international VALUES (872,'WebGUI',1,'Who can view?',1044218038);
INSERT INTO international VALUES (871,'WebGUI',1,'Who can edit?',1044218026);
INSERT INTO international VALUES (635,'WebGUI',2,'Pakete sind Gruppen von Seiten und Wobjects, die zusammen verffentlicht bzw. \r\nerstellt werden sollen. Ein Paketmanager knnte z. B. ein Paket zusammenstellen, \r\ndas sich &nbsp;aus einem Diskussionsforum, einer Umfrage, einer FAQ oder &nbsp;hnlichem \r\nzusammensetzt, da diese Elemente vielleicht fter bentigt werden bzw. der Vorgang \r\nzur Erstellung dieser vielleicht mehrmals durchgefhrt werden msste. Pakete \r\nwerden auch empfohlen, um den Aufwand sich wiederholender Ttigkeiten/Aufgaben \r\nzu verringern. . \r\n<BR><BR>Ein Paket, dass viele verwenden wre z. B. ein Seiten/Artikel-Paket. \r\nOft kommt es ja vor, dass Sie eine Seite mit dem Wobject &quot;Artikel&quot; \r\ndarin erstellen mchten. Statt die einzelnen Schritte durchfhren zu mssen, \r\ndie dafr notwendig wren (Seite erstellen, Seite bearbeiten, Artikel auf dieser \r\nSeite hinzufgen, diesen Artikel bearbeiten etc.), knnen Sie einfach ein Paket \r\nerstellen, dass diese Schritte auf einmal durchfhrt. \r\n',1044006304);
INSERT INTO international VALUES (636,'WebGUI',2,'Um ein Paket zu erstellen, befolgen Sie einfach diese einfachen Schritte: \r\n<OL>\r\n<LI>Vom Administrationsmenu whlen Sie &quot;Verwalten: Pakete&quot;<LI>Fgen \r\n    Sie eine Seite hinzu und vergeben ihr einen Namen. Der Name dieser Seite \r\n    wird der Name des Paketes sein. \r\n<LI>Gehen Sie zur neuen Seite, die Sie eben erstellt haben und beginnen Sie \r\n    damit, Seiten und Wobjects hinzufgen. Alle Seiten oder Wobjects, die Sie \r\n    hier hinzugefgt haben, werden jedes Mal erstellt, wenn Sie dieses Paket \r\n    anwenden. \r\n</LI></OL><B>Hinweise:</B><BR>Damit Sie Pakete hinzufgen, bearbeiten oder lschen \r\nknnen, mssen Sie in der Paketmanager-Gruppe oder in der Admingruppe sein. <BR><BR>Wenn \r\nSie Inhalt zu einem Wobject, das sich im Paket befindet, hinzufgen, wird dieser \r\nautomatisch kopiert bzw. mit bernommen, wenn das Paket angewendet wird. <BR><BR>Privilegien/Berechtigungen \r\nund Styles, die den Seiten im Paket zugeordnet sind, werden nicht mit bernommen. \r\nStattdessen bernehmen die Seiten des Pakets die Privilegien und Styles des \r\nBereichs, in den sie eingefgt werden.',1044005675);
INSERT INTO international VALUES (842,'WebGUI',2,'Diese Makros werden bentigt, um Navigationselemente auf der Seite einzufgen. \r\n<P><b>^C; oder ^C(); - Crumb Trail</b><BR>Eine dynamisch generierte \'crumb trail\' \r\nzur aktuellen Seite. Damit wird ein horizontales Menu erzeugt, das, anders als \r\nz. B. das \'Top-Level Menu\' oder das \'Aktuelle Menu\' (siehe weiter unten) eine \r\nArt Pfadkennzeichnung ausgehend von der Homepage darstellt.(z.B. Home &gt; Unterseite1 \r\n&gt; Unter-Unterseite). Die Auswirkungen dieses Makros sind etwas schwer zu \r\nbeschreiben, aber probieren Sie es einfach aus.&nbsp;Ergnzend knnen Sie ein \r\nTrennzeichen zwischen den Seitenlinks definieren, und zwar durch die Benutzung \r\nvon z. B.  <b>^C(::);</b>. Das Standard-Trennzeichen ist  &gt;.<P><I>Beachte:</I> Die <b>.crumbTrail</b> Style \r\nSheet Klasse ist diesem Makro zugeordnet. \r\n<P><b>^FlexMenu;</b><BR>Dieses Menu-Makro erstellt ein Top-Level Menu, das beim \r\nAuswhlen eines jeden Menuelements erweitert wird, d. h. dass beim Anklicken \r\ndes Links die Untermenupunkte angezeigt (aufgeklappt)&nbsp;werden. \r\n<P><b>^H; oder ^H(); - Home Link</b><BR>Ein Link zur Homepage dieser Seite. \r\nZustzlich knnen Sie den Linktext wie folgt abndern:  <b>^H(&quot;Zur Homepage&quot;);</b>. \r\n<P><I>Beachte:</I> In speziellen Fllen knnen Sie auch  ^<b>H(linkonly);</b> benutzen, \r\num lediglich die URL zur Homepage anzuzeigen. <br> Die Style Sheet Klasse \'<b>.homeLink</b>\' \r\nist diesem Makro zugeordnet. \r\n<P><b>^M; oder ^M(); - Aktuelles  Menu (Vertikal)</b><BR>Ein vertikales Menu, \r\ndass die Unterseiten der aktuellen Ebene enthlt. Zustzlich knnen Sie auch \r\nangeben, wie viele Stufen dieses Menu in die Tiefe gehen soll. Standardmssig \r\nwird nur die erste Ebene angezeigt, wenn Sie aber z. B. bis zur dritten Unterebene \r\nanzeigen lassen mchten, mssen Sie das Makro wie folgt verwenden: <b>^M(3);</b>. \r\nWenn Sie das Makro auf &quot;0&quot; setzen, wird die komplette Seitenstruktur \r\nab dieser Ebene angezeigt. \r\n<P><b>^m; - Aktuelles  Menu (Horizontal)</b><BR>Ein horizontales Menu, dass \r\ndie Unterseiten der aktuellen Ebene enthlt. Ergnzend knnen Sie ein Trennzeichen \r\nzwischen den Seitenlinks definieren, und zwar durch die Benutzung von z. B. \r\n <b>^m(:--:);</b>. Das Standard-Trennzeichen ist  . \r\n<P><b>^P; oder ^P(); - Vorheriges  Menu (Vertikal)</b><BR>Ein vertikales Menu, \r\ndass die Unterseiten der vorherigen Ebene enthlt. Zustzlich knnen Sie auch \r\nangeben, wie viele Stufen dieses Menu in die Tiefe gehen soll. Standardmssig \r\nwird nur die erste Ebene angezeigt, wenn Sie aber z. B. bis zur dritten Unterebene \r\nanzeigen lassen mchten, mssen Sie das Makro wie folgt verwenden: <b>^P(3);</b>. \r\nWenn Sie das Makro auf &quot;0&quot; setzen, wird die komplette Seitenstruktur \r\nab dieser Ebene angezeigt. \r\n<P><b>^p; - Vorheriges  Menu (Horizontal)</b><BR>Ein horizontales Menu, dass \r\ndie Unterseiten der vorherigen Ebene enthlt. Ergnzend knnen Sie ein Trennzeichen \r\nzwischen den Seitenlinks definieren, und zwar durch die Benutzung von z. B. \r\n <b>^p(:--:);</b>. Das Standard-Trennzeichen ist  .<P><b>^rootmenu; or ^rootmenu(); (Horizontal)</b><BR>Ein \r\nhorizontales Menu mit den verschiedenen Startseiten (Roots) Ihres Systems. (ausgenommen \r\ndie WebGUI System Roots) Ergnzend knnen Sie ein Trennzeichen wie  <b>^rootmenu(|);</b> \r\neinfgen. \r\n<P><b>^S(); - Genau definiertes  SubMenu (Vertikal)</b><BR>Dieses Makro bietet \r\nIhnen die Mglichkeit, das Untermenu einer beliebigen Seite anzuzeigen, angefangen \r\nmit der Seite, die Sie angegeben haben. Als Beispiel knnen Sie das Homepage \r\nSubMenu mit diesem Makro anzeigen lassen.  \r\n<b>^S(&quot;home&quot;,0);</b>. Der erste Wert ist der verlinkte Titel der Seite \r\nund der zweite Wert ist die Tiefe, die angezeigt werden soll. Standardmssig \r\nsehen Sie nur die erste Ebene. Um z. B. 3 Ebenen tief anzeigen zu lassen, erstellen \r\nSie folgendes Makro: \r\n<b>^S(&quot;home&quot;,3);</b>. \r\n<P><b>^s(); - Genau definiertes  SubMenu (Horizontal)</b><BR>Dieses Makro bietet \r\nIhnen die Mglichkeit, das Untermenu einer beliebigen Seite anzuzeigen, angefangen \r\nmit der Seite, die Sie angeben. Als Beispiel knnen Sie das Homepage SubMenu \r\nmit diesem Makro anzeigen lassen: \r\n<b>^s(&quot;home&quot;);</b>. Der Wert ist der verlinkte Titel der Seite.  \r\n<b>^s(&quot;home&quot;,&quot;:--:&quot;);</b> einfgen. Das Standardtrennzeichen \r\nist . \r\n<P><b>^Synopsis; or ^Synopsis(); Menu</b><BR>Mit diesem Makro knnen Sie das \r\nUntermenu einer Seite zusammen mit dessen Beschreibungen (Zusammenfassung)&nbsp;anzeigen \r\nlassen. Standardmssig wird nur die erste Ebene angezeigt, wenn Sie aber z. \r\nB. bis zur dritten Unterebene anzeigen lassen mchten, mssen Sie das Makro \r\nwie folgt verwenden: <b>^Synopsis(3);</b>. \r\nWenn Sie das Makro auf &quot;0&quot; setzen, wird die komplette Seitenstruktur \r\nab dieser Ebene angezeigt. \r\n<P><I>Beachte:</I> Folgende Style Sheet Klassen sind diesem Makro zugeordnet: \r\n<ul>\r\n    <li>.synopsis_sub </li>\r\n    <li>.synopsis_summary</li>\r\n    <li>.synopsis_title</li>\r\n</ul>\r\n<P><b>^T; oder ^T(); - Top Level Menu (Vertikal)</b><BR>Ein vertikales Menu, \r\ndas die Hauptseiten Ihrer Website enthlt (Unterseiten der Homepage). Zustzlich \r\nknnen Sie auch angeben, wie viele Stufen dieses Menu in die Tiefe gehen soll. \r\nStandardmssig wird nur die erste Ebene angezeigt, wenn Sie aber z. B. bis zur \r\ndritten Unterebene anzeigen lassen mchten, mssen Sie das Makro wie folgt verwenden: <b>^T(3);</b>. \r\nWenn Sie das Makro auf &quot;0&quot; setzen, wird die komplette Seitenstruktur \r\nangezeigt.<P><b>^t; - Top Level Menu (Horizontal)</b><BR>Ein horizontales Menu, \r\ndas die Hauptseiten Ihrer Website enthlt (Unterseiten der Homepage). Optional \r\nknnen Sie ein Trennzeichen angeben mit  <b>^t(:--:);</b>. \r\nDas Standardtrennzeichen ist . \r\n<P><b>^/; - System URL</b><BR>Die URL zum \'Gateway Script\' = Eingangseite (beispielsweise: \r\n<I>/index.pl/</I>). \r\n<P><b>^\\; - Seiten  URL</b><BR>Die URL zur aktuellen Seite (beispielsweise: \r\n<I>/index.pl/seitenname</I>). </P>',1048592179);
INSERT INTO international VALUES (844,'WebGUI',2,'Diese Makros haben mit Benutzern und Login zu tun. \r\n<P><b>^a; or ^a(); - My Account Link</b><BR>Ein Link zu Ihrem Benutzerprofil. \r\nZustzlich knnen Sie den Linktext durch ein Makro wie dieses ndern: \r\n<b>^a(&quot;Mein Profil&quot;);</b>. \r\n<P><I>Beachte:</I> Sie knnen auch im speziellen Fall  ^a(linkonly); benutzen, \r\num lediglich die URL zum Profil anzuzeigen und nichts weiter. <br>Die Style \r\nSheet Klasse \' <b>.myAccountLink</b>\' ist diesem Makro zugeordnet. \r\n<P><b>^AdminText();</b><BR>Zeigt dem Benutzer, der im Administrationsmodus ist, \r\neine kleine Textmeldung an. Beispiel:  ^AdminText(&quot;Sie sind im Administrationsmodus!&quot;); \r\n<P><b>^AdminToggle; or ^AdminToggle();</b><BR>Platziert einen Link auf der Seite, \r\nder nur fr Content Manager und Administratoren sichtbar ist. Der Link schaltet \r\nden Admin-Modus an oder aus. Optional knnen Sie ein Makro verwenden, dass einen \r\nanderen Text anzeigt, wie z. B.  \r\n^AdminToggle(&quot;Adminmodus an&quot;,&quot;Adminmodus aus&quot;); \r\n<P><b>^GroupText();</b><BR>Zeigt dem Benutzer eine kleine Textmeldung an, abhngig \r\ndavon, welcher Gruppe er zugeordnet ist. Beispiel: ^GroupText(&quot;Visitors&quot;,&quot;Lassen \r\nSie sich registrieren, wenn Sie weitere coole Features dieser Seite nutzen mchten!&quot;); \r\n<P><b>^L; or ^L(); - Login Box</b><BR>Ein kleines Anmeldeformular. Dieses Makro knnen \r\nSie auch konfigurieren. Sie knnen die Breite der Login-Box mit  ^L(20); angeben, \r\noder Sie knnen eine Textmeldung ausgeben lassen, nachdem sich der Benutzer \r\nangemeldet hat, wie  ^L(20,Hallo \r\n^a(^@;);. Klicken Sie  %hier%, wenn Sie sich abmelden mchten!) \r\n<P><I>Beachte:</I> Die Style Sheet Klasse <b>\'.loginBox\'</b> ist diesem Makro \r\nzugeordnet. \r\n<P><b>^LoginToggle; or ^LoginToggle();</b><BR>Zeigt eine  &quot;Anmelden&quot; oder &quot;Abmeldung&quot; \r\nNachricht an, je nachdem, ob der Benutzer an-oder abgemeldet ist. Optional \r\nknnen Sie auch eine Meldung wie diese ausgeben lassen: ^LoginToggle(&quot;Hier \r\nklicken, um sich anzumelden.&quot;,&quot;Hier klicken, um sich abzumelden.&quot;); \r\n<P><b>^@; - Benutzername</b><BR>Der Benutzername des aktuell angemeldeten Benutzers. \r\n<P><b>^#; - Benutzer ID</b><BR>Die Benutzer ID des aktuell angemeldeten Benutzers. </P>',1048592055);
INSERT INTO international VALUES (846,'WebGUI',2,'Diese Makros werden hauptschlich bentigt um Styles in WebGUI zu erstellen. \r\n<P><b>^AdminBar;</b><BR>Platziert die Administrationsleiste auf der Seite. Dieses \r\nElement wird im &quot;Body&quot; Bereich bentigt.. \r\n<P><b>^c; - Company Name</b><BR>Der Firmenname, den Sie in den Profileinstellungen \r\ndes Administrators eingetragen haben. \r\n<P><b>^e; - Company Email Address</b><BR>Die Emailadresse, die Sie in den Profileinstellungen \r\ndes Administrators eingetragen haben.<P><b>^Extras;</b><BR>Gibt den Pfad zum \r\nWebGUI &quot;extras&quot; Verzeichnis zurck, der Dinge wie die WebGUI Icons \r\nenthlt. \r\n<P><b>^PageTitle;</b><BR>Zeigt den Titel der aktuellen Seite an. \r\n<P><b>^r; or ^r(); - Druckversion der Seite</b><BR>Erstellt einen Link, um den \r\nStyle von der Seite zu entfernen bzw. um Sie fr den Ausdruck zu optimieren. \r\nZustzlich knnen Sie &nbsp;den Linktext ndern, wenn Sie ein Makro wie dieses \r\neinsetzen: <b>^r(&quot;Drucken!&quot;);</b>. \r\n<P>Standardmssig wird, wenn der Link angeklickt wird, der aktuelle Seiten Style \r\nersetzt mit dem &quot;Make Page Printable&quot; Style im Style Manager. Genauso \r\ngut kann dies aber gendert bzw. berschrieben werden, wenn Sie den Namen eines \r\nanderen Styles als zweiten Parameter angeben, wie z. B.  ^r(&quot;Print!&quot;,&quot;Demostyle&quot;); \r\n<P><I>Beachte:</I> Sie knnen auch im speziellen Fall  ^r(linkonly); benutzen, \r\num lediglich die URL zur Druckversion angeben und nichts weiter.<br>Die Style \r\nSheet Klasse  \r\n\'<b>.makePrintableLink</b>\' ist diesem Makro zugeordnet. \r\n<P><b>^RootTitle;</b><BR>Gibt den Titel der aktuellen Startseite (Root) aus. \r\nWenn z. B. der Titel der aktuellen Startseite &quot;Home&quot; ist, wird dieser \r\nTitel angezeigt. Einige Seiten haben mehrere Startseiten (Roots) und folglich \r\nwird etwas bentigt, um dem Besucher zu zeigen, in welchem Bereich er sich gerade \r\nbefindet. \r\n<P><b>^u; - Company URL</b><BR>Die  URL, die Sie in den Profileinstellungen \r\ndes Administrators eingetragen haben.<P><b>^?; - Search</b><BR>Fgt ein Suchformular \r\nein. Dieses ist an die eingebaute WebGUI Suchmaschine angebunden.. \r\n<P><I>Beachte:</I> Die Style Sheet Klasse \'<b>.searchBox</b>\' ist diesem Makro \r\nzugeordnet. \r\n<P><b>^-;</b><BR>Dies ist das &quot;Trenn-Makro&quot;, d. h. es darf genau einmal \r\nin jedem Style auftauchen, da es angibt, wo der Content/Inhalt fr die Seite \r\neingefgt werden soll.</P>',1048591624);
INSERT INTO international VALUES (612,'WebGUI',2,'Es besteht keine Notwendigkeit immer einen Benutzer gleich zu lschen. Wenn \r\nSie einen Benutzer z.b. sperren mchten, knnen Sie auch einfach sein Passwort \r\nndern. Wenn Sie sich aber wirklich sicher sind, dass Sie diesen Benutzer lschen \r\nwollen, beachten Sie auch die Folgen, die sich daraus ergeben. Wenn Sie einen \r\nBenutzer lschen, bleibt der ganze Inhalt, den der Benutzer ber die Wobjects \r\nIhrer Seite hinzugefgt hat (z. B. Beitrge im Diskussionsforum) erhalten. Wenn \r\naber jedoch jemand anderes sich das Profil dieses gelschten Benutzers, dessen \r\nName ja noch im System auftaucht (zb. in dem von ihm verfassten Beitrag im Diskussionsforum) \r\nanschauen mchte, erhlt er eine Fehlermeldung. Genauso verhlt es sich, wenn \r\nSie den gelschten Benutzer doch wieder aufnehmen, gibt es keinen Weg mehr, \r\num ihm auch die Berechtigungen fr die von ihm vor der Lschung verfassten Beitrge \r\nzurckzugeben - es sei denn Sie fgen den Benutzer manuell in die Benutzertabelle \r\nder Datenbank hinzu. \r\n<P>Wie mit allen Lschvorgngen, werden Sie auch hier gefragt, ob Sie sich wirklich \r\nsicher sind, dass Sie diesen Benutzer lschen mchten. Wenn Sie dann mit \'Ja\' \r\nantworten, wird er gelscht. Antworten Sie jedoch mit \'Nein\', kommen Sie wieder \r\nzurck zur vorherigen Seite. </P>',1043961142);
INSERT INTO international VALUES (610,'WebGUI',2,'Fr weitere Details schauen Sie bitte unter <B>Benutzer verwalten</B> \r\n<P><B>Benutzername</B><BR>Der Benutzername ist die eindeutige Kennzeichnung \r\nfr einen Benutzer. Es ist aber auch eine Kennzeichnung, wie der Benutzer in \r\nder WebGUI Seite angezeigt wird.  \r\n(Beachte<I>:</I> Administratoren haben unbeschrnkte Rechte im WebGUI System. \r\nDas bedeutet aber auch, das sie damit die Fhigkeit haben, das System zu beschdigen. \r\nWenn Sie einen Benutzer umbenennen oder erstellen, achten Sie darauf, dass Sie \r\nnicht einen bereits vergebenen Benutzernamen nehmen) \r\n<P><B>Passwort</B><BR>Ein Passwort ist dazu da, um sicherzustellen, dass der \r\nBenutzer auch der ist, der er ist. \r\n<P><B>Authentifizierungs Methode</B><BR>Weitere Details unter <I>Einstellungen \r\nbearbeiten</I>. \r\n<P><B>LDAP URL</B><BR>Weitere Details unter <I>Einstellungen bearbeiten</I>. \r\n<P><B>Verbindungs DN</B><BR>Die Verbindugns DN ist die <B>cn</B> (common name) eines \r\neingetragenen Benutzers in der LDAP Datenbank. Das Format sollte sein wie  <B>cn=John Doe</B>. \r\nDies ist in der Tat der Benutzername, der zur Authentifizierung gegenber dem \r\nLDAP Server benutzt wird. </P>',1045494240);
INSERT INTO international VALUES (607,'WebGUI',2,'<B>Anonyme Registrierung</B><BR>Mchten Sie, dass sich die Besucher Ihrer Seite \r\nselbst registrieren knnen? <BR><BR><B>Beim Registrieren ausfhren</B><BR>Was \r\nhier Sie hier eintragen, wird jedesmal ausgefhrt, wenn sich ein Benutzer anonym \r\nregistriert. \r\n\r\n<P><B>Karma aktivieren?</B><BR>Soll Karma aktiviert werden? \r\n<P><B>Karma pro Login</B><BR>Der Karmawert, den der Benutzer erhlt, wenn er \r\nsich anmeldet. Dies wirkt nur, wenn Karma aktiviert ist. \r\n<P><B>Sitzungs Zeitberschreitung (Timeout)</B><BR>Die Zeit, die eine Benutzer-Sitzung \r\naktiv ist, bevor er sich wieder neu einloggen muss. Jedesmal, wenn der Benutzer \r\neine neue Seite anschaut, wird dieses Timeout wieder zurckgesetzt.  Wenn Sie also z. b. das Timeout auf 8 Stunden setzen, muss sich \r\nein Benutzer wieder neu einloggen. \r\n<P><B>Benutzern erlauben, ihren Account zu deaktivieren?</B><BR>Mchten Sie \r\nIhren Benutzern die Mglichkeit bieten, ihren Account ohne Ihr Zutun selbst \r\ndeaktivieren zu knnen<P><B>Authentifizierungsmethode (standard)</B><BR>Welche Authentifizierungsmethode soll \r\nstandardmssig fr neue Accounts verwendet werden? Die beiden mglichen Methoden sind WebGUI und LDAP. WebGUI Authentifizierung \r\nbedeutet, dass sich die Authentifizierung anhand des Benutzernamens und des \r\nPassworts, die in der Datenbank hinterlegt sind, richtet. Bei der LDAP-Methode \r\nerfolgt die Authentifizierung ber einen externen  LDAP \r\nserver. <BR><BR><I>Beachte:</I> Diese Einstellungen knnen auf Benutzerebene \r\ngesondert vorgenommen werden. </P>\r\n<P><B>Beachte ausserdem:</B> Abhngig davon, welche Authentifizierungsmodule \r\nin Ihrem System installiert sind, erhalten Sie eine Auswahl an mglichen Optionen. \r\nNachfolgend die Optionen fr die beiden standardmssig installierten Authentifizierungsmethoden:\r\n<h2>WebGUI Authentifizierungs Optionen</h2>\r\n<B>Begrssungmeldung senden?</B><BR>Mchten Sie, dass WebGUI automatisch eine \r\nBegrssungsmeldung verschickt, wenn sich jemand fr Ihre Seite registriert?<P><B>Beachte:</B> Zustzlich \r\nzu dem Text, den Sie angeben knnen, werden die Zugangsdaten der Meldung hinzugefgt \r\n<P><B>Begrssungsmeldung</B> <BR>Geben Sie hier den Text ein, den Sie einem \r\nBenutzer nach erfolgter Registrierungs senden mchten.<P><B>Passwort wiederherstellen \r\nMeldung</B><BR>Geben Sie hier den Text ein, der dem Benutzer gesendet wird, \r\nwenn er sein Passwort wiederherstellen lsst.<P>\r\n<H2>LDAP Authentifizierungs Optionen</H2>\r\n<p><B>LDAP URL (Standard)</B><BR>Die Standard-URL zum LDAP Server. Die \r\n LDAP URL hat folgendes Format: \r\n<B>ldap://[server]:[port]/[base DN]</B>. Beispiel: \r\nldap://ldap.mycompany.com:389/o=MyCompany. <BR><BR><B>LDAP Identitt</B><BR>Die \r\nLDAP Identitt die eindeutige Bezeichner im LDAP Server, die den Benutzer identifiziert. Oft \r\nenthlt dieses Feld den <B>Kurznamen</B>, der sich aus dem ersten Buchstaben \r\ndes Vornamens und dem Nachnamen zusammensetzt. Beispiel: jdoe<BR><BR><B>LDAP Identitts Name</B><BR>Bezeichnung, \r\ndie verwendet wird um die LDAP Identitt des Benutzers zu beschreiben. Beispielsweise \r\nbenutzen einige Firmen einen LDAP Server zur Benutzerregistrierung an Ihrem \r\nProxy Server. Wie schon in der \r\nDokumentation beschrieben, ist die  LDAP Identitt auch bekannt als der <I>Web Username.  <BR><BR><B>LDAP Password Name</B><BR>Genauso \r\nwie die LDAP Identitt eine Bezeichnung ist, so verhlt es sich auch mit dem \r\n LDAP Password Name.</I></p>\r\n',1045242601);
INSERT INTO international VALUES (75,'USS',2,'Hier ist die bersicht ber die Template Variabeln, die im Benutzerbeitragssystem \r\nzur Verfgung stehen. \r\n<P><B>readmore.label</B><BR>Die bersetzte Bezeichnung, die anzeigt, das ein \r\nBenutzer hier klicken kann, um mehr von dem Beitrag zu lesen. \r\n<P><B>responses.label</B><BR>Die bersetzte Bezeichnung, die anzeigt, das ein \r\nBenutzer hier klicken kann, um Antworten zu diesem Beitrag zu sehen. \r\n<P><B>canPost</B><BR>Eine Bedingungsvarariable die anzeigt, ob ein Benutzer \r\neinen neuen Beitrag verfasen kann. \r\n<P><B>post.url</B><BR>Die URL zum Schreiben eines neuen Beitrages. \r\n<P><B>post.label</B><BR>Die bersetzte Bezeichnung fr diese URL. <P><B>search.url</B><BR>Die \r\nURL um WebGUI\'s WebGUI Power Suchformular &nbsp;zu an- oder auszuschalten. \r\n<p><B>search.label</B><BR>Die bersetzte Bezeichnung fr diesen Link. </p>\r\n<P><B>search.form</B><BR>WebGUI Power Suchformular . \r\n<P><B>title.label</B><BR>Die bersetzte Bezeichnung fr die Titel-Spalte. \r\n<P><B>thumbnail.label</B><BR>Die bersetzte Bezeichnung fr die Vorschaubild-Spalte. \r\n<P><B>date.label</B><BR>Die bersetzte Bezeichnung fr die Datum-Spalte. \r\n<P><B>by.label</B><BR>Die bersetzte Bezeichnung, wer den Beitrag verfasst. \r\n<P><B>submissions_loop</B><BR>Eine Schleif, die jeden einzelnen Beitrag umfasst. \r\n<BLOCKQUOTE><B>submission.id</B><BR>Eine eindeutige Bezeichnung fr diesen Beitrag. \r\n<P><B>submission.url</B><BR>Die URL, um diesen Beitrag anzuschauen. \r\n<P><B>submission.content</B><BR>Die verkrzte Wiedergabe des Beitragsinhalts. \r\n\r\n<P><B>submission.responses</B><BR>Die Anzahl der Antworten auf diesen Beitrag. \r\n<P><B>submission.title</B><BR>Der Titel des Beitrags. \r\n<P><B>submission.userId</B><BR>Die ID des Benutzers, der diesen Beitrag verffentlicht \r\n    hat. \r\n<P><B>submission.username</B><BR>Der Benutzername dieses Benutzers. \r\n<P><B>submission.status</B><BR>Der Status dieses Beitrages (freigegeben, ausstehend, \r\n    abgelehnt). \r\n<P><B>submission.thumbnail</B><BR>Das Vorschaubild eines hochgeladenen Bildes \r\n    (sofern eins vorhanden ist). \r\n<P><B>submission.date</B><BR>Datum des Beitrages. \r\n<P><B>submission.currentUser</B><BR>Bedingungsvariable, ob der aktuelle Benutzer \r\n    auch der ist, der diesen Beitrag verffentlicht hat. \r\n<P><B>submission.userProfile</B><BR>Die URL zu dessen Benutzerprofil. \r\n<P><B>submission.secondColumn</B><BR>Eine Bedingung, ob dieser Beitrag in einem \r\n    mehrspaltigen Layout in die zweite Spalte gehrt oder nicht. \r\n<P><B>submission.thirdColumn</B><BR>Eine Bedingung, ob dieser Beitrag in einem \r\n    mehrspaltigen Layout in die dritte Spalte gehrt oder nicht. \r\n<P><B>submission.fourthColumn</B><BR>Eine Bedingung, ob dieser Beitrag in einem \r\n    mehrspaltigen Layout in die vierte Spalte gehrt oder nicht. \r\n<P><B>submission.fifthColumn</B><BR>Eine Bedingung, ob dieser Beitrag in einem \r\n    mehrspaltigen Layout in die fnfte Spalte gehrt oder nicht. \r\n<P></P></BLOCKQUOTE>\r\n<P><B>firstPage</B><BR> Link zur ersten Seite. \r\n<P><B>lastPage</B><BR>Link zur letzten Seite. \r\n<P><B>nextPage</B><BR>Link zur nchsten Seite. \r\n<P><B>previousPage</B><BR>Link zur vorherigen Seite. \r\n<P><B>pageList</B><BR>Eine Liste aller Links. \r\n<P><B>multiplePages</B><BR>Eine Bedingung, die anzeigt, ob es mehr als eine \r\nSeite gibt.</P>',1043949958);
INSERT INTO international VALUES (71,'USS',2,'Benutzerbeitragssysteme sind eine gute Mglichkeit um eine Art Gemeinschaftsgefhl \r\nzu geben oder um kostenlose Beitrge Ihrer Benutzer zu erhalten. <BR><BR><b>Haupt \r\nTemplate</b><BR>Whlen Sie ein Layout aus. \r\n<P><b>Inhalt filtern</b><BR>Whlen Sie die Stufe der Filterung des Contents \r\naus.. \r\n<P><b>Benutzerbeitragssystem  Template</b><BR>Whlen Sie ein Layout fr die \r\neinzelnen Beitrge aus. \r\n\r\n<P><b>Wer kann genehmigen?</b><BR>Welche Gruppe hat die Berechtigung, Beitrge \r\nzu erlauben oder zu verbieten? \r\n<BR><BR><b>Wer kann Beitrge schreiben?</b><BR>Welche Gruppe hat die Berechtigung, \r\nBeitrge verfassen zu drfen? <BR><BR><b>Beitrge pro Seite</b><BR>Wieviele \r\nBeitrge sollen pro Seite in der bersicht angezeigt werden? <BR><BR><b>Standard \r\nStatus</b><BR>Sollen Beitrge standardmssig auf &quot;Abgelehnt&quot;, &quot;Ausstehend&quot; \r\noder &quot;freigegeben&quot; gestellt werden? <BR><BR><I>Beachten Sie:</I> Wenn \r\nSie den Status auf &quot;Ausstehend&quot; setzen, dann mssen Sie daran denken, \r\nfter in Ihrem Posteingang nachzuschauen, ob Beitrge zur Verffentlichung anstehen. \r\n<P><b>Karma pro Benutzerbeitrag</b><BR>Wieviel Karma soll ein Benutzer erhalten, \r\nwenn er einen Beitrag verfasst? \r\n<P><b>Vorschaubilder anzeigen?</b><BR>Sofern eine Grafik im Beitrag enthalten \r\nist, wird das Vorschaubild im Layout angezeigt. \r\n<P><b>Diskussion erlauben?</b><BR>Do you wish to attach a discussion to this user \r\nsubmission system? If you do, users will be able to comment on each submission. \r\n<P><b>Beitrge filtern</b><BR>Whlen Sie hier aus, wie weit Benutzerbeitrge \r\ngefiltert werden sollen. \r\n<P><b>Wer kann Diskussionsbeitrge schreiben?</b><BR>Whlen Sie die Gruppe aus, \r\ndie berechtigt ist, Diskussionsbeitrge zu verfassen. \r\n<P><b>Timeout zum Bearbeiten</b><BR>Wie lange soll der Benutzer die Mglichkeit \r\nhaben, den von ihm verfassten Beitrag zu bearbeiten, bevor diese Bearbeitungsmglichkeit \r\nfr ihn gesperrt wird? \r\n<P><I>Beachten:</I> Setzen Sie das Limit nicht zu hoch. Das beste an Diskussionen \r\nist ja, dass Sie eine genaue Wiedergabe dessen darstellen sollen, wer wann was \r\ngesagt hat. . \r\n<P><b>Karma pro Diskussionsbeitrag</b><BR>Wieviel Karma soll ein Benutzer erhalten, \r\nwenn er einen Beitrag zur Diskussion verfasst? \r\n \r\n<P><b>Wer kann moderieren?</b><BR>Whlen Sie eine Gruppe aus, die diese Diskussion \r\nmoderieren kann. \r\n<P><b>Moderationsart?</b><BR>Sie knnen hier auswhlen, welche Moderationsart \r\nSie bevorzugen. \r\n<ul>\r\n    <li>\'Sofort\'<I> </I>bedeutet, dass der Beitrag sofort verffentlicht wird, \r\n    nachdem der Benutzer ihn verfasst hat. </li>\r\n    <li>\'Freigeben\' bedeutet, dass der Moderator den Beitrag zuerst anschauen \r\n    und freigeben muss, bevor er fr alle sichtbar wird.</li>\r\n</ul>\r\n<p>Benachrichtigungen ber den Eingang neuer Beitrge/Kommentare erscheinen sofort im Posteingang des Moderators. </p><b>Bearbeitungszeitpunkt zu Beitrgen hinzufgen?</b><BR>Mchten \r\nSie einen &quot;Zeitstempel&quot; zu jedem Beitrag hinzufgen? ',1048589165);
INSERT INTO international VALUES (71,'SQLReport',2,'SQL Reports&nbsp;sind vielleicht das effizienteste Werkzeug in WebGUI. Hiermit \r\nhat der Benutzer die Mglichkeit Daten von allen Datenbanken abzufragen, zu \r\ndenen er Zugriff hat. Damit kann er z. B. Verkaufsdaten aus seinem WebShop einbinden \r\noder alle Diskussionsforen auf seiner Website zusammenfassen. \r\n<P><b>Makros in der Abfrage vorverarbeiten?</b><BR>Wenn Sie WebGUI Makros in \r\nIhrer Abfrage nutzen mchten, mssen Sie diesen Punkt aktivieren. \r\n<P><b>Debug?</b><BR>Aktivieren Sie dies, wenn Debugging- und Fehlermeldungen \r\nangezeigt werden sollen. \r\n<P><b>Abfrage</b><BR>Dies ist eine Standard SQL-Abfrage. Sollten Sie mit SQL \r\nnicht vertraut sein, bietet Ihnen \r\n<A \r\nhref=\"http://www.plainblack.com/\">Plain Black Software</A> bungslehrgnge \r\nin SQL und Datenbankmanagement an. Sie knnen mit dem ^FormParam();-Makro Abfragen \r\ndynamischer gestalten. \r\n<P><b>Report Template</b><BR>Wie soll der Report&nbsp;dargestellt werden? Normalerweise \r\nbenutzt man HTML-Tabellen um einen SQL-Report zu generieren. Wenn Sie dieses \r\nFeld leerlassen, wird eine Vorlage basierend auf der Ergebnisliste angezeigt. \r\n<P>Es gibt einige spezielle Makros-Zeichen die zur Erstellung von SQL-Reports \r\ngenutzt werden knnen. Diese sind \r\n^-;, ^0;, ^1;, ^2;, ^3;, etc. Diese Makros werden ungeachtet der Einstellungen \r\n&quot;Makros in der Abfrage vorverarbeiten&quot; abgearbeitet.  Das  ^- Makro stellt \r\nTrennpunkte im Dokument dar, um zu kennzeichnen, wo die Anfangs- und Endschleife \r\ndes Reports beginnt. Die numerischen Makros stellen die Datenfelder dar, die \r\nvon Ihrer Abfrage zurckgegeben werden. Es gibt noch ein zustzliches Makro \r\n(^rownum;), das die Zeilen der Abfrage beginnend bei 1 zhlt. Dies knnen Sie \r\nnutzen, wenn die einzelnen Ergebnisstze nummeriert werden sollen. \r\n<P><b>DSN</b><BR><b>D</b>ata <b>S</b>ource <b>N</b>ame ist die eindeutige Bezeichnung, \r\ndie von Perl genutzt wird, um den Ort Ihrer Datenbank zu beschreiben. Das Format \r\nist DBI:[Treiber]:[Datenbankname]:[Host]. \r\n<P><I>Beispiel:</I> DBI:mysql:WebGUI:localhost \r\n<P><b>Datenbankbenutzer</b> <br>Der Benutzername zur DSN. \r\n<P><b>Datenbankpasswort</b> <br>Das Passwort zur DSN. \r\n<P><b>Eintrge pro Seite</b> <br>How many rows should be displayed before splitting the \r\nresults into separate pages? In other words, how many rows should be displayed \r\nper page? \r\n<P><b>Carriage Return beachten?</b> <br>Mchten Sie Carriage Returns in der \r\nErgebnisansicht zu HTML-Umbrchen konvertieren. </P>',1048591674);
INSERT INTO international VALUES (611,'WebGUI',2,'<b>Firmen Name</b><br>\r\nDer Name Ihrer Firma. Er erscheint auf allen Emails und berall dort, wo das CompanyName-Macro eingesetzt wird.<br><br>\r\n<b>Firmen Email Adresse</b><br>\r\nEine allgemeine Firmen-Emailadresse. Von dieser Adresse werden alle automatischen Emails versendet. Sie kann auch ber das WebGUI-Macrosystem genutzt werden.<br><br>\r\n<b>Firmen URL</b><br>\r\nDie Haupt-URL Ihrer Firma. Diese erscheint auf allen von WebGUI versendeten Emails. Wie schon bei den ersten beiden Funktionen kann auch hier das WebGUI-Macrosystem benutzt werden.',1043425351);
INSERT INTO international VALUES (616,'WebGUI',2,'<b>Pfad zu den WebGUI Extras</b><br>\r\nDer Webpfad zum Verzeichnis, dass die WebGUI Grafiken und javascript-Dateien enthlt<br><br>\r\n<b>Maximale Dateigre fr Anhnge</b><br>\r\nDiese Einstellung gilt fr alle Wobjects, die das Hochladen von Dateien und Bildern erlauben (wie z. B. Artikel) Die Grsse wird in Kilobytes angegeben.<br><br>\r\n<b>Grsse der Vorschaubilder (Thumbnails)</b><br>\r\nDie Grsse der lngsten Seite einer Grafik. Wenn Sie z. B. den Wert auf 100 setzen und Ihre Grafik ist 400 Pixel hoch und 200 Pixel breit, so wird das Vorschaubild eine Hhe von 100 Pixels und eine Breite von 50 Pixels haben.<br><br><i>Beachten Sie:</i> Vorschaubilder werden automatisch generiert, wenn Grafiken hochgeladen/hinzugefgt werden.<br><br>\r\n<b>Web Pfad fr die Anhnge</b><br>\r\nDer Webpfad zum Verzeichnis, in dem Anhnge gespeichert werden sollen (z.B. /uploads).<br><br>\r\n<b>Serverpfad fr die Anhnge</b><br>\r\nDer lokale Pfad zum Verzeichnis, in dem die Anhnge gespeichert werden sollen, z. B. /var/www/public/uploads. Beachten Sie, dass der Webserver gengend Rechte hat, um in dieses Verzeichnis speichern zu knnen.',1043425071);
INSERT INTO international VALUES (629,'WebGUI',2,'<b>Proxy Caching unterbinden</b><br>\r\nEinige Firmen haben Proxy Server im Einsatz, die Probleme mit WebGUI verursachen knnen. Wenn Sie solche Problem feststellen, knnen Sie die Einstellungen auf \'JA\' setzen. Beachten Sie aber bitte, dass WebGUI\'s URLs nicht mehr so benutzerfreundlich sein werden, wenn dieses Feature aktiviert ist.\r\n<br><br>\r\n<b>Fehlersuche anzeigen</b><br>\r\nWenn dies aktiviert ist, werden erweiterte Meldungen, die lediglich fr Entwickler oder Administratoren interessant sein knnen, angezeigt. Dies ist hilfreich beim Lsen eines Problems<br><br>\r\n<b>Seitenstatistik aktivieren<b><br>\r\nWebGUI kann einige statistische Informationen ber ihre Seite speichern. Jedoch wird dadurch die Prozessorbelastung erhht und die Datenbank wird etwas grsser. Aktivieren Sie dies nur, wenn Sie kein externes WebStatistik-Programm nutzen.',1043424198);
INSERT INTO international VALUES (630,'WebGUI',2,'In WebGUI ist eine kleine, aber feine Echt-Zeit Suchmaschine integriert. Wenn Sie diese benutzen mchten, knnen Sie das ^?; Makro nutzen, oder Sie fgen \'?op=search\' ans Ende einer URL an oder Sie basteln Ihr eigenes Formular.<br><br>Einige Leute bentigen eine Suchmaschine, um ihre WebGUI Seite und andere Seiten zu indizieren. Oder sie haben mehr Anforderungen an eine Suchmaschine, als das, was die WebGUI Suchmaschine bietet. In diesen Fllen empfehlen wir <a href=\"http://www.mnogosearch.org/\">MnoGo Search</a> oder <a href=\"http://www.htdig.org/\">ht://Dig</a>.',1048592118);
INSERT INTO international VALUES (698,'WebGUI',2,'Karma ist eine Methode, um Benutzeraktivitten zu verfolgen und den Benutzer mglicherweise zu belohnen oder zu \'bestrafen\' fr den Umfang der Aktivitten, die er durchgefhrt hat. <br><br>Wenn Karma aktiviert ist, beachten Sie, dass bei den Einstellungen von vielen Komponenten in WebGUI Karma-Funktionen hinzugekommen sind (z. B. knnen Sie bei Abstimmungen \'Karma pro Abstimmung\' definieren.<br><br>\r\nSie knnen nachverfolgen bzw. Karma vergeben, wenn sich ein Benutzer anmeldet und wieviel er zu Ihrer Seite beigetragen hat (wieviele Beitrge er verfasst hat, etc.) \r\n<br><br>\r\nUnd Sie knnen z. B. je nach Karma-Anzahl Zugriff zu besonderen Bereichen gewhren.<br><br>\r\nMehr ber Karma finden Sie in <a href=\"http://www.plainblack.com/ruling_webgui\">Ruling WebGUI</a>.',1043423279);
INSERT INTO international VALUES (836,'WebGUI',2,'Schnipsel sind Text-Elemente, die mehrfach auf Ihrer Seite genutzt werden knnen. Dinge wie Java-Scripts, Style Sheets, Flash Animationen oder einfach nur Slogans sind Beispiele hierfr. Das beste daran ist, dass Sie nderungen, die zum Beispiel in einem Slogan oder Werbespruch durchgefhrt werden mssen, an zentraler Stelle ndern knnen.<br><br>\r\n<b>Name</b><br>Vergeben Sie einen eindeutigen Namen, damit Sie das Schnipsel spter schnell wiederfinden knnen.<br><br>\r\n<b>In welches Verzeichnis</b><br>In welchen Ordner mchten Sie das Schnipsel speichern<br><br>\r\n<b>Schnipsel</b><br>Geben Sie hier den Text ein oder noch einfacher: kopieren Sie den bentigten Text oder auch JavaScript-Code ber die Zwischenablage ein.',1043421646);
INSERT INTO international VALUES (874,'WebGUI',1,'Unsubscribe From Thread',1044387387);
INSERT INTO international VALUES (873,'WebGUI',1,'Subscribe To Thread',1044387372);
INSERT INTO international VALUES (620,'WebGUI',2,'Wie diese Funktion bereits andeutet werden Sie eine Gruppe lschen und alle \r\ndarin befindlichen Benutzer aus dieser Gruppe zu entfernen. Achten Sie darauf, \r\ndass Benutzer in dieser Gruppe nicht vielleicht die Berechtigung fr Seiten \r\nverlieren etc. \r\n<P>Wie mit jedem Lschvorgang werden Sie gefragt, ob sie sich wirklich sicher \r\nsind, diese Gruppe zu lschen. Wenn Sie mit &quot;Ja&quot; antworten, wird \r\nder Lschvorgang durchgefhrt, andernfalls gelangen sie zur vorherigen Seite \r\nzurck.</P>',1044377232);
INSERT INTO international VALUES (619,'WebGUI',2,'Diese Funktion lscht das gewhlte Wobject dauerhaft von einer Seite. Wenn sie \r\nsich nicht sicher sind, ob sie dieses Element lschen mchten, knnen Sie es \r\nauch ausschneiden und in die Zwischenablage legen und es dann irgendwann lschen. \r\n<P>Wie mit jedem Lschvorgang werden Sie gefragt, ob sie sich wirklich sicher \r\nsind, dieses Wobject zu lschen. Wenn Sie mit &quot;Ja&quot; antworten, wird \r\nder Lschvorgang durchgefhrt, andernfalls gelangen sie zur vorherigen Seite \r\nzurck.</P>',1044376958);
INSERT INTO international VALUES (618,'WebGUI',2,'<B>SMTP Server</B><BR>Dies ist die Adresse ihres lokalen \r\nMailservers. Diese wird in allen Funktionen bentigt, die das Internet Emailsystem \r\nverwenden (wie z. B. Passwort wiederherstellen). \r\n<P>Optional knnen Sie auch den Pfad zu sendmail angeben, wenn ein Sendmail-Server \r\nauf der gleichen Maschine wie WebGUI luft. Bei den meisten Linux-Servern ist \r\ndies &quot;/usr/lib/sendmail&quot;. </P><P><B>Email Fussbereich</B>\r\n<p>Dieser \r\nFusstext ist fr Makros vorgesehen und wird jeder Email, die von WebGUI versandt \r\nwird, angehngt.<P><B>Bei neuem Benutzer benachrichtigen?</B><BR>Soll jemand \r\ninformiert werden, sofern sich jemand anonym registriert hat? \r\n<P><B>Gruppe, die bei neuem Benutzer benachrichtig werden soll</B><BR>Welche \r\nGruppe soll benachrichtigt werden, wenn sich ein neuer Benutzer registriert? </P>',1045243460);
INSERT INTO international VALUES (614,'WebGUI',2,'Styles werden benutzt, um das &quot;Look and feel&quot; ihrer WebGUI Seiten \r\nzu bestimmen. Mit WebGUI knnen&nbsp;sie eine unbegrenzte Anzahl von&nbsp;Styles \r\nverwenden, daher knnen sie so viele verschiedene Darstellungen benutzen, wie \r\nsie mchten. Sie knnten z. B. Seiten haben, die dem Layout bzw. Corporate Design \r\nihres Unternehmens entsprechen, oder Seiten, die dem Erscheinungsbild von Yahoo \r\nhnlich sind, usw. Genauso knnen sie auch Seiten erstellen, die wie die Seiten \r\neines Buches aussehen. Mit dem Styleverwaltungs-Tool haben Sie die ultimative \r\nKontrolle ber all ihre Designs.<P>Es gibt bereits verschiedene in WebGUI eingebaute \r\nStyles. Die ersteren werden von WebGUI selbst benutzt und sollten daher &nbsp;nicht \r\nbearbeitet oder gelscht werden. Die letztern sind einige Beispiel-Styles und \r\nknnen als Vorlage fr neue Styles verwendet oder auch gelscht werden. \r\n<P><b>Clipboard</b><BR>Dieser Style wird von der Zwischenablage bentigt<P><b>Fail Safe</b><BR>Wenn \r\nsie einen Style lschen, der bereits auf einigen Seiten in Benutzung ist, wird \r\ndieser FailSafe-Style diesen Seiten zugeordnet. Der Style hat einen weissen \r\nHintergrund und eine einfache Navigation. \r\n<P><b>Make Page Printable</b><BR>Dieser Style wird benutzt, wenn sie ein  <b>^r;</b> \r\nMakro in Ihren Seiten einsetzen und der Besucher dann darauf klickt - er erhlt \r\ndann die Druckversion der Seite. Sie haben hier die Mglichkeit, ein Logo und \r\neine Copyright-Meldung auf der Seite einzubinden. \r\n<P><b>Packages</b><BR>Dieser Style wird vom Paketmanager benutzt. \r\n<P><b>Trash</b><BR>Dieser Style wird vom Mlleimer genutzt. \r\n<P>\r\n<HR>\r\n<b>Demo Style</b><BR>Dies ist ein Beispiellayout, das von einer Templates-Seite \r\ngenommen wurde\r\n(www.freewebtemplates.com). \r\n<P><b>Plain Black Software (black) &amp; (white)</b><BR>Diese Layouts wurden \r\nauf der Plainblackseite verwendet.  \r\n<P><b>Yahoo!</b><BR>Dies ist das Design von Yahoo!. (genutzt ohne Berechtigung.) \r\n<P><b>WebGUI</b><BR>Dies ist ein einfaches Design mit WebGUI logos. \r\n<P><b>WebGUI 4</b><BR>Dieser Style wurde seit WebGUI Version 4 verwendet. </P>',1048591953);
INSERT INTO international VALUES (613,'WebGUI',2,'Benutzer sind die Konten, die Berechtigungen zu verschiedenen Bereichen in WebGUI \r\nhaben. Es gibt 2 Standard-Benutzer: Admin und Visitor. \r\n<P></P>\r\n<P><I><B>Admin</B><BR>Unter Admin versteht man genau das, was man unter diesem \r\nBegriff erwartet. Dies ist ein Benutzer mit unbegrenzten Berechtigungen in der \r\nWebGUI Umgebung. </I></P>\r\n<P><I><B>Visitor</B><BR>Der Visitor(Besucher) ist das genaue Gegenteil des Admins. \r\nDer Visitor hat keine Rechte und ein Besucher, der nicht eingeloggt ist, wird \r\nvom System als Visitor erkannt</I></P>\r\n<P><I><B>Neuen Benutzer hinzufgen.</B><BR>Klicken Sie hier, um zur &quot;Benutzer \r\nhinzufgen&quot; Seite zu kommen. \r\n</I></P>\r\n<P><I><B>Suchen</B><BR>Sie knnen nach Benutzernamen und Emailadressen suchen. \r\nDie Suche kann hier auch eingeschrnkt werden, z. B. auf die Suche nach aktivierten \r\nBenutzern.</I></P>',1044375306);
INSERT INTO international VALUES (606,'WebGUI',2,'Stellen Sie sich Seiten als Behlter fr Inhalte vor. Wenn Sie z. B. einen Brief \r\nan den Herausgeber Ihres Lieblingsmagazins schreiben mchten, starten Sie eine \r\nTextverarbeitung und schreiben Ihre Gedanken nieder. Genauso verhlt es sich \r\nmit WebGUI. Erstellen Sie eine Seite und fllen sie mit Inhalt.. \r\n<P><B>Titel</B><BR>Der Seitentitel. Titel sollten beschreibend, aber nicht zu \r\nlang sein.<P><B>Men Titel</B><BR>Ein krzerer oder \r\nabgenderter Titel, der in der Navigation erscheinen soll. Wenn Sie hier nichts \r\neingeben, wird die Eingabe verwendet, die Sie bei \'Titel\' eingegeben haben. \r\n<P><B>Aus der &nbsp;Navigation ausblenden?</B><BR>Whlen Sie \'Ja\' um diese Seite \r\naus der Navigation auszublenden. \r\n<P><B>Beachte:</B> Die Seite wird nur aus der Navigation ausgeblendet, aber \r\nnicht aus dem Seitenbaum oder von der SiteMap, nur ausden Navigationsmakros. \r\n<P> <B>URL der Seite</B><BR>Wenn Sie eine Seite erstellen wird normalerweise \r\ndie URL aufgrund des Seitentitels erstellt. Wenn Sie damit nicht zufrieden sind, \r\nknnen Sie es hier ndern. \r\n<P><B>Sprache</B><BR>Whlen Sie die Standardsprache fr diese Seite. Alle mittels \r\nWebGUI generierten Texte erscheinen in dieser Sprache und das Charakterset wird \r\nentsprechend der ausgewhlten Sprache bernommen (z.B. , ,  im Deutschen). \r\n<P><B>Weiterleitungs URL</B><BR>Der Besucher der Seite wird zu der Seite weitergeleitet, \r\ndie Sie hier angegeben haben. Wenn Sie dann in Zukunft diese weitergeleitete \r\nSeite wieder ndern mchten, mssen Sie dies in den Admininstrativen Funktionen&nbsp;im \r\nBereich &quot;Verwalten-Baumstruktur&quot; vornehmen. \r\n<P><B>Template</B><BR>Standardmssig hat WebGUI einen grossen Inhaltsbereich, \r\num Wobjects zu platzieren. Dennoch knnen Sie Ihren Content durch Auswahl eines \r\nanderen Templates in verschiedene Bereiche aufteilen.  \r\n<P><B>Zusammenfassung</B><BR>Einekurze Zusammenfassung der Seite. Dieser Bereich \r\nwird sowohl zum Verffentlichen von beschreibenden MetaTags als auch als Beschreibungstext \r\nin der Sitemap verwendet. \r\n<P><B>Meta Tags</B><BR>Hier knnen Sie beliebige Meta Tags definieren. Die Seite <A \r\nhref=\"http://www.metatagbuilder.com/\">Meta Tag Builder</A> gibt Ihnen hierzu \r\neinige Tipps.<P><I>Erfahrene Anwender:</I> Sie knnen hier auch andere Dinge, \r\nwie z. B.  JavaScript oder Links zu externen Stylesheets, einfgen. \r\n<P><B>Standard Meta Tags benutzen?</B><BR>Sollten Sie keine eigenen MetaTags \r\ndefinieren wollen, kann WebGUI diese basierend auf dem Seitentitel und Ihrem \r\nFirmennamen erzeugen. Aktivieren Sie diese Checkbox, um die WebGUI-generierten \r\nMetaTags einzuschalten. \r\n<P><B>Style</B><BR>Standardmssig erbt eine Seite, die Sie erstellen, ihre Merkmale \r\nvon der bergeordneten Seite. Eines dieser Merkmale ist der Style. Whlen Sie \r\nhier einen Style aus der Liste aus, den Siefr diese Seite verwenden mchten. \r\nWeitere Details finden Sie unter  <I>Style hinzufgen</I>. \r\n<P>Wenn Sie &quot;Ja&quot; unterhalb des Style-Auswahlmenus aktivieren, wird \r\nder Style fr alle Seiten unterhalb dieser Seite bernommen. \r\n<P><B>Anfangsdatum</B><BR>Das Datum, ab dem die Seite sichtbar sein soll. Vor \r\ndiesem Datum sehen nur Contentmanager mit der Berechtigung zur Bearbeitung&nbsp;diese \r\nSeite. \r\n<P><B>Ende Datum</B><BR>Das Datum, bis dem die Seite sichtbar sein soll. Nach \r\ndiesem Datum sehen nur Contentmanager mit der Berechtigung zur Bearbeitung&nbsp;diese \r\nSeite. \r\n \r\n<P><B>Besitzer</B><BR>Der Besitzer der Seite ist gewhnlich die Person, die \r\ndie Seite erstellt hat. \r\nDiese hat die vollen Rechte zum Bearbeiten und Anschauen der Seite.<P><B>Beachte:</B> Der \r\nBesitzer kann nur von einem Administrator gendert werden. \r\n<P><B>Wer kann anschauen?</B><BR>Whlen Sie die Gruppe aus, die diese Seite \r\nanschauen kann. Wenn Sie mchten, dass Visitors (Beuscher) und registrierte \r\nBenutzer dieSeite anschauen knnen, so sollten Sie die  &quot;Everybody&quot; (Jeder) \r\nGruppe auswhlen.<P><B>Wer kann bearbeiten?</B><BR><P>Whlen Sie die Gruppe \r\naus, die diese Seite bearbeiten kann. Die Gruppe, die bearbeiten kann, darf \r\nauch jederzeit die Seite anschauen.<P>Sie knnen diese Berechtigungen an alle Seiten unterhalb dieser Seite vergeben. \r\n<P><B>Als nchstes?</B><BR>Hier knnen Sie gleich zu Ihrer neuen Seite gelangen \r\noder zu der vorherigen zurckkehren.</P>\r\n',1045496478);
INSERT INTO international VALUES (884,'WebGUI',1,'Pop Up',1044705337);
INSERT INTO international VALUES (883,'WebGUI',1,'Inline (when supported)',1044705322);
INSERT INTO international VALUES (882,'WebGUI',1,'Editor Mode',1044705246);
INSERT INTO international VALUES (881,'WebGUI',1,'None',1044705162);
INSERT INTO international VALUES (880,'WebGUI',1,'Last Resort Editor',1044705137);
INSERT INTO international VALUES (879,'WebGUI',1,'Classic Editor (Internet Explorer 5+)',1044705103);
INSERT INTO international VALUES (73,'MailForm',21,' ',1042025990);
INSERT INTO international VALUES (888,'WebGUI',1,'Snippet Preview Length',1045312362);
INSERT INTO international VALUES (27,'MailForm',1,'Height',1045210016);
INSERT INTO international VALUES (28,'MailForm',1,'Optional for TextArea',1045210016);
INSERT INTO international VALUES (29,'MailForm',1,'is a required field.',1045210016);
INSERT INTO international VALUES (30,'MailForm',1,'has to be a number.',1045210016);
INSERT INTO international VALUES (31,'MailForm',1,'is not filled in correctly.',1045210016);
INSERT INTO international VALUES (32,'MailForm',1,'is not a valid email address.',1045210016);
INSERT INTO international VALUES (889,'WebGUI',1,'Style Sheets, Tabs',1046067380);
INSERT INTO international VALUES (890,'WebGUI',1,'WebGUI has a sub-system that can create tabs. You\'ll see these in complex forms such as page editing. In order to make the tabs system look good and match your site, you\'ll need to add a section to your style\'s style sheet specifically for the tabs. \r\n<p>\r\nThe following style sheet classes are available:\r\n<p>\r\n\r\n<b>.tab</b><br>\r\nThe default look of each tab.\r\n<p>\r\n\r\n<b>div.tabs</b><br>\r\nThis also sets some properties for all of the tabs. This should be used for the text labels in the tabs.\r\n<p>\r\n\r\n\r\n<b>.tabBody</b><br>\r\nThe content area for each tab. This is where the form will show up. Note that for best results the background color of this should match the background color of .tabActive.\r\n<p>\r\n\r\n\r\n<b>.tabHover</b><br>\r\nThe look of a tab as the mouse hovers over it.\r\n<p>\r\n\r\n<b>.tabActive</b><br>\r\nThe look of the tab that is currently visible.\r\n<p>\r\n\r\n\r\n\r\n<i>Examples</i><br>\r\nYou can use these instead of creating your own if you wish. Or just use these as guidelines for creating your own.\r\n<p>\r\n<table width=\"100%\"><tr><td valign=\"top\">\r\n<b>White or Light Colored Styles</b>\r\n<pre>\r\n.tab {\r\n  border: 1px solid black;\r\n   background-color: #eeeeee;\r\n}\r\n.tabBody {\r\n   border: 1px solid black;\r\n   border-top: 1px solid black;\r\n   border-left: 1px solid black;\r\n   background-color: #dddddd; \r\n}\r\ndiv.tabs {\r\n    line-height: 15px;\r\n    font-size: 14px;\r\n}\r\n.tabHover {\r\n   background-color: #cccccc;\r\n}\r\n.tabActive { \r\n   background-color: #dddddd; \r\n}\r\n</pre>\r\n</td><td valign=\"top\">\r\n<b>Black or Dark Colored Styles</b>\r\n<pre>\r\n.tab {\r\n  border: 1px solid white;\r\n   background-color: #333333;\r\n}\r\n.tabBody {\r\n   border: 1px solid white;\r\n   border-top: 1px solid white;\r\n   border-left: 1px solid white;\r\n   background-color: #444444; \r\n}\r\ndiv.tabs {\r\n    line-height: 15px;\r\n    font-size: 14px;\r\n}\r\n.tabHover {\r\n   background-color: #555555;\r\n}\r\n.tabActive { \r\n   background-color: #444444; \r\n}\r\n</pre>\r\n</td></tr></table>\r\n\r\n\r\n\r\n',1046067380);
INSERT INTO international VALUES (3,'HttpProxy',1,'HTTP Proxy',1031510000);
INSERT INTO international VALUES (2,'HttpProxy',1,'Edit HTTP Proxy',1031510000);
INSERT INTO international VALUES (1,'HttpProxy',1,'URL',1031510000);
INSERT INTO international VALUES (4,'HttpProxy',1,'Timeout',1047837283);
INSERT INTO international VALUES (5,'HttpProxy',1,'Allow proxying of other domains?',1047835817);
INSERT INTO international VALUES (6,'HttpProxy',1,'Remove style?',1047837230);
INSERT INTO international VALUES (8,'HttpProxy',1,'Follow redirects?',1047837255);
INSERT INTO international VALUES (9,'HttpProxy',1,'Cookie Jar',1047835842);
INSERT INTO international VALUES (9,'HttpProxy',2,'Verzeichnis zum Speichern der Cookies',1048242758);
INSERT INTO international VALUES (8,'HttpProxy',2,'Redirects folgen?',1048242749);
INSERT INTO international VALUES (6,'HttpProxy',2,'Style entfernen?',1048242741);
INSERT INTO international VALUES (5,'HttpProxy',2,'Proxy-Speicherung anderer Domains erlauben?',1048242727);
INSERT INTO international VALUES (4,'HttpProxy',2,'Timeout',1048242651);
INSERT INTO international VALUES (3,'HttpProxy',2,'HTTP Proxy',1040395372);
INSERT INTO international VALUES (2,'HttpProxy',2,'HTTP Proxy ndern',1040395360);
INSERT INTO international VALUES (1,'HttpProxy',2,'URL',1040395344);
INSERT INTO international VALUES (840,'WebGUI',1,'These macros are designed to provide programming-like functionality. They are powerful when used appropriately, and dangerous when used carelessly. Take care when using these macros.\r\n\r\n<p/>\r\n\r\n<b>&#94;D; or &#94;D(); - Date</b><br>\r\nThe current date and time.\r\n<p>\r\n\r\nYou can configure the date by using date formatting symbols. For instance, if you created a macro like this <b>&#94;D(\"%c %D, %y\");</b> it would output <b>September 26, 2001</b>. The following are the available date formatting symbols:\r\n<p>\r\n\r\n<table><tbody><tr><td>%%</td><td>%</td></tr><tr><td>%y</td><td>4 digit year</td></tr><tr><td>%Y</td><td>2 digit year</td></tr><tr><td>%m</td><td>2 digit month</td></tr><tr><td>%M</td><td>variable digit month</td></tr><tr><td>%c</td><td>month name</td></tr><tr><td>%d</td><td>2 digit day of month</td></tr><tr><td>%D</td><td>variable digit day of month</td></tr><tr><td>%w</td><td>day of week name</td></tr><tr><td>%h</td><td>2 digit base 12 hour</td></tr><tr><td>%H</td><td>variable digit base 12 hour</td></tr><tr><td>%j</td><td>2 digit base 24 hour</td></tr><tr><td>%J</td><td>variable digit base 24 hour</td></tr><tr><td>%p</td><td>lower case am/pm</td></tr><tr><td>%P</td><td>upper case AM/PM</td></tr><tr><td>%z</td><td>user preference date format</td></tr><tr><td>%Z</td><td>user preference time format</td></tr></tbody></table>\r\n<p>\r\n\r\n<b>&#94;Env()</b><br>\r\nCan be used to display a web server environment variable on a page. The environment variables available on each server are different, but you can find out which ones your web server has by going to: http://www.yourwebguisite.com/env.pl\r\n<p>\r\n\r\nThe macro should be specified like this &#94;Env(\"REMOTE_ADDR\");\r\n<p>\r\n\r\n<b>&#94;Execute();</b><br>\r\nAllows a content manager or administrator to execute an external program. Takes the format of <b>&#94;Execute(\"/this/file.sh\");</b>.\r\n<p>\r\n\r\n\r\n<b>&#94;FormParam();</b><br>\r\nThis macro is mainly used in generating dynamic queries in SQL Reports. Using this macro you can pull the value of any form field simply by specifing the name of the form field, like this: &#94;FormParam(\"phoneNumber\");\r\n<p>\r\n\r\n<b>&#94;Include();</b><br>\r\nAllows a content manager or administrator to include a file from the local filesystem. \r\n<p/>\r\n<i>Example:</i> &#94;Include(\"/this/file.html\");\r\n<p>\r\n\r\n<b>&#94;International();</b><br/>\r\nPull a translated message from the internationalization system.\r\n<p/>\r\n<i>Example:</i> &#94;International(45,\"Article\");\r\n<p/>\r\n\r\n\r\n<b>&#94;Quote();</b><br>\r\nUse this to escape a string before using it in a database query.\r\n<p>\r\n\r\n\r\n<b>&#94;Page();</b><br>\r\nThis can be used to retrieve information about the current page. For instance it could be used to get the page URL like this &#94;Page(\"urlizedTitle\"); or to get the menu title like this &#94;Page(\"menuTitle\");.\r\n<p>\r\n\r\n<b>&#94;SQL();</b><br>\r\nA one line SQL report. Sometimes you just need to pull something back from the database quickly. This macro is also useful in extending the SQL Report wobject. It uses the numeric macros (&#94;0; &#94;1; &#94;2; etc) to position data and can also use the ^rownum; macro just like the SQL Report wobject. Examples:<p>\r\n &#94;SQL(\"select count(*) from users\",\"There are &#94;0; users on this system.\");\r\n<p>\r\n&#94;SQL(\"select userId,username from users order by username\",\"&lt;a href=\'^/;?op=viewProfile&uid=&#94;0;\'&gt;^1;&lt;/a&gt;&lt;br&gt;\");\r\n<p>\r\n<b>&#94;URLEncode();</b><br>\r\nThis macro is mainly useful in SQL reports, but it could be useful elsewhere as well. It takes the input of a string and URL Encodes it so that the string can be passed through a URL. It\'s syntax looks like this: &#94;URLEncode(\"Is this my string?\");\r\n<p>\r\n\r\n\r\n<b>&#94;User();</b><br>\r\nThis macro will allow you to display any information from a user\'s account or profile. For instance, if you wanted to display a user\'s email address you\'d create this macro: &#94;User(\"email\");\r\n<p>\r\n\r\n<b>&#94;*; or &#94;*(); - Random Number</b><br>\r\nA randomly generated number. This is often used on images (such as banner ads) that you want to ensure do not cache. In addition, you may configure this macro like this <b>&#94;*(100);</b> to create a random number between 0 and 100.\r\n<p>\r\n\r\n<b>&#94;-;,&#94;0;,&#94;1;,&#94;2;,&#94;3;, etc.</b><br>\r\nThese macros are reserved for system/wobject-specific functions as in the SQL Report wobject and the Body in the Style Manager.\r\n<p>\r\n',1047856488);
INSERT INTO international VALUES (1,'Discussion',1,'Filter Post',1046607477);
INSERT INTO international VALUES (419,'WebGUI',1,'Remove everything but the text.',1046637533);
INSERT INTO international VALUES (526,'WebGUI',1,'Remove JavaScript and negate macros.',1047838780);
INSERT INTO international VALUES (891,'WebGUI',1,'Only negate macros.',1047838859);
INSERT INTO international VALUES (892,'WebGUI',1,'Discussion',1046637952);
INSERT INTO international VALUES (893,'WebGUI',1,'Wobject Properties',1046638419);
INSERT INTO international VALUES (842,'WebGUI',12,'These macros are used to create navigation on the site. \r\n<P><B>^C; or ^C(); - Crumb Trail</B><BR>A dynamically generated crumb trail to \r\nthe current page. You can optionally specify a delimeter to be used between page \r\nnames by using ^C(::);. The default delimeter is &gt;. \r\n<P><B>NOTE:</B> The .crumbTrail style sheet class is tied to this macro. \r\n<P><B>^FlexMenu;</B><BR>This menu macro creates a top-level menu that expands as \r\nthe user selects each menu item. \r\n<P><B>^H; or ^H(); - Home Link</B><BR>A link to the home page of this site. In \r\naddition you can change the link text by creating a macro like this <B>^H(\"Go \r\nHome\");</B>. \r\n<P><B>NOTES:</B> You can also use the special case ^H(linkonly); to return only \r\nthe URL to the home page and nothing more. Also, the .homeLink style sheet class \r\nis tied to this macro. \r\n<P><B>^M; or ^M(); - Current Menu (Vertical)</B><BR>A vertical menu containing \r\nthe sub-pages at the current level. In addition, you may configure this macro by \r\nspecifying how many levels deep the menu should go. By default it will show only \r\nthe first level. To go three levels deep create a macro like this <B>^M(3);</B>. \r\nIf you set the macro to \"0\" it will track the entire site tree. \r\n<P><B>^m; - Current Menu (Horizontal)</B><BR>A horizontal menu containing the \r\nsub-pages at the current level. You can optionally specify a delimeter to be \r\nused between page names by using ^m(:--:);. The default delimeter is . \r\n<P><B>^P; or ^P(); - Previous Menu (Vertical)</B><BR>A vertical menu containing \r\nthe sub-pages at the previous level. In addition, you may configure this macro \r\nby specifying how many levels deep the menu should go. By default it will show \r\nonly the first level. To go three levels deep create a macro like this \r\n<B>^P(3);</B>. If you set the macro to \"0\" it will track the entire site tree. \r\n<P><B>^p; - Previous Menu (Horizontal)</B><BR>A horizontal menu containing the \r\nsub-pages at the previous level. You can optionally specify a delimeter to be \r\nused between page names by using ^p(:--:);. The default delimeter is . \r\n<P><B>^rootmenu; or ^rootmenu(); (Horizontal)</B><BR>Creates a horizontal menu \r\nof the various roots on your system (except for the WebGUI system roots). You \r\ncan optionally specify a menu delimiter like this: ^rootmenu(|); \r\n<P><B>^S(); - Specific SubMenu (Vertical)</B><BR>This macro allows you to get \r\nthe submenu of any page, starting with the page you specified. For instance, you \r\ncould get the home page submenu by creating a macro that looks like this \r\n<B>^S(\"home\",0);</B>. The first value is the urlized title of the page and the \r\nsecond value is the depth you\'d like the menu to go. By default it will show \r\nonly the first level. To go three levels deep create a macro like this \r\n<B>^S(\"home\",3);</B>. \r\n<P><B>^s(); - Specific SubMenu (Horizontal)</B><BR>This macro allows you to get \r\nthe submenu of any page, starting with the page you specified. For instance, you \r\ncould get the home page submenu by creating a macro that looks like this \r\n<B>^s(\"home\");</B>. The value is the urlized title of the page. You can \r\noptionally specify a delimeter to be used between page names by using \r\n^s(\"home\",\":--:\");. The default delimeter is . \r\n<P><B>^Synopsis; or ^Synopsis(); Menu</B><BR>This macro allows you to get the \r\nsubmenu of a page along with the synopsis of each link. You may specify an \r\ninteger to specify how many levels deep to traverse the page tree. \r\n<P><B>NOTES:</B> The .synopsis_sub, .synopsis_summary, and .synopsis_title style \r\nsheet classes are tied to this macro. \r\n<P><B>^T; or ^T(); - Top Level Menu (Vertical)</B><BR>A vertical menu containing \r\nthe main pages of the site (aka the sub-pages from the home page). In addition, \r\nyou may configure this macro by specifying how many levels deep the menu should \r\ngo. By default it will show only the first level. To go three levels deep create \r\na macro like this <B>^T(3);</B>. If you set the macro to \"0\" it will track the \r\nentire site tree. \r\n<P><B>^t; - Top Level Menu (Horizontal)</B><BR>A vertical menu containing the \r\nmain pages of the site (aka the sub-pages from the home page). You can \r\noptionally specify a delimeter to be used between page names by using ^t(:--:);. \r\nThe default delimeter is . \r\n<P><B>^/; - System URL</B><BR>The URL to the gateway script (example: \r\n<I>/index.pl/</I>). \r\n<P><B>^\\; - Page URL</B><BR>The URL to the current page (example: \r\n<I>/index.pl/pagename</I>). </P>',1048550183);
INSERT INTO international VALUES (843,'WebGUI',12,'Bruker Makroer',1048550203);
INSERT INTO international VALUES (845,'WebGUI',12,'Style Makroer',1048550274);
INSERT INTO international VALUES (844,'WebGUI',12,'These macros have to do with users and logins. \r\n<P><B>^a; or ^a(); - My Account Link</B><BR>A link to your account information. \r\nIn addition you can change the link text by creating a macro like this \r\n<B>^a(\"Account Info\");</B>. \r\n<P><B>NOTES:</B> You can also use the special case ^a(linkonly); to return only \r\nthe URL to the account page and nothing more. Also, the .myAccountLink style \r\nsheet class is tied to this macro. \r\n<P><B>^AdminText();</B><BR>Displays a small text message to a user who is in \r\nadmin mode. Example: ^AdminText(\"You are in admin mode!\"); \r\n<P><B>^AdminToggle; or ^AdminToggle();</B><BR>Places a link on the page which is \r\nonly visible to content managers and adminstrators. The link toggles on/off \r\nadmin mode. You can optionally specify other messages to display like this: \r\n^AdminToggle(\"Edit On\",\"Edit Off\"); \r\n<P><B>^GroupText();</B><BR>Displays a small text message to the user if they \r\nbelong to the specified group. Example: ^GroupText(\"Visitors\",\"You need an \r\naccount to do anything cool on this site!\"); \r\n<P><B>^L; or ^L(); - Login Box</B><BR>A small login form. You can also configure \r\nthis macro. You can set the width of the login box like this ^L(20);. You can \r\nalso set the message displayed after the user is logged in like this ^L(20,Hi \r\n^a(^@;);. Click %here% if you wanna log out!) \r\n<P><B>NOTE:</B> The .loginBox style sheet class is tied to this macro. \r\n<P><B>^LoginToggle; or ^LoginToggle();</B><BR>Displays a \"Login\" or \"Logout\" \r\nmessage depending upon whether the user is logged in or not. You can optionally \r\nspecify other messages like this: ^LoginToggle(\"Click here to log in.\",\"Click \r\nhere to log out.\"); \r\n<P><B>^@; - Username</B><BR>The username of the currently logged in user. \r\n<P><B>^#; - User ID</B><BR>The user id of the currently logged in user. </P>',1048550254);
INSERT INTO international VALUES (846,'WebGUI',12,'These macros are mainly useful in maintaining styles in WebGUI. \r\n<P><B>^AdminBar;</B><BR>Places the administrative tool bar on the page. This is \r\na required element in the \"body\" segment of the Style Manager. \r\n<P><B>^c; - Company Name</B><BR>The name of your company specified in the \r\nsettings by your Administrator. \r\n<P><B>^e; - Company Email Address</B><BR>The email address for your company \r\nspecified in the settings by your Administrator. \r\n<P><B>^Extras;</B><BR>Returns the path to the WebGUI \"extras\" folder, which \r\ncontains things like WebGUI icons. \r\n<P><B>^PageTitle;</B><BR>Displays the title of the current page. \r\n<P><B>NOTE:</B> If you begin using admin functions or the indepth functions of \r\nany wobject, the page title will become a link that will quickly bring you back \r\nto the page. \r\n<P><B>^r; or ^r(); - Make Page Printable</B><BR>Creates a link to remove the \r\nstyle from a page to make it printable. In addition, you can change the link \r\ntext by creating a macro like this <B>^r(\"Print Me!\");</B>. \r\n<P>By default, when this link is clicked, the current page\'s style is replaced \r\nwith the \"Make Page Printable\" style in the Style Manager. However, that can be \r\noverridden by specifying the name of another style as the second parameter, like \r\nthis: ^r(\"Print!\",\"WebGUI\"); \r\n<P><B>NOTES:</B> You can also use the special case ^r(linkonly); to return only \r\nthe URL to the make printable page and nothing more. Also, the \r\n.makePrintableLink style sheet class is tied to this macro. \r\n<P><B>^RootTitle;</B><BR>Returns the title of the root of the current page. For \r\ninstance, the main root in WebGUI is the \"Home\" page. Many advanced sites have \r\nmany roots and thus need a way to display to the user which root they are in. \r\n<P><B>^u; - Company URL</B><BR>The URL for your company specified in the \r\nsettings by your Administrator. \r\n<P><B>^?; - Search</B><BR>Add a search box to the page. The search box is tied \r\nto WebGUI\'s built-in search engine. \r\n<P><B>NOTE:</B> The .searchBox style sheet class is tied to this macro. \r\n<P><B>^-;</B><BR>This is known as the separator macro. It must appear exactly \r\nonce in every style. Wherever it appears is where the content for any given page \r\nwill be put. </P>',1048550345);
INSERT INTO international VALUES (887,'WebGUI',12,'Midas (Mozilla 1.3+)',1048550377);
INSERT INTO international VALUES (744,'WebGUI',10,'Hvad s?',1046864856);
INSERT INTO international VALUES (743,'WebGUI',10,'Du m angive en valid email adresse for jeg kan forsge at genskabe dit kodeord.',1046864836);
INSERT INTO international VALUES (658,'WebGUI',10,'Brugere, hndter',1046864784);
INSERT INTO international VALUES (657,'WebGUI',10,'Bruger, slet',1046864764);
INSERT INTO international VALUES (656,'WebGUI',10,'Firma information, rediger',1046864737);
INSERT INTO international VALUES (655,'WebGUI',10,'Bruger, tilfj/rediger',1046864707);
INSERT INTO international VALUES (654,'WebGUI',10,'Stilart, slet',1046864687);
INSERT INTO international VALUES (653,'WebGUI',10,'Side, slet',1046864669);
INSERT INTO international VALUES (652,'WebGUI',10,'Bruger indstillinger, rediger',1046864650);
INSERT INTO international VALUES (642,'WebGUI',10,'Side, tilfj/rediger',1046864612);
INSERT INTO international VALUES (608,'WebGUI',10,'Nr du sletter en side skal du vre sikker p hvad du gr, eftersom du ogs sletter alle underliggende sider der er relatateret til denne side. Vr sikker p, at du har kopieret alt indhold du skal bruge over p en anden side, fr end du sletter.<p>\r\n\r\nSom ved alle andre sletninger vil du blive spurgt om du er sikker. Hvis du svarer ja blive tingene slettet, og kan ikke genskabes. Hvis du svarer nej kommer du tilbage til forrige skrmbillede.',1046864428);
INSERT INTO international VALUES (861,'WebGUI',10,'Offentliggr brugerprofil?',1046864242);
INSERT INTO international VALUES (860,'WebGUI',10,'Offentliggr Email adresse?',1046864209);
INSERT INTO international VALUES (859,'WebGUI',10,'Signatur',1046864180);
INSERT INTO international VALUES (858,'WebGUI',10,'Alias',1046864169);
INSERT INTO international VALUES (857,'WebGUI',10,'IP adresse',1046864157);
INSERT INTO international VALUES (856,'WebGUI',10,'Du har ikke rettigheder til at redigere.',1046864143);
INSERT INTO international VALUES (855,'WebGUI',10,'List alle skabeloner',1046864117);
INSERT INTO international VALUES (854,'WebGUI',10,'List alle skabeloner som denne',1046864101);
INSERT INTO international VALUES (853,'WebGUI',10,'Slet denne skabelon',1046864070);
INSERT INTO international VALUES (851,'WebGUI',10,'Rediger denne skabelon.',1046864049);
INSERT INTO international VALUES (848,'WebGUI',10,'Der er syntax fejl i denne skabelon. Venligst ret.',1046864027);
INSERT INTO international VALUES (847,'WebGUI',10,'G tilbage til gldende side.',1046863992);
INSERT INTO international VALUES (845,'WebGUI',10,'Stilart makroer',1046863969);
INSERT INTO international VALUES (843,'WebGUI',10,'Bruger makroer',1046863943);
INSERT INTO international VALUES (841,'WebGUI',10,'Navigations makroer',1046863918);
INSERT INTO international VALUES (839,'WebGUI',10,'Programmr makro',1046863894);
INSERT INTO international VALUES (837,'WebGUI',10,'Mappe, tilfj/rediger',1046863861);
INSERT INTO international VALUES (836,'WebGUI',10,'Brudstykker er som navnet siger sm tekststykker som kan genbruges overalt p dit site. <br>\r\nTing som java scripts, CSS filer, flash animationer ja selv sloganer er alle gode eksempler p brudstykker. <br>\r\nFordelen ved brudstykker er, at du kun skal rette dem t sted.<p>\r\n\r\n<b>Navn</b><br>\r\nNavnet p dit brudstykke.<p>\r\n\r\n<b>Organiser i mappe</b><br>\r\nHvilken mappe skal der gemmes i?<p>\r\n\r\n<b>Brudstykke</b><br>\r\nStart bare med at skrive, eller kopier fra et andet sted.',1046863840);
INSERT INTO international VALUES (835,'WebGUI',10,'Brudstykke, tilfj/rediger',1046863632);
INSERT INTO international VALUES (834,'WebGUI',10,'Du kan gemme alle typer af filer for senere brug.\r\n<p>\r\n<b>Navn</b><br>\r\nGiv denne fil et unikt navn som du kan referere til senere.<p>\r\n\r\n<b>Organiser i mappe</b><br>\r\nHvilken mappe vil du gemme i?<p>\r\n\r\n<b>Fil</b><br>\r\nVlg en fil fra disk harddisk der skal uploades.',1046863611);
INSERT INTO international VALUES (852,'WebGUI',10,'Kopier denne skabelon',1046863401);
INSERT INTO international VALUES (833,'WebGUI',10,'Fil, tilfj/rediger',1046860501);
INSERT INTO international VALUES (831,'WebGUI',10,'Brochure makroer',1046860460);
INSERT INTO international VALUES (829,'WebGUI',10,'',1046860399);
INSERT INTO international VALUES (827,'WebGUI',10,'Wobject skabelon',1046860378);
INSERT INTO international VALUES (825,'WebGUI',10,'Skabelon, sprog',1046860351);
INSERT INTO international VALUES (824,'WebGUI',10,'Email bundtekst',1046860334);
INSERT INTO international VALUES (823,'WebGUI',10,'G til den nye side.',1046860317);
INSERT INTO international VALUES (821,'WebGUI',10,'enhver',1046860156);
INSERT INTO international VALUES (820,'WebGUI',10,'Din konto er ikke aktiveret. Du kan frst logge ind, nr en administrator har aktiveret den.',1046860141);
INSERT INTO international VALUES (819,'WebGUI',10,'Selv deaktiveret',1046860042);
INSERT INTO international VALUES (818,'WebGUI',10,'Deaktiveret',1046860025);
INSERT INTO international VALUES (817,'WebGUI',10,'Aktiv',1046860004);
INSERT INTO international VALUES (816,'WebGUI',10,'Status',1046859991);
INSERT INTO international VALUES (815,'WebGUI',10,'Filen du forsgte at uploade er strre end maksimalgrnsen.',1046859979);
INSERT INTO international VALUES (814,'WebGUI',10,'Tilbage til stilarter.',1046859940);
INSERT INTO international VALUES (813,'WebGUI',10,'Grupper i denne gruppe',1046859924);
INSERT INTO international VALUES (812,'WebGUI',10,'Din besked er blevet sendt.',1046859910);
INSERT INTO international VALUES (811,'WebGUI',10,'Fra',1046859893);
INSERT INTO international VALUES (810,'WebGUI',10,'send',1046859882);
INSERT INTO international VALUES (809,'WebGUI',10,'Email gruppe',1046859870);
INSERT INTO international VALUES (808,'WebGUI',10,'Email denne gruppe.',1046859854);
INSERT INTO international VALUES (807,'WebGUI',10,'Hndter grupperne i denne gruppe',1046859817);
INSERT INTO international VALUES (806,'WebGUI',10,'Slet denne gruppe.',1046859792);
INSERT INTO international VALUES (805,'WebGUI',10,'Slet denne stilart.',1046859778);
INSERT INTO international VALUES (804,'WebGUI',10,'Kopier denne stilart',1046859745);
INSERT INTO international VALUES (803,'WebGUI',10,'Rediger denne stilart',1046859693);
INSERT INTO international VALUES (802,'WebGUI',10,'I jeblikket sporer WebGUI ikke side statistik.\r\nDu kan sl denne funktion til i indstillinger.',1046859675);
INSERT INTO international VALUES (801,'WebGUI',10,'Wobjects interaktioner',1046859616);
INSERT INTO international VALUES (800,'WebGUI',10,'Unikke besgende',1046859596);
INSERT INTO international VALUES (799,'WebGUI',10,'Side visninger',1046859575);
INSERT INTO international VALUES (798,'WebGUI',10,'Side titel',1046859561);
INSERT INTO international VALUES (797,'WebGUI',10,'Vis trafik statistik',1046859522);
INSERT INTO international VALUES (796,'WebGUI',10,'Vis side statistik',1046859503);
INSERT INTO international VALUES (794,'WebGUI',10,'Pakker',1046859152);
INSERT INTO international VALUES (793,'WebGUI',10,'antal brochurer',1046859139);
INSERT INTO international VALUES (792,'WebGUI',10,'Skabeloner',1046859004);
INSERT INTO international VALUES (791,'WebGUI',10,'Slet denne oversttelse',1046858989);
INSERT INTO international VALUES (790,'WebGUI',10,'Slet denne profil kategori.',1046858965);
INSERT INTO international VALUES (789,'WebGUI',10,'Rediger denne profil kategori',1046858943);
INSERT INTO international VALUES (788,'WebGUI',10,'Slet dette profil felt.',1046858922);
INSERT INTO international VALUES (787,'WebGUI',10,'Rediger dette profil felt.',1046858906);
INSERT INTO international VALUES (786,'WebGUI',10,'WebGUI\'s brochure system giver dig muligehed for at uploade filer og tekster til centralt sted, s de kan bruges alle andre steder p dit site.',1046858887);
INSERT INTO international VALUES (785,'WebGUI',10,'Brochure, administrer',1046858814);
INSERT INTO international VALUES (784,'WebGUI',10,'miniature',1046858782);
INSERT INTO international VALUES (783,'WebGUI',10,'type',1046858762);
INSERT INTO international VALUES (782,'WebGUI',10,'enhver',1046858750);
INSERT INTO international VALUES (781,'WebGUI',10,'brudstykke',1046858732);
INSERT INTO international VALUES (780,'WebGUI',10,'Fil',1046858718);
INSERT INTO international VALUES (779,'WebGUI',10,'Billed',1046858705);
INSERT INTO international VALUES (778,'WebGUI',10,'Mappe beskrivelse',1046858692);
INSERT INTO international VALUES (777,'WebGUI',10,'Mappe Id',1046858674);
INSERT INTO international VALUES (776,'WebGUI',10,'Rediger mappe',1046858661);
INSERT INTO international VALUES (775,'WebGUI',10,'Er du sikker p du vil slette denne mappe og flytte indholdet et niveau op?',1046858645);
INSERT INTO international VALUES (774,'WebGUI',10,'Er du sikker p du vil slette denne brochure? den kan ikke genskabes nr den frst er slettet.',1046858610);
INSERT INTO international VALUES (773,'WebGUI',10,'fil',1046858440);
INSERT INTO international VALUES (772,'WebGUI',10,'Rediger fil',1046858401);
INSERT INTO international VALUES (771,'WebGUI',10,'brudstykke',1046858382);
INSERT INTO international VALUES (770,'WebGUI',10,'Rediger brudstykke',1046858367);
INSERT INTO international VALUES (769,'WebGUI',10,'Organiser i mappe',1046858339);
INSERT INTO international VALUES (768,'WebGUI',10,'Navn',1046858278);
INSERT INTO international VALUES (767,'WebGUI',10,'Brochure Id',1046858261);
INSERT INTO international VALUES (766,'WebGUI',10,'Tilbage til brochure liste.',1046858193);
INSERT INTO international VALUES (765,'WebGUI',10,'Slet denne brochure enhed.',1046858160);
INSERT INTO international VALUES (764,'WebGUI',10,'Rediger denne brochure ',1046857909);
INSERT INTO international VALUES (763,'WebGUI',10,'Tilfj brudstykke.',1046857690);
INSERT INTO international VALUES (887,'WebGUI',10,'Midas (krver Mozilla 1.3+)',1046854040);
INSERT INTO international VALUES (762,'WebGUI',10,'Tilfj en fil.',1046853777);
INSERT INTO international VALUES (761,'WebGUI',10,'Tilfj et billed.',1046853763);
INSERT INTO international VALUES (760,'WebGUI',10,'Slet denne mappe.',1046853740);
INSERT INTO international VALUES (759,'WebGUI',10,'Redigr denne mappe.',1046853725);
INSERT INTO international VALUES (888,'WebGUI',10,'Lngde p snippet preview',1046853636);
INSERT INTO international VALUES (886,'WebGUI',10,'Skjul fra navigation?',1046853586);
INSERT INTO international VALUES (885,'WebGUI',10,'Tillad brugere selv at deaktivere deres konto?',1046853568);
INSERT INTO international VALUES (884,'WebGUI',10,'i nyt vindue',1046853539);
INSERT INTO international VALUES (883,'WebGUI',10,'Integreret (nr muligt)',1046853525);
INSERT INTO international VALUES (882,'WebGUI',10,'Editor tilstand',1046853498);
INSERT INTO international VALUES (881,'WebGUI',10,'Ingen',1046853481);
INSERT INTO international VALUES (880,'WebGUI',10,'Last Resort Editor',1046853470);
INSERT INTO international VALUES (879,'WebGUI',10,'Klassisk editor (krver Internet Explorer 5+)',1046853436);
INSERT INTO international VALUES (878,'WebGUI',10,'Du har ikke abonneret p nogen trd',1046853012);
INSERT INTO international VALUES (877,'WebGUI',10,'Trd abonnement',1046852992);
INSERT INTO international VALUES (876,'WebGUI',10,'Vis abonnementer p trde',1046852971);
INSERT INTO international VALUES (875,'WebGUI',10,'Der er en ny meddeleses til en af de trde du abbonerer p.',1046852941);
INSERT INTO international VALUES (874,'WebGUI',10,'Afmeld abonnement p trd',1046852896);
INSERT INTO international VALUES (873,'WebGUI',10,'Abonr p trd',1046852864);
INSERT INTO international VALUES (872,'WebGUI',10,'Hvem kan se?',1046852848);
INSERT INTO international VALUES (871,'WebGUI',10,'Hvem kan redigere?',1046852831);
INSERT INTO international VALUES (870,'WebGUI',10,'Velkommen',1046852746);
INSERT INTO international VALUES (869,'WebGUI',10,'Velkomst besked',1046852732);
INSERT INTO international VALUES (868,'WebGUI',10,'Send velkomst besked',1046852720);
INSERT INTO international VALUES (867,'WebGUI',10,'Tab af rettighed',1046852703);
INSERT INTO international VALUES (866,'WebGUI',10,'Notificeringsbesked ved udlb',1046852533);
INSERT INTO international VALUES (865,'WebGUI',10,'Notificer bruger om udlb?',1046852379);
INSERT INTO international VALUES (864,'WebGUI',10,'Lad notificeringsforskel udlbe',1046852350);
INSERT INTO international VALUES (863,'WebGUI',10,'Slet offset',1046851935);
INSERT INTO international VALUES (862,'WebGUI',10,'Denne brugers profil er ikke offentliggjort',1046851901);
INSERT INTO international VALUES (4,'Survey',10,'Undersgelser lader dig indsamle informationer fra brugerne. I WebGUI\'s tilflde kan du ogs bruge systemet til at teste dine brugers viden.\r\n\r\n<p>\r\n<bold>Sprgsmls rkkeflge</bold>\r\nRkkeflgen for sprgsmlene.\r\n<i>Sequential</i> viser sprgsmlene i den rkkeflge du har opettet dem i. <br>\r\n<i>tilfldig rkkeflge</i> viser sprgsmlene i tilfldig rkkeflge.<br>\r\n<i>Respons styret</i> viser sprgsmlene i en rkkeflge der afhnger af svarene fra brugerne.\r\n\r\n<p>\r\n<bold>Metode</bold>\r\nSom udgangspunkt anvendes <i>undersgelses</i> metoden. Denne stiller sprgsml til brugerne som du fr summeret op. Denne metode er til f.eks. brugerundersgelser.\r\nI <i>Quiz</i> metode kan brugerne se det rigtige svar efterflgende, og fr oplyst hvor mange rigtige svar de havde. Denne metode er til test og lign.\r\n\r\n<p>\r\n<bold>Hvem kan deltage?</bold!\n>\r\nHer angiver du hvem der kan deltage.\r\n\r\n<p>\r\n<bold>Hvem kan se rapporter</bold>\r\nHer angiver du hvem der kan se resultatet.\r\n',1046851517);
INSERT INTO international VALUES (9,'Survey',10,'Undersgelse',1046850912);
INSERT INTO international VALUES (80,'Survey',10,'sekunder',1046850893);
INSERT INTO international VALUES (8,'Survey',10,'Sprgsmls rkkeflge',1046850877);
INSERT INTO international VALUES (79,'Survey',10,'minutter',1046850855);
INSERT INTO international VALUES (78,'Survey',10,'Samlet tid',1046850839);
INSERT INTO international VALUES (77,'Survey',10,'Slut tid',1046850815);
INSERT INTO international VALUES (76,'Survey',10,'Start tid',1046850801);
INSERT INTO international VALUES (75,'Survey',10,'Redigr dette sprgsml.',1046849531);
INSERT INTO international VALUES (7,'Survey',10,'Respons styret',1046852);
INSERT INTO international VALUES (74,'Survey',10,'Er du sikker p du vil slette alle besvarelserne?',1046848437);
INSERT INTO international VALUES (73,'Survey',10,'Slet alle besvarelser.',1046848414);
INSERT INTO international VALUES (72,'Survey',10,'Er du sikker p at du vil slette denne brugers besvarelse?',1046848395);
INSERT INTO international VALUES (69,'Survey',10,'Slet denne brugers besvarelse.',1046848366);
INSERT INTO international VALUES (71,'Survey',10,'Karakterbog',1046848334);
INSERT INTO international VALUES (70,'Survey',10,'Individuelle besvarelser',1046848311);
INSERT INTO international VALUES (68,'Survey',10,'Vis rapporter og ekspotr.',1046848236);
INSERT INTO international VALUES (67,'Survey',10,'Bruger',1046848092);
INSERT INTO international VALUES (66,'Survey',10,'Besvarelser',1046848003);
INSERT INTO international VALUES (65,'Survey',10,'Eksporter samlet summering.',1046847662);
INSERT INTO international VALUES (64,'Survey',10,'Eksporter besvarelser.',1046847448);
INSERT INTO international VALUES (63,'Survey',10,'Eksporter sprgsml.',1046847421);
INSERT INTO international VALUES (62,'Survey',10,'Eksporter svar.',1046847404);
INSERT INTO international VALUES (61,'Survey',10,'Vis karakterbog',1046847385);
INSERT INTO international VALUES (60,'Survey',10,'Tilbage til undersgelse.',1046847331);
INSERT INTO international VALUES (6,'Survey',10,'tilfldig',1046846674);
INSERT INTO international VALUES (59,'Survey',10,'Vis statistisk overblik.',1046846654);
INSERT INTO international VALUES (58,'Survey',10,'Statistisk overblik',1046846623);
INSERT INTO international VALUES (57,'Survey',10,'Kommentarer',1046846586);
INSERT INTO international VALUES (56,'Survey',10,'Vis kommentarer.',1046845965);
INSERT INTO international VALUES (55,'Survey',10,'Vis besvarelser.',1046845876);
INSERT INTO international VALUES (54,'Survey',10,'Procent',1046845850);
INSERT INTO international VALUES (53,'Survey',10,'Svar',1046845836);
INSERT INTO international VALUES (52,'Survey',10,'Resultat',1046845821);
INSERT INTO international VALUES (51,'Survey',10,'Kommentarer?',1046845783);
INSERT INTO international VALUES (50,'Survey',10,'Nste',1046845768);
INSERT INTO international VALUES (5,'Survey',10,'Sekventielt',1046845752);
INSERT INTO international VALUES (49,'Survey',10,'Du kan desvrre ikke tage denne quiz p nuvrende tidspunkt.',1046845736);
INSERT INTO international VALUES (48,'Survey',10,'For nrvrende er du ikke inviteret til at deltage i denne undersgelse.',1046845629);
INSERT INTO international VALUES (47,'Survey',10,'Du har gennemfrt denne quiz.',1046845574);
INSERT INTO international VALUES (46,'Survey',10,'Tak for dine svar til denne undersgelse. \r\nVi stter pris p du har afsat tid til besvarelsen.',1046845551);
INSERT INTO international VALUES (45,'Survey',10,'Er du sikker p du vil slette dette svar og tilhrende repons?',1046845470);
INSERT INTO international VALUES (44,'Survey',10,'Er du sikker p du vil slette dette sprgsml og alle de tilhrende svar?',1046845354);
INSERT INTO international VALUES (43,'Survey',10,'Aldrig',1046845263);
INSERT INTO international VALUES (42,'Survey',10,'en gang i mellem',1046845234);
INSERT INTO international VALUES (40,'Survey',10,'Altid/hver gang',1046845168);
INSERT INTO international VALUES (41,'Survey',10,'Ofte',1046845141);
INSERT INTO international VALUES (39,'Survey',10,'Ved ikke',1046845051);
INSERT INTO international VALUES (38,'Survey',10,'Meget uenig',1046845033);
INSERT INTO international VALUES (37,'Survey',10,'Uenig',1046845018);
INSERT INTO international VALUES (36,'Survey',10,'Delvist uenig',1046845000);
INSERT INTO international VALUES (35,'Survey',10,'Delvist enig',1046844981);
INSERT INTO international VALUES (34,'Survey',10,'Enig',1046844955);
INSERT INTO international VALUES (33,'Survey',10,'Meget enig',1046844939);
INSERT INTO international VALUES (32,'Survey',10,'Falsk',1046844733);
INSERT INTO international VALUES (31,'Survey',10,'Sandt',1046844712);
INSERT INTO international VALUES (30,'Survey',10,'Tilfj et nyt sprgsml.',1046844693);
INSERT INTO international VALUES (3,'Survey',10,'Undersgelse, tilfj/redigr',1046844674);
INSERT INTO international VALUES (29,'Survey',10,'Tilfj et fritekst svar.',1046844648);
INSERT INTO international VALUES (28,'Survey',10,'Tilfj et sprgsml.',1046844608);
INSERT INTO international VALUES (27,'Survey',10,'Tilfj et holdningsskala(enig/uenig) svar.',1046844587);
INSERT INTO international VALUES (26,'Survey',10,'Tilfj en frekvenssvar(altid/aldrig) skala.',1046844426);
INSERT INTO international VALUES (25,'Survey',10,'Tilfj et sandt/falsk svar.',1046844335);
INSERT INTO international VALUES (24,'Survey',10,'Tilfj et \"multiple choice\" svar.',1046844312);
INSERT INTO international VALUES (23,'Survey',10,'Tilfj et nyt svar.',1046844274);
INSERT INTO international VALUES (22,'Survey',10,'Svar type',1046844255);
INSERT INTO international VALUES (21,'Survey',10,'g til',1046844238);
INSERT INTO international VALUES (20,'Survey',10,'Er dette svar korrekt?',1046843714);
INSERT INTO international VALUES (2,'Survey',10,'Redigr undersgelse',1046843696);
INSERT INTO international VALUES (19,'Survey',10,'Svar',1046843675);
INSERT INTO international VALUES (18,'Survey',10,'Redigr svar',1046843661);
INSERT INTO international VALUES (17,'Survey',10,'Redigr sprgsml',1046843644);
INSERT INTO international VALUES (16,'Survey',10,'Opstil svar tilfldigt?',1046843622);
INSERT INTO international VALUES (15,'Survey',10,'Tillad kommentarer?',1046843602);
INSERT INTO international VALUES (14,'Survey',10,'Sprgsml',1046843579);
INSERT INTO international VALUES (13,'Survey',10,'Hvem kan se rapporter?',1046843564);
INSERT INTO international VALUES (12,'Survey',10,'Hvem kan deltage i undersgelse?',1046843543);
INSERT INTO international VALUES (11,'Survey',10,'Metode',1046843520);
INSERT INTO international VALUES (10,'Survey',10,'Quiz',1046842099);
INSERT INTO international VALUES (74,'SiteMap',10,'Denne side',1046842045);
INSERT INTO international VALUES (72,'SiteMap',10,'Sitemap skabelon',1046842024);
INSERT INTO international VALUES (72,'Poll',10,'Opstil svar tilfldigt?',1046841961);
INSERT INTO international VALUES (73,'MessageBoard',10,'Opslagstavle skabelon',1046841929);
INSERT INTO international VALUES (72,'MessageBoard',10,'Hoved skabelon',1046841901);
INSERT INTO international VALUES (73,'MailForm',10,'Send',1046841870);
INSERT INTO international VALUES (75,'LinkList',10,'Link liste skabelon',1046841839);
INSERT INTO international VALUES (72,'LinkList',10,'Link, tilfj/redigr',1046841812);
INSERT INTO international VALUES (73,'Item',10,'Item skabelon',1046841772);
INSERT INTO international VALUES (72,'Item',10,'Skabelon',1046841753);
INSERT INTO international VALUES (75,'FileManager',10,'Fil hndterer skabelon',1046841724);
INSERT INTO international VALUES (74,'FileManager',10,'Tilfj en ny fil.',1046841693);
INSERT INTO international VALUES (76,'FAQ',10,'FAQ skabelon',1046841662);
INSERT INTO international VALUES (75,'FAQ',10,'Tilfj et sprgsml.',1046841647);
INSERT INTO international VALUES (74,'FAQ',10,'Skabelon',1046841607);
INSERT INTO international VALUES (9,'Auth/SMB',10,'NT kodeord',1046841584);
INSERT INTO international VALUES (8,'Auth/SMB',10,'NT login',1046841571);
INSERT INTO international VALUES (7,'Auth/SMB',10,'NT domain',1046841557);
INSERT INTO international VALUES (6,'Auth/SMB',10,'BDC',1046841544);
INSERT INTO international VALUES (5,'Auth/SMB',10,'PDC',1046841533);
INSERT INTO international VALUES (4,'Auth/SMB',10,'SMB logon fejl (3)\r\nDet angivne logindnavn/adgangskode passer ikke.\r\nPrv venligst igen.',1046841520);
INSERT INTO international VALUES (3,'Auth/SMB',10,'SMB protokol fejl (2)\r\nKontakt venligst din systemadministrator.',1046841468);
INSERT INTO international VALUES (2,'Auth/SMB',10,'SMB Server fejl (1)\r\nDer skete en fejl ved tilgang til domain controller. Mske en time out.\r\nPrv venligst igen, eller kontakt din systemadministrator.',1046841438);
INSERT INTO international VALUES (72,'Article',10,'Artikkel skabelon',1046841335);
INSERT INTO international VALUES (96,'EventsCalendar',10,'Begivenheds skabelon',1046841263);
INSERT INTO international VALUES (94,'EventsCalendar',10,'Begivenhedskalender skabelon',1046841235);
INSERT INTO international VALUES (92,'EventsCalendar',10,'Forrige begivenhed',1046841208);
INSERT INTO international VALUES (91,'EventsCalendar',10,'Tilfj en ny begivenhed.',1046841189);
INSERT INTO international VALUES (90,'EventsCalendar',10,'Default mned',1046841169);
INSERT INTO international VALUES (89,'EventsCalendar',10,'Vis 3 mneder fra start.',1046841093);
INSERT INTO international VALUES (88,'EventsCalendar',10,'Vis 6 mneder fra start.',1046841068);
INSERT INTO international VALUES (87,'EventsCalendar',10,'Vis 9 mneder fra start.',1046841044);
INSERT INTO international VALUES (86,'EventsCalendar',10,'Vis 12 mneder fra start.',1046841029);
INSERT INTO international VALUES (85,'EventsCalendar',10,'Sidste i kalenderen.',1046841010);
INSERT INTO international VALUES (84,'EventsCalendar',10,'Slut mned',1046840986);
INSERT INTO international VALUES (83,'EventsCalendar',10,'Frste i kalender.',1046840698);
INSERT INTO international VALUES (82,'EventsCalendar',10,'Nuvrende',1046840681);
INSERT INTO international VALUES (81,'EventsCalendar',10,'Start mned',1046840667);
INSERT INTO international VALUES (79,'EventsCalendar',10,'Hoved skabelon',1046840652);
INSERT INTO international VALUES (93,'EventsCalendar',10,'Nste begivenhed',1046840633);
INSERT INTO international VALUES (1,'Auth/WebGUI',10,'WebGUI autorisations indstillinger',1046840610);
INSERT INTO international VALUES (80,'EventsCalendar',10,'Begivenheds skabelon',1046840586);
INSERT INTO international VALUES (741,'WebGUI',10,'Redigr denne template',1046840370);
INSERT INTO international VALUES (739,'WebGUI',10,'Brugerinterface niveau',1046840352);
INSERT INTO international VALUES (738,'WebGUI',10,'9 Guru',1046840329);
INSERT INTO international VALUES (737,'WebGUI',10,'8 Mester',1046840316);
INSERT INTO international VALUES (736,'WebGUI',10,'7 Ekspert',1046840304);
INSERT INTO international VALUES (735,'WebGUI',10,'6 Professionel',1046840290);
INSERT INTO international VALUES (734,'WebGUI',10,'5 Tilvendt',1046840270);
INSERT INTO international VALUES (733,'WebGUI',10,'4 Uddannet',1046840247);
INSERT INTO international VALUES (732,'WebGUI',10,'3 Lrling',1046840205);
INSERT INTO international VALUES (731,'WebGUI',10,'2 vet',1046840182);
INSERT INTO international VALUES (729,'WebGUI',10,'0 Begynder',1046840164);
INSERT INTO international VALUES (730,'WebGUI',10,'1 Novise',1046840148);
INSERT INTO international VALUES (752,'WebGUI',10,'Vis denne brugers profil',1046840131);
INSERT INTO international VALUES (1,'Survey',10,'Undersgelse',1046840062);
INSERT INTO international VALUES (1,'Auth/SMB',10,'SMB autorisations indstilinger',1046840017);
INSERT INTO international VALUES (1,'Auth/LDAP',10,'LDAP autorisations indstillinger',1046839998);
INSERT INTO international VALUES (4,'Survey',8,'Il Wobject Survey (Ricerca di Mercato) ti permette di acquisire informazioni\r\ndagli utenti del sito.\r\n<p><b>Ordine Domande</b><br>\r\nL\'ordine in cui le domande saranno poste. Sequenziale visualizza le domande\r\nnell\'ordine in cui le hai create. Random displays visualizza le domande in\r\nordine casuale. Secondo i Responsi visualizza le domande in un ordine basato\r\nsulle risposte degli utenti.\r\n<p><b>Modalit</b><br>\r\nDi default la Survey  in modalit Ricerca (survey). Questo consente di porre\r\ndomande agli utenti. L\'atra modalit  il Quiz, puoi inserire un test con\r\nauto-correzione.\r\n<p><b>Chi pu partecipare alla Survey?</b><br>\r\nQuali utenti possono prendere parte alla survey?\r\n<p><b>Chi pu visualizzare i reports?</b><br>\r\nChi pu visualizzare i risultati della survey?\r\n<p><b>Prossima azione?</b><br>\r\nSe lasci settato come visualizzato di default, potrai aggiungere una domanda\r\nsubito dopo aver aggiunto la survey.</p>\r\n',1046690868);
INSERT INTO international VALUES (828,'WebGUI',8,'Molti wobjects hanno dei templates che ti permettono di cambiare il layout\r\ndell\'interfaccia utente del wobject. I wobject che devono avere i template\r\npossiedono tutti un set di variabili di template comuni, che puoi usare per il\r\nlayout allo stesso modo delle rispettive variabili personalizzabili. Questa \r\nuna lista delle variabili di template condivise da tutti i wobject. \r\n<p><b>title</b><br>\r\nIl titolo per questo wobject.\r\n<p><b>displayTitle</b><br>\r\nUna variabile condizionale per decidere se il titolo deve essere o no\r\nvisualizzato.\r\n<p><b>description</b><br>\r\nLa descrizione di questo wobject.\r\n<p><b>wobjectId</b><br>\r\nl\'identificatore univoco che&nbsp; WebGUI usa per controllare questo wobject.</p>\r\n',1048257923);
INSERT INTO international VALUES (825,'WebGUI',8,'Template, Linguaggio',1046634290);
INSERT INTO international VALUES (816,'WebGUI',8,'Stato',1046634267);
INSERT INTO international VALUES (764,'WebGUI',8,'Modifica questo elemento dell\'archivio collaterale.',1046634233);
INSERT INTO international VALUES (761,'WebGUI',8,'Aggiungi una immagine.',1046634217);
INSERT INTO international VALUES (72,'USS',8,'Template Principale',1046633728);
INSERT INTO international VALUES (72,'Survey',8,'Sei sicuro di voler cancellare i responsi di questo utente?',1046633668);
INSERT INTO international VALUES (7,'Survey',8,'Secondo i responsi',1046633651);
INSERT INTO international VALUES (38,'Survey',8,'Assolutamente non d\'accordo',1046633615);
INSERT INTO international VALUES (57,'Product',8,'Sei sicuro di voler cancellare questo template e associare a tutti i prodotti che lo utilizzavano il template di default?',1046633526);
INSERT INTO international VALUES (50,'Product',8,'I benefici sono il vantaggio che offrono le caratteristiche del prodotto. Sono la ragione per cui il tuo prodotto  buono. Se aggiungi dei benefici, dovresti inserire anche qualche caratteristica.\r\n\r\n\r\n\r\n<p>\r\n\r\n<b>Beneficio</b><br>\r\nPuoi inserire un nuovo beneficio, selezionarne uno da quelli gi inseriti.\r\n<p>\r\n\r\n<b>Aggiungi un\'altro beneficio?</b><br>\r\nSe vuoi aggiungere un\'altro beneficio, seleziona \"Si\".\r\n<p>\r\n',1046633484);
INSERT INTO international VALUES (72,'MessageBoard',8,'Template Principale',1046633433);
INSERT INTO international VALUES (840,'WebGUI',8,'Queste macro sono fatte per funzionalit di programmazione. \r\n<p><b>&#94;D; or &#94;D(); - Data</b><br>\r\nLa data e l\'ora corrente.\r\n<p>Puoi configurare il formato della data usando simboli di formattazione della\r\ndata. per esempio, se crei una macro cos: <b>&#94;D(&quot;%D %c, %y&quot;);</b>\r\nstamper <b>16 Aprile, 2001</b>. I seguenti sono i simboli disponibili per\r\nformattare la data:\r\n<table>\r\n  <tbody>\r\n    <tr>\r\n      <td>%%</td>\r\n      <td>%</td>\r\n    </tr>\r\n    <tr>\r\n      <td>%y</td>\r\n      <td>Anno a 4 cifre</td>\r\n    </tr>\r\n    <tr>\r\n      <td>%Y</td>\r\n      <td>Anno a 2 cifre</td>\r\n    </tr>\r\n    <tr>\r\n      <td>%m</td>\r\n      <td>Mese a 2 cifre</td>\r\n    </tr>\r\n    <tr>\r\n      <td>%M</td>\r\n      <td>Mese a cifra variabile</td>\r\n    </tr>\r\n    <tr>\r\n      <td>%c</td>\r\n      <td>Nome del mese</td>\r\n    </tr>\r\n    <tr>\r\n      <td>%d</td>\r\n      <td>Giorno del mese a 2 cifre</td>\r\n    </tr>\r\n    <tr>\r\n      <td>%D</td>\r\n      <td>Giorno del mese a cifra variabile</td>\r\n    </tr>\r\n    <tr>\r\n      <td>%w</td>\r\n      <td>Nome del giorno della settimana</td>\r\n    </tr>\r\n    <tr>\r\n      <td>%h</td>\r\n      <td>ora a 2 cifre base 12 ore</td>\r\n    </tr>\r\n    <tr>\r\n      <td>%H</td>\r\n      <td>ora a cifra variabile base 12 ore</td>\r\n    </tr>\r\n    <tr>\r\n      <td>%j</td>\r\n      <td>ora a 2 cifre base 24 ore</td>\r\n    </tr>\r\n    <tr>\r\n      <td>%J</td>\r\n      <td>ora a cifra variabile base 24 ore</td>\r\n    </tr>\r\n    <tr>\r\n      <td>%p</td>\r\n      <td>am/pm in minuscolo</td>\r\n    </tr>\r\n    <tr>\r\n      <td>%P</td>\r\n      <td>AM/PM in maiuscolo</td>\r\n    </tr>\r\n	<tr>\r\n      <td>%z</td>\r\n      <td>formato data preferito dell\'utente</td>\r\n    </tr>\r\n<tr>\r\n      <td>%z</td>\r\n      <td>formato ora preferito dall\'utente</td>\r\n    </tr>\r\n  </tbody>\r\n</table>\r\n<p><b>&#94;Env()</b><br>\r\nPu essere usata per visualizzare variabili di ambiente del web server in una\r\npagina.\r\n<p>Deve essere usata cos: &#94;Env(&quot;REMOTE_ADDR&quot;);</p>\r\n<p><b>&#94;Execute();</b><br>\r\nConsente all\'amministratore o al content manager di eseguire un programma\r\nesterno. Nel formato <b>&#94;Execute(&quot;/questo/file.sh&quot;);</b>.\r\n<p><b>&#94;FormParam();</b><br>\r\nQuesta macro  principalmente usata per generare query dinamiche negli SQL\r\nReport. Usando questa macro puoi prendere il valore di qualsiasi form\r\nsemplicemente specificando il nome del campo, in questo modo: &#94;FormParam(&quot;numerotelefonico&quot;);\r\n<p><b>&#94;Include();</b><br>\r\nConsente ai content manager o agli amministratori di includere un file dal\r\ndisco. Nel formato <b>&#94;Include(&quot;/questo/file.html&quot;)</b>;\r\n<p><b>&#94;International();</b><br>\r\nInserisce un messaggio tradotto dall\' internationalization system.\r\n<p><i>Esempio:</i> &#94;International(45,&quot;Article&quot;);\r\n<p><b>&#94;Quote();</b><br>\r\nUsa questa macro per proteggere una stringa prima di usarla in una query al database.\r\n<p><b>&#94;Page();</b><br>\r\nQuesta pu essere usata per recuperare informazioni sulla pagina corrente; Per\r\nesempio pu essere usata per ottenere la URL della pagina cos: &#94;Page(&quot;TitoloUrlizzato&quot;);\r\noppure per ottenere il titolo del menu cos: &#94;Page(&quot;TitoloMenu&quot;);.\r\n<p><b>&#94;SQL();</b><br>\r\nun SQL report di una linea. A volte hai bisogno solamente di tirar fuori\r\nqualcosa dal database velocemente. Questa macro  utile anche per estendere il\r\nwobject SQL report. Usa le macro numeriche (&#94;0; &#94;1; &#94;2; etc) per posizionare i\r\ndati e usa anche la macro &#94;rownum; proprio come il wobject SQL report. Esempi:\r\n<p>&#94;SQL(&quot;select count(*) from users&quot;,&quot;Ci sono &#94;0; utenti in\r\nquesto sistema.&quot;);\r\n<p>&#94;SQL(&quot;select userId,username from users order by username&quot;,&quot;&lt;a\r\nhref=\'&#94;/;?op=viewProfile&amp;uid=&#94;0;\'&gt;&#94;1;&lt;/a&gt;&lt;br&gt;&quot;);</p>\r\n<p><b>URLEncode();</b><br>\r\nQuesta macro  utile soprattutto negli SQL reports, ma pu essere usata\r\novunque. Prende una stringa e la codifica in modo che possa essere passata\r\nattraverso un URL. La sintassi  simile a questa: &#94;URLEncode(&quot;Questa \r\nuna stringa?&quot;);\r\n<p><b>&#94;User();</b><br>\r\nQuesta macro ti permette di visualizzare qualsiasi informazione dall\' account o\r\ndal profilo utente. Per esempio, se vuoi visualizzare l\'email dell\'utente if you\r\ndevi creare questa macro: &#94;User(&quot;email&quot;);\r\n<p><b>&#94;*; or &#94;*(); - Numero casuale</b><br>\r\nUn numero generato casualmente. Questo  spesso usato sulle immagini (come\r\nbanner e ad) per assicurarsi che le immagini non vengano tenute in cache. In pi,\r\npuoi configurare questa macro cos: <b>&#94;*(100);</b> per creare un numero\r\ncasuale tra 0 e 100.\r\n<p><b>&#94;-;,&#94;0;,&#94;1;,&#94;2;,&#94;3;, etc.</b><br>\r\nQueste macro sono riservate per funzione specifiche relative ai widgets come nel\r\nSQL report.</p>\r\n',1049641077);
INSERT INTO international VALUES (677,'WebGUI',8,'Wobject, Aggiungi/Modifica',1048067547);
INSERT INTO international VALUES (671,'WebGUI',8,'Wobject, Usare',1048067532);
INSERT INTO international VALUES (664,'WebGUI',8,'Wobject, Cancella',1046633241);
INSERT INTO international VALUES (616,'WebGUI',8,'<b>Percorso degli Extra del C.M.S.</b><br>\r\nIl percorso web della directory contenente le immagini e i files di javascript.\r\n<br><br>\r\n<b>Massima Dimensione Allegato</b><br>\r\nLa dimensione massima consentita dei file uploadati sul sito. Questo si applica a tutti i wobject che consentono l\'upload di file e immagini (come gli articoli e i contributi degli utenti). Questa dimensione  espressa in kilobytes.\r\n<br><br>\r\n\r\n<b>Dimensione Thumbnail</b><br>\r\nLa dimensione del lato pi lungo del thumbnails. Il thumbnail generato mantiene le proporzioni dell\'immagine originale. Questo significa che  se la tua immagine  di 400x200 px, se il valore del thumbnail e settato a 100, il thmbnail sar di 100x50 px. <br><br>Nota: i thumbnail sono automaticamente generati quando carichi l\'immagine.\r\n<br><br>\r\n\r\n<b>Percorso degli allegati web</b><br>\r\nLIl percorso web della directory dove gli allegati devono essere salvati.\r\n<br><br>\r\n<b>Percorso degli Allegati sul Server</b><br>\r\nIl percorso locale della directory dove gli allegati devono essere salvati. (Per esempio /www/miosito/uploads) Assicurati che il web server abbia i diritti di scrittura su questa directory.\r\n',1046633193);
INSERT INTO international VALUES (615,'WebGUI',8,'I gruppi sono usati per suddividere privilegi e responsabilit nel sistema. Per esempio se sei un insegnante, puoi costruire un sito per i tuoi alunni. In questo caso puoi creare un gruppo diverso per ogni classe nella quale insegni. Quindi applicherai questi gruppi alle pagine pensate per ogni classe.\r\n<p>\r\n\r\nCi sono vari gruppi predefiniti. Eccoli:\r\n<p>\r\n\r\n<b>Admins</b><br>\r\nAdmins sono utenti che hanno privilegi illimitati nel sistema. Un utente dovrebbe essere aggiunto al gruppo admins solo se questi  veramente un amministratore del sistema. Normalmente in questo gruppo ci saranno solo da una a tre persone.\r\n<p>\r\n\r\n<b>Content Managers</b><br>\r\nI Content managers sono utenti che hanno il privilegio di aggiungere, modificare e cancellare contenuti da varie aree del sito. Il gruppo content managers dovrebbe essere usato non per controllare contenuti individuali nel sito, ma per determinare se un utente pu o meno eseguire modifiche ai contenuti. Dovresti creare dei nuovi gruppi per separare le aree di contenuti nel sito.\r\n<p>\r\n<b>Everyone</b><br> Everyone  un gruppo speciale nel fatto che nessuno  fisicamente inserito in esso, ma tutti i membri del sito ne fanno parte. Se vuoi aprire il tuo sito sia ai visitors che ai registered users, usa questo gruppo per farlo. <p> <b>Package Managers</b><br> Utenti che hanno i privilegi di aggiunta, modifica e cancellazione di packages di wobject e pagine da sviluppare. <p>\r\n<b>Registered Users</b><br>\r\nQuandi si aggiungono utenti al sistema, questi sono messi nel gruppo registered users. Un utente dovrebbe essere rimosso da questo gruppo solamente se il suo account  stato cancellato oppure se vuoi punire un utente che crea fastidi.\r\n<p>\r\n<b>Style Managers</b><br> Utenti che hanno i privilegi di modificare gli stili per il sito. Questi privilegi non consentono all\'utente di assegnare privilegi ad una pagina. <p> <b>Template Managers</b><br> Utenti che hanno i privilegi di modifica per i template del sito. <p>\r\n<b>Visitors</b><br>\r\nI Visitors sono utenti che non si sono loggati nel sistema usando un account. ',1046633143);
INSERT INTO international VALUES (71,'Item',8,'Come gli articoli, gli Item sono il coltellino svizzero del sistema. La maggior parte di contenuti statici possono essere aggiunti mediante il widget Item, anche se gli item sono usati per contenuti pi piccoli che non gli articoli.\r\n<br><br>\r\n<b>Template</b><br>\r\nScegli un layout per questo contenuto?\r\n<br><br>\r\n<b>URL del Link</b><br>\r\nQuesta URL sar attaccata al titolo di questo Item.\r\n<br><br>\r\n<i>Esempio:</i> http://www.google.com\r\n<br><br>\r\n<b>Allegato</b><br>\r\nSe vuoi allegare un file di un word processor , un file zip , o qualsiasi altro file da scaricare per gli utenti, sceglilo dal tuo hard disk.\r\n\r\n',1046633095);
INSERT INTO international VALUES (612,'WebGUI',8,'Non c\' quasi mai l\'esigenza di cancellare un utente. Se vuoi inibire un utente, cambiagli semplicemente la password. Se vuoi veramente cancellare un utente, tieni a mente che ci sono delle conseguenze. Se cancelli un utente, tutto il contenuto che ha aggiunto mediante i wobjects (come i forum o i contributi degli utenti) rimarr sul sito. D\'altro canto, se altri utenti provano a visitare il profilo dell\'utente cancellato riceveranno un messaggio d\'errore. Anche se l\'utente  di nuovo benvenuto sul sito, non c\' modo di ridargli l\'accesso ai propri vecchi contenuti, eccetto che modificando manualmente l\'utente nella tabella users del database.\r\n<p>Come con ogni operazione di cancellazione, sei chiamato a rispondere ad una conferma per procedere con la cancellazione. Se rispondi di s, la cancellazione proceder e non ci sar possibilit di recuperare i dati. Se rispondi di no sarai riportato alla schermata precedente.\r\n\r\n.',1046633062);
INSERT INTO international VALUES (608,'WebGUI',8,'Cancellare una pagina pu creare un grande danno se sei insicuro di quello che stai facendo. Quando cancelli una pagina cancelli anche tutto il suo contenuto (articoli, wobject, et..), tutte le sotto-pagine connesse a questa, e tutto il loro contenuto. Sii sicuro di aver gi mosso tutto il contenuto che vuoi conservare prima di cancellare una pagina.\r\n<p>\r\nCome con ogni operazione di cancellazione, sei chiamato a rispondere ad una conferma per procedere con la cancellazione. Se rispondi di s, la cancellazione proceder e non ci sar possibilit di recuperare i dati. Se rispondi di no sarai riportato alla schermata precedente.',1046633024);
INSERT INTO international VALUES (606,'WebGUI',8,'Pensa alle pagine come a  contenitori per i contenuti. Per esempio, se vuoi scrivere una lettera all\'editore del tuo settimanale preferito prendi un foglio (o apri un word processor) e cominci a riempirlo dei tuoi pensieri. Lo stesso vale per il C.M.S.. Crea una pagina, quindi aggiungi i tuoi contenuti alla pagina.\r\n<p>\r\n<b>Titolo</b><br>\r\nIl titolo della pagina  quello che gli utenti useranno per navigare attraverso il tuo sito. I titoli dovrebbero essere descrittivi, ma non molto lunghi.\r\n<p>\r\n<b>Titolo nel Menu</b><br>\r\nUn titolo pi breve o diverso che compare nel men di navigazione. Se non\r\nviene inserito sar usato il <i>Titolo</i> .<p><b>Nascondi dalla navigazione</b><br>\r\nSeleziona Si per nascondere dal men di navigazione.<p><b>NOTA</b>:<br>\r\nla pagina sar non sar nascosta nella mappa del sito e nell\'albero di\r\nnavigazione, solo nel men.\r\n<p>\r\n<b>URL della pagina</b><br>\r\nQuando crei una pagina una URL per la pagina viene generata basandosi sul titolo della pagina. Se non ti piace l\'URL scelto, puoi cambiarlo\r\nqui.<p><b>Lingua</b><br>\r\nSeleziona il linguaggio di default per questa pagina. Tutti i messaggi di WebGUI\r\nsaranno generati nel linguaggio selezionato.\r\n<p>\r\n<b>Template</b><br>\r\nPer default, il C.M.S.ha una grande area di contenuto dove piazzare wobjects. Invece, specificando un altro template diverso dal default puoi suddividere l\'area del contenuto in ulteriori sezioni.<p><b>Descrizione</b><br>\r\nUna breve descrizione della pagina, si usa per fornire contenuti per i meta tags\r\ne per la mappa del sito.\r\n\r\n<p>\r\n<b>Meta Tags</b><br>\r\nI Meta tags sono usati da alcuni motori di ricerca per associare delle parole chiave ad una particolare pagina. Puoi usare<a href=\"http://www.webopen.org/html/webopen_metatag_builder.html/\">Webopen Meta Tag Builder</a> che ti aiuter a costruire dei meta tags se non l\'hai mai fatto prima.\r\n<p>\r\n<i>Utenti Avanzati:</i> Se avete altre cose (come JavaScript) che normalmente mettereste nel tag\r\npotete metterle qui.\r\n<p>\r\n<b>Usa i meta tags di default?</b><br>\r\nSe non vuoi specificare tuoi meta tags, il C.M.S. pu generarli basandosi sul titolo della pagina e sul nome dell\'azienda. Spunta questa box per abilitare i meta tags generati dal\r\nC.M.S..\r\n<p>\r\n<b>Stile</b><br>\r\nPer default, quando crei una pagina, eredita alcune caratteristiche dalla pagina genitore. Una di queste caratteristiche  lo stile. Scegli dalla lista degli stili se vuoi cambiare l\'aspetto di questa pagina. Vedi <i>Aggiungi Stile</i> per maggiori dettagli.\r\n<p>\r\nSe spunti la box sottostante il pull-down menu dello stile, tutte le pagine figlie di questa pagina prenderanno lo stile selezionato per questa pagina.\r\n<p>\r\n<b>Data di inizio</b><br>\r\nIn che data vuoi che questa pagina appaia sul sito? Le date sono nel formato\r\namericano MM/GG/AAAA. Puoi usare un wizard JavaScript per selezionare la data da\r\nun calendario cliccando su <i>imposta la data</i>.&nbsp;<br>\r\n<br>\r\n<b>Data di fine</b><br>\r\nIn che data vuoi che questa pagina venga oscurato dal sito? Dopo tale data solo\r\ni content manager potranno visualizzare la pagina.\r\n<p>\r\n<b>Propietario</b><br>\r\nIl proprietario di una pagina  solitamente chi l\'ha creata.<p><b>Chi pu visualizzare?</b><br>\r\nSeleziona il gruppo che pu visualizzare la pagina. Se vuoi che possa essere\r\nvisualizzata sia dai visitatori che dagli utenti registrati,&nbsp; seleziona il\r\ngruppo &quot;Everybody&quot;\r\n<p>\r\n<b>Chi pu modificare?</b><br>\r\nSeleziona il gruppo che pu modificare la pagina.\r\n<p>\r\nPuoi scegliere come opzione di dare questi privilegi a tutte le pagine sotto questa.<p><b>Prossima\r\nAzione?</b><br>\r\nSe lasci l\'opzione al valore di default sarai rediretto alla nuova pagina appena\r\ncreata.\r\n',1046632983);
INSERT INTO international VALUES (71,'Poll',8,'I sondaggi possono essere usati per testare i gusti dei tuoi utenti su vari argomenti.\r\n<br><br>\r\n\r\n<b>Attivo</b><br>\r\nSe questo box  selezionato gli utenti potranno votare. Altrimenti saranno in grado solo di visualizzare i risultati del sondaggio.\r\n<br><br>\r\n<b>Chi pu votare?</b><br>\r\nScegli un gruppo che pu votare in questo sondaggio.\r\n<br><br>\r\n<p><b>Karma Per Voto</b><br>\r\nQuanto karma deve essere assegnato all\'utente quando vota?</p>\r\n\r\n<b>Larghezza del grafico</b><br>\r\nLa larghezza del grafico dei risultati del sondaggio. La larghezza  misurata in pixel.\r\n<br><br>\r\n<b>Domanda</b><br>\r\nQual\' la domanda che vorresti fare agli utenti?\r\n<br><br>\r\n<b>Risposte</b><br>\r\nInserisci le possibili risposte alla tua domanda. Inserisci una sola risposta per linea. I sondaggi sono capaci di gestire fino a 20 risposte possibili.\r\n<br><br>\r\n<p><b>Randomizza le risposte</b><br>\r\nPer essere certi che l\'ordine delle risposte non influenzi gli utenti  spesso utile prensentarle in ordine casuale ogni volta che vengono mostrate. Seleziona SI per abilitare l\'opzione</p>\r\n\r\n\r\n<b>Azzera i voti.</b><br>\r\nAzzera i voti per questo sondaggio.\r\n<br><br>\r\n<hr SIZE=\"1\">\r\n<i><b>Nota:</b></i>Le seguenti classi di style sheet sono specifiche del wobject\r\nsondaggio:<br>\r\n<br>\r\n<b>.pollAnswer</b><br>\r\nUna risposta su un sondaggio.<br>\r\n<br>\r\n<b>.pollColor </b>Il colore della barra percentuale in un sondaggio.<br>\r\n<br>\r\n<b>.pollQuestion </b>La domanda in un sondaggio.\r\n<p>&nbsp;</p>\r\n\r\n',1046632797);
INSERT INTO international VALUES (71,'LinkList',8,'Le liste di link sono semplicemente quello che pensi, una lista di link. Molti siti hanno una sezione di link, e questo wobject automatizza il processo.\r\n<br><br>\r\n<b>Template</b><br>\r\nScegli un template per questo Wobject\r\n<br><br>\r\n\r\n<b>Prossima Azione?</b><br>\r\nLascia selezionato a default se vuoi aggiungere link alla lista direttamente dopo averla creata.\r\n<br><br>\r\n',1046632754);
INSERT INTO international VALUES (71,'FAQ',8,'Sembra che quasi ogni sito web , intranet e extranet nel mondo abbia una sezione FAQ (Frequently Asked Question). Questo wobject ti aiuta a costruirne una.\r\n<br><br>\r\n\r\n<b>Template</b><br>\r\nSeleziona un layout per questa FAQ.\r\n<br><br>\r\n<b>Continua aggiungendo una domanda?</b><br>\r\nSeleziona \"aggiungi una domanda\" se vuoi aggiungere domande alla FAQ dopo questa.\r\n<br><br>\r\n<hr size=1>\r\n<i><b>Nota:</b></i> IL seguente stile  specifico del wobject FAQ.\r\n<br><br>\r\n<b>.faqQuestion</b><br>\r\nUna domanda della F.A.Q. Per distinguerla dalla risposta.\r\n\r\n',1046632667);
INSERT INTO international VALUES (71,'EventsCalendar',8,'I calendari di eventi sono usati in molte intranet per tenere traccia di date interne che coinvolgono l\'intera organizzazione. I calendari di eventi sono anche, su siti per la clientela, un buon modo per informare i clienti su quali eventi si stanno realizzando o su che promozioni sono attualmente in corso.\r\n<br><br>\r\n<b>Template principale</b><br>\r\nSeleziona un template questo calendario eventi?\r\n<br><br>\r\n<b>Template evento</b><br>\r\nSeleziona un template per il singolo evento dentro al calendario\r\n<p><b>Mese di inzio</b><br>\r\nScegli il mese di inizio per il calendario. Se selezioni &quot;Corrente&quot; il\r\ncalendario partir sempre dal mese corrente, percui ogni mese cambier. Se\r\nselezioni &quot;Primo nel Calendario&quot; partir con la prima data\r\ndisponibile nel calendario.<br>\r\n<br>\r\n<b>Mese di fine</b><br>\r\nScegli il mese di fine per il calendario. Se selezioni &quot;Mostra X mesi\r\ndall\'inizio&quot;, solo X mesi di informazioni saranno mostrate. Se selezioni\r\n&quot;corrente&quot; il calendario finir nel mese in cui sei. Se selezioni\r\n&quot;ultimo nel calendario&quot; allora terminer alla data dell\'ultimo\r\ninserimento nel calendario.<br>\r\n<br>\r\n<b>Default Month</b><br>\r\nSeleziona con quale mese il calendario dovr partire quando un visitatore entra\r\nnella pagina che lo contiene.<br><br>\r\n<b>Cambio pagina dopo</b><br>\r\nQuando si usa il layout a lista, quanti eventi vuoi che vengano visualizzati per ogni pagina?\r\n<br><br>\r\n<b>Continua aggiungendo un evento?</b><br>\r\nLascia questo box selezionato se vuoi aggiungere eventi al calendario direttamente dopo averlo\r\ncreato.\r\n<br><br>\r\n<br><br>\r\n<i>Nota:</i> Gli eventi che sono gi accaduti non sono visualizzati nel calendario eventi.\r\n<br><br>\r\n',1046632373);
INSERT INTO international VALUES (73,'Article',8,'Queste sono le variabili di template disponibili per i template articolo.\r\n<p><b>attachment.box</b><br>\r\nVisualizza un box per allegato standard di WebGUI che include icona, nome file e\r\nindicatore allegato.\r\n<p><b>attachment.icon</b><br>\r\nLa URL all\'icona per questo tipo di allegato.\r\n<p><b>attachment.name</b><br>\r\nIl nome del file per questo allegato.\r\n<p><b>attachment.url</b><br>\r\nLa URL per scaricare questo allegato.\r\n<p><b>image.thumbnail</b><br>\r\nLa URL al thumbnail per l\'immagine allegata.\r\n<p><b>image.url</b><br>\r\nLa URL per l\'immagine allegata.\r\n<p><b>post.label</b><br>\r\nL\'etichetta tradotta per aggiungere un commento a questo articolo.\r\n<p><b>post.URL</b><br>\r\nLa URL per aggiungere un commento a questo articolo.\r\n<p><b>replies.count</b><br>\r\nil numero di commenti allegati a questo articolo.\r\n<p><b>replies.label</b><br>\r\nL\'etichetta tradotta che indica che tu puoi vedere le risposte.\r\n<p><b>replies.url</b><br>\r\nLa URL per visualizzare le risposte a questo articolo.</p>\r\n',1046631130);
INSERT INTO international VALUES (71,'ExtraColumn',8,'Le colonne extra ti consentono di cambiare il layout della pagina per una pagina solamente. Se vuoi avere colonne multiple su tutte le pagine forse  meglio alterare lo <i>stile</i> applcato alle pagine. \r\n<br><br>\r\nLe colonne sono sempre aggiunte da sinistra a destra. Quindi ogni contenuto esistente sar piazzato alla sinistra della nuova colonna.\r\n<br><br>\r\n<b>Posizione</b><br>\r\nle colonne extra saranno sempre inserite da sinistra a destra.\r\n<br><br>\r\n<b>Spaziatore</b><br>\r\nLo spaziatore  la quantit di spazio tra il contenuto esistente e la tua nuova colonna. E\' misurato in pixel.\r\n<br><br>\r\n<b>Larghezza</b><br>\r\nLa larghezza della nuova colonna da aggiungere. La larghezza  misurata in pixel.\r\n<br><br>\r\n<b>StyleSheet Class</b><br>\r\nPer default  applicato lo stile <i>content</i> (che  lo stile usato dal corpo di tutto il sito). Comunque, se hai creato uno stile specifico per le colonne, puoi modificare questa classe.\r\n',1046629104);
INSERT INTO international VALUES (71,'Article',8,'Gli Articoli sono il coltellino svizzero del C.M.S. . La maggior parte dei contenuti statici possono essere aggiunte mediante il wobject articolo.\r\n<br><br>\r\n<b>Template</b><br>\r\nSeleziona un&nbsp; template per il layout del tuo articolo.\r\n<br><br>\r\n<b>Immagine</b><br>\r\nScegli una immagine (.jpg, .gif, .png) dal tuo disco fisso. Questo file sar uploadato sul server e visualizzato in alto nel tuo articolo nella posizione che scegli nella box di allineamento (sinistra-centro-destra).\r\n<br><br>\r\n<b>Titolo del link</b><br>\r\nSe vuoi aggiungere un link al tuo articolo, metti qui il titolo del link. \r\n<br><br>\r\n<i>Esempio:</i> Google\r\n<br><br>\r\n<b>URL del Link</b><br>\r\nSe ha aggiunto un titolo di link, adesso aggiungi la URL (uniform resource locator) in questo campo. \r\n<br><br>\r\n<i>Esempio:</i> http://www.google.com\r\n<br><br>\r\n<b>Allegato</b><br>\r\nSe vuoi allegare un file word, zip o qualsiasi altro file scaricabile dagli utenti, sceglilo dal tuo disco fisso.\r\n<br><br>\r\n<b>Converti gli \'a capo\'?</b><br>\r\nSe pubblichi in HTML, generalmente non c\' bisogno di selezionare questa opzione, ma se non stai usando HTML e vuoi un a capo ogni volta che schiacci il tasto \"Invio\" , allora seleziona questa opzione.\r\n<p><b>Consenti&nbsp; discussioni?</b><br>\r\nSelezionando questo box abiliterai la possibilit di inviare commenti\r\nall\'articolo.\r\n<p><b>Filtra i Messaggi</b><br>\r\nSeleziona il livello di filtraggio di contenuto da eseguire sui messaggi della discussione.\r\n<p><b>Chi pu postare?</b><br>\r\nSeleziona il gruppo che  abilitato a inviare messaggi in questa discussione.\r\n<p><b>Modifica il Timeout</b><br>\r\nPer quanto tempo gli utenti possono modificare i loro messaggi prima che\r\nl\'opzione modifica sia bloccata?\r\n<p><i>Nota:</i> non settare un limite troppo alto. Una delle grandi cose di\r\nquesti sistemi  che rappresentato un diario accurato di chi ha detto cosa. Se\r\npermetti di modificare per un arco di tempo troppo lungo, gli utenti avranno la\r\npossibilit di tornare sui propri passi e cambiare la propria opinione molto\r\ntempo dopo che il pensiero originale venisse postato.\r\n<p><b>Karma Per Post</b><br>\r\nQuanto karma deve essere assegnato ad un utente quando posta in questa\r\ndiscussione?\r\n<p><b>Chi pu moderare?</b><br>\r\nSeleziona il gruppo che  abilitato a moderate questa discussione.\r\n<p><b>Tipo di moderazione?</b><br>\r\nPuoi selezionare il tipo di moderazione che preferisci. <i>Dopo-il-fatto</i>\r\nsignifica che quando un utente invia un messaggio questo viene pubblicato\r\nimmediatamente. <i>Preventiva </i> significa che un moderatore deve visionare ed\r\napprovare i messaggi prima che essi siano resi pubblicamente visibili. Gli\r\navvisi per i nuovi messaggi sono automaticamente visualizzati nel WebGUI Inbox\r\ndel moderatore.\r\n<p><i>Nota:</i> In entrambi i tipi di moderazione il moderatore pu sempre\r\nmodificare o cancellare i messaggi inviati.</p>\r\n<p><b>Aggiungi la data di modifica nei post</b><br>\r\nVuoi aggiungere la data di modifica nei messaggi cos da sapere chi ha modificato un messaggio e quando?',1048067295);
INSERT INTO international VALUES (63,'Product',8,'La lista delle specifiche associate a questo prodotto.\r\n<blockquote>\r\n  <b>specification.controls</b><br>\r\n  I controlli di gestione di WebGUI&nbsp; per questa specifica.\r\n  <p><b>specification.specification</b><br>\r\n  Il testo stesso della specifica.\r\n  <p><b>specification.units</b><br>\r\n  L\'unit di misura per questa specifica. ex: metri\r\n  <p><b>specification.label</b><br>\r\n  L\'etichetta per questa specifica. ex: altezza\r\n  <p>&nbsp;</p>\r\n</blockquote>\r\n<p><b>addaccessory.url</b><br>\r\nLa URL per aggiungere un accessorio a questo prodotto.\r\n<p><b>addaccessory.label</b><br>\r\nL\'etichetta tradotta per il link per aggiungere un accessorio.\r\n<p><b>accessory_loop</b><br>\r\nQuesto ciclo contiene tutti gli accessori associati&nbsp; a questo prodotto.\r\n<blockquote>\r\n  <b>accessory.url</b><br>\r\n  La URL all\'accessorio linkato.\r\n  <p><b>accessory.title</b><br>\r\n  Il titolo dell\'accessorio linkato.\r\n  <p><b>accessory.controls</b><br>\r\n  I controlli di gestione di WebGUI&nbsp; per questo accessorio.\r\n  <p>&nbsp;</p>\r\n</blockquote>\r\n<p><b>addRelatedProduct.url</b><br>\r\nla URL per aggiungere un prodotto correlato a questo prodotto.\r\n<p><b>addRelatedProduct.label</b><br>\r\nL\'etichetta tradotta per il link per aggiungere un prodotto correlato .\r\n<p><b>relatedproduct.url</b><br>\r\nLa URL al prodotto linkato.\r\n<p><b>relatedproduct.title</b><br>\r\nIl titolo del prodotto linkato.\r\n<p><b>relatedproduct.controls</b><br>\r\nI controlli di gestione di WebGUI&nbsp; per questo prodotto correlato.</p>\r\n\r\n',1046628858);
INSERT INTO international VALUES (607,'WebGUI',8,'<b>Registrazione Anonima</b><br>\r\nVuoi abilitare i visitatori a registrarsi da soli al sito?\r\n<p><b>Esegui su Registrazione</b><br>\r\nSe qui inserisci una linea di comando, sar eseguita ogni volta che un utente\r\nsi registra.</p>\r\n<p><b>Abilita Karma?</b><br>\r\nVuoi abilitare la funzione Karma?</p>\r\n<p><b>Karma per Login</b><br>\r\nLa quantit di&nbsp; Karma che viene accreditato ad ogni utente quando effettua\r\nil login. Ha effetto solo se il karma  abilitato.</p>\r\n<p>\r\n\r\n\r\n<b>Session Timeout</b><br>\r\nIl tempo (in secondi) che una sessione utente rimane attiva (prima che sia necessario un nuovo login). Il timeout si azzera ogni volta che si clicca una pagina. Quindi se setti il timeout per 8 ore, un utente dovr rifare il log in non ha visitato il sito the site da 8 ore.</p>\r\n<p>\r\n\r\n<b>Consenti agli utenti di disattivare i propri account?</b><br>\r\nConsenti ai tuoi utenti di disattivare i propri account senza un tuo intervento?<br>\r\n<br>\r\n<b>Metodo di autenticazione (default)</b><br>\r\nQuale dovrebbe essere il metodo di autenticazione predefinito per i nuovi account creati? I due metodi possibili sono WebGUI e LDAP. L\'autenticazione WebGUI significa che gli utenti si autenticheranno in base alle informazioni conservate nel database. L\'autenticazione LDAP significa che gli utenti si autenticheranno in base ad un server LDAP sesterno.\r\n<br><br>\r\n<i>Nota:</i> I settaggi di autenticazione possono essere personalizzati utente per utente.\r\n<h2>WebGUI Authentication Options</h2>\r\n<b>Invia un messaggio di benvenuto?</b><br>\r\nDesideri che WebGUI automaticamente invii un messaggio di benvenuto all\'utente\r\nquando si registra?\r\n<p><b>NOTA:</b> In aggiunta al tuo messaggio saranno incluse&nbsp; anche le\r\ninformazioni sull\'account.<p><b>Messaggio di Benvenuto</b><br>\r\nScrivi il messaggio che vuoi che venga inviato all\'utente quando si registra.<p><b>Recupera\r\nPassword - Messaggio</b><br>\r\nScrivi il messaggio che vuoi che venga inviato agli utenti se cercano di\r\nrecuperare la loro password di WebGUI .</p>\r\n<p>\r\n\r\n&nbsp;\r\n\r\n<h2>LDAP Authentication Options</h2>\r\n<br><br>\r\n<b>LDAP URL (default)</b><br>\r\nLa URL di default del server LDAP. La URL LDAP  nella forma <b>ldap://[server]:[port]/[base DN]</b>. Esempio:\r\nldap://ldap.mycompany.com:389/o=MyCompany.\r\n<p><b>LDAP Identity</b><br>\r\nLa LDAP  l\'identificatore unico nel LDAP server con cui l\'utente sar\r\nidentificato. Spesso questo campo  un <b>shortname</b>, che prende la forma\r\ndella&nbsp; iniziale del nome&nbsp; + il cognome. Esempio: mrossi. Per questo se\r\nspecifichi la LDAP identity per essere un&nbsp; <i>shortname</i> allora Mario\r\nRossi&nbsp; dovr inserire&nbsp; <i>mrossi</i> durante il processo di\r\nregistrazione.<br>\r\n<br>\r\n<b>LDAP Identity Name</b><br>\r\nL\'etichetta utilizzata per descrivere LDAP Identity all\'utente. Per esempio,\r\nalcune aziende usano un LDAP server per autenticare i loro utenti con proxy\r\nserver. Nella documentazione fornita ai propri utenti, la LDAP identity \r\nconosciuta come la loro <i>Web Username. Quindi per coerenza puoi inserire\r\nquesta etichetta.<br>\r\n<br>\r\n<b>LDAP Password Name</b><br>\r\nCome per LDAP Identity Name  una etichetta , cos lo  la LDAP Password\r\nName. Usa questa etichetta secondo gli stessi principi della LDAP Identity Name.</i></p>\r\n\r\n',1046627458);
INSERT INTO international VALUES (620,'WebGUI',8,'Come il nome suggerisce, con questa funzione cancellerai un gruppo e rimuoverai tutti gli utenti da quel gruppo. Stai attento a non lasciare orfani degli utenti delle pagine alle quali avrebbero accesso cancellando un gruppo che  ancora in uso.\r\n<p>\r\n\r\nCome per ogni operazione di cancellazione, sei chiamato a rispondere ad una conferma per procedere con la cancellazione. Se rispondi di s, la cancellazione proceder e non ci sar possibilit di recuperare i dati. Se rispondi di no sarai riportato alla schermata precedente.',1046625755);
INSERT INTO international VALUES (622,'WebGUI',8,'Vedi <i>Gestisci Gruppi</i> per una descrizione delle funzioni dei gruppi e per i gruppi di default.\r\n<p>\r\n\r\n<b>Nome del gruppo</b><br>\r\nUn nome per il gruppo. E\' meglio se il nome  descrittivo cos saprai in un batter d\'occhio di cosa si tratta.\r\n<p>\r\n\r\n<b>Descrizione</b><br>\r\nUna descrizione pi lunga del gruppo cos che altri admin e content managers (o tu se te lo dimentichi) sapranno qual\' lo scopo del gruppo.\r\n<p>\r\n<b>Scadenza Offset</b><br>\r\nLa quantit di tempo durante il quale un utente continuer ad appartenere ad\r\nun gruppo prima che il privilegio scada o che venga rimosso dal gruppo. Questa\r\nfunzione  molto utile per i siti con membership nei quali gli utenti hanno\r\nalcuni privilegi solamente per un periodo di tempo specifico.\r\n<p><b>NOTA:</b> Questo pu essere annullato da una configurazione specifica per\r\nutente.\r\n<p><b>Avverti gli utenti sulla scadenza?</b><br>\r\nSetta su &quot;si&quot; se vuoi che WebGUI contatti gli utente quando \r\nprossima la loro esclusione dal gruppo.\r\n<p><b>Offset della notifica di scadenza</b><br>\r\nLa differenza di tempo in giorni tra la scadenza/esclusione e la notifica.&nbsp;\r\nPuoi settarla sui ogni parametro che desideri. Per esempio settalo a\r\n&quot;0&quot;&nbsp; se vuoi che la notifica/avviso sia inviata lo stesso giorno\r\nin cui il privilegio scade. Settalo a &quot;-7&quot; se vuoi che la\r\nnotifica/avviso sia inviata 7 giorni&nbsp; <b>prima</b> che il privilegio scada.\r\nSettalo a &quot;7&quot; se vuoi che la notifica/avviso sia inviata 7 giorni&nbsp;\r\n<b>dopo </b>che il privilegio scada.\r\n<p><b>Messaggio di notifica/avviso della scadenza</b><br>\r\nScrivi il messaggio che vuoi spedire agli utenti per dire loro della scadenza.\r\n<p><b>Cancellazione Offset</b><br>\r\nLa differenza di tempo in giorni tra la scadenza/esclusione e la cancellazione\r\ndefinitiva dal sistema.&nbsp; Puoi settarla sui ogni parametro che desideri. Per\r\nesempio settalo a &quot;0&quot;&nbsp; se vuoi che la cancellazione avvenga lo\r\nstesso giorno in cui il privilegio scade. Settalo a &quot;-7&quot; se vuoi che\r\nla cancellazione avvenga 7 giorni&nbsp; <b>prima</b> che il privilegio scada.\r\nSettalo a &quot;7&quot; se vuoi che la cancellazione avvenga 7 giorni&nbsp; <b>dopo\r\n</b>che il privilegio scada.\r\n<p><b>IP Address</b><br>\r\nSpecifica un IP address o un IP mask per l\'autenticazione. Se gli&nbsp; IP\r\naddress degli utenti corrispondono, saranno automaticamente inclusi nel gruppo.\r\nAn IP mask  semplicemente l\' IP address meno un octet (ottetto) o due. Puoi\r\nspecificare anche&nbsp; IP masks multiple separandoli da punto-e-virgola.\r\n<p><i>IP Mask Esempio:</i> 10.;192.168.;101.42.200.142\r\n<p><b>Soglia del Karma</b><br>\r\nSe hai abilitato il Karma, allora puoi settare questo valore. La soglia del\r\nKarma  la quantit (valore) di&nbsp; karma che un utente deve possedere per\r\nessere considerato incluso nel gruppo.</p>\r\n\r\n',1046625426);
INSERT INTO international VALUES (624,'WebGUI',8,'le macro di sono utilizzate per creare contenuti dinamici all\'interno di contenuti che altrimenti sarebbero statici. per esempio, potresti voler visualizzare quale utente  attualmente logato in ogni pagina, oppure avere un menu generato dinamicamente, o ancora un crumb trail. \r\n<p>\r\nLe macro cominciano sempre con un carattere carat (&#94;) , proseguono con almeno un altro carattere e finiscono con un punto e virgola (;). Alcune macro possono essere estese/configurate nel formato  &#94;<i>x</i>(\"<b>testo della configurazione</b>\");.\r\n<p>\r\n<p>Nota: \r\n<b>&#94;-;,&#94;0;,&#94;1;,&#94;2;,&#94;3;, etc.</b><br>\r\nQueste macro sono riservate per funzione specifiche relative ai widgets come nel SQL report e il corpo nel gestore degli stili.',1048071547);
INSERT INTO international VALUES (623,'WebGUI',8,'<a href=\"http://www.w3.org/Style/CSS/\">Cascading Style Sheets (CSS)</a> sono lo strumento migliore per gestire il look and feel di un  web site. Sono largamente usati nel C.M.S.\r\n<p>\r\n\r\nQuella che segue  una lista di classi usate per gestire il look :\r\n<p>\r\n\r\n<b>A</b><br>\r\nI links nello stile.\r\n<p>\r\n\r\n<b>BODY</b><br>\r\nIl setup di default delle pagine nello stile.\r\n<p>\r\n\r\n<b>H1</b><br>\r\nGli headers di ogni pagina.\r\n<p>\r\n\r\n<b>.accountOptions</b><br>\r\nI links che appaiono in modalit login e account update forms.\r\n<p>\r\n\r\n<b>.adminBar </b><br>\r\nLa barra che appare in alto quando sei amministratore del sito.\r\n<p>\r\n\r\n<b>.content</b><br>\r\nLa principale area di contenuto in ogni pagina dello stile.\r\n<p>\r\n\r\n<b>.formDescription </b><br>\r\nI tags su ogni forms prossimi agli elementi del form. \r\n<p>\r\n\r\n<b>.formSubtext </b><br>\r\nI tags sotto alcuni elementi dei form.\r\n<p>\r\n\r\n<b>.highlight </b><br>\r\nDenota un elemento in evidenza, come quale messaggio stai visualizzando in una lista.\r\n<p>\r\n\r\n<b>.horizontalMenu </b><br>\r\nHorizontal menu (se stai usando una horizontal menu macro).\r\n<p>\r\n\r\n<b>.pagination </b><br>\r\nIl link alla pagina precedente o successiva se stai usando il cambia pagina dopo....\r\n<p>\r\n\r\n<b>.selectedMenuItem</b><br>\r\nUtilizza questa classe per evidenziare la pagina corrente in ognuno dei menu macro.\r\n<p>\r\n\r\n<b>.tableData </b><br>\r\nI contenuti di elementi come forum e contributi dagli utenti.\r\n<p>\r\n\r\n<b>.tableHeader </b><br>\r\nHead delle colonne di elementi come forum e contributi dagli utenti.\r\n<p>\r\n\r\n<b>.tableMenu </b><br>\r\nIl menu di elementi come forum e contributi dagli utenti.\r\n<p>\r\n\r\n<b>.verticalMenu </b><br>\r\nVertical menu (se stai utilizzando una vertical menu macro).\r\n<p>\r\n\r\n<i><b>Note:</b></i> Alcuni elementi e macro hanno il proprio stile univoco, che  documentato nello specifico file di help.\r\n\r\n',1046622652);
INSERT INTO international VALUES (621,'WebGUI',8,'Gli stili del C.M.S.  sono abilitati alle macro. Vedi <i>Usare le Macros</i> per maggori informazioni.\r\n<p>\r\n\r\n<b>Nome dello stile</b><br>\r\nUn nome univoco che descriva come appare lo stile in una parola. Il nome non ha effetto sulla visualizzazione dello stile.\r\n<p>\r\n\r\n<b>Body</b><br>\r\nBody rappresenta la visualizzazione del tuo sito. Copia il tuo codice HTML  e incollalo nello spazio apposito. \r\n<p>\r\n\r\nMolte persone aggiungeranno macro del C.M.S. ai loro body per automatizzare la navigazione, e per altre funzionalit.\r\n<p>\r\nEsiste una macro particolare, questa ^-; che dovrai necessariamente posizionare nella parte del body in cui vuoi che venga inserito il contenuto. Non dimenticare di mettere la macro ^AdminBar per visualizzare le funzioni amministrative.\r\n\r\n<p>\r\n\r\n<b>Style Sheet</b><br>\r\nMetti il codice del tuo foglio di stile qui. Gli Style sheets, o fogli di stile sono usati per controllare colori, dimensioni e altre propriet degli elementi del tuo sito. Vedi <i>Usare gli Style Sheets</i> per maggiori informazioni.\r\n<p>\r\n\r\n<i>Utenti avanzati:</i> per una maggior performance create gli style sheet sul file system (chiamateli tipo tuosito.css) e aggiungete in questa area un link come questo: \r\n&lt;link href=\"/tuosito.css\" rel=\"stylesheet\" rev=\"stylesheet\" type=\"text/css\"&gt;',1046622576);
INSERT INTO international VALUES (71,'USS',8,'I sistemi di contribuzione da parte degli utenti sono un ottimo modo di aggiungere un senso di community su ogni sito, e anche un modo di ottenere contenuti gratuitamente dagli utenti.\r\n<br><br>\r\n<b>Template principale</b><br>\r\nselezione un layout per questo Sistema di Contributi degli Utenti<br><br>\r\n<b>Filtra il contenuto</b><br>\r\nSeleziona il livello di filtraggio del contenuto che vuoi effettuare su tutti i messaggi.<br><br>\r\n<b>Template di inserimento</b><br>\r\nselezione un layout per l\'interfaccia di sottomissione contributi<br><br>\r\n<b>Chi pu approvare?</b><br>\r\nChe gruppo  abilitato ad approvare e rifiutare i contenuti?\r\n<br><br>\r\n<b>Chi pu contribuire?</b><br>\r\nQuale gruppo  abilitato ad aggiungere contenuto?\r\n<br><br>\r\n<b>Contributi per pagina</b><br>\r\nQuanti contributi vuoi visualizzare per pagina nell\'indice dei contenuti?\r\n<br><br>\r\n<b>Stato predefinito</b><br>\r\nI contributi vengono settati a <i>Approvato</i>, <i>Pendente</i>, o <i>Respinto</i> per default?\r\n<br><br>\r\n<i>Note:</i> Se metti lo stato predefinito a  Pendente, sii preparato a guardare spesso nel log messaggi per i nuovi contributi.\r\n<b>Visualizza thumbnails?</b><br>\r\nSe c\' unna immagine nella discussione la thumbnail sar visualizzata nel\r\nLayout .<br><br>\r\n<p><b>Consenti Discussioni?</b><br>\r\nDesideri allegare una discussione a questo sistema di contributi ? Se lo fai,\r\nogni utente potr commentare ogni discussione.&nbsp;\r\n<p><b>Chi pu postare?</b><br>\r\nQuale gruppo pu postare su questa discussione?\r\n<br><br>\r\n<b>Modifica Timeout</b><br>\r\nQuesto settaggio specifica per quanto tempo un utente avr la possibilit di modificare il proprio messaggio. Il Timeout  misurato in ore.\r\n<br><br>\r\n<i>Nota:</i> Non settare questo limite troppo alto. Una delle cose pi interessanti dei Forum  che sono una registrazione accurata di una discussione. Se consenti di modificare i messaggi per molto tempo, l\'utente avr la possibilit di cambiare idea molto tempo dopo che il pensiero originale era stato espresso.\r\n\r\n\r\n&nbsp;</p>\r\n<p><b>Karma Per Post</b><br>\r\nQuanto karma deve essere assegnato all\'utente quando posta&nbsp; su questa\r\ndiscussione?</p>\r\n<p>\r\n<b>Chi pu moderare?</b><br>\r\nQuale gruppo pu moderare su questa discussione?</p>\r\n<p><b>Tipo di moderazione?</b><br>\r\nPuoi selezionare il tipo di moderazione che preferisci. <i>Dopo-il-fatto</i>\r\nsignifica che quando un utente invia un messaggio questo viene pubblicato\r\nimmediatamente. <i>Preventiva </i>significa che un moderatore deve visionare ed\r\napprovare i messaggi prima che essi siano resi pubblicamente visibili. Gli\r\navvisi per i nuovi messaggi sono automaticamente visualizzati nel WebGUI Inbox\r\ndel moderatore.\r\n<p><i>Nota:</i> In entrambi i tipi di moderazione il moderatore pu sempre\r\nmodificare o cancellare i messaggi inviati.</p>\r\n\r\n<p><b>Aggiungi data di modifica nei post?</b><br>\r\nVuoi aggiungere la data di modifica nei messaggi cos da sapere cosa  stato modificato e quando?',1048257886);
INSERT INTO international VALUES (74,'MessageBoard',8,'Questo  l\'elenco delle variabili di template disponibili per i template dei\r\nForum.\r\n<p><b>canPost</b><br>\r\nUna condizione che indica se un utente pu aggiungere un nuovo messaggio.\r\n<p><b>post.url</b><br>\r\nLa&nbsp; URL per aggiungere un nuovo messaggio.\r\n<p><b>post.label</b><br>\r\nL\'etichetta tradotta per il link da cui postare.\r\n<p><b>search.url</b><br>\r\nLa URL per cercare in questo forum.\r\n<p><b>search.label</b><br>\r\nL\'etichetta tradotta per il link al&nbsp; search engine.\r\n<p><b>subject.label</b><br>\r\nL\'etichetta tradotta per&nbsp; la colonna Oggetto.\r\n<p><b>user.label</b><br>\r\nL\'etichetta tradotta per&nbsp; la colonna Utente\r\n<p><b>date.label</b><br>\r\nL\'etichetta tradotta per&nbsp; la colonna Data.\r\n<p><b>views.label</b><br>\r\nL\'etichetta tradotta per&nbsp; la colonna Visualizzato.\r\n<p><b>replies.label</b><br>\r\nL\'etichetta tradotta per&nbsp; la colonna Risposte.\r\n<p><b>last.label</b><br>\r\nL\'etichetta tradotta per&nbsp; la colonna Ultima Risposta\r\n<p><b>message_loop</b><br>\r\nUn ciclo che contiene ogni messaggio.\r\n<blockquote>\r\n  <b>last.url</b><br>\r\n  La URL all\'ultima risposta a questo messaggio.\r\n  <p><b>last.subject</b><br>\r\n  L\'oggetto dell\'ultima risposta a questo messaggio.\r\n  <p><b>last.username</b><br>\r\n  Il Nome Utente di chi&nbsp; ha postato l\'ultima risposta a questo messaggio.\r\n  <p><b>last.userProfile</b><br>\r\n  La URL&nbsp; al profilo dell\'utente che ha postato l\'ultima risposta a questo\r\n  messaggio.\r\n  <p><b>last.date</b><br>\r\n  La data in cui l\'ultima risposta a questo messaggio  stata inviata.\r\n  <p><b>message.subject</b><br>\r\n  L\'oggetto di questo messaggio.\r\n  <p><b>message.date</b><br>\r\n  La data in cui questo messaggio  stato postato.\r\n  <p><b>message.user</b><br>\r\n  L\'utente che ha postato questo messaggio.\r\n  <p><b>message.views</b><br>\r\n  Le visualizzazioni che questo messaggio ha ricevuto.\r\n  <p><b>message.replies</b><br>\r\n  Il numero di risposte a questo thread.\r\n  <p><b>message.url</b><br>\r\n  La URL per visualizzare questo messaggio.\r\n  <p><b>message.currentUser</b><br>\r\n  Una condizione che indica se l\'utente attuale  lo stesso che ha postato\r\n  questo messaggio.\r\n  <p><b>message.status</b><br>\r\n  Lo stato di questo messaggio (pendente, approvato, rifiutato).\r\n  <p>&nbsp;</p>\r\n</blockquote>\r\n<p><b>firstPage</b><br>\r\nUn Link alla prima pagina dell\'impaginazione.\r\n<p><b>lastPage</b><br>\r\nUn Link all\'ultima pagina dell\'impaginazione.\r\n<p><b>nextPage</b><br>\r\nUn Link alla prossima pagina dell\'impaginazione.\r\n<p><b>previousPage</b><br>\r\nUn Link alla prossima pagina dell\'impaginazione.\r\n<p><b>pageList</b><br>\r\nUna lista di link a tutte le pagine dell\'impaginazione del calendario.\r\n<p><b>multiplePages</b><br>\r\nUna variabile che indica dove esiste pi di una pagina nell\'impaginazione.</p>\r\n',1046621598);
INSERT INTO international VALUES (75,'USS',8,'Questo  l\'elenco delle variabili di template disponibili per i template del\r\nSistema di contributi degli Utenti.\r\n<p><b>readmore.label</b><br>\r\nL\'etichetta tradotta che indica che l\'utente pu cliccare per &quot;leggere di\r\npi&quot;.\r\n<p><b>responses.label</b><br>\r\nL\'etichetta tradotta che indica che l\'utente pu cliccare per visualizzare le\r\nrisposte a questo post.</p>\r\n<p><b>canPost</b><br>\r\nUna condizione che indica se un utente pu aggiungere un nuovo contributo.\r\n<p><b>post.url</b><br>\r\nLa&nbsp; URL per aggiungere un nuovo contributo.\r\n<p><b>post.label</b><br>\r\nL\'etichetta tradotta per il link da cui postare.\r\n<p><b>search.label</b><br>\r\nL\'etichetta tradotta per il link al&nbsp; search engine.\r\n<p><b>search.url</b><br>\r\nLa URL per settare on/off&nbsp; &nbsp; form di ricerca.\r\n<p><b>search.form</b><br>\r\nIl form di ricerca di WebGUI.\r\n<p><b>title.label</b><br>\r\nL\'etichetta tradotta per&nbsp; la colonna Titolo.\r\n<p><b>thumbnail.label</b><br>\r\nL\'etichetta tradotta per&nbsp; la colonna Thumbnail.\r\n<p><b>date.label</b><br>\r\nL\'etichetta tradotta per&nbsp; la colonna Data.\r\n<p><b>by.label</b><br>\r\nL\'etichetta tradotta che indica da chi  stato inviato il contributo.\r\n<p><b>submissions_loop</b><br>\r\nUn ciclo che contiene ogni contributo.\r\n<blockquote>\r\n  <b>submission.id</b><br>\r\n  Un identificatore unico per questo contributo.\r\n  <p><b>submission.url</b><br>\r\n  La URL per visualizzare questo contributo.\r\n  <p><b>submission.content</b><br>\r\n  Il testo abbreviato del contenuto di questo contributo.\r\n  <p><b>submission.responses</b><br>\r\n  Il numero di risposte a questo contributo.\r\n  <p><b>submission.title</b><br>\r\n  Il titolo per questo contributo.\r\n  <p><b>submission.userId</b><br>\r\n  La User Id dell\'utente che ha inviato questo contributo.\r\n  <p><b>submission.username</b><br>\r\n  Il nome utente della persona che ha inviato questo contributo\r\n  <p><b>submission.status</b><br>\r\n  Lo stato di questo contributo (approvato, pendente, rifiutato).\r\n  <p><b>submission.thumbnail</b><br>\r\n  Il thumbnail dell\'imagine caricata con questo contributo (se esiste).\r\n  <p><b>submission.date</b><br>\r\n  La data in cui  stato inviato il contributo.\r\n  <p><b>submission.currentUser</b><br>\r\n  Una condizione che indica se l\'utente attuale  lo stesso che ha inviato\r\n  questo contributo.\r\n  <p><b>submission.userProfile</b><br>\r\n  La URL al profilo dell\'utente che ha inviato questo contributo.\r\n  <p><b>submission.secondColumn</b><br>\r\n  Una condizione che indica se questo contributo appartiene o no alla seconda\r\n  colonna in un layout multi-colonna.\r\n  <p><b>submission.thirdColumn</b><br>\r\n  Una condizione che indica&nbsp; contributo appartiene o no alla terza colonna\r\n  in un layout multi-colonna.\r\n  <p><b>submission.fourthColumn</b><br>\r\n  Una condizione che indica&nbsp; contributo appartiene o no alla quarta colonna\r\n  in un layout multi-colonna.\r\n  <p><b>submission.fifthColumn</b><br>\r\n  Una condizione che indica contributo appartiene o no alla quinta colonna in un\r\n  layout multi-colonna.\r\n  <p>&nbsp;</p>\r\n</blockquote>\r\n<p><b>firstPage</b><br>\r\nUn Link alla prima pagina dell\'impaginazione.\r\n<p><b>lastPage</b><br>\r\nUn Link all\'ultima pagina dell\'impaginazione.\r\n<p><b>nextPage</b><br>\r\nUn Link alla prossima pagina dell\'impaginazione.\r\n<p><b>previousPage</b><br>\r\nUn Link alla prossima pagina dell\'impaginazione.\r\n<p><b>pageList</b><br>\r\nUna lista di link a tutte le pagine dell\'impaginazione del calendario.\r\n<p><b>multiplePages</b><br>\r\nUna variabile che indica dove esiste pi di una pagina nell\'impaginazione.</p>\r\n',1046620693);
INSERT INTO international VALUES (637,'WebGUI',8,'<b>Nome</b><br>\r\nIl nome dell\'utente.\r\n<p>\r\n\r\n<b>Secondo Nome</b><br>\r\nIl secondo nome dell\'utente.\r\n<p>\r\n\r\n<b>Cognome</b><br>\r\nIl cognome dell\'utente.\r\n<p>\r\n\r\n<b>Indirizzo Email</b><br>\r\nIndirizzo email dell\' utente. Deve essere inserito se l\' utente vuole utilizzare le funzioni che richiedono l\' email.\r\n<p>\r\n\r\n\r\n<b>Lingua</b><br>\r\nQuale lingua deve essere usata dal sistema per mostrare messaggi e indici.\r\n<p>\r\n\r\n<b>ICQ UIN</b><br>\r\n<a href=\"http://www.icq.com\">ICQ</a> UIN  \" ID numero utente\" sul network ICQ. ICQ  una tra le pi popolari piattaforme di instant messaging.\r\n\r\n\r\n<b>Nota:</b> Puoi inserire tutti le categorie e i campi che desideri, puoi senderli obbligatori o meno. Nella gersione profilo troverai configurati quelli di default nella distribuzione di WebGUI.\r\n\r\n',1046619284);
INSERT INTO international VALUES (618,'WebGUI',8,'\r\n<b>SMTP Server</b><br>\r\nQuesto  l\'indirizzo del tuo mail server locale. E\' necessario per tutte le funzionalit che coinvolgono la posta internet (come la funzione di recupero password).<br><br>\r\n\r\n<b>Email footer</b><br>\r\nQuesto footer sar processato per le macro e allegato ad ogni email inviata da questa istanza di WebGUI.\r\n<br><br>\r\n<b>Avverti quando c\' un nuovo utente?</b><br>\r\nQualcuno deve essere avvisato se un nuovo utente si registra anonimamente?\r\n<br><br>\r\n<b>Gruppo da avvertire quando c\' un nuovo utente?</b><br>\r\nQuale gruppo deve essere avvisato se un nuovo utente si registra anonimamente?\r\n<br><br>\r\n\r\n',1046556120);
INSERT INTO international VALUES (617,'WebGUI',8,'I Settaggi sono opzioni che ti consentono di aggiustare il C.M.S. per i tuoi particolari bisogni.\r\n<p>\r\n\r\n\r\n<b>Modifica informazioni sull\'azienda</b><br>\r\nInformazioni specifiche riguardo l\'azienda o l\'individuo che controlla questa installazione del C.M.S. .\r\n<p>\r\n\r\n<b>Modifica i settaggi dei contenuti</b><br>\r\nSettaggi correlati a contenuti e alla loro gestione.\r\n<p>\r\n\r\n<b>Modifica i settaggi della messaggistica</b><br>\r\nSettaggi per le email e le funzioni relative alla messaggistica.\r\n<p>\r\n\r\n<b>Modifica settaggi vari</b><br>\r\nTutto il resto.\r\n\r\n<b>Modifica i settaggi del profilo</b><br>\r\nDefinisce come appaioni i profili degli utenti e cosa gli utenti hanno i privilegi di modificare<p>\r\n\r\n\r\n\r\n<b>Modifica i settaggi per gli utenti</b><br>\r\nQuesti settaggi riguardano la identificazione degli utenti e il login, etc.\r\n<p>\r\n\r\n',1046555813);
INSERT INTO international VALUES (613,'WebGUI',8,'Gli utenti nel sistema sono gli account ai quali  concesso fare determinate cose. Ci sono due utenti di default: Admin e Visitor.\r\n<p>\r\n\r\n<b>Admin</b><br>\r\nAdmin  esattamente quello che ti aspetti. E\' un utente con privilegi illimitati nell\'ambiente. Se qualcosa pu essere fatto, questo utente ha i diritti per farlo.\r\n<p>\r\n\r\n<b>Visitor</b><br>\r\nVisitor  esattamente l\'opposto di Admin. Visitor non ha nessun diritto. Per default qualsiasi utente non loggato  visto come utente Visitor.\r\n<p>\r\n\r\n<b>Aggiungi un nuovo utente.</b><br>\r\nClicca qui per andare allo schermo di aggiunta utente.\r\n<p>\r\n\r\n<b>Cerca</b><br>\r\nPuoi cercare gli utenti basandoti sullo username o sull\'indirizzo email. Puoi anche fare delle ricerche parziali se preferisci.',1046555073);
INSERT INTO international VALUES (632,'WebGUI',8,'Puoi aggiungere wobject selezionando <i>Aggiungi contenuto</i> dal menu in alto a sinistra. Puoi poi editarlo cliccando sul bottone \"Modifica\" che appare proprio sopra l\'istanza di ogni wobject particolare.\r\n<p>Quasi tutti wobject condividono alcune propriet:</p>\r\n<p><b>Wobject ID</b><br>\r\nL\'identificatore unico che WebGUI&nbsp; usa per tracciare il wobject. Gli utenti\r\nnormali probabilmente non hanno bisogno di questo parametro, ma qualche utente\r\navanzato pu averne bisogno per esempio applicazioni di SQL Reports.</p>\r\n<p><b>Titolo</b><br>\r\nQual\' il titolo di questo articolo? Anche se non vuoi che il titolo appaia, \r\nuna buona idea dare un titolo ai tuoi contenuti, cos quando questi saranno\r\ncopiati negli appunti avranno un nome.<br>\r\n<br>\r\n<b>Visualizza il titolo?</b><br>\r\nVuoi visualizzare il titolo? In alcuni siti visualizzare il titolo non  necessario.<br>\r\n<br>\r\n<b>Processa le macro?</b><br>\r\nVuoi processare le macro nel contenuto di questo wobject? A volte vorrai attivare l\'interpretazione delle macro. Deselezionando questo\r\nbox non processer le macro e sar velocizzata l\'esecuzione della pagina.<br>\r\n<br>\r\n<b>Posizione nel template</b><br>\r\nLe posizioni nel template variano da 0 (zero) a qualsiasi numero. Quante ne sono disponibili dipende dal template associato a questa pagina. Il template di default ha solo una posizione nel template, altri possono averne di pi. Selezionando una posizione nel template, stai specificando dove questo wobject sar posizionato nella struttura del template.\r\n<br>\r\n<br>\r\n<b>Data di inizio</b><br>\r\nIn che data vuoi che questo articolo appaia sul sito? Le date sono nel formato\r\namericano MM/GG/AAAA. Puoi usare un wizard JavaScript per selezionare la data da\r\nun calendario cliccando su <i>imposta la data</i>. Per default la data di inizio\r\n posta a 01/01/2000.<br>\r\n<br>\r\n<b>Data di fine</b><br>\r\nIn che data vuoi che questo articolo venga rimosso dal sito? Per default la data\r\ndi fine  posta a 100 anni nel futuro, 01/01/2100.<br>\r\n<br>\r\n<b>Descrizione</b><br>\r\nUna area di contenutonella quale puoi mettere quanto contenuto ti pare. Per esempio, perfino prima di una FAQ c\' di solito un paragrafo che descrive che cosa  contenuto in essa.\r\n<br>\r\n<br>\r\n</p>\r\n',1049641620);
INSERT INTO international VALUES (639,'WebGUI',8,'<b>Nome Template</b><br>\r\nDai un nome descrittivo al template, cos lo riconoscerai quando vorrai applicarlo ad una pagina.\r\n<p>\r\n<b>Namespace</b><br>\r\nChe tipo di template  questo?\r\n<p>\r\n\r\n\r\n<b>Template</b><br>\r\nCrea il tuo template inserendo i comandi di template, le macro di variabile e il codice.\r\n<p>\r\n\r\n\r\n<b>Nota:</b>\r\nNon devi mai modificare i template di default che trovi nella distribuzione di WebGUI, perch possono variare con ogni realise per introdurre nuove funzioni. Devi fare una copia del template che ti interessa e modificare quello.\r\n',1046550619);
INSERT INTO international VALUES (71,'SiteMap',8,'Le mappe del sito sono usate per aggiungere un ulteriore ausilio nella navigazione. Puoi aggiungere una mappa del sito tradizionale che visualizzi una vista gerarchica di tutte le pagine nel sito. D\'altra parte, puoi usare le mappe del sito per dare un ausilio di navigazione a certi livelli nel sito.\r\n<br><br>\r\n\r\n<b>Template</b><br>\r\nSeleziona un layout per questa mappa.\r\n<br><br>\r\n<b>Parti Da</b><br>\r\nSeleziona la pagina da cui vuoi far iniziare la mappa.\r\n<br><br>\r\n<b>Partire da questo Livello?</b><br>\r\nQuanti livelli di profondit della navigazione deve mostrare la mappa? Se  specificato 0(zero) mostrer tutti i livelli esistenti.\r\n<br><br>\r\n\r\n<b>Rientro</b><br>\r\nDi quanti caratteri deve rientrare ogni livello?<br><br>\r\n\r\n',1046550282);
INSERT INTO international VALUES (71,'SQLReport',8,'I report SQL sono forse il pi potente tra i wobject. Consentono all\'utente di eseguire query su qualsiasi database al quale abbia accesso. Questo  utile ad esempio per estrarre dati dal tuo database degli account o per creare dei sommari di\r\ntutti i forum di discussione nel sito.<p>\r\n\r\n<b>Preprocessa le macro sulla quesry?</b><br>\r\nVuoi che vengano processate le macro del C.M.S.? Seleziona questo box.<p><b>Debug?<br>\r\n</b>Seleziona questo box se vuoi visualizzare il debugging e i messaggi di\r\nerrore nella pagina.<p><b>Query</b><br>\r\nQuesta  una query SQL standard. Puoi rendere pi dinamiche le tue query\r\nutilizzando la macro ^FormParam();&nbsp;\r\n<p>\r\n\r\n<b>Report Template</b><br>\r\nScrivi qui il codice per generare il report. normalmente userai delle tabelle HTML per generarlo. Sotto  incluso un esempio. Se lasci questo campo in bianco il template sar generato in base al risultato della query.\r\n<p>\r\n\r\nCi sono delle macro speciali per generare report SQL. Sono: ^-;, ^0;, ^1;, ^2;, ^3;, etc. Queste macro saranno processate comunque, a prescindere dal fatto che tu abbia deselezionato la box processa macro. La macro ^- rappresenta i punti di split nel documento dove il report comincia e finisce di fare il loop. Le macro numeriche rappresentano i dati ritornati dalla\r\nquery. C\' una macro aggiuntiva ^rownum; che conta le righe della query\r\npartendo da 1 per usarla dove le linee del\'output devono essere numerate. <p>\r\n\r\n<b>DSN</b><br>\r\n<b>D</b>ata <b>S</b>ource <b>N</b>ame  l\'identificatore univoco che il linguaggio PERL usa per descrivere la locazione del tuo database. La sintassi  DBI:[driver]:[database name]:[host]. \r\n<p>\r\n\r\n<i>Esempio:</i> DBI:mysql:WebGUI:localhost\r\n<p>\r\n\r\n<b>Utente Database</b>\r\nLo username che usi per collegarti al DSN.\r\n<p>\r\n\r\n<b>Password Database</b>\r\nLa password che usi pe rcollegarti al DSN.\r\n<p>\r\n\r\n<b>Pagina dopo</b>\r\nQuante righe vuoi che siano visualizzate prima di dividere il risultato in pagine separate? In altre parole, quante righe vuoi che siano visualizzate per pagina?\r\n<p>\r\n\r\n<b>Converti gli a capo?</b>\r\nVuoi convertire gli a capo nei dati del risultato in break HTML (&lt;br&gt;).\r\n',1046549982);
INSERT INTO international VALUES (43,'Product',8,'Le specifiche sono le caratteristiche tecniche del prodotto.</p><p><b>\r\n\r\nTipo della specifica<br>\r\n</b>\r\nil tipo di specifica. Per esempio altezza, larghezza, o colore. Puoi selezionarne una gi inserita nel sistema per un altro prodotto, oppure inserirne una nuova.</p><p><b>\r\n\r\nSpecifica<br>\r\n</b>\r\nil valore della specifica. Per esempio, se hai scelto altezza come tipo dovrai inserire un valore numerico come \"12\".</p><p><b>\r\n\r\nUnit<br>\r\n</b>\r\nLa unit di misura per questa specifica.  Per esempio, se hai scelto altezza come tipo, probabilmente dovrebbe essere \"centimetri\".</p><p><b>\r\n\r\nAggiungi una nuova specifica?<br>\r\n</b>\r\nSe vuoi aggiungere una ulteriore specifica, seleziona \"Si\".\r\n\r\n\r\n\r\n\r\n',1046548417);
INSERT INTO international VALUES (39,'Product',8,'Il C.M.S. comprende un sistema di gestione catalogo prodotti che consente di pubblicare facilmente e velocemente i tuoi prodotti e servizi. \r\n<br><br>\r\n<p><b>Template</b><br>\r\nSeleziona un layout per questo prodotto.</p>\r\n\r\n<b>Prezzo</b><br>\r\nIl prezzo di questo prodotto. Se preferisci puoi lasciarlo vuoto oppure inserire un messaggio tipo: contattaci per informazioni.<p><b>\r\n\r\nCodice Prodotto<br>\r\n</b>\r\nIl codice del prodotto, o un identificativo del prodotto.</p><p><b>\r\n\r\nImmagine Prodotto 1<br>\r\n</b>\r\nUna immagine di questo prodotto.</p><p><b>\r\n\r\nImmagine Prodotto 2<br>\r\n</b>\r\nUna immagine di questo prodotto.</p><p><b>\r\n\r\nImmagine Prodotto 3<br>\r\n</b>\r\nUna immagine di questo prodotto.</p><p>\r\n<p><b>Brochure</b><br>\r\nLa brochure per questo prodotto.\r\n<p><b>Manuale</b><br>\r\nIl manuale di utilizzo per questo prodotto.\r\n<p><b>Garanzia</b><br>\r\nLa garanzia per questo prodotto.</p>\r\n',1046548367);
INSERT INTO international VALUES (71,'MessageBoard',8,'I Forum di discussione sono un modo efficace di aggiungere un senso di comunit ad ogni sito internet. Molte aziende usano i Forum internamente per collaborare sui progetti.\r\n<br><br>\r\n<b>Messaggi per pagina</b><br>\r\nQuando un visitatore arriva per la prima volta su un Forum, gli sar presentata una lista di tutti i soggetti (a.k.a. threads) del Forum. Se un Forum diventa popolare, il numero dei threads aumenter rapidamente. L\'attributo messaggi per pagina ti consente di specificare il numero di soggetti per ogni pagina.\r\n<p><b>Main Template</b><br>\r\nSeleziona un layout visualizzazione principale di questo forum.</p>\r\n<p><b>Filtra i messaggi</b><br>\r\nSeleziona il livello di filtraggio da applicare ai messaggi del forum.\r\n<p>\r\n<b>Chi pu postare?</b><br>\r\nQuale gruppo pu postare su questo Forum?\r\n<br><br>\r\n<b>Modifica Timeout</b><br>\r\nQuesto settaggio specifica per quanto tempo un utente avr la possibilit di modificare il proprio messaggio. Il Timeout  misurato in ore.\r\n<br><br>\r\n<i>Nota:</i> Non settare questo limite troppo alto. Una delle cose pi interessanti dei Forum  che sono una registrazione accurata di una discussione. Se consenti di modificare i messaggi per molto tempo, l\'utente avr la possibilit di cambiare idea molto tempo dopo che il pensiero originale era stato espresso.\r\n\r\n\r\n&nbsp;</p>\r\n<p><b>Karma Per Post</b><br>\r\nQuanto karma deve essere assegnato all\'utente quando posta&nbsp; su questa\r\ndiscussione?</p>\r\n<p>\r\n<b>Chi pu moderare?</b><br>\r\nQuale gruppo pu moderare su questo Forum?</p>\r\n<p><b>Tipo di moderazione?</b><br>\r\nPuoi selezionare il tipo di moderazione che preferisci. <i>Dopo-il-fatto</i>\r\nsignifica che quando un utente invia un messaggio questo viene pubblicato\r\nimmediatamente. <i>Preventiva </i>significa che un moderatore deve visionare ed\r\napprovare i messaggi prima che essi siano resi pubblicamente visibili. Gli\r\navvisi per i nuovi messaggi sono automaticamente visualizzati nel WebGUI Inbox\r\ndel moderatore.\r\n<p><i>Nota:</i> In entrambi i tipi di moderazione il moderatore pu sempre\r\nmodificare o cancellare i messaggi inviati.</p>\r\n<p><b>Aggiungi data di modifica nei post?</b><br>\r\nVuoi aggiungere la data di modifica nei messaggi cos da sapere chi ha modificato un messaggio e quando?\r\n',1048067886);
INSERT INTO international VALUES (72,'MailForm',8,'Puoi aggiungere tutti i campi che vuoi al tuo modulo email.\r\n<br><b>\r\n<br>\r\n\r\nNome Campo<br>\r\n</b>\r\nIl nome di questo campo.  Deve essere unico nell\'ambito di tutti gli altri campi del form (in pratica ogni campo deve avere un nome univoco).</p><b>\r\n<p>Status<br>\r\n</b>\r\nI campi nascosti non saranno visibili al visitatore, ma il loro contenuto sar spedito nel messaggio.<br>\r\nI campi visualizzabili possono essere visti dal visitatore, ma non modificati.<br>\r\nI campi modificabili possono essere compilati dal visitatore<br>\r\nSe utilizzi campi nascosti o visualizzabili assicurati di aver inserito una valore di default.</p><b>\r\n<p>Tipo<br>\r\nScegli il tipo di elemento da assegnare a questo campo. Questi sono gli elementi supportati:\r\n\r\n<br>\r\nURL: </b> Un textbox che formatta automaticamente le URL\'s inserite.<b>\r\n<br>\r\nTextbox: </b> Un textbox standard.<b>\r\n<br>\r\nData: </b> Un campo textbox field con una finestra popup window per selezionare una data.<b>\r\n<br>\r\nSi/No: </b> Un set di si/no radio buttons.<b>\r\n<br>\r\nIndirizzo Email: </b> Un textbox che richiede al visitatore di inserire un indirizzo e-mail valido.<b>\r\n<br>\r\nTextarea: </b> Una normale textarea.<b>\r\n<br>\r\nCheckbox: </b> Un singolo checkbox.<b>\r\n<br>\r\nMen a tendina: </b> Un Men a tendina. utilizza il campo valori possibili per inserire tutte la opzioni che saranno mostrate nel men.  Inseriscine uno solo per linea.</p><b>\r\n<p>Valori Possibili<br>\r\n</b>\r\nQuesto campo serve solo per il Men a tendina. Inserisci i valori che vuoi che vengano mostrati nel Men a tendina, uno per linea.</p><b>\r\n<p>Valore di Default (opzionale)<br>\r\n</b>\r\ninserisci il valore di default (se vuoi) per il campo.  Per i campi si/No, inserisci \"si\" per spuntare \"si\" e \"no\" per spuntare \"No\".\r\nPer i  Checkbox , inserisci \"checked\" per mostrare il box spuntato.</p><b>\r\n<p>Procedi aggiungendo altri campi?<br>\r\n</b>\r\nLascialo selezionato se vuoi aggiungere campi addizionali al form subito dopo aver creato questo campo.\r\n\r\n\r\n',1046547188);
INSERT INTO international VALUES (71,'MailForm',8,'Questo modulo crea un form che invia una email con i dati inseriti dall\'utente all\'indirizzo prestabilito.\r\n\r\n<b>\r\n\r\n<br><br>\r\n\r\nLarghezza<br>\r\n</b>\r\nLa larghezza di tutti i campi nel form.  Il valore prestabilito  45.</p><b>\r\n\r\n<p>Da, A, Cc, Bcc, Oggetto<br>\r\n</b>\r\nQuesti campi controllano come apparir la mail quando sar inviata e a chi sar inviata.\r\nPuoi dare la possibilit ai visitatori di modificare alcuni o tutti questi campi,\r\ntipicamente i campi che vorrai far gestire ai visitatori sono Da e Oggetto.\r\nUsa il men a tendina per ogni campo per selezionare i permessi che vuoi dare ai visitatori. <br>\r\n<b>\r\n\r\n<br>\r\n</b>\r\nPuoi anche scegliere di inserire una username o un gruppo del sistema nel campo A \r\ne il messaggio sar inviato all\'utente o al gruppo corrispondente.</p><b>\r\n\r\n<p>Conferma invio<br>\r\n</b>\r\nQuesto messaggio sar visualizzato dall\'utente dopo aver inviato il messaggio.</p><b>\r\n\r\n<p>archivia gli invii?<br>\r\n</b>\r\nse selezioni si, quando il mail form sar inviato il contenuto dei campi verr sara salvato nel database per successive visualizzazioni.</p><b>\r\n\r\n<p>Procedi aggiungendo altri campi?<br>\r\n</b>\r\nLascialo selezionato se vuoi aggiungere campi addizionali al form subito dopo averlo creato.\r\n\r\n',1046547132);
INSERT INTO international VALUES (73,'LinkList',8,'<b>Titolo</b><br>\r\nIl testo che apparir nel link<p>\r\n<b>URL</b>\r\n<br>Il sito da linkare<p>\r\n<b>Apri in nuova finestra?</b><br>\r\nSeleziona \"si\" se vuoi che questo link si apra in una finestra nuova.\r\n<p><b>Descrizione</b><br>\r\nDescrivi il sito che stai linkando. Pu essere omessa se vuoi.<p>\r\n<b>Prossima Azione?</b><br>\r\nLascia selezionato a default se vuoi aggiungere link alla lista.\r\n<br><br>\r\n',1046547071);
INSERT INTO international VALUES (73,'FileManager',8,'<b>Titolo del file</b><br>\r\nIl titolo che sar mostrato per questo file. Se lasciato vuoto sar visualizzato il nome del file \r\n<p>\r\n\r\n<b>File</b><br>\r\nScegli dal tuo computer il file che vuoi caricare.\r\n<p>\r\n\r\n<b>Versione Alternativa #1</b><br>\r\nUna versione alternativa del file ad esempio se il 1 file era una immagine jpg la versione alternativa potrebbe essere un file tiff oppure un file bmp.\r\n<p>\r\n\r\n<b>Versione Alternativa #2</b><br>\r\nUna versione alternativa del file ad esempio se il 1 file era una immagine jpg la versione alternativa potrebbe essere un file tiff oppure un file bmp.\r\n<p>\r\n\r\n<b>Breve descrizione</b><br>\r\nUna breve descrizione del file. Assicurati di includere delle Keyword adatte, i visitatori potrebbero tentare una ricerca.\r\n<p>\r\n\r\n<b>Gruppo di Download</b><br>\r\nScegli il gruppo che pu scaricare il file.\r\n<p>\r\n\r\n<b>Prossima Azione?</b><br>\r\nSe hai un altro file da aggiungere allora seleziona \"Aggiungi un nuovo file\", diversamente seleziona \"Torna alla pagina\".',1046546766);
INSERT INTO international VALUES (71,'FileManager',8,'Il File Manager  pensato per aiutarti a gestire la distribuzione di file sul tuo sito. Ti consente di specificare chi pu\r\nvisualizzare/scaricare i files dal tuo sito.<p>\r\n<b>Template</b><br>\r\nScegli un layout per il file manager.\r\n<br><br>\r\n\r\n<b>Cambio pagina dopo</b><br>\r\nQuanti file devono essere visualizzati prima di separare i risultati in pagine separate? In altre parole, quanti file vuoi che siano visualizzati per pagina?\r\n<p>\r\n\r\n<b>Continua aggiungendo un file?</b><br>\r\nSe vuoi cominciare ad aggiungere files per il download subito dopo aver creato il Download Manager, lascialo selezionato.\r\n<p>',1046546498);
INSERT INTO international VALUES (77,'USS',8,'Le seguenti sono le variabili di template utilizzate nel template del sistema di\r\ncontributi degli utenti. Sono usati per visualizzare il singolo contributo\r\ndell\'utente.\r\n<p><b>title</b><br>\r\nIl titolo di questo contributo.\r\n<p><b>content</b><br>\r\nTutto il testo di questo contributo.\r\n<p><b>user.label</b><br>\r\nL\'etichetta tradotta che indica quale utente ha inviato questo contributo.\r\n<p><b>user.profile</b><br>\r\nLa URL al profilo dell\' utente che ha inviato questo contributo.\r\n<p><b>user.username</b><br>\r\nIl Nome Utente dell\' utente che ha inviato questo contributo.\r\n<p><b>user.id</b><br>\r\nL\'identificatore univoco dell\' utente che ha inviato questo contributo.\r\n<p><b>date.label</b><br>\r\nL\'etichetta tradotta che indica in che data  stato postato questo contributo.\r\n<p><b>date.epoch</b><br>\r\nIl numero di secondi dal 1 gennaio 1970 in cui questo contributo  stato\r\ninviato.\r\n<p><b>date.human</b><br>\r\nUna data leggibile che visualizza la data e il tempo in cui questo contributo \r\nstato inviato.\r\n<p><b>status.label</b><br>\r\nL\'etichetta tradotta che indica lo stato di questo contributo.\r\n<p><b>status.status</b><br>\r\nLo stato attuale di questo contributo (pendente, approvato, rifiutato).\r\n<p><b>views.label</b><br>\r\nL\'etichetta tradotta che indica quante volte questo contributo  stato visto.\r\n<p><b>views.count</b><br>\r\nIl numero di volte che questo contributo  stato visto.\r\n<p><b>canPost</b><br>\r\nUna condizione che indica se questo utente pu o non pu inviare un contributo.\r\n<p><b>post.url</b><br>\r\nLa&nbsp; URL per inviare un nuovo contributo.\r\n<p><b>post.label</b><br>\r\nL\'etichetta tradotta per il&nbsp; link da cui inviare.\r\n<p><b>previous.more</b><br>\r\nUna condizione che indica se ci sono post precedenti a questo disponibili per\r\nessere visualizzati.\r\n<p><b>previous.url</b><br>\r\nla URL al post precedente a questo.\r\n<p><b>previous.label</b><br>\r\nL\'etichetta tradotta per il&nbsp; link precedente.\r\n<p><b>next.more</b><br>\r\nUna condizione che indica se ci sono post successivii a questo disponibili per\r\nessere visualizzati.\r\n<p><b>next.url</b><br>\r\nla URL al post successivo a questo.\r\n<p><b>next.label</b><br>\r\nL\'etichetta tradotta per il&nbsp; link successivo.\r\n<p><b>canEdit</b><br>\r\nUna condizione che indica se questo utente pu modificare o cancellare questo\r\npost.\r\n<p><b>edit.url</b><br>\r\nLa URL per modificare questo post.\r\n<p><b>edit.label</b><br>\r\nL\'etichetta tradotta per il&nbsp; link da cui modificare.\r\n<p><b>delete.url</b><br>\r\nla URL per cancellare questo post.\r\n<p><b>delete.label</b><br>\r\nL\'etichetta tradotta per il&nbsp; link da cui cancellare.\r\n<p><b>canChangeStatus</b><br>\r\nUna condizione che indica se questo utente ha i provilegi per cambiare lo\r\nstatodi questo contributo.\r\n<p><b>approve.url</b><br>\r\nLa url per approvare questo post.\r\n<p><b>approve.label</b><br>\r\nL\'etichetta tradotta per il&nbsp; link da cui approvare\r\n<p><b>deny.url</b><br>\r\nLa URL per rifiutare questo post.\r\n<p><b>deny.label</b><br>\r\nL\'etichetta tradotta per il&nbsp; link da cui rifiutare.\r\n<p><b>leave.url</b><br>\r\nLa URL per lasciare questo post nello stato in cui si trova.\r\n<p><b>leave.label</b><br>\r\nL\'etichetta tradotta per il&nbsp; link da cui lasciare questo post nello stato\r\nin cui si trova .\r\n<p><b>canReply</b><br>\r\nUna condizione che indica se questo utente pu rispondere a questo post.\r\n<p><b>reply.url</b><br>\r\nLa URL per rispondere a questo post.\r\n<p><b>reply.label</b><br>\r\nL\'etichetta tradotta per il&nbsp; link da cui rispondere.\r\n<p><b>search.url</b><br>\r\nLa URL per attivare il motore di ricerca WebGUI .\r\n<p><b>search.label</b><br>\r\nL\'etichetta tradotta per il&nbsp; link al motore di ricerca.\r\n<p><b>back.url</b><br>\r\nLa URL per riportare l\'utente indietro all\'elenco principale.\r\n<p><b>back.label</b><br>\r\nL\'etichetta tradotta per il link indietro.\r\n<p><b>replies</b><br>\r\nUn elenco completo di tutte le risposte a questo post.</p>\r\n',1046542354);
INSERT INTO international VALUES (832,'WebGUI',8,'L\'Archivio Collaterale ha diverse macro per i suoi specifici utilizzi.&nbsp; \r\n<p><b>&#94;File();</b><br>\r\nQuesta macro costruisce il link a un file. Crea l\'icona per il file e visualizza\r\nil nome del file . Quindi linka entrambi al file per il download .\r\n<p><b>&#94;I(); </b><br>\r\nQuesta macro ritrova una&nbsp; immagine con i parametri per l\'immagine definiti\r\nnell\'archivio collaterale. Puoi inserire nelle pagine una immagine\r\nprecedentemente caricata cos <b>&#94;I(&quot;Nomeimmagine&quot;)</b>;.</p>\r\n<p><b>&#94;i(); - Gestore Immagini Percorso dell\'Immagine</b><br>\r\nQuesta macro ritorna il percorso (URL) di ogni file nell\'archivio collaterale.\r\nSpecifica il nome usando un tag cos: <b>&#94;i(&quot;Nome file&quot;);</b>.</p>\r\n<p><b>&#94;Snippet();</b><br>\r\nQuesta macro ritrova il contenuto di un frammento(snippet)&nbsp; nell\'archivio\r\ncollaterale e lo inserisce nella&nbsp; pagina.\r\n<p><i>Esempio:</i> &#94;Snippet(&quot;flash code&quot;);\r\n<p><b>&#94;Thumbnail();</b><br>\r\nRitorna la URL di un thumbnail per una immagine nell\'archivio collaterale.\r\nSpecifica il nome dell\'immagine cos: <b>&#94;Thumbnail(&quot;Nomeimmagine&quot;);</b>.</p>\r\n<p><b>&#94;ThumbnailLinker();</b><br>\r\nQuesto  un buon modo di creare velocemente una pagina di screenshots o una\r\nsemplice galleria di foto. Specifica semplicemente il nome di una immagine\r\nnell\'archivio collaterale, in questo modo: &#94;ThumbnailLinker(&quot;Logo&quot;); e\r\nla macro creer un thumbnail con un titolo che sar collegato alla immagine a\r\ngrandezza piena.</p>\r\n',1048257973);
INSERT INTO international VALUES (842,'WebGUI',8,'Queste macro sono utilizzate nella gestione della navigazione del sito.\r\n<p><b>&#94;C; or &#94;C(); - Crumb Trail</b><br>\r\nUn crumb trail (pista di briciole) generato dinamicamente che conduce alla\r\npagina corrente. Come opzione puoi specificare un tuo delimitatore tra i nomi\r\ndelle pagine usando &#94;C(::);. Il delimitatore predrfinito  &gt;.\r\n<p><b>NOTA:</b> la classe .crumbTrail dello style sheet  associata a questa macro.\r\n<p><b>&#94;FlexMenu;</b><br>\r\nQuesta macro di menu crea un menu di primo livello che si espande a seconda di\r\nquale elemento del men  selezionato.\r\n<p><b>&#94;H; or &#94;H(); - Link a Home</b><br>\r\nUn link alla home page di questo sito. In pi poi cambiare il testo del link\r\ncreando una macro cos <b>&#94;H(&quot;Torna alla pagina principale&quot;);</b>.\r\n<p><i>Nota:</i> Puoi anche usare il carattere speciale &#94;H(linkonly); per avere\r\nsolo la URL della home page e niente altro.\r\n<p><b>&#94;M; or &#94;M(); - Menu corrente (Verticale)</b><br>\r\nUn menu verticale contenente le sotto pagine del livello corrente. In pi, puoi\r\nconfigurare questa macro specificando quanti livelli deve scendere in profondit.\r\nPer default visualizzer solo il primo livello. Per andare gi di tre livelli,\r\ncrea una macro cos: <b>&#94;M(3);</b>. Se metti la macro a &quot;0&quot; Seguir\r\ntutto l\'albero del sito.\r\n<p><b>&#94;m; - Menu corrente (Orizzontale)</b><br>\r\nUn menu orizzontale contenente le sotto-pagine del livello corrente. Puoi come\r\nopzione specificare un delimitatore da usare tra i nomi delle pagine usando\r\n&#94;m(:--:);. Il delimitatore predefinito  .\r\n<p><b>&#94;P; or &#94;P(); - Menu precedente (Verticale)</b><br>\r\nUn menu verticale contenente le sotto-pagine del livello precedente. In pi,\r\npuoi configurare questa macro specificando quanti livelli di profondit il menu\r\ndeve scendere. Per default visualizzer solo il primo livello. Per andare gi\r\ndi tre livelli, crea una macro cos: <b>&#94;P(3);</b>. Se metti la macro a\r\n&quot;0&quot; Seguir tutto l\'albero del sito.\r\n<p><b>&#94;p; - Menu precedente (Orizzontale)</b><br>\r\nun menu orizzontale contenente le sotto-pagine del livello precedente. Come\r\nopzione, puoi specificare un delimitatore tra i nomi delle pagine usando\r\n&#94;p(:--:);. Il delimitatore predefinito  .</p>\r\n<p><b>&#94;rootmenu; o &#94;rootmenu(); (orizzontale)</b><br>\r\nCrea un men orizzontale delle varie root del sistema (eccetto per quelle del\r\nC.m.s. come cestino etc). Puoi specificare un delimitatore cos &#94;rootmenu(|);.\r\n<p><b>&#94;S(); - SottoMenu specifico (Verticale)</b><br>\r\nQuesta macro ti consente di avere il sottomenu di qualsiasi pagina, a partire\r\ndalla pagina che hai specificato. Per esempio, puoi avere il sottomenu della\r\nhome page scrivendo <b>&#94;S(&quot;home&quot;,0);</b>. Il primo valore  il titolo\r\n&quot;urlizzato&quot; della pagina e il secondo  la profondit dei livelli\r\ndel menu. Per default visualizza solo il primo livello. Per andare gi di tre\r\nlivelli, crea una macro cos: <b>&#94;S(&quot;home&quot;,3);</b>.\r\n<p><b>&#94;s(); - SottoMenu specifico (Orizzontale)</b><br>\r\nQuesta macro ti consente di avere il sottomenu di qualsiasi pagina, a partire\r\ndalla pagina che hai specificato. Per esempio, puoi avere il sottomenu della\r\nhome page scrivendo <b>&#94;s(&quot;home&quot;);</b>. Il valore  il titolo &quot;urlizzato&quot;\r\ndella pagina. Come opzione, puoi specificare un delimitatore tra i nomi delle\r\npagine usando &#94;s(&quot;home&quot;,&quot;:--:&quot;);. Il delimitatore\r\npredefinito  .\r\n<p><b>&#94;Synopsis; or &#94;Synopsis(); Menu</b><br>\r\nQuesta ti permette di avere il sottomenu di una pagina insieme alla descrizione\r\ndi ogni link. Puoi specificare un numero intero per dire alla macro quanti\r\nlivelli in profondit deve andare.\r\n<p><b>&#94;T; or &#94;T(); - Menu di primo livello (Verticale)</b><br>\r\nUn menu verticale contenente le pagine principali del sito (ovvero le\r\nsottopagine della home page). In pi, puoi configurare questa macro\r\nspecificando quanti livelli deve scendere in profondit. Per default\r\nvisualizzer solo il primo livello. Per andare gi di tre livelli, crea una\r\nmacro cos:<b>&#94;T(3);</b>. Se metti la macro a &quot;0&quot; Seguir tutto\r\nl\'albero del sito.\r\n<p><b>&#94;t; - Menu di primo livello (Orizzontale)</b><br>\r\n. Un menu orizzontale contenente le pagine principali del sito (ovvero le\r\nsottopagine della home page). Come opzione, puoi specificare un delimitatore tra\r\ni nomi delle pagine usando &#94;t(:--:);. Il delimitatore predefinito  .</p>\r\n<p><b>&#94;/; - URL del sistema</b><br>\r\nLa URL al gateway script (incluso il dominio per questo sito). <p><b>&#94;\\; - URL della pagina</b><br>\r\nLa URL della pagina corrente.</p>\r\n\r\n\r\n\r\n',1049642089);
INSERT INTO international VALUES (844,'WebGUI',8,'Queste macro sono utilizzate nella gestione degli utenti e dei login.\r\n<p><b>&#94;a; or &#94;a(); - Link mio account</b><br>\r\nUn link alla pagina con le informazioni sul tuo account. In pi puoi cambiare\r\nil testo del link creando una macro come questa: <b>&#94;a(&quot;Informazioni\r\naccount&quot;);</b>.\r\n<p><i>Nota:</i> puoi anche usare il carattere speciale&nbsp; &#94;a(linkonly); per\r\navere solo la URL della pagina account page e niente altro. \r\n<p><b>&#94;AdminText();</b><br>\r\nVisualizza un breve messaggio all\'utente in modalita admin. Esempio: &#94;AdminText(&quot;sei\r\nin modalit admin!&quot;);\r\n<p><b>&#94;AdminToggle; o &#94;AdminToggle();</b><br>\r\nMette un link nella pagina che  visibile solo ai content manager e agli\r\namministratori. Il link attiva e disattiva la modalit amministrativa. Puoi\r\nanche specificare altri messaggi da visualizzare come questo: &#94;AdminToggle(&quot;Attiva&quot;,&quot;Spegni&quot;);\r\n<p><b>&#94;GroupText();</b><br>\r\nVisualizza un breve messaggio all\'utente che appartiene ad un determinato\r\ngruppo. Esempio: &#94;GroupText&quot;Visitatore&quot;,&quot;Hai bisogno di un\r\naccount per fare molte cose su questo sito!&quot;);\r\n<p><b>&#94;L; or &#94;L(); - Login</b><br>\r\nUn piccolo form di login. Puoi configurare anche questa macro. Puoi decidere la\r\nlarghezza del form di login cos: &#94;L(20);. Puoi anche decidere il messaggio\r\nvisualizzato dopo che l\'utente si  loggato cos: &#94;L(20,Ciao &#94;a(&#94;@;);. Clicca\r\n%qui% se vuoi uscire!)\r\n<p><b>&#94;LoginToggle; o &#94;LoginToggle();</b><br>\r\nVisualizza un messaggio &quot;Login&quot; o &quot;Logout&quot; a seconda che\r\nl\'utente sia logato o meno. Puoi specificare come opzione dei messaggi diversi\r\ncos: &#94;LoginToggle(&quot;Clicca qui per entrare.&quot;,&quot;Clicca qui per\r\nuscire.&quot;);\r\n<p><b>&#94;@; - Nome Utente<br>\r\n</b>Il nome utente dell\'utente attualmente loggato.\r\n<p><b>&#94;#; - ID Utente</b><br>\r\nLo user id dell\'utente attualmente loggato.</p>\r\n',1048079871);
INSERT INTO international VALUES (846,'WebGUI',8,'Queste macro sono utilizzate nella gestione degli stili grafici in WebGUI.\r\n<p><b>&#94;AdminBar;</b><br>\r\nPosiziona la barra degli strumenti amministrativi nella pagina. Questa  una\r\nmacro obbligatoria nel segmento &quot;body&quot; del gestore degli stili.\r\n<p><b>&#94;c; - Nome Azienda</b><br>\r\nIl nome dell\'azienda specificato nei settaggi daal tuo amministratore.\r\n<p><b>&#94;e; - Indirizzo email dell\'azienda</b><br>\r\nL\'indirizzo di email della tua azienda come specificato nei settaggi\r\ndall\'amministratore.\r\n<p><b>&#94;Extras;</b><br>\r\nRitorna il percorso degli extra del C.M.S., che contiene cose come le icone, le\r\nimmagini, etc...\r\n<p><b>&#94;PageTitle;</b><br>\r\nVisualizza il titolo della pagina corrente.\r\n<p><b>NOTA:</b><br>\r\nSe cominci ad usare la modalit amministrativa o le funzioni dei wobject, il titolo della pagina diventer un link che ti riporta velocemente indietro a quella pagina.\r\n<p><b>&#94;r; or &#94;r(); - Rendi la pagina stampabile</b><br>\r\nCrea un link per rimuovere lo stile da una pagina per renderla stampabile. In pi,\r\npuoi cambiare il testo del link usando una macro come questa <b>&#94;r(&quot;Stampa\r\nquesta pagina!&quot;);</b>.\r\n<p>Per default, quando questo link viene cliccato, lo stile corrente della\r\npagina  sostituito con lo stile &quot;Versione Stampabile&quot; del gestore\r\ndegli stili. Comunque questo comportamento pu essere cambiato specificando il\r\nnome di un altro stile del gestore stili come secondo parametro, in questo modo:\r\n&#94;r(&quot;Stampa!&quot;,&quot;miostile&quot;);\r\n<p><i>Note:</i> Puoi usare anche la macro speciale &#94;r(linkonly); per avere\r\nsolamelnte la URL della pagina stampabile e nient\'altro. Inoltre, la calasse .makePrintableLink\r\n collegata a questa macro.</p>\r\n<p><b>&#94;RootTitle;</b><br>\r\nRitorna il titolo dalla root della pagina corrente. Per esempio, la root\r\nprincipale nel C.M.S.  la root &quot;Home&quot;. Molti siti avanzati hanno pi\r\ndi una root e quindi hanno bisogno di un modo per visualizzare la root in cui si\r\ntrova in quel momento l\'utente.\r\n<p><b>&#94;u; - URL dell\'azienda</b><br>\r\nLa URL per la tua azienda specificata nei settaggi dall\'amministratore.\r\n<p><b>&#94;?; - Cerca</b><br>\r\nAggiunge una box di ricerca.</p>\r\n<p><b>&#94;-;</b><br>\r\nQuesta  conosciuta come separator macro. Deve apparire esclusivamente una sola\r\nvolta in ogni stile grafico. Ovunque sar inserita sar la zona dove verranno\r\nvisualizzati i contenuti della pagina in oggetto.</p>\r\n\r\n',1048080100);
INSERT INTO international VALUES (748,'WebGUI',8,'Conteggio Utenti',1046525295);
INSERT INTO international VALUES (863,'WebGUI',8,'Offset cancellazione',1046525223);
INSERT INTO international VALUES (864,'WebGUI',8,'Offset della notifica di scadenza',1046525203);
INSERT INTO international VALUES (826,'WebGUI',8,'WebGUI ha un potente linguaggio per i template che fornisce il massimo controllo sul layout dei contenuti. La seguente  una lista della sintassi di questo linguaggio.<br>\r\n<br>\r\n<b>NOTA</b>: le parole foo e bar sono usate in questi esempi come sostituti di nomi di variabili veri e propri che si vorranno veramente usare. Non fanno parte del linguaggio per i template.<br>\r\n<br>\r\n<b>Variabili</b><br>\r\nLe variabili sono il pi basilare dei comandi per i template. Sono usate per posizionare pezzi di contenuto.<br>\r\n<i>Sintassi</i>: &lt;tmpl_var foo> o &lt;tmpl_var name=\"foo\"><br>\r\n<i>Esempio</i>: &lt;tmpl_var name><br>\r\n<br>\r\n<b>Condizioni</b><br>\r\nPer i programmatori le condizioni non sono nulla di nuovo, ma per i designers spesso possono generare confusione, all\'inizio. Le condizioni sono in effetti domande con risposta vera o falsa, e se le si pensa in questo modo, non ci saranno problemi.<br>\r\n<br>\r\n<i>Sintassi</i>: &lt;tmpl_if foo> &lt;tmpl_else> &lt;/tmpl_if><br>\r\n<i>Sintassi</i>: &lt;tmpl_unless foo> &lt;tmpl_else> &lt;/tmpl_unless><br>\r\n<i>Esempio</i>: &lt;tmpl_if isTrue> Era vero!&lt;tmpl_else> Era falso! &lt;/tmpl_if><br>\r\n<br>\r\n<b>Cicli</b><br>\r\nI cicli operano su una lista di output di dati per ogni passo nel ciclo. I cicli sono leggermente pi complicati da usare delle variabili, ma sono molto pi potenti.<br>\r\n<br>\r\n<i>Sintassi</i>: &lt;tmpl_loop foo> &lt;/tmpl_loop><br>\r\n<i>Esempio</i>:<br>\r\n&lt;tmpl_loop users><br>\r\n<i>Nome</i>: &lt;tmpl_var first_name>&lt;br/><br>\r\n&lt;/tmpl_loop><br>\r\n<b><br>\r\nCicli condizionali</b><br>\r\nI cicli hanno speciali variabili condizionali che sono loro proprie. Sono<br>\r\n__FIRST__, __ODD__, __INNER__, and __LAST__.<br>\r\n<i>Esempi</i>:<br>\r\n&lt;TMPL_LOOP FOO><br>\r\n &lt;TMPL_IF __FIRST__><br>\r\n   Questo produce output solo per il primo passo.<br>\r\n &lt;/TMPL_IF><br>\r\n<br>\r\n &lt;TMPL_IF __ODD__><br>\r\n  Questo produce output per tutti gli altri passi, nei passi dispari.<br>\r\n &lt;/TMPL_IF><br>\r\n<br>\r\n &lt;TMPL_UNLESS __ODD__><br>\r\n  Questo produce output per tutti gli altri passi, nei passi pari.<br>\r\n &lt;/TMPL_UNLESS><br>\r\n<br>\r\n &lt;TMPL_IF __INNER__><br>\r\n  Questo produce output per tutti i passi che non sono n il primo n l\'ultimo.<br>\r\n &lt;/TMPL_IF><br>\r\n<br>\r\n &lt;TMPL_IF __LAST__><br>\r\n  Questo produce output solo per l\'ultimo passo.<br>\r\n &lt;TMPL_IF><br>\r\n&lt;/TMPL_LOOP><br>\r\n<br>\r\n<b>NOTA</b>: Sia il linguaggio che le variabili per i template sono case-insensitive (non c\' differenza tra lettere maiuscole e minuscole).<br>\r\n</p>\r\n',1046345268);
INSERT INTO international VALUES (866,'WebGUI',8,'Messaggio di notifica scadenza',1046302185);
INSERT INTO international VALUES (819,'WebGUI',8,'Auto Disattivato',1046301928);
INSERT INTO international VALUES (73,'SiteMap',8,'La seguente  la lista delle variabili disponibili nel template per la Mappa\r\ndel Sito.\r\n<p><b>page_loop</b><br>\r\nQuesto ciclo contiene tutto delle pagine della mappa del sito.\r\n<blockquote>\r\n  <b>page.indent</b><br>\r\n  Lo spazio di rientro per questa pagina che indica la profondit della pagina\r\n  nell\'albero di navigazione.\r\n  <p><b>page.url</b><br>\r\n  La URL alla pagina.\r\n  <p><b>page.id</b><br>\r\n  L\'identificatore unico che WebGUI usa internamente, per questa pagina.\r\n  <p><b>page.title</b><br>\r\n  Il titolo di questa pagina.\r\n  <p><b>page.menutitle</b><br>\r\n  Il titolo di questa pagina che appare nel men.\r\n  <p><b>page.synopsis</b><br>\r\n  La descrizione del contenuto di questa pagina (se esiste).\r\n  <p><b>page.isRoot</b><br>\r\n  Una condizione che indica se questa pagina  o non  una root.\r\n\r\n<p><b>page.isTop</b><br>\r\nUna condizione che indica se questa pagina  o meno alla sommit dell\'albero di navigazione.',1048096405);
INSERT INTO international VALUES (76,'LinkList',8,'La seguente  la lista delle variabili disponibili nel template Lista di Link.\r\n<p><b>addlink.url</b><br>\r\nLa URL per aggiungere un link&nbsp; a questa Lista di Link.\r\n<p><b>addlink.label</b><br>\r\nL\'etichetta tradotta per la URL aggiungi link.\r\n<p><b>link_loop</b><br>\r\nQuesto loop contiene tutte le informazioni su ogni link.\r\n<blockquote>\r\n  <b>link.url</b><br>\r\n  La URL per questo link.\r\n  <p><b>link.name</b><br>\r\n  Il testo da linkare.\r\n  <p><b>link.controls</b><br>\r\n  I controlli di gestione di WebGUI per questo link.\r\n  <p><b>link.newwindow</b><br>\r\n  Una condizione che indica se il link deve essere aperto in una nuova finestra.\r\n  <p><b>link.description</b><br>\r\n  La description di questo link.\r\n',1046301177);
INSERT INTO international VALUES (74,'Item',8,'La seguente  la lista delle variabili disponibili nel template Item.\r\n<p><b>attachment.name</b><br>\r\nIl nome del file per il file allegato a questo item.\r\n<p><b>attachment.url</b><br>\r\nLa URL per il download del file allegato a questo item.\r\n<p><b>attachment.icon</b><br>\r\nLa URL alla icona per il file allegato a questo item.</p>\r\n',1046300640);
INSERT INTO international VALUES (76,'FileManager',8,'La seguente  la lista delle variabili disponibili nel template File Manager.\r\n<p><b>titleColumn.url</b><br>\r\nLa URL per ordinare per titolo.\r\n<p><b>titleColumn.label</b><br>\r\nL\'etichetta tradotta per il titolo.\r\n<p><b>descriptionColumn.label</b><br>\r\nL\'etichetta tradotta per la descrizione.\r\n<p><b>descriptionColumn.url</b><br>\r\nLa URL per ordinare per descrizione.\r\n<p><b>dateColumn.label</b><br>\r\nL\'etichetta tradotta per la data di upload.\r\n<p><b>dateColumn.url</b><br>\r\nLa URL per ordinare per data upload.\r\n<p><b>search.form</b><br>\r\nForm di ricerca di WebGUI.\r\n<p><b>search.url</b><br>\r\nLa URL per attivare o disattivare la ricerca.\r\n<p><b>search.label</b><br>\r\nL\'etichetta tradotta per il link al motore di ricerca.\r\n<p><b>addfile.url</b><br>\r\nLa URL per aggiungere un file al file manager.\r\n<p><b>addfile.label</b><br>\r\nL\'etichetta tradotta per il link aggiungi file.\r\n<p><b>file_loop</b><br>\r\nUn ciclo contenente le informazioni su ogni file caricato in questo file\r\nmanager.\r\n<blockquote>\r\n  <b>file.canView</b><br>\r\n  Una condizione per definire se l\'utente attuale ha i privilegi per vedere\r\n  questo file.\r\n  <p><b>file.controls</b><br>\r\n  I controlli di gestione di&nbsp; WebGUI per questo file.\r\n  <p><b>file.title</b><br>\r\n  Il titolo per questo file.\r\n  <p><b>file.version1.name</b><br>\r\n  Il nome del file per la prima versione di questo file.\r\n  <p><b>file.version1.url</b><br>\r\n  IL download URL per la prima versione di questo file.\r\n  <p><b>file.version1.icon</b><br>\r\n  La URL all\'icona per il tipo di file della prima versione di questo file.\r\n  <p><b>file.version1.size</b><br>\r\n  La dimensione di archiviazione per la prima versione di questo file.\r\n  <p><b>file.version1.type</b><br>\r\n  Il tipo (o estensione del file )&nbsp; per la prima versione di questo file.\r\n  <p><b>file.version1.thumbnail</b><br>\r\n  La URL al thumbnail per la prima versione di questo file.\r\n  <p><b>file.version1.isImage</b><br>\r\n  Una condizione che indica se la prima versione di questo file  una immagine\r\n  o no.\r\n  <p><b>file.version2.name</b><br>\r\n  Il nome del file per la seconda versione di questo file.\r\n  <p><b>file.version2.url</b><br>\r\n  IL download URL per la seconda versione di questo file.\r\n  <p><b>file.version2.icon</b><br>\r\n  La URL all\'icona per il tipo di file della&nbsp; seconda versione di questo\r\n  file.\r\n  <p><b>file.version2.size</b><br>\r\n  La dimensione di archiviazione per la seconda versione di questo file.\r\n  <p><b>file.version2.type</b><br>\r\n  Il tipo (o estensione del file ) per la seconda versione di questo file.\r\n  <p><b>file.version2.thumbnail</b><br>\r\n  La URL all\'icona per il tipo di file della seconda versione di questo file.\r\n  <p><b>file.version2.isImage</b><br>\r\n  Una condizione che indica se la seconda versione di questo file  una\r\n  immagine o no.\r\n  <p><b>file.version3.name</b><br>\r\n  Il nome del file per la terza versione di questo file.\r\n  <p><b>file.version3.url</b><br>\r\n  IL download URL per la terza versione di questo file.\r\n  <p><b>file.version3.icon</b><br>\r\n  La URL all\'icona per il tipo di file della terza versione di questo file.\r\n  <p><b>file.version3.size</b><br>\r\n  La dimensione di archiviazione per la terza versione di questo file.\r\n  <p><b>file.version3.type</b><br>\r\n  Il tipo (o estensione del file ) della terza versione di questo file.\r\n  <p><b>file.version3.thumbnail</b><br>\r\n  La URL al thumbnail per la terza versione di questo file.\r\n  <p><b>file.version3.isImage</b><br>\r\n  Una condizione che indica se la terza versione di questo file  una immagine\r\n  o no.\r\n  <p><b>file.description</b><br>\r\n  La descrizione di questo file.\r\n  <p><b>file.date</b><br>\r\n  La data in cui questo file  stato caricato.\r\n  <p><b>file.time</b><br>\r\n  Il tempo in cui questo file  stato caricato.\r\n  <p>&nbsp;</p>\r\n</blockquote>\r\n<p><b>noresults.message</b><br>\r\nUn messaggio che attesta che questo file manager non ha files da far\r\nvisualizzare a questo utente.\r\n<p><b>noresults</b><br>\r\nUna condizione che indica se ci sono file da visualizzare per questo utente.\r\n<p><b>firstPage</b><br>\r\nUn Link alla prima pagina dell\'impaginazione.\r\n<p><b>lastPage</b><br>\r\nUn Link all\'ultima pagina dell\'impaginazione.\r\n<p><b>nextPage</b><br>\r\nUn Link alla prossima pagina dell\'impaginazione.\r\n<p><b>previousPage</b><br>\r\nUn Link alla prossima pagina dell\'impaginazione.\r\n<p><b>pageList</b><br>\r\nUna lista di link a tutte le pagine dell\'impaginazione del calendario.\r\n<p><b>multiplePages</b><br>\r\nUna variabile che indica dove esiste pi di una pagina nell\'impaginazione.</p>\r\n',1046300470);
INSERT INTO international VALUES (97,'EventsCalendar',8,'La seguente  la lista delle variabili disponibili nel template eventi.\r\n<p><b>title</b><br>\r\nIl titolo di questo evento.\r\n<p><b>start.label</b><br>\r\nL\'etichetta tradotta per la data di inizio.\r\n<p><b>start.date</b><br>\r\nLa data di inizio dell\'evento.\r\n<p><b>end.date</b><br>\r\nLa data di fine dell\'evento..\r\n<p><b>end.label</b><br>\r\nL\'etichetta tradotta per la data di fine.\r\n<p><b>canEdit</b><br>\r\nUna condizione che indica se l\'attuale utente pu modificare un evento.\r\n<p><b>edit.url</b><br>\r\nLa URL per modificare questo evento.\r\n<p><b>edit.label</b><br>\r\nL\'etichetta tradotta per l\'URL di modifica.\r\n<p><b>delete.url</b><br>\r\nLa URL per cancellare questo evento.\r\n<p><b>delete.label</b><br>\r\nL\'etichetta tradotta per cancellare la URL.\r\n<p><b>previous.url</b><br>\r\nLa URL per visualizzare l\'evento prima di questo.\r\n<p><b>previous.label</b><br>\r\nL\'etichetta tradotta per la URL precedente.\r\n<p><b>next.label</b><br>\r\nL\'etichetta tradotta per la prossima URL.\r\n<p><b>next.url</b><br>\r\nLa URL per visualizzare l\'evento dopo di questo.\r\n<p><b>description</b><br>\r\nLa descrizione di questo evento.</p>\r\n',1046297494);
INSERT INTO international VALUES (619,'WebGUI',8,'Questa funzione cancella permanentemente il wobject selezionato da una pagina. Se non sei sicuro di voler cancellare questo contenuto faresti meglio a tagliare (cut) il contenuto negli appunti finch non sarai sicuro di volerlo veramente cancellare.\r\n<p>\r\n\r\nCome con ogni operazione di cancellazione, sei chiamato a rispondere ad una conferma per procedere con la cancellazione. Se rispondi di s, la cancellazione proceder e non ci sar possibilit di recuperare i dati. Se rispondi di no sarai riportato alla schermata precedente.',1046126787);
INSERT INTO international VALUES (636,'WebGUI',8,'Per creare un package segui questi passi:\r\n<ol>\r\n<li> Dal menu amministrativo scegli  \"Visualizza Packages.\"\r\n<li> Aggiungi una pagina e dagli un nome. Il nome della pagina sar il nome del package.\r\n<li> Vai alla nuova pagina e aggiungi pagine e widgets. Ogni pagina e widget che aggiungi sar creata ogni volta che il package sar sviluppato. \r\n</ol>\r\n<b>Note:</b><br>\r\nPer aggiungere,  modificare e cancellare i packages devi essere nel gruppo Package Mangers o nel gruppo Admins.\r\n<br><br>\r\nSe aggiungi contenuti a qualcuno dei widgets, quel contenuto sar automaticamente copiato anche quando il package viene sviluppato.\r\n<br><br>\r\nI privilegi e gli stili assegnati alle pagine nel package non saranno copiati nello sviluppo del package. Le pagine prenderanno i privilegi e gli stili dell\'area in cui sono sviluppati.',1046126725);
INSERT INTO international VALUES (614,'WebGUI',8,'Gli stili sono usati per gestire l\'aspetto grafico delle pagine. Puoi avere un numero illimitato di stili, cosicch il tuo sito possa cambiare stile a tuo piacimento. Puoi avere pagine che rispecchiano lo stile delle brochure della tua azienda, e altre che assomigliano a Yahoo!&reg;. Puoi addirittura avere pagine che sembrano pagine stampate di un libro. Usando la gestione degli stili, hai un potente controllo su tutti i tuoi design.\r\n<p>\r\n\r\nCi sono vari stili predefiniti. Tra questi, alcuni non dovrebbero essere modificati o cancellati. Alcuni sono semplicemente esempi e possono essere modificati e cancellati a piacere.\r\n<p>\r\n\r\n<b>Fail Safe</b><br>\r\nQuando cancelli uno stile che  ancora in uso da alcune pagine, lo stile Fail safe viene applicato a quelle pagine. Questo stile ha uno sfondo bianco e una navigazione molto semplice.\r\n<p>\r\n\r\n<b>Make Page Printable</b><br>\r\nQuesto stile  usato quando metti una macro <b>^r;</b> e l\'utente ci clicca sopra. Questo stile consente di mettere un semplice logo e un messaggio di copyright nelle tue pagine stampabili.\r\n<p>\r\n\r\n<b>Packages</b><br>\r\nQuesto stile  usato nel sistema di gestione dei package.\r\n<p>\r\n\r\n<b>Trash / Clipboard</b><br>\r\nQuesto stile  usato dal sistema  trash (cestino)  e clipboard (appunti).\r\n<p>\r\n\r\n<hr size=\"1\">\r\n',1046126637);
INSERT INTO international VALUES (609,'WebGUI',8,'Quando cancelli uno stile tutte le pagine che usano quello stile verranno riconvertite usando lo stile fail safe (default). Per assicurare una visualizzazione coerente, dovresti essere sicuro che nessuna pagina stia usando lo stile prima di cancellarlo.\r\n<p>\r\n\r\nCome con ogni operazione di cancellazione, sei chiamato a rispondere ad una conferma per procedere con la cancellazione. Se rispondi di s, la cancellazione proceder e non ci sar possibilit di recuperare i dati. Se rispondi di no sarai riportato alla schermata precedente.',1046126578);
INSERT INTO international VALUES (626,'WebGUI',8,'I Wobjects (prima conosciuti come Widgets) sono la vera potenza del C.M.S.. I Wobjects sono piccole applicazioni costruite per essere eseguite dal C.M.S.. I forum e i sondaggi sono esempi di widget.\r\n<br><br>\r\nPer aggiungere un Wobjects ad una pagina, per prima cosa vai a quella pagina e poi seleziona <i>Aggiungi contenuto...</i> dall\'angolo in alto a sinistra del tuo schermo. Ogni widget ha il suo help quindi assicurati di leggerlo, se non sei sicuro di come usarlo.\r\n<p><i>Style Sheets</i>: Tutti i wobjects hanno una style-sheet class un id\r\nassociati.\r\n<p>La style-sheet class  la parola &quot;wobject&quot; pi il tipo di wobject\r\ndi cui si tratta. Quindi per un sondaggio la class sar &quot;wobjectPoll&quot;.\r\nLa class  associarta con tutti i wobjects di quel tipo sul sistema\r\n<p>La style-sheet id  la parola &quot;wobjectId&quot; pi il Wobject Id per\r\nl\'istanza di quel wobject. Quindi se hai un articolo con una Wobject Id di 94, tla\r\nsua id sar &quot;wobjectId94&quot;.</p>\r\n',1048071463);
INSERT INTO international VALUES (638,'WebGUI',8,'I Templates sono usati per determinare come devono essere visualizzate le pagine. Attualmente i siti presentano molto di pi di un semplice men e di una grande area col contenuto. Molti di essi hanno tre o quattro colonne con magari una testata con banner etc. Si possono creare questi layout complessi utlizzando appunto i Templates. Ci sono diversi template predefiniti per semplificare il tuo lavoro, ma comunque puoi crearne quanti ne vuoi in modo che il tuo sito appaia esattamente come lo desideri.',1046125924);
INSERT INTO international VALUES (611,'WebGUI',8,'<b>Nome dell\'azienda</b><br>\r\nTIl nome della tua azienda. Apparir in\r\n tutte le email e ovunque hai usato la macro nome azienda.\r\n<br><br>\r\n<b>Ind\r\nirizzo email dell\'azienda</b><br>\r\nUn indirizzo email generale per la tua azi\r\nenda. Questo  l\'indirizzo dal quale tutti i messaggi automatici proverranno. P\r\nu essere usato anche dal sistema di macro del C.M.S..\r\n<br><br>\r\n<b>URL dell\r\n\'Azienda</b><br>\r\nLo URL primario della tua Azienda. Questo apparir in tutte\r\n le email automatiche mandate dal sistema. Pu essere usato anche dal sistema di\r\n macro del C.M.S..\r\n',1046125845);
INSERT INTO international VALUES (625,'WebGUI',8,'Carica tutte le immagini che potresti voler utilizzare in pi di una posizione sul sito.\r\n<p>\r\n<b>Nome</b><br>\r\nL\'etichetta con la quale questa immagine verr chiamata per l\'inclusione nelle pagine.\r\n<p>\r\n\r\n<b>Organizza in Cartelle</b><br>\r\nLa cartella Dell\'Archivio Collaterale nella quale deve essere inserita questa immagine.\r\n<p>\r\n\r\n<b>File</b><br>\r\nSeleziona un file dal tuo disco rigido da uploadare sul server.\r\n<p>\r\n\r\n<b>Parametri</b><br>\r\nAggiungi qualsiasi parametro HTML &ltimg&rt; che vuoi come default per questa immagine.\r\n<p>\r\n<i>Esempio:</i><br>\r\nalign=\"right\"\r\nalt=\"Questa  una immagine\"\r\n\r\n<b>Dimensione Thumbnail</b><br>\r\nQuanti pixel deve misurare il thumbnail di questa immagine.\r\n<p>\r\n',1046124685);
INSERT INTO international VALUES (635,'WebGUI',8,'I Package sono gruppi di pagine e widgets che sono predefinite per essere sviluppate insieme. Un package manager pu sentire l\'esigenza di creare varie pagine con un forum, una FAQ, un sondaggio perch questa operazione viene eseguita spesso. I Packages sono definiti per diminuire il disturbo di azioni ripetitive.\r\n<br><br>\r\nUn package che la gente spesso crea  un package pagina/articolo. Spesso quando aggiungi una pagina vuoi anche aggiungere un articolo ad essa. Invece di fare queste operazioni una alla volta, creare la pagina, andare a quella pagina, e aggiungere l\'articolo alla pagina, troverai pi veloce creare un package che faccia tutte queste cose in un colpo solo.',1046124350);
INSERT INTO international VALUES (629,'WebGUI',8,'<b>Prevent Proxy Caching</b><br>\r\nAlcune Aziende hanno proxy ser\r\nvers che causano problemi al C.M.S. . Se hai riscontrato dei problemi, e hai un proxy server, potresti impostare il parametro su <i>S</i>. Ri\r\ncorda che una vlta attivata questa opzione gli URL del C.M.S. non saranno pi user friendly.\r\n\r\n\r\n<p>\r\n<b>Errore Critico</b><br>\r\nCosa deve essere visualizzato in caso di errore critico? Puoi far visualizzare un messaggio amichevole, oppure le informazioni di debug, questa \r\nseconda ipotesi pu procurare rischi sulla sicurezza del sistema, esiste comunque la possibilit di farlo.\r\n\r\n\r\n<p><b>Traccia le statistiche delle pagine?</b><br>\r\nWebGUI pu tracciare alcune informazioni statistiche per il tuo sito. Comunque\r\nquesta caratteristica aggiunger un p di lavoro extra al processore del\r\nserver e far crescere le dimensioni del database pi velocemente. Abilit\r\nquesta funzione solo se non hai un programma statistico per il web esterno.</p>\r\n\r\n\r\n',1046124209);
INSERT INTO international VALUES (633,'WebGUI',8,'I roots sono le pagine principali su cui si sviluppa il sito. La prima e la pi importante root  la \"Home\" page. Molti non hanno necessit di aggiungere una nuova root, ma a qualcuno potrebbe servire. Pu essere necessario creare nuove root per diverse ragioni, ad esempio per un sito in due lingue sar necessario creare due root: italiano e inglese.',1046123933);
INSERT INTO international VALUES (634,'WebGUI',8,'<b>Home Page di Default</b><br>\r\nMolti piccoli siti non hanno una vera home page, preferiscono invece usare una pagina interna come \"Chi Siamo\" or \"Azienda\" come home page. Per questo motivo, puoi settare come pagina di default del tuo sito site qualsiasi pagina del sito stesso. Sar la pagina che visualizzeranno i navigatori che digiteranno semplicemente l\' URL: http://www.tuosito.it, o se clicceranno sul link generato dalla &#94;H; macro.\r\n<p>\r\n\r\n<b>Pagina Non Trovata</b><br>\r\nSe la pagina richiesta non viene trovata sul sistema, il visitatore sar reindirizzato alla home page o ad una pagina di errore dove verr presentata anche la mappa del sito per aiutarlo a trovare cio che stava cercando. Deciderai tu cosa  meglio far visualizzare ai tuoi utenti.\r\n<p>\r\n\r\n<b>Document Type Declaration</b><br>\r\nAttualmente molti Browser differenti accedono alle tue pagine, compresi browsers automatizzati come gli spiders dei motori di ricerca. Molti di questi browsers vogliono sapere che tipo di contenuti il tuo sito distribuisce. Il doctype tag ti consente di specificarlo. Di default il C.M.S. genera contenuti compatibili cn HTML 4.0 .\r\n<p>\r\n\r\n<b>Aggiungi nota di modifica sui messaggi?</b><br>\r\nDi solito se un utente modifica un messaggio sul forum, una nota viene aggiunta al messaggio per identificare chi ha fatto la modifica, e quando. In alcuni siti questa informazione potrebbe non essere necessaria, per questo puoi decidere di disattivare la funzione.\r\n<p>\r\n\r\n<b>Filtra i contributi in HTML</b><br>\r\nSoprattutto in un sito pubblico dove chiunque pu postare sul forum o nel sistema di contribuzione degli utenti,  una buona idea filtrare i messaggi dal codice potenzialmente non compatibile, che potrebbe impedire una visualizzazione corretta del sito ai tuoi visitatori; e in alcuni casi, creare problemi di sicurezza. Usa questo settaggio per definire il livello di filtraggio che desideri applicare.\r\n<p>\r\n\r\n<p><b>Massima Dimensione dell\'allegato</b><br>\r\nLa dimensione (in kilobytes) massima consentita agli allegati per essere\r\ncaricati sul sistema.\r\n<p><b>Massima Dimensione Immagine</b><br>\r\nSe delle immagini pi grandi della massima dimensione consentita sono caricate\r\nsul tuo sistema, esse saranno ridimensionate alle dimensioni massime consentite\r\n. La massima dimensione  misurata in pixels ed usa la dimensione del lato pi\r\nlungo dell\'immagine per determinare se il limite  stato raggiunto.\r\n<p><b>Massima Dimensione Immagine</b><br>\r\nSe le immagini caricate sul sistema eccedeno la massima dimensione dell\'immagine, saranno riscalate alla dimensione massima. La dimensione massima dell\'immagine  misurata in pixel e usa la dimensione del lato pi lungo dell\'immagine per determinare se il limite  stato raggiunto.\r\n<p><b>Dimensione Thumbnail</b><br>\r\nQuando le immagini sono caricate, automaticamente il sistema genera un\r\nthumbnails della dimensione qui specificata. Thumbnail  misurato in pixels.\r\n<p><b>Snippet Preview LengthLunghezza della Preview del Frammento</b><br>\r\nQuanti caratteri del frammento devono essere visualizzati nell\'index principale\r\ndell\'Archivio Collaterale.</p>\r\n\r\n<b>Righe della Text Area</b><br>\r\nQualcuno pu avere esigenza di controllare le dimensioni dei forms che il C.M.S. genera. Con questo settaggio puoi specificare quante righe  saranno visualizzate nelle textarea del sito.\r\n<p>\r\n\r\n<b>Colonne della Text Area</b><br>\r\nQualcuno pu avere esigenza di controllare le dimensioni dei forms che il C.M.S. genera. Con questo settaggio puoi specificare quante colonne saranno visualizzate nelle textarea del sito.\r\n<p>\r\n\r\n<b>Dimensioni del Text Box</b><br>\r\nCon questo settaggio puoi definire quanti caratteri possono essere visualizzati nei text boxes del sito.\r\n<p>\r\n\r\n<b>Timeout della Cache della pagina</b><br>\r\nLa quantit di tempo che le pagine devono rimanere in cache per gli utenti registrati del sito.\r\n<p><b>Timeout della Cache della pagina (visitatori)</b><br>\r\nLa quantit di tempo che le pagine devono rimanere in cache per i visitatori.\r\n<p><b>NOTA:</b><br>\r\nIl caching delle pagine  disponibile solo se l\'amministratore del sistema ha installato il modulo Perl Cache::FileCache. Usare il page caching pu aumentare le prestazioni fino al 1000%.',1048071975);
INSERT INTO international VALUES (630,'WebGUI',8,'Per usare il motore di ricerca interno devi inserire la macro ^?; , o aggiungendo ?op=search alla fine di ogni URL.',1046123142);
INSERT INTO international VALUES (75,'LinkList',8,'Template Lista di Link',1046122994);
INSERT INTO international VALUES (18,'Product',8,'Aggiungi un altro Accessorio?',1046122891);
INSERT INTO international VALUES (2,'Product',8,'Sei sicuro di voler cancellare le relazioni a questo accessorio?',1046122265);
INSERT INTO international VALUES (19,'Product',8,'Aggiungi Prodotto Correlato',1046121669);
INSERT INTO international VALUES (17,'Product',8,'Accessorio',1046121641);
INSERT INTO international VALUES (16,'Product',8,'Aggiungi Accessorio',1046121631);
INSERT INTO international VALUES (15,'Product',8,'Garanzia',1046121619);
INSERT INTO international VALUES (14,'Product',8,'Manuale',1046121610);
INSERT INTO international VALUES (13,'Product',8,'Brochure',1046121601);
INSERT INTO international VALUES (11,'Product',8,'Codice Prodotto',1046121593);
INSERT INTO international VALUES (10,'Product',8,'Prezzo',1046121564);
INSERT INTO international VALUES (1,'Product',8,'Prodotto',1046121554);
INSERT INTO international VALUES (61,'Poll',8,'Sondaggio, Aggiungi/Modifica',1046121512);
INSERT INTO international VALUES (61,'MessageBoard',8,'Forum, Aggiungi/Modifica',1048067354);
INSERT INTO international VALUES (9,'MailForm',8,'Aggiungi Campo',1045927098);
INSERT INTO international VALUES (7,'MailForm',8,'Modifica Modulo email',1045927085);
INSERT INTO international VALUES (8,'MailForm',8,'Larghezza',1045927076);
INSERT INTO international VALUES (62,'MailForm',8,'Campi del Mail Form, Aggiungi/Modifica',1045927066);
INSERT INTO international VALUES (61,'MailForm',8,'Modulo email, Aggiungi/Modifica',1045927057);
INSERT INTO international VALUES (6,'MailForm',8,'Modificabile',1045927047);
INSERT INTO international VALUES (5,'MailForm',8,'Visualizzato',1045927034);
INSERT INTO international VALUES (4,'MailForm',8,'Nascosto',1045926992);
INSERT INTO international VALUES (3,'MailForm',8,'Grazie per il feedback!',1045926974);
INSERT INTO international VALUES (26,'MailForm',8,'Salva i messaggi?',1045926957);
INSERT INTO international VALUES (25,'MailForm',8,'Valore predefinito (opzionale)',1045926950);
INSERT INTO international VALUES (24,'MailForm',8,'Valori Possibili (solo drop-down box)',1045926909);
INSERT INTO international VALUES (23,'MailForm',8,'Tipo',1045926887);
INSERT INTO international VALUES (22,'MailForm',8,'Stato',1045926880);
INSERT INTO international VALUES (21,'MailForm',8,'Nome del Campo',1045926873);
INSERT INTO international VALUES (20,'MailForm',8,'Modifica Campo',1045926856);
INSERT INTO international VALUES (2,'MailForm',8,'L\'oggetto della tua mail',1045926842);
INSERT INTO international VALUES (19,'MailForm',8,'Sei sicuro di voler cancellare questo campo?',1045926826);
INSERT INTO international VALUES (18,'MailForm',8,'Torna Indietro!',1045926817);
INSERT INTO international VALUES (17,'MailForm',8,'Mail Inviata',1045926809);
INSERT INTO international VALUES (16,'MailForm',8,'Riconoscimento',1045926792);
INSERT INTO international VALUES (15,'MailForm',8,'Procedi aggiungendo altri campi?',1045926784);
INSERT INTO international VALUES (14,'MailForm',8,'Oggetto',1045926776);
INSERT INTO international VALUES (13,'MailForm',8,'Bcc',1045926768);
INSERT INTO international VALUES (12,'MailForm',8,'Cc',1045926759);
INSERT INTO international VALUES (11,'MailForm',8,'A (email, nome utente o nome del gruppo)',1045926752);
INSERT INTO international VALUES (10,'MailForm',8,'Da',1045926730);
INSERT INTO international VALUES (1,'MailForm',8,'Modulo email',1045926718);
INSERT INTO international VALUES (61,'SyndicatedContent',8,'Contenuto da altri siti, Aggiungi/Modifica',1048067687);
INSERT INTO international VALUES (61,'SiteMap',8,'Mappa del sito, Aggiungi/Modifica',1045783724);
INSERT INTO international VALUES (61,'SQLReport',8,'SQL Report, Aggiungi/Modifica',1045783551);
INSERT INTO international VALUES (9,'Product',8,'Immagine Prodotto 3',1045783344);
INSERT INTO international VALUES (8,'Product',8,'Immagine Prodotto 2',1045783338);
INSERT INTO international VALUES (7,'Product',8,'Immagine Prodotto 1',1045783332);
INSERT INTO international VALUES (62,'Product',8,'Template Prodotto, Aggiungi/Modifica',1045783277);
INSERT INTO international VALUES (6,'Product',8,'Modifica Prodotto',1045783271);
INSERT INTO international VALUES (47,'Product',8,'I Prodotti Correlati sono complementari o equivalenti di altri prodotti.</p><p><b>\r\n\r\nProdotti Correlati<br>\r\n</b>\r\nScegli dalla lista dei prodotti gi inseriti.</p><p><b>\r\n\r\nAggiungi un altro prodotto correlato?<br>\r\n</b>\r\nSeleziona \"Si\" se hai un altro prodotto correlato da aggiungere.',1045783266);
INSERT INTO international VALUES (5,'Product',8,'Sei sicuro di voler cancellare questa specifica?',1045783250);
INSERT INTO international VALUES (46,'Product',8,'Prodotto Correlato, Aggiungi/Modifica',1045783237);
INSERT INTO international VALUES (45,'Product',8,'Accessori dei prodotto.</p><p><b>\r\n\r\nAccessorio<br>\r\n</b>\r\nScegli dalla lista dei prodotti gi inseriti.</p><p><b>\r\n\r\nAggiungi un nuovo accessorio?<br>\r\n</b>\r\nSe vuoi aggiungere una ulteriore accessorio, seleziona \"Si\".',1045783219);
INSERT INTO international VALUES (44,'Product',8,'Accessorio, Aggiungi/Modifica',1045783208);
INSERT INTO international VALUES (42,'Product',8,'Specifica, Aggiungi/Modifica',1045783202);
INSERT INTO international VALUES (41,'Product',8,'Le caratteristiche sono intese come vantaggi del prodotto. Per esempio: Perch acquistare questo prodotto?</p><p><b>\r\n\r\nCaratteristica<br>\r\n</b>\r\nPuoi inserire una nuova caratteristica, o selezionarne una gi inserita nel sistema per un altro prodotto.</p><p><b>\r\n\r\nAggiungi una nuova caratteristica?<br>\r\n</b>\r\nSe vuoi aggiungere una ulteriore caratteristica, seleziona \"Si\".',1045783197);
INSERT INTO international VALUES (40,'Product',8,'Caratteristica, Aggiungi/Modifica',1045783183);
INSERT INTO international VALUES (4,'Product',8,'Sei sicuro di voler cancellare le relazioni con questo Prodotto Correlato?',1045783177);
INSERT INTO international VALUES (38,'Product',8,'Prodotto, Aggiungi/Modifica',1045783149);
INSERT INTO international VALUES (37,'Product',8,'Aggiungi un Prodotto Correlato',1045783141);
INSERT INTO international VALUES (36,'Product',8,'Aggiungi un Accessorio',1045783137);
INSERT INTO international VALUES (35,'Product',8,'Aggiungi una Specifica',1045783133);
INSERT INTO international VALUES (34,'Product',8,'Aggiungi una Caratteristica',1045783126);
INSERT INTO international VALUES (33,'Product',8,'Prodotti Correlati',1045783120);
INSERT INTO international VALUES (32,'Product',8,'Accessori',1045783116);
INSERT INTO international VALUES (31,'Product',8,'Specifiche',1045783112);
INSERT INTO international VALUES (30,'Product',8,'Caratteristiche',1045783107);
INSERT INTO international VALUES (29,'Product',8,'Unit',1045783103);
INSERT INTO international VALUES (28,'Product',8,'Aggiungi un\'altra specifica?',1045783098);
INSERT INTO international VALUES (27,'Product',8,'Specifica',1045783093);
INSERT INTO international VALUES (26,'Product',8,'Etichetta',1045783089);
INSERT INTO international VALUES (25,'Product',8,'Modifica Specifica',1045783083);
INSERT INTO international VALUES (24,'Product',8,'Aggiungi un\'altra caratteristica?',1045783078);
INSERT INTO international VALUES (23,'Product',8,'Caratteristica',1045783067);
INSERT INTO international VALUES (22,'Product',8,'Modifica Caratteristica',1045783062);
INSERT INTO international VALUES (21,'Product',8,'Aggiungi un\'altro prodotto correlato?',1045783053);
INSERT INTO international VALUES (20,'Product',8,'Prodotto Correlato',1045783049);
INSERT INTO international VALUES (640,'WebGUI',8,'Non  una buona idea cancellare i template perch alcune delle pagine del tuo sito potrebbero usare proprio quello che vuoi cancellare. ',1045782151);
INSERT INTO international VALUES (642,'WebGUI',8,'Pagina, Aggiungi/Modifica',1045782103);
INSERT INTO international VALUES (651,'WebGUI',8,'Se scegli di svuotare il cestino, ogni elemento in esso contenuto verr perso per sempre. Se non sei sicuro di qualche elemento, forse  meglio tagliarlo negli appunti prima di vuotare il cestino.',1045782077);
INSERT INTO international VALUES (652,'WebGUI',8,'Settaggi Utente, Modifica',1045782052);
INSERT INTO international VALUES (653,'WebGUI',8,'Pagina, Cancella',1045782034);
INSERT INTO international VALUES (654,'WebGUI',8,'Stile, Cancella',1045782026);
INSERT INTO international VALUES (655,'WebGUI',8,'Utente, Aggiungi/Modifica',1045782015);
INSERT INTO international VALUES (656,'WebGUI',8,'Informazioni Azienda, Modifica',1045781998);
INSERT INTO international VALUES (657,'WebGUI',8,'Utente, Cancella',1045781987);
INSERT INTO international VALUES (658,'WebGUI',8,'Utenti, Gestisci',1045781973);
INSERT INTO international VALUES (659,'WebGUI',8,'Stile, Gestisci',1045781959);
INSERT INTO international VALUES (660,'WebGUI',8,'Gruppi, Gestisci',1045781938);
INSERT INTO international VALUES (661,'WebGUI',8,'Settaggi dei File, Modifica',1045781919);
INSERT INTO international VALUES (662,'WebGUI',8,'Settaggi, Gestisci',1045781907);
INSERT INTO international VALUES (663,'WebGUI',8,'Settaggi messaggistica, Modifica',1045781899);
INSERT INTO international VALUES (665,'WebGUI',8,'Gruppo, Cancella',1045781859);
INSERT INTO international VALUES (666,'WebGUI',8,'Stile, Aggiungi/Modifica',1045781846);
INSERT INTO international VALUES (667,'WebGUI',8,'Gruppo, Aggiungi/Modifica',1045781837);
INSERT INTO international VALUES (668,'WebGUI',8,'Style Sheets, Usare',1048067507);
INSERT INTO international VALUES (669,'WebGUI',8,'Macro, Usare',1048067520);
INSERT INTO international VALUES (670,'WebGUI',8,'Immagine, Aggiungi/Modifica',1045781779);
INSERT INTO international VALUES (672,'WebGUI',8,'Settaggi del Profilo, Modifica',1045781760);
INSERT INTO international VALUES (674,'WebGUI',8,'Settaggi Vari, Modifica',1045781751);
INSERT INTO international VALUES (675,'WebGUI',8,'Motore di ricerca, Usare',1045781741);
INSERT INTO international VALUES (678,'WebGUI',8,'Root, Gestisci',1045781711);
INSERT INTO international VALUES (679,'WebGUI',8,'Settaggi Contenuto, Modifica',1045781700);
INSERT INTO international VALUES (680,'WebGUI',8,'Package, Aggiungi',1045781658);
INSERT INTO international VALUES (681,'WebGUI',8,'Package, Aggiungi/Modifica',1045781626);
INSERT INTO international VALUES (682,'WebGUI',8,'Profilo Utenti, Modifica',1045781612);
INSERT INTO international VALUES (683,'WebGUI',8,'Template, Gestisci',1045781587);
INSERT INTO international VALUES (684,'WebGUI',8,'Template, Aggiungi/Modifica',1045781578);
INSERT INTO international VALUES (685,'WebGUI',8,'Template, Cancella',1045781556);
INSERT INTO international VALUES (696,'WebGUI',8,'Cestino, Vuota',1045781534);
INSERT INTO international VALUES (697,'WebGUI',8,'Karma, Usare',1045781525);
INSERT INTO international VALUES (698,'WebGUI',8,'Karma  un sistema di tracciamento della attivita di tuoi visitatori, potenzialmente hai la possibilit di premiarli o di punirli in base al loro livello di attivit sul sito. Nel momento in cui il karma  abilitato, noterai i men di molte cose nel sistema cambiare per rispecchiare il karma.</p><p>\r\n\r\nPuoi tracciare se gli utenti sono loggati al sito e quanto hanno ontribuito al tuo sito e puoi consentire loro di accedere a particolari aree o sezioni addizionali in base al livello dei loro Karma.\r\n',1045781512);
INSERT INTO international VALUES (718,'WebGUI',8,'Esporta traduzione.',1045781425);
INSERT INTO international VALUES (728,'WebGUI',8,'Sei sicuro di voler cancellare questo file?',1045781399);
INSERT INTO international VALUES (6,'WobjectProxy',8,'Con il Contenuto Proxy puoi fare un \"mirror\" di qualsiasi contenuto (articolo, f.a.q etc.) da una pagina verso una altra qualsiasi pagina. Questo  molto utile se vuoi usare (senza doverlo copiare) lo stesso contenuto in diverse sezioni del tuo sito.</p><p><b>\r\n\r\nContenuto Proxy<br>\r\n</b>\r\nseleziona dal sistema il contenuto a cui vuoi fare il proxy. Il box selezionato prende il formato di \"titolo pagina\" / Nome Wobject \r\n(Wobject Id) in questo modo puoi velocemente e con precisione trovare il contenuto che stavi cercando.',1045781112);
INSERT INTO international VALUES (5,'WobjectProxy',8,'Wobject Proxy, Aggiungi/Modifica',1045781095);
INSERT INTO international VALUES (4,'WobjectProxy',8,'Proxy del Wobject fallito. Forse l\'oggetto su cui fare il proxy  stato cancellato.',1045781084);
INSERT INTO international VALUES (3,'WobjectProxy',8,'Wobject Proxy',1045781068);
INSERT INTO international VALUES (2,'WobjectProxy',8,'Modifica Wobject Proxy',1045780988);
INSERT INTO international VALUES (1,'WobjectProxy',8,'Wobject su cui fare il Proxy',1045780980);
INSERT INTO international VALUES (610,'WebGUI',8,'Vedi <b>Gestisci utenti</b> per ulteriori dettagli.\r\n<p>\r\n\r\n<b>Nome utente</b><br>\r\nIl nome utente  un identificatore unico per ogni utente. E\' anche il nome con cui l\'utente  conosciuto sul sito. (<i>Nota:</i> Gli amministratori hanno un potere illimitato nel sistema. Questo significa che essi sono in grado di distruggere il sistema. Se rinomini o crei un utente, stai attento a non usare un nome utente gi esistente.)\r\n<p>\r\n\r\n<b>Password</b><br>\r\nLa password  utilizzata per assicurarsi che l\'utente sia realmente chi dice di essere.\r\n<p>\r\n\r\n<b>Metodo di autenticazione</b><br>\r\nVedi  <i>Modifica i settaggi</i> per maggiori dettagli.\r\n<p>\r\n\r\n<b>URL LDAP</b><br>\r\nVedi <i>Modifica i settaggi</i> per maggiori dettagli.\r\n<p>\r\n\r\n<b>Connect DN</b><br>\r\nIl Connect DN  il nome comune di un dato utente nel tuo database LDAP. Dovrebbe essere specificato come <b>cn=Mario Rossi</b>. Questo , in effetti il nome utente che verr usato per autenticare l\'utentesul tuo LDAP server.\r\n<p>\r\n\r\n<b>Indirizzo Email</b><br>\r\nL\'indirizzo email dell\'utente. Questo deve essere specificato se l\'utente  coinvolto in funzioni che richiedono l\'email.\r\n<p>\r\n\r\n<b>Gruppi</b><br>\r\nGruppi visualizza i gruppi ai quali l\'utente appartiene. I gruppi evidenziati sono i gruppi dei quali l\'utente fa parte. Quelli non evidenziati sono altri gruppi che possono essere assegnati. Nota che devi premere il tasto CTRL per selezionare gruppi multipli.\r\n<p>\r\n\r\n<b>Lingua</b><br>\r\nChe linguaggio deve essere usato per visualizzare i messaggi di sistema.\r\n<p>\r\n\r\n<b>ICQ UIN</b><br>\r\nLo UIN <a href=\"http://www.icq.com\">ICQ</a>  lo \"User ID Number\" nella rete ICQ. ICQ  una piattaforma molto popolare di instant messaging.\r\n\r\n',1045780870);
INSERT INTO international VALUES (601,'WebGUI',8,'International ID',1045780778);
INSERT INTO international VALUES (598,'WebGUI',8,'Modifica Lingua',1045780760);
INSERT INTO international VALUES (597,'WebGUI',8,'Modifica Messaggio Internazionale',1045780747);
INSERT INTO international VALUES (596,'WebGUI',8,'MANCANTE',1045780742);
INSERT INTO international VALUES (595,'WebGUI',8,'Messaggi Internazionali',1045780738);
INSERT INTO international VALUES (594,'WebGUI',8,'Traduci i messaggi.',1045780734);
INSERT INTO international VALUES (593,'WebGUI',8,'Sottometti la traduzione',1045780720);
INSERT INTO international VALUES (592,'WebGUI',8,'Set di Caratteri',1045780704);
INSERT INTO international VALUES (591,'WebGUI',8,'Lingua',1045780694);
INSERT INTO international VALUES (590,'WebGUI',8,'ID Lingua',1045780689);
INSERT INTO international VALUES (589,'WebGUI',8,'Modifica Lingua',1045780680);
INSERT INTO international VALUES (588,'WebGUI',8,'Sei sicuro di voler fornire questa traduzione a plainblack per l\'inclusione nella distribuzione di default? Cliccando si accetti di dare a plainblack una licenza illimitata di usare la traduzione nelle sue distribuzioni software.',1045780670);
INSERT INTO international VALUES (587,'WebGUI',8,'Sei sicuro di voler cancellare questa Lingua e tutto l\'help e i messaggi internazionali ad essa associati?',1045780646);
INSERT INTO international VALUES (586,'WebGUI',8,'Gestisci Traduzioni',1045780636);
INSERT INTO international VALUES (585,'WebGUI',8,'Gestisci Traduzioni',1045780596);
INSERT INTO international VALUES (584,'WebGUI',8,'Aggiungi una nuova lingua.',1045780591);
INSERT INTO international VALUES (583,'WebGUI',8,'Dimensione massima Immagine',1045780583);
INSERT INTO international VALUES (582,'WebGUI',8,'Lascia Vuoto',1045780579);
INSERT INTO international VALUES (581,'WebGUI',8,'Aggiungi un nuovo valore',1045780575);
INSERT INTO international VALUES (580,'WebGUI',8,'Il tuo messaggio  stato respinto.',1045780571);
INSERT INTO international VALUES (579,'WebGUI',8,'Il tuo messaggio  stato approvato.',1045780560);
INSERT INTO international VALUES (578,'WebGUI',8,'Hai un messaggio pendente da approvare',1045780555);
INSERT INTO international VALUES (577,'WebGUI',8,'Rispondi',1045780550);
INSERT INTO international VALUES (576,'WebGUI',8,'Cancella',1045780545);
INSERT INTO international VALUES (575,'WebGUI',8,'Modifica',1045780542);
INSERT INTO international VALUES (574,'WebGUI',8,'Rifiuta',1045780538);
INSERT INTO international VALUES (573,'WebGUI',8,'Lascia Pendenti',1045780533);
INSERT INTO international VALUES (572,'WebGUI',8,'Approva',1045780529);
INSERT INTO international VALUES (571,'WebGUI',8,'Sblocca Thread',1045780523);
INSERT INTO international VALUES (570,'WebGUI',8,'Blocca Thread',1045780519);
INSERT INTO international VALUES (569,'WebGUI',8,'Tipo di Moderazione',1045780506);
INSERT INTO international VALUES (568,'WebGUI',8,'Dopo-il-fatto',1045780501);
INSERT INTO international VALUES (567,'WebGUI',8,'Preventiva',1045780497);
INSERT INTO international VALUES (566,'WebGUI',8,'Modifica Timeout',1045780487);
INSERT INTO international VALUES (565,'WebGUI',8,'Chi pu moderare?',1045780483);
INSERT INTO international VALUES (564,'WebGUI',8,'Chi pu postare?',1045780478);
INSERT INTO international VALUES (563,'WebGUI',8,'Stato predefinito',1045780474);
INSERT INTO international VALUES (562,'WebGUI',8,'Pendente',1045780464);
INSERT INTO international VALUES (561,'WebGUI',8,'Respinto',1045780458);
INSERT INTO international VALUES (560,'WebGUI',8,'Approvato',1045780454);
INSERT INTO international VALUES (559,'WebGUI',8,'Esegui su Registrazione',1045780445);
INSERT INTO international VALUES (524,'WebGUI',8,'Aggiungi la data di modifica nei post?',1045780073);
INSERT INTO international VALUES (627,'WebGUI',8,'I profili sono usati per estendere le informazioni di un particolare utente. In alcuni casi i profili sono importanti per un sito, in altri casi non lo sono. Il sistema dei profili  completamente personalizzabile. Si possono aggiungere tutte le informazioni che si desidera.\r\n',1045780017);
INSERT INTO international VALUES (738,'WebGUI',8,'9 Guru',1045779568);
INSERT INTO international VALUES (737,'WebGUI',8,'8 Maestro',1045779559);
INSERT INTO international VALUES (736,'WebGUI',8,'7 Esperto',1045779547);
INSERT INTO international VALUES (735,'WebGUI',8,'6 Professionista',1045779535);
INSERT INTO international VALUES (733,'WebGUI',8,'4 Competente',1045779520);
INSERT INTO international VALUES (58,'USS',8,'Contributo Precedente',1045779377);
INSERT INTO international VALUES (59,'USS',8,'Prossimo Contributo',1045779366);
INSERT INTO international VALUES (61,'USS',8,'Sistema contributi degli Utenti, Aggiungi/Modifica',1048030816);
INSERT INTO international VALUES (3,'Product',8,'Sei sicuro di voler cancellare questa caratteristica?',1045779180);
INSERT INTO international VALUES (71,'SyndicatedContent',8,'Il contenuto da altri siti  contenuto che viene preso da altri siti usando le specifiche RDF/RSS. Questa tecnologia  spesso usata per estrarre titoli e sommari da vari siti di notizie, come <a href=\"http://www.cnn.com\">CNN</a> e <a href=\"http://slashdot.org\">Slashdot</a>. Pu essere usata anche per altre cose come punteggi sportivi, informazioni finanziarie, etc. <br><br> <b>URL del file RSS </b><br> Metti qui lo URL esatto (incluso http://) del contenuto RDF o RSS. Il contenuto verr scaricato ogni ora da questo URL. <br><br> Puoi trovare liste di contenuti disponibili in questo formato ai seguenti indirizzi:<ul> <li><a href=\"http://www.newsisfree.com\">http://www.newsisfree.com</a> <li><a href=\"http://www.syndic8.com\">http://www.syndic8.com</a> <li><a href=\"http://www.voidstar.com/node.php?id=144\">http://www.voidstar.com/node.php?id=144</a> <li><a href=\"http://my.userland.com\">http://my.userland.com</a> <li><a href=\"http://www.webreference.com/services/news/\">http://www.webreference.com/services/news/</a> <li><a href=\"http://www.xmltree.com\">http://www.xmltree.com</a> <li><a href=\"http://w.moreover.com/\">http://w.moreover.com/</a> </ul> \r\n<p><b>Template</b><br>\r\nScegli un template per questo contenuto.',1048067734);
INSERT INTO international VALUES (72,'LinkList',8,'Link, Aggiungi/Modifica',1045779092);
INSERT INTO international VALUES (61,'LinkList',8,'Lista di Link, Aggiungi/Modifica',1045779069);
INSERT INTO international VALUES (61,'Item',8,'Item, Aggiungi/Modifica',1045778968);
INSERT INTO international VALUES (6,'Item',8,'Modifica Item',1045778960);
INSERT INTO international VALUES (72,'FileManager',8,'File, Aggiungi/Modifica',1045778886);
INSERT INTO international VALUES (61,'FileManager',8,'File Manager, Aggiungi/Modifica',1045778861);
INSERT INTO international VALUES (73,'FAQ',8,'<b>Domanda</b><br>\r\nAggiungi la domanda che vuoi che appaia nella FAQ.<p>\r\n<b>Risposta</b><br>\r\nAggiungi la risposta che vuoi che appaia per la domanda inserita sopra.\r\n<p>\r\n<b>Procedi aggiungendo una domanda?</b><br>Se vuoi aggiungere subito una nuova domanda, lascia la selezione attuale\r\n',1045778765);
INSERT INTO international VALUES (72,'FAQ',8,'Domanda, Aggiungi/Modifica',1045778697);
INSERT INTO international VALUES (61,'FAQ',8,'FAQ, Aggiungi/Modifica',1045778556);
INSERT INTO international VALUES (61,'ExtraColumn',8,'Colonna Extra, Aggiungi/Modifica',1045778463);
INSERT INTO international VALUES (72,'EventsCalendar',8,'Evento, Aggiungi/Modifica',1045778391);
INSERT INTO international VALUES (73,'EventsCalendar',8,'<b>Titolo</b><br>\r\nIl titolo di questo evento.\r\n<p>\r\n\r\n<b>Descrizione</b><br>\r\nDescrive l\'evento o informazioni su dove si terr etc.\r\n\r\n<p>\r\n\r\n<b>Data di inizio</b><br>\r\nIn che data inizia l\'evento?\r\n<p>\r\n\r\n<b>Data di conclusione</b><br>\r\nIn che data si conclude l\'evento?\r\n<p>\r\n\r\n<b>Ricorre ogni...</b><br>\r\nOpzioni multiple per eventi ricorrenti.\r\n<p>\r\n\r\n<b>Procedi aggiungendo un evento?</b><br>\r\nSe vuoi aggiungere un altro evento seleziona \"Si\".\r\n',1045778382);
INSERT INTO international VALUES (61,'EventsCalendar',8,'Calendario Eventi, Aggiungi/Modifica',1045778206);
INSERT INTO international VALUES (61,'Article',8,'Articolo, Aggiungi/Modifica',1048030788);
INSERT INTO international VALUES (886,'WebGUI',8,'Nascondi dalla navigazione?',1045777723);
INSERT INTO international VALUES (888,'WebGUI',8,'Anteprima lunghezza Frammento',1045777692);
INSERT INTO international VALUES (884,'WebGUI',8,'Pop Up',1045777629);
INSERT INTO international VALUES (887,'WebGUI',8,'Midas (Mozilla 1.3+)',1048030883);
INSERT INTO international VALUES (883,'WebGUI',8,'Integrato (se supportato)',1045777585);
INSERT INTO international VALUES (885,'WebGUI',8,'Consenti agli utenti di disattivare il loro profilo?',1045777558);
INSERT INTO international VALUES (882,'WebGUI',8,'Modalit Editor',1045776720);
INSERT INTO international VALUES (881,'WebGUI',8,'Nessuno',1045776653);
INSERT INTO international VALUES (880,'WebGUI',8,'Ultimo Editor Selezionato',1045776639);
INSERT INTO international VALUES (879,'WebGUI',8,'Editor Classico (Internet Explorer 5+)',1045776574);
INSERT INTO international VALUES (878,'WebGUI',8,'Non hai iscrizioni a nessun thread.',1045776538);
INSERT INTO international VALUES (877,'WebGUI',8,'Iscrizioni ai thread',1045776501);
INSERT INTO international VALUES (876,'WebGUI',8,'Visualizza le iscrizioni ai thread.',1045776481);
INSERT INTO international VALUES (875,'WebGUI',8,'Un nuovo messaggio  stato spedito ad uno dei thread a cui sei iscritto.',1045776452);
INSERT INTO international VALUES (874,'WebGUI',8,'Cancellati dal thread',1045776376);
INSERT INTO international VALUES (873,'WebGUI',8,'Sottoscrivi il thread',1045776352);
INSERT INTO international VALUES (872,'WebGUI',8,'Chi puo visualizzare?',1045776317);
INSERT INTO international VALUES (871,'WebGUI',8,'Chi pu modificare?',1045776300);
INSERT INTO international VALUES (870,'WebGUI',8,'Benvenuto',1045776278);
INSERT INTO international VALUES (869,'WebGUI',8,'Messaggio di benvenuto',1045776258);
INSERT INTO international VALUES (868,'WebGUI',8,'Manda un messaggio di benvenuto?',1045776233);
INSERT INTO international VALUES (867,'WebGUI',8,'Perdita del privilegio',1045776201);
INSERT INTO international VALUES (865,'WebGUI',8,'Informa l\'utente della scadenza?',1045776108);
INSERT INTO international VALUES (862,'WebGUI',8,'Il profilo di questo utente non  pubblico.',1045775930);
INSERT INTO international VALUES (861,'WebGUI',8,'Rendi pubblico il profilo? ',1045775906);
INSERT INTO international VALUES (860,'WebGUI',8,'Rendi pubblico questo indirizzo email? ',1045775883);
INSERT INTO international VALUES (859,'WebGUI',8,'Firma',1045775855);
INSERT INTO international VALUES (855,'WebGUI',8,'Elenca tutti i template.',1045775845);
INSERT INTO international VALUES (854,'WebGUI',8,'Elenca tutti i template come questo.',1045775814);
INSERT INTO international VALUES (857,'WebGUI',8,'Indirizzo IP',1045775650);
INSERT INTO international VALUES (858,'WebGUI',8,'Alias',1045775636);
INSERT INTO international VALUES (856,'WebGUI',8,'In questo momento il tuo account non ha le propriet per modificare.',1045775620);
INSERT INTO international VALUES (853,'WebGUI',8,'Cancella questo template',1045775525);
INSERT INTO international VALUES (852,'WebGUI',8,'Copia questo template.',1045775508);
INSERT INTO international VALUES (851,'WebGUI',8,'Modifica questo template.',1045775486);
INSERT INTO international VALUES (848,'WebGUI',8,'C\'\' un errore di sintassi in questo template. Prego correggere.',1045775469);
INSERT INTO international VALUES (847,'WebGUI',8,'Torna alla pagina corrente.',1045775429);
INSERT INTO international VALUES (845,'WebGUI',8,'Macro Stili',1048030933);
INSERT INTO international VALUES (843,'WebGUI',8,'Macro utente',1048067601);
INSERT INTO international VALUES (839,'WebGUI',8,'Macro di programmazione',1048067575);
INSERT INTO international VALUES (841,'WebGUI',8,'Macro di navigazione',1048070874);
INSERT INTO international VALUES (838,'WebGUI',8,'Le Cartelle sono usate per organizzare i contenuti dell\'Archivio Collaterale,\r\nnello stesso modo in cui organizzi i file sul tuo hard disk.\r\n<p><b>Organizza in Cartelle</b><br>\r\nLe cartelle possono stare all\'interno di altre cartelle.\r\nIn quale cartella vuoi inserire questa cartella?\r\n<p><b>Name</b><br>\r\nDai un nome a questa cartella cos puoi riconoscere cosa contiene.\r\n<p><b>Descrizione</b><br>\r\nDescrivi la cartella in modo da ricordare perch  stata creata e che cosa\r\ndovrebbe contenere.</p>',1045775049);
INSERT INTO international VALUES (837,'WebGUI',8,'Cartella, Aggiungi/Modifica',1045770428);
INSERT INTO international VALUES (836,'WebGUI',8,'I Frammenti sono parti di testo o altri elementi che possono essere usati\r\nripetutamente sul tuo sito. Pensa a&nbsp; java scripts, style sheets, filmati\r\nflash , o anche slogan o pay-off questi sono esempi di Frammenti. Il Bello \r\nche se hai bisogno di cambiare il testo etc, puoi cambiarlo una volta sola!\r\n<p><b>Nome</b><br>\r\nDai a questo frammento un nome univoco da utilizzare in seguito per poterlo\r\nrichiamare.\r\n<p><b>Organizza in Cartelle</b><br>\r\nIn quale Cartella dell\'archivio collaterale deve essere inserito questo\r\nFrammento?\r\n<p><b>Frammento</b><br>\r\nComincia a scrivere! O meglio ancora, copia il frammento da qualche altro\r\ndocumento elettronico e incollalo qui.</p>',1045770409);
INSERT INTO international VALUES (835,'WebGUI',8,'Frammento, Aggiungi/Modifica',1045769897);
INSERT INTO international VALUES (834,'WebGUI',8,'Puoi caricare qualsiasi tipo di file nell\'archivio in modo da poterlo usare in\r\nseguito.\r\n<p><b>Nome</b><br>\r\nDai a questo file un nome univoco da utilizzare in seguito per poterlo\r\nrichiamare.\r\n<p><b>Organizza in Cartelle</b><br>\r\nIn quale Cartella dell\'archivio collaterale deve essere inserito questo file?\r\n<p><b>File</b><br>\r\nSeleziona un file da caricare dal tuo hard disk.</p>\r\n',1045769858);
INSERT INTO international VALUES (833,'WebGUI',8,'File, Aggiungi/Modifica',1045769537);
INSERT INTO international VALUES (831,'WebGUI',8,'Macro dell\'archivio collaterale',1048067586);
INSERT INTO international VALUES (830,'WebGUI',8,'I template delle pagine sono utilizzati per posizionare i wobject nelle pagine. Puoi avere qualsiasi numero di posizione nel template della pagina, ma devi avere sempre la posizione 1. Le variabili del posizionamento nel template della pagina appaiono in questo modo:\r\n<br><br>\r\n<tmpl_var page.position1>\r\n<tmpl_var page.position2>\r\n<tmpl_var page.position3>\r\n<tmpl_var page.position4>\r\n<tmpl_var page.position5>\r\n<tmpl_var page.position6>\r\n<tmpl_var page.position7>\r\n<tmpl_var ...>\r\n<br><br>\r\nGli elementi di posizionamento possono salire da 1 a un miliardo, dovrebbe essere pi che sufficiente per un sito medio.',1045769428);
INSERT INTO international VALUES (829,'WebGUI',8,'Template Pagina',1045769044);
INSERT INTO international VALUES (827,'WebGUI',8,'Template Wobject',1048067561);
INSERT INTO international VALUES (824,'WebGUI',8,'Email intestazione a pi di pagina',1045768975);
INSERT INTO international VALUES (823,'WebGUI',8,'Vai alla nuova pagina.',1045768922);
INSERT INTO international VALUES (821,'WebGUI',8,'Qualsiasi',1045768899);
INSERT INTO international VALUES (820,'WebGUI',8,'Il tuo account non  attivato.Perci non puoi entrate finch non sar attivato dall\'amministratore del sistema.',1045768886);
INSERT INTO international VALUES (734,'WebGUI',8,'5 Adepto',1045768778);
INSERT INTO international VALUES (732,'WebGUI',8,'3 Cadetto',1045768766);
INSERT INTO international VALUES (731,'WebGUI',8,'2 Addestrato',1045768747);
INSERT INTO international VALUES (818,'WebGUI',8,'Disattivato',1045754015);
INSERT INTO international VALUES (817,'WebGUI',8,'Attivo',1045753995);
INSERT INTO international VALUES (815,'WebGUI',8,'Il file che stai tendando di caricare  troppo grande.',1045753965);
INSERT INTO international VALUES (814,'WebGUI',8,'Torna agli stili.',1045753926);
INSERT INTO international VALUES (813,'WebGUI',8,'Gruppi in questo gruppo',1045753904);
INSERT INTO international VALUES (812,'WebGUI',8,'Il messaggio  stato inviato.',1045753885);
INSERT INTO international VALUES (811,'WebGUI',8,'Da',1045753867);
INSERT INTO international VALUES (810,'WebGUI',8,'Invia',1045753857);
INSERT INTO international VALUES (809,'WebGUI',8,'Email al Gruppo',1045753846);
INSERT INTO international VALUES (808,'WebGUI',8,'Email a questo gruppo.',1045753818);
INSERT INTO international VALUES (807,'WebGUI',8,'Gestisci i gruppi in questo gruppo.',1045753792);
INSERT INTO international VALUES (806,'WebGUI',8,'Cancella questo gruppo.',1045753771);
INSERT INTO international VALUES (805,'WebGUI',8,'Cancella questo stile.',1045753756);
INSERT INTO international VALUES (804,'WebGUI',8,'Copia questo stile.',1045753737);
INSERT INTO international VALUES (803,'WebGUI',8,'Modifica questo stile.',1045753721);
INSERT INTO international VALUES (802,'WebGUI',8,'Il sistema attualmente non sta tracciando le statistiche. Puoi abilitare la funzione da \"Gestisci Settaggi\".',1045753698);
INSERT INTO international VALUES (801,'WebGUI',8,'interazione con i Wobject',1045753627);
INSERT INTO international VALUES (800,'WebGUI',8,'Visitatori Unici',1045753606);
INSERT INTO international VALUES (799,'WebGUI',8,'Pagine Viste',1045753591);
INSERT INTO international VALUES (798,'WebGUI',8,'Titolo della Pagina',1045753575);
INSERT INTO international VALUES (797,'WebGUI',8,'Visualizza le statistiche del traffico.',1045753557);
INSERT INTO international VALUES (796,'WebGUI',8,'Visualizza le statistiche delle pagine.',1045753534);
INSERT INTO international VALUES (795,'WebGUI',8,'Roots',1045753508);
INSERT INTO international VALUES (794,'WebGUI',8,'Packages',1045753497);
INSERT INTO international VALUES (793,'WebGUI',8,'Parti dell\'Archivio Collaterale',1045753485);
INSERT INTO international VALUES (792,'WebGUI',8,'Template',1045753383);
INSERT INTO international VALUES (791,'WebGUI',8,'Cancella questa traduzione.',1045753367);
INSERT INTO international VALUES (790,'WebGUI',8,'Cancella questa categoria del profilo.',1045753349);
INSERT INTO international VALUES (789,'WebGUI',8,'Modifica questa categoria del profilo. ',1045753327);
INSERT INTO international VALUES (788,'WebGUI',8,'Cancella questo campo del profilo.',1045753298);
INSERT INTO international VALUES (786,'WebGUI',8,'L\'Archivio Collaterale consente di caricare files e testi in un deposito centralizzato, per usarli ovunque all\'interno dei contenuto del sito.',1045753274);
INSERT INTO international VALUES (787,'WebGUI',8,'Modifica questo campo del profilo.',1045753186);
INSERT INTO international VALUES (784,'WebGUI',8,'Thumbnail',1045753158);
INSERT INTO international VALUES (785,'WebGUI',8,'Archivio Collaterale, Gestisci',1045753144);
INSERT INTO international VALUES (783,'WebGUI',8,'Tipo',1045753117);
INSERT INTO international VALUES (782,'WebGUI',8,'Qualsiasi',1045753107);
INSERT INTO international VALUES (781,'WebGUI',8,'Frammento testo',1045753095);
INSERT INTO international VALUES (780,'WebGUI',8,'File',1045753076);
INSERT INTO international VALUES (779,'WebGUI',8,'Immagine',1045753065);
INSERT INTO international VALUES (778,'WebGUI',8,'Descrizione Cartella',1045753054);
INSERT INTO international VALUES (777,'WebGUI',8,'Id Cartella',1045753038);
INSERT INTO international VALUES (776,'WebGUI',8,'Modifica Cartella',1045753023);
INSERT INTO international VALUES (775,'WebGUI',8,'Sei sicuro di voler cancellare questa cartella e spostare il suo contenuto nella cartella genitrice?',1045753006);
INSERT INTO international VALUES (774,'WebGUI',8,'Sei sicuro di vole cancellare questo elemento? Non sar pi recuperabile una volta eliminato.',1045752934);
INSERT INTO international VALUES (773,'WebGUI',8,'File',1045752719);
INSERT INTO international VALUES (772,'WebGUI',8,'Modifica File',1045752708);
INSERT INTO international VALUES (771,'WebGUI',8,'Frammento',1045752692);
INSERT INTO international VALUES (770,'WebGUI',8,'Modifica Frammento',1045752680);
INSERT INTO international VALUES (769,'WebGUI',8,'Organizza in Cartelle',1045752662);
INSERT INTO international VALUES (768,'WebGUI',8,'Nome',1045752640);
INSERT INTO international VALUES (767,'WebGUI',8,'Id dell\'archivio collaterale',1045752630);
INSERT INTO international VALUES (766,'WebGUI',8,'Torna alla lista dell\'archivio collaterale.',1045752575);
INSERT INTO international VALUES (765,'WebGUI',8,'Cancella questo elemento dell\'archivio collaterale.',1045752548);
INSERT INTO international VALUES (763,'WebGUI',8,'Aggiungi un frammento (testo etc.).',1045752452);
INSERT INTO international VALUES (762,'WebGUI',8,'Aggiungi un file.',1045752354);
INSERT INTO international VALUES (760,'WebGUI',8,'Cancella questa cartella.',1045752308);
INSERT INTO international VALUES (759,'WebGUI',8,'Modifica questa cartella.',1045752290);
INSERT INTO international VALUES (758,'WebGUI',8,'Aggiungi una cartella.',1045752263);
INSERT INTO international VALUES (757,'WebGUI',8,'Gestisci Archivio Collaterale',1045752233);
INSERT INTO international VALUES (756,'WebGUI',8,'Torna alla lista dei gruppi.',1045752184);
INSERT INTO international VALUES (754,'WebGUI',8,'Gestisci gli utenti di questo gruppo.',1045752165);
INSERT INTO international VALUES (753,'WebGUI',8,'Modifica questo gruppo.',1045752137);
INSERT INTO international VALUES (752,'WebGUI',8,'Visualizza il profilo di questo utente.',1045752114);
INSERT INTO international VALUES (751,'WebGUI',8,'Diventa questo utente.',1045752087);
INSERT INTO international VALUES (750,'WebGUI',8,'Cancella questo utente.',1045752071);
INSERT INTO international VALUES (749,'WebGUI',8,'Traccia le statistiche delle pagine?',1045752048);
INSERT INTO international VALUES (747,'WebGUI',8,'Il nome utente deve contenere solo caratteri alfanumerici.',1045752012);
INSERT INTO international VALUES (746,'WebGUI',8,'Set Icone Pulsanti di comando',1045751975);
INSERT INTO international VALUES (745,'WebGUI',8,'Torna alla pagina.',1045751953);
INSERT INTO international VALUES (744,'WebGUI',8,'Prossima Azione?',1045751935);
INSERT INTO international VALUES (743,'WebGUI',8,'Devi inserire un indirizzo email valido per recuperare la tua password.',1045751910);
INSERT INTO international VALUES (742,'WebGUI',8,'Gestisci Template',1045751861);
INSERT INTO international VALUES (741,'WebGUI',8,'Modifica questo template',1045751829);
INSERT INTO international VALUES (739,'WebGUI',8,'LIvello Interfaccia Utente',1045751324);
INSERT INTO international VALUES (730,'WebGUI',8,'1 Apprendista',1045751118);
INSERT INTO international VALUES (729,'WebGUI',8,'0 Principianti',1045751079);
INSERT INTO international VALUES (76,'USS',8,'Template di inserimento',1045751040);
INSERT INTO international VALUES (74,'USS',8,'Template Sistema di contributi degli utenti',1045751011);
INSERT INTO international VALUES (73,'USS',8,'Template di inserimento',1045750803);
INSERT INTO international VALUES (9,'Survey',8,'Survey (Ricerca di Mercato)',1045747751);
INSERT INTO international VALUES (80,'Survey',8,'secondi',1045747725);
INSERT INTO international VALUES (8,'Survey',8,'Ordine domande',1045747714);
INSERT INTO international VALUES (79,'Survey',8,'minuti',1045747697);
INSERT INTO international VALUES (78,'Survey',8,'Tempo totale',1045747686);
INSERT INTO international VALUES (77,'Survey',8,'Data di Fine',1045747673);
INSERT INTO international VALUES (76,'Survey',8,'Data di inizio',1045747658);
INSERT INTO international VALUES (75,'Survey',8,'Modifica questa domanda.',1045747643);
INSERT INTO international VALUES (74,'Survey',8,'Sei sicuro di voler cancellare tutti i responsi?',1045747624);
INSERT INTO international VALUES (73,'Survey',8,'Cancella tutti i responsi',1045747600);
INSERT INTO international VALUES (71,'Survey',8,'Classifica',1045747543);
INSERT INTO international VALUES (70,'Survey',8,'Responsi individuali',1045747529);
INSERT INTO international VALUES (69,'Survey',8,'Cancella i risultati di questo utente.',1045747385);
INSERT INTO international VALUES (68,'Survey',8,'Visualizza risultati e esportazioni.',1045747357);
INSERT INTO international VALUES (67,'Survey',8,'Utenti',1045747301);
INSERT INTO international VALUES (66,'Survey',8,'Risultati',1045747283);
INSERT INTO international VALUES (65,'Survey',8,'Esporta ricapitolazione composita.',1045747127);
INSERT INTO international VALUES (64,'Survey',8,'Esporta i risultati.',1045746867);
INSERT INTO international VALUES (63,'Survey',8,'Esporta le domande.',1045746849);
INSERT INTO international VALUES (62,'Survey',8,'Esporta le risposte.',1045746834);
INSERT INTO international VALUES (61,'Survey',8,'Visualizza la classifica.',1045746814);
INSERT INTO international VALUES (60,'Survey',8,'Torna alla Ricerca',1045746785);
INSERT INTO international VALUES (6,'Survey',8,'Random',1045746762);
INSERT INTO international VALUES (59,'Survey',8,'Vedi statistiche',1045746750);
INSERT INTO international VALUES (58,'Survey',8,'Anteprima statistica',1045746730);
INSERT INTO international VALUES (57,'Survey',8,'Commenti',1045746545);
INSERT INTO international VALUES (56,'Survey',8,'Visualizza i commenti',1045746535);
INSERT INTO international VALUES (55,'Survey',8,'Visualizza Risultati',1045746501);
INSERT INTO international VALUES (54,'Survey',8,'Percentuale',1045746481);
INSERT INTO international VALUES (53,'Survey',8,'Risultati',1045746469);
INSERT INTO international VALUES (52,'Survey',8,'Punteggio',1045746455);
INSERT INTO international VALUES (51,'Survey',8,'Commenti?',1045746444);
INSERT INTO international VALUES (50,'Survey',8,'Prossima',1045746431);
INSERT INTO international VALUES (5,'Survey',8,'Sequenziale',1045746420);
INSERT INTO international VALUES (49,'Survey',8,'Attualmente non pu prenedere parte a questo quiz.',1045746406);
INSERT INTO international VALUES (48,'Survey',8,'Attualmente non pu partecipare a questa ricerca.',1045746373);
INSERT INTO international VALUES (47,'Survey',8,'Il quiz  stato completato.',1045746275);
INSERT INTO international VALUES (46,'Survey',8,'Grazie per aver partecipato alla nostra ricerca.',1045746239);
INSERT INTO international VALUES (45,'Survey',8,'Sei sicuro di voler cancellare questa risposta e i relativi responsi?',1045746189);
INSERT INTO international VALUES (44,'Survey',8,'Sei sicuro di voler cancellare questa domanda, le risposte e i responsi relativi?',1045745825);
INSERT INTO international VALUES (43,'Survey',8,'Mai',1045745726);
INSERT INTO international VALUES (42,'Survey',8,'Occasionalmente',1045745717);
INSERT INTO international VALUES (41,'Survey',8,'Frequentemente',1045745703);
INSERT INTO international VALUES (40,'Survey',8,'Sempre',1045745684);
INSERT INTO international VALUES (39,'Survey',8,'Non applicabile',1045745665);
INSERT INTO international VALUES (37,'Survey',8,'Non d\'accordo',1045745623);
INSERT INTO international VALUES (36,'Survey',8,'Non del tutto d\'accordo',1045745603);
INSERT INTO international VALUES (35,'Survey',8,'Abbastanza d\'accordo',1045745574);
INSERT INTO international VALUES (34,'Survey',8,'D\'accordo',1045745369);
INSERT INTO international VALUES (33,'Survey',8,'Completamente d\'accordo',1045745347);
INSERT INTO international VALUES (32,'Survey',8,'Falso',1045745320);
INSERT INTO international VALUES (31,'Survey',8,'Vero',1045745311);
INSERT INTO international VALUES (30,'Survey',8,'Aggiungi una nuova domanda',1045745300);
INSERT INTO international VALUES (3,'Survey',8,'Ricerca, Aggiungi/Modifica',1045745283);
INSERT INTO international VALUES (29,'Survey',8,'Aggiungi una risposta con testo',1045745256);
INSERT INTO international VALUES (28,'Survey',8,'Aggiungi una domanda',1045745223);
INSERT INTO international VALUES (27,'Survey',8,'Aggiungi una risposta tipo opinione (sono d\'accordo/non sono d\'accordo)',1045745208);
INSERT INTO international VALUES (26,'Survey',8,'Aggiungi una frequenza di risposte (sempre/mai)',1045745138);
INSERT INTO international VALUES (25,'Survey',8,'Aggiungi una risposta vero/falso',1045744964);
INSERT INTO international VALUES (24,'Survey',8,'Aggiungi una risposta a scelta multipla ',1045744941);
INSERT INTO international VALUES (23,'Survey',8,'Aggiungi una nuova risposta',1048067377);
INSERT INTO international VALUES (22,'Survey',8,'Tipo di risposta',1045744787);
INSERT INTO international VALUES (21,'Survey',8,'Vai a',1045744732);
INSERT INTO international VALUES (20,'Survey',8,'Questa risposta  corretta?',1045744720);
INSERT INTO international VALUES (2,'Survey',8,'modifica Ricerca',1045744700);
INSERT INTO international VALUES (19,'Survey',8,'Risposta',1045744684);
INSERT INTO international VALUES (18,'Survey',8,'Modifica risposta',1045744673);
INSERT INTO international VALUES (17,'Survey',8,'Modifica domanda',1045744659);
INSERT INTO international VALUES (16,'Survey',8,'Randomizza le risposte?',1045744646);
INSERT INTO international VALUES (15,'Survey',8,'Consenti commenti?',1045744605);
INSERT INTO international VALUES (14,'Survey',8,'Domanda',1045744584);
INSERT INTO international VALUES (13,'Survey',8,'Chi pu vedere i risultati?',1045744573);
INSERT INTO international VALUES (12,'Survey',8,'Chi pu partecipare alla Ricerca',1045744551);
INSERT INTO international VALUES (11,'Survey',8,'Modo',1045744517);
INSERT INTO international VALUES (10,'Survey',8,'Quiz',1045744505);
INSERT INTO international VALUES (1,'Survey',8,'Survey (Ricerca di Mercato)',1045744487);
INSERT INTO international VALUES (75,'SiteMap',8,'Tutte le Roots',1045744348);
INSERT INTO international VALUES (74,'SiteMap',8,'Questa Pagina',1045744332);
INSERT INTO international VALUES (72,'SiteMap',8,'Template Mappa del Sito',1048067345);
INSERT INTO international VALUES (73,'MessageBoard',8,'Forum Template',1045680233);
INSERT INTO international VALUES (73,'MailForm',8,'Invia',1045680189);
INSERT INTO international VALUES (73,'Item',8,'Item Template',1045680117);
INSERT INTO international VALUES (72,'Item',8,'Template',1045680109);
INSERT INTO international VALUES (75,'FileManager',8,'File Manager Template',1045680095);
INSERT INTO international VALUES (74,'FileManager',8,'Aggiungi un nuovo file',1045680082);
INSERT INTO international VALUES (77,'FAQ',8,'Questa  la lista delle variabili disponibili nel FAQ templates.\r\n<p><b>addquestion.url</b><br>\r\nL\'URL per aggiungere una domanda alle FAQ\r\n<p><b>addquestion.label</b><br>\r\nL\'etichetta per il link per aggiungere la domanda.\r\n<p><b>qa_loop</b><br>\r\nIl ciclo contenente le variabili per ogni domanda nelle FAQ. \r\n<blockquote>\r\n  <b>qa.id</b><br>\r\n  L\'identificatore univoco per questa domanda.\r\n  <p><b>qa.answer</b><br>\r\n  La risposta per questa domanda.\r\n  <p><b>qa.question</b><br>\r\n  La domanda stessa.\r\n  <p><b>qa.controls</b><br>\r\n  I controlli di gestione di WebGUI per questa domanda.\r\n  <p>&nbsp;</p>\r\n</blockquote>\r\n',1045680066);
INSERT INTO international VALUES (76,'FAQ',8,'FAQ Template',1045679699);
INSERT INTO international VALUES (75,'FAQ',8,'Aggiungi una domanda',1045679685);
INSERT INTO international VALUES (74,'FAQ',8,'Template',1045679666);
INSERT INTO international VALUES (96,'EventsCalendar',8,'Template Evento',1045679634);
INSERT INTO international VALUES (95,'EventsCalendar',8,'<p>Le seguenti variabili dei template sono disponibili per personalizzare il\r\nCalendario Eventi.</p>\r\n<p><b>addevent.url</b><br>\r\nL\'URL da inserire in un evento nel calendario.\r\n<p><b>addevent.label</b><br>\r\nL\'etichetta tradotta per il link aggiungi evento.\r\n<p><b>calendar.big</b><br>\r\nUn Calendario a piena pagina.\r\n<p><b>calendar.small</b><br>\r\nUn calendario piccolo che mostra solo le date.\r\n<p><b>calendar.firstPage<br>\r\n</b>Un Link alla prima pagina dell\'impaginazione del calendario.\r\n<p><b>calendar.lastPage</b><br>\r\nUn Link all\'ultima pagina dell\'impaginazione del calendario.\r\n<p><b>calendar.nextPage</b><br>\r\nUn Link alla prossima pagina dell\'impaginazione del calendario.\r\n<p><b>calendar.previousPage</b><br>\r\nUn Link alla pagina precedente dell\'impaginazione del calendario.\r\n<p><b>calendar.pageList</b><br>\r\nUna lista di link a tutte le pagine dell\'impaginazione del calendario.\r\n<p><b>calendar.multiplePages</b><br>\r\nUna variabile che indica dove esiste pi di una pagina nell\'impaginazione del\r\ncalendario.\r\n<p><b>list_loop</b><br>\r\nUn ciclo contenente la visualizzazione a lista di un Calendario Eventi.\r\n<blockquote>\r\n  <b>list.date</b><br>\r\n  La data di questo evento.\r\n  <p><b>list.title</b><br>\r\n  Il titolo di questo evento.\r\n  <p><b>list.description</b><br>\r\n  La descrizione di questo evento.\r\n  <p><b>list.sameAsPrevious</b><br>\r\n  Una variabile che indica se questo evento ha la stessa data dell\'ultimo\r\n  evento.\r\n  <p><b>list.url</b><br>\r\n  L\'URL della pagina piena di questo evento.\r\n  <p><b>list.controls</b><br>\r\n  I controlli di WebGUI per la gestione di questo evento.\r\n  <p>&nbsp;</p>\r\n</blockquote>\r\n<p><b>list.firstPage</b><br>\r\nUn Link alla prima pagina dell\'impaginazione.\r\n<p><b>list.lastPage</b><br>\r\nUn Link all\'ultima pagina dell\'impaginazione.\r\n<p><b>list.nextPage</b><br>\r\nUn Link alla prossima pagina dell\'impaginazione.\r\n<p><b>list.previousPage</b><br>\r\nUn Link all\'ultima pagina dell\'impaginazione del calendario.\r\n<p><b>list.pageList</b><br>\r\nUna lista di link a tutte le pagine dell\'impaginazione.\r\n<p><b>list.multiplePages</b><br>\r\nUna variabile che indica dove esiste pi di una pagina nell\'impaginazione.</p>\r\n\r\n',1045679616);
INSERT INTO international VALUES (94,'EventsCalendar',8,'Template Calendario Eventi',1045677272);
INSERT INTO international VALUES (93,'EventsCalendar',8,'Prossimo Evento',1045677244);
INSERT INTO international VALUES (92,'EventsCalendar',8,'Evento Precedente',1045677224);
INSERT INTO international VALUES (91,'EventsCalendar',8,'Aggiungi un nuovo evento',1045677086);
INSERT INTO international VALUES (90,'EventsCalendar',8,'Mese di inizio',1045677068);
INSERT INTO international VALUES (89,'EventsCalendar',8,'Mostra 3 mesi dall\'inizio',1045677044);
INSERT INTO international VALUES (88,'EventsCalendar',8,'Mostra 6 mesi dall\'inizio',1045677030);
INSERT INTO international VALUES (87,'EventsCalendar',8,'Mostra 9 mesi dall\'inizio',1045677016);
INSERT INTO international VALUES (86,'EventsCalendar',8,'Mostra 12 mesi dall\'inizio',1045676999);
INSERT INTO international VALUES (85,'EventsCalendar',8,'Ultimo nel calendario',1045676981);
INSERT INTO international VALUES (84,'EventsCalendar',8,'Mese di fine',1045676965);
INSERT INTO international VALUES (83,'EventsCalendar',8,'Primo nel calendario',1045676952);
INSERT INTO international VALUES (82,'EventsCalendar',8,'Corrente',1045676931);
INSERT INTO international VALUES (81,'EventsCalendar',8,'Mese di inizio',1045676915);
INSERT INTO international VALUES (80,'EventsCalendar',8,'Template Evento',1045676895);
INSERT INTO international VALUES (1,'Auth/WebGUI',8,'WebGUI Authentication Options',1045676875);
INSERT INTO international VALUES (9,'Auth/SMB',8,'NT Password',1045676853);
INSERT INTO international VALUES (8,'Auth/SMB',8,'NT Login',1045676845);
INSERT INTO international VALUES (7,'Auth/SMB',8,'NT Domain',1045676835);
INSERT INTO international VALUES (6,'Auth/SMB',8,'BDC',1045676827);
INSERT INTO international VALUES (5,'Auth/SMB',8,'PDC',1045676601);
INSERT INTO international VALUES (4,'Auth/SMB',8,'SMB Logon Errore (3)\r\nHai fornito una combinazione nome utente/password non valida. Prova ancora.',1045599392);
INSERT INTO international VALUES (3,'Auth/SMB',8,'SMB Protocol Errore (2)<br>\r\nContatta l\'amministratore di sistema.',1045599308);
INSERT INTO international VALUES (79,'EventsCalendar',8,'Template Principale',1045599263);
INSERT INTO international VALUES (2,'Auth/SMB',8,'SMB Server Error (1)<br>Something went wrong accessing the domain controller. Perhaps the connection timed out. Please try again or contact your sysadmin.',1045599050);
INSERT INTO international VALUES (1,'Auth/SMB',8,'Opzioni Autenticazione SMB',1045598968);
INSERT INTO international VALUES (1,'Auth/LDAP',8,'Opzioni Autenticazione LDAP ',1045598946);
INSERT INTO international VALUES (72,'Article',8,'Template Articolo',1048080145);
INSERT INTO international VALUES (24,'PhotoGallery',8,'Caricamento immagine',1034023843);
INSERT INTO international VALUES (22,'PhotoGallery',8,'Inserimento',1034023785);
INSERT INTO international VALUES (17,'PhotoGallery',8,'Testo',1034022485);
INSERT INTO international VALUES (11,'PhotoGallery',8,'Visualizza il testo al passaggio del mouse',1034022460);
INSERT INTO international VALUES (9,'PhotoGallery',8,'Aggiungi una immagine',1034022249);
INSERT INTO international VALUES (8,'PhotoGallery',8,'Gruppo abilitato a caricare immagini',1034022219);
INSERT INTO international VALUES (7,'PhotoGallery',8,'Anteprime per riga',1034022186);
INSERT INTO international VALUES (6,'PhotoGallery',8,'Modifica',1034022168);
INSERT INTO international VALUES (5,'PhotoGallery',8,'Nuovo',1034022154);
INSERT INTO international VALUES (4,'PhotoGallery',8,'Ordinamento',1034022140);
INSERT INTO international VALUES (3,'PhotoGallery',8,'Carica una immagine',1034022119);
INSERT INTO international VALUES (26,'PhotoGallery',8,'Titolo',1034022101);
INSERT INTO international VALUES (25,'PhotoGallery',8,'Nome immagine',1034022071);
INSERT INTO international VALUES (23,'PhotoGallery',8,'Popolarit',1034022018);
INSERT INTO international VALUES (21,'PhotoGallery',8,'Visualizza informazioni sull\'immagine',1034021813);
INSERT INTO international VALUES (20,'PhotoGallery',8,'Spazio tra le immagini',1034021782);
INSERT INTO international VALUES (2,'PhotoGallery',8,'Aggiungi una immagine',1034021758);
INSERT INTO international VALUES (19,'PhotoGallery',8,'Carica immagine',1034021741);
INSERT INTO international VALUES (18,'PhotoGallery',8,'Testo da visualizzare con questa immagine',1034021725);
INSERT INTO international VALUES (16,'PhotoGallery',8,'Altezza anteprima',1034021680);
INSERT INTO international VALUES (15,'PhotoGallery',8,'Larghezza anteprima',1034021662);
INSERT INTO international VALUES (14,'PhotoGallery',8,'Nome Immagine',1034021635);
INSERT INTO international VALUES (13,'PhotoGallery',8,'Immagine',1034021619);
INSERT INTO international VALUES (12,'PhotoGallery',8,'Procedi aggiungendo una immagine',1034021607);
INSERT INTO international VALUES (10,'PhotoGallery',8,'Spunta questo box per aggiungere automaticamente al gestore di immagini le immagini caricate con questo wobject',1034021524);
INSERT INTO international VALUES (605,'WebGUI',8,'Aggiungi Gruppi',1034020648);
INSERT INTO international VALUES (1,'PhotoGallery',8,'Galleria Foto',1034015638);
INSERT INTO international VALUES (18,'Article',8,'Consenti discussione?',1031922079);
INSERT INTO international VALUES (5,'Auth/WebGUI',8,'La tua password non pu essere \"password\".',1031880154);
INSERT INTO international VALUES (725,'WebGUI',8,'La tua username non pu essere vuota.',1031879612);
INSERT INTO international VALUES (724,'WebGUI',8,'La tua username non pu iniziare o finire con uno spazio.',1031879593);
INSERT INTO international VALUES (4,'Auth/WebGUI',8,'La tua password non pu essere vuota.',1031879567);
INSERT INTO international VALUES (723,'WebGUI',8,'Non Approvato',1031800566);
INSERT INTO international VALUES (722,'WebGUI',8,'Id',1031517195);
INSERT INTO international VALUES (721,'WebGUI',8,'Namespace',1031515005);
INSERT INTO international VALUES (720,'WebGUI',8,'OK',1031514777);
INSERT INTO international VALUES (719,'WebGUI',8,'Non aggiornato',1031514679);
INSERT INTO international VALUES (12,'Poll',8,'Totale Voti:',1031514049);
INSERT INTO international VALUES (48,'Product',8,'Sei sicuro di voler cancellare questo Beneficio? Non sar possibile ripristinarlo una volta cancellato.',1031514049);
INSERT INTO international VALUES (49,'Product',8,'Beneficio Prodotto, Aggiungi/Modifica',1031514049);
INSERT INTO international VALUES (51,'Product',8,'Beneficio',1031514049);
INSERT INTO international VALUES (72,'Poll',8,'Randomizzare le risposte?',1031514049);
INSERT INTO international VALUES (75,'EventsCalendar',8,'Quale vuoi fare?',1031514049);
INSERT INTO international VALUES (76,'EventsCalendar',8,'cancella solo questo evento.',1031514049);
INSERT INTO international VALUES (77,'EventsCalendar',8,'Cancella questo evento <b>e</b> tutte le sue ricorrenze.',1031514049);
INSERT INTO international VALUES (78,'EventsCalendar',8,'Non cancellare nulla, ho fatto un errore.',1031514049);
INSERT INTO international VALUES (52,'Product',8,'Aggiungi un\'altro beneficio?',1031514049);
INSERT INTO international VALUES (53,'Product',8,'Modifica Beneficio',1031514049);
INSERT INTO international VALUES (54,'Product',8,'Benefici',1031514049);
INSERT INTO international VALUES (55,'Product',8,'Aggiungi un beneficio.',1031514049);
INSERT INTO international VALUES (56,'Product',8,'Aggiungi un template prodotto.',1031514049);
INSERT INTO international VALUES (58,'Product',8,'Modifica Template Prodotto',1031514049);
INSERT INTO international VALUES (59,'Product',8,'Nome',1031514049);
INSERT INTO international VALUES (60,'Product',8,'Template',1031514049);
INSERT INTO international VALUES (61,'Product',8,'Template Prodotto',1031514049);
INSERT INTO international VALUES (699,'WebGUI',8,'Primo giorno della settimana',1031514049);
INSERT INTO international VALUES (702,'WebGUI',8,'Mese(i)',1031514049);
INSERT INTO international VALUES (703,'WebGUI',8,'Anno(i)',1031514049);
INSERT INTO international VALUES (704,'WebGUI',8,'Secondo(i)',1031514049);
INSERT INTO international VALUES (705,'WebGUI',8,'Minuto(i)',1031514049);
INSERT INTO international VALUES (706,'WebGUI',8,'Ora(e)',1031514049);
INSERT INTO international VALUES (707,'WebGUI',8,'Mostra debugging?',1031514049);
INSERT INTO international VALUES (715,'WebGUI',8,'Redireziona URL',1031514049);
INSERT INTO international VALUES (716,'WebGUI',8,'Login',1031514049);
INSERT INTO international VALUES (717,'WebGUI',8,'Logout',1031514049);
INSERT INTO international VALUES (896,'WebGUI',1,'Page Cache Timeout (Visitors)',1047342926);
INSERT INTO international VALUES (895,'WebGUI',1,'Page Cache Timeout',1047342910);
INSERT INTO international VALUES (72,'SyndicatedContent',1,'Syndicated Content Template',1047855526);
INSERT INTO international VALUES (73,'SyndicatedContent',1,'The following are the template variables available to the Syndicated Content template.\r\n\r\n<p>\r\n\r\n<b>channel.title</b><br>\r\nThe title of this piece of syndicated content.\r\n<p>\r\n\r\n<b>channel.description</b><br>\r\nA description of the content available through this channel.\r\n<p>\r\n\r\n<b>channel.link</b><br>\r\nA URL back to the originating site of this channel.\r\n<p>\r\n\r\n<b>item_loop</b><br>\r\nA loop containing the data from this channel.\r\n\r\n<blockquote>\r\n\r\n<b>title</b><br>\r\nThe title of a piece of content.\r\n<p>\r\n\r\n<b>description</b><br>\r\nThe description of the content.\r\n<p>\r\n\r\n<b>link</b>\r\nA URL directly to the original content.\r\n\r\n</blockquote>',1047855526);
INSERT INTO international VALUES (526,'Discussion',1,'by',1047842270);
INSERT INTO international VALUES (525,'Discussion',1,'Edited at',1047842180);
INSERT INTO international VALUES (896,'WebGUI',10,'Side cache timeout (gster)',1047941737);
INSERT INTO international VALUES (895,'WebGUI',10,'Side cache timeout',1047941722);
INSERT INTO international VALUES (893,'WebGUI',10,'Wobject egenskaber',1047941704);
INSERT INTO international VALUES (892,'WebGUI',10,'Diskussion',1047941691);
INSERT INTO international VALUES (891,'WebGUI',10,'Omvend kun makroer',1047941682);
INSERT INTO international VALUES (889,'WebGUI',10,'Style Sheets, Faneblad',1047941643);
INSERT INTO international VALUES (758,'WebGUI',10,'Tilfj en mappe.',1047941585);
INSERT INTO international VALUES (757,'WebGUI',10,'Administrer brochurer',1047941567);
INSERT INTO international VALUES (756,'WebGUI',10,'Tilbage till gruppe liste.',1047941548);
INSERT INTO international VALUES (754,'WebGUI',10,'Administrer brugere i denne gruppe',1047941534);
INSERT INTO international VALUES (753,'WebGUI',10,'Rediger denne gruppe',1047941484);
INSERT INTO international VALUES (751,'WebGUI',10,'Funger som denne bruger.',1047941471);
INSERT INTO international VALUES (750,'WebGUI',10,'Slet denne bruger.',1047941450);
INSERT INTO international VALUES (749,'WebGUI',10,'Gem data for side statistik?',1047941439);
INSERT INTO international VALUES (748,'WebGUI',10,'Bruger antal',1047941411);
INSERT INTO international VALUES (747,'WebGUI',10,'Brugernavn m kun indeholde alfanumeriske tegn.',1047941398);
INSERT INTO international VALUES (746,'WebGUI',10,'Ikon st for toolbar',1047941373);
INSERT INTO international VALUES (745,'WebGUI',10,'G tilbage til siden.',1047941356);
INSERT INTO international VALUES (742,'WebGUI',10,'Administrer skabeloner.',1047941342);
INSERT INTO international VALUES (728,'WebGUI',10,'Er du sikker p du vil slette denne fil?',1047941323);
INSERT INTO international VALUES (659,'WebGUI',10,'Stilarter, Administrer',1047941289);
INSERT INTO international VALUES (76,'USS',10,'Indlg skabelon',1047941144);
INSERT INTO international VALUES (74,'USS',10,'Brugerindlgs System skabelon',1047941126);
INSERT INTO international VALUES (73,'USS',10,'Skabelon for indlg',1047941108);
INSERT INTO international VALUES (72,'USS',10,'Hoved skabelon',1047941093);
INSERT INTO international VALUES (61,'USS',10,'Brugerindlg System, Tilfj/Rediger',1047941076);
INSERT INTO international VALUES (59,'USS',10,'Nste indlg',1047941054);
INSERT INTO international VALUES (58,'USS',10,'Forrige indlg',1047941045);
INSERT INTO international VALUES (57,'USS',10,'Besvarelser',1047941029);
INSERT INTO international VALUES (53,'USS',10,'Layout',1047941018);
INSERT INTO international VALUES (52,'USS',10,'Miniature',1047941010);
INSERT INTO international VALUES (51,'USS',10,'Vis miniature?',1047940999);
INSERT INTO international VALUES (48,'USS',10,'Tillad diskussion?',1047940986);
INSERT INTO international VALUES (47,'USS',10,'Poster et svar',1047940975);
INSERT INTO international VALUES (46,'USS',10,'Ls mere...',1047940940);
INSERT INTO international VALUES (45,'USS',10,'Retur til indlg',1047940930);
INSERT INTO international VALUES (41,'USS',10,'Dato',1047940918);
INSERT INTO international VALUES (39,'USS',10,'Skriv et svar',1047940909);
INSERT INTO international VALUES (38,'USS',10,'Vlg \"nej\" hvis du skriver et HTML indlg',1047940891);
INSERT INTO international VALUES (30,'USS',10,'Karma pr. indlg',1047940857);
INSERT INTO international VALUES (32,'MailForm',10,'er ikke en gyldig email adresse.',1047940666);
INSERT INTO international VALUES (31,'MailForm',10,'er ikke udfyldt korrekt.',1047940648);
INSERT INTO international VALUES (30,'MailForm',10,'skal vre numerisk.',1047940633);
INSERT INTO international VALUES (29,'MailForm',10,'er et pkrvet felt.',1047940621);
INSERT INTO international VALUES (28,'MailForm',10,'Option for tekstomrde',1047940563);
INSERT INTO international VALUES (27,'MailForm',10,'Hjde',1047940544);
INSERT INTO international VALUES (9,'HttpProxy',10,'Cookie katalog',1047940518);
INSERT INTO international VALUES (8,'HttpProxy',10,'Flg videre redirigeringer?',1047940506);
INSERT INTO international VALUES (6,'HttpProxy',10,'Fjern stil?',1047940483);
INSERT INTO international VALUES (5,'HttpProxy',10,'Tillad proxy af andre domner?',1047940469);
INSERT INTO international VALUES (4,'HttpProxy',10,'Timeout',1047940449);
INSERT INTO international VALUES (3,'HttpProxy',10,'HTTP Proxy',1047940439);
INSERT INTO international VALUES (2,'HttpProxy',10,'Rediger HTTP Proxy',1047940427);
INSERT INTO international VALUES (10,'HttpProxy',10,'HTTP Proxy, Tilfj/Rediger',1047940410);
INSERT INTO international VALUES (1,'HttpProxy',10,'URL',1047940393);
INSERT INTO international VALUES (61,'FileManager',10,'Fil manager, TIlfj/Rediger',1047940368);
INSERT INTO international VALUES (526,'Discussion',10,'af',1047940324);
INSERT INTO international VALUES (525,'Discussion',10,'Redigeret kl.',1047940318);
INSERT INTO international VALUES (1,'Discussion',10,'Filtrer post',1047940296);
INSERT INTO international VALUES (76,'FAQ',6,'FAQ-Mall',1047901230);
INSERT INTO international VALUES (75,'FAQ',6,'Lgg till frga.',1047901205);
INSERT INTO international VALUES (74,'FAQ',6,'Mall',1047901180);
INSERT INTO international VALUES (73,'MailForm',6,'Skicka',1047901148);
INSERT INTO international VALUES (73,'MessageBoard',6,'Mall fr Meddelandeforum',1047901129);
INSERT INTO international VALUES (72,'MessageBoard',6,'Huvudmall',1047901096);
INSERT INTO international VALUES (2,'Auth/SMB',6,'SMB Server Error(1)\r\n<br/>\r\nNgot gick fel nr domnkontrollanten skulle kontaktas. Kanske tog kontakten fr lng tid. Var god frsk igen eller kontakta din systemadministratr.',1047901072);
INSERT INTO international VALUES (1,'Auth/SMB',6,'SMB Autentiseringsinstllningar',1047900964);
INSERT INTO international VALUES (1,'Auth/LDAP',6,'LDAP autentiseringsinstllningar',1047900938);
INSERT INTO international VALUES (72,'SiteMap',6,'Mall fr Sitekarta',1047900828);
INSERT INTO international VALUES (30,'Survey',6,'Lgg till en ny frga.',1047900684);
INSERT INTO international VALUES (3,'Survey',6,'Underskning, Addera/Redigera',1047900662);
INSERT INTO international VALUES (29,'Survey',6,'Addera ett textsvar.',1047900633);
INSERT INTO international VALUES (28,'Survey',6,'Lgg till en frga.',1047900600);
INSERT INTO international VALUES (27,'Survey',6,'Addera en sikts(hller med/hller inte med)-svar.',1047900578);
INSERT INTO international VALUES (26,'Survey',6,'Addera ett frekvens-(alltid/aldrig)-svar.',1047900542);
INSERT INTO international VALUES (25,'Survey',6,'Addera ett sant/falsk-svar.',1047900487);
INSERT INTO international VALUES (24,'Survey',6,'Lgg till ett flervalssvar.',1047900454);
INSERT INTO international VALUES (23,'Survey',6,'Lgg till nytt svarsalternativ.',1047900427);
INSERT INTO international VALUES (22,'Survey',6,'Svarstyp',1047900403);
INSERT INTO international VALUES (21,'Survey',6,'G Till',1047900385);
INSERT INTO international VALUES (20,'Survey',6,'r detta svar korrekt?',1047900366);
INSERT INTO international VALUES (2,'Survey',6,'Redigera Underskning',1047900345);
INSERT INTO international VALUES (19,'Survey',6,'Svar',1047900323);
INSERT INTO international VALUES (18,'Survey',6,'Redigera Svarsalternativ',1047900303);
INSERT INTO international VALUES (17,'Survey',6,'Redigera Frga',1047900275);
INSERT INTO international VALUES (16,'Survey',6,'Slumpmssiga svar?',1047900253);
INSERT INTO international VALUES (15,'Survey',6,'Tillt kommentarer?',1047900220);
INSERT INTO international VALUES (14,'Survey',6,'Frga',1047900196);
INSERT INTO international VALUES (13,'Survey',6,'Vem kan visa rapporter?',1047900179);
INSERT INTO international VALUES (12,'Survey',6,'Vem kan delta i underskningen?',1047900154);
INSERT INTO international VALUES (4,'Survey',6,'Underskningar tillter dig samla information frn dina anvndare. Vad gller WebGUI:s underskningar s kan du ocks anvnda dem fr att testa dina anvndares kunskap.\r\n<p/>\r\n<b>Frgeordning</b>\r\n<br>\r\nOrdningen som frgorna stlls. \"Sekventiell\" visar frgorna i den ordning du skapade dem. \"Slumpmssig\" visar frgorna slumpmssigt. \"Svarsstyrd\" visar frgorna i en ordning som baseras p anvndarens svar.\r\n<p/>\r\n<b>Metod</b>\r\n<br>\r\nStandardlget fr en underskning r \"survey\". Detta anvnds fr att stlla frgor till anvndaren. I lget \"Frgesport\" kan du anvnda underskningar som sjlvrttande prov av dina anvndares kunskaper.\r\n<p/>\r\n<b>Vem kan delta i underskningar?</b>\r\n<br>\r\nVilka anvndare som kan delta i en underskning.\r\n<p/>\r\n<b>Vem kan visa rapported?</b>\r\n<br>\r\nVilka som kan se resultated av underskningen.\r\n<p/>\r\n<b>V!\nad gra hr nst?</b>\r\n<br>\r\nOm du lmnar detta med standardinstllningar kan du direkt lgga till frgor efter att skapat underskningen.',1047900127);
INSERT INTO international VALUES (11,'Survey',6,'Metod',1047900081);
INSERT INTO international VALUES (10,'Survey',6,'Frgelek',1047900015);
INSERT INTO international VALUES (1,'Survey',6,'Underskning',1047899992);
INSERT INTO international VALUES (73,'Article',6,'Fljande variabler r tillgngliga i artikelmallar.\r\n\r\n<p/><b>attachment.box</b><br/>\r\nGet en standard WebGUI bilagetruta med ikon, filnamn och bilageindikator.\r\n\r\n<p/><b>attachment.icon</b><br/>\r\nURL:en till ikonbilden fr denna bilagstyp.\r\n\r\n<p/><b>attachment.name</b><br/>\r\nFilnamnet fr denna bilaga.\r\n\r\n<p/><b>attachment.url</b><br/>\r\nURL:en fr att ladda ner denna bilaga.\r\n\r\n<p/><b>image.thumbnail</b><br/>\r\nURL:en till tumnagelsbilden fr den bilagda bilden.\r\n\r\n<p/><b>image.url</b><br/>\r\nURL:en fr den bilagda bilden.\r\n\r\n<p/><b>post.label</b><br/>\r\nEn versatt etikett fr att addera en kommentar till denna artikel.\r\n\r\n<p/><b>post.URL</b><br/>\r\nURL:en fr att addera en kommentar till denna artikel.\r\n\r\n<p/><b>replies.count</b><br/>\r\nAntal svar p denna artikel. \r\n\r\n<p/><b>replies.label</b><br/>\r\nEn versatt!\n etikett som indikerar att man kan titta p svar.\r\n\r\n<p/><b>replies.url</b><br/>\r\nURL:en fr att titta p svar till denna artikel. \r\n',1047899888);
INSERT INTO international VALUES (75,'USS',6,'Detta r en lista av defaultvariabler som r tillgngliga i mallarna till anvndarnas inlggssystem.\r\n<p/>\r\n<b>readmore.label</b>\r\n<br>\r\nEn versatt etikett som indikerar att anvndaren skall klicka fr att lsa mer.\r\n<p/>\r\n<b>responses.label</b>\r\n<br>\r\nEn versatt etikett som indikerar att anvndaren skall klicka fr att se svaren fr detta inlgg.\r\n<p/>\r\n<b>canPost</b>\r\n<br>\r\nEtt vilkor som indikerar huruvida en anvndare kan lgga till ett nytt inlgg.\r\n<p/>\r\n<b>post.url</b>\r\n<br>\r\nURL fr att addera inlgg.\r\n<p/>\r\n<b>post.label</b>\r\n<br>\r\nEn versatt etikett fr lnken att addera inlgg.\r\n<p/>\r\n<b>search.label</b>\r\n<br>\r\nEn versatt etikett fr sklnken.\r\n<p/>\r\n<b>search.url</b>\r\n<br>\r\nURL fr att sl p/av WebGUI\'s skformulr.\r\n<p/>\r\n<b>search.form</b>\r\n<br>\r\nWebGUI\'s skformulr.\r\n<p/>\r\n<b>title!\n.label</b>\r\n<br>\r\nEn versatt etikett fr titelkolumnen.\r\n<p/>\r\n<b>thumbnail.label</b>\r\n<br>\r\nEn versatt etikett fr tumnagelskolumnen.\r\n<p/>\r\n<b>date.label</b>\r\n<br>\r\nEn versatt etikett fr datumkolumnen.\r\n<p/>\r\n<b>by.label</b>\r\n<br>\r\nEn versatt etikett som informerar om vem som skickat inlgget.\r\n<p/>\r\n<b>submissions_loop</b>\r\n<br>\r\nEn loop innehllande varje inlgg.\r\n<p/>\r\n<blockquote>\r\n<b>submission.id</b><br/>\r\nUnik identifierare fr detta inlgg. \r\n\r\n<p/><b>submission.url</b><br/>\r\nURL fr att visa detta inlgg. \r\n\r\n<p/><b>submission.content</b><br/>\r\nFrkortat innehll av detta inlgg.\r\n\r\n<p/><b>submission.responses</b><br/>\r\nAntal svar fr detta inlgg. \r\n\r\n<p/><b>submission.title</b><br/>\r\nTiteln fr detta inlgg. \r\n\r\n<p/><b>submission.userId</b><br/>\r\nUser-id fr den anvndare som postade inlgget. \r\n\r\n<p/><b>submission.username</b><br/>\r\nAnvndarnamnet fr den person som postade inl!\ngget. \r\n\r\n<p/><b>submission.status</b><br/>\r\nStatus fr detta inlgg (approved, pending, denied). \r\n\r\n<p/><b>submission.thumbnail</b><br/>\r\nTumnagelbild som skickades med detta inlgg (om det finns ngon). \r\n\r\n<p/><b>submission.date</b><br/>\r\nDatum nr detta inlgg skickades. \r\n\r\n<p/><b>submission.currentUser</b><br/>\r\nTillstnd som indikerar som inloggad anvndare var den som skickade inlgget. \r\n\r\n<p/><b>submission.userProfile</b><br/>\r\nURL till profilen fr den anvndare som skickade inlgget.\r\n\r\n<p/><b>submission.secondColumn</b><br/>\r\nVilkor som indikerar om detta inlgg hr till den andra kolumnen i en flerkolumns-layout.\r\n\r\n<p/><b>submission.thirdColumn</b><br/>\r\nVilkor som indikerar om detta inlgg hr till den tredje kolumnen i en flerkolumns-layout.\r\n\r\n\r\n<p/><b>submission.fourthColumn</b><br/>\r\nVilkor som indikerar om detta inlgg hr till den fjrde kolumnen i en flerkolumns-layout.\r\n\r\n<p/><b>submission.fifthC!\nolumn</b><br/>\r\nVilkor som indikerar om detta inlgg hr till den femte kolumnen i en flerkolumns-layout.\r\n\r\n</blockquote>\r\n<p/><b>firstPage</b><br/>\r\nLnk till frsta sidan i sidlistan.\r\n\r\n<p/><b>lastPage</b><br/>\r\nLnk till sisda sidan i sidlistan.\r\n\r\n<p/><b>nextPage</b><br/>\r\nLnk till nsta sida i listan.\r\n\r\n<p/><b>previousPage</b><br/>\r\nLnk till fregende sida i listan.\r\n\r\n<p/><b>pageList</b><br/>\r\nEn lista av lnkar till alla sidor.\r\n\r\n<p/><b>multiplePages</b><br/>\r\nVilkor som indikerar om det finns fler n en sida i sidlistan.\r\n',1047899555);
INSERT INTO international VALUES (76,'USS',6,'Inlggsmall',1047898412);
INSERT INTO international VALUES (74,'USS',6,'Mall fr Anvndarnas Inlggssystem',1047898337);
INSERT INTO international VALUES (73,'USS',6,'Inlggsmall',1047898252);
INSERT INTO international VALUES (72,'USS',6,'Huvudmall',1047898100);
INSERT INTO international VALUES (9,'Survey',6,'Underskning',1047898081);
INSERT INTO international VALUES (80,'Survey',6,'sekunder',1047898063);
INSERT INTO international VALUES (8,'Survey',6,'Frgeordning',1047898046);
INSERT INTO international VALUES (79,'Survey',6,'minuter',1047898007);
INSERT INTO international VALUES (78,'Survey',6,'Totaltid',1047897990);
INSERT INTO international VALUES (77,'Survey',6,'Sluttid',1047897971);
INSERT INTO international VALUES (76,'Survey',6,'Starttid',1047897946);
INSERT INTO international VALUES (75,'Survey',6,'Redigera denna frga.',1047897884);
INSERT INTO international VALUES (74,'Survey',6,'r du sker p att du vill ta bort alla anvndarsvar?',1047897851);
INSERT INTO international VALUES (73,'Survey',6,'Ta bort alla anvndarsvar.',1047897821);
INSERT INTO international VALUES (72,'Survey',6,'r du sker p att du vill ta bort denna anvndares svar?',1047897799);
INSERT INTO international VALUES (71,'Survey',6,'Betyg',1047897774);
INSERT INTO international VALUES (70,'Survey',6,'Individuella Svar',1047897757);
INSERT INTO international VALUES (7,'Survey',6,'Svarsstyrd',1047897735);
INSERT INTO international VALUES (69,'Survey',6,'Ta bort denna anvndares svar.',1047897689);
INSERT INTO international VALUES (68,'Survey',6,'Visa rapporter och exporteringar.',1047897654);
INSERT INTO international VALUES (67,'Survey',6,'Anvndare',1047897588);
INSERT INTO international VALUES (66,'Survey',6,'Anvndarsvar',1047897572);
INSERT INTO international VALUES (65,'Survey',6,'Exportera sammansatt summering.',1047897550);
INSERT INTO international VALUES (62,'Survey',6,'Exportera svarsalternativ.',1047897503);
INSERT INTO international VALUES (64,'Survey',6,'Exportera anvndarsvar.',1047897455);
INSERT INTO international VALUES (63,'Survey',6,'Exportera frgor.',1047897432);
INSERT INTO international VALUES (61,'Survey',6,'Visa betyg.',1047897391);
INSERT INTO international VALUES (60,'Survey',6,'Tillbaks till underskningen.',1047897270);
INSERT INTO international VALUES (6,'Survey',6,'Slumpmssig',1047897241);
INSERT INTO international VALUES (59,'Survey',6,'Visa statistisk verblick',1047897218);
INSERT INTO international VALUES (58,'Survey',6,'Statistisk verblick',1047897194);
INSERT INTO international VALUES (57,'Survey',6,'Kommentarer',1047897169);
INSERT INTO international VALUES (56,'Survey',6,'Visa kommentarer.',1047897144);
INSERT INTO international VALUES (55,'Survey',6,'Visa svar.',1047897127);
INSERT INTO international VALUES (54,'Survey',6,'Procent',1047897104);
INSERT INTO international VALUES (53,'Survey',6,'Svar',1047897077);
INSERT INTO international VALUES (52,'Survey',6,'Pong',1047897022);
INSERT INTO international VALUES (51,'Survey',6,'Kommentarer?',1047897005);
INSERT INTO international VALUES (50,'Survey',6,'Nsta',1047896979);
INSERT INTO international VALUES (5,'Survey',6,'Sekventiell',1047896962);
INSERT INTO international VALUES (49,'Survey',6,'Du fr fr nrvarande inte delta i denna frgelek.',1047896852);
INSERT INTO international VALUES (48,'Survey',6,'Du r fr nrvarande inte kvalificerad fr att delta i denna underskning.',1047896818);
INSERT INTO international VALUES (47,'Survey',6,'Du har fullfljd denna frgelek.',1047896737);
INSERT INTO international VALUES (46,'Survey',6,'Tack fr att du tog dig tid att g igenom vr underskning.',1047896633);
INSERT INTO international VALUES (45,'Survey',6,'r du sker p att du vill ta bort detta svarsalternativ och dess anvndarsvar?',1047896578);
INSERT INTO international VALUES (44,'Survey',6,'r du sker p att du vill ta bort denna frga och dess svar?',1047896516);
INSERT INTO international VALUES (43,'Survey',6,'Aldrig',1047896467);
INSERT INTO international VALUES (42,'Survey',6,'Ibland',1047896451);
INSERT INTO international VALUES (41,'Survey',6,'Ofta',1047896435);
INSERT INTO international VALUES (40,'Survey',6,'Alltid',1047896419);
INSERT INTO international VALUES (39,'Survey',6,'Ej applicerbart',1047895854);
INSERT INTO international VALUES (38,'Survey',6,'Hller verkligen inte med',1047895822);
INSERT INTO international VALUES (37,'Survey',6,'Hller inte med',1047895802);
INSERT INTO international VALUES (36,'Survey',6,'Hller delvis inte med',1047895786);
INSERT INTO international VALUES (35,'Survey',6,'Hller delvis med',1047895764);
INSERT INTO international VALUES (34,'Survey',6,'Hller med',1047895744);
INSERT INTO international VALUES (33,'Survey',6,'Hller verkligen med',1047895729);
INSERT INTO international VALUES (32,'Survey',6,'Falskt',1047895703);
INSERT INTO international VALUES (31,'Survey',6,'Sant',1047895687);
INSERT INTO international VALUES (751,'WebGUI',6,'Bli denna anvndare.',1047895671);
INSERT INTO international VALUES (79,'EventsCalendar',6,'Huvudmall',1047892205);
INSERT INTO international VALUES (72,'Article',6,'Artikelmall',1047892178);
INSERT INTO international VALUES (896,'WebGUI',2,'Seiten Cache Timeout (Besucher)',1048242391);
INSERT INTO international VALUES (895,'WebGUI',2,'Seiten Cache Timeout',1048242376);
INSERT INTO international VALUES (893,'WebGUI',2,'Wobject Eigenschaften',1048242364);
INSERT INTO international VALUES (892,'WebGUI',2,'Diskussion',1048242354);
INSERT INTO international VALUES (891,'WebGUI',2,'Nur Makros blockieren.',1049099974);
INSERT INTO international VALUES (889,'WebGUI',2,'Style Sheets, Tabulatoren',1048242304);
INSERT INTO international VALUES (73,'SyndicatedContent',2,'Nachfolgend die Template Variablen fr das Syndicated Content Template:\r\n\r\n<b>channel.title</b>\r\nDer Titel dieses Contentbereichs\r\n<b>channel.description</b>\r\nEine Beschreibung dieses Channels\r\n<b>channel.link</b>\r\nEine URL, die auf die Original-Seite dieses Channels verlinkt.\r\n<b>item_loop</b>\r\nEine Schleife, die die Daten dieses Channels enthlt.\r\n<b>title</b>\r\nDer Titel des Channelbeitrags\r\n<b>description</b>\r\nDie Beschreibung dieses Beitrags\r\n<b>link</b>\r\nEine URL zum Beitrag',1048242285);
INSERT INTO international VALUES (72,'SyndicatedContent',2,'Syndicated Content Template',1048242073);
INSERT INTO international VALUES (32,'MailForm',2,'ist keine korrekte Emailadresse.',1048242047);
INSERT INTO international VALUES (31,'MailForm',2,'ist nicht korrekt ausgefllt.',1048242032);
INSERT INTO international VALUES (30,'MailForm',2,'numerischer Wert erforderlich',1048242017);
INSERT INTO international VALUES (29,'MailForm',2,'erforderliches Feld',1048242003);
INSERT INTO international VALUES (28,'MailForm',2,'Optional fr Textbereich',1048241987);
INSERT INTO international VALUES (27,'MailForm',2,'Hhe',1048241963);
INSERT INTO international VALUES (10,'HttpProxy',2,'HTTP Proxy, hinzufgen/bearbeiten',1048241949);
INSERT INTO international VALUES (526,'Discussion',2,'von',1048241932);
INSERT INTO international VALUES (525,'Discussion',2,'Bearbeitet am',1048241921);
INSERT INTO international VALUES (1,'Discussion',2,'Beitrge filtern',1048241910);
INSERT INTO international VALUES (887,'WebGUI',2,'Midas (Mozilla 1.3+)',1048175062);
INSERT INTO international VALUES (623,'WebGUI',2,'<A href=\"http://www.w3.org/Style/CSS/\">Cascading Style Sheets (CSS)</A> sind \r\neine gute Mglichkeit, um das &quot;Look and Feel&quot;, also das Aussehen einer \r\nSeite zu bestimmen. Sie werden sehr weitreichend in WebGUI benutzt.<P>Sollten \r\nSie mit der Benutzung von CSS nicht vertraut sein: <A href=\"http://www.plainblack.com/\">Plain Black Software</A> bietet \r\nSchulungsbereiche in XHTML und CSS an. Alternativ knnen Sie sich den exellenten \r\nCSS Editor von Bradsoft, <A href=\"http://www.bradsoft.com/topstyle/index.asp\">Top Style</A> \r\nanschauen.<P>Nachfolgend eine Liste von Style Klassen, die das Aussehen von \r\nWebGUI bestimmen: WebGUI: \r\n<P><B>A</B><BR>Die Links.<P><B>BODY</B><BR>Das Standard-Setup aller Seiten innerhalb \r\neines Styles. \r\n<P><B>H1</B><BR>Die berschriften einer jeden Seite. \r\n<P><B>.accountOptions</B><BR>Die Link, die unter den Login und Zugangsdaten \r\nFormularen angezeigt werden. \r\n<P><B>.adminBar </B><BR>Die Leiste, die im Kopf der Seite erscheint, wenn Sie \r\nim Editiermodus sind (Administrationsmen)<P><B>.content</B><BR>Der Haupt Inhaltsbereich \r\nauf allen Seiten dieses Styles \r\n<P><B>.formDescription </B><BR>Die Zeichen der Formelemente (z. B. im Mailformular \r\nder Text &quot;Von: &quot;)<P><B>.formSubtext </B><BR>Die Zeichen unterhalb \r\nvon Form-Elementen<P><B>.highlight </B><BR>Bedeutet ein hervorgehobenes Element, \r\n so zum Beispiel knnen Sie hiermit den Beitrag, der gerade gelesen wird, hervorheben.<P><B>.horizontalMenu </B><BR>Das \r\nhorizontale Menu (sofern Sie eins verwenden)<P><B>.pagination </B><BR>Die &quot;Vorher&quot; \r\n/ &quot;Weiter&quot; Links auf Seiten, die sich ber mehrere Seiten erstrecken.<P><B>.selectedMenuItem</B><BR>Hiermit \r\nknnen Sie in einigen der Menu-Makros die aktuelle Seite hervorheben.<P><B>.tableData </B><BR>Die \r\nDatenreihen u.a.im Diskussionsforum und im Benutzerbeitragssystem.<P><B>.tableHeader</B><BR>Die \r\nSpaltenkpfe u.a .im Diskussionsforum und im Benutzerbeitragssystem.<P><B>.tableMenu </B><BR>Das \r\nMenu &nbsp;u.a .im Diskussionsforum und im Benutzerbeitragssystem.<P><B>.verticalMenu </B><BR>Das \r\nvertikale Men (sofern Sie eines verwenden)<P><I><B>Beachte:</B></I> Einige \r\nWobjects und Makros haben noch ihre eigenen zustzlichen Stylesheet Klassen, \r\ndie in den jeweiligen Hilfebereichen nher erlutert sind.</P>',1048589344);
INSERT INTO international VALUES (621,'WebGUI',2,'In den Styles werden WebGUI Makros untersttzt. Sehen Sie unter  <I>Makros verwenden</I> nach, \r\num weitere Informationen erhalten.<P><b>Style Name</b><BR>Ein eindeutiger Name, \r\num zu beschreiben, wie der Style im berblick aussieht. \r\n<P><b>Body</b><BR>Damit ist der HTML Body Bereich Ihrer Seite gemeint. Hier \r\nwird u. a. festgelegt, wo die Seitennavigation liegen soll, oder auch viele \r\nandere Dinge, wie Logo, Copyright, etc. Ein Body muss mindestens einige Dinge \r\nenthalten, wie das  \r\n<b>^AdminBar;</b> Makro und das <b>^-;</b> (Seperator) Makro. Das <b>^AdminBar;</b> Makro legt fest, \r\nwo WebGUI die Administrationsfunktionen anzeigen soll, das  <b>^-;</b> Makro legt fest, \r\nwo WebGUI den eigentlichen Inhalt der Seite platzieren soll. \r\n<P>Sollten Sie Untersttzung beim Entwerfen eines Styles/Layouts Ihrer Seite \r\nbentigen: <A \r\nhref=\"http://www.plainblack.com/\">Plain \r\nBlack Software</A> bietet kostengnstige Untersttzung an. \r\n<P>Viele WebGUI Nutzer fgen Makros in den Body-Bereich ein, um die Navigationselemente \r\neinzubinden oder viele weitere WebGUI Features. \r\n<P><b>Style Sheet</b><BR>Geben Sie hier die Stylesheet Eintrge an. Stylesheets \r\nwerden u. a. zum Festlegen der Darstellung von Farben, Schriftarten, Schriftgrssen \r\nund anderen Eigenschaften &nbsp;benutzt. Sehen Sie unter <I>Style Sheets verwenden</I> nach, \r\num weitere Informationen zu erhalten. \r\n<P><I>Erfahrene Benutzer:</I> fr eine grssere Performance knnen Sie auch \r\neine Stylesheet-Datei erstellen, die Sie z. B.  webgui.css nennen knnen und \r\nfgen Sie einen Eintrag wie diesen hier ein: </P>\r\n',1048591989);
INSERT INTO international VALUES (632,'WebGUI',2,'Wobjects knnen Sie hinzufgen, indem Sie aus dem Men &quot;Inhalt hinzufgen \r\n...&quot;, das sich in der Regel oben rechts befindet, ein beliebiges Wobject \r\nauswhlen. Sie knnen es bearbeiten, wenn Sie den Bearbeiten-Button anklicken, \r\nder immer ber einem Wobject steht, das Sie in die Seite eingebunden haben. \r\n<P>Einige Eigenschaften finden Sie bei fast allen Wobjects. Diese wren: \r\n<P><B>Wobject ID</B><BR>Dies ist das eindeutige Kennzeichen das WebGUI benutzt, \r\num diese Wobject Instanz zu identifizieren. Normale Benutzer sollten eigentlich \r\nniemals mit dieser Wobject ID konfrontiert werden, aber einige erfahrene Benutzer \r\nsollten sie schon kennen, da sie z.b. hilfreich in den SQL \r\nReports sind.<P><B>Titel</B> <br>Der Titel des Wobjects. Typischerweise wird \r\ndieser im Kopfbereich eines jeden Wobjects angezeigt. \r\n<P><I>Beachte:</I> Sie sollten immer einen Titel vergeben, es sei denn, sie \r\nschalten die Anzeige des Titels ab (siehe nchste Einstellung). Und zwar sollten \r\nSie das u. a. deswegen tun, da dieser Titel auch im Mlleimer oder in der Zwischenablage \r\nangezeigt wird. So knnen Sie immer auf Anhieb sehen, um welches Wobject es \r\nsich eigentlich handelt.<P><B>Titel anzeigen?</B><BR>Mchten Sie, dass der Titel \r\nangezeigt wird?  \r\n<P><B>Makros ausfhren?</B><BR>Mchten Sie, dass Makros, die Sie im Inhaltsbereich \r\nschreiben, auch ausgefhrt werden? Manchmal mchten Sie dies zulassen, aber \r\noft besteht keine Notwendigkeit dafr. Wenn Sie das Ausfhren von Makros ausschalten, \r\nwerden Ihre Seiten auch ein wenig schneller aufgebaut. \r\n<P><B>Position des Templates</B><BR>Template Positionen gehen von 0  (Null) \r\nbis zu beliebigen Nummern. Wie viele hier mglich sind, ist abhngig von dem \r\nTemplate, dass dieser Seite zugeordnet ist. Das Standard Template bietet nur \r\neine Template Position, andere knnen mehr anbieten. Wenn Sie also eine Template \r\nPosition auswhlen, bestimmen Sie, wo das Wobject innerhalb der Seite erscheinen \r\nsoll.<P><B>Anfangsdatum</B><BR>Ab welchem Datum soll das Wobject auf der Seite \r\nerscheinen? Vor diesem Zeitpunkt ist es dann nur fr Content Manager sichtbar.<P><B>Ende Datum</B><BR>Bis \r\nzu welchem Datum soll das Wobject angezeigt werden? Nach diesem Zeitpunkt ist \r\nes dann nur fr Content Manager sichtbar.<P><B>Inhalt/Beschreibung</B><BR>Ein \r\nInhaltsbereich, in den Sie soviel Text schreiben knnen, wie Sie mchten. Wenn \r\nSie z. B. eine FAQ hinzufgen, knnen Sie hier eine Zusammenfassung hineinschreiben, \r\num zu definieren, um welche FAQ es sich handelt. Wenn Sie das Wobject &quot;Artikel&quot; \r\neinfgen, schreiben Sie hier den eigentlichen Text des Artikels, also den Inhalt, \r\nhinein.</P>',1048589666);
INSERT INTO international VALUES (864,'WebGUI',2,'Zeitabstand zur Ablaufankndigung',1045494167);
INSERT INTO international VALUES (866,'WebGUI',2,'Benachrichtigungstext zum Ablaufdatum',1045494104);
INSERT INTO international VALUES (863,'WebGUI',2,'Lschen Zeitspanne',1045494042);
INSERT INTO international VALUES (888,'WebGUI',2,'Vorschaulnge Schnipsel',1045392060);
INSERT INTO international VALUES (878,'WebGUI',2,'Sie haben kein Thema abonniert.',1045240792);
INSERT INTO international VALUES (877,'WebGUI',2,'Themen Abonnement',1045240774);
INSERT INTO international VALUES (876,'WebGUI',2,'Themen-Abonnements anschauen.',1045240738);
INSERT INTO international VALUES (875,'WebGUI',2,'Ein neuer Beitrag wurde zu einem Ihrer abonnierten Themen verffentlicht.',1045240709);
INSERT INTO international VALUES (874,'WebGUI',2,'Abonnement aufheben',1045240678);
INSERT INTO international VALUES (873,'WebGUI',2,'Thema abonnieren',1045240660);
INSERT INTO international VALUES (872,'WebGUI',2,'Wer kann anschauen?',1045240645);
INSERT INTO international VALUES (871,'WebGUI',2,'Wer kann bearbeiten?',1045240629);
INSERT INTO international VALUES (870,'WebGUI',2,'Willkommen',1045240608);
INSERT INTO international VALUES (869,'WebGUI',2,'Begrssungsmeldung',1045240597);
INSERT INTO international VALUES (868,'WebGUI',2,'Begrssungsmeldung senden?',1045240583);
INSERT INTO international VALUES (867,'WebGUI',2,'Einschrnkung der Privilegien',1045240560);
INSERT INTO international VALUES (865,'WebGUI',2,'Benutzer ber abgelaufene Zeit informieren?',1045240401);
INSERT INTO international VALUES (862,'WebGUI',2,'Das Profil dieses Benutzers ist nicht ffentlich.',1045240139);
INSERT INTO international VALUES (861,'WebGUI',2,'Profil verffentlichen?',1045240103);
INSERT INTO international VALUES (860,'WebGUI',2,'Emailadresse verffentlichen?',1045240086);
INSERT INTO international VALUES (859,'WebGUI',2,'Signatur',1045239982);
INSERT INTO international VALUES (858,'WebGUI',2,'Alias',1045239946);
INSERT INTO international VALUES (857,'WebGUI',2,'IP Adresse',1045239892);
INSERT INTO international VALUES (879,'WebGUI',2,'Klassischer Editor (Internet Explorer 5+)',1045210197);
INSERT INTO international VALUES (880,'WebGUI',2,'Last Resort Editor',1045210146);
INSERT INTO international VALUES (881,'WebGUI',2,'Keiner',1045210129);
INSERT INTO international VALUES (882,'WebGUI',2,'Editor Modus',1045210114);
INSERT INTO international VALUES (883,'WebGUI',2,'Inline (sofern untersttzt)',1045210099);
INSERT INTO international VALUES (884,'WebGUI',2,'Pop Up',1045210073);
INSERT INTO international VALUES (885,'WebGUI',2,'Benutzern erlauben, ihren Account zu deaktivieren?',1045210060);
INSERT INTO international VALUES (886,'WebGUI',2,'Von der Navigation verbergen?',1045210035);
INSERT INTO international VALUES (11,'HttpProxy',2,'Das  HTTP Proxy Wobject ist ein sehr mchtiges Tool. Damit knnen Sie externe \r\nSeiten und deren Anwendungen in ihre Seite integrieren. Wenn sie z.b. ein Webmailsystem \r\nhaben, dass sie in ihrem Intranet verfgbar machen mchten, dann knnen sie \r\ndas HTTP-Proxy Wobject dafr benutzen.<P><b>URL</b><BR>Die Start URL fr den \r\nProxy (nicht zu verwechseln mit einem Proxyserver). \r\n<P><b>Weiterleitungen(Redirects) folgen?</b><BR>Manchmal ist die URL zu einer \r\nSeite eine Weiterleitung zu einer anderen Seite. Mchten sie dieser Weiterleitung \r\nfolgen?<P><b>Timeout</b><BR>Die Zeit, die WebGUI auf eine Verbindung zu einer \r\nexternen Seite warten soll, bevor der Versuch abgebrochen werden soll. Dies \r\nist sinnvoll, wenn die externe Seite nicht erreichbar ist. \r\n<P><b>Verzeichnis zum Speicher der Cookies</b><BR>Ein Verzeichnispfad, in dem \r\nCookies, dievon den anderern Seiten erzeugt werden, zwischengespeichert werden \r\nsollen. Der Webserver sollte entsprechende Berechtigungen zum Lesen und Schreiben \r\nin dieses Verzeichnis haben. Wenn die Cookies nirgendwo gespeichert werden knnten, \r\nwrde die exterene Anwendung /Webseite wahrscheinlich nicht korrekt funktionieren.<P><b>Style \r\nentfernen?</b><BR>Mchte Sie Stylesheet der externen Seiten entfernen, damit \r\nihr eigener Style bernommen wird?<P><b>Inhalt filtern</b><BR>Whlen Sie die \r\nStufe der Filterung des Inhalts (z.b. Javascript entfernen).<P><b>Proxy-Speicherung anderer Domains erlauben?</b><BR>Wenn \r\nsie eine Seite, wie z.b. Yahoo in den HTTP-Proxy nehmen: mchten Sie dann auch \r\ndie Links, zu denen die andere Seite (in dem Fall Yahoo) verweist, ebenfalls \r\nbernehmen, oder nicht?</P>',1048593400);
INSERT INTO international VALUES (890,'WebGUI',2,'WebGUI besitzt ein Sub-System, das Tabulatoren erstellen kann. Sie knnen dies \r\nin komplexen Formularen sehen, wie z.b. im Editiermodus einer Seite. Um dieses \r\nTabulator-System dem Layout ihrer Seite anzupassen, mssen sie einige Eintrge \r\nin ihrem StyleSheet einfgen. \r\n<P>Nachfolgend die verfgbaren Style-Sheet-Klassen: \r\n<P><b>.tab</b><BR>Das Standard Aussehen eines jeden Tabulatoren. \r\n<P><b>div.tabs</b><BR>Damit knnen Sie einige Eigenschaften fr alle Tabulatoren \r\neinstellen. Es sollte fr die Text-Labels in den Tabulatoren benutzt werden.<P><b>.tabBody</b><BR>Der \r\nInhalt eines jeden Tabulators. Damit stellen sie ein, wie das Formular aussehen \r\nsoll. Beachten sie, dass fr die beste Darstellung die Background Color der \r\nBackground Color von  .tabActive entsprechen msste.<P><b>.tabHover</b><BR>Die \r\nDarstellung, wenn man mit der Mausber den Tabulator geht (Hover-Effekt) \r\n<P><b>.tabActive</b><BR>Das Aussehen des aktuell sichtbaren Tabulators. \r\n<P><I>Beispiele</I><BR>Hier finden Sie ein Beispiellayout, das fr alle Standardbedingungen \r\noptimal ist: \r\n<P>\r\n<TABLE width=\"100%\">\r\n<TBODY>\r\n<TR>\r\n<TD vAlign=top><b>Weisse oder Styles mit hellen Farben</b> <PRE>.tab {\r\n  border: 1px solid black;\r\n   background-color: #eeeeee;\r\n}\r\n.tabBody {\r\n   border: 1px solid black;\r\n   border-top: 1px solid black;\r\n   border-left: 1px solid black;\r\n   background-color: #dddddd; \r\n}\r\ndiv.tabs {\r\n    line-height: 15px;\r\n    font-size: 14px;\r\n}\r\n.tabHover {\r\n   background-color: #cccccc;\r\n}\r\n.tabActive { \r\n   background-color: #dddddd; \r\n}\r\n</PRE></TD>\r\n<TD vAlign=top><b>Schwarze oder Styles mit dunklen Farben</b> <PRE>.tab {\r\n  border: 1px solid white;\r\n   background-color: #333333;\r\n}\r\n.tabBody {\r\n   border: 1px solid white;\r\n   border-top: 1px solid white;\r\n   border-left: 1px solid white;\r\n   background-color: #444444; \r\n}\r\ndiv.tabs {\r\n    line-height: 15px;\r\n    font-size: 14px;\r\n}\r\n.tabHover {\r\n   background-color: #555555;\r\n}\r\n.tabActive { \r\n   background-color: #444444; \r\n}\r\n</PRE></TD></TR></TBODY></TABLE>\r\n',1048592630);
INSERT INTO international VALUES (841,'WebGUI',12,'Navigerings Makroer',1048550113);
INSERT INTO international VALUES (840,'WebGUI',12,'These macros are designed to provide programming-like functionality. They are \r\npowerful when used appropriately, and dangerous when used carelessly. Take care \r\nwhen using these macros. \r\n<P><B>^D; or ^D(); - Date</B><BR>The current date and time. \r\n<P>You can configure the date by using date formatting symbols. For instance, if \r\nyou created a macro like this <B>^D(\"%c %D, %y\");</B> it would output \r\n<B>September 26, 2001</B>. The following are the available date formatting \r\nsymbols: \r\n<P>\r\n<TABLE>\r\n<TBODY>\r\n<TR>\r\n<TD>%%</TD>\r\n<TD>%</TD></TR>\r\n<TR>\r\n<TD>%y</TD>\r\n<TD>4 digit year</TD></TR>\r\n<TR>\r\n<TD>%Y</TD>\r\n<TD>2 digit year</TD></TR>\r\n<TR>\r\n<TD>%m</TD>\r\n<TD>2 digit month</TD></TR>\r\n<TR>\r\n<TD>%M</TD>\r\n<TD>variable digit month</TD></TR>\r\n<TR>\r\n<TD>%c</TD>\r\n<TD>month name</TD></TR>\r\n<TR>\r\n<TD>%d</TD>\r\n<TD>2 digit day of month</TD></TR>\r\n<TR>\r\n<TD>%D</TD>\r\n<TD>variable digit day of month</TD></TR>\r\n<TR>\r\n<TD>%w</TD>\r\n<TD>day of week name</TD></TR>\r\n<TR>\r\n<TD>%h</TD>\r\n<TD>2 digit base 12 hour</TD></TR>\r\n<TR>\r\n<TD>%H</TD>\r\n<TD>variable digit base 12 hour</TD></TR>\r\n<TR>\r\n<TD>%j</TD>\r\n<TD>2 digit base 24 hour</TD></TR>\r\n<TR>\r\n<TD>%J</TD>\r\n<TD>variable digit base 24 hour</TD></TR>\r\n<TR>\r\n<TD>%p</TD>\r\n<TD>lower case am/pm</TD></TR>\r\n<TR>\r\n<TD>%P</TD>\r\n<TD>upper case AM/PM</TD></TR>\r\n<TR>\r\n<TD>%z</TD>\r\n<TD>user preference date format</TD></TR>\r\n<TR>\r\n<TD>%Z</TD>\r\n<TD>user preference time format</TD></TR></TBODY></TABLE>\r\n<P><B>^Env()</B><BR>Can be used to display a web server environment variable on \r\na page. The environment variables available on each server are different, but \r\nyou can find out which ones your web server has by going to: \r\nhttp://www.yourwebguisite.com/env.pl \r\n<P>The macro should be specified like this ^Env(\"REMOTE_ADDR\"); \r\n<P><B>^Execute();</B><BR>Allows a content manager or administrator to execute an \r\nexternal program. Takes the format of <B>^Execute(\"/this/file.sh\");</B>. \r\n<P><B>^FormParam();</B><BR>This macro is mainly used in generating dynamic \r\nqueries in SQL Reports. Using this macro you can pull the value of any form \r\nfield simply by specifing the name of the form field, like this: \r\n^FormParam(\"phoneNumber\"); \r\n<P><B>^Include();</B><BR>Allows a content manager or administrator to include a \r\nfile from the local filesystem. \r\n<P><I>Example:</I> ^Include(\"/this/file.html\"); \r\n<P><B>^International();</B><BR>Pull a translated message from the \r\ninternationalization system. \r\n<P><I>Example:</I> ^International(45,\"Article\"); \r\n<P><B>^Quote();</B><BR>Use this to escape a string before using it in a database \r\nquery. \r\n<P><B>^Page();</B><BR>This can be used to retrieve information about the current \r\npage. For instance it could be used to get the page URL like this \r\n^Page(\"urlizedTitle\"); or to get the menu title like this ^Page(\"menuTitle\");. \r\n<P><B>^SQL();</B><BR>A one line SQL report. Sometimes you just need to pull \r\nsomething back from the database quickly. This macro is also useful in extending \r\nthe SQL Report wobject. It uses the numeric macros (^0; ^1; ^2; etc) to position \r\ndata and can also use the ^rownum; macro just like the SQL Report wobject. \r\nExamples: \r\n<P>^SQL(\"select count(*) from users\",\"There are ^0; users on this system.\"); \r\n<P>^SQL(\"select userId,username from users order by username\",\"&lt;a \r\nhref=\'^/;?op=viewProfile&amp;uid=^0;\'&gt;^1;&lt;/a&gt;&lt;br&gt;\"); \r\n<P><B>^URLEncode();</B><BR>This macro is mainly useful in SQL reports, but it \r\ncould be useful elsewhere as well. It takes the input of a string and URL \r\nEncodes it so that the string can be passed through a URL. It\'s syntax looks \r\nlike this: ^URLEncode(\"Is this my string?\"); \r\n<P><B>^User();</B><BR>This macro will allow you to display any information from \r\na user\'s account or profile. For instance, if you wanted to display a user\'s \r\nemail address you\'d create this macro: ^User(\"email\"); \r\n<P><B>^*; or ^*(); - Random Number</B><BR>A randomly generated number. This is \r\noften used on images (such as banner ads) that you want to ensure do not cache. \r\nIn addition, you may configure this macro like this <B>^*(100);</B> to create a \r\nrandom number between 0 and 100. \r\n<P><B>^-;,^0;,^1;,^2;,^3;, etc.</B><BR>These macros are reserved for \r\nsystem/wobject-specific functions as in the SQL Report wobject and the Body in \r\nthe Style Manager. </P>',1048550091);
INSERT INTO international VALUES (839,'WebGUI',12,'Programmerer Makroer',1048550033);
INSERT INTO international VALUES (832,'WebGUI',12,'<P>The collateral management system has several macros for its specific purpose. \r\n</P>\r\n<P><B>^File();</B><BR>This macro builds a quick file link. It creates an icon \r\nfor the file and outputs the files name. Then it links them both to the file for \r\ndownloading. \r\n<P><B>^I();</B><BR>This macro retrieves an image from the collateral management \r\nsystem along with an HTML image tag so that you can quickly display an image \r\nfrom the repository in your content. \r\n<P><I>Example:</I> ^I(\"logo\"); \r\n<P><B>^i();</B><BR>This macro retrieves the URL for any file in the collateral \r\nmanagement system. \r\n<P><I>Example:</I> ^i(\"status report\"); \r\n<P><B>^Snippet();</B><BR>This macro retrieves the contents of a snippet in the \r\ncollateral management system and inserts it into the page. \r\n<P><I>Example:</I> ^Snippet(\"flash code\"); \r\n<P><B>^Thumbnail();</B><BR>This macro retrieves the URL for the thumbnail of any \r\nimage in the collateral management system. \r\n<P><I>Example:</I> ^Thumbnail(\"logo\"); \r\n<P><B>^ThumbnailLinker();</B><BR>This macro builds a quick image viewer using \r\nnothing more than the collateral management system. It creates a thumbnail image \r\nwith the name of the image under it and then links them both to the full sized \r\nimage. \r\n<P><I>Example:</I> ^ThumbnailLinker(\"logo\"); </P>',1048549990);
INSERT INTO international VALUES (831,'WebGUI',12,'Collateral Makroer',1048549876);
INSERT INTO international VALUES (828,'WebGUI',12,'<P>De fleste Wobject har templates som tillater deg  endre utseende p \r\nbrukergrensesnittet. De wobjectene som har templates har alle et felles sett med \r\nvariabler som kan brukes i layouten. I tillegg til deres egne lokale variable. \r\nDe flgende er en liste over felles variable som deles mellom alle Wobjects.</P>\r\n<P><STRONG>title</STRONG><BR>The title for this wobject. </P>\r\n<P><STRONG>displayTitle</STRONG><BR>A conditional variable for whether or not \r\nthe title should be displayed. </P>\r\n<P><STRONG>description<BR></STRONG>The description of this wobject. </P>\r\n<P><STRONG>wobjectId<BR></STRONG>The unique identifier that WebGUI uses to \r\ncontrol this wobject. <BR></P>',1048549857);
INSERT INTO international VALUES (827,'WebGUI',12,'Wobject Template',1048549794);
INSERT INTO international VALUES (677,'WebGUI',12,'Wobject, Ny/Endre',1048549776);
INSERT INTO international VALUES (671,'WebGUI',12,'Wobjects, Bruker',1048549749);
INSERT INTO international VALUES (669,'WebGUI',12,'Makroer, Bruker',1048549720);
INSERT INTO international VALUES (668,'WebGUI',12,'Style Sheets, Bruker',1048549701);
INSERT INTO international VALUES (634,'WebGUI',12,'<STRONG>Default Home Page<BR></STRONG>Some really small sites don\'t have a home \r\npage, but instead like to use one of their internal pages like \"About Us\" or \r\n\"Company Information\" as their home page. For that reason, you can set the \r\ndefault page of your site to any page in the site. That page will be the one \r\npeople go to if they type in just your URL http://www.mywebguisite.com, or if \r\nthey click on the Home link generated by the ^H; macro. \r\n<P><B>Not Found Page</B><BR>If a page that a user requests is not found in the \r\nsystem, the user can be redirected to the home page or to an error page where \r\nthey can attempt to find what they were looking for. You decide which is better \r\nfor your users. \r\n<P><B>Document Type Declaration</B><BR>These days it is very common to have a \r\nwide array of browsers accessing your site, including automated browsers like \r\nsearch engine spiders. Many of those browsers want to know what kind of content \r\nyou are serving. The doctype tag allows you to specify that. By default WebGUI \r\ngenerates HTML 4.0 compliant content. \r\n<P><B>Add edit stamp to posts?</B><BR>Typically if a user edits a post on a \r\ndiscussion, a stamp is added to that post to identify who made the edit, and at \r\nwhat time. On some sites that information is not necessary, therefore you can \r\nturn it off here. \r\n<P><B>Filter Contributed HTML</B><BR>Especially when running a public site where \r\nanybody can post to your message boards or user submission systems, it is often \r\na good idea to filter their content for malicious code that can harm the viewing \r\nexperience of your visitors; And in some circumstances, it can even cause \r\nsecurity problems. Use this setting to select the level of filtering you wish to \r\napply. \r\n<P><B>Maximum Attachment Size</B><BR>The size (in kilobytes) of the maximum \r\nallowable attachment to be uploaded to your system. \r\n<P><B>Max Image Size</B><BR>If images are uploaded to your system that are \r\nbigger than the max image size, then they will be resized to the max image size. \r\nThe max image size is measured in pixels and will use the size of the longest \r\nside of the image to determine if the limit has been reached. \r\n<P><B>Thumbnail Size</B><BR>When images are uploaded to your system, they will \r\nautomatically have thumbnails generated at the size specified here (unless \r\noverridden on a case-by-case basis). Thumbnail size is measured in pixels. \r\n<P><B>Snippet Preview Length</B><BR>How many characters of a snippet should be \r\ndisplayed in the collateral management system main listing. \r\n<P><B>Text Area Rows</B><BR>Some sites wish to control the size of the forms \r\nthat WebGUI generates. With this setting you can specify how many rows of \r\ncharacters will be displayed in textareas on the site. \r\n<P><B>Text Area Columns</B><BR>Some sites wish to control the size of the forms \r\nthat WebGUI generates. With this setting you can specify how many columns of \r\ncharacters will be displayed in textareas on the site. \r\n<P><B>Text Box Size</B><BR>Some sites wish to control the size of the forms that \r\nWebGUI generates. With this setting you can specify how characters can be \r\ndisplayed at once in text boxes on the site. \r\n<P><B>Page Cache Timeout</B><BR>The amount of time pages should remain cached \r\nfor registered users. \r\n<P><B>Page Cache Timeout (Visitors)</B><BR>The amount of time pages should \r\nremain cached for visitors. \r\n<P><B>NOTE:</B> Page caching is only available if your administrator has \r\ninstalled the Cache::FileCache Perl module. Using page caching can improve site \r\nperformance by as much as 1000%.</P>',1048549649);
INSERT INTO international VALUES (632,'WebGUI',12,'You can add wobjects by selecting from the <I>Add Content</I> pulldown menu. You \r\ncan edit them by clicking on the \"Edit\" button that appears directly above an \r\ninstance of a particular wobject. \r\n<P>Almost all wobjects share some properties. Those properties are: \r\n<P><B>Wobject ID</B><BR>This is the unique identifier WebGUI uses to keep track \r\nof this wobject instance. Normal users should never need to be concerned with \r\nthe Wobject ID, but some advanced users may need to know it for things like SQL \r\nReports. \r\n<P><B>Title</B> The title of the wobject. This is typically displayed at the top \r\nof each wobject. \r\n<P><I>Note:</I> You should always specify a title even if you are going to turn \r\nit off (with the next property). This is because the title shows up in the trash \r\nand clipboard and you\'ll want to be able to distinguish which wobject is which. \r\n<P><B>Display title?</B><BR>Do you wish to display the title you specified? On \r\nsome sites, displaying the title is not necessary. \r\n<P><B>Process macros?</B><BR>Do you wish to process macros in the content of \r\nthis wobject? Sometimes you\'ll want to do this, but more often than not you\'ll \r\nwant to say \"no\" to this question. By disabling the processing of macros on the \r\nwobjects that don\'t use them, you\'ll speed up your web server slightly. \r\n<P><B>Template Position</B><BR>Template positions range from 0 (zero) to any \r\nnumber. How many are available depends upon the Template associated with this \r\npage. The default template has only one template position, others may have more. \r\nBy selecting a template position, you\'re specifying where this wobject should be \r\nplaced within the template. \r\n<P><B>Start Date</B><BR>On what date should this wobject become visible? Before \r\nthis date, the wobject will only be displayed to Content Managers. \r\n<P><B>End Date</B><BR>On what date should this wobject become invisible? After \r\nthis date, the wobject will only be displayed to Content Managers. \r\n<P><B>Description</B><BR>A content area in which you can place as much content \r\nas you wish. For instance, even before an FAQ there is usually a paragraph \r\ndescribing what is contained in the FAQ. </P>',1048549578);
INSERT INTO international VALUES (626,'WebGUI',12,'Wobjects (fomerly known as Widgets) are the true power of WebGUI. Wobjects are \r\ntiny pluggable applications built to run under WebGUI. Message boards and polls \r\nare examples of wobjects. \r\n<P>To add a wobject to a page, first go to that page, then select <I>Add \r\nContent...</I> from the upper left corner of your screen. Each wobject has it\'s \r\nown help so be sure to read the help if you\'re not sure how to use it. \r\n<P><I>Style Sheets</I>: All wobjects have a style-sheet class and id attached to \r\nthem. \r\n<P>The style-sheet class is the word \"wobject\" plus the type of wobject it is. \r\nSo for a poll the class would be \"wobjectPoll\". The class pertains to all \r\nwobjects of that type in the system. \r\n<P>The style-sheet id is the word \"wobjectId\" plus the Wobject Id for that \r\nwobject instance. So if you had an Article with a Wobject Id of 94, then the id \r\nwould be \"wobjectId94\".</P>',1048549525);
INSERT INTO international VALUES (624,'WebGUI',12,'WebGUI macros are used to create dynamic content within otherwise static \r\ncontent. For instance, you may wish to show which user is logged in on every \r\npage, or you may wish to have a dynamically built menu or crumb trail. \r\n<P>Macros always begin with a carat (^) and follow with at least one other \r\ncharacter and ended with a semicolon (;). Some macros can be extended/configured \r\nby taking the format of ^<I>x</I>(\"<B>config text</B>\");. \r\n<P>NOTE: The following macros are reserved for system/wobject-specific functions \r\nas in the SQL Report wobject and the Body in the Style Manager: \r\n<B>^-;,^0;,^1;,^2;,^3;, etc.</B><BR></P>',1048549469);
INSERT INTO international VALUES (526,'WebGUI',12,'Fjern JavaScript og negate makroer.',1048549418);
INSERT INTO international VALUES (421,'WebGUI',12,'Fjern alt untatt grunnleggende formatering.',1048549374);
INSERT INTO international VALUES (420,'WebGUI',12,'Ikke fjern noe.',1048549347);
INSERT INTO international VALUES (419,'WebGUI',12,'Fjern alt utenom teksten.',1048549318);
INSERT INTO international VALUES (418,'WebGUI',12,'Filtrer innhold',1048549285);
INSERT INTO international VALUES (105,'WebGUI',12,'Layout',1048549256);
INSERT INTO international VALUES (103,'WebGUI',12,'Side innstillinger',1048549229);
INSERT INTO international VALUES (71,'USS',12,'<P>Bruker Bidrags system er en super mte  f lagt til en form for fellesskap \r\nsammtidig som en fr gratis innhold fra brukerene.</P>\r\n<P><STRONG>Hoved&nbsp;Template<BR></STRONG>Choose a layout for this USS. \r\n<BR>Submission Template<BR>Choose a layout for the individual submissions. </P>\r\n<P><STRONG>Filtrer Innhold</STRONG><BR>Velg niv av filtrering du vil utfre p \r\nalle bidrag</P>\r\n<P><STRONG>Bidrags Template</STRONG><BR>Velg en layout for de enkelte \r\nbidrag.</P>\r\n<P><STRONG>Hvem kan godkjenne?<BR></STRONG>What group is allowed to approve and \r\ndeny content? </P>\r\n<P><STRONG>Hvem kan Bidra?</STRONG><BR>What group is allowed to contribute \r\ncontent? </P>\r\n<P><STRONG>Bidrag pr side<BR></STRONG>How many submissions should be listed per \r\npage in the submissions index? </P>\r\n<P><STRONG>Standard&nbsp;Status<BR></STRONG>Should submissions be set to \r\nApproved, Pending, or Denied by default? </P>\r\n<P><STRONG>Note:</STRONG> If you set the default status to Pending, then be \r\nprepared to monitor your message log for new submissions. </P>\r\n<P><STRONG>Karma Pr Bidrag<BR></STRONG>How much karma should be given to a user \r\nwhen they contribute to this user submission system? </P>\r\n<P><STRONG>Vise Tittebilder?</STRONG><BR>If there is an image present in the \r\nsubmission, the thumbnail will be displayed in the Layout (see above). </P>\r\n<P><STRONG>Tillat Diskusjon?</STRONG><BR>Do you wish to attach a discussion to \r\nthis user submission system? If you do, users will be able to comment on each \r\nsubmission. </P>\r\n<P>Filtrer Innhold<BR>Velg niv av filtrering du vil utfre p alle diskusjons \r\ninnlegg.</P>\r\n<P><STRONG>Hvem kan Bidra?</STRONG><BR>Select the group that is allowed to post \r\nto this discussion. </P>\r\n<P><STRONG>Edit Timeout<BR></STRONG>How long should a user be able to edit their \r\npost before editing is locked to them? </P>\r\n<P><STRONG>Note:</STRONG> Don\'t set this limit too high. One of the great things \r\nabout discussions is that they are an accurate record of who said what. If you \r\nallow editing for a long time, then a user has a chance to go back and change \r\nhis/her mind a long time after the original statement was made. </P>\r\n<P><STRONG>Karma pr Bidrag<BR></STRONG>How much karma should be given to a user \r\nwhen they post to this discussion? </P>\r\n<P><STRONG>Hvem kan Godkjenne?<BR></STRONG>Select the group that is allowed to \r\nmoderate this discussion. </P>\r\n<P><STRONG>Sensur Typer?<BR></STRONG>You can select what type of moderation \r\nyou\'d like for your users. P etterskudd means that when a user posts a message \r\nit is displayed publically right away.&nbsp;P forhnd&nbsp;means that a \r\nmoderator must preview and approve users posts before allowing them to be \r\npublically visible. Alerts for new posts will automatically show up in the \r\nmoderator\'s WebGUI Inbox. </P>\r\n<P>Note: In both types of moderation the moderator can always edit or delete the \r\nmessages posted by your users. </P>\r\n<P><STRONG>Legge til endre \"merke\" til innlegg?</STRONG><BR>Vil du legge til et \r\n\"merke\" slik at du kan ha oversikt over hvem som endret et innlegg og nr det \r\nskjedde?</P>',1048549201);
INSERT INTO international VALUES (61,'USS',12,'Bruker Bidrag, Ny/Endre',1048548653);
INSERT INTO international VALUES (71,'SyndicatedContent',12,'<P align=left><SPAN style=\"mso-ansi-language: NO-BOK\">Syndicated Innhold er \r\ninnhold hentet fra en annen WEB-side ved hjelp av RDF/RSS spesifikasjoner. Denne \r\nteknologien er ofte benyttet til  hente overskrifter fra sider som <A \r\nhref=\"http://www.cnn.com\">CNN</A> eller <A \r\nhref=\"http://www.slashdot.com\">Slachdot</A>. Den kan ogs brukes til andre ting \r\nsom sport, brs etc.</SPAN></P>\r\n<P align=left><SPAN style=\"mso-ansi-language: NO-BOK\"><STRONG>URL to RSS \r\nfil<BR></STRONG>Oppgi den eksakte URL (ta med http://) til RDF/RSS filen til det \r\nSyndicated innholdet. Data vil bli lastet ned hver time.</SPAN></P>\r\n<P align=left><SPAN style=\"mso-ansi-language: NO-BOK\">Du kan finne Syndicated \r\ninnhold p flgende siter:</SPAN></P>\r\n<P align=left><SPAN style=\"mso-ansi-language: NO-BOK\"><A \r\nhref=\"http://www.newsisfree.com\">http://www.newsisfree.com</A> <BR><A \r\nhref=\"http://www.syndic8.com\">http://www.syndic8.com</A> <BR><A \r\nhref=\"http://www.voidstar.com/node.php?id=144\">http://www.voidstar.com/node.php?id=144</A> \r\n<BR><A href=\"http://my.userland.com\">http://my.userland.com</A> <BR><A \r\nhref=\"http://www.webreference.com/services/news/\">http://www.webreference.com/services/news/</A> \r\n<BR><A href=\"http://www.xmltree.com\">http://www.xmltree.com</A> <BR><A \r\nhref=\"http://w.moreover.com/\">http://w.moreover.com/</A> </SPAN></P>\r\n<P align=left><SPAN \r\nstyle=\"mso-ansi-language: NO-BOK\"><STRONG>Template</STRONG><BR>Velg en template \r\nfor dette innholdet.</SPAN></P>',1048548612);
INSERT INTO international VALUES (61,'SyndicatedContent',12,'Syndicated Innhold, Ny/Endre',1048548511);
INSERT INTO international VALUES (73,'SiteMap',12,'This is the list of template variables available for site map templates. \r\n<P><B>page_loop</B><BR>This loop contains all of the pages in the site map. \r\n<BLOCKQUOTE><B>page.indent</B><BR>The indent spacer for this page indicating the \r\ndepth of the page in the tree. \r\n<P><B>page.url</B><BR>The URL to the page. \r\n<P><B>page.id</B><BR>The unique identifier for this page that WebGUI uses \r\ninternally. \r\n<P><B>page.title</B><BR>The title of this page. \r\n<P><B>page.menutitle</B><BR>The title of this page that appears in navigation. \r\n<P><B>page.synopsis</B><BR>The description of the contents of this page (if \r\nany). \r\n<P><B>page.isRoot</B><BR>A condition indicating whether or not this page is a \r\nroot. \r\n<P><B>page.isTop</B><BR>A condition indicating whether or not this page is at \r\nthe top of the navigation tree.</P></BLOCKQUOTE>',1048548476);
INSERT INTO international VALUES (71,'MessageBoard',12,'<P>Meldinger, ogs kalt Forum eller Diskusjonsgrupper, er en super mte  slippe \r\ntil et brukermilj til en WEB-side eller intranet. Mange firma bruker meldinger \r\nintert for sammarbeid om prosjekter.</P>\r\n<P><STRONG>Meldinger pr. Side?<BR></STRONG>When a visitor first comes to a \r\nmessage board s/he will be presented with a listing of all the topics (a.k.a. \r\nthreads) of the Message Board. If a board is popular, it will quickly have many \r\ntopics. The Messages Per Page attribute allows you to specify how many topics \r\nshould be shown on one page.<BR>&nbsp;<BR><STRONG>Hoved \r\nTemplate</STRONG><BR>Select a layout for the main listing of this message board. \r\n</P>\r\n<P><STRONG>Filtrer Innlegg</STRONG><BR>Velg nivet av innholdsfiltrering som du \r\nnsker  utfre p alle innlegg.</P>\r\n<P><STRONG>Hvem kan Lage?<BR></STRONG>Select the group that is allowed to post \r\nto this discussion. </P>\r\n<P><STRONG>Rediger&nbsp;Timeout</STRONG><BR>How long should a user be able to \r\nedit their post before editing is locked to them? </P>\r\n<P><STRONG>Note:</STRONG> Don\'t set this limit too high. One of the great things \r\nabout discussions is that they are an accurate record of who said what. If you \r\nallow editing for a long time, then a user has a chance to go back and change \r\nhis/her mind a long time after the original statement was made. </P>\r\n<P><STRONG>Karma Pr Melding</STRONG><BR>How much karma should be given to a user \r\nwhen they post to this discussion? </P>\r\n<P><STRONG>Hvem kan sensurere?<BR></STRONG>Select the group that is allowed to \r\nmoderate this discussion. </P>\r\n<P><STRONG>Sensur type?</STRONG><BR>You can select what type of moderation you\'d \r\nlike for your users.&nbsp;P etterskudd&nbsp;means that when a user posts a \r\nmessage it is displayed publically right away.&nbsp;Pforhnd means that a \r\nmoderator must preview and approve users posts before allowing them to be \r\npublically visible. Alerts for new posts will automatically show up in the \r\nmoderator\'s WebGUI Inbox. </P>\r\n<P><STRONG>Note:</STRONG> In both types of moderation the moderator can always \r\nedit or delete the messages posted by your users.</P>\r\n<P><STRONG>Legg til endre \"stempel\" til innlegg?<BR></STRONG>Vil du \"merke\" alle \r\nendringer slik at du kan holde oversikt over hvem som endret et innlegg og nr \r\ndet skjedde?<BR></P>',1048548362);
INSERT INTO international VALUES (61,'MessageBoard',12,'Meldinger, Ny/Endre',1048548067);
INSERT INTO international VALUES (71,'Article',12,'<P>Artikler er som en \"Swiss Armey knife\" i WebGUI. De fleste ting med statisk \r\ninnhold kan legges ved hjelp av Artikkel </P>\r\n<P><STRONG>Template <BR></STRONG>Velg en template for utseende av artikkelen. \r\n</P>\r\n<P><STRONG>Bilde </STRONG><BR>Velg et bilde (.jpg,.gif,.png) fil fra din \r\nharddisk. Denne vil lastes opp til serveren og vist i artikkelen. </P>\r\n<P><STRONG>Vedlegg <BR></STRONG>Om du nsker  legge ved en tekstbehandlingsfil, \r\nen zip fil, eller en hvilken som helst fil for nedlasting av dine brukere, s \r\nangi den her. </P>\r\n<P><STRONG>Link Tittel</STRONG> <BR>Om du nsker en link til din artikkel, s \r\nskriv inn tittelen p linken til artikkelen i dette feltet. eksempel: Google \r\n</P>\r\n<P><STRONG>Link URL</STRONG> <BR>Om du la inn en link tittel, s legg inn URL\'n \r\nher. eksempel: <A href=\"http://www.google.com/\">http://www.google.com</A> </P>\r\n<P><STRONG>Konverter \"Carriage returns\"</STRONG> <BR>Om du skriver HTML er det \r\nvanligvis ikke behov for denne oppsjonen. Men om du ikke skriver HTML og nsker \r\nlinjeskift i teksten hver gang du trykker \"Enter\" da bruker du denne oppsjonen. \r\n</P>\r\n<P><STRONG>Tillat Diskusjon?</STRONG> <BR>Velges denne oppsjonen, vil du tillate \r\nrespons/diskusjon til artikkelen. </P>\r\n<P><STRONG>Hvem kan lage respons?</STRONG> <BR>Velg vilken gruppe som kan gi \r\nrespons til artikkelen. </P>\r\n<P><STRONG>Kan Redigeres <BR></STRONG>Hvor lang tid en artikkel kan redigeres av \r\nbrukeren fr den lses. TIPS: Ikke sett tiden for lang. En av fordelene med \r\ndiskusjoner er at de er en nyaktig beskrivelse over hvem sa hva og nr sa de \r\ndet. Om du setter tiden for lang, gir du brukeren tid til  g tilbake og endre \r\nsin respons om han endrer mening. </P>\r\n<P><STRONG>Karma pr. respons</STRONG> <BR>Hvor mye karma skal gies til brukeren \r\nfor  lage en respons til denne artikkelen. </P>\r\n<P><STRONG>Hvem kan godkjenne <BR></STRONG>Velg hvilken gruppe som kan \r\nredigere/godkjenne denne diskusjonen. </P>\r\n<P><STRONG>Godkjenningstype </STRONG><BR>Du kan velge hvilken godkjenningstype \r\ndu vil for dine brukere. After-the-fact, betyr at responsen blir publisert \r\numiddelbart etter at den er lagret. Pre-Emptiv betyr at den m godkjennes fr \r\nden blir publisert. En melding vil automatisk sendes til innboksen i WebGUI, for \r\nden brukeren som er oppfrt som godkjenner (redaktr). Merk: Ved begge typer vil \r\ngodkjenner ha mulighet til  redigere eller slette responsen fra brukerene.</P>',1048547964);
INSERT INTO international VALUES (896,'WebGUI',12,'Side Cache tidsavbrudd (beskende)',1048547525);
INSERT INTO international VALUES (895,'WebGUI',12,'Side Cache tidsavbrudd',1048547487);
INSERT INTO international VALUES (893,'WebGUI',12,'Wobject Instillinger',1048547444);
INSERT INTO international VALUES (892,'WebGUI',12,'Diskusjon',1048547398);
INSERT INTO international VALUES (891,'WebGUI',12,'Only negate macros.',1048547375);
INSERT INTO international VALUES (890,'WebGUI',12,'<TABLE>\r\n<TBODY>\r\n<TR>\r\n<TD class=formDescription vAlign=top></TD>\r\n<TD class=tableData>WebGUI has a sub-system that can create tabs. You\'ll see \r\nthese in complex forms such as page editing. In order to make the tabs system \r\nlook good and match your site, you\'ll need to add a section to your style\'s \r\nstyle sheet specifically for the tabs. \r\n<P>The following style sheet classes are available: \r\n<P><B>.tab</B><BR>The default look of each tab. \r\n<P><B>div.tabs</B><BR>This also sets some properties for all of the tabs. This \r\nshould be used for the text labels in the tabs. \r\n<P><B>.tabBody</B><BR>The content area for each tab. This is where the form will \r\nshow up. Note that for best results the background color of this should match \r\nthe background color of .tabActive. \r\n<P><B>.tabHover</B><BR>The look of a tab as the mouse hovers over it. \r\n<P><B>.tabActive</B><BR>The look of the tab that is currently visible. \r\n<P><I>Examples</I><BR>You can use these instead of creating your own if you \r\nwish. Or just use these as guidelines for creating your own. \r\n<P>\r\n<TABLE width=\"100%\">\r\n<TBODY>\r\n<TR>\r\n<TD vAlign=top><B>White or Light Colored Styles</B> <PRE>.tab {\r\n  border: 1px solid black;\r\n   background-color: #eeeeee;\r\n}\r\n.tabBody {\r\n   border: 1px solid black;\r\n   border-top: 1px solid black;\r\n   border-left: 1px solid black;\r\n   background-color: #dddddd; \r\n}\r\ndiv.tabs {\r\n    line-height: 15px;\r\n    font-size: 14px;\r\n}\r\n.tabHover {\r\n   background-color: #cccccc;\r\n}\r\n.tabActive { \r\n   background-color: #dddddd; \r\n}\r\n</PRE></TD>\r\n<TD vAlign=top><B>Black or Dark Colored Styles</B> <PRE>.tab {\r\n  border: 1px solid white;\r\n   background-color: #333333;\r\n}\r\n.tabBody {\r\n   border: 1px solid white;\r\n   border-top: 1px solid white;\r\n   border-left: 1px solid white;\r\n   background-color: #444444; \r\n}\r\ndiv.tabs {\r\n    line-height: 15px;\r\n    font-size: 14px;\r\n}\r\n.tabHover {\r\n   background-color: #555555;\r\n}\r\n.tabActive { \r\n   background-color: #444444; \r\n}\r\n</PRE></TD></TR></TBODY></TABLE></P></TD></TR></TBODY></TABLE>',1048547340);
INSERT INTO international VALUES (11,'HttpProxy',12,'\r\n<P>HTTP Proxy wobject er et kraftig verkty. Det lar deg pakke inn og vise et \r\neksternt web sted eller applikasjon p din egen side. For eksempel, om du har et \r\nWebMail system som du nsker dine anstatte skal kunne bruke igjennom \r\nintranettet, da kan du bruke HTTP Proxy for  oppn dette.</P>\r\n<P><STRONG>URL</STRONG><BR>Start URL\'n for proxyen.</P>\r\n<P><STRONG>Flge redirects?</STRONG><BR>Noen ganger er URL\'n til en side bare en \r\nlink til en ny side (Redirect). Vil du flge slike linker nr de dukker opp?</P>\r\n<P><STRONG>Tidsavbrudd</STRONG><BR>Tiden i sekunder som WebGUI skal vente p en \r\nforbindelse fr den gir opp forsket p  n den eksterne siden.</P>\r\n<P><STRONG>Cookie Jar</STRONG><BR>En katalogsti til hvor en skal lagre cookies \r\nsom den eksterne siden/applikasjonen produserer. Denne folderen m vre en plass \r\nder Web-Serveren har rettigheter til  skrive. Om Cookies ikke blir lagret, er \r\ndet ikke sikker siden fungerer riktig.</P>\r\n<P><STRONG>Fjerne Style?<BR></STRONG>Vil du fjerne style sheet fra den eksterne \r\nsiden til fordel for din egen style p din egen side?</P>\r\n<P><STRONG>Filtrer innhold?</STRONG><BR>Velg nivet av HTML filtrering som du \r\nnsker  bruke p proxy innholdet.</P>\r\n<P><STRONG>Tillat proxying av andre domener?</STRONG><BR>Om du proxyer en side \r\nsom Yahoo! som linker til andre domener, nsker du da  flge disse linkene til \r\nandre domener, eller skal proxyen stoppe dem nr de forsker  forlate den \r\nopprinnelige siden du har spesifisert?</P>',1048547175);
INSERT INTO international VALUES (889,'WebGUI',12,'Style Sheets, Tabs',1048546242);
INSERT INTO international VALUES (73,'SyndicatedContent',12,'<DIV align=left>The following are the template variables available to the \r\nSyndicated Content template. \r\n<P><B>channel.title</B><BR>The title of this piece of syndicated content. \r\n<P><B>channel.description</B><BR>A description of the content available through \r\nthis channel. \r\n<P><B>channel.link</B><BR>A URL back to the originating site of this channel. \r\n<P><B>item_loop</B><BR>A loop containing the data from this channel. \r\n<BLOCKQUOTE><B>title</B><BR>The title of a piece of content. \r\n<P><B>description</B><BR>The description of the content. \r\n<P><B>link</B> A URL directly to the original content.</P></BLOCKQUOTE></DIV>',1048546157);
INSERT INTO international VALUES (72,'SyndicatedContent',12,'Syndicated Content Template',1048545923);
INSERT INTO international VALUES (32,'MailForm',12,'er ikke en gyldig ePost adresse.',1048545896);
INSERT INTO international VALUES (31,'MailForm',12,'er ikke fylt ut korrekt.',1048545864);
INSERT INTO international VALUES (30,'MailForm',12,'m vre et tall.',1048545821);
INSERT INTO international VALUES (29,'MailForm',12,'er et ndvendig felt.',1048545785);
INSERT INTO international VALUES (28,'MailForm',12,'Valgfritt for TextArea',1048545718);
INSERT INTO international VALUES (27,'MailForm',12,'Hyde',1048545682);
INSERT INTO international VALUES (72,'SiteMap',12,'Site Map Template',1048534928);
INSERT INTO international VALUES (61,'Article',12,'Artikkel, Ny/Rediger',1048534898);
INSERT INTO international VALUES (9,'HttpProxy',12,'Cookie Jar',1048534861);
INSERT INTO international VALUES (8,'HttpProxy',12,'Flge redirects?',1048534837);
INSERT INTO international VALUES (6,'HttpProxy',12,'Fjerne Style?',1048534805);
INSERT INTO international VALUES (5,'HttpProxy',12,'Tillat Proxying av andre domener?',1048534782);
INSERT INTO international VALUES (4,'HttpProxy',12,'Tidsavbrudd',1048534748);
INSERT INTO international VALUES (3,'HttpProxy',12,'HTTP Proxy',1048534710);
INSERT INTO international VALUES (2,'HttpProxy',12,'Rediger HTTP Proxy',1048534689);
INSERT INTO international VALUES (10,'HttpProxy',12,'HTTP Proxy, Legg Til/Rediger',1048534643);
INSERT INTO international VALUES (1,'HttpProxy',12,'URL',1048534607);
INSERT INTO international VALUES (526,'Discussion',12,'av',1048534587);
INSERT INTO international VALUES (525,'Discussion',12,'Endret nr ',1048534569);
INSERT INTO international VALUES (1,'Discussion',12,'Filtrer Post',1048534490);
INSERT INTO international VALUES (57,'WebGUI',12,'Dette er bare ndvendig om du vil benytte funksjoner som krever ePost.',1048534465);
INSERT INTO international VALUES (82,'WebGUI',12,'Administrative Funksjoner...',1048534425);
INSERT INTO international VALUES (588,'WebGUI',12,'<P>Er du sikker p at du nsker  laste denne oversettelsen opp til Plain Black \r\nfor at den kan inkluderes i den offesielle distribusjonen av WebGUI? <BR>Nr du \r\nklikker p Ja linken aksepterer du at du gir Plain Black en ubegrenset lisens \r\ntil  benytte denne oversettelsen i sine programvare distribusjoner.</P>',1046116480);
INSERT INTO international VALUES (6,'WobjectProxy',12,'<P>Med Wobject Proxy kan du speile et Wobject fra en side til en hvilken som \r\nhelst annen side. Dette er nyttig om du nsker det samme innholdet p flere \r\nstede p webomrdet.</P>\r\n<P><STRONG>Wobject to Proxy<BR></STRONG>Velg det Wobject fra systemet som du \r\nnsker  speile. Valgboksen har formatet \" Side Tittel/ Wobject Navn(Wobject \r\nID)\" slik at du raskt og nyaktig kan finne det Wobject du nsker.</P>',1046116286);
INSERT INTO international VALUES (838,'WebGUI',12,'<P>Mapper brukes til  organisere collateral, p samme mte som du vil \r\norganisere mapper og filer p din egen harddisk.</P>\r\n<P><STRONG>Organiser i Mappe<BR></STRONG>Mapper kan vre inne i andre Mapper. I \r\nhvilken Mappe vil du opprette denne Mappen?</P>\r\n<P><STRONG>Navn</STRONG><BR>Gi denne Mappen et navn som kan identifisere \r\ninnholdet.</P>\r\n<P><STRONG>Beskrivelse<BR></STRONG>Beskriv Mappen slik at du kan huske hvorfor \r\ndu laget den og hva den skal inneholde.</P>',1046116041);
INSERT INTO international VALUES (836,'WebGUI',12,'<P>Snippets er biter av tekst som kan gjennbrukes p WEB-stedet ditt. Ting som \r\njava script, Style sheets, Flash animasjoner eller slagord er alle greie \r\nsnippets. Best av alt er at om du trenger  endre teksten, s trenger du bare  \r\ngjre det p et sted.</P>\r\n<P><STRONG>Navn</STRONG><BR>Gi din Snippet et unikt navn som du sener kan bruke \r\nnr det skal brukes.</P>\r\n<P><STRONG>Organiser i Mappe</STRONG><BR>Hviken Collateral Mappe skal denne \r\nSnippet\'n lagres.</P>\r\n<P><STRONG>Snippet</STRONG><BR>Skriv inn! Eller klipp den fra et annet \r\nelektronisk dokument og lim det inn her.</P>',1046115999);
INSERT INTO international VALUES (834,'WebGUI',12,'<P>Du kan laste opp en hvilken som helst fil til felleslageret for senere \r\nbruk.</P>\r\n<P><STRONG>Navn<BR></STRONG>Gi filen et unikt navn som du kan bruke til  finne \r\nden igjen senere.</P>\r\n<P><STRONG>Organiser i Mappe</STRONG><BR>Hvilken Collateral Mappe skal filen \r\nlegges i?</P>\r\n<P><STRONG>Fil</STRONG><BR>Velg filen som skal lastes opp fra harddisken \r\ndin.</P>',1046115954);
INSERT INTO international VALUES (830,'WebGUI',12,'<P>Side Templates blir brukt til  organisere wobjects p siden. For  gjre \r\ndette kan du lage side template posisjoner. Du kan ha et ubegrenset antall \r\nposisjoner i en side template, men du m alltid ha en posisjon 1.<BR>Side \r\ntemplate posisjon variabler kan se slik ut:<BR><BR>&lt;tmpl_var \r\npage.position1&gt;<BR>&lt;tmpl_var page.position2&gt;<BR>&lt;tmpl_var \r\npage.position3&gt;<BR>&lt;tmpl_var page.position4&gt;<BR>&lt;tmpl_var \r\npage.position5&gt;<BR>&lt;tmpl_var page.position6&gt;<BR>&lt;tmpl_var \r\npage.position7&gt;<BR>&lt;tmpl_var ...&gt;</P>\r\n<P>Du kan ha opptil 1 milliard posisjoner, no som skulle vre tillstrekkelig for \r\nde fleste Web-steder.</P>',1046115854);
INSERT INTO international VALUES (826,'WebGUI',12,'WebGUI has a powerful templating language built to give you maximum control over \r\nthe layout of your content. The following is a list of the template language \r\nsyntax. \r\n<P><B>NOTE:</B> Please note that the words <I>foo</I> and <I>bar</I> are used \r\nbelow as placeholders for the actual variable names that you\'ll use. They are \r\nnot part of the template language. \r\n<P><B>Variables</B><BR>Variables are the most basic of the template commands. \r\nThey are used to position pieces of content. \r\n<P><I>Syntax:</I> &lt;tmpl_var foo&gt; or &lt;tmpl_var name=\"foo\"&gt; \r\n<P><I>Example:</I> &lt;tmpl_var name&gt; \r\n<P><B>Conditions</B><BR>To programmers conditions are nothing new, but to \r\ndesigners they can often be confusing at first. Conditions are really just true \r\nor false questions, and if you think of them that way, you\'ll have no trouble at \r\nall. \r\n<P><I>Syntax:</I> &lt;tmpl_if foo&gt; &lt;tmpl_else&gt; &lt;/tmpl_if&gt; \r\n<BR><I>Syntax:</I> &lt;tmpl_unless foo&gt; &lt;tmpl_else&gt; \r\n&lt;/tmpl_unless&gt; \r\n<P><I>Example:</I> &lt;tmpl_if isTrue&gt; It was true!&lt;tmpl_else&gt; It was \r\nfalse! &lt;/tmpl_if&gt; \r\n<P><B>Loops</B><BR>Loops iterate over a list of data output for each pass in the \r\nloop. Loops are slightly more complicated to use than plain variables, but are \r\nconsiderably more powerful. \r\n<P><I>Syntax:</I> &lt;tmpl_loop foo&gt; &lt;/tmpl_loop&gt; \r\n<P><I>Example:</I> <BR>&lt;tmpl_loop users&gt; <BR>&nbsp; Name: &lt;tmpl_var \r\nfirst_name&gt;&lt;br/&gt;<BR>&lt;/tmpl_loop&gt; \r\n<P><B>Loop Conditions</B><BR>Loops come with special condition variables of \r\ntheir own. They are __FIRST__, __ODD__, __INNER__, and __LAST__. \r\n<P><I>Examples:</I><BR><PRE>   &lt;TMPL_LOOP FOO&gt;\r\n      &lt;TMPL_IF __FIRST__&gt;\r\n        This only outputs on the first pass.\r\n      &lt;/TMPL_IF&gt;\r\n\r\n      &lt;TMPL_IF __ODD__&gt;\r\n        This outputs every other pass, on the odd passes.\r\n      &lt;/TMPL_IF&gt;\r\n\r\n      &lt;TMPL_UNLESS __ODD__&gt;\r\n        This outputs every other pass, on the even passes.\r\n      &lt;/TMPL_UNLESS&gt;\r\n\r\n      &lt;TMPL_IF __INNER__&gt;\r\n        This outputs on passes that are neither first nor last.\r\n      &lt;/TMPL_IF&gt;\r\n\r\n      &lt;TMPL_IF __LAST__&gt;\r\n        This only outputs on the last pass.\r\n      &lt;TMPL_IF&gt;\r\n   &lt;/TMPL_LOOP&gt;\r\n</PRE>\r\n<P><B>NOTE:</B>Both the template language and template variables are \r\ncase-insensitive.</P>',1046115728);
INSERT INTO international VALUES (698,'WebGUI',12,'Karma is a method of tracking the activity of your users, and potentially \r\nrewarding or punishing them for their level of activity. Once karma has been \r\nenabled, you\'ll notice that the menus of many things in WebGUI change to reflect \r\nkarma. \r\n<P>You can track whether users are logging in, and how much they contribute to \r\nyour site. And you can allow them access to additional features by the level of \r\ntheir karma. \r\n<P>You can find out more about karma in <A \r\nhref=\"http://www.plainblack.com/ruling_webgui\"><FONT color=#db4740>Ruling \r\nWebGUI</FONT></A>.</P>',1046115656);
INSERT INTO international VALUES (639,'WebGUI',12,'<STRONG>Template Name<BR></STRONG>Give this template a descriptive name so that \r\nyou\'ll know what it is when you\'re applying a template to content. \r\n<P><B>Namespace</B><BR>What type of template is this? \r\n<P><B>Template</B><BR>Create your template by using template commands and \r\nvariables, macros, and HTML. \r\n<P><B>NOTE:</B> You should never edit the default templates that come with \r\nWebGUI as they are subject to change with each new release. Instead, copy the \r\ntemplate you wish to edit, and edit the copy.</P>',1046115600);
INSERT INTO international VALUES (637,'WebGUI',12,'<STRONG>First Name<BR></STRONG>The given name of this user. \r\n<P><B>Middle Name</B><BR>The middle name of this user. \r\n<P><B>Last Name</B><BR>The surname (or family name) of this user. \r\n<P><B>Email Address</B><BR>The user\'s email address. This must only be specified \r\nif the user will partake in functions that require email. \r\n<P><B>ICQ UIN</B><BR>The <A href=\"http://www.icq.com/\"><FONT \r\ncolor=#db4740>ICQ</FONT></A> UIN is the \"User ID Number\" on the ICQ network. ICQ \r\nis a very popular instant messaging platform. \r\n<P><B>AIM Id</B><BR>The account id for the <A href=\"http://www.aim.com/\"><FONT \r\ncolor=#db4740>AOL Instant Messenger</FONT></A> system. \r\n<P><B>MSN Messenger Id</B><BR>The account id for the <A \r\nhref=\"http://messenger.msn.com/\"><FONT color=#db4740>Microsoft Network Instant \r\nMessenger</B> system. </FONT>\r\n<P><B>Yahoo! Messenger Id</B><BR>The account id for the <A \r\nhref=\"http://messenger.yahoo.com/\">Yahoo! Instant Messenger</A> system. \r\n<P><B>Cell Phone</B><BR>This user\'s cellular telephone number. \r\n<P><B>Pager</B><BR>This user\'s pager telephone number. \r\n<P><B>Email To Pager Gateway</B><BR>This user\'s text pager email address. \r\n<P><B>Home Information</B><BR>The postal (or street) address for this user\'s \r\nhome. \r\n<P><B>Work Information</B><BR>The postal (or street) address for this user\'s \r\ncompany. \r\n<P><STRONG>Kjnn</STRONG><BR>This user\'s sex. \r\n<P><STRONG>Fdsels Dato</STRONG><BR>This user\'s date of birth. \r\n<BR><BR><STRONG>Sprk</STRONG><BR>What language should be used to display system \r\nrelated messages. \r\n<P><STRONG>Tids Avvik</STRONG><BR>A number of hours (plus or minus) different \r\nthis user\'s time is from the server. This is used to adjust for time zones. \r\n<P><STRONG>Frste Dag i Uka</STRONG><BR>The first day of the week on this user\'s \r\nlocal calendar. For instance, in the United States the first day of the week is \r\nSunday, but in many places in Europe, the first day of the week is Monday. \r\n<P><STRONG>Dato Format</STRONG><BR>What format should dates on this site appear \r\nin? \r\n<P><STRONG>Tids Format</STRONG><BR>What format should times on this site appear \r\nin? \r\n<P><STRONG>Diskusjons Utseende</STRONG><BR>Should discussions be laid out flat \r\nor threaded? Flat puts all replies on one page in the order they were created. \r\nThreaded shows the heirarchical list of replies as they were created. \r\n<P><STRONG>Innboks beskjed</STRONG><BR>How should this user be notified when \r\nthey get a new WebGUI message? </P>',1046115538);
INSERT INTO international VALUES (636,'WebGUI',12,'To create a package follow these simple steps: \r\nFrom the admin menu select \"Manage packages.\" \r\nTo create a package follow these simple steps: \r\n<OL>\r\n<LI>From the admin menu select \"Manage packages.\" \r\n<LI>Add a page and give it a name. The name of the page will be the name of the \r\npackage. \r\n<LI>Go to the new page you created and start adding pages and wobjects. Any \r\npages or wobjects you add will be created each time this package is deployed. \r\n</LI></OL><B>Notes:</B><BR>In order to add, edit, or delete packages you must be \r\nin the Package Mangers group or in the Admins group. <BR><BR>If you add content \r\nto any of the wobjects, that content will automatically be copied when the \r\npackage is deployed. <BR><BR>Privileges and styles assigned to pages in the \r\npackage will not be copied when the package is deployed. Instead the pages will \r\ntake the privileges and styles of the area to which they are deployed. ',1046115325);
INSERT INTO international VALUES (635,'WebGUI',12,'Packages are groups of pages and wobjects that are predefined to be deployed \r\ntogether. A package manager may see the need to create a package several pages \r\nwith a message board, an FAQ, and a Poll because that task is performed quite \r\noften. Packages are often defined to lessen the burden of repetitive tasks. \r\n<BR><BR>One package that many people create is a Page/Article package. It is \r\noften the case that you want to add a page with an article on it for content. \r\nInstead of going through the steps of creating a page, going to the page, and \r\nthen adding an article to the page, you may wish to simply create a package to \r\ndo those steps all at once.',1046115283);
INSERT INTO international VALUES (630,'WebGUI',12,'WebGUI has a small, but sturdy real-time search engine built-in. If you wish to \r\nuse the internal search engine, you can use the ^?; macro, or by adding \r\n<I>?op=search</I> to the end of any URL, or feel free to build your own form to \r\naccess it. \r\n<P>Many people need a search engine to index their WebGUI site, plus many \r\nothers. Or they have more advanced needs than what WebGUI\'s search engine \r\nallows. In those cases we recommend <A href=\"http://www.mnogosearch.org/\"><FONT \r\ncolor=#db4740>MnoGo Search</FONT></A> or <A href=\"http://www.htdig.org/\"><FONT \r\ncolor=#db4740>ht://Dig</FONT></A>. </P>',1046115123);
INSERT INTO international VALUES (629,'WebGUI',12,'<STRONG>Prevent Proxy Caching<BR></STRONG>Some companies have proxy servers that \r\ncause problems with WebGUI. If you\'re experiencing problems with WebGUI, and you \r\nhave a proxy server, you may want to set this setting to <I>Yes</I>. Beware that \r\nWebGUI\'s URLs will not be as user-friendly after this feature is turned on. \r\n<P><B>Show debugging?</B><BR>Show debugging information in WebGUI\'s output. This \r\nis primarily useful for WebGUI developers, but can also be interesting for \r\nAdministrators trying to troubleshoot a problem. \r\n<P><B>Track page statistics?</B><BR>WebGUI can track some statistical \r\ninformation for your site. However, this will add a little extra strain on your \r\nprocessor and will make your database grow much more quickly. Enable this only \r\nif you do not have an external web statistics program.</P>',1046115079);
INSERT INTO international VALUES (625,'WebGUI',12,'Upload any images that you\'ll possibly use in more than one location on your \r\nsite. \r\n<P><B>Name</B><BR>The label that this image will be referenced by to include it \r\ninto pages. \r\n<P><B>Organize In Folder</B><BR>Which collateral folder should this image be \r\nplaced in. \r\n<P><B>File</B><BR>Select a file from your local drive to upload to the server. \r\n<P><B>Parameters</B><BR>Add any HTML &lt;img&amp;rt; parameters that you wish to \r\nact as the defaults for this image. \r\n<P><I>Example:</I><BR>align=\"right\"<BR>alt=\"This is an image\"<BR>\r\n<P><B>Thumbnail Size</B><BR>How big (in pixels) should the thumbnail for this \r\nimage be? </P>',1046114987);
INSERT INTO international VALUES (623,'WebGUI',12,'<P><TABLE>\r\n<TBODY>\r\n<TR>\r\n<TD class=formDescription vAlign=top></TD>\r\n<TD class=tableData><A href=\"http://www.w3.org/Style/CSS/\"><FONT \r\ncolor=#db4740>Cascading Style Sheets (CSS)</FONT></A> are a great way to manage \r\nthe look and feel of any web site. They are used extensively in WebGUI. \r\n<P>If you are unfamiliar with how to use CSS, <A \r\nhref=\"http://www.plainblack.com/\"><FONT color=#db4740>Plain Black \r\nSoftware</FONT></A> provides training classes on XHTML and CSS. Alternatively, \r\nBradsoft makes an excellent CSS editor called <A \r\nhref=\"http://www.bradsoft.com/topstyle/index.asp\"><FONT color=#db4740>Top \r\nStyle</FONT></A>. \r\n<P>The following is a list of classes used to control the look of WebGUI: \r\n<P><B>A</B><BR>The links throughout the style. \r\n<P><B>BODY</B><BR>The default setup of all pages within a style. \r\n<P><B>H1</B><BR>The headers on every page. \r\n<P><B>.accountOptions</B><BR>The links that appear under the login and account \r\nupdate forms. \r\n<P><B>.adminBar </B><BR>The bar that appears at the top of the page when you\'re \r\nin admin mode. \r\n<P><B>.content</B><BR>The main content area on all pages of the style. \r\n<P><B>.formDescription </B><BR>The tags on all forms next to the form elements. \r\n<P><B>.formSubtext </B><BR>The tags below some form elements. \r\n<P><B>.highlight </B><BR>Denotes a highlighted item, such as which message you \r\nare viewing within a list. \r\n<P><B>.horizontalMenu </B><BR>The horizontal menu (if you use a horizontal menu \r\nmacro). \r\n<P><B>.pagination </B><BR>The Previous and Next links on pages with pagination. \r\n<P><B>.selectedMenuItem</B><BR>Use this class to highlight the current page in \r\nany of the menu macros. \r\n<P><B>.tableData </B><BR>The data rows on things like message boards and user \r\ncontributions. \r\n<P><B>.tableHeader </B><BR>The headings of columns on things like message boards \r\nand user contributions. \r\n<P><B>.tableMenu </B><BR>The menu on things like message boards and user \r\nsubmissions. \r\n<P><B>.verticalMenu </B><BR>The vertical menu (if you use a vertical menu \r\nmacro). \r\n<P><I><B>Note:</B></I> Some wobjects and macros have their own unique styles \r\nsheet classes, which are documented in their individual help files. \r\n<P></P></TD></TR></TBODY></TABLE></P>',1046114857);
INSERT INTO international VALUES (622,'WebGUI',12,'<P>See Manage Group for a description of grouping functions and the default \r\ngroups. <BR><BR><STRONG>Gruppe Navn<BR></STRONG>A name for the group. It is best \r\nif the name is descriptive so you know what it is at a glance. </P>\r\n<P><STRONG>Beskrivelse<BR></STRONG>A longer description of the group so that \r\nother admins and content managers (or you if you forget) will know what the \r\npurpose of this group is. </P>\r\n<P><STRONG>Utlper etter</STRONG><BR>The amount of time that a user will belong \r\nto this group before s/he is expired (or removed) from it. This is very useful \r\nfor membership sites where users have certain privileges for a specific period \r\nof time. Note that this can be overridden on a per-user basis. </P>\r\n<P><STRONG>Karma Terskelverdi</STRONG><BR>If you\'ve enabled Karma, then you\'ll \r\nbe able to set this value. Karma Threshold is the amount of karma a user must \r\nhave to be considered part of this group.<BR></P>',1046114764);
INSERT INTO international VALUES (621,'WebGUI',12,'<P>Styles are WebGUI macro enabled. See Using Macros for more information. \r\n<BR><BR><STRONG>Style Name</STRONG><BR>A unique name to describe what this style \r\nlooks like at a glance. The name has no effect on the actual look of the style. \r\n</P>\r\n<P><STRONG>Body</STRONG><BR>The body is quite literally the HTML body of your \r\nsite. It defines how the page navigation will be laid out and many other things \r\nlike logo, copyright, etc. At bare minimum a body must consist of a few things, \r\nthe ^AdminBar; macro and the ^-; (seperator) macro. The ^AdminBar; macro tells \r\nWebGUI where to display admin functions. The ^-; (splitter) macro tells WebGUI \r\nwhere to put the content of your page. </P>\r\n<P>If you are in need of assistance for creating a look for your site, or if you \r\nneed help cutting apart your design, <A href=\"http://www.plainblack.com\">Plain \r\nBlack Software</A> provides support services for a small fee. </P>\r\n<P>Many people will add WebGUI macros to their body for automated navigation, \r\nand other features. </P>\r\n<P><STRONG>Style Sheet<BR></STRONG>Place your style sheet entries here. Style \r\nsheets are used to control colors, sizes, and other properties of the elements \r\non your site. See Using Style Sheets for more information. </P>\r\n<P><STRONG>Advanced Users:</STRONG> for greater performance create your \r\nstylesheet on the file system (call it something like webgui.css) and add an \r\nentry like this to this area: <BR></P>',1046114675);
INSERT INTO international VALUES (619,'WebGUI',12,'This function permanently deletes the selected wobject from a page. If you are \r\nunsure whether you wish to delete this content you may be better served to cut \r\nthe content to the clipboard until you are certain you wish to delete it. \r\n<BR><BR>As with any delete operation, you are prompted to be sure you wish to \r\nproceed with the delete. If you answer yes, the delete will proceed and there is \r\nno recovery possible. If you answer no you\'ll be returned to the prior \r\nscreen.<BR>',1046114536);
INSERT INTO international VALUES (618,'WebGUI',12,'<P><STRONG>SMTP Server<BR></STRONG>This is the address of your local mail \r\nserver. It is needed for all features that use the Internet email system (such \r\nas password recovery). </P>\r\n<P>Optionally, if you are running a sendmail server on the same machine as \r\nWebGUI, you can also specify a path to your sendmail executable. On most Linux \r\nsystems this can be found at \"/usr/lib/sendmail\". </P>\r\n<P><STRONG>Email Footer<BR></STRONG>This footer will be processed for macros and \r\nattached to every email sent from this WebGUI instance. <BR><B><BR>Alert on new \r\nuser?</B><BR>Should someone be alerted when a new user registers anonymously? \r\n</P>\r\n<P><B>Group To Alert On New User</B><BR>What group should be alerted when a new \r\nuser registers? </P>',1046114473);
INSERT INTO international VALUES (617,'WebGUI',12,'<P>Settings are items that allow you to adjust WebGUI to your particular needs. \r\n<BR><BR>Rediger Firma Informasjon<BR>Information specific about the company or \r\nindividual who controls this installation of WebGUI. </P>\r\n<P>Rediger Innholds Instillinger<BR>Settings related to content and content \r\nmanagement. </P>\r\n<P>Rediger ePost Instillinger<BR>Settings concerning email and related \r\nfunctions. </P>\r\n<P>Rediger Forskjellige Instillinger<BR>Anything we couldn\'t find a place for. \r\n</P>\r\n<P>Rediger Profil Instillinger<BR>Define what user profiles look like and what \r\nthe users have the ability to edit. </P>\r\n<P>Rediger Bruker Instillinger<BR>Settings relating to users (beyond profile \r\ninformation), like authentication information, and registration options. \r\n<BR></P>',1046114265);
INSERT INTO international VALUES (616,'WebGUI',12,'<P><STRONG>Sti til WebGUI Extras</STRONG><BR>The web-path to the directory \r\ncontaining WebGUI images and javascript files. </P>\r\n<P><STRONG>Maksimum vedleggs strrelse<BR></STRONG>The maximum size of files \r\nallowed to be uploaded to this site. This applies to all wobjects that allow \r\nuploaded files and images (like Article and User Contributions). This size is \r\nmeasured in kilobytes. </P>\r\n<P><STRONG>Tittebilde strrelse<BR></STRONG>The size of the longest side of \r\nthumbnails. The thumbnail generation maintains the aspect ratio of the image. \r\nTherefore, if this value is set to 100, and you have an image that\'s 400 pixels \r\nwide and 200 pixels tall, the thumbnail will be 100 pixels wide and 50 pixels \r\ntall. <BR>Note: Thumbnails are automatically generated as images are uploaded to \r\nthe system. </P>\r\n<P>Web vedleggs sti<BR>The web-path of the directory where attachments are to be \r\nstored. </P>\r\n<P>Server vedleggs sti<BR>The local path of the directory where attachments are \r\nto be stored. (Perhaps /var/www/public/uploads) Be sure that the web server has \r\nthe rights to write to that directory.<BR></P>',1046114149);
INSERT INTO international VALUES (615,'WebGUI',12,'<P>Groups are used to subdivide privileges and responsibilities within the \r\nWebGUI system. For instance, you may be building a site for a classroom \r\nsituation. In that case you might set up a different group for each class that \r\nyou teach. You would then apply those groups to the pages that are designed for \r\neach class. <BR>There are several groups built into WebGUI. They are as follows: \r\n</P>\r\n<P><STRONG>Admins</STRONG><BR>Admins are users who have unlimited privileges \r\nwithin WebGUI. A user should only be added to the admin group if they oversee \r\nthe system. Usually only one to three people will be added to this group. </P>\r\n<P><STRONG>Content Managers</STRONG><BR>Content managers are users who have \r\nprivileges to add, edit, and delete content from various areas on the site. The \r\ncontent managers group should not be used to control individual content areas \r\nwithin the site, but to determine whether a user can edit content at all. You \r\nshould set up additional groups to separate content areas on the site. </P>\r\n<P><STRONG>Everyone</STRONG><BR>Everyone is a magic group in that no one is ever \r\nphysically inserted into it, but yet all members of the site are part of it. If \r\nyou want to open up your site to both visitors and registered users, use this \r\ngroup to do it. </P>\r\n<P><STRONG>Package Managers<BR></STRONG>Users that have privileges to add, edit, \r\nand delete packages of wobjects and pages to deploy. </P>\r\n<P><STRONG>Registered Users<BR></STRONG>When users are added to the system they \r\nare put into the registered users group. A user should only be removed from this \r\ngroup if their account is deleted or if you wish to punish a troublemaker. </P>\r\n<P><STRONG>Style Managers<BR></STRONG>Users that have privileges to edit styles \r\nfor this site. These privileges do not allow the user to assign privileges to a \r\npage, just define them to be used. </P>\r\n<P><STRONG>Template Managers</STRONG><BR>Users that have privileges to edit \r\ntemplates for this site. </P>\r\n<P><STRONG>Visitors<BR></STRONG>Visitors are users who are not logged in using \r\nan account on the system. Also, if you wish to punish a registered user you \r\ncould remove him/her from the Registered Users group and insert him/her into the \r\nVisitors group. <BR></P>',1046114032);
INSERT INTO international VALUES (614,'WebGUI',12,'<P>Styles are used to manage the look and feel of your WebGUI pages. With \r\nWebGUI, you can have an unlimited number of styles, so your site can take on as \r\nmany looks as you like. You could have some pages that look like your company\'s \r\nbrochure, and some pages that look like Yahoo!. You could even have some pages \r\nthat look like pages in a book. Using style management, you have ultimate \r\ncontrol over all your designs. <BR>There are several styles built into WebGUI. \r\nThe first of these are used by WebGUI can should not be edited or deleted. The \r\nlast few are simply example styles and may be edited or deleted as you please. \r\n</P>\r\n<P><STRONG>Clipboard<BR></STRONG>This style is used by the clipboard system. \r\n</P>\r\n<P><STRONG>Fail Safe<BR></STRONG>When you delete a style that is still in use on \r\nsome pages, the Fail Safe style will be applied to those pages. This style has a \r\nwhite background and simple navigation. </P>\r\n<P><STRONG>Make Page Printable</STRONG><BR>This style is used if you place an \r\n^r; macro on your pages and the user clicks on it. This style allows you to put \r\na simple logo and copyright message on your printable pages. </P>\r\n<P><STRONG>Packages<BR></STRONG>This style is used by the package management \r\nsystem. </P>\r\n<P><STRONG>Trach<BR></STRONG>This style is used by the trash system. </P>\r\n<P>&nbsp;</P>\r\n<P>--------------------------------------------------------------------------------<BR><STRONG>Demo \r\nStyle<BR></STRONG>This is a sample design taken from a templates site (<A \r\nhref=\"http://www.freewebtemplates.com\">www.freewebtemplates.com</A>). \r\n<BR><BR><STRONG>Plain Black Software (black) &amp; (white)<BR></STRONG>These \r\ndesigns are used on the Plain Black site. </P>\r\n<P><STRONG>Yahoo!</STRONG><BR>This is the design of the Yahoo! site. (Used \r\nwithout permission.) </P>\r\n<P><STRONG>WebGUI<BR></STRONG>This is a simple design featuring WebGUI logos. \r\n</P>\r\n<P><STRONG>WebGUI 4<BR></STRONG>This style was added to WebGUI as of version \r\n4.0.0. It is now the default style and has superceded the \"WebGUI\" style<BR></P>',1046113935);
INSERT INTO international VALUES (612,'WebGUI',12,'There is no need to ever actually delete a user. If you are concerned with \r\nlocking out a user, then simply change their password. If you truely wish to \r\ndelete a user, then please keep in mind that there are consequences. If you \r\ndelete a user any content that they added to the site via wobjects (like message \r\nboards and user contributions) will remain on the site. However, if another user \r\ntries to visit the deleted user\'s profile they will get an error message. Also \r\nif the user ever is welcomed back to the site, there is no way to give him/her \r\naccess to his/her old content items except by re-adding the user to the users \r\ntable manually.<BR> <BR>As with any delete operation, you are prompted to be \r\nsure you wish to proceed with the delete. If you answer yes, the delete will \r\nproceed and there is no recovery possible. If you answer no you\'ll be returned \r\nto the prior screen.<BR>',1046113773);
INSERT INTO international VALUES (611,'WebGUI',12,'<P><STRONG>Firma Navn<BR></STRONG>The name of your company. It will appear on \r\nall emails and anywhere you use the Company Name macro. </P>\r\n<P><STRONG>Firma ePost Adresse<BR></STRONG>A general email address at your \r\ncompany. This is the address that all automated messages will come from. It can \r\nalso be used via the WebGUI macro system. </P>\r\n<P><STRONG>Firma URL<BR></STRONG>The primary URL of your company. This will \r\nappear on all automated emails sent from the WebGUI system. It is also available \r\nvia the WebGUI macro system. </P>',1046113726);
INSERT INTO international VALUES (610,'WebGUI',12,'<P>See Manage Users for additional details. \r\n<BR><STRONG>Username</STRONG><BR>Username is a unique identifier for a user. \r\nSometimes called a handle, it is also how the user will be known on the site. \r\n(Note: Administrators have unlimited power in the WebGUI system. This also means \r\nthey are capable of breaking the system. If you rename or create a user, be \r\ncareful not to use a username already in existance.) </P>\r\n<P><STRONG>Password</STRONG><BR>A password is used to ensure that the user is \r\nwho s/he says s/he is. </P>\r\n<P><STRONG>Authentication Method</STRONG><BR>See Edit Settings for details. </P>\r\n<P><STRONG>LDAP URL</STRONG><BR>See Edit Settings for details. </P>\r\n<P><STRONG>Connect DN</STRONG><BR>The Connect DN is the cn (or common name) of a \r\ngiven user in your LDAP database. It should be specified as cn=John Doe. This \r\nis, in effect, the username that will be used to authenticate this user against \r\nyour LDAP server.<BR></P>',1046113641);
INSERT INTO international VALUES (608,'WebGUI',12,'\r\n<P> slette en side kan fre til mye rot om du er usikker p hva du gjr. Nr du \r\nsletter en side, sletter du samtidig alt innhold, alle undersider koblet til \r\ndenne siden og alt innhold p de. Vr helt sikker p at du har flyttet innhold \r\ndu nsker  beholde fr du sletter en side.</P>\r\n<P>Som med alle slette kommandoer, vil du bli spurt om du nsker  bekrefte \r\nsletting. Om du svarer Ja, vil slettingen bli utfrt og dette er permanent. Om \r\ndu svarer Nei vil du returnere til forige skjermbilde.</P>',1046113587);
INSERT INTO international VALUES (607,'WebGUI',12,'<P><STRONG>Anonymous Registration</STRONG><BR>Do you wish visitors to your site \r\nto be able to register themselves? </P>\r\n<P><STRONG>Run On Registration<BR></STRONG>If there is a command line specified \r\nhere, it will be executed each time a user registers anonymously. \r\n<BR><STRONG><BR>Alert on new user?<BR></STRONG>Should someone be alerted when a \r\nnew user registers anonymously? </P>\r\n<P><STRONG>Group To Alert On New User</STRONG><BR>What group should be alerted \r\nwhen a new user registers? </P>\r\n<P><STRONG>Enable Karma?<BR></STRONG>Should karma be enabled? </P>\r\n<P><STRONG>Karma Per Login<BR></STRONG>The amount of karma a user should be \r\ngiven when they log in. This only takes affect if karma is enabled. </P>\r\n<P><STRONG>Session Timeout</STRONG><BR>The amount of time that a user session \r\nremains active (before needing to log in again). This timeout is reset each time \r\na user views a page. Therefore if you set the timeout for 8 hours, a user would \r\nhave to log in again if s/he hadn\'t visited the site for 8 hours. </P>\r\n<P><STRONG>Authentication Method (default)<BR></STRONG>What should the default \r\nauthentication method be for new accounts that are created? The two available \r\noptions are WebGUI and LDAP. WebGUI authentication means that the users will \r\nauthenticate against the username and password stored in the WebGUI database. \r\nLDAP authentication means that users will authenticate against an external LDAP \r\nserver. </P>\r\n<P>Note: Authentication settings can be customized on a per user basis. </P>\r\n<P><STRONG>Username Binding<BR></STRONG>Bind the WebGUI username to the LDAP \r\nIdentity. This requires the user to have the same username in WebGUI as they \r\nspecified during the Anonymous Registration process. It also means that they \r\nwon\'t be able to change their username later. This only in effect if the user is \r\nauthenticating against LDAP. </P>\r\n<P><STRONG>LDAP URL (default)<BR></STRONG>The default url to your LDAP server. \r\nThe LDAP URL takes the form of <A \r\nhref=\"ldap://[server]:[port]/[base\">ldap://[server]:[port]/[base</A> DN]. \r\nExample: <A \r\nhref=\"ldap://ldap.mycompany.com:389/o=MyCompany\">ldap://ldap.mycompany.com:389/o=MyCompany</A>. \r\n</P>\r\n<P><STRONG>LDAP Identity</STRONG><BR>The LDAP Identity is the unique identifier \r\nin the LDAP server that the user will be identified against. Often this field is \r\nshortname, which takes the form of first initial + last name. Example: jdoe. \r\nTherefore if you specify the LDAP identity to be shortname then Jon Doe would \r\nenter jdoe during the registration process. </P>\r\n<P><STRONG>LDAP Identity Name</STRONG><BR>The label used to describe the LDAP \r\nIdentity to the user. For instance, some companies use an LDAP server for their \r\nproxy server users to authenticate against. In the documentation or training \r\nalready provided to their users, the LDAP identity is known as their Web \r\nUsername. So you could enter that label here for consitency. </P>\r\n<P><STRONG>LDAP Password Name</STRONG><BR>Just as the LDAP Identity Name is a \r\nlabel, so is the LDAP Password Name. Use this label as you would LDAP Identity \r\nName.<BR></P>',1046113549);
INSERT INTO international VALUES (606,'WebGUI',12,'\r\n<DIV align=left>Tenk p Sider som bokser for innhold. For eksempel. Om du vil \r\nskrive et brev til redaktren av ditt favoritt magasin, da ville du tr frem \r\ntekstbehandleren og begynne  skrive inn dine tanker. Det samme er riktig for \r\nWebGUI. Lag en side og deretter fyller du den med innhold.</DIV>\r\n<DIV align=left><BR><STRONG>Tittel<BR></STRONG>The title of the page is what \r\nyour users will use to navigate through the site. Titles should be descriptive, \r\nbut not very long. </DIV>\r\n<DIV align=left><BR><STRONG>Meny Tittel</STRONG><BR>A shorter or altered title \r\nto appear in navigation. If left blank this will default to Title. </DIV>\r\n<DIV align=left>&nbsp;</DIV>\r\n<DIV align=left><STRONG>Side URL<BR></STRONG>When you create a page a URL for \r\nthe page is generated based on the page title. If you are unhappy with the URL \r\nthat was chosen, you can change it here. </DIV>\r\n<DIV align=left>&nbsp;</DIV>\r\n<DIV align=left><STRONG>Sprk<BR></STRONG>Choose the default language for this \r\npage. All WebGUI generated messages will appear in that language and the \r\ncharacter set will be changed to the character set for that language. </DIV>\r\n<DIV align=left>&nbsp;</DIV>\r\n<DIV align=left><STRONG>Redirect URL<BR></STRONG>When this page is visited, the \r\nuser will be redirected to the URL specified here. In order to edit this page in \r\nthe future, you\'ll have to access it from the \"Manage page tree.\" menu under \r\n\"Administrative functions...\" </DIV>\r\n<DIV align=left><BR><STRONG>Template<BR></STRONG>By default, WebGUI has one big \r\ncontent area to place wobjects. However, by specifying a template other than the \r\ndefault you can sub-divide the content area into several sections. </DIV>\r\n<DIV align=left><BR><STRONG>Kort beskrivelse<BR></STRONG>A short description of \r\na page. It is used to populate default descriptive meta tags as well as to \r\nprovide descriptions on Site Maps. </DIV>\r\n<DIV align=left>&nbsp;</DIV>\r\n<DIV align=left><STRONG>Meta Tags<BR></STRONG>Meta tags are used by some search \r\nengines to associate key words to a particular page. There is a great site \r\ncalled Meta Tag Builder that will help you build meta tags if you\'ve never done \r\nit before. </DIV>\r\n<DIV align=left><STRONG>Advanced Users:</STRONG> If you have other things (like \r\nJavaScript) you usually put in the area of your pages, you may put them here as \r\nwell. </DIV>\r\n<DIV align=left>&nbsp;</DIV>\r\n<DIV align=left><STRONG>Bruk Standard&nbsp;meta tags?<BR></STRONG>If you don\'t \r\nwish to specify meta tags yourself, WebGUI can generate meta tags based on the \r\npage title and your company\'s name. Check this box to enable the \r\nWebGUI-generated meta tags. </DIV>\r\n<DIV align=left><BR><STRONG>Style</STRONG><BR>By default, when you create a \r\npage, it inherits a few traits from its parent. One of those traits is style. \r\nChoose from the list of styles if you would like to change the appearance of \r\nthis page. See Add Style for more details. </DIV>\r\n<DIV align=left>If you select \"Yes\" below the style pull-down menu, all of the \r\npages below this page will take on the style you\'ve chosen for this page. </DIV>\r\n<DIV align=left><BR><STRONG>Start Dato</STRONG><BR>The date when users may begin \r\nviewing this page. Note that before this date only content managers with the \r\nrights to edit this page will see it. </DIV>\r\n<DIV align=left><BR><STRONG>Slutt Dato<BR></STRONG>The date when users will stop \r\nviewing this page. Note that after this date only content managers with the \r\nrights to edit this page will see it. </DIV>\r\n<DIV align=left>&nbsp;</DIV>\r\n<DIV align=left><STRONG>Eier<BR></STRONG>The owner of a page is usually the \r\nperson who created the page. </DIV>\r\n<DIV align=left>&nbsp;</DIV>\r\n<DIV align=left><STRONG>Eier kan Se?</STRONG><BR>Can the owner view the page or \r\nnot? </DIV>\r\n<DIV align=left><BR><STRONG>Eier kan Redigere?<BR></STRONG>Can the owner edit \r\nthe page or not? Be careful, if you decide that the owner cannot edit the page \r\nand you do not belong to the page group, then you\'ll lose the ability to edit \r\nthis page. </DIV>\r\n<DIV align=left><BR><STRONG>Gruppe</STRONG><BR>A group is assigned to every page \r\nfor additional privilege control. Pick a group from the pull-down menu. </DIV>\r\n<DIV align=left>&nbsp;</DIV>\r\n<DIV align=left><STRONG>Gruppe kan Se?<BR></STRONG>Can members of this group \r\nview this page? </DIV>\r\n<DIV align=left><BR><STRONG>Gruppe kan Redigere?<BR></STRONG>Can members of this \r\ngroup edit this page? </DIV>\r\n<DIV align=left><BR><STRONG>Alle kan Se?</STRONG><BR>Can any visitor or member \r\nregardless of the group and owner view this page? </DIV>\r\n<DIV align=left>&nbsp;</DIV>\r\n<DIV align=left><STRONG>Alle kan Redigere?<BR></STRONG>Can any visitor or member \r\nregardless of the group and owner edit this page? </DIV>\r\n<DIV align=left>You can optionally recursively give these privileges to all \r\npages under this page. </DIV>\r\n<DIV align=left><BR><STRONG>Hva N?</STRONG><BR>If you leave this on the default \r\nsetting you\'ll be redirected to the new page after creating it.<BR></DIV>',1046113437);
INSERT INTO international VALUES (422,'WebGUI',12,'<P><STRONG>INNLOGGING FEILET</STRONG></P>\r\n<P>Oppgitt informasjon stemmer ikke med kontoinformasjonen.</P>',1046111325);
INSERT INTO international VALUES (417,'WebGUI',12,'<P><STRONG><FONT size=3>SIKKERHETS BRUDD</FONT></STRONG></P>\r\n<P>Du prvde  f tilgang til et Wobject som ikke tilhrer denne siden. Denne \r\nhendelsen er rapportert.</P>',1046111279);
INSERT INTO international VALUES (416,'WebGUI',12,'\r\n<P><STRONG>PROBLEM MED FORESPRSEL</STRONG></P>\r\n<P>Vi har ftte et problem med foresprselen din. Prv  bruke Tilbake knappen \r\nog prv igjen. Om problemet fortsetter, ta gjerne kontakt med oss med hva du \r\nnsket  gjre samt dato og tidspunkt nr problemet oppsto.</P>',1046111232);
INSERT INTO international VALUES (77,'USS',12,'\r\n<P>Det flgende er en liste over template variabler som er brukt i Bruker \r\nBidrags templates. Bruker Bidrags templates benyttes for  vis det enkelt bidrag \r\ni et bruker bidrags system.</P>\r\n<P><STRONG>title</STRONG><BR>The title of this submission. </P>\r\n<P><STRONG>content<BR></STRONG>The full text content of this submission. </P>\r\n<P><STRONG>user.label</STRONG><BR>The translated label indicating what user \r\nposted this submission. </P>\r\n<P><STRONG>user.profile</STRONG><BR>The URL to the profile of the user that \r\nposted this submission. </P>\r\n<P><STRONG>user.username<BR></STRONG>The username of the user that posted this \r\nsubmission. </P>\r\n<P><STRONG>user.id</STRONG><BR>The unique identifier for the user that posted \r\nthis submission. </P>\r\n<P><STRONG>date.label</STRONG><BR>The translated label indicating what date this \r\nsubmission was posted. </P>\r\n<P><STRONG>date.epoch<BR></STRONG>The number of seconds since January 1, 1970 \r\nthat this submission was posted. </P>\r\n<P><STRONG>date.human</STRONG><BR>A human readable date that displays the date \r\nand time this submission was posted. </P>\r\n<P><STRONG>status.label<BR></STRONG>A translated label indicating the status of \r\nthis submission. </P>\r\n<P><STRONG>status.status</STRONG><BR>The actual status of this submission \r\n(pending, approved, denied). </P>\r\n<P><STRONG>views.label</STRONG><BR>A translated label indicating how many times \r\nthis submission has been viewed. </P>\r\n<P><STRONG>views.count<BR></STRONG>The number of times this submission has been \r\nviewed. </P>\r\n<P><STRONG>canPost<BR></STRONG>An condition indicating whether or not this user \r\ncan post a new submission. </P>\r\n<P><STRONG>post.url<BR></STRONG>The URL to post a new submission. </P>\r\n<P><STRONG>post.label<BR></STRONG>A translated label for the post link. </P>\r\n<P><STRONG>previous.more<BR></STRONG>An condition indicating whether there are \r\nany posts prior to this one available for viewing. </P>\r\n<P><STRONG>previous.url</STRONG><BR>A URL to the post that came before this one. \r\n</P>\r\n<P><STRONG>previous.label<BR></STRONG>A translated label for the previous link. \r\n</P>\r\n<P><STRONG>next.more<BR></STRONG>A condition indicating whether there are any \r\nposts after this one available for viewing. </P>\r\n<P><STRONG>next.url<BR></STRONG>The URL to the post that came after this one. \r\n</P>\r\n<P><STRONG>next.label</STRONG><BR>A translated label for the next link. </P>\r\n<P><STRONG>canEdit</STRONG><BR>A condition indicating whether the current user \r\ncane edit or delete this post. </P>\r\n<P><STRONG>edit.url<BR></STRONG>The URL to edit this post. </P>\r\n<P><STRONG>edit.label</STRONG><BR>A translated label for the edit link. </P>\r\n<P><STRONG>delete.url</STRONG><BR>The URL to delete this post. </P>\r\n<P><STRONG>delete.label<BR></STRONG>A translated label for the delete link. </P>\r\n<P><STRONG>canChangeStatus<BR></STRONG>A condition indicating whether the \r\ncurrent user has the privileges to change the status of this post. </P>\r\n<P>app<STRONG>rove.url</STRONG><BR>The URL to approve this post. </P>\r\n<P><STRONG>approve.label</STRONG><BR>A translated label for the approve link. \r\n</P>\r\n<P><STRONG>deny.url<BR></STRONG>The URL to deny this post. </P>\r\n<P><STRONG>deny.label<BR></STRONG>A translated label for the deny link. </P>\r\n<P><STRONG>leave.url<BR></STRONG>The URL to leave this post in it\'s current \r\nstate. </P>\r\n<P><STRONG>leave.label<BR></STRONG>A translated label for the leave link. </P>\r\n<P><STRONG>canReply</STRONG><BR>A condition indicating whether the current user \r\ncan reply to this post. </P>\r\n<P><STRONG>reply.url<BR></STRONG>The URL to reply to this post. </P>\r\n<P><STRONG>reply.label</STRONG><BR>A translated label for the reply link. </P>\r\n<P><STRONG>search.url<BR></STRONG>The URL to toggle on the WebGUI power search \r\nform. </P>\r\n<P><STRONG>search.label<BR></STRONG>A translated label for the search link. </P>\r\n<P><STRONG>back.url</STRONG><BR>The URL to return the user to the main listing. \r\n</P>\r\n<P><STRONG>back.label<BR></STRONG>A translated label for the back link. </P>\r\n<P><STRONG>replies</STRONG><BR>A complete listing of all replies to this \r\npost.<BR></P>',1046111143);
INSERT INTO international VALUES (75,'USS',12,'<P>Dette er en liste over template variabler som er tilgjengelige i Bruker \r\nBidrags Templates.</P>\r\n<P><STRONG>readmore.label<BR></STRONG>A translated label that indicates that the \r\nuser should click to read more. </P>\r\n<P><STRONG>responses.label<BR></STRONG>A translated label that indicates that \r\nthe user should click to view the responses to this submission. </P>\r\n<P><STRONG>canPost</STRONG><BR>A condition that indicates whether a user can add \r\na new submission. </P>\r\n<P><STRONG>post.url</STRONG><BR>The URL to add a new submission. </P>\r\n<P><STRONG>post.label<BR></STRONG>A translated label for the post link. </P>\r\n<P><STRONG>search.label</STRONG><BR>A translated label for the search link. </P>\r\n<P><STRONG>search.url</STRONG><BR>The URL to toggle on/off WebGUI\'s power search \r\nform. </P>\r\n<P><STRONG>search.form<BR></STRONG>WebGUI\'s power search form. </P>\r\n<P><STRONG>title.label<BR></STRONG>A translated label for the title column. </P>\r\n<P><STRONG>thumbnail.label<BR></STRONG>A translated label for the thumbnail \r\ncolumn. </P>\r\n<P><STRONG>date.label</STRONG><BR>A translated label for the date column. </P>\r\n<P><STRONG>by.label<BR></STRONG>A translated label stating who the submission \r\nwas submitted by. </P>\r\n<P><STRONG>submissions_loop<BR></STRONG>A loop containing each submission. </P>\r\n<P><STRONG>submission.id</STRONG><BR>A unique identifier for this submission. \r\n<BR><BR><STRONG>submission.url</STRONG><BR>The URL to view this submission. </P>\r\n<P><STRONG>submission.content</STRONG><BR>The abbreviated text content of this \r\nsubmission. </P>\r\n<P><STRONG>submission.responses</STRONG><BR>The number of responses to this \r\nsubmission. </P>\r\n<P><STRONG>submission.title</STRONG><BR>The title for this submission. </P>\r\n<P><STRONG>submission.userId<BR></STRONG>The user id of the user that posted \r\nthis submission. </P>\r\n<P><STRONG>submission.username</STRONG><BR>The username of the person that \r\nposted this submission. </P>\r\n<P><STRONG>submission.status</STRONG><BR>The status of this submission \r\n(approved, pending, denied). </P>\r\n<P><STRONG>submission.thumbnail<BR></STRONG>The thumbnail of the image uploaded \r\nwith this submission (if any). </P>\r\n<P><STRONG>submission.date<BR></STRONG>The that this submission was posted. </P>\r\n<P><STRONG>submission.currentUser<BR></STRONG>A condition indicating whether the \r\ncurrent user is the same as the user that posted this submission. </P>\r\n<P><STRONG>submission.userProfile<BR></STRONG>The URL to the profile of the user \r\nthat posted this submission. </P>\r\n<P><STRONG>submission.secondColumn</STRONG><BR>A condition indicating whether or \r\nnot this submission would belong in the second column, in a multi-column layout. \r\n</P>\r\n<P><STRONG>submission.thirdColumn</STRONG><BR>A condition indicating whether or \r\nnot this submission would belong in the third column, in a multi-column layout. \r\n</P>\r\n<P><STRONG>submission.fourthColumn</STRONG><BR>A condition indicating whether or \r\nnot this submission would belong in the fourth column, in a multi-column layout. \r\n</P>\r\n<P><STRONG>submission.fifthColumn</STRONG><BR>A condition indicating whether or \r\nnot this submission would belong in the fifth column, in a multi-column layout. \r\n</P>\r\n<P><BR><STRONG>firstPage</STRONG><BR>A link to the first page in the paginator. \r\n</P>\r\n<P><STRONG>lastPage<BR></STRONG>A link to the last page in the paginator. </P>\r\n<P><STRONG>nextPage<BR></STRONG>A link to the next page forward in the \r\npaginator. </P>\r\n<P><STRONG>previousPage<BR></STRONG>A link to the next page backward in the \r\npaginator. </P>\r\n<P><STRONG>pageList</STRONG><BR>A list of links to all the pages in the \r\npaginator. </P>\r\n<P><STRONG>multiplePages</STRONG><BR>A conditional indicating whether there is \r\nmore than one page in the paginator. <BR></P>',1046110856);
INSERT INTO international VALUES (4,'Survey',12,'\r\n<P>Underskelser setter deg i stand til  samle informasjon fra dine brukere. \r\nMed WebGUI sine underskelser kan du ogs teste kunnskapsniv.</P>\r\n<P><STRONG>Sprsmls rekkeflge</STRONG><BR>Rekkeflgen sprsml vil bli stilt. \r\nSekvensielt viser sprsmlene i den rekkeflgen de ble laget. Vilkrlig viser \r\nsprsmlene i tilfeldig rekkeflge. Respons styrt viser sprsmlen sortert etter \r\nresponsen fra brukerene.</P>\r\n<P><STRONG>Modus</STRONG><BR>Som standard er Underskelse i Underskelse modus. \r\nDette gjr at du kan stille sprsml til brukerene dine. Om du bytter til Test \r\nmodus kan du lage en selvrettende test av dine brukeres kunnskapsniv.</P>\r\n<P><STRONG>Hvem kan ta underskelsen?<BR></STRONG>Hvilke brukere kan delta i \r\nunderskelsen?</P>\r\n<P><STRONG>Hvem kan se rapporter?</STRONG><BR>Hvem kan se resultatene av en \r\nunderskelse?</P>\r\n<P><STRONG>Hva n?</STRONG><BR>Om du beholder standardinstillingen vil du kunne \r\nlegge in sprsml direkte etter at Underskelsen er lagt til.</P>',1046041486);
INSERT INTO international VALUES (71,'SiteMap',12,'\r\n<P>Site maps are used to provide additional navigation in WebGUI. You could set \r\nup a traditional site map that would display a hierarchical view of all the \r\npages in the site. On the other hand, you could use site maps to provide extra \r\nnavigation at certain levels in your site. </P>\r\n<P><STRONG>Template</STRONG><BR>Choose a layout for this site map. <BR>Start \r\nWith<BR>Select the page that this site map should start from. </P>\r\n<P><STRONG>Depth To Traverse</STRONG><BR>How many levels deep of navigation \r\nshould the Site Map show? If 0 (zero) is specified, it will show as many levels \r\nas there are. </P>\r\n<P><STRONG>Indent </STRONG><BR>How many characters should indent each level? \r\n<BR></P>',1046041368);
INSERT INTO international VALUES (71,'SQLReport',12,'\r\n<P>SQL Reports are perhaps the most powerful wobject in the WebGUI arsenal. They \r\nallow a user to query data from any database that they have access to. This is \r\ngreat for getting sales figures from your Accounting database or even \r\nsummarizing all the message boards on your web site. <BR><STRONG><BR>Preprocess \r\nmacros on query?<BR></STRONG>If you\'re using WebGUI macros in your query you\'ll \r\nwant to check this box. </P>\r\n<P><STRONG>Debug?</STRONG><BR>If you want to display debugging and error \r\nmessages on the page, check this box. </P>\r\n<P><STRONG>Query</STRONG><BR>This is a standard SQL query. If you are unfamiliar \r\nwith SQL, Plain Black Software provides training courses in SQL and database \r\nmanagement. You can make your queries more dynamic by using the ^FormParam(); \r\nmacro. </P>\r\n<P><STRONG>Report Template</STRONG><BR>Layout a template of how this report \r\nshould look. Usually you\'ll use HTML tables to generate a report. An example is \r\nincluded below. If you leave this field blank a template will be generated based \r\non your result set. </P>\r\n<P>There are special macro characters used in generating SQL Reports. They are \r\n<STRONG>^-;, ^0;, ^1;, ^2;, ^3</STRONG>;, etc. These macros will be processed \r\nregardless of whether you checked the process macros box above. The ^- macro \r\nrepresents split points in the document where the report will begin and end \r\nlooping. The numeric macros represent the data fields that will be returned from \r\nyour query. There is an additional macro, <STRONG>^rownum;</STRONG> that counts \r\nthe rows of the query starting at 1 for use where the lines of the output need \r\nto be numbered. </P>\r\n<P><STRONG>DSN<BR></STRONG>Data Source Name is the unique identifier that Perl \r\nuses to describe the location of your database. It takes the format of \r\nDBI:[driver]:[database name]:[host]. </P>\r\n<P><STRONG>Example:</STRONG> DBI:mysql:WebGUI:localhost </P>\r\n<P><STRONG>Database User</STRONG> <BR>The username you use to connect to the \r\nDSN. </P>\r\n<P><STRONG>Database Password</STRONG> <BR>The password you use to connect to the \r\nDSN. </P>\r\n<P><STRONG>Paginate After</STRONG> <BR>How many rows should be displayed before \r\nsplitting the results into separate pages? In other words, how many rows should \r\nbe displayed per page? </P>\r\n<P><STRONG>Convert carriage returns?</STRONG> <BR>Do you wish to convert the \r\ncarriage returns in the resultant data to HTML breaks (<BR>). <BR></P>',1046041312);
INSERT INTO international VALUES (63,'Product',12,'\r\n<P>Det flgende er en liste over Template variabler som kan benyttes i en \r\nProdukt Template.</P>\r\n<P><STRONG>brochure.icon<BR></STRONG>The URL to the icon for the brochure. </P>\r\n<P><STRONG>brochure.url</STRONG><BR>The URL to download the brochure. </P>\r\n<P><STRONG>brochure.label<BR></STRONG>The translated label for the brochure URL. \r\n</P>\r\n<P><STRONG>warranty.icon<BR></STRONG>The URL to the icon for the warranty. </P>\r\n<P><STRONG>warranty.url</STRONG><BR>The URL to download the warranty. </P>\r\n<P><STRONG>warranty.label</STRONG><BR>The label for the warranty URL. </P>\r\n<P><STRONG>image1</STRONG><BR>The URL to the first image uploaded to this \r\nproduct. </P>\r\n<P><STRONG>thumbnail1</STRONG><BR>The URL to the thumbnail of the first image \r\nuploaded to this product. </P>\r\n<P><STRONG>image2<BR></STRONG>The URL to the second image uploaded to this \r\nproduct. </P>\r\n<P><STRONG>thumbnail2<BR></STRONG>The URL to the thumbnail of the second image \r\nuploaded to this product. </P>\r\n<P><STRONG>image3<BR></STRONG>The URL to the third image uploaded to this \r\nproduct. </P>\r\n<P><STRONG>thumbnail3<BR></STRONG>The URL to the thumbnail of the third image \r\nuploaded to this product. </P>\r\n<P><STRONG>addfeature.url</STRONG><BR>The URL to add a feature to this product. \r\n</P>\r\n<P><STRONG>addfeature.label</STRONG><BR>The translated label for the add feature \r\nlink. </P>\r\n<P><STRONG>feature_loop<BR></STRONG>This loop contains all of the features \r\nassociated with this product. </P>\r\n<P><STRONG>feature.controls<BR></STRONG>The WebGUI management controls for this \r\nfeature.<BR> <BR><STRONG>feature.feature<BR></STRONG>The text of the feature \r\nitself. </P>\r\n<P><BR><STRONG>addbenefit.url</STRONG><BR>The URL to add a benefit to this \r\nproduct. </P>\r\n<P><STRONG>addbenefit.label<BR></STRONG>The translated label for the add benefit \r\nlink. </P>\r\n<P><STRONG>benefit_loop<BR></STRONG>This loop contains the benefits for this \r\nproduct. </P>\r\n<P><STRONG>benefit.benefit</STRONG><BR>The benefit text itself.<BR> \r\n<BR><STRONG>benefit.controls</STRONG><BR>The WebGUI management controls for this \r\nbenefit. <BR><BR><STRONG>addspecification.url</STRONG><BR>The URL to add a \r\nspecification to this product. </P>\r\n<P><STRONG>addspecification.label</STRONG><BR>The translated label for the add \r\nspecification link. </P>\r\n<P><STRONG>specification_loop</STRONG><BR>The list of specifications associated \r\nwith this product. </P>\r\n<P><STRONG>specification.controls<BR></STRONG>The WebGUI management controls for \r\nthis specification. <BR><BR><STRONG>specification.specification<BR></STRONG>The \r\ntext of the specification itself. </P>\r\n<P><STRONG>specification.units<BR></STRONG>The units for this specification. ex: \r\nmeters </P>\r\n<P><STRONG>specification.label</STRONG><BR>The label for this specification. ex: \r\nheight </P>\r\n<P><BR><STRONG>addaccessory.url<BR></STRONG>The URL to add an accessory to this \r\nproduct. </P>\r\n<P><STRONG>addaccessory.label<BR></STRONG>The translated label for the add \r\naccessory link. </P>\r\n<P><STRONG>accessory_loop<BR></STRONG>This loop contains all of the accessories \r\nassociated with this product. </P>\r\n<P><STRONG>accessory.url</STRONG><BR>The URL to the linked accessory. \r\n<BR><BR><STRONG>accessory.title</STRONG><BR>The title of the linked accessory. \r\n</P>\r\n<P><STRONG>accessory.controls<BR></STRONG>The WebGUI management controls for \r\nthis accessory. </P>\r\n<P><STRONG>addRelatedProduct.url</STRONG><BR>The URL to add a related product to \r\nthis product. </P>\r\n<P><STRONG>addRelatedProduct.label</STRONG><BR>The translated label for the add \r\nrelated product link. </P>\r\n<P><STRONG>relatedproduct.url<BR></STRONG>The URL to the linked product. </P>\r\n<P><STRONG>relatedproduct.title</STRONG><BR>The title of the linked product. \r\n</P>\r\n<P><STRONG>relatedproduct.controls<BR></STRONG>The WebGUI management controls \r\nfor this related product. <BR></P>',1046041159);
INSERT INTO international VALUES (50,'Product',12,'\r\n<P>Fordeler er typisk et resultat av egenskapene til produktet dit. De er \r\ngrunnen til at produktet er s bra. Om du legger til fordeler, vil du \r\nsannsynligvis legge til noen egenskaper ogs.</P>\r\n<P><STRONG>Fordeler</STRONG><BR>Du kan Legge Til en ny Fordel, eller velge fra \r\nlisten over fordeler som allerede er lagt inn.</P>\r\n<P><STRONG>Legg Til Fordel?</STRONG><BR>Om du vil legge til en ny Fordel \r\numiddelbart, s velg \"Ja\".</P>',1046040906);
INSERT INTO international VALUES (47,'Product',12,'\r\n<P>Relaterte Produkter er produkter som er kompatible eller likestillet med \r\nandre produkter.</P>\r\n<P><STRONG>Relaterte Produkter<BR></STRONG>Velg fra listen av produkter du \r\nallerede har lagt inn.</P>\r\n<P><STRONG>Legg til et nytt Relatert Produkt?<BR></STRONG>Velg \"Ja\" om du har \r\nflere Relaterte Produkter  legge til.</P>',1046040848);
INSERT INTO international VALUES (45,'Product',12,'\r\n<P>Tilbehr er produkter som kompletterer andre produkter</P>\r\n<P><STRONG>Tilbehr<BR></STRONG>Velg fra listen av produkter du allerede har \r\nlagt inn.</P>\r\n<P><STRONG>Legg til et nytt Tilbehr?<BR></STRONG>Velg \"Ja\" om du har flere \r\nTilbehr  legge til.</P>',1046040797);
INSERT INTO international VALUES (43,'Product',12,'<P>Spesifikasjoner er de tekniske detaljene for produktet.</P>\r\n<P><STRONG>Label<BR></STRONG>Typen av spesifikasjon. F.eks Hyde, bredde, vekt \r\neller farge. Du kan velge en du har laget for et annet produkt, eller legge inn \r\nen ny spesifikasjon.</P>\r\n<P><STRONG>Spesifikasjon</STRONG><BR>Verdien av spesifikasjonen. F.eks, om du \r\nvelger hyde som Label, da kan du legge inn en verdi som \"18\"</P>\r\n<P><STRONG>Enhet<BR></STRONG>Enheten for  mle denne spesifikasjonen. F.eks. om \r\ndu velger hyde som Label, vil kanskje enheten vre \"cm\"</P>\r\n<P><STRONG>Legg til en ny Spesifikasjon?</STRONG><BR>Om du nsker  legge til en \r\nny spesifikasjon s velg \"Ja\". </P>',1046040748);
INSERT INTO international VALUES (41,'Product',12,'<P>Egenskaper er salgsargumenter for produktet. F.eks. argumenter for  kjpe \r\nditt produkt. Egenskaper resulterer ofte i fordeler, s kankje du vil legge til \r\nnoen fordeler til dette produktet.</P>\r\n<P><STRONG>Egenskap</STRONG><BR>Du kan legge til en ny egenskap eller velge en \r\nsom er lagt til et annet produkt.</P>\r\n<P><STRONG>Legg til en ny egenskap?<BR></STRONG>Om du nsker  legge til en ny \r\nEgenskap s velger du \"Ja\"</P>',1046040683);
INSERT INTO international VALUES (39,'Product',12,'<P>WebGUI har et produkt management system bygget inn som setter deg i stand til \r\n publisere dine produkter og tjenester til WEB siden, raskt og enkelt.</P>\r\n<P><STRONG>Template</STRONG><BR>Velg et utseende for publiseringen av dette \r\nproduktet.</P>\r\n<P><STRONG>Pris<BR></STRONG>Prisen p produktet. Du kan eventuelt skrive en \r\ntekst som \"Ring for Pris\", eller du kan la det vre tomt.</P>\r\n<P><STRONG>Produkt nummer</STRONG><BR>Produktnummeret, varenummeret, ISBN, eller \r\nen annen identifikator.</P>\r\n<P><STRONG>Produkt Bilde 1</STRONG><BR>Et bilde av produktet</P>\r\n<P><STRONG>Produkt Bilde 2</STRONG><BR>Et bilde av produktet</P>\r\n<P><STRONG>Produkt Bilde 3<BR></STRONG>Et bilde av produktet</P>\r\n<P><STRONG>Brosjyre</STRONG><BR>Brosjyren av produktet.</P>\r\n<P><STRONG>Manual</STRONG><BR>Produkt, bruker eller service-manual til \r\nproduktet.</P>\r\n<P><STRONG>Garanti</STRONG><BR>Garantivilkr for produktet.</P>',1046040623);
INSERT INTO international VALUES (71,'Poll',12,'\r\n<P>Avstemning kan brukes for  f frem meningen til dine beskende p \r\nforskjellige temaer.</P>\r\n<P><STRONG>Aktiv</STRONG><BR>If this box is checked, then users will be able to \r\nvote. Otherwise they\'ll only be able to see the results of the poll. </P>\r\n<P><STRONG>Hvem kan stemme?<BR></STRONG>Choose a group that can vote on this \r\nPoll. </P>\r\n<P><STRONG>Karma Pr Stemme</STRONG><BR>How much karma should be given to a user \r\nwhen they vote? </P>\r\n<P><STRONG>Graf Bredde</STRONG><BR>The width of the poll results graph. The \r\nwidth is measured in pixels. </P>\r\n<P><STRONG>Sprsml<BR></STRONG>What is the question you\'d like to ask your \r\nusers? </P>\r\n<P><STRONG>Svar<BR></STRONG>Enter the possible answers to your question. Enter \r\nonly one answer per line. Polls are only capable of 20 possible answers. </P>\r\n<P><STRONG>Tilfeldig rekkeflge p svar?</STRONG><BR>In order to be sure that \r\nthe ordering of the answers in the poll does not bias your users, it is often \r\nhelpful to present the options in a random order each time they are shown. \r\nSelect \"yes\" to randomize the answers on the poll. </P>\r\n<P><STRONG>Tilbakestill Stemmer.<BR></STRONG>Reset the votes on this Poll. </P>\r\n<P>--------------------------------------------------------------------------------<BR><STRONG>Note:</STRONG> \r\nThe following style sheet entries are custom to the Poll wobject: </P>\r\n<P><STRONG>.pollAnswer</STRONG> <BR>An answer on a poll. \r\n<BR><BR><STRONG>.pollColor <BR></STRONG>The color of the percentage bar on a \r\npoll. </P>\r\n<P><STRONG>.pollQuestion</STRONG> <BR>The question on a poll.<BR></P>',1046040541);
INSERT INTO international VALUES (74,'MessageBoard',12,'\r\n<P>&nbsp;</P>\r\n<P>De flgende er en liste over Template variabler som er tilgjengelige i \r\nMeldings Templates.<BR><BR><STRONG>canPost<BR></STRONG>A conditional indicating \r\nwhether the current user has the privileges to post a new message. </P>\r\n<P><STRONG>post.url<BR></STRONG>The URL to post a new message. </P>\r\n<P><STRONG>post.label<BR></STRONG>The translated label for the post URL. </P>\r\n<P><STRONG>search.url<BR></STRONG>The URL to search this message board. </P>\r\n<P><STRONG>search.label</STRONG><BR>The translated label for the search URL. \r\n</P>\r\n<P><STRONG>subject.label</STRONG><BR>The translated label for the subject \r\ncolumn. </P>\r\n<P><STRONG>user.label<BR></STRONG>The translated label for the user column. </P>\r\n<P><STRONG>date.label</STRONG><BR>The translated label for the date column. </P>\r\n<P><STRONG>views.label<BR></STRONG>The translated label for the views column. \r\n</P>\r\n<P><STRONG>replies.label<BR></STRONG>The translated label for the replies \r\ncolumn. </P>\r\n<P><STRONG>last.label</STRONG><BR>The translated label for the last reply \r\ncolumn. </P>\r\n<P><STRONG>message_loop<BR></STRONG>The loop containing each message. </P>\r\n<P><STRONG>last.url<BR></STRONG>The URL to the last reply to this message. \r\n<BR>last.subject<BR>The subject on the last reply to this message. </P>\r\n<P><STRONG>last.username</STRONG><BR>The username who posted the last reply to \r\nthis message. </P>\r\n<P><STRONG>last.userProfile<BR></STRONG>The URL to the profile of the user who \r\nposted the last reply to this message. </P>\r\n<P><STRONG>last.date<BR></STRONG>The date that the last reply to this message \r\nwas posted. </P>\r\n<P><STRONG>message.subject<BR></STRONG>The subject of this message. </P>\r\n<P><STRONG>message.date</STRONG><BR>The date that this message was posted. </P>\r\n<P><STRONG>message.user<BR></STRONG>The user that posted this message. </P>\r\n<P><STRONG>message.views</STRONG><BR>The views that this message has received. \r\n</P>\r\n<P><STRONG>message.replies</STRONG><BR>The number of replies to this thread. \r\n</P>\r\n<P><STRONG>message.url<BR></STRONG>The URL to view this message. </P>\r\n<P><STRONG>message.currentUser<BR></STRONG>A condition indicating whether the \r\ncurrent user is also the user that posted this message. </P>\r\n<P><STRONG>message.status<BR></STRONG>The status of this message (pending, \r\napproved, denied). </P>\r\n<P><BR><STRONG>firstPage</STRONG><BR>A link to the first page in the paginator. \r\n</P>\r\n<P><STRONG>lastPage<BR></STRONG>A link to the last page in the paginator. </P>\r\n<P><STRONG>nextPage</STRONG><BR>A link to the next page forward in the \r\npaginator. </P>\r\n<P><STRONG>previousPage<BR></STRONG>A link to the next page backward in the \r\npaginator. </P>\r\n<P><STRONG>pageList<BR></STRONG>A list of links to all the pages in the \r\npaginator. </P>\r\n<P><STRONG>multiplePages</STRONG><BR>A conditional indicating whether there is \r\nmore than one page in the paginator. <BR></P>',1046040410);
INSERT INTO international VALUES (72,'MailForm',12,'\r\n<P>You may add as many additional fields to your Mail Form as you like. </P>\r\n<P><STRONG>Felt Navn<BR></STRONG>Navnet m vre unikt blant navnet p felter i \r\ndette skjemaet.<BR><BR><STRONG>Status<BR></STRONG>Skjulte felt vil ikke vre \r\nsynelige for brukeren, men vil sendes sammen med ePosten.<BR>Synlige felt vil \r\nvre synlige, men vil ikke kunne redigeres.<BR>Redigerbare felt kan endres av \r\nbruker.<BR>Om du velger skjult eller synlig, s oppgi en \r\nstandardverdi(Viktig)</P>\r\n<P><STRONG>Type<BR></STRONG>Velg skjemaelement for dette feltet. Du kan velge \r\nmellom:<BR>URL: En tekstboks som vil automormatere URL\'r som skrives \r\ninn.<BR>Tekstboks: Standard tekstboks<BR>Dato: En tekstboks med en popup for \r\nvalg av dato.<BR>Ja/Nei: Et sett av Ja/Nei valg knapper<BR>ePost-Adresse: En \r\ntekstboks som kreve inntasting av en gyldig ePost adresse.<BR>TekstOmrde: Et \r\nenkelt ommrde for inntasting av tekst.<BR>Avkryssningsboks: En enkel \r\navkryssningsboks.<BR>Rullegardin boks: En Rullegardinboks. Bruk Mulige Verdier \r\nfeltet for  angi valgene som denne boksen skal vise. Skriv et valg pr. \r\nlinje.<BR><BR><STRONG>Mulige Verdier<BR></STRONG>Dette feltet er bare brukt i \r\nrullegardin boks typen. Bruk Mulige Verdier feltet for  angi valgene som denne \r\nboksen skal vise. Skriv et valg pr. linje.<BR><BR><STRONG>Standard Valg \r\n(Valgfritt)<BR></STRONG>Skriv inn standardverdi (om noen) for dette feltet. For \r\nJa/Nei, Skriv Ja, for  velge \"Ja\" og \"Nei\" for  velge \"Nei\". For \r\navkryssningsboks felter skriv \"Checked\" for  markere boksen.<BR></P>\r\n<P><STRONG>Fortsett til Legg Til Flere Felter?<BR></STRONG>La denne bokse vre \r\navkrysset om du nsker  legge til flere felter etter at du har lagt til \r\ndette.<BR></P>',1046039774);
INSERT INTO international VALUES (71,'MailForm',12,'\r\n<P>This wobject creates a simple form that will email an email address when it \r\nis filled out. </P>\r\n<P><STRONG>Bredde</STRONG><BR>The width of all fields in the form. The default \r\nvalue is 45.<BR><BR><STRONG>Fra, Til, Cc, Bcc, Emne&nbsp;<BR></STRONG>These \r\nfields control how the email will look when sent, and who it is sent to. You can \r\ngive your site visitors the ability to modify some or all of these fields, but \r\ntypically the only fields you will want the user to be able to modify \r\nare&nbsp;Fra and Emne. Use the drop-down options by each field to choose whether \r\nor not the user can see or modify that field.</P>\r\n<P>You may also choose to enter a WebGUI username or group in the To field, and \r\nthe email will be sent to the corresponding user or group. </P>\r\n<P><STRONG>Bekreftelse</STRONG><BR>This message will be displayed to the user \r\nafter they click \"Send\". </P>\r\n<P><STRONG>Lagre sendte?</STRONG><BR>If set to yes, when your mail form is \r\nsubmitted the entries will be saved to the database for later viewing. The tool \r\nto view these entries is not yet available, but when it is you will be able to \r\nview all entries from your form in a centralized location. </P>\r\n<P><STRONG>Fortsett tl Legg til flere felter?</STRONG><BR>Leave this checked if \r\nyou want to add additional fields to your form directly after creating \r\nit.<BR></P>',1046038757);
INSERT INTO international VALUES (76,'LinkList',12,'\r\n<P>Her flger en liste over template variabler som er tilgjengelige i Link List \r\nTemplates.</P>\r\n<P><STRONG>addlink.url</STRONG><BR>URL\'n for  legge til en link i listen.</P>\r\n<P><STRONG>addlink.label</STRONG><BR>Den oversatte etiketten for addlink.url</P>\r\n<P><STRONG>link_loop</STRONG><BR>Denne loop\'en inneholder all informasjon om \r\nhver enkelt link.</P>\r\n<P><STRONG>link.url</STRONG><BR>URL\'n for denne linken</P>\r\n<P><STRONG>link.name<BR></STRONG>Teksten som linkes.</P>\r\n<P><STRONG>link.controls</STRONG><BR>WebGUI\'s management kontroller for denne \r\nlinken.</P>\r\n<P><STRONG>link.newwindow</STRONG><BR>bryter for valg av om linken skal pnes i \r\nnytt vindu eller ikke.</P>\r\n<P><STRONG>link.description</STRONG><BR>Beskrivelsen av linken.</P>',1046038537);
INSERT INTO international VALUES (73,'LinkList',12,'\r\n<P><STRONG>Title<BR></STRONG>Teksten som vil bli linket</P>\r\n<P><STRONG>URL</STRONG><BR>WEB-siten det linkes til.</P>\r\n<P><STRONG>pne i nytt vindu?</STRONG><BR>Velg ja om du nsker at denne linken \r\nskal pnes i et nytt vindu.</P>\r\n<P><STRONG>Beskrivelse<BR></STRONG>Beskriv siden du linker til. Du kan hoppe \r\nover dette om du nsker.</P>\r\n<P><STRONG>Hva n?<BR></STRONG>La st som default om du nsker  legge til enda \r\nen link etter denne.</P>',1046038466);
INSERT INTO international VALUES (71,'LinkList',12,'\r\n<P>Link Lists er akurat det som navnet tilsier, en liste med linker. Mange \r\nweb-sider har link lister, dette wobjectet automatiserer denne prosessen.</P>\r\n<P><STRONG>Template<BR></STRONG>Velg en layout for dette Wobjectet.</P>\r\n<P><STRONG>Hva n?<BR></STRONG>La denne st til default om du nsker  legge til \r\nen lik etter at link listen er laget.</P>',1046038395);
INSERT INTO international VALUES (74,'Item',12,'\r\n<P>De flgende er en liste over Template variabler som kan benyttes i en Item \r\nTempate.<BR>attachment.name<BR>The filename for the file attached to this item. \r\n</P>\r\n<P><STRONG>attachment.url</STRONG><BR>The URL to download the file attached to \r\nthis item. </P>\r\n<P><STRONG>attachment.icon</STRONG><BR>The URL to the icon for the file attached \r\nto this item.<BR></P>',1046038340);
INSERT INTO international VALUES (71,'Item',12,'\r\n<P align=left><SPAN style=\"mso-ansi-language: NO-BOK\">Som med Artikkler, er \r\nItems en allsidig del av WebGUI. De fleste stykker av statisk innhold kan legges \r\ntil ved hjelp av Items, men Items er vanligvis benyttet p mindre innhold enn \r\nartikkler.</SPAN></P>\r\n<P align=left><SPAN style=\"mso-ansi-language: NO-BOK\"><STRONG>Link \r\nURL.<BR></STRONG>Denne URL\'n vil bli linket til tittelen p dette \r\nItem\'et.<BR>Eksempel: <A \r\nhref=\"http://www.google.com\">http://www.google.com</A></SPAN></P>\r\n<P align=left><SPAN \r\nstyle=\"mso-ansi-language: NO-BOK\"><STRONG>Vedlegg<BR></STRONG>Om du nsker  \r\nlegge ved en tekstbehandlerfil, en .zip-fil eller en annen fil som kan lastes \r\nned av brukerene, s velg den fra harddisken din.</SPAN></P>\r\n<P align=left><SPAN \r\nstyle=\"mso-ansi-language: NO-BOK\"><STRONG>Template<BR></STRONG>Velg et utseende \r\nfor dette Item\'et.</SPAN></P>',1046038236);
INSERT INTO international VALUES (76,'FileManager',12,'\r\n<P>Dette er en liste over variabler som er tilgjengelig i FilBehandler \r\nTemplates.<BR>&nbsp;<BR><STRONG>titleColumn.url</STRONG><BR>The URL to sort by \r\nthe title. </P>\r\n<P><STRONG>titleColumn.label<BR></STRONG>The translated label for the title. \r\n</P>\r\n<P><STRONG>descriptionColumn.label<BR></STRONG>The translated label for the \r\ndescription. </P>\r\n<P><STRONG>descriptionColumn.url</STRONG><BR>The URL to sort by the description. \r\n</P>\r\n<P><STRONG>dateColumn.label<BR></STRONG>The translated label for the upload \r\ndate. </P>\r\n<P><STRONG>dateColumn.url<BR></STRONG>The URL to sort by the date uploaded. </P>\r\n<P><STRONG>search.form<BR></STRONG>WebGUI\'s power search form. </P>\r\n<P><STRONG>search.url</STRONG><BR>The URL to toggle search mode on and off. </P>\r\n<P><STRONG>search.label</STRONG><BR>The translated label for the search link. \r\n</P>\r\n<P><STRONG>addfile.url<BR></STRONG>The URL to add a file to the file manager. \r\n</P>\r\n<P><STRONG>addfile.label</STRONG><BR>The translated label for the add file link. \r\n</P>\r\n<P><STRONG>file_loop</STRONG><BR>A loop containing the information about each \r\nfile uploaded to this file manager. </P>\r\n<P><STRONG>file.canView<BR></STRONG>A condition as to whether the current user \r\nhas the privileges to view this file. <BR>file.controls<BR>The WebGUI management \r\ncontrols for this file. </P>\r\n<P><STRONG>file.title</STRONG><BR>The title for this file. </P>\r\n<P><STRONG>file.version1.name</STRONG><BR>The filename for the first version of \r\nthis file. </P>\r\n<P><STRONG>file.version1.url<BR></STRONG>The download URL for the first version \r\nof this file. </P>\r\n<P><STRONG>file.version1.icon<BR></STRONG>The URL to the icon for the file type \r\nof the first version of this file. </P>\r\n<P><STRONG>file.version1.size<BR></STRONG>The storage size of the first version \r\nof this file. </P>\r\n<P><STRONG>file.version1.type<BR></STRONG>The type (or file extension) of the \r\nfirst version of this file. </P>\r\n<P><STRONG>file.version1.thumbnail</STRONG><BR>The URL to the thumbnail for the \r\nfirst version of this file. </P>\r\n<P><STRONG>file.version1.isImage<BR></STRONG>A conditional indicating whether \r\nthe first version of this file is an image or not. </P>\r\n<P><STRONG>file.version2.name<BR></STRONG>The filename for the second version of \r\nthis file. </P>\r\n<P><STRONG>file.version2.url<BR></STRONG>The download URL for the second version \r\nof this file. </P>\r\n<P><STRONG>file.version2.icon<BR></STRONG>The URL to the icon for the file type \r\nof the second version of this file. </P>\r\n<P><STRONG>file.version2.size<BR></STRONG>The storage size of the second version \r\nof this file. </P>\r\n<P><STRONG>file.version2.type<BR></STRONG>The type (or file extension) of the \r\nsecond version of this file. </P>\r\n<P><STRONG>file.version2.thumbnail<BR></STRONG>The URL to the thumbnail for the \r\nsecond version of this file. </P>\r\n<P><STRONG>file.version2.isImage<BR></STRONG>A conditional indicating whether \r\nthe second version of this file is an image or not. </P>\r\n<P><STRONG>file.version3.name</STRONG><BR>The filename for the third version of \r\nthis file. </P>\r\n<P><STRONG>file.version3.url</STRONG><BR>The download URL for the third version \r\nof this file. </P>\r\n<P><STRONG>file.version3.icon<BR></STRONG>The URL to the icon for the file type \r\nof the third version of this file. </P>\r\n<P><STRONG>file.version3.size<BR></STRONG>The storage size of the third version \r\nof this file. </P>\r\n<P><STRONG>file.version3.type</STRONG><BR>The type (or file extension) of the \r\nthird version of this file. </P>\r\n<P><STRONG>file.version3.thumbnail</STRONG><BR>The URL to the thumbnail for the \r\nthird version of this file. </P>\r\n<P><STRONG>file.version3.isImage</STRONG><BR>A conditional indicating whether \r\nthe third version of this file is an image or not. </P>\r\n<P><STRONG>file.description</STRONG><BR>The description of this file. </P>\r\n<P><STRONG>file.date</STRONG><BR>The date that this file was uploaded. </P>\r\n<P><STRONG>file.time</STRONG><BR>The time that this file was uploaded. </P>\r\n<P><BR><STRONG>noresults.message</STRONG><BR>A translated message stating that \r\nthis file manager has no files for this user to view. </P>\r\n<P><STRONG>noresults</STRONG><BR>A conditional indicating whether there are any \r\nfiles for this user to view. </P>\r\n<P><STRONG>firstPage</STRONG><BR>A link to the first page in the paginator. </P>\r\n<P><STRONG>lastPage<BR></STRONG>A link to the last page in the paginator. </P>\r\n<P><STRONG>nextPage<BR></STRONG>A link to the next page forward in the \r\npaginator. </P>\r\n<P><STRONG>previousPage<BR></STRONG>A link to the next page backward in the \r\npaginator. </P>\r\n<P><STRONG>pageList</STRONG><BR>A list of links to all the pages in the \r\npaginator. </P>\r\n<P><STRONG>multiplePages</STRONG><BR>A conditional indicating whether there is \r\nmore than one page in the paginator. <BR></P>',1046017969);
INSERT INTO international VALUES (73,'FileManager',12,'\r\n<P><STRONG>Fil Tittel<BR></STRONG>Tittelen som vil vises for denne filen. Om den \r\ner blank vil filens navn brukes.</P>\r\n<P><STRONG>File</STRONG><BR>Velg en fil fra din harddisk som du vil laste \r\nopp.</P>\r\n<P><STRONG>Alternativ Versjon #1</STRONG><BR>En alternativ versjon av filen. \r\nF.eks. om filen var en .JPEG, s kan alternativet vre TIFF eller BMP.</P>\r\n<P><STRONG>Alternativ Versjon #2<BR></STRONG>En alternativ versjon av filen. \r\nF.eks. om filen var en .JPEG, s kan alternativet vre TIFF eller BMP.</P>\r\n<P><STRONG>Kort Beskrivelse</STRONG><BR>En kort beskrivelse av filen. Prv  \r\nbenytte nkkelord som det er naturlig  ske etter.</P>\r\n<P><STRONG>Gruppe som kan Laste Ned<BR></STRONG>Velg den gruppen som kan laste \r\nned denne filen.</P>\r\n<P><STRONG>Hva n?</STRONG><BR>Om du nsker  legge til en fil til etter denne, \r\ns velg \"Legg til Fil\", ellers velger du \"g tilbake til side\".</P>',1046017744);
INSERT INTO international VALUES (71,'FileManager',12,'\r\n<P>FilBehandleren er designet for  hjelpe deg  administrere filhhndtering p \r\nWEB-stedet ditt. Den gir deg mulighet til  bestemme hvem som kan se p eller \r\nlaste ned filer fra WEB-stedet.</P>\r\n<P><STRONG>Template</STRONG><BR>Velg et utseende for FilBehandleren.</P>\r\n<P><STRONG>Sideskift Etter<BR></STRONG>Hvor mange filer skal vises fr listen \r\nsplittes p flere sider. Med andre ord! Hvor mange filer vises pr. side.</P>\r\n<P><STRONG>Fortsett til Legg til Fil?<BR></STRONG>Om du nsker  legge til filer \r\nmed en gang, s la den st merket.</P>',1046017666);
INSERT INTO international VALUES (77,'FAQ',12,'\r\n<P>De flgende er en liste over Template Variabler som er tilgjengelige i FAQ \r\nTemplates.<BR><BR><STRONG>addquestion.url</STRONG><BR>The URL to add a question \r\nto the FAQ. </P>\r\n<P><STRONG>addquestion.label<BR></STRONG>The translated label for the add \r\nquestion link. </P>\r\n<P><STRONG>qa_loop<BR></STRONG>The loop containing the variables for each \r\nquestion in the FAQ. </P>\r\n<P><STRONG>qa.id</STRONG><BR>The unique identifier for this question. \r\n<BR><BR><STRONG>qa.answer<BR></STRONG>The answer for this question. </P>\r\n<P><STRONG>qa.question</STRONG><BR>The question itself. </P>\r\n<P><STRONG>qa.controls<BR></STRONG>The WebGUI management controls for this \r\nquestion<BR></P>',1046017610);
INSERT INTO international VALUES (73,'FAQ',12,'\r\n<P><STRONG>Sprsml</STRONG><BR>Legg til sprsmlet du vil skal dukke opp i \r\nFAQ.</P>\r\n<P><STRONG>Svar<BR></STRONG>Legg til svaret p sprsmlet du la inn over.</P>\r\n<P><STRONG>Hva n?<BR></STRONG>Om du nsker  legge inn et sprsml til, da lar \r\ndu denne st p standardvalget.</P>',1046016737);
INSERT INTO international VALUES (71,'FAQ',12,'\r\n<P>Det virker som om alle WEB steder, intranett eller ekstranett i verden har en \r\negen Frequently Asked Questions seksjon. Dette wobjectet hjelper deg med  lage \r\net.</P>\r\n<P><STRONG>Template</STRONG><BR>Velg et utseende p denne FAQ.</P>\r\n<P><STRONG>Hva N?<BR></STRONG>Velg \"Legg Til Sprsml\" om du nsker  legge til \r\net nytt sprsml etter dette.</P>\r\n<P><STRONG>VIKTIG:</STRONG> Den flgende style er spesifikk til FAQ i en del av \r\nde innebyggede Templatene.</P>\r\n<P><STRONG>.faqQuestion</STRONG><BR>Et FAQ sprsml. For  skille det fra et \r\nsvar.</P>',1046016671);
INSERT INTO international VALUES (71,'ExtraColumn',12,'\r\n<P>Ekstra kolonner lar deg endre utseende p KUN en side. Om du nsker  benytte \r\nflere kolonner p alle sider, br du kanskje vurdere  endre \"style\" som hrer \r\ntil sidene dine eller velge en Template i steden for en ekstra kolonne. WebGUI \r\nlegger opp til at denne forsvinner som valg etterhvert.</P>\r\n<P>Kolonner er alltid lagt til fra venstre mot hyre. Eksisterende innhold p \r\nsiden vil derfor havne p venstre side av den nye kolonnen.</P>\r\n<P><STRONG>Spacer<BR></STRONG>Spacer er denekstra avstanden mellom ditt \r\neksisterende innhold og den nye kolonnen. Den mles i pixels.</P>\r\n<P><STRONG>Bredde<BR></STRONG>Bredde er den faktiske bredden av kolonnen som \r\nlegges til. Den mles i pixels.</P>\r\n<P><STRONG>StyleSheet Class</STRONG><BR>Som standard vil \"content\" style (som er \r\nden style som benyttes p alt innhold \"body\" som siten din benytter) bli \r\nbenyttet til alle kolonner. Men om du har laget en egen style spesielt for \r\nkolonner, s benytt gjerne den.</P>',1046016585);
INSERT INTO international VALUES (97,'EventsCalendar',12,'\r\n<P>De flgende er en liste over Template variabler som kan benyttes i Event \r\nTemplates.</P>\r\n<P><STRONG>title</STRONG><BR>The title of this event. </P>\r\n<P><STRONG>start.label<BR></STRONG>The translated label for the start date. </P>\r\n<P><STRONG>start.date</STRONG><BR>The date this event starts. </P>\r\n<P><STRONG>end.date<BR></STRONG>The date this event ends. </P>\r\n<P><STRONG>end.label<BR></STRONG>The translated label for the end date. </P>\r\n<P><STRONG>canEdit</STRONG><BR>A condition indicating whether the current user \r\ncan edit an event. </P>\r\n<P><STRONG>edit.url<BR></STRONG>The URL to edit this event. </P>\r\n<P><STRONG>edit.label</STRONG><BR>The translated label for the edit URL. </P>\r\n<P><STRONG>delete.url<BR></STRONG>The URL to delete this event. </P>\r\n<P><STRONG>delete.label<BR></STRONG>The translated label for the delete URL. \r\n</P>\r\n<P><STRONG>previous.url<BR></STRONG>The URL to view the event before this one. \r\n</P>\r\n<P><STRONG>previous.label<BR></STRONG>The translated label for the previous URL. \r\n</P>\r\n<P><STRONG>next.label<BR></STRONG>The translated label for the next URL. </P>\r\n<P><STRONG>next.url<BR></STRONG>The URL to view the event after this one. </P>\r\n<P><STRONG>description<BR></STRONG>The description of this event. <BR></P>',1046016475);
INSERT INTO international VALUES (95,'EventsCalendar',12,'\r\n<P>The following template variables are available for you to customize your \r\nevents calendar. <BR><BR><STRONG>addevent.url</STRONG><BR>The URL to add an \r\nevent to the calendar. </P>\r\n<P><STRONG>addevent.label</STRONG><BR>The translated label for the add event \r\nlink. </P>\r\n<P><STRONG>calendar.big</STRONG><BR>A full page calendar. </P>\r\n<P><STRONG>calendar.small</STRONG><BR>A small calendar showing only dates. </P>\r\n<P><STRONG>calendar.firstPage<BR></STRONG>A link to the first page of the \r\ncalendar pagination. </P>\r\n<P><STRONG>calendar.lastPage<BR></STRONG>A link to the last page of the calendar \r\npagination. </P>\r\n<P><STRONG>calendar.nextPage<BR></STRONG>A link to the next page forward in the \r\ncalendar pagination. </P>\r\n<P><STRONG>calendar.previousPage<BR></STRONG>A link to the next page backward in \r\nthe calendar pagination. </P>\r\n<P><STRONG>calendar.pageList</STRONG><BR>A list of links to all the pages in the \r\ncalendar pagination. </P>\r\n<P><STRONG>calendar.multiplePages</STRONG><BR>A conditional variable indicating \r\nwhether there is more than one page in the calendar pagination. </P>\r\n<P><STRONG>list_loop</STRONG><BR>A loop containing the list view of an events \r\ncalendar. </P>\r\n<P><STRONG>list.date</STRONG><BR>The date of this event.<BR> \r\n<BR><STRONG>list.title<BR></STRONG>The title of this event. </P>\r\n<P><STRONG>list.description<BR></STRONG>The description of this event. </P>\r\n<P><STRONG>list.sameAsPrevious<BR></STRONG>A conditional indicating whether the \r\nthis event has the same date as the last event. </P>\r\n<P><STRONG>list.url</STRONG><BR>The URL to the full page view of this event. \r\n</P>\r\n<P><STRONG>list.controls</STRONG><BR>The WebGUI management controls for this \r\nevent. </P>\r\n<P><BR><STRONG>list.firstPage</STRONG><BR>A link to the first page of the \r\npagination. </P>\r\n<P><STRONG>list.lastPage<BR></STRONG>A link to the last page of the pagination. \r\n</P>\r\n<P><STRONG>list.nextPage</STRONG><BR>A link to the next page forward in the \r\npagination. </P>\r\n<P><STRONG>list.previousPage<BR></STRONG>A link to the next page backward in the \r\npagination. </P>\r\n<P><STRONG>list.pageList</STRONG><BR>A list of links to all the pages in the \r\npagination. </P>\r\n<P><STRONG>list.multiplePages</STRONG><BR>A conditional variable indicating \r\nwhether there is more than one page in the pagination.<BR></P>',1046016290);
INSERT INTO international VALUES (73,'EventsCalendar',12,'\r\n<P><STRONG>Tittel<BR></STRONG>Tittelen p denne Hendelsen</P>\r\n<P><STRONG>Beskrivelse<BR></STRONG>Beskriver denne Hendelsen eller informasjon \r\nom hvor den foregr ....</P>\r\n<P><STRONG>Start Dato</STRONG><BR>P hvilken dato vil Hendelsen Starte?</P>\r\n<P><STRONG>Slutt Dato<BR></STRONG>P hvilken dato vil Hendelsen Slutte?</P>\r\n<P><STRONG>Gjentaes hver</STRONG><BR>Velg et gjentakelses intervall for \r\nHendelsen.</P>\r\n<P><STRONG>Hva N?</STRONG><BR>Velg \"Legg Til Hendelse\" om du nsker  Legge Til \r\nen ny Hendelse, eller velg \" G Tilbake Til Side\".</P>',1046016111);
INSERT INTO international VALUES (71,'EventsCalendar',12,'\r\n<P>Hendelse kalender er ofte benyttet p mange intranett for  holde orden p \r\ninterne datoer som gjelder hele organisasjonen. Likes er hendelses kalendere p \r\noffentlige web-sider en flott mte  la brukerene f vite hva som er planlagte \r\nhendelser i tiden fremover.</P>\r\n<P><STRONG>Main Template<BR></STRONG>Choose a layout for the events calendar. \r\n</P>\r\n<P><STRONG>Hendelse Template<BR></STRONG>Choose a layout for the individual \r\nevents within the calendars. </P>\r\n<P><STRONG>Start Mned<BR></STRONG>Choose the start month for your calendar. If \r\nyou choose \"current\" the calendar will always start on the current month, \r\ntherefore it will change from month to month. If you choose \"first in the \r\ncalendar\" then it will start at whatever the earliest date in the calendar is. \r\n</P>\r\n<P><STRONG>Slutt Mned<BR></STRONG>Choose the end month for your calendar. If \r\nyou choose \"show X months from start\", then only X months worth of information \r\nwill ever be displayed. If you choose \"current\" then the calendar will end on \r\nthe month you are currently in. If you choose \"last in calendar\" then the \r\ncalendar will end on the last date entered into the calendar. </P>\r\n<P><STRONG>Standard Mned<BR></STRONG>Choose which month for this calendar to \r\nstart on when a visitor comes to the page containing the calendar. </P>\r\n<P><STRONG>Sideskift Etter<BR></STRONG>When using a list-style calendar, how \r\nmany events should be shown per page? </P>\r\n<P><STRONG>Fortsett til Legg til Hendelse?<BR></STRONG>Leave this set to yes if \r\nyou want to add events to the Events Calendar directly after creating it. </P>\r\n<P>Note: Events that have already happened will not be displayed on the events \r\ncalendar. </P>\r\n<P><BR>--------------------------------------------------------------------------------<BR><STRONG>Note:</STRONG> ',1046016011);
INSERT INTO international VALUES (73,'Article',12,'<P>De flgende Template variablene er tilgjengelige for artikkel templates.</P>\r\n<P><BR><STRONG>attachment.box</STRONG><BR>Viser en standard WebGUI vedleggs boks \r\ninkludert ikon, filnavn og vedleggs \r\nindikator<BR><BR><STRONG>attachment.icon<BR></STRONG>URL\'n til ikonet for denne \r\nvedleggstypen.<BR><BR><STRONG>attachment.name</STRONG><BR>Navnet p dette \r\nvedlegget.<BR><BR><STRONG>attachment.url<BR></STRONG>URL\'n for nedlasting av \r\nvedlegget.<BR><BR><STRONG>image.thumbnail<BR></STRONG>URL\'n til thumbnail \r\n(minibildet) for vedlegget.<BR><BR><STRONG>image.url<BR></STRONG>URL\'n til \r\nbildet.<BR><BR><STRONG>post.label<BR></STRONG>Oversatt prompt for  legge \r\nkommentar til denne artikkelen.<BR><BR><STRONG>post.URL</STRONG><BR>URL\'n for  \r\nlage kommentar/respons til denne \r\nartikkelen.<BR><BR><STRONG>replies.count</STRONG><BR>Antall \r\nkommentarer/responser til denne \r\nartikkelen.<BR><BR><STRONG>replies.label<BR></STRONG>Den oversatte teksten som \r\nviser at du kan vise kommentarene.<BR><BR><STRONG>replies.url</STRONG><BR>URL\'n \r\nfor  vise kommentarene til denne artikkelen.</P>',1046015883);
INSERT INTO international VALUES (888,'WebGUI',12,'Snippet forhndsvisnings lengde',1046015056);
INSERT INTO international VALUES (886,'WebGUI',12,'Skjule fra Navigasjon?',1046014989);
INSERT INTO international VALUES (885,'WebGUI',12,'Tilate bruker  deaktivere deres konto?',1046014960);
INSERT INTO international VALUES (884,'WebGUI',12,'Pop Up',1046014920);
INSERT INTO international VALUES (883,'WebGUI',12,'Inline (nr supportert)',1046014895);
INSERT INTO international VALUES (882,'WebGUI',12,'Editor Modus',1046014871);
INSERT INTO international VALUES (881,'WebGUI',12,'Ingen',1046014857);
INSERT INTO international VALUES (880,'WebGUI',12,'Siste utvei Editor',1046014845);
INSERT INTO international VALUES (821,'WebGUI',12,'Alle',1046014817);
INSERT INTO international VALUES (782,'WebGUI',12,'Alle',1046014785);
INSERT INTO international VALUES (879,'WebGUI',12,'Klassisk Editor (Internet Explorer 5+)',1045844650);
INSERT INTO international VALUES (878,'WebGUI',12,'Du abbonerer ikke p noen Trder.',1045844583);
INSERT INTO international VALUES (877,'WebGUI',12,'Trder som abboneres p',1045844557);
INSERT INTO international VALUES (876,'WebGUI',12,'Vis abbonerte Trder.',1045844514);
INSERT INTO international VALUES (875,'WebGUI',12,'En ny Melding er postet til et av Trdene du abbonerer p.',1045844490);
INSERT INTO international VALUES (874,'WebGUI',12,'Ikke abboner p Trd',1045844441);
INSERT INTO international VALUES (873,'WebGUI',12,'Abboner p Trd',1045844403);
INSERT INTO international VALUES (872,'WebGUI',12,'Hvem kan se p?',1045844388);
INSERT INTO international VALUES (871,'WebGUI',12,'Hvem kan Redigere?',1045844374);
INSERT INTO international VALUES (870,'WebGUI',12,'Velkommen',1045844362);
INSERT INTO international VALUES (869,'WebGUI',12,'Velkomst Melding',1045844352);
INSERT INTO international VALUES (868,'WebGUI',12,'Send Velkomst Melding?',1045844339);
INSERT INTO international VALUES (867,'WebGUI',12,'Tap av privilegier',1045844323);
INSERT INTO international VALUES (866,'WebGUI',12,'Utlps dato melding',1045844299);
INSERT INTO international VALUES (865,'WebGUI',12,'Gi bruker beskjed om utlpsdato?',1045844273);
INSERT INTO international VALUES (864,'WebGUI',12,'Utlps beskjed utsettelse',1045844237);
INSERT INTO international VALUES (863,'WebGUI',12,'Slett Offset',1045844203);
INSERT INTO international VALUES (862,'WebGUI',12,'Denne brukers profil er ikke offentlig.',1045844182);
INSERT INTO international VALUES (861,'WebGUI',12,'Publisere Profil?',1045844109);
INSERT INTO international VALUES (860,'WebGUI',12,'Publisere ePost adresse?',1045844092);
INSERT INTO international VALUES (859,'WebGUI',12,'Signatur',1045844065);
INSERT INTO international VALUES (858,'WebGUI',12,'Alias',1045844056);
INSERT INTO international VALUES (857,'WebGUI',12,'IP Adresse',1045844049);
INSERT INTO international VALUES (855,'WebGUI',12,'Vis alle Templates.',1045785290);
INSERT INTO international VALUES (854,'WebGUI',12,'Vis alle Templates av denne type.',1045785275);
INSERT INTO international VALUES (853,'WebGUI',12,'Slett denne Template.',1045785219);
INSERT INTO international VALUES (852,'WebGUI',12,'Kopier denne Template.',1045785206);
INSERT INTO international VALUES (851,'WebGUI',12,'Rediger denne Template.',1045785192);
INSERT INTO international VALUES (848,'WebGUI',12,'Det er en syntaks feil i denne Templaten. Foreta rettelse.',1045785177);
INSERT INTO international VALUES (847,'WebGUI',12,'G Tilbake til gjeldende Side.',1045785123);
INSERT INTO international VALUES (837,'WebGUI',12,'Mappe, Legg Til/Rediger',1045784668);
INSERT INTO international VALUES (835,'WebGUI',12,'Snippet, Legg Til/Rediger',1045784356);
INSERT INTO international VALUES (833,'WebGUI',12,'Fil, Legg Til/Rediger',1045784153);
INSERT INTO international VALUES (829,'WebGUI',12,'Side Template',1045783748);
INSERT INTO international VALUES (825,'WebGUI',12,'Template, Sprk',1045783441);
INSERT INTO international VALUES (824,'WebGUI',12,'ePost bunntekst',1045780043);
INSERT INTO international VALUES (823,'WebGUI',12,'G til den nye Siden.',1045780027);
INSERT INTO international VALUES (820,'WebGUI',12,'Din konto er ikke aktivert. Du kan derfor ikke logge inn fr den er aktivert, noe som bare kan gjres av en administrator.',1045779974);
INSERT INTO international VALUES (819,'WebGUI',12,'bruker-Deaktivert',1045779900);
INSERT INTO international VALUES (818,'WebGUI',12,'Deaktivert',1045779863);
INSERT INTO international VALUES (817,'WebGUI',12,'Aktiv',1045779851);
INSERT INTO international VALUES (816,'WebGUI',12,'Status',1045779841);
INSERT INTO international VALUES (815,'WebGUI',12,'Filen du prvde  laste opp er for stor.',1045779832);
INSERT INTO international VALUES (814,'WebGUI',12,'Tilbake til Styles.',1045779800);
INSERT INTO international VALUES (812,'WebGUI',12,'Din melding er sendt.',1045779786);
INSERT INTO international VALUES (811,'WebGUI',12,'Fra',1045779766);
INSERT INTO international VALUES (810,'WebGUI',12,'Send',1045779758);
INSERT INTO international VALUES (809,'WebGUI',12,'ePost Gruppe',1045779746);
INSERT INTO international VALUES (808,'WebGUI',12,'Send ePost til denne gruppen.',1045779731);
INSERT INTO international VALUES (807,'WebGUI',12,'Hndtere gruppene i denne gruppen.',1045779706);
INSERT INTO international VALUES (806,'WebGUI',12,'Slett denne Gruppen.',1045779676);
INSERT INTO international VALUES (805,'WebGUI',12,'Slett denne Style.',1045779664);
INSERT INTO international VALUES (803,'WebGUI',12,'Rediger denne Style.',1045779651);
INSERT INTO international VALUES (802,'WebGUI',12,'WebGUI tar ikke vare p side statistikker for yeblikket. Du kan sl p denne funksjonen under instillinger.',1045779629);
INSERT INTO international VALUES (801,'WebGUI',12,'Wobject samspill',1045779549);
INSERT INTO international VALUES (800,'WebGUI',12,'Unike beskende',1045779376);
INSERT INTO international VALUES (799,'WebGUI',12,'Side Visning',1045779326);
INSERT INTO international VALUES (798,'WebGUI',12,'Side Tittel',1045779211);
INSERT INTO international VALUES (797,'WebGUI',12,'Vis Trafikk Statistikker.',1045779200);
INSERT INTO international VALUES (796,'WebGUI',12,'Vis Side Statistikker.',1045779182);
INSERT INTO international VALUES (795,'WebGUI',12,'Roots',1045779154);
INSERT INTO international VALUES (794,'WebGUI',12,'Pakker',1045779145);
INSERT INTO international VALUES (793,'WebGUI',12,'Deler av Collateral',1045779135);
INSERT INTO international VALUES (792,'WebGUI',12,'Templates',1045778783);
INSERT INTO international VALUES (791,'WebGUI',12,'Slett denne Oversettelsen.',1045778773);
INSERT INTO international VALUES (790,'WebGUI',12,'Slett denne profilkategorien.',1045778755);
INSERT INTO international VALUES (789,'WebGUI',12,'Rediger denne profil kategorien.',1045778739);
INSERT INTO international VALUES (788,'WebGUI',12,'Slett dette profil feltet.',1045778721);
INSERT INTO international VALUES (787,'WebGUI',12,'Rediger dette profil feltet.',1045778706);
INSERT INTO international VALUES (786,'WebGUI',12,'WebGUI\'s collateral hndteringssystem lar deg laste opp bilder og tekst til en sentral plassering for bruk andre plasser i ditt inhold.',1045778682);
INSERT INTO international VALUES (785,'WebGUI',12,'Collateral, Hndtere',1045778608);
INSERT INTO international VALUES (784,'WebGUI',12,'Tittebilde',1045778591);
INSERT INTO international VALUES (783,'WebGUI',12,'Skriv',1045778581);
INSERT INTO international VALUES (781,'WebGUI',12,'Snippet',1045778527);
INSERT INTO international VALUES (780,'WebGUI',12,'Fil',1045778518);
INSERT INTO international VALUES (779,'WebGUI',12,'Bilde',1045778510);
INSERT INTO international VALUES (778,'WebGUI',12,'Mappe Beskrivelse',1045778502);
INSERT INTO international VALUES (776,'WebGUI',12,'Rediger en Mappe',1045778491);
INSERT INTO international VALUES (775,'WebGUI',12,'Er du sikker p at du vil slette denne Mappen og flytte alt innholdet til mappen over?',1045778480);
INSERT INTO international VALUES (774,'WebGUI',12,'Er du sikker p at du vil slette dette Collateral? De kan ikke hentes frem igjen nr det er slettet.',1045778429);
INSERT INTO international VALUES (773,'WebGUI',12,'Fil',1045778378);
INSERT INTO international VALUES (772,'WebGUI',12,'Rediger Fil',1045778370);
INSERT INTO international VALUES (771,'WebGUI',12,'Snippet',1045778360);
INSERT INTO international VALUES (770,'WebGUI',12,'Rediger Snippet',1045778351);
INSERT INTO international VALUES (769,'WebGUI',12,'Organiser i Mappe',1045778339);
INSERT INTO international VALUES (768,'WebGUI',12,'Navn',1045778325);
INSERT INTO international VALUES (765,'WebGUI',12,'Slett denne Collateral enheten.',1045778315);
INSERT INTO international VALUES (764,'WebGUI',12,'Rediger denne Collateral enheten. ',1045778298);
INSERT INTO international VALUES (763,'WebGUI',12,'Legg Til Snippet',1045778231);
INSERT INTO international VALUES (232,'WebGUI',12,'Mangler emne',1045699714);
INSERT INTO international VALUES (237,'WebGUI',12,'Emne:',1045699665);
INSERT INTO international VALUES (229,'WebGUI',12,'Emne',1045699639);
INSERT INTO international VALUES (762,'WebGUI',12,'Legg Til en Fil.',1045699402);
INSERT INTO international VALUES (761,'WebGUI',12,'Legg Til Bilde.',1045699389);
INSERT INTO international VALUES (760,'WebGUI',12,'Slett denne Mappen.',1045699374);
INSERT INTO international VALUES (758,'WebGUI',12,'Legg Til en Mappe.',1045699360);
INSERT INTO international VALUES (757,'WebGUI',12,'Hndtere Collateral',1045699345);
INSERT INTO international VALUES (756,'WebGUI',12,'Tilbake til Gruppe Listen.',1045699301);
INSERT INTO international VALUES (754,'WebGUI',12,'Hndtere brukerene i denne Gruppen.',1045699284);
INSERT INTO international VALUES (753,'WebGUI',12,'Rediger denne Gruppen.',1045699253);
INSERT INTO international VALUES (752,'WebGUI',12,'Vis denne brukerens profil.',1045699239);
INSERT INTO international VALUES (751,'WebGUI',12,'Bli denne Brukeren.',1045699212);
INSERT INTO international VALUES (750,'WebGUI',12,'Slett denne Brukeren.',1045699187);
INSERT INTO international VALUES (749,'WebGUI',12,'Sl p Side statistikker?',1045699170);
INSERT INTO international VALUES (748,'WebGUI',12,'Antall Brukere',1045699101);
INSERT INTO international VALUES (747,'WebGUI',12,'Brukernavn kan kun inneholde alfa-numeriske tegn.',1045699087);
INSERT INTO international VALUES (746,'WebGUI',12,'Verktyrad Ikoner',1045699040);
INSERT INTO international VALUES (745,'WebGUI',12,'G tilbake til Siden.',1045698993);
INSERT INTO international VALUES (744,'WebGUI',12,'Hva n?',1045698978);
INSERT INTO international VALUES (743,'WebGUI',12,'Du m oppgi en gyldig ePost adresse for  kunne gjennoprette passordet ditt.',1045698962);
INSERT INTO international VALUES (742,'WebGUI',12,'Hndtere Templates.',1045698907);
INSERT INTO international VALUES (741,'WebGUI',12,'Rediger denne Template.',1045698892);
INSERT INTO international VALUES (739,'WebGUI',12,'UI Niv',1045683862);
INSERT INTO international VALUES (738,'WebGUI',12,'9 Guru',1045683847);
INSERT INTO international VALUES (737,'WebGUI',12,'8 Mester',1045683838);
INSERT INTO international VALUES (736,'WebGUI',12,'7 Ekspert',1045683829);
INSERT INTO international VALUES (735,'WebGUI',12,'6 Profesjonell',1045683817);
INSERT INTO international VALUES (734,'WebGUI',12,'5 Dyktig',1045683774);
INSERT INTO international VALUES (733,'WebGUI',12,'4 Erfaren',1045683696);
INSERT INTO international VALUES (732,'WebGUI',12,'3 Erfaren',1045683661);
INSERT INTO international VALUES (731,'WebGUI',12,'2 Trenet',1045683649);
INSERT INTO international VALUES (730,'WebGUI',12,'1 Uerfaren',1045683636);
INSERT INTO international VALUES (729,'WebGUI',12,'0 Nybegynner',1045683564);
INSERT INTO international VALUES (728,'WebGUI',12,'Er du sikker p at du vil slette denne filen?',1045683476);
INSERT INTO international VALUES (725,'WebGUI',12,'Ditt brukernavn kan ikke vre blankt.',1045683439);
INSERT INTO international VALUES (724,'WebGUI',12,'Ditt brukernavn kan ikke begynne eller slutte med mellomrom.',1045676209);
INSERT INTO international VALUES (723,'WebGUI',12,'Anbefales ikke',1045676170);
INSERT INTO international VALUES (722,'WebGUI',12,'Id',1045676064);
INSERT INTO international VALUES (721,'WebGUI',12,'NavnOmrde',1045676053);
INSERT INTO international VALUES (720,'WebGUI',12,'OK',1045675981);
INSERT INTO international VALUES (719,'WebGUI',12,'Utgtt p Dato',1045675972);
INSERT INTO international VALUES (718,'WebGUI',12,'Eksporter denne Oversettelsen.',1045675932);
INSERT INTO international VALUES (717,'WebGUI',12,'Logg Ut',1045675909);
INSERT INTO international VALUES (716,'WebGUI',12,'Logg Inn',1045675897);
INSERT INTO international VALUES (715,'WebGUI',12,'Redirect URL',1045675886);
INSERT INTO international VALUES (704,'WebGUI',12,'Sekund(er)',1045675813);
INSERT INTO international VALUES (697,'WebGUI',12,'Karma, i Bruk',1045675800);
INSERT INTO international VALUES (696,'WebGUI',12,'Sppel, Tm',1045675786);
INSERT INTO international VALUES (685,'WebGUI',12,'Template, Slette',1045675771);
INSERT INTO international VALUES (683,'WebGUI',12,'Templates, Hndtere',1045675760);
INSERT INTO international VALUES (682,'WebGUI',12,'Bruker Profil, Rediger',1045675700);
INSERT INTO international VALUES (681,'WebGUI',12,'Pakker, Opprett',1045675685);
INSERT INTO international VALUES (680,'WebGUI',12,'Pakker, Legg Til',1045675668);
INSERT INTO international VALUES (679,'WebGUI',12,'Innholds Innstillinger, Rediger',1045675653);
INSERT INTO international VALUES (678,'WebGUI',12,'Root, Hndtere',1045675629);
INSERT INTO international VALUES (675,'WebGUI',12,'Ske motor, i Bruk',1045675587);
INSERT INTO international VALUES (674,'WebGUI',12,'Forskjellige instillinger, Rediger',1045675562);
INSERT INTO international VALUES (672,'WebGUI',12,'Profil Instillinger, Rediger',1045675536);
INSERT INTO international VALUES (670,'WebGUI',12,'Bilde, Legg Til/Rediger',1045675483);
INSERT INTO international VALUES (667,'WebGUI',12,'Gruppe, Legg Til/Rediger',1045675398);
INSERT INTO international VALUES (666,'WebGUI',12,'Style, Legg Til/Rediger',1045675374);
INSERT INTO international VALUES (665,'WebGUI',12,'Gruppe, Slette',1045675357);
INSERT INTO international VALUES (664,'WebGUI',12,'Wobject, Slette',1045675345);
INSERT INTO international VALUES (663,'WebGUI',12,'ePost instillinger, Redigere',1045675332);
INSERT INTO international VALUES (662,'WebGUI',12,'Instillinger, Hndtere',1045675296);
INSERT INTO international VALUES (661,'WebGUI',12,'Fil Instillinger, Redigere',1045675281);
INSERT INTO international VALUES (660,'WebGUI',12,'Grupper, Hndtere',1045675265);
INSERT INTO international VALUES (684,'WebGUI',12,'Template, Legg Til/redigere',1045675247);
INSERT INTO international VALUES (701,'WebGUI',12,'Uke(r)',1045675222);
INSERT INTO international VALUES (703,'WebGUI',12,'r',1045675185);
INSERT INTO international VALUES (699,'WebGUI',12,'Frste dag i uken',1045675172);
INSERT INTO international VALUES (707,'WebGUI',12,'Vise Debugging?',1045675156);
INSERT INTO international VALUES (705,'WebGUI',12,'Minutt(er)',1045674752);
INSERT INTO international VALUES (700,'WebGUI',12,'Dag(er)',1045674740);
INSERT INTO international VALUES (702,'WebGUI',12,'Mned(er)',1045674589);
INSERT INTO international VALUES (706,'WebGUI',12,'Time(r)',1045674572);
INSERT INTO international VALUES (759,'WebGUI',12,'Rediger denne mappe.',1045674556);
INSERT INTO international VALUES (76,'WebGUI',12,'EPost adressen er ikke i vr database.',1045674528);
INSERT INTO international VALUES (75,'WebGUI',12,'Din konto Informasjon er sendt til din ePost adresse.',1045674492);
INSERT INTO international VALUES (73,'WebGUI',12,'Logg Inn.',1045674455);
INSERT INTO international VALUES (74,'WebGUI',12,'Konto Informasjon',1045674438);
INSERT INTO international VALUES (72,'WebGUI',12,'Gjenoppret',1045674424);
INSERT INTO international VALUES (71,'WebGUI',12,'Gjennoprett Passord',1045674399);
INSERT INTO international VALUES (70,'WebGUI',12,'Feil',1045674383);
INSERT INTO international VALUES (69,'WebGUI',12,'Ta kontakt med din system administrator for assistanse.',1045674371);
INSERT INTO international VALUES (7,'WebGUI',12,'Hndtere Brukere.',1045674339);
INSERT INTO international VALUES (68,'WebGUI',12,'Konto opplysningene du oppga er ikke gyldige. Enten finnes ikke kontoen, eller s er brukernavn/passord kombinasjonen ikke riktig,',1045613633);
INSERT INTO international VALUES (67,'WebGUI',12,'Opprett ny konto.',1045613559);
INSERT INTO international VALUES (80,'WebGUI',12,'Konto  ble opprettet!',1045613527);
INSERT INTO international VALUES (8,'WebGUI',12,'Vis side ikke funnet.',1045613491);
INSERT INTO international VALUES (777,'WebGUI',12,'Folder id',1045613461);
INSERT INTO international VALUES (77,'WebGUI',12,'Dette kontonavnet er allerede i bruk av et annet medlem p denne Web siden. Prv et annet navn. Her er noen forslag:',1045613439);
INSERT INTO international VALUES (856,'WebGUI',12,'Du har ingen konto innstillinger  redigere n.',1045613364);
INSERT INTO international VALUES (766,'WebGUI',12,'Tilbake til Collateral Listen.',1045613257);
INSERT INTO international VALUES (767,'WebGUI',12,'Collateral ID',1045613231);
INSERT INTO international VALUES (813,'WebGUI',12,'Grupper i denne Gruppen',1045613214);
INSERT INTO international VALUES (804,'WebGUI',12,'Kopier denne Style',1045613184);
INSERT INTO international VALUES (66,'WebGUI',12,'Logg Inn',1045613150);
INSERT INTO international VALUES (659,'WebGUI',12,'Styles, Hndtere',1045613138);
INSERT INTO international VALUES (658,'WebGUI',12,'Brukere, Hndtere',1045613124);
INSERT INTO international VALUES (657,'WebGUI',12,'Bruker, Slett',1045613107);
INSERT INTO international VALUES (656,'WebGUI',12,'Firma Informasjon, Rediger',1045613095);
INSERT INTO international VALUES (655,'WebGUI',12,'Bruker, Legg Til/Rediger',1045613072);
INSERT INTO international VALUES (654,'WebGUI',12,'Style, Slett',1045613056);
INSERT INTO international VALUES (653,'WebGUI',12,'Side, Slett',1045613044);
INSERT INTO international VALUES (652,'WebGUI',12,'Bruker Instillinger, Rediger',1045613032);
INSERT INTO international VALUES (651,'WebGUI',12,'Om du velger  tmme sppla, vill alt innhold slettes permanent. Om du er usikker p noen enheter, kan det vre lurt og klippe de til utklipstavlen fr du tmmer sppelbtta.',1045613010);
INSERT INTO international VALUES (65,'WebGUI',12,'Slett min konto permanent.',1045612905);
INSERT INTO international VALUES (642,'WebGUI',12,'Side, Legg Til/Rediger',1045612870);
INSERT INTO international VALUES (640,'WebGUI',12,'Det er ingen god ide  slette Templates siden du aldrig er sikker p hvilken effekt det kan ha p sidene dine (kanskje noe innhold benytter Templaten).',1045612853);
INSERT INTO international VALUES (638,'WebGUI',12,'Templates are used to affect how content is laid out in WebGUI. There are many templates that come with WebGUI, and using the template management system, you can add your own templates to the system to ensure that your site looks exactly how you want it to look. ',1045612822);
INSERT INTO international VALUES (64,'WebGUI',12,'Logg Ut.',1045612770);
INSERT INTO international VALUES (633,'WebGUI',12,'Enkelt forklart s er roots sider uten noen sider over seg. Den frste og viktigste root\'n i WebGUI er \"Home\" siden. Mange vil ikke legge til flere root sider, men noen vil. Disse brukerene vil lage flere root\'s av forskjellige grunner. Kanskje de vil lage et mellomlager eller testside for redaktrer. Eller kanskje en skjult side med Admin verkty. Eller en side for registrerte bruker som er medlem av en spesiell gruppe.',1045612736);
INSERT INTO international VALUES (63,'WebGUI',12,'Sl Admin P.',1045612412);
INSERT INTO international VALUES (627,'WebGUI',12,'Profiler benyttes for utfyllende informasjon om en spesiell bruker. I noen tilfeller er profiler viktige for et Web omrde, i andre ikke. Profiler er fullstendig fleksible, du kan legge til s mye informasjon som du nsker til en profil.',1045612382);
INSERT INTO international VALUES (620,'WebGUI',12,'As the function suggests you\'ll be deleting a group and removing all users from the group. Be careful not to orphan users from pages they should have access to by deleting a group that is in use. \r\nAs with any delete operation, you are prompted to be sure you wish to proceed with the delete. If you answer yes, the delete will proceed and there is no recovery possible. If you answer no you\'ll be returned to the prior screen.\r\n',1045612047);
INSERT INTO international VALUES (62,'WebGUI',12,'Lagre',1045612031);
INSERT INTO international VALUES (613,'WebGUI',12,'Users are the accounts in the system that are given rights to do certain things. There are two default users built into the system: Admin and Visitor. \r\n\r\nAdmin\r\nAdmin is exactly what you\'d expect. It is a user with unlimited rights in the WebGUI environment. If it can be done, this user has the rights to do it. \r\n\r\nVisitor\r\nVisitor is exactly the opposite of Admin. Visitor has no rights what-so-ever. By default any user who is not logged in is seen as the user Visitor. \r\n\r\nAdd a new user.\r\nClick on this to go to the add user screen. \r\n\r\nSearch\r\nYou can search users based on username and email address. You can do partial searches too if you like.\r\n',1045611901);
INSERT INTO international VALUES (61,'WebGUI',12,'Oppdater Konto Informasjon',1045611780);
INSERT INTO international VALUES (609,'WebGUI',12,'Nr du sletter en style, vil alle sider som benytter denne, automatisk bli tildelt standard Style. For  vre sikker p at ikke visninger blir vanskelig, s pass p at ingen sider bruker den fr sletting.\r\n\r\nSom med alle slette kommandoer vil du bli spurt om du vil bekrefte slettingen Om du svarer Ja vil slettingen bli permanent utfrt. Om du svarer Nei vil du bli returnert til forrige skjermbilde.',1045611754);
INSERT INTO international VALUES (605,'WebGUI',12,'Legg Til Grupper',1045611149);
INSERT INTO international VALUES (601,'WebGUI',12,'Internasjonal ID',1045611133);
INSERT INTO international VALUES (60,'WebGUI',12,'Er du sikker p at du vil dekativere kontoen din? Om du fortsetter vil din konto informasjon slettes permanent.',1045611119);
INSERT INTO international VALUES (6,'WebGUI',12,'Hndtere Styles.',1045611043);
INSERT INTO international VALUES (598,'WebGUI',12,'Rediger Oversettelsen.',1045611027);
INSERT INTO international VALUES (597,'WebGUI',12,'Rediger Internasjonal Melding',1045611010);
INSERT INTO international VALUES (596,'WebGUI',12,'MANGLER',1045610985);
INSERT INTO international VALUES (595,'WebGUI',12,'Internasjonale Meldinger',1045610972);
INSERT INTO international VALUES (594,'WebGUI',12,'Oversett Meldinger.',1045610946);
INSERT INTO international VALUES (593,'WebGUI',12,'Last opp Oversettelsen.',1045610929);
INSERT INTO international VALUES (592,'WebGUI',12,'Karakter sett',1045610903);
INSERT INTO international VALUES (591,'WebGUI',12,'Sprk',1045610874);
INSERT INTO international VALUES (590,'WebGUI',12,'Sprk ID',1045610865);
INSERT INTO international VALUES (59,'WebGUI',12,'Jeg har glemt mitt Passord.',1045610855);
INSERT INTO international VALUES (589,'WebGUI',12,'Rediger Oversettelse',1045610829);
INSERT INTO international VALUES (587,'WebGUI',12,'Er du sikker p at du vil slette dette sprket og alle hjelp og internasjonale meldinger som flger med det?',1045610656);
INSERT INTO international VALUES (586,'WebGUI',12,'Hndtere Oversettelser',1045610592);
INSERT INTO international VALUES (585,'WebGUI',12,'Hndtere Oversettelser.',1045610565);
INSERT INTO international VALUES (584,'WebGUI',12,'Legg Til Ny Oversettelse',1045610536);
INSERT INTO international VALUES (583,'WebGUI',12,'Maksimun Bilde strrelse',1045610513);
INSERT INTO international VALUES (582,'WebGUI',12,'La st tom',1045610495);
INSERT INTO international VALUES (581,'WebGUI',12,'Legg Til Ny Verdi',1045608298);
INSERT INTO international VALUES (580,'WebGUI',12,'Din Melding er blitt avvist.',1045608281);
INSERT INTO international VALUES (58,'WebGUI',12,'Jeg har allerede en konto.',1045608255);
INSERT INTO international VALUES (579,'WebGUI',12,'Din Melding er Godkjent.',1045608238);
INSERT INTO international VALUES (578,'WebGUI',12,'Du har en ventende melding til godkjenning.',1045608221);
INSERT INTO international VALUES (577,'WebGUI',12,'Send Svar',1045608192);
INSERT INTO international VALUES (576,'WebGUI',12,'Slett',1045608177);
INSERT INTO international VALUES (575,'WebGUI',12,'Rediger',1045608170);
INSERT INTO international VALUES (574,'WebGUI',12,'Avsl',1045608162);
INSERT INTO international VALUES (573,'WebGUI',12,'La den vente',1045608152);
INSERT INTO international VALUES (572,'WebGUI',12,'Godkjenn',1045608130);
INSERT INTO international VALUES (571,'WebGUI',12,'Ls opp Trden',1045608119);
INSERT INTO international VALUES (570,'WebGUI',12,'Ls Trden',1045608108);
INSERT INTO international VALUES (569,'WebGUI',12,'Sensur Type',1045524364);
INSERT INTO international VALUES (568,'WebGUI',12,'P etterskudd',1045524349);
INSERT INTO international VALUES (567,'WebGUI',12,'P forhnd',1045524334);
INSERT INTO international VALUES (566,'WebGUI',12,'Rediger TimeOut',1045524246);
INSERT INTO international VALUES (565,'WebGUI',12,'Hvem kan sensurere?',1045524223);
INSERT INTO international VALUES (564,'WebGUI',12,'Hvem kan sende/bidra?',1045524189);
INSERT INTO international VALUES (563,'WebGUI',12,'Standard Status',1045524139);
INSERT INTO international VALUES (562,'WebGUI',12,'Ventende',1045524127);
INSERT INTO international VALUES (561,'WebGUI',12,'Avvist',1045524117);
INSERT INTO international VALUES (560,'WebGUI',12,'Godkjent',1045524101);
INSERT INTO international VALUES (56,'WebGUI',12,'ePost Adresse',1045524091);
INSERT INTO international VALUES (559,'WebGUI',12,'Kjr Ved Registrering',1045524066);
INSERT INTO international VALUES (558,'WebGUI',12,'Rediger Brukers Karma',1045524050);
INSERT INTO international VALUES (557,'WebGUI',12,'Beskrivelse',1045524035);
INSERT INTO international VALUES (556,'WebGUI',12,'Mengde',1045524024);
INSERT INTO international VALUES (555,'WebGUI',12,'Rediger denne brukers Karma.',1045523971);
INSERT INTO international VALUES (554,'WebGUI',12,'Ta Aksjon',1045523953);
INSERT INTO international VALUES (553,'WebGUI',12,'Status',1045523940);
INSERT INTO international VALUES (552,'WebGUI',12,'Ventende',1045523921);
INSERT INTO international VALUES (551,'WebGUI',12,'Notis',1045523902);
INSERT INTO international VALUES (543,'WebGUI',12,'Lag ny Bilde Gruppe.',1045523856);
INSERT INTO international VALUES (542,'WebGUI',12,'Forrige..',1045523823);
INSERT INTO international VALUES (541,'WebGUI',12,'Karma pr. Melding',1045523809);
INSERT INTO international VALUES (540,'WebGUI',12,'Karma pr. LoggInn',1045523748);
INSERT INTO international VALUES (54,'WebGUI',12,'Opprett Konto',1045523731);
INSERT INTO international VALUES (539,'WebGUI',12,'Ta i Bruk Karma?',1045523708);
INSERT INTO international VALUES (538,'WebGUI',12,'Karma terskel',1045523658);
INSERT INTO international VALUES (537,'WebGUI',12,'Karma',1045523643);
INSERT INTO international VALUES (536,'WebGUI',12,'En ny bruker ved navn ^@; har registrert seg.',1045523634);
INSERT INTO international VALUES (535,'WebGUI',12,'Gruppe som skal ha beskjed ved ny bruker',1045523585);
INSERT INTO international VALUES (534,'WebGUI',12,'Beskjed ved ny bruker?',1045523557);
INSERT INTO international VALUES (533,'WebGUI',12,'uten desse ordene',1045523529);
INSERT INTO international VALUES (532,'WebGUI',12,'med minst et av ordene',1045523480);
INSERT INTO international VALUES (531,'WebGUI',12,'med eksakt dette innholdet',1045523457);
INSERT INTO international VALUES (530,'WebGUI',12,'med ALLE ordene',1045523411);
INSERT INTO international VALUES (53,'WebGUI',12,'Gjr Siden utskriftsvennlig',1045523387);
INSERT INTO international VALUES (529,'WebGUI',12,'Resultater',1045523356);
INSERT INTO international VALUES (528,'WebGUI',12,'Template Navn',1045523340);
INSERT INTO international VALUES (527,'WebGUI',12,'Standard HjemmeSide',1045523327);
INSERT INTO international VALUES (525,'WebGUI',12,'Rediger Innholds Instillinger',1045523295);
INSERT INTO international VALUES (524,'Discussion',12,'Skal det legges Redigerings merke til Meldinger?',1045523268);
INSERT INTO international VALUES (523,'WebGUI',12,'Beskjed',1045523230);
INSERT INTO international VALUES (522,'WebGUI',12,'Jeg vil gjerne ha beskjed vha ICQ.',1045522699);
INSERT INTO international VALUES (521,'WebGUI',12,'Jeg vil gjerne ha beskjed vha Epost til personsker.',1045522671);
INSERT INTO international VALUES (520,'WebGUI',12,'Jeg vil gjerne ha beskjed vha ePost.',1045522628);
INSERT INTO international VALUES (52,'WebGUI',12,'logg inn',1045522594);
INSERT INTO international VALUES (519,'WebGUI',12,'Jeg nsker ikke  f beskjed.',1045522571);
INSERT INTO international VALUES (518,'WebGUI',12,'Ny beskjed i innboks',1045522524);
INSERT INTO international VALUES (517,'WebGUI',12,'Sl Av Admin!',1045522410);
INSERT INTO international VALUES (516,'WebGUI',12,'Sl p Admin!',1045522396);
INSERT INTO international VALUES (515,'WebGUI',12,'Skal det legges et redigerings stempel til meldinger?',1045522372);
INSERT INTO international VALUES (514,'WebGUI',12,'Visninger',1045522311);
INSERT INTO international VALUES (513,'WebGUI',12,'Forrige Trd',1045522294);
INSERT INTO international VALUES (512,'WebGUI',12,'Neste Trd',1045522284);
INSERT INTO international VALUES (511,'WebGUI',12,'Trder',1045522271);
INSERT INTO international VALUES (510,'WebGUI',12,'Flat',1045522220);
INSERT INTO international VALUES (51,'WebGUI',12,'Passord',1045522208);
INSERT INTO international VALUES (509,'WebGUI',12,'Diskusjons utseende.',1045522199);
INSERT INTO international VALUES (508,'WebGUI',12,'Hndtere Templates.',1045522170);
INSERT INTO international VALUES (507,'WebGUI',12,'Rediger Template',1045522154);
INSERT INTO international VALUES (506,'WebGUI',12,'Hndtere Templates',1045522137);
INSERT INTO international VALUES (505,'WebGUI',12,'Legg Til Ny Template.',1045522120);
INSERT INTO international VALUES (504,'WebGUI',12,'Template',1045522105);
INSERT INTO international VALUES (503,'WebGUI',12,'Template ID',1045522096);
INSERT INTO international VALUES (502,'WebGUI',12,'Er du sikker p at du vil slette denne Templaten og la alle sider som bruker den til  benytte standard Template?',1045522086);
INSERT INTO international VALUES (501,'WebGUI',12,'Body',1045522021);
INSERT INTO international VALUES (500,'WebGUI',12,'Side ID',1045521996);
INSERT INTO international VALUES (50,'WebGUI',12,'BrukerNavn',1045521987);
INSERT INTO international VALUES (5,'WebGUI',12,'Hndtere Grupper',1045441715);
INSERT INTO international VALUES (95,'WebGUI',12,'Hjelp Indeks',1045441670);
INSERT INTO international VALUES (94,'WebGUI',12,'Se Ogs',1045441656);
INSERT INTO international VALUES (93,'WebGUI',12,'Hjelp',1045441641);
INSERT INTO international VALUES (92,'WebGUI',12,'Neste Side',1045441629);
INSERT INTO international VALUES (91,'WebGUI',12,'Forrige Side',1045441613);
INSERT INTO international VALUES (90,'WebGUI',12,'Legg Til ny Gruppe.',1045441594);
INSERT INTO international VALUES (89,'WebGUI',12,'Grupper',1045441577);
INSERT INTO international VALUES (88,'WebGUI',12,'Brukere i Gruppen',1045441566);
INSERT INTO international VALUES (87,'WebGUI',12,'Rediger Gruppe',1045441527);
INSERT INTO international VALUES (86,'WebGUI',12,'Er du sikker p at du vil slette denne gruppen? Vr klar over at  slette en gruppe er endelig og at alle privilegier knyttet til gruppen vil bli fjernet.',1045441515);
INSERT INTO international VALUES (9,'WebGUI',12,'Vis Utklippstavle.',1045441426);
INSERT INTO international VALUES (85,'WebGUI',12,'Beskrivelse',1045441400);
INSERT INTO international VALUES (84,'WebGUI',12,'Gruppe Navn',1045441387);
INSERT INTO international VALUES (81,'WebGUI',12,'Konto Oppdatert!',1045441372);
INSERT INTO international VALUES (99,'WebGUI',12,'Tittel',1045441342);
INSERT INTO international VALUES (5,'WobjectProxy',12,'Wobject Proxy, Legg Til/Rediger',1045441101);
INSERT INTO international VALUES (4,'WobjectProxy',12,'Wobject Proxy Feilet. Kanskje Wobjectet som skulle Proxyes, er slettet.',1045441069);
INSERT INTO international VALUES (3,'WobjectProxy',12,'Wobject Proxy',1045440934);
INSERT INTO international VALUES (2,'WobjectProxy',12,'Rediger Wobject Proxy',1045440917);
INSERT INTO international VALUES (1,'WobjectProxy',12,'Wobject To Proxy',1045440896);
INSERT INTO international VALUES (499,'WebGUI',12,'Wobject ID',1045440771);
INSERT INTO international VALUES (498,'WebGUI',12,'Slutt Dato',1045440756);
INSERT INTO international VALUES (497,'WebGUI',12,'Start Dato',1045440745);
INSERT INTO international VALUES (496,'WebGUI',12,'Editor som skal brukes',1045440733);
INSERT INTO international VALUES (495,'WebGUI',12,'htmlArea (standard)',1045440703);
INSERT INTO international VALUES (494,'WebGUI',12,'Real Objects Edit-On Pro',1045440685);
INSERT INTO international VALUES (493,'WebGUI',12,'Tilbake til Web-sidene.',1045440667);
INSERT INTO international VALUES (48,'WebGUI',12,'Hallo',1045440572);
INSERT INTO international VALUES (492,'WebGUI',12,'Profil FeltListe.',1045440503);
INSERT INTO international VALUES (49,'WebGUI',12,'\"Klikk <a href=\"\"^\\;?op=logout\"\">her</a> for  logge ut.\"',1045440472);
INSERT INTO international VALUES (491,'WebGUI',12,'Legg Til Profil Felt.',1045440307);
INSERT INTO international VALUES (490,'WebGUI',12,'Legg Til en Profil Kategori.',1045440291);
INSERT INTO international VALUES (489,'WebGUI',12,'Profil Kategori',1045440180);
INSERT INTO international VALUES (488,'WebGUI',12,'Standard Verdi(er)',1045440168);
INSERT INTO international VALUES (487,'WebGUI',12,'Mulige Verdier',1045440144);
INSERT INTO international VALUES (486,'WebGUI',12,'Data Type',1045440131);
INSERT INTO international VALUES (485,'WebGUI',12,'Boolean (valgboks)',1045440117);
INSERT INTO international VALUES (484,'WebGUI',12,'Velg Liste',1045440069);
INSERT INTO international VALUES (483,'WebGUI',12,'Ja eller Nei',1045440040);
INSERT INTO international VALUES (482,'WebGUI',12,'Tall (integer)',1045440030);
INSERT INTO international VALUES (481,'WebGUI',12,'TelefonNummer',1045440002);
INSERT INTO international VALUES (480,'WebGUI',12,'Epost Adresse',1045439988);
INSERT INTO international VALUES (479,'WebGUI',12,'Dato',1045439964);
INSERT INTO international VALUES (478,'WebGUI',12,'URL',1045439955);
INSERT INTO international VALUES (477,'WebGUI',12,'HTML Omrde',1045439947);
INSERT INTO international VALUES (476,'WebGUI',12,'TekstOmrde',1045439935);
INSERT INTO international VALUES (475,'WebGUI',12,'Tekst',1045439923);
INSERT INTO international VALUES (474,'WebGUI',12,'Ndvendig?',1045439915);
INSERT INTO international VALUES (473,'WebGUI',12,'Synelig?',1045439902);
INSERT INTO international VALUES (472,'WebGUI',12,'Label',1045439890);
INSERT INTO international VALUES (471,'WebGUI',12,'Rediger BrukerProfil Felt',1045439877);
INSERT INTO international VALUES (470,'WebGUI',12,'Navn',1045439852);
INSERT INTO international VALUES (47,'WebGUI',12,'Hjem',1045439835);
INSERT INTO international VALUES (469,'WebGUI',12,'Id',1045439767);
INSERT INTO international VALUES (468,'WebGUI',12,'Rediger BrukerProfil Kategori',1045439759);
INSERT INTO international VALUES (467,'WebGUI',12,'Er du sikker p at du vil slette dette feltet og alle brukerdata knyttet til det?',1045439733);
INSERT INTO international VALUES (466,'WebGUI',12,'Er du sikker p at du vil slette denne kategorien og flytte alle felter til diverse kategorien?',1045439687);
INSERT INTO international VALUES (465,'WebGUI',12,'TekstBoks Strrelse',1045439629);
INSERT INTO international VALUES (464,'WebGUI',12,'Tekstomrde kolonner',1045439615);
INSERT INTO international VALUES (463,'WebGUI',12,'Tekstomrde Rader',1045439601);
INSERT INTO international VALUES (462,'WebGUI',12,'Tids Format',1045439575);
INSERT INTO international VALUES (461,'WebGUI',12,'Dato Format',1045439561);
INSERT INTO international VALUES (460,'WebGUI',12,'Tids forskyvning',1045439550);
INSERT INTO international VALUES (46,'WebGUI',12,'Min Konto',1045439499);
INSERT INTO international VALUES (459,'WebGUI',12,'Rediger denne brukerens profil.',1045439489);
INSERT INTO international VALUES (458,'WebGUI',12,'Rediger denne brukerens Grupper.',1045439462);
INSERT INTO international VALUES (457,'WebGUI',12,'Rediger denne brukerens konto.',1045439439);
INSERT INTO international VALUES (456,'WebGUI',12,'Tilbake til Bruker listen.',1045439416);
INSERT INTO international VALUES (455,'WebGUI',12,'Rediger Brukerns Profil',1045439386);
INSERT INTO international VALUES (454,'WebGUI',12,'Sist Oppdatert',1045439359);
INSERT INTO international VALUES (453,'WebGUI',12,'Dato Opprettet',1045439348);
INSERT INTO international VALUES (452,'WebGUI',12,'Vent...',1045439293);
INSERT INTO international VALUES (451,'WebGUI',12,'er ndvendig.',1045439279);
INSERT INTO international VALUES (450,'WebGUI',12,'Firma Navn (arbeid)',1045439243);
INSERT INTO international VALUES (45,'WebGUI',12,'Nei, Jeg gjorde en Feil.',1045439219);
INSERT INTO international VALUES (449,'WebGUI',12,'Forskjellig Informasjon',1045439201);
INSERT INTO international VALUES (448,'WebGUI',12,'SideTre',1045439178);
INSERT INTO international VALUES (447,'WebGUI',12,'Hndtere Sidetre',1045439168);
INSERT INTO international VALUES (446,'WebGUI',12,'WEB-Site Arbeid',1045439144);
INSERT INTO international VALUES (445,'WebGUI',12,'Preferanser',1045439107);
INSERT INTO international VALUES (444,'WebGUI',12,'Geografisk Informasjon',1045439096);
INSERT INTO international VALUES (443,'WebGUI',12,'Hjem Informasjon',1045439001);
INSERT INTO international VALUES (442,'WebGUI',12,'Arbeids Informasjon',1045438978);
INSERT INTO international VALUES (441,'WebGUI',12,'Epost til Personsker Gateway',1045438942);
INSERT INTO international VALUES (440,'WebGUI',12,'Kontakt Informasjon',1045438911);
INSERT INTO international VALUES (44,'WebGUI',12,'Ja, Jeg er sikker.',1045438899);
INSERT INTO international VALUES (439,'WebGUI',12,'Personlig Informasjon',1045438884);
INSERT INTO international VALUES (438,'WebGUI',12,'Ditt Navn',1045438871);
INSERT INTO international VALUES (437,'WebGUI',12,'Statistikk',1045438861);
INSERT INTO international VALUES (436,'WebGUI',12,'Avslutt Sesjon',1045438844);
INSERT INTO international VALUES (435,'WebGUI',12,'Sesjons Signatur',1045438819);
INSERT INTO international VALUES (434,'WebGUI',12,'Status',1045438805);
INSERT INTO international VALUES (433,'WebGUI',12,'Bruker Agent',1045438797);
INSERT INTO international VALUES (432,'WebGUI',12,'Utgr',1045438783);
INSERT INTO international VALUES (431,'WebGUI',12,'IP Adresse',1045438759);
INSERT INTO international VALUES (430,'WebGUI',12,'Vis Siste Side',1045438748);
INSERT INTO international VALUES (43,'WebGUI',12,'Er du sikker p at du vil slette dette innholdet?',1045438719);
INSERT INTO international VALUES (429,'WebGUI',12,'LoggInn Tidspunkt',1045438690);
INSERT INTO international VALUES (428,'WebGUI',12,'Bruker (ID)',1045438673);
INSERT INTO international VALUES (427,'WebGUI',12,'Styles',1045438661);
INSERT INTO international VALUES (426,'WebGUI',12,'Logginn Historikk',1045438652);
INSERT INTO international VALUES (425,'WebGUI',12,'Aktive sesjoner',1045438635);
INSERT INTO international VALUES (424,'WebGUI',12,'Vis Logginn historikk.',1045438620);
INSERT INTO international VALUES (423,'WebGUI',12,'Vis aktive sesjoner.',1045438591);
INSERT INTO international VALUES (42,'WebGUI',12,'Bekreft',1045423601);
INSERT INTO international VALUES (412,'WebGUI',12,'Kort Beskrivelse',1045423158);
INSERT INTO international VALUES (411,'WebGUI',12,'Meny Tittel',1045423141);
INSERT INTO international VALUES (410,'WebGUI',12,'Hndtere Roots.',1045423117);
INSERT INTO international VALUES (41,'WebGUI',12,'Du prver  fjerne en viktig komponent av WebGUI systemet. Om du ble tillat  fortsette ville WebGUI kanskje slutte  fungere.',1045423102);
INSERT INTO international VALUES (409,'WebGUI',12,'Legg Til ny Root.',1045423020);
INSERT INTO international VALUES (408,'WebGUI',12,'Hndtere Roots',1045422997);
INSERT INTO international VALUES (407,'WebGUI',12,'Klikk her for  registrere deg.',1045422984);
INSERT INTO international VALUES (406,'WebGUI',12,'Tittebilde strrelse',1045422929);
INSERT INTO international VALUES (405,'WebGUI',12,'Siste Side',1045422915);
INSERT INTO international VALUES (404,'WebGUI',12,'Frste Side',1045422903);
INSERT INTO international VALUES (403,'WebGUI',12,'nsker ikke  oppgi.',1045422894);
INSERT INTO international VALUES (402,'WebGUI',12,'Meldingen du forespurte eksisterer ikke.',1045422870);
INSERT INTO international VALUES (401,'WebGUI',12,'Er du sikker p at du vil slette denne Meldingen og alle meldinger under den i denne trden?',1045422820);
INSERT INTO international VALUES (400,'WebGUI',12,'Forhindre Proxy Caching',1045422774);
INSERT INTO international VALUES (40,'WebGUI',12,'Viktig komponent',1045422743);
INSERT INTO international VALUES (4,'WebGUI',12,'Hndter Instillinger.',1045422706);
INSERT INTO international VALUES (399,'WebGUI',12,'Godkjenn denne Siden.',1045422688);
INSERT INTO international VALUES (398,'WebGUI',12,'Angi Dokumenttype',1045422668);
INSERT INTO international VALUES (395,'WebGUI',12,'Legg til nytt Bilde.',1045422626);
INSERT INTO international VALUES (394,'WebGUI',12,'Hndtere collateral.',1045422611);
INSERT INTO international VALUES (391,'WebGUI',12,'Slette Vedlagte fil.',1045422386);
INSERT INTO international VALUES (39,'WebGUI',12,'Du har ikke tilstrekkelige rettigheter til  aksessere denne siden.',1045422347);
INSERT INTO international VALUES (388,'WebGUI',12,'Lastet opp Dato',1045422304);
INSERT INTO international VALUES (387,'WebGUI',12,'Lastet opp av',1045422291);
INSERT INTO international VALUES (386,'WebGUI',12,'Rediger Bilde',1045422278);
INSERT INTO international VALUES (385,'WebGUI',12,'Parametere',1045422267);
INSERT INTO international VALUES (384,'WebGUI',12,'Fil',1045422256);
INSERT INTO international VALUES (381,'WebGUI',12,'WebGUI mottok en uriktig foresprsel og var ikke i stand til  fortsette. Propiritre karakterer som blir gitt til et skjema er den vanligste rsaken. Trykk gjerne Tilbake og prv p nytt.',1045422248);
INSERT INTO international VALUES (380,'WebGUI',12,'Style ID',1045421584);
INSERT INTO international VALUES (38,'WebGUI',12,'Du har ikke tilstrekkelige rettigheter til  utfre denne handlingen. Prv ^a(logg inn med en konto); som har tilstrekkelige rettigheter fr du prver  gjre denne operasjonen.',1045421559);
INSERT INTO international VALUES (379,'WebGUI',12,'Gruppe ID',1045421393);
INSERT INTO international VALUES (378,'WebGUI',12,'Bruker ID',1045421383);
INSERT INTO international VALUES (377,'WebGUI',12,'Ingen Pakker er definert av din pakke administrator(er)',1045421373);
INSERT INTO international VALUES (376,'WebGUI',12,'Pakke',1045421312);
INSERT INTO international VALUES (375,'WebGUI',12,'Velg Pakke  rulle ut',1045421304);
INSERT INTO international VALUES (374,'WebGUI',12,'Hndter Pakker',1045421276);
INSERT INTO international VALUES (372,'WebGUI',12,'Rediger Brukerens Grupper',1045421246);
INSERT INTO international VALUES (371,'WebGUI',12,'Legg Til Gruppering',1045421224);
INSERT INTO international VALUES (370,'WebGUI',12,'Rediger Gruppering',1045421210);
INSERT INTO international VALUES (37,'WebGUI',12,'Ingen Adgang!',1045421187);
INSERT INTO international VALUES (369,'WebGUI',12,'Utlps Dato',1045421135);
INSERT INTO international VALUES (368,'WebGUI',12,'Legg en ny gruppe til denne brukeren.',1045421123);
INSERT INTO international VALUES (367,'WebGUI',12,'Utlper Etter',1045421096);
INSERT INTO international VALUES (366,'WebGUI',12,'Ingen Sider som tilfredstilte ditt sk ble funnet.',1045421083);
INSERT INTO international VALUES (365,'WebGUI',12,'Resultat av Sk..',1045421047);
INSERT INTO international VALUES (364,'WebGUI',12,'Sk',1045421032);
INSERT INTO international VALUES (363,'WebGUI',12,'Side Template posisjon',1045421023);
INSERT INTO international VALUES (362,'WebGUI',12,'Side ved Side',1045420999);
INSERT INTO international VALUES (361,'WebGUI',12,'Tre over En',1045420987);
INSERT INTO international VALUES (360,'WebGUI',12,'En over Tre',1045420976);
INSERT INTO international VALUES (342,'WebGUI',12,'Rediger Konto Informasjon.',1045349689);
INSERT INTO international VALUES (341,'WebGUI',12,'Rediger Profil.',1045349673);
INSERT INTO international VALUES (338,'WebGUI',12,'Rediger Profil.',1045349660);
INSERT INTO international VALUES (308,'WebGUI',12,'Rediger Profil Instillinger',1045349638);
INSERT INTO international VALUES (168,'WebGUI',12,'Rediger Bruker',1045349610);
INSERT INTO international VALUES (156,'WebGUI',12,'Rediger Style',1045349595);
INSERT INTO international VALUES (140,'WebGUI',12,'Redigere Forskjellige Instillinger',1045349579);
INSERT INTO international VALUES (6,'MailForm',12,'Kan Redigeres',1045349563);
INSERT INTO international VALUES (27,'USS',12,'Rediger',1045349538);
INSERT INTO international VALUES (124,'WebGUI',12,'Rediger Firma Informasjon',1045349523);
INSERT INTO international VALUES (133,'WebGUI',12,'Rediger Mail Instillinger',1045349427);
INSERT INTO international VALUES (117,'WebGUI',12,'Rediger Bruker Instillinger',1045349412);
INSERT INTO international VALUES (102,'WebGUI',12,'Rediger Side',1045349314);
INSERT INTO international VALUES (19,'USS',12,'Rediger Bidrag',1045349288);
INSERT INTO international VALUES (18,'USS',12,'Rediger Bruker Bidrags system',1045349276);
INSERT INTO international VALUES (15,'USS',12,'Rediger/Slette',1045349260);
INSERT INTO international VALUES (4,'SyndicatedContent',12,'Rediger Syndicated Innhold',1045349231);
INSERT INTO international VALUES (75,'Survey',12,'Rediger dette sprsmlet.',1045349215);
INSERT INTO international VALUES (3,'Survey',12,'Underskelse, Legg Til/Rediger',1045349202);
INSERT INTO international VALUES (2,'Survey',12,'Rediger Underskelse',1045349189);
INSERT INTO international VALUES (18,'Survey',12,'Rediger Svar',1045349175);
INSERT INTO international VALUES (17,'Survey',12,'Rediger Sprsml',1045349159);
INSERT INTO international VALUES (61,'SiteMap',12,'Site Map, Legg Til/Rediger',1045349145);
INSERT INTO international VALUES (5,'SiteMap',12,'Rediger Site Map',1045349131);
INSERT INTO international VALUES (8,'SQLReport',12,'Rediger SQL Rapport',1045349119);
INSERT INTO international VALUES (61,'SQLReport',12,'SQL Rapport, Legg Til/Rediger',1045349104);
INSERT INTO international VALUES (6,'Product',12,'Rediger Produkt',1045349090);
INSERT INTO international VALUES (58,'Product',12,'Rediger Produkt Templaten.',1045349077);
INSERT INTO international VALUES (25,'Product',12,'Rediger Spesifikasjon',1045349064);
INSERT INTO international VALUES (53,'Product',12,'Rediger Fordel',1045349051);
INSERT INTO international VALUES (49,'Product',12,'Produkt Fordel, Legg Til/Rediger',1045349028);
INSERT INTO international VALUES (46,'Product',12,'Produkt (Relatert), Legg til/Rediger',1045349006);
INSERT INTO international VALUES (44,'Product',12,'Produkt Tilbehr, Legg til/Rediger',1045348991);
INSERT INTO international VALUES (42,'Product',12,'Produkt Spesifikasjon, Legg til/Rediger',1045348976);
INSERT INTO international VALUES (40,'Product',12,'Produkt Egenskap, Legg til/Rediger',1045348955);
INSERT INTO international VALUES (38,'Product',12,'Produkt, Legg til/Rediger',1045348939);
INSERT INTO international VALUES (22,'Product',12,'Rediger Egenskap',1045348920);
INSERT INTO international VALUES (9,'Poll',12,'Rediger Avstemning',1045348904);
INSERT INTO international VALUES (61,'Poll',12,'Avstemning, Legg Til/Rediger',1045348889);
INSERT INTO international VALUES (6,'PhotoGallery',12,'Rediger',1045348873);
INSERT INTO international VALUES (7,'MailForm',12,'Rediger ePost skjema',1045348836);
INSERT INTO international VALUES (6,'MessageBoard',12,'Rediger Meldinger',1045348819);
INSERT INTO international VALUES (12,'MessageBoard',12,'Rediger melding',1045348800);
INSERT INTO international VALUES (62,'MailForm',12,'ePost skjemaFelter, Legg til/Rediger',1045348779);
INSERT INTO international VALUES (61,'MailForm',12,'ePost skjema, Legg til/Rediger',1045348759);
INSERT INTO international VALUES (20,'MailForm',12,'Rediger Felt',1045348728);
INSERT INTO international VALUES (72,'LinkList',12,'Link, Legg til/Rediger',1045348713);
INSERT INTO international VALUES (61,'LinkList',12,'Link Liste, Legg til/Rediger',1045348697);
INSERT INTO international VALUES (12,'LinkList',12,'Rediger Link',1045348681);
INSERT INTO international VALUES (10,'LinkList',12,'Rediger LinkListe',1045348666);
INSERT INTO international VALUES (61,'Item',12,'Item, Legg til/Rediger',1045348650);
INSERT INTO international VALUES (6,'Item',12,'Rediger Item',1045348632);
INSERT INTO international VALUES (9,'FileManager',12,'Rediger FilBehandler',1045348613);
INSERT INTO international VALUES (72,'FileManager',12,'Fil, Legg til/Rediger',1045348588);
INSERT INTO international VALUES (61,'FileManager',12,'FilBehandler, Legg til/Rediger',1045348572);
INSERT INTO international VALUES (10,'FileManager',12,'Rediger Fil',1045348552);
INSERT INTO international VALUES (8,'FAQ',12,'Rediger F.A.Q.',1045348528);
INSERT INTO international VALUES (72,'FAQ',12,'Sprsml, Legg til/Rediger',1045348513);
INSERT INTO international VALUES (61,'FAQ',12,'FAQ, Legg til/Rediger',1045348493);
INSERT INTO international VALUES (10,'FAQ',12,'Rediger Sprsml',1045348475);
INSERT INTO international VALUES (61,'ExtraColumn',12,'Ekstra kolonne, Legg til/Rediger',1045348447);
INSERT INTO international VALUES (6,'ExtraColumn',12,'Rediger Ekstra kolonne',1045348432);
INSERT INTO international VALUES (72,'EventsCalendar',12,'Hendelse, Legg til/Rediger',1045348414);
INSERT INTO international VALUES (61,'EventsCalendar',12,'Hendelses kalender, Leggt til/Rediger',1045348188);
INSERT INTO international VALUES (13,'EventsCalendar',12,'Rediger p hendelse',1045348167);
INSERT INTO international VALUES (12,'EventsCalendar',12,'Rediger hendelses kalender',1045348150);
INSERT INTO international VALUES (12,'Article',12,'Rediger artikkel',1045348096);
INSERT INTO international VALUES (36,'WebGUI',12,'Du m vre administrator for  utfre denne funksjonen. Ta kontakt med en av dine administratorer. Her flger en liste over administratorer p dette systemet:',1045347780);
INSERT INTO international VALUES (359,'WebGUI',12,'Hyre kolonne',1045347701);
INSERT INTO international VALUES (358,'WebGUI',12,'Venstre kolonne',1045347683);
INSERT INTO international VALUES (357,'WebGUI',12,'Nyheter',1045347672);
INSERT INTO international VALUES (356,'WebGUI',12,'Template',1045347661);
INSERT INTO international VALUES (355,'WebGUI',12,'Standard',1045347652);
INSERT INTO international VALUES (354,'WebGUI',12,'Vis innboks.',1045347639);
INSERT INTO international VALUES (353,'WebGUI',12,'Du har ingen meldinger i innboksen n.',1045347628);
INSERT INTO international VALUES (352,'WebGUI',12,'Dato for innleggelse',1045347594);
INSERT INTO international VALUES (351,'WebGUI',12,'Melding',1045347544);
INSERT INTO international VALUES (350,'WebGUI',12,'Utfrt',1045347534);
INSERT INTO international VALUES (35,'WebGUI',12,'Administrativ Funksjon',1045347510);
INSERT INTO international VALUES (349,'WebGUI',12,'Siste Tilgjengelige Versjon',1045347477);
INSERT INTO international VALUES (348,'WebGUI',12,'Navn',1045347442);
INSERT INTO international VALUES (347,'WebGUI',12,'Vis Profilen for',1045347434);
INSERT INTO international VALUES (346,'WebGUI',12,'Denne brukeren er ikke lenger medlem av denne siden. Vi har ikke mer informasjon om denne brukeren.',1045347417);
INSERT INTO international VALUES (345,'WebGUI',12,'Ikke Medlem.',1045347370);
INSERT INTO international VALUES (343,'WebGUI',12,'Vis Profil.',1045347344);
INSERT INTO international VALUES (340,'WebGUI',12,'Kvinne',1045347294);
INSERT INTO international VALUES (34,'WebGUI',12,'Sett Dato',1045347286);
INSERT INTO international VALUES (339,'WebGUI',12,'Mann',1045347273);
INSERT INTO international VALUES (337,'WebGUI',12,'Hjemmeside URL',1045347252);
INSERT INTO international VALUES (336,'WebGUI',12,'FdselsDato',1045347239);
INSERT INTO international VALUES (335,'WebGUI',12,'Kjnn',1045347227);
INSERT INTO international VALUES (334,'WebGUI',12,'Telefon (Arbeid)',1045347214);
INSERT INTO international VALUES (333,'WebGUI',12,'Land (arbeid)',1045347202);
INSERT INTO international VALUES (332,'WebGUI',12,'PostNummer (Arbeid)',1045347189);
INSERT INTO international VALUES (331,'WebGUI',12,'Fylke (arbeid)',1045347174);
INSERT INTO international VALUES (330,'WebGUI',12,'By (Arbeid)',1045347161);
INSERT INTO international VALUES (33,'WebGUI',12,'Lrdag',1045347145);
INSERT INTO international VALUES (329,'WebGUI',12,'Adresse Arbeid',1045347135);
INSERT INTO international VALUES (328,'WebGUI',12,'Telefon Hjemme',1045347124);
INSERT INTO international VALUES (327,'WebGUI',12,'Land',1045347112);
INSERT INTO international VALUES (326,'WebGUI',12,'Postnummer Hjemme',1045347101);
INSERT INTO international VALUES (325,'WebGUI',12,'HjemmFylke',1045347084);
INSERT INTO international VALUES (324,'WebGUI',12,'HjemmBy',1045347060);
INSERT INTO international VALUES (323,'WebGUI',12,'Hjemme Adresse',1045347045);
INSERT INTO international VALUES (322,'WebGUI',12,'Personsker',1045347035);
INSERT INTO international VALUES (321,'WebGUI',12,'Mobiltelefon',1045347020);
INSERT INTO international VALUES (320,'WebGUI',12,'Yahoo! Messenger Id',1045347005);
INSERT INTO international VALUES (32,'WebGUI',12,'Fredag',1045346995);
INSERT INTO international VALUES (319,'WebGUI',12,'MSN Messenger Id',1045346985);
INSERT INTO international VALUES (318,'WebGUI',12,'AIM Id',1045346975);
INSERT INTO international VALUES (317,'WebGUI',12,'ICQ UIN',1045346962);
INSERT INTO international VALUES (316,'WebGUI',12,'EtterNavn',1045346938);
INSERT INTO international VALUES (315,'WebGUI',12,'MellomNavn',1045346928);
INSERT INTO international VALUES (314,'WebGUI',12,'Fornavn',1045346918);
INSERT INTO international VALUES (313,'WebGUI',12,'Tillat forskjellig Informasjon?',1045346907);
INSERT INTO international VALUES (312,'WebGUI',12,'Tillat Firma informasjon?',1045346882);
INSERT INTO international VALUES (311,'WebGUI',12,'Tillat hjemme informasjon?',1045346860);
INSERT INTO international VALUES (310,'WebGUI',12,'Tillat ekstra kontakt informasjon?',1045346832);
INSERT INTO international VALUES (31,'WebGUI',12,'Torsdag',1045346809);
INSERT INTO international VALUES (309,'WebGUI',12,'Tillat ekte Navn',1045346798);
INSERT INTO international VALUES (307,'WebGUI',12,'Bruk standard Meta Tags?',1045346770);
INSERT INTO international VALUES (304,'WebGUI',12,'Sprk',1045346730);
INSERT INTO international VALUES (30,'WebGUI',12,'Onsdag',1045346722);
INSERT INTO international VALUES (3,'WebGUI',12,'Lim inn fra utklippstavle..',1045346712);
INSERT INTO international VALUES (29,'WebGUI',12,'Tirsdag',1045346684);
INSERT INTO international VALUES (28,'WebGUI',12,'Mandag',1045346672);
INSERT INTO international VALUES (27,'WebGUI',12,'Sndag',1045346663);
INSERT INTO international VALUES (26,'WebGUI',12,'Desember',1045346655);
INSERT INTO international VALUES (25,'WebGUI',12,'November',1045346646);
INSERT INTO international VALUES (245,'WebGUI',12,'Dato',1045346636);
INSERT INTO international VALUES (244,'WebGUI',12,'Forfatter',1045346628);
INSERT INTO international VALUES (240,'WebGUI',12,'Meldings ID:',1045346618);
INSERT INTO international VALUES (24,'WebGUI',12,'Oktober',1045346605);
INSERT INTO international VALUES (239,'WebGUI',12,'Dato:',1045346596);
INSERT INTO international VALUES (238,'WebGUI',12,'Forfatter:',1045346588);
INSERT INTO international VALUES (234,'WebGUI',12,'Sender Svar...',1045346565);
INSERT INTO international VALUES (233,'WebGUI',12,'(eom)',1045346554);
INSERT INTO international VALUES (231,'WebGUI',12,'Sender Ny Melding...',1045346503);
INSERT INTO international VALUES (230,'WebGUI',12,'Melding',1045346489);
INSERT INTO international VALUES (23,'WebGUI',12,'September',1045346476);
INSERT INTO international VALUES (228,'WebGUI',12,'Endrer melding...',1045346442);
INSERT INTO international VALUES (22,'WebGUI',12,'August',1045346400);
INSERT INTO international VALUES (21,'WebGUI',12,'Juli',1045346391);
INSERT INTO international VALUES (20,'WebGUI',12,'Juni',1045346366);
INSERT INTO international VALUES (2,'WebGUI',12,'Side',1045346359);
INSERT INTO international VALUES (19,'WebGUI',12,'Mai',1045346351);
INSERT INTO international VALUES (18,'WebGUI',12,'April',1045346344);
INSERT INTO international VALUES (175,'WebGUI',12,'Prosseser makroer?',1045346336);
INSERT INTO international VALUES (174,'WebGUI',12,'Vis tittelen?',1045346312);
INSERT INTO international VALUES (171,'WebGUI',12,'rich edit',1045346285);
INSERT INTO international VALUES (170,'WebGUI',12,'Sk',1045346270);
INSERT INTO international VALUES (17,'WebGUI',12,'Mars',1045346263);
INSERT INTO international VALUES (169,'WebGUI',12,'Legg Til ny Bruker.',1045346254);
INSERT INTO international VALUES (167,'WebGUI',12,'Er du sikker p at du vil slette denne Brukeren? All brukerinformasjon vil vre slettet for alltid om du velger  fortsette.',1045346227);
INSERT INTO international VALUES (164,'WebGUI',12,'Autentiserings Metode',1045346165);
INSERT INTO international VALUES (163,'WebGUI',12,'Legg Til Bruker',1045346150);
INSERT INTO international VALUES (162,'WebGUI',12,'Er du sikker p at du vil fjerne alle sider og wobject i sppla?',1045346138);
INSERT INTO international VALUES (161,'WebGUI',12,'Bidratt av',1045346082);
INSERT INTO international VALUES (160,'WebGUI',12,'Dato bidratt',1045346068);
INSERT INTO international VALUES (16,'WebGUI',12,'Februar',1045346021);
INSERT INTO international VALUES (159,'WebGUI',12,'Innboks',1045345725);
INSERT INTO international VALUES (158,'WebGUI',12,'Legg Til en ny Style',1045345714);
INSERT INTO international VALUES (157,'WebGUI',12,'Styles',1045345701);
INSERT INTO international VALUES (155,'WebGUI',12,'Er du sikker p at du vil slette denne Style og migrere alle sider som bruker den til \"den trygge\" Style?',1045345676);
INSERT INTO international VALUES (154,'WebGUI',12,'Style Sheet(Stilark)',1045345588);
INSERT INTO international VALUES (151,'WebGUI',12,'Style Navn',1045345557);
INSERT INTO international VALUES (15,'WebGUI',12,'Januar',1045345546);
INSERT INTO international VALUES (149,'WebGUI',12,'Brukere',1045345535);
INSERT INTO international VALUES (148,'WebGUI',12,'Wobjects',1045345524);
INSERT INTO international VALUES (147,'WebGUI',12,'Sider',1045345510);
INSERT INTO international VALUES (146,'WebGUI',12,'Aktive Sessions',1045345502);
INSERT INTO international VALUES (145,'WebGUI',12,'WebGUI Build Versjon',1045345488);
INSERT INTO international VALUES (144,'WebGUI',12,'Vis Statistikk.',1045345464);
INSERT INTO international VALUES (143,'WebGUI',12,'Hndter Instillinger',1045345448);
INSERT INTO international VALUES (142,'WebGUI',12,'Session Timeout',1045345431);
INSERT INTO international VALUES (141,'WebGUI',12,'Fant Ikke Siden',1045345409);
INSERT INTO international VALUES (14,'WebGUI',12,'Vis ventende Bidrag.',1045345363);
INSERT INTO international VALUES (139,'WebGUI',12,'Nei',1045345333);
INSERT INTO international VALUES (138,'WebGUI',12,'Ja',1045345325);
INSERT INTO international VALUES (135,'WebGUI',12,'SMTP Server',1045345316);
INSERT INTO international VALUES (134,'WebGUI',12,'Gjennoprett Passord Melding',1045343863);
INSERT INTO international VALUES (130,'WebGUI',12,'Maksimal Vedleggs Strrelse',1045343770);
INSERT INTO international VALUES (13,'WebGUI',12,'Vis Hjelp Indeks',1045343746);
INSERT INTO international VALUES (127,'WebGUI',12,'Firma URL',1045343712);
INSERT INTO international VALUES (126,'WebGUI',12,'Firma E-Post adresse',1045343701);
INSERT INTO international VALUES (125,'WebGUI',12,'Firma Navn',1045343684);
INSERT INTO international VALUES (12,'WebGUI',12,'Sl Admin av.',1045343635);
INSERT INTO international VALUES (119,'WebGUI',12,'Autentiserings metode (Standard)',1045343612);
INSERT INTO international VALUES (118,'WebGUI',12,'Anonym Registrering',1045343587);
INSERT INTO international VALUES (116,'WebGUI',12,'Velg \"JA\" for  endre privilegier p alle sider under denne siden til disse privilegiene.',1045343531);
INSERT INTO international VALUES (11,'WebGUI',12,'Tm Sppel.',1045343339);
INSERT INTO international VALUES (108,'WebGUI',12,'Eier',1045343299);
INSERT INTO international VALUES (107,'WebGUI',12,'Privilegier',1045343290);
INSERT INTO international VALUES (106,'WebGUI',12,'Velg \"JA\" for  endre alle sider under denne siden til denne Style.',1045343278);
INSERT INTO international VALUES (104,'WebGUI',12,'Side URL',1045343219);
INSERT INTO international VALUES (101,'WebGUI',12,'Er du sikker p at du vil slette denne siden, dets innhold, og alle elementer under den?',1045343154);
INSERT INTO international VALUES (100,'WebGUI',12,'Meta Tags',1045343085);
INSERT INTO international VALUES (10,'WebGUI',12,'Hndtere Sppel.',1045343074);
INSERT INTO international VALUES (1,'WebGUI',12,'Legg til Innhold....',1045342903);
INSERT INTO international VALUES (76,'USS',12,'Bidrags Template',1045342850);
INSERT INTO international VALUES (74,'USS',12,'Bruker Bidragssystem Template',1045342809);
INSERT INTO international VALUES (73,'USS',12,'Bidrags Template',1045342783);
INSERT INTO international VALUES (72,'USS',12,'Hoved Template',1045342771);
INSERT INTO international VALUES (6,'USS',12,'Bidrag pr. Side',1045342691);
INSERT INTO international VALUES (59,'USS',12,'Neste Bidrag',1045342678);
INSERT INTO international VALUES (58,'USS',12,'Forrige Bidrag',1045342666);
INSERT INTO international VALUES (57,'USS',12,'Responser',1045342653);
INSERT INTO international VALUES (53,'USS',12,'Utseende',1045342615);
INSERT INTO international VALUES (52,'USS',12,'Tittebilde',1045342603);
INSERT INTO international VALUES (51,'USS',12,'Vis Tittebilder?',1045342592);
INSERT INTO international VALUES (5,'USS',12,'Ditt bidrag er ikke akseptert.',1045342575);
INSERT INTO international VALUES (48,'USS',12,'Tillat Diskusjon?',1045342536);
INSERT INTO international VALUES (47,'USS',12,'Send en Respons',1045342523);
INSERT INTO international VALUES (46,'USS',12,'Les Mer...',1045342506);
INSERT INTO international VALUES (45,'USS',12,'Returner til Bidrag',1045342495);
INSERT INTO international VALUES (41,'USS',12,'Dato',1045342479);
INSERT INTO international VALUES (4,'USS',12,'Ditt bidrag er blitt godkjent.',1045342469);
INSERT INTO international VALUES (39,'USS',12,'Send et Svar',1045342438);
INSERT INTO international VALUES (38,'USS',12,'(Velg \"NEI\" om du skriver et HTML/Rik tekst bidrag.)',1045342405);
INSERT INTO international VALUES (37,'USS',12,'Slett',1045342353);
INSERT INTO international VALUES (35,'USS',12,'Tittel',1045342345);
INSERT INTO international VALUES (34,'USS',12,'Konverter Carriage Returns',1045342335);
INSERT INTO international VALUES (33,'USS',12,'Vedlegg',1045342305);
INSERT INTO international VALUES (32,'USS',12,'Bilde',1045342166);
INSERT INTO international VALUES (31,'USS',12,'Innhold',1045342154);
INSERT INTO international VALUES (30,'USS',12,'Karma pr. bruker bidrag',1045342145);
INSERT INTO international VALUES (3,'USS',12,'Du har et nytt bruker bidrag  godkjenne.',1045342127);
INSERT INTO international VALUES (29,'USS',12,'Bruker Bidrags System',1045342088);
INSERT INTO international VALUES (28,'USS',12,'Returner til bidrags listen',1045342072);
INSERT INTO international VALUES (21,'USS',12,'Bidratt av',1045342040);
INSERT INTO international VALUES (20,'USS',12,'Sende Nytt Bidrag',1045341997);
INSERT INTO international VALUES (2,'USS',12,'Hvem kan bidra?',1045341967);
INSERT INTO international VALUES (17,'USS',12,'Er du sikker p at du vil slette dette bidraget?',1045341867);
INSERT INTO international VALUES (16,'USS',12,'Uten Tittel',1045341837);
INSERT INTO international VALUES (14,'USS',12,'Status',1045341812);
INSERT INTO international VALUES (13,'USS',12,'Dato for bidrag',1045341803);
INSERT INTO international VALUES (12,'USS',12,'(ikke marker om du skriver et HTML bidrag.)',1045341719);
INSERT INTO international VALUES (1,'USS',12,'Hvem kan Godkjenne?',1045341543);
INSERT INTO international VALUES (2,'SyndicatedContent',12,'Syndicated Innhold',1045336118);
INSERT INTO international VALUES (1,'SyndicatedContent',12,'URL til RSS Fil',1045336089);
INSERT INTO international VALUES (9,'Survey',12,'Underskelse',1045336063);
INSERT INTO international VALUES (80,'Survey',12,'Sekunder',1045336053);
INSERT INTO international VALUES (8,'Survey',12,'Sprsmls Rekkeflge',1045336042);
INSERT INTO international VALUES (79,'Survey',12,'Minutter',1045336028);
INSERT INTO international VALUES (78,'Survey',12,'Total Tid',1045336019);
INSERT INTO international VALUES (77,'Survey',12,'Slutt Tid',1045336010);
INSERT INTO international VALUES (76,'Survey',12,'Start Tid',1045336000);
INSERT INTO international VALUES (74,'Survey',12,'Er du sikker p at du vil slette alle responser.',1045335972);
INSERT INTO international VALUES (73,'Survey',12,'Slett Alle Responser.',1045335943);
INSERT INTO international VALUES (72,'Survey',12,'Er du sikker p at du nsker  slette denne bruker\'s responser?',1045335927);
INSERT INTO international VALUES (71,'Survey',12,'Karakter oversikt',1045335888);
INSERT INTO international VALUES (70,'Survey',12,'Individuelle Responser',1045335865);
INSERT INTO international VALUES (7,'Survey',12,'Respons Styrt',1045335819);
INSERT INTO international VALUES (69,'Survey',12,'Slett denne bruker\'s responser.',1045335796);
INSERT INTO international VALUES (68,'Survey',12,'Vis Rapporter og Eksport data.',1045335770);
INSERT INTO international VALUES (67,'Survey',12,'Bruker',1045335737);
INSERT INTO international VALUES (66,'Survey',12,'Responser',1045335729);
INSERT INTO international VALUES (65,'Survey',12,'Eksporter  sammensatt oppsummering.',1045335714);
INSERT INTO international VALUES (64,'Survey',12,'Eksporter Responser.',1045335666);
INSERT INTO international VALUES (63,'Survey',12,'Eksporter Sprsml.',1045335650);
INSERT INTO international VALUES (62,'Survey',12,'Eksporter Svar.',1045335635);
INSERT INTO international VALUES (61,'Survey',12,'Vis Karakterbok.',1045335620);
INSERT INTO international VALUES (60,'Survey',12,'Tilbake Til Underskelse.',1045335588);
INSERT INTO international VALUES (6,'Survey',12,'Tilfeldig',1045319287);
INSERT INTO international VALUES (59,'Survey',12,'Vis Statistisk Oversikt.',1045319276);
INSERT INTO international VALUES (58,'Survey',12,'Statistisk Oversikt',1045319254);
INSERT INTO international VALUES (57,'Survey',12,'Kommentarer',1045319240);
INSERT INTO international VALUES (56,'Survey',12,'Vis Kommentarer',1045319231);
INSERT INTO international VALUES (55,'Survey',12,'Vis Responser',1045319220);
INSERT INTO international VALUES (54,'Survey',12,'Prosentdel',1045319203);
INSERT INTO international VALUES (53,'Survey',12,'Responser',1045319174);
INSERT INTO international VALUES (52,'Survey',12,'Resultat',1045319162);
INSERT INTO international VALUES (51,'Survey',12,'Kommentarer?',1045319078);
INSERT INTO international VALUES (50,'Survey',12,'Neste',1045319062);
INSERT INTO international VALUES (5,'Survey',12,'Sekvensiel',1045319053);
INSERT INTO international VALUES (49,'Survey',12,'Du kan ikke ta testen p dette tidspunkt.',1045319043);
INSERT INTO international VALUES (48,'Survey',12,'Du er ikke for yeblikket kvalifisert til  delta i denne underskelsen.',1045319012);
INSERT INTO international VALUES (47,'Survey',12,'Du har fullfrt denne testen.',1045318946);
INSERT INTO international VALUES (46,'Survey',12,'Takk for at du tok deg tid til  fullfre denne underskelsen.',1045318930);
INSERT INTO international VALUES (45,'Survey',12,'Er du sikker du nsker  slette dette svaret og alle responser?',1045318894);
INSERT INTO international VALUES (44,'Survey',12,'Er du sikker du vil slette dette sprsmlet, dets svar og responser?',1045318863);
INSERT INTO international VALUES (43,'Survey',12,'Aldri',1045318819);
INSERT INTO international VALUES (42,'Survey',12,'Noen ganger',1045318806);
INSERT INTO international VALUES (41,'Survey',12,'Ofte',1045318795);
INSERT INTO international VALUES (40,'Survey',12,'Alltid',1045318786);
INSERT INTO international VALUES (39,'Survey',12,'Ikke Aktuelt',1045318205);
INSERT INTO international VALUES (38,'Survey',12,'Helt Uenig',1045318166);
INSERT INTO international VALUES (37,'Survey',12,'Uenig',1045318155);
INSERT INTO international VALUES (36,'Survey',12,'Noe Uenig',1045318146);
INSERT INTO international VALUES (35,'Survey',12,'Noe Enig',1045318135);
INSERT INTO international VALUES (34,'Survey',12,'Enig',1045318124);
INSERT INTO international VALUES (33,'Survey',12,'Helt Enig',1045318116);
INSERT INTO international VALUES (32,'Survey',12,'Usant',1045318092);
INSERT INTO international VALUES (31,'Survey',12,'Sant',1045318082);
INSERT INTO international VALUES (30,'Survey',12,'Legg Til Nytt Sprsml.',1045318068);
INSERT INTO international VALUES (29,'Survey',12,'Legg Til et Tekst Svar.',1045177458);
INSERT INTO international VALUES (28,'Survey',12,'Legg Til Sprsml.',1045177430);
INSERT INTO international VALUES (27,'Survey',12,'Legg Til en Mening(enig/Uenig) svar-skala.',1045177387);
INSERT INTO international VALUES (26,'Survey',12,'Legg Til en svar skala.',1045177308);
INSERT INTO international VALUES (25,'Survey',12,'Legg Til Sant/Usant Svar.',1045177202);
INSERT INTO international VALUES (24,'Survey',12,'Legg Til flervalgs Svar.',1045177176);
INSERT INTO international VALUES (23,'Survey',12,'Legg Til nytt Svar.',1045177137);
INSERT INTO international VALUES (22,'Survey',12,'Svar Type',1045177080);
INSERT INTO international VALUES (21,'Survey',12,'G Til',1045177066);
INSERT INTO international VALUES (20,'Survey',12,'Er dette svaret korrekt?',1045177047);
INSERT INTO international VALUES (19,'Survey',12,'Svar',1045176975);
INSERT INTO international VALUES (16,'Survey',12,'Tilfeldige svar?',1045176929);
INSERT INTO international VALUES (15,'Survey',12,'Tillat kommentar?',1045176886);
INSERT INTO international VALUES (14,'Survey',12,'Sprsml',1045176871);
INSERT INTO international VALUES (13,'Survey',12,'Hvem kan se rapporter?',1045176859);
INSERT INTO international VALUES (12,'Survey',12,'Hvem kan ta Underskelsen?',1045176843);
INSERT INTO international VALUES (11,'Survey',12,'Modus',1045176820);
INSERT INTO international VALUES (10,'Survey',12,'Sprsml',1045176806);
INSERT INTO international VALUES (1,'Survey',12,'Underskelse',1045176778);
INSERT INTO international VALUES (75,'SiteMap',12,'Alle Roots',1045163273);
INSERT INTO international VALUES (74,'SiteMap',12,'Denne Siden',1045163261);
INSERT INTO international VALUES (6,'SiteMap',12,'Indent',1045163169);
INSERT INTO international VALUES (4,'SiteMap',12,'Niv  ta med',1045163127);
INSERT INTO international VALUES (3,'SiteMap',12,'Start Med',1045163104);
INSERT INTO international VALUES (2,'SiteMap',12,'Site Map',1045163087);
INSERT INTO international VALUES (9,'SQLReport',12,'Debug: Error: The DSN specified is of an improper format.',1045163046);
INSERT INTO international VALUES (7,'SQLReport',12,'Database Passord',1045162977);
INSERT INTO international VALUES (6,'SQLReport',12,'Database Bruker',1045162939);
INSERT INTO international VALUES (5,'SQLReport',12,'DSN',1045162925);
INSERT INTO international VALUES (4,'SQLReport',12,'Query',1045162917);
INSERT INTO international VALUES (3,'SQLReport',12,'Rapport Template',1045162906);
INSERT INTO international VALUES (18,'SQLReport',12,'Det var ingen resultat av denne foresprselen.',1045162893);
INSERT INTO international VALUES (17,'SQLReport',12,'Debug: Query:',1045162855);
INSERT INTO international VALUES (16,'SQLReport',12,'Debug?',1045162844);
INSERT INTO international VALUES (15,'SQLReport',12,'Prosseser makroer i foresprselen?',1045162833);
INSERT INTO international VALUES (14,'SQLReport',12,'Sideskift Etter',1045162787);
INSERT INTO international VALUES (13,'SQLReport',12,'Convert carriage returns?',1045162774);
INSERT INTO international VALUES (12,'SQLReport',12,'Debug: Error: Could not connect to the database.',1045162759);
INSERT INTO international VALUES (11,'SQLReport',12,'Debug: Error: There was a problem with the query.',1045162749);
INSERT INTO international VALUES (10,'SQLReport',12,'Debug:Error: SQL koden som er spesifiser har galt format.',1045162731);
INSERT INTO international VALUES (1,'SQLReport',12,'SQL Rapport',1045162667);
INSERT INTO international VALUES (11,'Article',12,'(Velg \"JA\" bare nr du ikke legger til <br> manuelt.)',1045162643);
INSERT INTO international VALUES (73,'MessageBoard',12,'Meldings system Template',1045162486);
INSERT INTO international VALUES (72,'MessageBoard',12,'Main Template',1045162452);
INSERT INTO international VALUES (4,'Product',12,'Er du sikker p at du vil slette relasjonen til dette Relaterte Produktet?',1045085197);
INSERT INTO international VALUES (9,'Product',12,'Produkt Bilde 3',1045084283);
INSERT INTO international VALUES (8,'Product',12,'Produkt Bilde 2',1045084268);
INSERT INTO international VALUES (7,'Product',12,'Produkt Bilde 1',1045084254);
INSERT INTO international VALUES (62,'Product',12,'Produkt Template',1045084223);
INSERT INTO international VALUES (61,'Product',12,'Produkt Template',1045084206);
INSERT INTO international VALUES (60,'Product',12,'Template',1045084191);
INSERT INTO international VALUES (59,'Product',12,'Navn',1045084167);
INSERT INTO international VALUES (57,'Product',12,'Er du sikker p at du nsker  slette denne Templaten og sette alle produktene som bruker den til  benytte standard Templaten?',1045084127);
INSERT INTO international VALUES (56,'Product',12,'Legg Til en Produkt Template.',1045084053);
INSERT INTO international VALUES (55,'Product',12,'Legg Til Fordel.',1045084023);
INSERT INTO international VALUES (54,'Product',12,'Fordeler',1045083998);
INSERT INTO international VALUES (52,'Product',12,'Legg Til ny Fordel?',1045083971);
INSERT INTO international VALUES (51,'Product',12,'Fordel',1045083945);
INSERT INTO international VALUES (5,'Product',12,'Er du sikker p at du vil slette denne Spesifikasjonen?',1045083735);
INSERT INTO international VALUES (48,'Product',12,'Er du sikker p at du vill slette denne fordelen? Den kan ikke hentes frem igjen etter at den er slettet.',1045083669);
INSERT INTO international VALUES (37,'Product',12,'Legg til Relatert Produkt',1045082228);
INSERT INTO international VALUES (36,'Product',12,'Legg til Tilbehr',1045082210);
INSERT INTO international VALUES (35,'Product',12,'Legg til Spesifikasjon',1045082195);
INSERT INTO international VALUES (34,'Product',12,'Legg til Egenskap',1045082180);
INSERT INTO international VALUES (33,'Product',12,'Relaterte Produkter',1045082164);
INSERT INTO international VALUES (32,'Product',12,'Tilbehr',1045082138);
INSERT INTO international VALUES (31,'Product',12,'Spesifikasjoner',1045082096);
INSERT INTO international VALUES (30,'Product',12,'Egenskaper',1045082081);
INSERT INTO international VALUES (3,'Product',12,'Er du sikker p at du vil slette denne egenskapen?',1045076132);
INSERT INTO international VALUES (29,'Product',12,'Enhet',1045076084);
INSERT INTO international VALUES (28,'Product',12,'Legg til ny Spesifikasjon?',1045076044);
INSERT INTO international VALUES (27,'Product',12,'Spesifikasjon',1045076026);
INSERT INTO international VALUES (26,'Product',12,'Label',1045076014);
INSERT INTO international VALUES (24,'Product',12,'Legg til ny Egenskap?',1045075958);
INSERT INTO international VALUES (23,'Product',12,'Egenskap',1045075938);
INSERT INTO international VALUES (21,'Product',12,'Legg Til nytt Relatert Produkt?',1045075889);
INSERT INTO international VALUES (20,'Product',12,'Relatert Produkt',1045075851);
INSERT INTO international VALUES (2,'Product',12,'Er du sikker at du vil slette relasjonen til dette Tilbehret?',1045075835);
INSERT INTO international VALUES (19,'Product',12,'Legg til et relatert produkt',1045075795);
INSERT INTO international VALUES (18,'Product',12,'Legg til flere Tilbehr?',1045075767);
INSERT INTO international VALUES (17,'Product',12,'Tilbehr',1045075742);
INSERT INTO international VALUES (16,'Product',12,'Legg Til Tilbehr',1045075728);
INSERT INTO international VALUES (15,'Product',12,'Garanti',1045075689);
INSERT INTO international VALUES (14,'Product',12,'Manual',1045075678);
INSERT INTO international VALUES (13,'Product',12,'Brosjyre',1045075668);
INSERT INTO international VALUES (11,'Product',12,'Produktnummer',1045075599);
INSERT INTO international VALUES (10,'Product',12,'Pris',1045075579);
INSERT INTO international VALUES (1,'Product',12,'Produkt',1045075569);
INSERT INTO international VALUES (8,'Poll',12,'(Et sprsml pr. linje. Ikke flere enn 20.)',1045075521);
INSERT INTO international VALUES (72,'Poll',12,'Hvilkrlig sprsml?',1045075481);
INSERT INTO international VALUES (7,'Poll',12,'Svar',1045075419);
INSERT INTO international VALUES (6,'Poll',12,'Sprsml',1045075381);
INSERT INTO international VALUES (5,'Poll',12,'Bredde p Graf',1045075369);
INSERT INTO international VALUES (4,'Poll',12,'Hvem kan stemme?',1045075353);
INSERT INTO international VALUES (3,'Poll',12,'Aktiv',1045075338);
INSERT INTO international VALUES (20,'Poll',12,'Karma pr. stemme',1045075280);
INSERT INTO international VALUES (12,'Poll',12,'Totalt antall stemmer:',1045075178);
INSERT INTO international VALUES (11,'Poll',12,'Stem!',1045075150);
INSERT INTO international VALUES (10,'Poll',12,'Tilbakestill stemmer',1045075134);
INSERT INTO international VALUES (1,'Poll',12,'Avstemning',1045075114);
INSERT INTO international VALUES (9,'PhotoGallery',12,'Legg til Bilde nr det Lastes Opp',1045074558);
INSERT INTO international VALUES (8,'PhotoGallery',12,'Gruppe som kan Laste Opp',1045074522);
INSERT INTO international VALUES (7,'PhotoGallery',12,'Tittebilder pr. rad',1045074471);
INSERT INTO international VALUES (5,'PhotoGallery',12,'Legg til nytt',1045074445);
INSERT INTO international VALUES (4,'PhotoGallery',12,'Bilde layout',1045074410);
INSERT INTO international VALUES (3,'PhotoGallery',12,'Lastet opp et Bilde',1045074363);
INSERT INTO international VALUES (26,'PhotoGallery',12,'Cut Line Tittel',1045074336);
INSERT INTO international VALUES (25,'PhotoGallery',12,'Navn p Bilde',1045074319);
INSERT INTO international VALUES (24,'PhotoGallery',12,'Dato Lastet opp',1045074303);
INSERT INTO international VALUES (23,'PhotoGallery',12,'Popularitet',1045074288);
INSERT INTO international VALUES (22,'PhotoGallery',12,'Rekkeflge lagt til',1045074254);
INSERT INTO international VALUES (21,'PhotoGallery',12,'Vis bilde informasjon',1045074208);
INSERT INTO international VALUES (20,'PhotoGallery',12,'Avstand mellom Bilder',1045074192);
INSERT INTO international VALUES (2,'PhotoGallery',12,'Legg til et Bilde',1045074175);
INSERT INTO international VALUES (19,'PhotoGallery',12,'Last opp et Bilde',1045074160);
INSERT INTO international VALUES (18,'PhotoGallery',12,'Tekst som skal vises sammen med dette bildet',1045074142);
INSERT INTO international VALUES (17,'PhotoGallery',12,'Cut Line',1045074109);
INSERT INTO international VALUES (16,'PhotoGallery',12,'Tittebilde Hyde',1045074076);
INSERT INTO international VALUES (15,'PhotoGallery',12,'TitteBilde bredde',1045074058);
INSERT INTO international VALUES (14,'PhotoGallery',12,'Navn p Bilde',1045073991);
INSERT INTO international VALUES (13,'PhotoGallery',12,'Bilde',1045073923);
INSERT INTO international VALUES (12,'PhotoGallery',12,'Fortsett med  legge inn bilder',1045073912);
INSERT INTO international VALUES (11,'PhotoGallery',12,'Vise Cut Line som Mouce over tekst.',1045073864);
INSERT INTO international VALUES (10,'PhotoGallery',12,'Merk denne boksen om du automatisk vil legge til bilder som er lastet opp med dette Wobjectet til Fotogalleriet.',1045073813);
INSERT INTO international VALUES (1,'PhotoGallery',12,'Fotogalleri',1045073751);
INSERT INTO international VALUES (9,'MessageBoard',12,'Meldings ID:',1045073721);
INSERT INTO international VALUES (8,'MessageBoard',12,'Dato:',1045073703);
INSERT INTO international VALUES (7,'MessageBoard',12,'Forfatter:',1045073677);
INSERT INTO international VALUES (4,'MessageBoard',12,'Meldinger pr. Side',1045073623);
INSERT INTO international VALUES (22,'MessageBoard',12,'Slett Melding',1045073600);
INSERT INTO international VALUES (20,'MessageBoard',12,'Siste svar',1045073588);
INSERT INTO international VALUES (2,'MessageBoard',12,'Meldinger',1045073573);
INSERT INTO international VALUES (19,'MessageBoard',12,'Svar',1045073497);
INSERT INTO international VALUES (18,'MessageBoard',12,'Trd startet',1045073448);
INSERT INTO international VALUES (17,'MessageBoard',12,'Lag ny melding',1045073424);
INSERT INTO international VALUES (16,'MessageBoard',12,'Dato',1045073391);
INSERT INTO international VALUES (15,'MessageBoard',12,'Forfatter',1045073382);
INSERT INTO international VALUES (11,'MessageBoard',12,'Tilbake til meldingslisten',1045073355);
INSERT INTO international VALUES (3,'LinkList',12,'pne i nytt vindu?',1045072474);
INSERT INTO international VALUES (9,'MailForm',12,'Legg til Felt',1044117957);
INSERT INTO international VALUES (8,'MailForm',12,'Bredde',1044117941);
INSERT INTO international VALUES (73,'MailForm',12,'Send',1044117930);
INSERT INTO international VALUES (5,'MailForm',12,'Synelig',1044117656);
INSERT INTO international VALUES (4,'MailForm',12,'Skjult',1044117645);
INSERT INTO international VALUES (3,'MailForm',12,'Takk for din tilbakemelding!',1044117627);
INSERT INTO international VALUES (26,'MailForm',12,'Lagre?',1044117594);
INSERT INTO international VALUES (25,'MailForm',12,'Standard Verdi (Valgfritt)',1044117557);
INSERT INTO international VALUES (24,'MailForm',12,'Mulige Verdier (Nedtrekk-Boks)',1044117518);
INSERT INTO international VALUES (23,'MailForm',12,'Type',1044117469);
INSERT INTO international VALUES (22,'MailForm',12,'Status',1044117459);
INSERT INTO international VALUES (21,'MailForm',12,'Felt Navn',1044117448);
INSERT INTO international VALUES (2,'MailForm',12,'Ditt ePost tema her',1044117419);
INSERT INTO international VALUES (19,'MailForm',12,'Er du sikker du vil slette dette fletet?',1044117379);
INSERT INTO international VALUES (18,'MailForm',12,'Tilbake!',1044117350);
INSERT INTO international VALUES (17,'MailForm',12,'ePost Sendt',1044117335);
INSERT INTO international VALUES (16,'MailForm',12,'Bekreftelse',1044117303);
INSERT INTO international VALUES (15,'MailForm',12,'Fortsett til Legg til flere felt?',1044117254);
INSERT INTO international VALUES (14,'MailForm',12,'Tema',1044117217);
INSERT INTO international VALUES (13,'MailForm',12,'Bcc',1044117207);
INSERT INTO international VALUES (12,'MailForm',12,'cc',1044117197);
INSERT INTO international VALUES (11,'MailForm',12,'Til (epost, brukernavn eller gruppenavn)',1044117187);
INSERT INTO international VALUES (10,'MailForm',12,'Fra',1044117148);
INSERT INTO international VALUES (1,'MailForm',12,'Mail Form',1044117135);
INSERT INTO international VALUES (9,'LinkList',12,'Er du sikker du vil slette denne Linken?',1044117086);
INSERT INTO international VALUES (8,'LinkList',12,'URL',1044117043);
INSERT INTO international VALUES (75,'LinkList',12,'Link Liste Template',1044117020);
INSERT INTO international VALUES (6,'LinkList',12,'Link Liste',1044116949);
INSERT INTO international VALUES (13,'LinkList',12,'Legg til ny Link.',1044116936);
INSERT INTO international VALUES (73,'Item',12,'Item Template',1044116842);
INSERT INTO international VALUES (72,'Item',12,'Template',1044116829);
INSERT INTO international VALUES (5,'Item',12,'Last ned Vedlegg',1044116784);
INSERT INTO international VALUES (4,'Item',12,'Item',1044116769);
INSERT INTO international VALUES (3,'Item',12,'Slett Vedlegg',1044116655);
INSERT INTO international VALUES (2,'Item',12,'Vedlegg',1044116643);
INSERT INTO international VALUES (1,'Item',12,'Link URL',1044116631);
INSERT INTO international VALUES (8,'FileManager',12,'Kort Beskrivelse',1044116541);
INSERT INTO international VALUES (75,'FileManager',12,'FilBehandler Template',1044116445);
INSERT INTO international VALUES (74,'FileManager',12,'Legg til en Fil.',1044116423);
INSERT INTO international VALUES (7,'FileManager',12,'Gruppe til Nedlasting',1044116364);
INSERT INTO international VALUES (6,'FileManager',12,'Fil',1044116321);
INSERT INTO international VALUES (5,'FileManager',12,'Fil Tittel',1044116313);
INSERT INTO international VALUES (3,'FileManager',12,'Fortsett til Legg til Fil?',1044116299);
INSERT INTO international VALUES (20,'FileManager',12,'Sideskift Etter',1044116271);
INSERT INTO international VALUES (19,'FileManager',12,'Du har ingen filer tilgjengelig.',1044116247);
INSERT INTO international VALUES (18,'FileManager',12,'Alternativ Versjon #2',1044116221);
INSERT INTO international VALUES (17,'FileManager',12,'Alternativ versjon #1',1044116206);
INSERT INTO international VALUES (16,'FileManager',12,'Opplastet Dato',1044116180);
INSERT INTO international VALUES (15,'FileManager',12,'Beskrivelse',1044116132);
INSERT INTO international VALUES (14,'FileManager',12,'Fil',1044116119);
INSERT INTO international VALUES (12,'FileManager',12,'Er du sikker p at du vil slette denne filen?',1044116109);
INSERT INTO international VALUES (11,'FileManager',12,'Legg til ny Fil.',1044116077);
INSERT INTO international VALUES (1,'FileManager',12,'Fil Behandler',1044116048);
INSERT INTO international VALUES (9,'FAQ',12,'Legg til nytt sprsml.',1044116021);
INSERT INTO international VALUES (76,'FAQ',12,'FAQ Template',1044115953);
INSERT INTO international VALUES (75,'FAQ',12,'Legg til sprsml.',1044115940);
INSERT INTO international VALUES (74,'FAQ',12,'Template',1044115925);
INSERT INTO international VALUES (7,'FAQ',12,'Er du sikker du vil slette dette sprsml?',1044115657);
INSERT INTO international VALUES (6,'FAQ',12,'Svar',1044115602);
INSERT INTO international VALUES (5,'FAQ',12,'Sprsml',1044115594);
INSERT INTO international VALUES (2,'FAQ',12,'F.A.Q.',1044115569);
INSERT INTO international VALUES (13,'FAQ',12,'Sl p [top]Link?',1044115556);
INSERT INTO international VALUES (12,'FAQ',12,'Sl p Q&A?',1044115516);
INSERT INTO international VALUES (11,'FAQ',12,'Sl p TOC?',1044115490);
INSERT INTO international VALUES (5,'ExtraColumn',12,'StyleSheet Class',1044115399);
INSERT INTO international VALUES (4,'ExtraColumn',12,'Bredde',1044115384);
INSERT INTO international VALUES (3,'ExtraColumn',12,'Spacer',1044115374);
INSERT INTO international VALUES (1,'ExtraColumn',12,'Ekstra kolonne',1044115356);
INSERT INTO international VALUES (96,'EventsCalendar',12,'Hendelse Template',1044115252);
INSERT INTO international VALUES (94,'EventsCalendar',12,'Hendelse kalender Template',1044115228);
INSERT INTO international VALUES (93,'EventsCalendar',12,'Neste hendelse',1044115212);
INSERT INTO international VALUES (92,'EventsCalendar',12,'Forrige hendelse',1044115199);
INSERT INTO international VALUES (91,'EventsCalendar',12,'Legg til ny hendelse.',1044115182);
INSERT INTO international VALUES (90,'EventsCalendar',12,'Standard mned',1044115167);
INSERT INTO international VALUES (9,'EventsCalendar',12,'frem til',1044115123);
INSERT INTO international VALUES (89,'EventsCalendar',12,'Vis 3 mneder fra start.',1044115106);
INSERT INTO international VALUES (88,'EventsCalendar',12,'Vis 6 mneder fra start.',1044115092);
INSERT INTO international VALUES (87,'EventsCalendar',12,'Vis 9 mneder fra start.',1044115078);
INSERT INTO international VALUES (86,'EventsCalendar',12,'Vis 12 mneder fra start.',1044115063);
INSERT INTO international VALUES (85,'EventsCalendar',12,'Sist i kalenderen',1044115039);
INSERT INTO international VALUES (84,'EventsCalendar',12,'Slutt Mned',1044115021);
INSERT INTO international VALUES (83,'EventsCalendar',12,'Frst i kalenderen.',1044115008);
INSERT INTO international VALUES (82,'EventsCalendar',12,'Gjeldende.',1044114993);
INSERT INTO international VALUES (81,'EventsCalendar',12,'Start Mned',1044114983);
INSERT INTO international VALUES (80,'EventsCalendar',12,'Hendelse Template',1044114970);
INSERT INTO international VALUES (8,'EventsCalendar',12,'Gjentaes hver',1044114957);
INSERT INTO international VALUES (79,'EventsCalendar',12,'Hoved Template',1044114942);
INSERT INTO international VALUES (78,'EventsCalendar',12,'Ikke slett noe, jeg gjorde en tabbe.',1044114927);
INSERT INTO international VALUES (77,'EventsCalendar',12,'Slett denne hendelsen OG alle dens gjentagende hendelser.',1044114901);
INSERT INTO international VALUES (76,'EventsCalendar',12,'Slette bare denne hendelse.',1044114838);
INSERT INTO international VALUES (75,'EventsCalendar',12,'Hvilken nsker du  gjre?',1044114823);
INSERT INTO international VALUES (4,'EventsCalendar',12,'Engangs hendelse.',1044114704);
INSERT INTO international VALUES (20,'EventsCalendar',12,'Legg til en hendelse',1044114668);
INSERT INTO international VALUES (2,'EventsCalendar',12,'Hendelses kalender',1044114655);
INSERT INTO international VALUES (19,'EventsCalendar',12,'Sideskift etter',1044114640);
INSERT INTO international VALUES (15,'EventsCalendar',12,'Slutt Dato',1044114625);
INSERT INTO international VALUES (14,'EventsCalendar',12,'Start Dato',1044114614);
INSERT INTO international VALUES (5,'Auth/WebGUI',12,'Passordet kan ikke vre \'password\'.',1044114576);
INSERT INTO international VALUES (4,'Auth/WebGUI',12,'Ditt passord kan ikke vre blankt.',1044114538);
INSERT INTO international VALUES (3,'Auth/WebGUI',12,'Passordet var ikke likt. Prv igjen!',1044114503);
INSERT INTO international VALUES (2,'Auth/WebGUI',12,'Passord(godkjenn)',1044114471);
INSERT INTO international VALUES (1,'Auth/WebGUI',12,'WebGUI Autentiserings oppsjoner',1044114447);
INSERT INTO international VALUES (9,'Auth/SMB',12,'NT Passord',1044114419);
INSERT INTO international VALUES (8,'Auth/SMB',12,'NT Login',1044114408);
INSERT INTO international VALUES (7,'Auth/SMB',12,'NT Domene',1044113782);
INSERT INTO international VALUES (6,'Auth/SMB',12,'BDC',1044113769);
INSERT INTO international VALUES (5,'Auth/SMB',12,'PDC',1044113761);
INSERT INTO international VALUES (4,'Auth/SMB',12,'SMB Login feil(3)\r\nDu har oppgitt en gal brukernavn/passord kombinasjon. Sikkert en skrivefeil, prv igjen!',1044113752);
INSERT INTO international VALUES (3,'Auth/SMB',12,'SMB Protokoll feil(2)\r\nKontakt din systemadministrator.',1044113680);
INSERT INTO international VALUES (2,'Auth/SMB',12,'SMB Server feil(1)\r\nNoe gikk galt ved kontakt med domene kontroller. Mulig tidsavbrudd. Prv igjen eller kontakt din systemadministrator.',1044113640);
INSERT INTO international VALUES (1,'Auth/SMB',12,'SMB Autentiserings oppsjoner',1044113552);
INSERT INTO international VALUES (8,'Auth/LDAP',12,'LDAP Passord Navn',1044113525);
INSERT INTO international VALUES (7,'Auth/LDAP',12,'LDAP Identitets Navn',1044113501);
INSERT INTO international VALUES (6,'Auth/LDAP',12,'LDAP Identitet (default)',1044113475);
INSERT INTO international VALUES (5,'Auth/LDAP',12,'LDAP URL (default)',1044113444);
INSERT INTO international VALUES (4,'Auth/LDAP',12,'Connect DN',1044113415);
INSERT INTO international VALUES (3,'Auth/LDAP',12,'LDAP URL',1044113398);
INSERT INTO international VALUES (2,'Auth/LDAP',12,'Kan ikke koble til LDAP server.',1043967789);
INSERT INTO international VALUES (1,'Auth/LDAP',12,'LDAP Autentiserings opsjoner',1043967710);
INSERT INTO international VALUES (9,'Article',12,'Vedlegg',1043967632);
INSERT INTO international VALUES (8,'Article',12,'Link URL',1043967615);
INSERT INTO international VALUES (72,'Article',12,'Artikkel Template',1043967557);
INSERT INTO international VALUES (7,'Article',12,'Link Tittel',1043965755);
INSERT INTO international VALUES (6,'Article',12,'Bilde',1043965712);
INSERT INTO international VALUES (4,'Article',12,'Slutt Dato',1043965704);
INSERT INTO international VALUES (3,'Article',12,'Start Dato',1043965693);
INSERT INTO international VALUES (28,'Article',12,'Vis respons',1043965682);
INSERT INTO international VALUES (27,'Article',12,'Tilbake til artikkel',1043965669);
INSERT INTO international VALUES (24,'Article',12,'Lag respons',1043965651);
INSERT INTO international VALUES (23,'Article',12,'Dato',1043965597);
INSERT INTO international VALUES (22,'Article',12,'Forfatter',1043965589);
INSERT INTO international VALUES (894,'WebGUI',12,'Tillates diskusjon?',1043965578);
INSERT INTO international VALUES (13,'Article',12,'Slett',1043965538);
INSERT INTO international VALUES (10,'Article',12,'Konvertere \"carriage returns\"?',1043965425);
INSERT INTO international VALUES (1,'Article',12,'Artikkel',1043965350);
INSERT INTO international VALUES (887,'WebGUI',21,'Midas ( Mozilla 1.3+)',1048518295);
INSERT INTO international VALUES (896,'WebGUI',21,',      ( )',1048508988);
INSERT INTO international VALUES (895,'WebGUI',21,',     ',1048508939);
INSERT INTO international VALUES (893,'WebGUI',21,' ',1048508878);
INSERT INTO international VALUES (892,'WebGUI',21,' ',1048508842);
INSERT INTO international VALUES (891,'WebGUI',21,' ',1048508802);
INSERT INTO international VALUES (890,'WebGUI',21,'WebGUI   .             .\r\n\r\n     :\r\n\r\n<b>.tab</b><br>\r\n  .\r\n<p>\r\n<b>div.tabs</b><br>\r\n   .\r\n<p>\r\n<b>.tabBody</b><br>\r\n   .\r\n<p>\r\n<b>.tabHover</b><br>\r\n   .\r\n<p>\r\n<b>.tabActive</b><br>\r\n .\r\n<p>\r\n<p>\r\n <p>\r\n<pre>\r\n.tab {\r\n  border: 1px solid black;\r\n   background-color: #eeeeee;\r\n}\r\n.tabBody {\r\n   border: 1px solid black;\r\n   border-top: 1px solid black;\r\n   border-left: 1px solid black;\r\n   background-color: #dddddd; \r\n}\r\ndiv.tabs {\r\n    line-height: 15px;\r\n    font-size: 14px;\r\n}\r\n.tabHover {\r\n   background-color: #cccccc;\r\n}\r\n.tabActive { \r\n   background-color: #dddddd; \r\n}\r\n</pre>\r\n \r\n<pre>\r\n.tab {\r\n  border: 1px solid white;\r\n   background-color: #333333;\r\n}\r\n.tabBody {\r\n   border: 1px solid white;\r\n   border-top: 1px solid white;\r\n   border-left: 1px solid white;\r\n   background-color: #444444; \r\n}\r\ndiv.tabs {\r\n    line-height: 15px;\r\n    font-size: 14px;\r\n}\r\n.tabHover {\r\n   background-color: #555555;\r\n}\r\n.tabActive { \r\n   background-color: #444444; \r\n}\r\n</pre>',1048508567);
INSERT INTO international VALUES (889,'WebGUI',21,'  ',1048507484);
INSERT INTO international VALUES (73,'SyndicatedContent',21,'          :\r\n\r\n<b>channel.title</b><br>\r\n   ,    .\r\n<p>\r\n<b>channel.description</b><br>\r\n   .\r\n<p>\r\n<b>channel.link</b><br>\r\nURL    .\r\n<p>\r\n<b>item_loop</b><br>\r\n  ( ).\r\n<p>\r\n<b>title</b><br>\r\n -.\r\n<p>\r\n<b>description</b><br>\r\n .\r\n<p>\r\nlURL      (   ).',1048507427);
INSERT INTO international VALUES (72,'SyndicatedContent',21,'       ',1048506689);
INSERT INTO international VALUES (32,'MailForm',21,'  e-mail.',1048506622);
INSERT INTO international VALUES (31,'MailForm',21,'  .',1048505935);
INSERT INTO international VALUES (30,'MailForm',21,'   ',1048505858);
INSERT INTO international VALUES (29,'MailForm',21,'    ',1048505766);
INSERT INTO international VALUES (28,'MailForm',21,'   ',1048505621);
INSERT INTO international VALUES (27,'MailForm',21,'',1048505563);
INSERT INTO international VALUES (9,'HttpProxy',21,'  Cookie',1048505543);
INSERT INTO international VALUES (8,'HttpProxy',21,' ?',1048505525);
INSERT INTO international VALUES (6,'HttpProxy',21,' ',1048505504);
INSERT INTO international VALUES (5,'HttpProxy',21,'     ?',1048505470);
INSERT INTO international VALUES (4,'HttpProxy',21,'  ',1048505270);
INSERT INTO international VALUES (3,'HttpProxy',21,'HTTP- ',1048505211);
INSERT INTO international VALUES (2,'HttpProxy',21,' HTTP-',1048505079);
INSERT INTO international VALUES (11,'HttpProxy',21,'  HTTP-         .\r\n<b>URL</b><br>\r\n   .<br><br>\r\n\r\n<b> ?</b><br>\r\n       .            .\r\n<br><br>\r\n\r\n<b> </b><br>\r\n             .\r\n<br><br>\r\n<b>  Cookie</b><br>\r\n ,     cookies   .         -.  cookie     ,       .\r\n<p>\r\n<b> </b><br>\r\n         ,     .\r\n<p>\r\n<b>  </b><br>\r\n   HTML     .\r\n<p>\r\n<b>     ?</b><br>\r\n      (  /),    ,           .',1048504885);
INSERT INTO international VALUES (10,'HttpProxy',21,'HTTP- (/)',1048503378);
INSERT INTO international VALUES (1,'HttpProxy',21,'URL',1048503301);
INSERT INTO international VALUES (526,'Discussion',21,' ',1048503285);
INSERT INTO international VALUES (525,'Discussion',21,'  ',1048503236);
INSERT INTO international VALUES (1,'Discussion',21,' ',1048503183);
INSERT INTO international VALUES (888,'WebGUI',21,'     ',1045499912);
INSERT INTO international VALUES (886,'WebGUI',21,'     ',1045499763);
INSERT INTO international VALUES (885,'WebGUI',21,'    ?',1045499648);
INSERT INTO international VALUES (884,'WebGUI',21,'  ',1045499597);
INSERT INTO international VALUES (883,'WebGUI',21,'   ( )',1045499561);
INSERT INTO international VALUES (882,'WebGUI',21,' ',1045499526);
INSERT INTO international VALUES (881,'WebGUI',21,'',1045499297);
INSERT INTO international VALUES (880,'WebGUI',21,' ',1045499182);
INSERT INTO international VALUES (879,'WebGUI',21,'  ( Internet Explorer 5+)',1045498984);
INSERT INTO international VALUES (878,'WebGUI',21,'      ',1045498871);
INSERT INTO international VALUES (877,'WebGUI',21,'  ',1045498793);
INSERT INTO international VALUES (876,'WebGUI',21,'   ',1045498501);
INSERT INTO international VALUES (875,'WebGUI',21,'  .',1045498177);
INSERT INTO international VALUES (874,'WebGUI',21,'  ',1045497580);
INSERT INTO international VALUES (873,'WebGUI',21,'  ',1045497420);
INSERT INTO international VALUES (872,'WebGUI',21,',    ',1045495375);
INSERT INTO international VALUES (871,'WebGUI',21,',    ',1045495327);
INSERT INTO international VALUES (870,'WebGUI',21,'',1045490236);
INSERT INTO international VALUES (869,'WebGUI',21,' ',1045490181);
INSERT INTO international VALUES (868,'WebGUI',21,'  ?',1045490098);
INSERT INTO international VALUES (867,'WebGUI',21,'    ',1045490042);
INSERT INTO international VALUES (866,'WebGUI',21,'  ,        ',1045489840);
INSERT INTO international VALUES (865,'WebGUI',21,'      ?',1045488426);
INSERT INTO international VALUES (864,'WebGUI',21,'        ? ',1045488364);
INSERT INTO international VALUES (863,'WebGUI',21,'          ',1045488223);
INSERT INTO international VALUES (862,'WebGUI',21,'     .',1045487598);
INSERT INTO international VALUES (861,'WebGUI',21,'    ?',1045487097);
INSERT INTO international VALUES (860,'WebGUI',21,' e-mail? ',1045486981);
INSERT INTO international VALUES (859,'WebGUI',21,'',1045486849);
INSERT INTO international VALUES (858,'WebGUI',21,'',1045486754);
INSERT INTO international VALUES (857,'WebGUI',21,'IP',1045486652);
INSERT INTO international VALUES (2,'DocumentForm',21,'',1034189690);
INSERT INTO international VALUES (3,'DocumentForm',21,' ',1034189690);
INSERT INTO international VALUES (4,'DocumentForm',21,' ',1034189690);
INSERT INTO international VALUES (5,'DocumentForm',21,'e-mail',1034189690);
INSERT INTO international VALUES (6,'DocumentForm',21,'URL',1034189690);
INSERT INTO international VALUES (7,'DocumentForm',21,'-',1034189690);
INSERT INTO international VALUES (8,'DocumentForm',21,'/',1034189690);
INSERT INTO international VALUES (9,'DocumentForm',21,' ',1034189690);
INSERT INTO international VALUES (10,'DocumentForm',21,'   ',1034189690);
INSERT INTO international VALUES (11,'DocumentForm',21,' (e-mail)',1034189690);
INSERT INTO international VALUES (12,'DocumentForm',21,'  e-mail',1034189690);
INSERT INTO international VALUES (14,'DocumentForm',21,' ',1034189690);
INSERT INTO international VALUES (15,'DocumentForm',21,'  ',1034189690);
INSERT INTO international VALUES (16,'DocumentForm',21,' ',1034189690);
INSERT INTO international VALUES (17,'DocumentForm',21,'  ',1034189690);
INSERT INTO international VALUES (18,'DocumentForm',21,'   ',1034189690);
INSERT INTO international VALUES (19,'DocumentForm',21,'  ',1034189690);
INSERT INTO international VALUES (20,'DocumentForm',21,'  ',1034189690);
INSERT INTO international VALUES (21,'DocumentForm',21,' ',1034189690);
INSERT INTO international VALUES (22,'DocumentForm',21,'',1034189690);
INSERT INTO international VALUES (23,'DocumentForm',21,'',1034189690);
INSERT INTO international VALUES (24,'DocumentForm',21,'',1034189690);
INSERT INTO international VALUES (25,'DocumentForm',21,' ',1034189690);
INSERT INTO international VALUES (26,'DocumentForm',21,'   ?',1034189690);
INSERT INTO international VALUES (27,'DocumentForm',21,'',1034189690);
INSERT INTO international VALUES (28,'DocumentForm',21,' ',1034189690);
INSERT INTO international VALUES (29,'DocumentForm',21,'  (e-mail)',1034189690);
INSERT INTO international VALUES (30,'DocumentForm',21,' (e-mail)',1034189690);
INSERT INTO international VALUES (31,'DocumentForm',21,'   ',1034189690);
INSERT INTO international VALUES (32,'DocumentForm',21,'   ',1034189690);
INSERT INTO international VALUES (33,'DocumentForm',21,' ',1034189690);
INSERT INTO international VALUES (34,'DocumentForm',21,' ',1034189690);
INSERT INTO international VALUES (35,'DocumentForm',21,'   ',1034189690);
INSERT INTO international VALUES (36,'DocumentForm',21,'   ',1034189690);
INSERT INTO international VALUES (37,'DocumentForm',21,'  (   )',1034189690);
INSERT INTO international VALUES (38,'DocumentForm',21,'  ',1034189690);
INSERT INTO international VALUES (4200,'WebGUI',21,'    ',1034189690);
INSERT INTO international VALUES (4201,'DocumentForm',21,'  ?',1034189690);
INSERT INTO international VALUES (1,'DocumentForm',21,' ',1031510000);
INSERT INTO international VALUES (890,'WebGUI',8,'WebGUI ha un sottosistema che pu creare \"tabs\". Vedrai queste tabs in form complessi come l\'editing di una pagina. Per far visualizzare bene le tabs e farle combaciare con il look del tuo sito,  necessario aggiungere una sezione al tuo style sheet specifica per le tabs.\r\n<p>\r\nLe seguenti classi di style sheet sono disponibili:\r\n<p>\r\n\r\n<b>.tab</b><br>\r\nIl look di default di ogni tab.\r\n<p>\r\n\r\n<b>div.tabs</b><br>\r\nQuesto definisce alcune propriet per tutte le tab. Dovrebbe essere usato per le etichette di testo nelle tabs.\r\n<p>\r\n\r\n<b>.tabBody</b><br>\r\nL\'area del contenutoper ogni tab. Qui  dove il form viene visualizzato. Nota che per i migliori risultati il colore di sfondo di questo elemento deve combaciare con quello di .tabActive.\r\n<p>\r\n\r\n\r\n<b>.tabHover</b><br>\r\nIl look di una tab quando il mouse ci passa sopra.\r\n<p>\r\n\r\n<b>.tabActive</b><br>\r\nIl look della tab attualmente visibile.\r\n<p>\r\n\r\n\r\n<i>Esempi</i><br>\r\nPuoi usare questi invece di creare i tuoi propri se vuoi. Oppure usa questi come linee guida per creare i tuoi propri.<p>\r\n<table width=\"100%\"><tr><td valign=\"top\">\r\n<b>Stili bianchi o chiari</b>\r\n<pre>\r\n.tab {\r\n  border: 1px solid black;\r\n   background-color: #eeeeee;\r\n}\r\n.tabBody {\r\n   border: 1px solid black;\r\n   border-top: 1px solid black;\r\n   border-left: 1px solid black;\r\n   background-color: #dddddd; \r\n}\r\ndiv.tabs {\r\n    line-height: 15px;\r\n    font-size: 14px;\r\n}\r\n.tabHover {\r\n   background-color: #cccccc;\r\n}\r\n.tabActive { \r\n   background-color: #dddddd; \r\n}\r\n</pre>\r\n</td><td valign=\"top\">\r\n<b>Stili neri o scuri</b>\r\n<pre>\r\n.tab {\r\n  border: 1px solid white;\r\n   background-color: #333333;\r\n}\r\n.tabBody {\r\n   border: 1px solid white;\r\n   border-top: 1px solid white;\r\n   border-left: 1px solid white;\r\n   background-color: #444444; \r\n}\r\ndiv.tabs {\r\n    line-height: 15px;\r\n    font-size: 14px;\r\n}\r\n.tabHover {\r\n   background-color: #555555;\r\n}\r\n.tabActive { \r\n   background-color: #444444; \r\n}\r\n\r\n</pre>\r\n</td></tr></table>',1048856569);
INSERT INTO international VALUES (73,'SyndicatedContent',8,'Le seguenti variabili sono disponibili nel template per il contenuto da altri siti.\r\n\r\n<p>\r\n\r\n<b>channel.title</b><br>\r\nIl titolo di questo pezzo di contenuto da altri siti<p>\r\n\r\n<b>channel.description</b><br>\r\nUna descrizionde del contenuto disponibile tramite questo canale<p>\r\n\r\n<b>channel.link</b><br>\r\nUna URL che punta al sito generatore di questo contenuto\r\n<p>\r\n\r\n<b>item_loop</b><br>\r\nUn loop contenente i dati da questo canale.\r\n<blockquote>\r\n\r\n<b>title</b><br>\r\nIl titolo di un pezzo di contenuto.\r\n<p>\r\n\r\n<b>description</b><br>\r\nLa descrizione del contenuto\r\n<p>\r\n\r\n<b>link</b>\r\nUna URL diretta al contenuto originale\r\n</blockquote>',1048855993);
INSERT INTO international VALUES (891,'WebGUI',8,'Annulla solo le macro',1048258281);
INSERT INTO international VALUES (896,'WebGUI',8,'Timeout della cache della pagina (visitatori)',1048258225);
INSERT INTO international VALUES (895,'WebGUI',8,'Timeout della cache della pagina',1048258204);
INSERT INTO international VALUES (889,'WebGUI',8,'Style Sheet, Tabs',1048258121);
INSERT INTO international VALUES (893,'WebGUI',8,'Propriet del Wobject',1048067652);
INSERT INTO international VALUES (892,'WebGUI',8,'Discussione',1048067622);
INSERT INTO international VALUES (72,'SyndicatedContent',8,'Template per il contenuto da altri siti',1048030686);
INSERT INTO international VALUES (32,'MailForm',8,'non  un indirizzo di email valido.',1048030662);
INSERT INTO international VALUES (31,'MailForm',8,'non  compilato correttamente.',1048030648);
INSERT INTO international VALUES (30,'MailForm',8,'deve essere un numero.',1048030633);
INSERT INTO international VALUES (29,'MailForm',8,' un campo richiesto.',1048030615);
INSERT INTO international VALUES (28,'MailForm',8,'Opzionale per la Textarea',1048030602);
INSERT INTO international VALUES (27,'MailForm',8,'Altezza',1048030575);
INSERT INTO international VALUES (9,'HttpProxy',8,'Cookie Jar',1048030564);
INSERT INTO international VALUES (8,'HttpProxy',8,'Segui le redirezioni?',1048030554);
INSERT INTO international VALUES (6,'HttpProxy',8,'Rimuovi stile?',1048030540);
INSERT INTO international VALUES (5,'HttpProxy',8,'Consenti il proxy di altri domini?',1048030528);
INSERT INTO international VALUES (4,'HttpProxy',8,'Timeout',1048030489);
INSERT INTO international VALUES (3,'HttpProxy',8,'HTTP Proxy',1048030479);
INSERT INTO international VALUES (2,'HttpProxy',8,'Modifica HTTP Proxy',1048030468);
INSERT INTO international VALUES (11,'HttpProxy',8,'Il wobject HTTP Proxy  un tool molto potente. Ti permette di includere siti ed applicazioni esterne nel tuo sito. Per esempio, se hai un sistema di web mail che vorresti fosse accessibile dal tuo staff attraverso la intranet, puoi usare il wobject HTTP Proxy per farlo.\r\n<b>URL</b><br>\r\nLa URL per il Proxy\r\n<p>\r\n\r\n<b>Segui redirezioni?</b><br>\r\nA volte la URL di una pagina  in effetti una redirezione ad un\'altra pagina. Vuoi seguire queste redirezioni quando occorrono?\r\n<p>\r\n\r\n<b>Timeout</b><br>\r\n\r\nLa quantit di tempo (in secondi) che WebGUI dovrebbe aspettare per una connessione prima di smettere di provare a raggiungere una pagina esterna.\r\n<p>\r\n\r\n<b>Cookie Jar</b><br>\r\nUn percorso di una directory dove conservare i cookies che un\'applicazione esterna produce. Questa directory dev\'essere in un punto in cui il webserver ha i diritti di scrittura. Se i cookies non sono salvati, l\'applicazione pu non funzionare correttamente.\r\n\r\n<p>\r\n\r\n<b>Rimuovi stile?</b><br>\r\nVuoi rimuovere lo stylesheet del contenuo di cui stai facendo il proxy in favore dello stylesheet del tuo sitp?\r\n<p>\r\n\r\n<b>Filtra Contenuto</b><br>\r\n\r\nScegli il livello di filtraggio dell\'HTML che vuoi applicare al contenuto di cui stai facendo il proxy.\r\n<p>\r\n\r\n\r\n<b>Consenti il proxy di altri domini?</b><br>\r\nSe fai il proxy di siti come Yahoo! che linkano ad altri domini, vuoi consentire all\'utente di seguire quei link, o il proxy li deve fermare se tentano di abbandonare il sito che hai specificato?\r\n<p>',1048030451);
INSERT INTO international VALUES (10,'HttpProxy',8,'HTTP Proxy, Aggiungi/Modifica',1048009926);
INSERT INTO international VALUES (1,'HttpProxy',8,'URL',1048009909);
INSERT INTO international VALUES (526,'Discussion',8,'da',1048009901);
INSERT INTO international VALUES (525,'Discussion',8,'Modificato il',1048009893);
INSERT INTO international VALUES (1,'Discussion',8,'Filtra i messaggi',1048009882);

--
-- Table structure for table 'karmaLog'
--

CREATE TABLE karmaLog (
  userId int(11) NOT NULL default '0',
  amount int(11) NOT NULL default '1',
  source varchar(255) default NULL,
  description text,
  dateModified int(11) NOT NULL default '1026097656'
) TYPE=MyISAM;

--
-- Dumping data for table 'karmaLog'
--



--
-- Table structure for table 'language'
--

CREATE TABLE language (
  languageId int(11) NOT NULL default '0',
  language varchar(255) default NULL,
  characterSet varchar(255) default NULL,
  toolbar varchar(35) NOT NULL default 'default',
  PRIMARY KEY  (languageId)
) TYPE=MyISAM;

--
-- Dumping data for table 'language'
--


INSERT INTO language VALUES (6,'Svenska (Swedish)','ISO-8859-1','default');
INSERT INTO language VALUES (5,'Portugus (Portuguese)','ISO-8859-1','default');
INSERT INTO language VALUES (4,'Espaol (Spanish)','ISO-8859-1','spanish');
INSERT INTO language VALUES (3,'Nederlands (Dutch)','ISO-8859-1','default');
INSERT INTO language VALUES (2,'Deutsch (German)','ISO-8859-1','charcoal');
INSERT INTO language VALUES (1,'English','ISO-8859-1','default');
INSERT INTO language VALUES (21,' (Russian)','koi8-r','iconic');
INSERT INTO language VALUES (7,' (Chinese Simple)','gb2312','default');
INSERT INTO language VALUES (8,'Italiano (Italian)','ISO-8859-1','italiano');
INSERT INTO language VALUES (9,'c^ (Chinese Traditional)','BIG5','default');
INSERT INTO language VALUES (10,'Dansk (Danish)','ISO-8859-1','default');
INSERT INTO language VALUES (11,'Arabic','ISO-8859-6','default');
INSERT INTO language VALUES (12,'Norsk (Norwegian)','ISO-8859-1','default');

--
-- Table structure for table 'messageLog'
--

CREATE TABLE messageLog (
  messageLogId int(11) NOT NULL default '0',
  userId int(11) NOT NULL default '0',
  message text,
  url text,
  dateOfEntry int(11) default NULL,
  subject varchar(255) default NULL,
  status varchar(30) default 'notice',
  PRIMARY KEY  (messageLogId,userId)
) TYPE=MyISAM;

--
-- Dumping data for table 'messageLog'
--



--
-- Table structure for table 'page'
--

CREATE TABLE page (
  pageId int(11) NOT NULL default '0',
  parentId int(11) NOT NULL default '0',
  title varchar(255) default NULL,
  styleId int(11) NOT NULL default '0',
  ownerId int(11) NOT NULL default '0',
  sequenceNumber int(11) NOT NULL default '1',
  metaTags text,
  urlizedTitle varchar(255) default NULL,
  defaultMetaTags int(11) NOT NULL default '0',
  menuTitle varchar(128) default NULL,
  synopsis text,
  templateId int(11) NOT NULL default '1',
  startDate int(11) NOT NULL default '946710000',
  endDate int(11) NOT NULL default '2082783600',
  redirectURL text,
  userDefined1 varchar(255) default NULL,
  userDefined2 varchar(255) default NULL,
  userDefined3 varchar(255) default NULL,
  userDefined4 varchar(255) default NULL,
  userDefined5 varchar(255) default NULL,
  languageId int(11) NOT NULL default '1',
  groupIdView int(11) NOT NULL default '3',
  groupIdEdit int(11) NOT NULL default '3',
  hideFromNavigation int(11) NOT NULL default '0',
  PRIMARY KEY  (pageId)
) TYPE=MyISAM;

--
-- Dumping data for table 'page'
--


INSERT INTO page VALUES (1,0,'Home',-8,3,0,'','home',1,'Home',NULL,1,946710000,2082783600,NULL,NULL,NULL,NULL,NULL,NULL,1,7,3,0);
INSERT INTO page VALUES (4,0,'Page Not Found',-6,3,21,'','page_not_found',0,'Page Not Found',NULL,1,946710000,2082783600,NULL,NULL,NULL,NULL,NULL,NULL,1,7,3,1);
INSERT INTO page VALUES (3,0,'Trash',5,3,22,'','trash',0,'Trash',NULL,1,946710000,2082783600,NULL,NULL,NULL,NULL,NULL,NULL,1,3,3,1);
INSERT INTO page VALUES (2,0,'Clipboard',4,3,23,'','clipboard',0,'Clipboard',NULL,1,946710000,2082783600,NULL,NULL,NULL,NULL,NULL,NULL,1,4,4,1);
INSERT INTO page VALUES (5,0,'Packages',1,3,24,'','packages',0,'Packages',NULL,1,946710000,2082783600,NULL,NULL,NULL,NULL,NULL,NULL,1,6,6,1);
INSERT INTO page VALUES (-3,1,'Your Next Step',-8,3,3,'','your_next_step',1,'Your Next Step','',1,946728000,2082801600,'',NULL,NULL,NULL,NULL,NULL,1,7,3,0);
INSERT INTO page VALUES (-2,1,'WebGUI Users',-8,3,2,'','webgui_users',1,'WebGUI Users','',1,946728000,2082801600,'',NULL,NULL,NULL,NULL,NULL,1,7,3,0);
INSERT INTO page VALUES (-1,1,'Getting Started',-8,3,1,'','getting_started',1,'Getting Started','',1,946728000,2082801600,'',NULL,NULL,NULL,NULL,NULL,1,7,3,0);

--
-- Table structure for table 'pageStatistics'
--

CREATE TABLE pageStatistics (
  dateStamp int(11) default NULL,
  userId int(11) default NULL,
  username varchar(35) default NULL,
  ipAddress varchar(15) default NULL,
  userAgent varchar(255) default NULL,
  referer text,
  pageId int(11) default NULL,
  pageTitle varchar(255) default NULL,
  wobjectId int(11) default NULL,
  wobjectFunction varchar(60) default NULL
) TYPE=MyISAM;

--
-- Dumping data for table 'pageStatistics'
--



--
-- Table structure for table 'settings'
--

CREATE TABLE settings (
  name varchar(255) NOT NULL default '',
  value text,
  PRIMARY KEY  (name)
) TYPE=MyISAM;

--
-- Dumping data for table 'settings'
--


INSERT INTO settings VALUES ('maxAttachmentSize','10000');
INSERT INTO settings VALUES ('sessionTimeout','28000');
INSERT INTO settings VALUES ('smtpServer','localhost');
INSERT INTO settings VALUES ('companyEmail','info@mycompany.com');
INSERT INTO settings VALUES ('ldapURL','ldap://ldap.mycompany.com:389/o=MyCompany');
INSERT INTO settings VALUES ('companyName','My Company');
INSERT INTO settings VALUES ('companyURL','http://www.mycompany.com');
INSERT INTO settings VALUES ('ldapId','shortname');
INSERT INTO settings VALUES ('ldapIdName','LDAP Shortname');
INSERT INTO settings VALUES ('ldapPasswordName','LDAP Password');
INSERT INTO settings VALUES ('authMethod','WebGUI');
INSERT INTO settings VALUES ('anonymousRegistration','1');
INSERT INTO settings VALUES ('notFoundPage','1');
INSERT INTO settings VALUES ('recoverPasswordEmail','Someone (probably you) requested your account information be sent. Your password has been reset. The following represents your new account information:');
INSERT INTO settings VALUES ('cachePagesVisitor','600');
INSERT INTO settings VALUES ('profileName','1');
INSERT INTO settings VALUES ('profileExtraContact','1');
INSERT INTO settings VALUES ('profileMisc','1');
INSERT INTO settings VALUES ('profileHome','0');
INSERT INTO settings VALUES ('profileWork','0');
INSERT INTO settings VALUES ('docTypeDec','<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\">');
INSERT INTO settings VALUES ('preventProxyCache','0');
INSERT INTO settings VALUES ('thumbnailSize','50');
INSERT INTO settings VALUES ('textAreaRows','5');
INSERT INTO settings VALUES ('textAreaCols','50');
INSERT INTO settings VALUES ('textBoxSize','30');
INSERT INTO settings VALUES ('cachePages','60');
INSERT INTO settings VALUES ('defaultPage','1');
INSERT INTO settings VALUES ('onNewUserAlertGroup','3');
INSERT INTO settings VALUES ('alertOnNewUser','0');
INSERT INTO settings VALUES ('useKarma','0');
INSERT INTO settings VALUES ('karmaPerLogin','1');
INSERT INTO settings VALUES ('runOnRegistration','');
INSERT INTO settings VALUES ('maxImageSize','100000');
INSERT INTO settings VALUES ('showDebug','0');
INSERT INTO settings VALUES ('trackPageStatistics','0');
INSERT INTO settings VALUES ('smbPDC','your PDC');
INSERT INTO settings VALUES ('smbBDC','your BDC');
INSERT INTO settings VALUES ('smbDomain','your NT Domain');
INSERT INTO settings VALUES ('selfDeactivation','1');
INSERT INTO settings VALUES ('snippetsPreviewLength','30');
INSERT INTO settings VALUES ('mailFooter','^c;\n^e;\n^u;\n');
INSERT INTO settings VALUES ('sendWelcomeMessage','0');
INSERT INTO settings VALUES ('welcomeMessage','Welcome to our site.');

--
-- Table structure for table 'style'
--

CREATE TABLE style (
  styleId int(11) NOT NULL default '0',
  name varchar(255) default NULL,
  styleSheet text,
  body text,
  PRIMARY KEY  (styleId)
) TYPE=MyISAM;

--
-- Dumping data for table 'style'
--


INSERT INTO style VALUES (-3,'WebGUI 3','<style>\r\n\r\n.content, body {\r\n  background-color: #000000;\r\n  color: #C9E200;\r\n  font-family: helvetica, arial;\r\n  font-size: 10pt;\r\n  scrollbar-base-color: #000000;\r\n  scrollbar-track-color: #444444;\r\n  scrollbar-face-color: #000000;\r\n  scrollbar-highlight-color: #555555;\r\n  scrollbar-3dlight-color: #444444;\r\n  scrollbar-darkshadow-color: #222222;\r\n  scrollbar-shadow-color: #333333;\r\n  scrollbar-arrow-color: #ED4400;\r\n}\r\n\r\nselect, input, textarea {\r\n  color: #000000;\r\n  background-color: #C9E200;\r\n}\r\n\r\nA {\r\n  color: #ED4400;\r\n}\r\n\r\nA:visited {\r\n  color: #ffffff;\r\n}\r\n\r\n.verticalMenu {\r\n  font-size: 10pt;\r\n}\r\n\r\n.verticalMenu A, .verticalMenu A:visited {\r\n  color: #000000;\r\n}\r\n\r\n.verticalMenu A:hover {\r\n  color: #ED4400;\r\n}\r\n\r\n.selectedMenuItem A,.selectedMenuItem A:visited {\r\n  color: #ED4400;\r\n}\r\n\r\n.loginBox {\r\n  font-size: 10pt;\r\n}\r\n\r\nH1 {\r\n  font-family: helvetica, arial;\r\n  font-size: 16pt;\r\n}\r\n\r\nsearchBox {\r\n  font-size: 10pt;\r\n}\r\n\r\n.pagination {\r\n  font-family: helvetica, arial;\r\n  font-size: 8pt;\r\n  text-align: center;\r\n}\r\n\r\n.adminBar {\r\n        background-color: #dddddd;\r\n        font-size: 8pt;\r\n        font-family: helvetica, arial;\r\n        color: #000055;\r\n}\r\n\r\n.formDescription {\r\n  font-family: helvetica, arial;\r\n  font-size: 10pt;\r\n  font-weight: bold;\r\n}\r\n\r\n.formSubtext {\r\n  font-family: helvetica, arial;\r\n  font-size: 8pt;\r\n}\r\n\r\n.highlight {\r\n  background-color: #444444;\r\n}\r\n\r\n.tableMenu {\r\n  background-color: #444444;\r\n  font-size: 8pt;\r\n  font-family: Helvetica, Arial;\r\n}\r\n\r\n.tableMenu a {\r\n  text-decoration: none;\r\n}\r\n\r\n.tableHeader {\r\n  background-color: #555555;\r\n  font-size: 10pt;\r\n  font-family: Helvetica, Arial;\r\n}\r\n\r\n.tableData {\r\n  font-size: 10pt;\r\n  font-family: Helvetica, Arial;\r\n}\r\n\r\n.pollAnswer {\r\n  font-family: Helvetica, Arial;\r\n  font-size: 8pt;\r\n}\r\n\r\n.pollColor {\r\n  background-color: #C9E200;\r\n}\r\n\r\n.pollQuestion {\r\n  font-face: Helvetica, Arial;\r\n  font-weight: bold;\r\n}\r\n\r\n.faqQuestion {\r\n  font-size: 12pt;\r\n  color: #aaaaaa;\r\n}\r\n\r\n\r\n.tab {\r\n  border: 1px solid white;\r\n   background-color: #333333;\r\n}\r\n.tabBody {\r\n   border: 1px solid white;\r\n   border-top: 1px solid white;\r\n   border-left: 1px solid white;\r\n   background-color: #444444; \r\n}\r\ndiv.tabs {\r\n    line-height: 15px;\r\n    font-size: 14px;\r\n}\r\n.tabHover {\r\n   background-color: #555555;\r\n}\r\n.tabActive { \r\n   background-color: #444444; \r\n}\r\n\r\n\r\n</style>','^AdminBar;\r\n\r\n<body bgcolor=\"#000000\" text=\"#C9E200\" link=\"#ED4400\" marginwidth=\"0\" leftmargin=\"0\">\r\n<table width=\"100%\" cellpadding=0 cellspacing=0 border=0>\r\n<tr><td valign=\"top\" width=\"200\">\r\n<a href=\"/\"><img src=\"^Extras;styles/webgui/logo.gif\" border=0></a>\r\n<table cellpadding=0 border=0 cellspacing=0>\r\n<tr><td colspan=3><img src=\"^Extras;styles/webgui/menuTop.gif\" width=\"200\"></td></tr>\r\n<tr>\r\n  <td bgcolor=\"#C9E200\"><img src=\"^Extras;spacer.gif\" width=5></td>\r\n  <td bgcolor=\"#C9E200\">^FlexMenu;</td>\r\n  <td bgcolor=\"#C9E200\"><img src=\"^Extras;spacer.gif\" width=5></td>\r\n</tr>\r\n<tr><td colspan=3><img src=\"^Extras;styles/webgui/menuBottom.gif\" width=\"200\"></td></tr>\r\n</table>\r\n^L;\r\n</td>\r\n<td><img src=\"^Extras;spacer.gif\" width=20></td>\r\n<td valign=\"top\" width=\"100%\">\r\n\r\n\r\n\r\n^-;\r\n\r\n</td></tr></table>\r\n<p>\r\n<div align=\"center\">\r\n<a href=\"/\"><img src=\"^Extras;styles/webgui/icon.gif\" border=0></a><br>\r\n2001-2002 Plain Black Software<br>\r\n</div>\r\n</body>');
INSERT INTO style VALUES (2,'Fail Safe','<style>\r\n.adminBar {\r\n        background-color: #dddddd;\r\n        font-size: 8pt;\r\n        font-family: helvetica, arial;\r\n        color: #000055;\r\n}\r\n</style>','^AdminBar;\n\n<body>\r\n^H; / ^t; / ^m; / ^a;\r\n<hr>\n\n^-;\n\n<hr>\r\n^H; / ^t; / ^m; / ^a;\r\n</body>');
INSERT INTO style VALUES (-2,'Plain Black Software (black)','<style>\r\n\r\n.content{\r\n  background-color: #000000;\r\n  color: #ffffff;\r\n  font-family: helvetica, arial;\r\n  font-size: 10pt;\r\n  padding: 10pt;\r\n}\r\n\r\n.sideMenu {\r\n  filter:DropShadow(OffX=2,OffY=2,color:#000000);\r\n  font-size: 10pt;\r\n  padding: 5pt;\r\n  font-family: helvetica, arial;\r\n  color: #000000;\r\n}\r\n\r\n.sideMenu A {\r\n  text-decoration: none;\r\n  color: #ffffff;\r\n}\r\n\r\n.sideMenu A:hover {\r\n  color: #EF4200;\r\n  text-decoration: underline;\r\n}\r\n\r\nH1 {\r\n  font-family: helvetica, arial;\r\n  font-size: 16pt;\r\n  color: #cee700;\r\n}\r\n\r\nsearchBox {\r\n  font-size: 10pt;\r\n}\r\n\r\nA {\r\n  color: #EF4200;\r\n}\r\n\r\n.pagination {\r\n  font-family: helvetica, arial;\r\n  font-size: 8pt;\r\n  text-align: center;\r\n}\r\n\r\n.adminBar {\r\n  background-color: #dddddd;\r\n  font-size: 8pt;\r\n  font-family: helvetica, arial;\r\n  color: #000055;\r\n}\r\n\r\n.crumbTrail {\r\n  font-family: helvetica, arial;\r\n  color: #cee700;\r\n  font-size: 8pt;\r\n}\r\n\r\n.crumbTrail A,.crumbTrail A:visited {\r\n  color: #ffffff;\r\n}\r\n\r\n.formDescription {\r\n  font-family: helvetica, arial;\r\n  font-size: 10pt;\r\n  font-weight: bold;\r\n}\r\n\r\n.formSubtext {\r\n  font-family: helvetica, arial;\r\n  font-size: 8pt;\r\n}\r\n\r\n.highlight {\r\n  background-color: #535558;\r\n}\r\n\r\n.tableMenu {\r\n  background-color: #38393C;\r\n  font-size: 8pt;\r\n  font-family: Helvetica, Arial;\r\n}\r\n\r\n.tableMenu a {\r\n  text-decoration: none;\r\n}\r\n\r\n.tableHeader {\r\n  background-color: #38393C;\r\n  font-size: 10pt;\r\n  font-family: Helvetica, Arial;\r\n}\r\n\r\n.tableData {\r\n  font-size: 10pt;\r\n  font-family: Helvetica, Arial;\r\n}\r\n\r\n.pollAnswer {\r\n  font-family: Helvetica, Arial;\r\n  font-size: 8pt;\r\n}\r\n\r\n.pollColor {\r\n  background-color: #cee700;\r\n  border: thin solid #ffffff;\r\n}\r\n\r\n.pollQuestion {\r\n  font-face: Helvetica, Arial;\r\n  font-weight: bold;\r\n}\r\n\r\n.faqQuestion {\r\n  font-size: 12pt;\r\n  color: #cee700;\r\n}\r\n\r\n\r\n.tab {\r\n  border: 1px solid white;\r\n   background-color: #333333;\r\n}\r\n.tabBody {\r\n   border: 1px solid white;\r\n   border-top: 1px solid white;\r\n   border-left: 1px solid white;\r\n   background-color: #444444; \r\n}\r\ndiv.tabs {\r\n    line-height: 15px;\r\n    font-size: 14px;\r\n}\r\n.tabHover {\r\n   background-color: #555555;\r\n}\r\n.tabActive { \r\n   background-color: #444444; \r\n}\r\n\r\n\r\n\r\n\r\n\r\n</style>','^AdminBar;\r\n\r\n<body text=\"#ffffff\" link=\"#EF4200\" vlink=\"#EF4200\" bgcolor=\"#535558\" marginwidth=0 marginheight=0 leftmargin=0 rightmargin=0 topmargin=0 bottommargin=0>\r\n\r\n<table cellspacing=0 cellpadding=0 border=0 width=\"100%\">\r\n<tr>\r\n	<td width=\"200\" rowspan=\"2\" bgcolor=\"#ffffff\"><a href=\"/\"><img src=\"^Extras;styles/plainblack/logo-white.gif\" width=\"200\" height=\"50\" alt=\"Plain Black Software\" border=\"0\"></a></td>\r\n	<td width=\"70%\" bgcolor=\"#38393C\" valign=\"bottom\"><img src=\"^Extras;spacer.gif\" width=\"5\"><img src=\"^Extras;styles/plainblack/user.gif\" width=\"41\" height=\"25\" alt=\"User:\" border=\"0\"> <a href=\"^\\;?op=displayAccount\" style=\"font-family: courier; color: #cee700; text-decoration: none; vertical-align: middle;\">^@;</a></td>\r\n	<td width=\"30%\" align=\"right\" bgcolor=\"#38393C\" valign=\"bottom\"><a href=\"^\\;?op=displayAccount\"><img src=\"^Extras;styles/plainblack/myaccount.gif\" width=\"84\" height=\"25\" alt=\"My Account\" border=\"0\"></a><img src=\"^Extras;styles/plainblack/darkbar.gif\" width=\"11\" height=\"25\" alt=\"|\" border=\"0\"><a href=\"^/;/download\"><img src=\"^Extras;styles/plainblack/download.gif\" width=\"75\" height=\"25\" alt=\"Download\" border=\"0\"></a><img src=\"^Extras;styles/plainblack/darkbar.gif\" width=\"11\" height=\"25\" alt=\"|\" border=\"0\"><a href=\"/\"><img src=\"^Extras;styles/plainblack/home.gif\" width=\"40\" height=\"25\" alt=\"Home\" border=\"0\"></a><img src=\"^Extras;spacer.gif\" width=\"5\"></td>\r\n</tr>\r\n<tr>\r\n	<td width=\"70%\" bgcolor=\"#535558\"><img src=\"^Extras;spacer.gif\" width=\"5\">^C;</td>\r\n	<td width=\"30%\" align=\"right\" bgcolor=\"#535558\" style=\"font-family: courier; color: #cee700;\">^D(\"%c %D, %y\");<img src=\"^Extras;spacer.gif\" width=\"5\"></td>\r\n</tr>\r\n</table>\r\n<table cellspacing=0 cellpadding=0 border=0 width=\"100%\" bgcolor=\"#38393C\">\r\n<tr>\r\n	<td width=\"200\" valign=\"top\" class=\"sideMenu\">^T(2);</td>\r\n	<td width=\"100%\" bgcolor=\"#000000\" rowspan=\"2\" valign=\"top\">\r\n\r\n^-;\r\n\r\n</td>\r\n</tr>\r\n<tr>\r\n	<td width=\"200\" bgcolor=\"#38393C\" align=\"center\" valign=\"bottom\"><p><img src=\"^Extras;styles/plainblack/webgui.gif\" width=\"200\" height=\"84\" alt=\"\" border=\"0\"><p></td>\r\n</tr>\r\n</table>\r\n<table cellspacing=0 cellpadding=0 border=0 width=\"100%\">\r\n<tr>\r\n	<td width=\"50%\" bgcolor=\"#535558\"><img src=\"^Extras;styles/plainblack/copyright.gif\" width=\"223\" height=\"25\" alt=\"Copyright 2001-2002 Plain Black Software\" border=\"0\"></td>\r\n	<td width=\"50%\" align=\"right\" bgcolor=\"#535558\"><a href=\"^r(linkonly);\"><img src=\"^Extras;styles/plainblack/makepageprintable.gif\" width=\"149\" height=\"25\" alt=\"Make Page Printable\" border=\"0\"></a></td>\r\n</tr>\r\n</table>\r\n</body>\r\n');
INSERT INTO style VALUES (4,'Clipboard','<style>\r\n.adminBar {\r\n        background-color: #dddddd;\r\n        font-size: 8pt;\r\n        font-family: helvetica, arial;\r\n        color: #000055;\r\n}\r\n</style>','^AdminBar;\n\n<body>\r\n<table width=\"100%\">\r\n<tr><td><span style=\"font-size: 36pt;\">Clipboard</span>\r\n</td>\r\n<td align=\"right\">^H; / ^a;</td></tr>\r\n<tr><td bgcolor=\"#000000\" colspan=\"2\"><img src=\"^Extras;spacer.gif\" height=\"1\"></td></tr>\r\n</table>\r\n<table width=\"100%\"><tr><td valign=\"top\" width=\"30%\"><b>PAGES</b><br>^FlexMenu;</td><td width=\"1\" bgcolor=\"#000000\"><img src=\"^Extras;spacer.gif\" width=\"1\"></td><td valign=\"top\" width=\"70%\"><b>CONTENT</b><br>\n\n^-;\n\n</td></tr></table>\r\n<table width=\"100%\">\r\n<tr><td bgcolor=\"#000000\" colspan=\"2\"><img src=\"^Extras;spacer.gif\" height=\"1\"></td></tr>\r\n</table>\r\n^H; / ^a;\r\n</body>');
INSERT INTO style VALUES (-1,'Yahoo!','','^AdminBar;\n\n<html><head><title>Yahoo!</title><meta http-equiv=\"PICS-Label\" content=\'(PICS-1.1 \"http://www.rsac.org/ratingsv01.html\" l gen true for \"http://www.yahoo.com\" r (n 0 s 0 v 0 l 0))\'></head><body>\r\n<script language=javascript><!--\r\nfunction f(){\r\nvar f,m,p,a,i,k,o,e,l,c,d;\r\nf=\"0123456789abcdefghijklmnopqrstuvwxyz\";\r\nm=new Array;\r\np=\"claim-your-name\";\r\na=10;\r\nfor(i=0;i<36;i++){\r\n if(i==26)a=-26;\r\n m[f.charAt(i)]=f.charAt(i+a);\r\n}\r\nk=document.cookie;\r\nif((o=k.indexOf(\"Y=\"))==-1)return p;\r\nif((o=k.indexOf(\"l=\",o+2))==-1)return p;\r\nif((e=k.indexOf(\"/\",o+2))==-1)return p;\r\nif(e>o+18)e=o+18;\r\nl=k.substring(o+2,e);\r\np=\"\";\r\nfor(i=0;i<l.length;i++){\r\n c=l.charAt(i);\r\n if(m[c])p+=m[c];else p+=\'-\';\r\n}\r\nreturn p;\r\n}\r\nd=f();//-->\r\n</script>\r\n<center><form name=f action=http://search.yahoo.com/bin/search><map name=m><area coords=\"0,0,52,52\" href=r/c1><area coords=\"53,0,121,52\" href=r/p1><area coords=\"122,0,191,52\" href=r/m1><area coords=\"441,0,510,52\" href=r/wn><area coords=\"511,0,579,52\" href=r/i1><area coords=\"580,0,637,52\" href=r/hw></map><img width=638 height=53 border=0 usemap=\"#m\" src=http://us.a1.yimg.com/us.yimg.com/i/ww/m5v5.gif alt=Yahoo><br><table border=0 cellspacing=0 cellpadding=3 width=640><tr><td align=center width=205>\r\n<font color=ff0020>new!</font> <a href=\"http://www.yahoo.com/homet/?http://new.domains.yahoo.com\"><b>Y! Domains</b></a><br><small>reserve .biz & .info domains</small></td><td align=center><a href=\"http://rd.yahoo.com/M=77122.1317476.2909345.220161/D=yahoo_top/S=2716149:NP/A=656341/?http://website.yahoo.com/\" target=\"_top\"><img width=230 height=33 src=\"http://us.a1.yimg.com/us.yimg.com/a/pr/promo/anchor/hp_website2.gif\" alt=\"\" border=0></a></td><td align=center width=205><a href=\"http://www.yahoo.com//homet/?http://mail.yahoo.com\"><b>Yahoo! Mail</b></a><br>you@yahoo.com</td></tr><tr><td colspan=3 align=center><input size=30 name=p>\r\n<input type=submit value=Search> <a href=http://www.yahoo.com/r/so>advanced search</a></td></tr></table>\r\n</form>\r\n<div align=\"left\">\r\n\n\n^-;\n\n</div>\r\n<hr noshade size=1 width=640><small><a href=http://www.yahoo.com/r/ad>How to Suggest a Site</a> -\r\n<a href=http://www.yahoo.com/r/cp>Company Info</a> -\r\n<a href=http://www.yahoo.com/r/cy>Copyright Policy</a> -\r\n<a href=http://www.yahoo.com/r/ts>Terms of Service</a> -\r\n<a href=http://www.yahoo.com/r/cb>Contributors</a> -\r\n<a href=http://www.yahoo.com/r/hr>Jobs</a> -\r\n<a href=http://www.yahoo.com/r/ao>Advertising</a><p>Copyright  2001 Yahoo! Inc. All rights reserved.</small><br><a href=http://www.yahoo.com/r/pv>Privacy Policy</a></form></center></body></html>\r\n');
INSERT INTO style VALUES (-4,'Demo Style','<style>\r\n\r\n.homeLink, .myAccountLink, {\r\n  color: #ffffff;\r\n  font-size: 8pt;\r\n}\r\n\r\n.verticalMenu A, .verticalMenu A:visited {\r\n  color: #ffffff;\r\n  font-weight: bold;\r\n}\r\n\r\nbody {\r\n  font-family:arial; \r\n  font-size: 12px; \r\n  color: black;\r\n  background: #666666;\r\n}\r\n\r\ntd { \r\n  font-size: 11px;\r\n}\r\n\r\nH1 {\r\n  MARGIN-TOP: 3px;\r\n  MARGIN-BOTTOM: 3px;\r\n  font-size: 16pt;\r\n}\r\n\r\nH3 {\r\n  MARGIN-TOP: 3px;\r\n  MARGIN-BOTTOM: 3px;\r\n}\r\n\r\nH4 {\r\n  MARGIN-TOP: 3px;\r\n  MARGIN-BOTTOM: 3px;\r\n}\r\n\r\nH5 {\r\n  MARGIN-TOP: 3px;\r\n  MARGIN-BOTTOM: 3px;\r\n}\r\n\r\nul { \r\n  MARGIN-TOP: 3px; \r\n  MARGIN-BOTTOM: 3px \r\n}\r\n\r\nA {\r\n  color: #800000;\r\n  TEXT-DECORATION: underline\r\n}\r\n\r\nA:hover {\r\n  color: #990000;\r\n  TEXT-DECORATION: none;\r\n}\r\n\r\n.pagination {\r\n  font-family: helvetica, arial;\r\n  text-align: center;\r\n  font-size: 8pt;\r\n}\r\n\r\n.horizontalMenu {\r\n  font-size: 8pt;\r\n  padding: 5px;\r\n  font-weight: bold;\r\n  color: #aaaaaa;\r\n}\r\n\r\n.horizontalMenu A, .horizontalMenu A:visited {\r\n  color: #ffffff;\r\n}\r\n\r\n.adminBar {\r\n        background-color: #dddddd;\r\n        font-size: 8pt;\r\n        font-family: helvetica, arial;\r\n        color: #000055;\r\n}\r\n\r\n.highlight {\r\n  background-color: #EAEAEA;\r\n}\r\n\r\n.formDescription {\r\n  font-size: 10pt;\r\n}\r\n\r\n.formSubtext {\r\n  font-size: 8pt;\r\n}\r\n\r\n.tableMenu {\r\n  font-size: 8pt;\r\n  background-color: #F5DFDF;\r\n}\r\n.tableMenu a {\r\n  text-decoration: none;\r\n}\r\n\r\n.tableHeader {\r\n  background-color: #F5DFDF;\r\n  font-size: 10pt;\r\n}\r\n\r\n.tableData {\r\n  font-size: 10pt;\r\n  font-family: Helvetica, Arial;\r\n}\r\n\r\n.pollAnswer {\r\n  font-family: Helvetica, Arial;\r\n  font-size: 8pt;\r\n}\r\n\r\n.pollColor {\r\n  background-color: #ffddbb;\r\n}\r\n\r\n.pollQuestion {\r\n  font-face: Helvetica, Arial;\r\n  font-weight: bold;\r\n}\r\n\r\n.faqQuestion {\r\n  color: #000000;\r\n  font-weight: bold;\r\n  text-decoration: none;\r\n}\r\n\r\n\r\n.tab {\r\n  border: 1px solid black;\r\n   background-color: #cccccc;\r\n}\r\n.tabBody {\r\n   border: 1px solid black;\r\n   border-top: 1px solid black;\r\n   border-left: 1px solid black;\r\n   background-color: #bbbbbb; \r\n}\r\ndiv.tabs {\r\n    line-height: 15px;\r\n    font-size: 14px;\r\n}\r\n.tabHover {\r\n   background-color: #aaaaaa;\r\n}\r\n.tabActive { \r\n   background-color: #bbbbbb; \r\n}\r\n\r\n\r\n\r\n\r\n</style>','^AdminBar;\r\n\r\n<body bgcolor=\"#666666\">\r\n\r\n<table border=\"0\" width=\"700\" background=\"^Extras;styles/demo/topbg-3.gif\" cellspacing=\"0\" cellpadding=\"0\" align=\"center\">\r\n<tr>\r\n    <td width=\"324\" height=\"80\"><img src=\"^Extras;styles/demo/top-3.jpg\" border=0 width=\"324\"></td>\r\n    <td width=\"100%\"><h3 style=\"color:white\">Your Company Name Here</h3><div style=\"color:white\">Address: 1903 Sunrise St. City, State 65977<br>\r\nTel: 915.888.8888<br>\r\nEmail: service@company.com</div></td>\r\n  </tr>\r\n</table>\r\n<table border=\"0\" width=\"700\"  height=\"21\" cellspacing=\"0\" cellpadding=\"0\" bgcolor=\"#000000\" align=center>\r\n  <tr>\r\n    <td><img src=\"^Extras;styles/demo/mid-3.jpg\" border=0 width=\"140\" height=\"21\"></td>\r\n    <td width=\"100%\">^t;</td>\r\n  </tr>\r\n</table>\r\n<table border=\"0\" width=\"700\"  height=\"500\" cellspacing=\"0\" cellpadding=\"0\" align=center>\r\n  <tr>\r\n    <td bgcolor=\"#990000\" width=\"140\" style=\"background-image: url(\'^Extras;styles/demo/leftbg-3.jpg\'); background-repeat: no-repeat; background-position: left top\" valign=\"top\"><img src=\"^Extras;spacer.gif\" height=\"10\" width=\"140\" border=0>\r\n<table cellpadding=4><tr><td>\r\n^M;\r\n</td></tr></table>\r\n    </td>\r\n    <td width=\"100%\" align=\"right\" height=\"100%\" valign=\"top\"><img src=\"^Extras;styles/demo/x.gif\" height=\"4\" width=\"560\"><br>\r\n    <table  width=\"99%\" height=\"99%\" border=\"0\" bgcolor=\"black\" cellpadding=\"3\" cellspacing=\"1\">\r\n    	<tr><td bgcolor=\"#f9ecec\" style=\"background-image: url(\'^Extras;styles/demo/contentbg-3.gif\'); background-repeat: no-repeat; background-position: right bottom\" height=\"100%\" valign=\"top\">\r\n    	\r\n\r\n^-;\r\n\r\n	</td></tr>\r\n    </table>\r\n    </td>\r\n  </tr>\r\n</table>\r\n<table border=\"0\" width=\"700\" cellspacing=\"0\" cellpadding=\"0\" align=\"center\">\r\n<tr><td align=\"right\">^H;  ^a;</td></tr>\r\n</table>\r\n\r\n\r\n</body>\r\n');
INSERT INTO style VALUES (3,'Make Page Printable','<style>\r\n\r\n.content{\r\n  background-color: #ffffff;\r\n  color: #000000;\r\n  font-family: helvetica, arial;\r\n  font-size: 10pt;\r\n  padding: 10pt;\r\n}\r\n\r\nH1 {\r\n  font-family: helvetica, arial;\r\n  font-size: 16pt;\r\n}\r\n\r\nA {\r\n  color: #EF4200;\r\n}\r\n\r\n.pagination {\r\n  font-family: helvetica, arial;\r\n  font-size: 8pt;\r\n  text-align: center;\r\n}\r\n\r\n.formDescription {\r\n  font-family: helvetica, arial;\r\n  font-size: 10pt;\r\n  font-weight: bold;\r\n}\r\n\r\n.formSubtext {\r\n  font-family: helvetica, arial;\r\n  font-size: 8pt;\r\n}\r\n\r\n.highlight {\r\n  background-color: #dddddd;\r\n}\r\n\r\n.tableMenu {\r\n  background-color: #cccccc;\r\n  font-size: 8pt;\r\n  font-family: Helvetica, Arial;\r\n}\r\n\r\n.tableMenu a {\r\n  text-decoration: none;\r\n}\r\n\r\n.tableHeader {\r\n  background-color: #cccccc;\r\n  font-size: 10pt;\r\n  font-family: Helvetica, Arial;\r\n}\r\n\r\n.tableData {\r\n  font-size: 10pt;\r\n  font-family: Helvetica, Arial;\r\n}\r\n\r\n.pollAnswer {\r\n  font-family: Helvetica, Arial;\r\n  font-size: 8pt;\r\n}\r\n\r\n.pollColor {\r\n  background-color: #444444;\r\n}\r\n\r\n.pollQuestion {\r\n  font-face: Helvetica, Arial;\r\n  font-weight: bold;\r\n}\r\n\r\n.faqQuestion {\r\n  font-size: 12pt;\r\n  font-weight: bold;\r\n  color: #000000;\r\n}\r\n\r\n</style>','^AdminBar;\n\n<body onLoad=\"window.print()\">\r\n<div align=\"center\"><a href=\"^\\;\"><img src=\"^Extras;styles/plainblack/logo-white.gif\" border=\"0\"></a></div>\n\n^-;\n\n<div align=\"center\"> 2001-2002 Plain Black Software</div>\r\n</body>');
INSERT INTO style VALUES (-5,'Plain Black Software (white)','<style>\r\n\r\n.content{\r\n  background-color: #ffffff;\r\n  color: #000000;\r\n  font-family: helvetica, arial;\r\n  font-size: 10pt;\r\n  padding: 10pt;\r\n}\r\n\r\n.sideMenu {\r\n  filter:DropShadow(OffX=2,OffY=2,color:#000000);\r\n  font-size: 10pt;\r\n  padding: 5pt;\r\n  font-family: helvetica, arial;\r\n  color: #000000;\r\n}\r\n\r\n.sideMenu A {\r\n  text-decoration: none;\r\n  color: #ffffff;\r\n}\r\n\r\n.sideMenu A:hover {\r\n  color: #EF4200;\r\n  text-decoration: underline;\r\n}\r\n\r\nH1 {\r\n  font-family: helvetica, arial;\r\n  font-size: 16pt;\r\n  color: #38393C;\r\n}\r\n\r\nsearchBox {\r\n  font-size: 10pt;\r\n}\r\n\r\nA {\r\n  color: #EF4200;\r\n}\r\n\r\n.pagination {\r\n  font-family: helvetica, arial;\r\n  font-size: 8pt;\r\n  text-align: center;\r\n}\r\n\r\n.adminBar {\r\n  background-color: #dddddd;\r\n  font-size: 8pt;\r\n  font-family: helvetica, arial;\r\n  color: #000055;\r\n}\r\n\r\n.crumbTrail {\r\n  font-family: helvetica, arial;\r\n  color: #cee700;\r\n  font-size: 8pt;\r\n}\r\n\r\n.crumbTrail A,.crumbTrail A:visited {\r\n  color: #ffffff;\r\n}\r\n\r\n.formDescription {\r\n  font-family: helvetica, arial;\r\n  font-size: 10pt;\r\n  font-weight: bold;\r\n}\r\n\r\n.formSubtext {\r\n  font-family: helvetica, arial;\r\n  font-size: 8pt;\r\n}\r\n\r\n.highlight {\r\n  background-color: #cccccc;\r\n}\r\n\r\n.tableMenu {\r\n  background-color: #cee700;\r\n  font-size: 8pt;\r\n  font-family: Helvetica, Arial;\r\n}\r\n\r\n.tableMenu a {\r\n  text-decoration: none;\r\n}\r\n\r\n.tableHeader {\r\n  background-color: #cee700;\r\n  font-size: 10pt;\r\n  font-family: Helvetica, Arial;\r\n}\r\n\r\n.tableData {\r\n  font-size: 10pt;\r\n  font-family: Helvetica, Arial;\r\n}\r\n\r\n.pollAnswer {\r\n  font-family: Helvetica, Arial;\r\n  font-size: 8pt;\r\n}\r\n\r\n.pollColor {\r\n  background-color: #cee700;\r\n  border: thin solid #000000;\r\n}\r\n\r\n.pollQuestion {\r\n  font-face: Helvetica, Arial;\r\n  font-weight: bold;\r\n}\r\n\r\n.faqQuestion {\r\n  font-size: 12pt;\r\n  color: #38393C;\r\n  font-weight: bold;\r\n}\r\n\r\n\r\n\r\n\r\n\r\n.tab {\r\n  border: 1px solid black;\r\n   background-color: #eeeeee;\r\n}\r\n.tabBody {\r\n   border: 1px solid black;\r\n   border-top: 1px solid black;\r\n   border-left: 1px solid black;\r\n   background-color: #dddddd; \r\n}\r\ndiv.tabs {\r\n    line-height: 15px;\r\n    font-size: 14px;\r\n}\r\n.tabHover {\r\n   background-color: #cccccc;\r\n}\r\n.tabActive { \r\n   background-color: #dddddd; \r\n}\r\n\r\n\r\n\r\n\r\n</style>','^AdminBar;\r\n\r\n<body text=\"#000000\" link=\"#EF4200\" vlink=\"#EF4200\" bgcolor=\"#535558\" marginwidth=0 marginheight=0 leftmargin=0 rightmargin=0 topmargin=0 bottommargin=0>\r\n\r\n<table cellspacing=0 cellpadding=0 border=0 width=\"100%\">\r\n<tr>\r\n	<td width=\"200\" rowspan=\"2\" bgcolor=\"#000000\"><a href=\"/\"><img src=\"^Extras;styles/plainblack/logo-black.gif\" width=\"200\" height=\"50\" alt=\"Plain Black Software\" border=\"0\"></a></td>\r\n	<td width=\"70%\" bgcolor=\"#38393C\" valign=\"bottom\"><img src=\"^Extras;spacer.gif\" width=\"5\"><img src=\"^Extras;styles/plainblack/user.gif\" width=\"41\" height=\"25\" alt=\"User:\" border=\"0\"> <a href=\"^\\;?op=displayAccount\" style=\"font-family: courier; color: #cee700; text-decoration: none; vertical-align: middle;\">^@;</a></td>\r\n	<td width=\"30%\" align=\"right\" bgcolor=\"#38393C\" valign=\"bottom\"><a href=\"^\\;?op=displayAccount\"><img src=\"^Extras;styles/plainblack/myaccount.gif\" width=\"84\" height=\"25\" alt=\"My Account\" border=\"0\"></a><img src=\"^Extras;styles/plainblack/darkbar.gif\" width=\"11\" height=\"25\" alt=\"|\" border=\"0\"><a href=\"^/;/download\"><img src=\"^Extras;styles/plainblack/download.gif\" width=\"75\" height=\"25\" alt=\"Download\" border=\"0\"></a><img src=\"^Extras;styles/plainblack/darkbar.gif\" width=\"11\" height=\"25\" alt=\"|\" border=\"0\"><a href=\"/\"><img src=\"^Extras;styles/plainblack/home.gif\" width=\"40\" height=\"25\" alt=\"Home\" border=\"0\"></a><img src=\"^Extras;spacer.gif\" width=\"5\"></td>\r\n</tr>\r\n<tr>\r\n	<td width=\"70%\" bgcolor=\"#535558\"><img src=\"^Extras;spacer.gif\" width=\"5\">^C;</td>\r\n	<td width=\"30%\" align=\"right\" bgcolor=\"#535558\" style=\"font-family: courier; color: #cee700;\">^D(\"%c %D, %y\");<img src=\"^Extras;spacer.gif\" width=\"5\"></td>\r\n</tr>\r\n</table>\r\n<table cellspacing=0 cellpadding=0 border=0 width=\"100%\" bgcolor=\"#38393C\">\r\n<tr>\r\n	<td width=\"200\" valign=\"top\" class=\"sideMenu\">^T(2);</td>\r\n	<td width=\"100%\" bgcolor=\"#ffffff\" rowspan=\"2\" valign=\"top\">\r\n\r\n^-;\r\n\r\n</td>\r\n</tr>\r\n<tr>\r\n	<td width=\"200\" bgcolor=\"#38393C\" align=\"center\" valign=\"bottom\"><p><img src=\"^Extras;styles/plainblack/webgui.gif\" width=\"200\" height=\"84\" alt=\"\" border=\"0\"><p></td>\r\n</tr>\r\n</table>\r\n<table cellspacing=0 cellpadding=0 border=0 width=\"100%\">\r\n<tr>\r\n	<td width=\"50%\" bgcolor=\"#535558\"><img src=\"^Extras;styles/plainblack/copyright.gif\" width=\"223\" height=\"25\" alt=\"Copyright 2001-2002 Plain Black Software\" border=\"0\"></td>\r\n	<td width=\"50%\" align=\"right\" bgcolor=\"#535558\"><a href=\"^r(linkonly);\"><img src=\"^Extras;styles/plainblack/makepageprintable.gif\" width=\"149\" height=\"25\" alt=\"Make Page Printable\" border=\"0\"></a></td>\r\n</tr>\r\n</table>\r\n</body>\r\n');
INSERT INTO style VALUES (5,'Trash','<style>\r\n.adminBar {\r\n        background-color: #dddddd;\r\n        font-size: 8pt;\r\n        font-family: helvetica, arial;\r\n        color: #000055;\r\n}\r\n</style>','^AdminBar;\n\n<body>\r\n<table width=\"100%\">\r\n<tr><td><span style=\"font-size: 36pt;\">Trash</span>\r\n</td>\r\n<td align=\"right\">^H; / ^a; / <a href=\"^\\;?op=purgeTrash\">Empty Trash</a></td></tr>\r\n<tr><td bgcolor=\"#000000\" colspan=\"2\"><img src=\"^Extras;spacer.gif\" height=\"1\"></td></tr>\r\n</table>\r\n<table width=\"100%\"><tr><td valign=\"top\" width=\"30%\"><b>PAGES</b><br>^FlexMenu;</td><td width=\"1\" bgcolor=\"#000000\"><img src=\"^Extras;spacer.gif\" width=\"1\"></td><td valign=\"top\" width=\"70%\"><b>CONTENT</b><br>\n\n^-;\n\n</td></tr></table>\r\n<table width=\"100%\">\r\n<tr><td bgcolor=\"#000000\" colspan=\"2\"><img src=\"^Extras;spacer.gif\" height=\"1\"></td></tr>\r\n</table>\r\n^H; / ^a; / <a href=\"^\\;?op=purgeTrash\">Empty Trash</a>\r\n</body>');
INSERT INTO style VALUES (1,'Packages','<style>\r\n.adminBar {\r\n        background-color: #dddddd;\r\n        font-size: 8pt;\r\n        font-family: helvetica, arial;\r\n        color: #000055;\r\n}\r\n</style>','^AdminBar;\n\n<body>\r\n<table width=\"100%\">\r\n<tr><td><span style=\"font-size: 36pt;\">Packages</span>\r\n</td>\r\n<td align=\"right\">^H; / ^a;</td></tr>\r\n<tr><td bgcolor=\"#000000\" colspan=\"2\"><img src=\"^Extras;spacer.gif\" height=\"1\"></td></tr>\r\n</table>\r\n<table width=\"100%\"><tr><td valign=\"top\" width=\"30%\"><b>PACKAGES</b><br>^FlexMenu;</td><td width=\"1\" bgcolor=\"#000000\"><img src=\"^Extras;spacer.gif\" width=\"1\"></td><td valign=\"top\" width=\"70%\"><b>CONTENT</b><br>\n\n^-;\n\n</td></tr></table>\r\n<table width=\"100%\">\r\n<tr><td bgcolor=\"#000000\" colspan=\"2\"><img src=\"^Extras;spacer.gif\" height=\"1\"></td></tr>\r\n</table>\r\n^H; / ^a;\r\n</body>');
INSERT INTO style VALUES (-6,'WebGUI 4','<META NAME=\"Keywords\" CONTENT=\"WebGUI Content Management System\">\r\n<style>\r\n<!--\r\nbody {font-family: Arial, Helvetica, sans-serif; }\r\na:active {color: #00CCCC; text-decoration: none; background-color: #FFFFCC; }\r\na:visited {color: #003399; text-decoration: none; }\r\na:link {color: #003399; text-decoration: none; }\r\n.myAccountLink {font-weight: bold; }\r\n.verticalMenu, .tableMenu {font-family: \"Times New Roman\", Times, serif; font-style: italic; }\r\n.crumbTrail {color: #990000; font-weight: bold; }\r\nh1 {color: #990000; }\r\nh2 {color: #990000; }\r\nh3 {color: #990000; }\r\nhr {size: 2px; color: #003399;}\r\n\r\n\r\n.highlight {\r\n  background-color: #cccccc;\r\n}\r\n\r\n.tableHeader {\r\n  background-color: #eeeeee;\r\n  font-size: 13px;\r\n}\r\n\r\n.tableData {\r\n  font-size: 13px;\r\n  background-color: #fafafa;\r\n}\r\n\r\n.pollAnswer {\r\n  font-family: Helvetica, Arial;\r\n  font-size: 11px;\r\n}\r\n\r\n.pollColor {\r\n  background-color: #ae2155;\r\n  border: thin solid #000000;\r\n}\r\n\r\n.pollQuestion {\r\n  font-weight: bold;\r\n}\r\n\r\n.faqQuestion {\r\n  font-size: 12pt;\r\n  font-weight: bold;\r\n}\r\n.faqQuestion A {\r\n  text-decoration: none;\r\n  color: black;\r\n}\r\n\r\n\r\n\r\n.tab {\r\n  border: 1px solid #800000;\r\n   background-color: #eeeeee;\r\n}\r\n.tabBody {\r\n   border: 1px solid #800000;\r\n   border-top: 1px solid #800000;\r\n   border-left: 1px solid #800000;\r\n   background-color: #dddddd; \r\n}\r\ndiv.tabs {\r\n    line-height: 15px;\r\n    font-size: 14px;\r\n}\r\n.tabHover {\r\n   background-color: #cccccc;\r\n}\r\n.tabActive { \r\n   background-color: #dddddd; \r\n}\r\n\r\n\r\n\r\n\r\n\r\n-->\r\n</style>','<body bgcolor=\"#FFFFFF\" text=\"#000000\" leftmargin=\"0\" topmargin=\"0\">\r\n<table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\" align=\"center\">\r\n<tr><!-- top row -->\r\n<td align=\"left\" valign=\"top\"><a href=\"^H(linkonly);\"><img\r\n\r\n    src=\"^Extras;styles/webgui/webgui4.jpg\"\r\n    width=\"142\"\r\n    height=\"48\"\r\n    alt=\"WebGUI\" border=\"0\"></a></td>\r\n<td valign=\"top\">^AdminBar;</td>\r\n<td align=\"right\">\r\n<a href=\"^r(linkonly);\"><img src=\"^Extras;styles/webgui/print.png\" border=\"0\" alt=\"Print!\"></a>\r\n</td>\r\n</tr><tr>\r\n</tr>\r\n</table>\r\n<table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\" align=\"center\">\r\n<tr>\r\n <td colspan=\"2\" height=\"1\"\r\n     background=\"^Extras;styles/webgui/purplepixel.jpg\">\r\n </td>\r\n</tr>\r\n<tr><!-- row for username and crumbtrail -->\r\n <td width=\"120\"\r\n     height=\"20\"\r\n     align=\"left\"\r\n     valign=\"middle\"><table border=\"0\"><tr><td><strong>User:</strong>\r\n     ^a(^@;);</td></tr></table></td>\r\n <td align=\"left\"\r\n     valign=\"middle\"><strong>Location:</strong> ^C;</td>\r\n</tr>\r\n<tr>\r\n <td colspan=\"2\" height=\"1\"\r\n     background=\"^Extras;styles/webgui/purplepixel.jpg\">\r\n </td>\r\n</tr>\r\n</table>\r\n<table width=\"100%\" border=\"0\" cellspacing=\"0\" height=\"50%\" cellpadding=\"0\" align=\"center\">\r\n<tr><!-- row for verticalmenu and content -->\r\n <td width=\"120\"\r\n     align=\"left\"\r\n     valign=\"top\">\r\n   <!-- extra table -->\r\n   <table border=\"0\">\r\n   <tr><td>^FlexMenu;</td></tr>\r\n   <tr><td height=\"30\"></td></tr>\r\n   </table>\r\n   <!-- /extra table -->\r\n </td>\r\n <td align=\"left\"\r\n     valign=\"top\">\r\n\r\n\r\n^-;\r\n\r\n\r\n\r\n<p>\r\n</td>\r\n</tr>\r\n<tr>\r\n <td colspan=\"2\" height=\"1\"\r\n     background=\"^Extras;styles/webgui/purplepixel.jpg\">\r\n </td>\r\n</tr>\r\n<tr><!-- row for date, printable and WebGUI link -->\r\n <td height=\"20\"\r\n     align=\"center\">^D(\"%c %D %y\");</td><td align=\"center\">Powered by <a href=\"http://www.plainblack.com/webgui\">WebGUI</a></td>\r\n</tr>\r\n</table>\r\n</body>\r\n\r\n');
INSERT INTO style VALUES (-7,'Smooth Blues','<style>\r\n.pageBorder {\r\n	background-color: #FFFFFF;\r\n	border: 10px #98AAB1 solid\r\n}\r\n.myBorder {\r\n	border: #000000;\r\n	border-type: solid;\r\n	border-width: 1px 1px 1px 1px\r\n}\r\n.homeLink, .myAccountLink, {\r\n	color: #ffffff;\r\n	font-size: 8pt;\r\n}\r\n.verticalMenu A, .verticalMenu A:visited {\r\n	color: #0055AA;\r\n	font-weight: bold;\r\n}\r\n.verticalMenu A:hover {\r\n	color: #CC7744;\r\n	font-weight: bold;\r\n}\r\nbody {\r\n	font-family:arial, helvetica;\r\n	font-size: 12px;\r\n	color: #004499;\r\n	background: #E5E5E5;\r\n}\r\ntd { \r\n	font-size: 14px;\r\n}\r\nH1 {\r\n	MARGIN-TOP: 3px;\r\n	MARGIN-BOTTOM: 3px;\r\n	font-size: 14pt;\r\n}\r\nH3 {\r\n	MARGIN-TOP: 3px;\r\n	MARGIN-BOTTOM: 3px;\r\n}\r\nH4 {\r\n	MARGIN-TOP: 3px;\r\n	MARGIN-BOTTOM: 3px;\r\n}\r\nH5 {\r\n	MARGIN-TOP: 3px;\r\n	MARGIN-BOTTOM: 3px;\r\n}\r\nul { \r\n	MARGIN-TOP: 3px;\r\n	MARGIN-BOTTOM: 3px;\r\n}\r\nA {\r\n	color: #0077CC;\r\n	TEXT-DECORATION: none;\r\n}\r\nA:hover {\r\n	color: #997722;\r\n	TEXT-DECORATION: none;\r\n}\r\n.pagination {\r\n	font-family: helvetica, arial;\r\n	text-align: center;\r\n	font-size: 8pt;\r\n}\r\n.horizontalMenu {\r\n	font-size: 8pt;\r\n	padding: 5px;\r\n	font-weight: bold;\r\n	color: #0055AA;\r\n}\r\n.horizontalMenu A, .horizontalMenu A:visited {\r\n	color: #0055AA;\r\n}\r\n.adminBar {\r\n	background-color: #cccccc;\r\n	font-size: 8pt;\r\n	font-family: helvetica, arial;\r\n	color: #000022;\r\n}\r\n.highlight {\r\n	background-color: #EAEAEA;\r\n}\r\n.formDescription {\r\n	font-size: 10pt;\r\n}\r\n.formSubtext {\r\n	font-size: 8pt;\r\n}\r\n.tableMenu {\r\n	font-size: 8pt;\r\n	background-color: #d1dfe8;\r\n}\r\n.tableMenu a {\r\n	text-decoration: none;\r\n}\r\n.tableHeader {\r\n	background-color: #d1dfe8;\r\n	font-size: 10pt;\r\n}\r\n.tableData {\r\n	font-size: 10pt;\r\n	font-family: Helvetica, Arial;\r\n}\r\n.pollAnswer {\r\n	font-family: Helvetica, Arial;\r\n	font-size: 8pt;\r\n}\r\n.pollColor {\r\n	background-color: #00ddbb;\r\n}\r\n.pollQuestion {\r\n	font-face: Helvetica, Arial;\r\n	font-weight: bold;\r\n}\r\n.faqQuestion {\r\n	color: #000000;\r\n	font-weight: bold;\r\n	text-decoration: none;\r\n}\r\n\r\n.tab {\r\n  border: 1px solid black;\r\n   background-color: #eeeeee;\r\n}\r\n.tabBody {\r\n   border: 1px solid black;\r\n   border-top: 1px solid black;\r\n   border-left: 1px solid black;\r\n   background-color: #d1dfe8; \r\n}\r\ndiv.tabs {\r\n    line-height: 15px;\r\n    font-size: 14px;\r\n}\r\n.tabHover {\r\n   background-color: #cccccc;\r\n}\r\n.tabActive { \r\n   background-color: #d1dfe8; \r\n}\r\n\r\n\r\n\r\n\r\n\r\n</style>\r\n','^AdminBar;\r\n\r\n<script LANGUAGE=\"JavaScript\" type=\"text/javascript\">\r\n<!--\r\n    buttonOff = new Image;\r\n    buttonOff.src = \"^Extras;styles/smoothblues/button_off.gif\";\r\n    buttonOn = new Image;\r\n    buttonOn.src = \"^Extras;/styles/smoothblues/button_on.gif\";\r\nfunction on(imgName) {\r\n  document [imgName].src = eval(\"buttonOn.src\");\r\n  }\r\n function off(imgName) {\r\n  document [imgName].src = eval(\"buttonOff.src\");\r\n  }\r\n//-->\r\n</script>\r\n\r\n<body>\r\n\r\n<table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"2\">\r\n\r\n<tr><td style=\"background-color: #FFFFFF; border: 1px #98AAB1 solid\">\r\n\r\n<table border=\"0\" width=\"100%\" background=\"^Extras;styles/smoothblues/top_gradient.gif\" cellspacing=\"0\" cellpadding=\"0\" align=\"center\" style=\"background-repeat: repeat-x\" >\r\n<tr><td height=\"2\"></td></tr>\r\n<tr>   \r\n    <td><img src=\"^Extras;styles/smoothblues/mainlogo.gif\" border=0></td>\r\n    <td width=\"100%\" valign=\"center\">\r\n   <table width=\"100%\">\r\n     <tr><td height=\"24\"></td></tr>\r\n     <tr align=\"center\">\r\n    <td width=\"34%\" valign=\"center\">\r\n      <a href=\"^H(linkonly);\" onMouseOver=\"on(\'button\')\" onMouseOut=\"off(\'button\')\">  \r\n     <img name=\"button\" src=\"^Extras;styles/smoothblues/button_off.gif\" border=0>\r\n     <BR>Home\r\n      </a>\r\n     </td>\r\n     <td width=\"33%\" valign=\"center\">\r\n      <a href=\"^r(linkonly);\" onMouseOver=\"on(\'button2\')\" onMouseOut=\"off(\'button2\')\">  \r\n      <img name=\"button2\" src=\"^Extras;styles/smoothblues/button_off.gif\" border=0> \r\n     <BR>Print!\r\n      </a>\r\n     </td>\r\n     <td width=\"33%\" valign=\"center\">\r\n      <a href=\"^a(linkonly);\" onMouseOver=\"on(\'button3\')\" onMouseOut=\"off(\'button3\')\">   \r\n      <img name=\"button3\" src=\"^Extras;styles/smoothblues/button_off.gif\" border=0>\r\n      <BR>My Account\r\n      </a>\r\n     </td>\r\n     </tr>\r\n    </table>\r\n    </td>\r\n  </tr>\r\n</table>\r\n\r\n<table border=\"0\" width=\"100%\"  height=\"21\" cellspacing=\"0\" cellpadding=\"3\" bgcolor=\"#ffffff\" align=\"center\">\r\n  <tr>\r\n    <td width=\"60%\" align=\"left\">^C;</td>\r\n    <td width=\"40%\" align=\"right\">^?;</td>\r\n  </tr>\r\n</table>\r\n\r\n<table width=\"100%\" cellspacing=\"0\" cellpadding=\"0\" align=center>\r\n  <tr>\r\n    <td width=\"1%\"></td>\r\n    <td style=\"border: #a1bfc8 solid; border-width: 1px 1px 1px 1px\" bgcolor=\"#dae1e9\" width=\"140\" valign=\"top\">\r\n     <table width=\"100%\" background=\"^Extras;styles/smoothblues/header_gradient.gif\" cellspacing=\"0\" cellpadding=\"0\" align=\"center\" style=\"background-repeat: repeat-x; border: #ffffff; border-style: solid; border-width: 1px 1px 1px 1px\" >\r\n     <tr><td>\r\n      <h3 align=\"center\" style=\"color:#002266\">Site Navigation</h3>\r\n     </td></tr></table>\r\n    <img src=\"^Extras;spacer.gif\" height=\"20\" width=\"140\" border=0>\r\n    <table cellpadding=4>\r\n     <tr><td> ^T(0); </td></tr>\r\n     <tr height=\"300\"><td> ^L; </td></tr>\r\n    </table>\r\n    </td>\r\n\r\n    <td width=\"100%\" align=\"right\" height=\"100%\" valign=\"top\">\r\n\r\n    <table width=\"99%\" height=\"99%\" border=\"0\" bgcolor=\"white\" cellpadding=\"3\" cellspacing=\"1\">\r\n\r\n    	<tr><td bgcolor=\"#FFFFFF\" height=\"100%\" valign=\"top\">\r\n    	\r\n\r\n^-;\r\n\r\n\r\n	</td></tr>\r\n    </table>\r\n    </td>\r\n  </tr>\r\n</table>\r\n<table border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\" align=\"center\">\r\n<tr><td align=\"right\" style=\"color:#0055AA\"><BR><BR><a href=\"http://www.openserve.org\" target=\"_blank\">This Design 2002 OpenServe</a></td></tr>\r\n</table>\r\n\r\n</td></tr></table>\r\n\r\n</body>');
INSERT INTO style VALUES (-8,'WebGUI 5','<style>\r\n\r\n.content, body {\r\n  font-size: 10pt;\r\n  font-family: arial;\r\n  color: #FFFFFF;\r\n  scrollbar-base-color: #8C9CBD;\r\n  scrollbar-track-color: #404040;\r\n  scrollbar-face-color: #202020;\r\n  scrollbar-highlight-color: #555555;\r\n  scrollbar-3dlight-color: #444444;\r\n  scrollbar-darkshadow-color: #222222;\r\n  scrollbar-shadow-color: #333333;\r\n  scrollbar-arrow-color: #FFFFFF;\r\n}\r\n\r\nselect, input, textarea {\r\n  color: #000040;\r\n  background-color: #FFFFFF;\r\n}\r\n\r\nA {\r\n  color: #FFDE9C;\r\n}\r\n\r\n\r\n\r\n.verticalMenu {\r\n  font-size: 10pt;\r\n  text-decoration: none;\r\n  font-weight: Bold;\r\n}\r\n\r\n.homeLink, .myAccountLink, .verticalMenu A, .verticalMenu A:visited {\r\n  color: #EF4200;\r\n  text-decoration: none;\r\n}\r\n\r\nA:hover, .verticalMenu A:hover {\r\n  color: #FFFFFF;\r\n  font-weight: Bold;\r\n  text-decoration: Underline;\r\n}\r\n\r\n.selectedMenuItem A,.selectedMenuItem A:visited {\r\n  color: #CCCEF6;\r\n}\r\n\r\n.loginBox {\r\n  font-size: 10pt;\r\n}\r\n\r\nH1 {\r\n  font-family: verdana, arial, helvetica;\r\n  font-size: 17px;\r\n  font-weight: bold;  \r\n  color: #dddddd;\r\n  font-variant: small-caps;\r\n}\r\n\r\n.searchBox {\r\n  font-size: 10pt;\r\n}\r\n\r\n.pagination {\r\n  font-family: arial;\r\n  font-size: 8pt;\r\n  text-align: center;\r\n}\r\n\r\n.adminBar {\r\n        background-color: #EF4200;\r\n        font-size: 8pt;\r\n        font-family: arial;\r\n        color: #CCD6DF;\r\n}\r\n\r\n.formDescription {\r\n  font-size: 10pt;\r\n  font-weight: bold;  \r\n  font-family: arial;\r\n  color: #FFFFFF;\r\n}\r\n\r\n.formSubtext {\r\n  font-family: helvetica, arial;\r\n  font-size: 8pt;\r\n}\r\n\r\n.highlight {\r\n  background-color: #EF4200;\r\n}\r\n\r\n.tableMenu {\r\n  background-color: #202020;\r\n  font-size: 8pt;\r\n  font-family: Helvetica, Arial;\r\n}\r\n\r\n.tableMenu a {\r\n  text-decoration: none;\r\n}\r\n\r\n.tableHeader {\r\n  background-color: #202020;\r\n  font-size: 10pt;\r\n  font-weight: bold; \r\n  font-family: arial;\r\n  color: #FFFFFF;\r\n}\r\n\r\n.tableData {\r\n  font-size: 10pt;\r\n  font-weight: none;  \r\n  font-family: arial;\r\n  color: #FFFFFF;\r\n  \r\n}\r\n\r\n.pollAnswer {\r\n  font-family: Helvetica, Arial;\r\n  font-size: 8pt;\r\n}\r\n\r\n.pollColor {\r\n  background-color: #EF4200;\r\n}\r\n\r\n.pollQuestion {\r\n  font-face: Helvetica, Arial;\r\n  font-size: 10pt;\r\n  text-decoration: none;\r\n  font-weight: Bold;\r\n}\r\n\r\n.crumbtrail {\r\n  font-family: arial;\r\n  color: #FFFFFF;\r\n  \r\n}\r\n\r\n\r\n\r\n\r\n.tab {\r\n  border: 1px solid #EF4200;\r\n   background-color: #333333;\r\n}\r\n.tabBody {\r\n   border: 1px solid #EF4200;\r\n   border-top: 1px solid #EF4200;\r\n   border-left: 1px solid #EF4200;\r\n   background-color: #444444; \r\n}\r\ndiv.tabs {\r\n    line-height: 15px;\r\n    font-size: 14px;\r\n}\r\n.tabHover {\r\n   background-color: #555555;\r\n}\r\n.tabActive { \r\n   background-color: #444444; \r\n}\r\n</style>','^AdminBar;\r\n<body bgcolor=\"#000000\" leftmargin=\"0\" topmargin=\"0\" rightmargin=\"0\" marginheight=\"0\" marginwidth=\"0\">\r\n\r\n<!-- HEADER -->\r\n\r\n<table width=\"100%\" cellspacing=\"0\" cellpadding=\"0\" border=\"0\">\r\n<tr>\r\n   <td rowspan=\"3\"><img src=\"^Extras;styles/webgui5/header-left.gif\" border=\"0\" /></td>\r\n   <td colspan=\"2\" width=\"100%\" valign=\"top\" align=\"center\" background=\"^Extras;styles/webgui5/header-center.gif\"><a href=\"^H(linkonly);\"><img src=\"^Extras;styles/webgui5/webgui.gif\" border=\"0\"  vspace=\"15\" /></a></td>\r\n   <td rowspan=\"3\"><img src=\"^Extras;styles/webgui5/header-right.gif\" border=\"0\" /></td>\r\n</tr>\r\n<tr style=\"font-size: 10px;\">\r\n<td>^C;</td>\r\n<td align=\"right\">User: ^a(^@;);</td>\r\n</tr>\r\n<tr>\r\n<td colspan=\"2\" width=\"100%\" background=\"^Extras;styles/webgui5/header-center-bottom.gif\"><img src=\"^Extras;spacer.gif\" border=\"0\" /></td>\r\n</tr>\r\n</table>\r\n\r\n\r\n<!-- BELOW CRUMBTRAIL -->\r\n\r\n<table width=\"100%\" cellspacing=\"0\" cellpadding=\"0\" border=\"0\">\r\n<tr>\r\n   <td><img src=\"^Extras;styles/webgui5/white-top-left.gif\" border=\"0\" /></td>\r\n   <td width=\"100%\" background=\"^Extras;styles/webgui5/white-top-center.gif\"><img src=\"^Extras;spacer.gif\" border=\"0\" /></td>\r\n   <td><img src=\"^Extras;styles/webgui5/white-top-right.gif\" border=\"0\" /></td>\r\n</tr>\r\n</table>\r\n\r\n\r\n\r\n<!-- MAIN NAV and CONTENT -->\r\n\r\n<table width=\"100%\" cellspacing=\"0\" cellpadding=\"0\" border=\"0\">\r\n<tr>\r\n   <td background=\"^Extras;styles/webgui5/leftborder.gif\"><img src=\"^Extras;spacer.gif\" width=\"53\" /></td>\r\n   <td><img src=\"^Extras;spacer.gif\" width=\"5\" /></td>\r\n   <td valign=\"top\" class=\"verticalMenu\">\r\n    <img src=\"^Extras;spacer.gif\" width=\"129\" height=\"1\" /><br>\r\n    ^H;\r\n    <br>\r\n    ^FlexMenu;\r\n    ^a;\r\n    <br>\r\n    <br>\r\n    <br>\r\n    <div align=\"center\"><a href=\"http://www.plainblack.com/webgui\"><img src=\"^Extras;styles/webgui5/icon.gif\" border=\"0\" /></a></div>\r\n   </td>\r\n   <td><img src=\"^Extras;spacer.gif\" width=\"5\" /></td>\r\n   <td background=\"^Extras;styles/webgui5/spacer.gif\"><img src=\"^Extras;spacer.gif\" width=\"10\" /></td>\r\n   <td><img src=\"^Extras;spacer.gif\" width=\"5\" /></td>\r\n   <td width=\"100%\" valign=\"top\"> ^-; </td>\r\n   <td><img src=\"^Extras;spacer.gif\" width=\"5\" /></td>\r\n   <td background=\"^Extras;styles/webgui5/rightborder.gif\"><img src=\"^Extras;spacer.gif\" width=\"54\" /></td>\r\n</tr>\r\n</table>\r\n\r\n\r\n\r\n<!-- FOOTER -->\r\n\r\n<table width=\"100%\" cellspacing=\"0\" cellpadding=\"0\" border=\"0\">\r\n<tr>\r\n   <td><img src=\"^Extras;styles/webgui5/footer-left.gif\" border=\"0\" /></td>\r\n   <td width=\"100%\" align=\"center\" background=\"^Extras;styles/webgui5/footer-center.gif\"><a href=\"http://www.plainblack.com\"><img src=\"^Extras;styles/webgui5/pbs-logo.gif\" border=\"0\"  /></a></td>\r\n   <td><img src=\"^Extras;styles/webgui5/footer-right.gif\" border=\"0\" /></td>\r\n</tr>\r\n</table>\r\n\r\n\r\n</body>');

--
-- Table structure for table 'template'
--

CREATE TABLE template (
  templateId int(11) NOT NULL default '0',
  name varchar(255) default NULL,
  template text,
  namespace varchar(35) NOT NULL default 'Page',
  PRIMARY KEY  (templateId,namespace)
) TYPE=MyISAM;

--
-- Dumping data for table 'template'
--


INSERT INTO template VALUES (1,'Default Site Map','<tmpl_if displayTitle>\r\n    <h1><tmpl_var title></h1>\r\n</tmpl_if>\r\n\r\n<tmpl_if description>\r\n    <tmpl_var description><p />\r\n</tmpl_if>\r\n\r\n<tmpl_loop page_loop>\r\n  <tmpl_if page.isRoot><p /></tmpl_if>\r\n  <tmpl_var page.indent>&middot;<a href=\"<tmpl_var page.url>\"><tmpl_var page.title></a><br />\r\n</tmpl_loop>','SiteMap');
INSERT INTO template VALUES (4,'Descriptive','<tmpl_if displayTitle>\r\n    <h1><tmpl_var title></h1>\r\n</tmpl_if>\r\n\r\n<tmpl_if description>\r\n    <tmpl_var description><p />\r\n</tmpl_if>\r\n\r\n<tmpl_if session.var.adminOn>\r\n  <a href=\"<tmpl_var addlink.url>\"><tmpl_var addlink.label></a><p />\r\n</tmpl_if>\r\n\r\n<tmpl_loop link_loop>\r\n   <tmpl_if session.var.adminOn>\r\n         <tmpl_var link.controls> <br />\r\n   </tmpl_if>\r\n\r\n  <a href=\"<tmpl_var link.url>\"\r\n   <tmpl_if link.newwindow>\r\n          target=\"_blank\"\r\n    </tmpl_if>\r\n    ><span class=\"linkTitle\"><tmpl_var link.name></span></a>\r\n\r\n    <tmpl_if link.description>\r\n              - <tmpl_var link.description>\r\n   </tmpl_if>\r\n   <p />\r\n</tmpl_loop>\r\n','LinkList');
INSERT INTO template VALUES (3,'Ordered List','<tmpl_if displayTitle>\r\n    <h1><tmpl_var title></h1>\r\n</tmpl_if>\r\n\r\n<tmpl_if description>\r\n    <tmpl_var description><p />\r\n</tmpl_if>\r\n\r\n<tmpl_if session.var.adminOn>\r\n  <a href=\"<tmpl_var addlink.url>\"><tmpl_var addlink.label></a><p />\r\n</tmpl_if>\r\n\r\n<ol>\r\n<tmpl_loop link_loop>\r\n  <li>\r\n   <tmpl_if session.var.adminOn>\r\n         <tmpl_var link.controls>\r\n   </tmpl_if>\r\n\r\n   <a href=\"<tmpl_var link.url>\"\r\n   <tmpl_if link.newwindow>\r\n          target=\"_blank\"\r\n    </tmpl_if>\r\n    ><span class=\"linkTitle\"><tmpl_var link.name></span></a>\r\n\r\n    <tmpl_if link.description>\r\n              - <tmpl_var link.description>\r\n   </tmpl_if>\r\n  </li>\r\n</tmpl_loop>\r\n</ol>','LinkList');
INSERT INTO template VALUES (1,'Default Link List','<tmpl_if displayTitle>\r\n    <h1><tmpl_var title></h1>\r\n</tmpl_if>\r\n\r\n<tmpl_if description>\r\n    <tmpl_var description><p />\r\n</tmpl_if>\r\n\r\n<tmpl_if session.var.adminOn>\r\n  <a href=\"<tmpl_var addlink.url>\"><tmpl_var addlink.label></a><p />\r\n</tmpl_if>\r\n\r\n<tmpl_loop link_loop>\r\n   <tmpl_if session.var.adminOn>\r\n         <tmpl_var link.controls>\r\n   </tmpl_if>\r\n   &middot;\r\n   <a href=\"<tmpl_var link.url>\"\r\n   <tmpl_if link.newwindow>\r\n          target=\"_blank\"\r\n    </tmpl_if>\r\n    ><span class=\"linkTitle\"><tmpl_var link.name></span></a>\r\n\r\n    <tmpl_if link.description>\r\n              - <tmpl_var link.description>\r\n   </tmpl_if>\r\n   <br/>\r\n</tmpl_loop>\r\n','LinkList');
INSERT INTO template VALUES (2,'Unordered List','<tmpl_if displayTitle>\r\n    <h1><tmpl_var title></h1>\r\n</tmpl_if>\r\n\r\n<tmpl_if description>\r\n    <tmpl_var description><p />\r\n</tmpl_if>\r\n\r\n<tmpl_if session.var.adminOn>\r\n  <a href=\"<tmpl_var addlink.url>\"><tmpl_var addlink.label></a><p />\r\n</tmpl_if>\r\n\r\n<ul>\r\n<tmpl_loop link_loop>\r\n<li>\r\n   <tmpl_if session.var.adminOn>\r\n         <tmpl_var link.controls>\r\n   </tmpl_if>\r\n   \r\n   <a href=\"<tmpl_var link.url>\"\r\n   <tmpl_if link.newwindow>\r\n          target=\"_blank\"\r\n    </tmpl_if>\r\n    ><span class=\"linkTitle\"><tmpl_var link.name></span></a>\r\n\r\n    <tmpl_if link.description>\r\n              - <tmpl_var link.description>\r\n   </tmpl_if>\r\n </li>\r\n</tmpl_loop>\r\n</u>','LinkList');
INSERT INTO template VALUES (4,'Linked Image with Caption','<tmpl_if displayTitle>\r\n    <h1><tmpl_var title></h1>\r\n</tmpl_if>\r\n\r\n<tmpl_if image.url>\r\n  <table width=\"100%\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\"><tr><td class=\"content\">\r\n   <table align=\"right\"><tr><td align=\"center\">\r\n   <tmpl_if linkUrl>\r\n        <a href=\"<tmpl_var linkUrl>\">\r\n      <img src=\"<tmpl_var image.url>\" border=\"0\">\r\n       <br /><tmpl_var linkTitle></a>\r\n    <tmpl_else>\r\n           <img src=\"<tmpl_var image.url>\" border=\"0\">\r\n           <br /> <tmpl_var linkTitle>\r\n   </tmpl_if>\r\n  </td></tr></table>\r\n</tmpl_if>\r\n\r\n<tmpl_if description>\r\n  <tmpl_var description><p />\r\n</tmpl_if>\r\n\r\n\r\n<tmpl_var attachment.box>\r\n\r\n<tmpl_if image.url>\r\n  </td></tr></table>\r\n</tmpl_if>\r\n\r\n<tmpl_if allowDiscussion>\r\n  <p><table width=\"100%\" cellspacing=\"2\" cellpadding=\"1\" border=\"0\">\r\n  <tr><td align=\"center\" width=\"50%\" class=\"tableMenu\"><a href=\"<tmpl_var replies.URL>\"><tmpl_var replies.label> (<tmpl_var replies.count>)</a></td>\r\n  <td align=\"center\" width=\"50%\" class=\"tableMenu\"><a href=\"<tmpl_var post.url>\"><tmpl_var post.label></a></td></tr>\r\n  </table>\r\n</tmpl_if>\r\n','Article');
INSERT INTO template VALUES (3,'Topics','<tmpl_if displayTitle>\r\n    <h1><tmpl_var title></h1>\r\n</tmpl_if>\r\n\r\n<tmpl_if description>\r\n    <tmpl_var description><p />\r\n</tmpl_if>\r\n\r\n<tmpl_if session.var.adminOn>\r\n   <a href=\"<tmpl_var addquestion.url>\"><tmpl_var addquestion.label></a><p />\r\n</tmpl_if>\r\n\r\n\r\n<tmpl_loop qa_loop>\r\n  <tmpl_if session.var.adminOn>\r\n     <tmpl_var qa.controls>\r\n   </tmpl_if>\r\n  <h2><tmpl_var qa.question></h2>\r\n  <tmpl_var qa.answer>\r\n  <p />\r\n</tmpl_loop>\r\n\r\n','FAQ');
INSERT INTO template VALUES (1,'Default Message Board','<tmpl_if displayTitle>\r\n    <h1><tmpl_var title></h1>\r\n</tmpl_if>\r\n\r\n<tmpl_if description>\r\n    <tmpl_var description><p />\r\n</tmpl_if>\r\n\r\n<table width=\"100%\" cellpadding=2 cellspacing=1 border=0>\r\n<tr>\r\n <td align=\"right\" valign=\"bottom\" class=\"tableMenu\">\r\n  <tmpl_if canPost>\r\n        <a href=\"<tmpl_var post.url>\"><tmpl_var post.label></a> &middot;\r\n  </tmpl_if>\r\n  <a href=\"<tmpl_var search.url>\"><tmpl_var search.label></a>\r\n  </td></tr></table>\r\n\r\n  <table border=0 cellpadding=2 cellspacing=1 width=\"100%\">\r\n      <tr>\r\n            <td class=\"tableHeader\"><tmpl_var subject.label></td>\r\n            <td class=\"tableHeader\"><tmpl_var user.label></td>\r\n            <td class=\"tableHeader\"><tmpl_var date.label></td>\r\n            <td class=\"tableHeader\"><tmpl_var views.label></td>\r\n            <td class=\"tableHeader\"><tmpl_var replies.label></td>\r\n            <td class=\"tableHeader\"><tmpl_var last.label></td>\r\n     </tr>\r\n\r\n<tmpl_loop message_loop>\r\n   <tr><td class=\"tableData\">\r\n        <a href=\"<tmpl_var message.url>\"><tmpl_var message.subject></a>\r\n         <tmpl_if message.currentUser>\r\n              (<tmpl_var message.status>)\r\n         </tmpl_if>  \r\n     </td>\r\n      <td class=\"tableData\"><a href=\"<tmpl_var message.userProfile>\"><tmpl_var message.username></a></td>\r\n      <td class=\"tableData\"><tmpl_var message.date></td>\r\n      <td class=\"tableData\"><tmpl_var message.views></td>\r\n      <td class=\"tableData\"><tmpl_var message.replies></td>\r\n      <td class=\"tableData\">\r\n         <span style=\"font-size: 8pt;\">\r\n              <a href=\"<tmpl_var last.url>\"><tmpl_var last.subject></a>\r\n              @ <tmpl_var last.date> \r\n              by <a href=\"<tmpl_var last.userProfile>\"><tmpl_var last.username></a>\r\n          </span>\r\n     </td>\r\n   </tr>\r\n</tmpl_loop>\r\n</table>\r\n\r\n\r\n<tmpl_if multiplePages>\r\n  <div class=\"pagination\">\r\n    <tmpl_var previousPage>  &middot; <tmpl_var pageList> &middot; <tmpl_var nextPage>\r\n  </div>\r\n</tmpl_if>\r\n\r\n','MessageBoard');
INSERT INTO template VALUES (2,'List with Thumbnails','<tmpl_if displayTitle>\r\n    <h1><tmpl_var title></h1>\r\n</tmpl_if>\r\n\r\n<tmpl_if description>\r\n    <tmpl_var description><p />\r\n</tmpl_if>\r\n\r\n<tmpl_if session.scratch.search>\r\n <tmpl_var search.form>\r\n</tmpl_if>\r\n<table cellpadding=\"3\" cellspacing=\"1\" border=\"0\" width=\"100%\">\r\n\r\n<tr>\r\n  <td colspan=\"3\" align=\"right\" class=\"tableMenu\">\r\n                <a href=\"<tmpl_var search.url>\"><tmpl_var search.label></a>\r\n                <tmpl_if session.var.adminOn>\r\n                      &middot; <a href=\"<tmpl_var addfile.url>\"><tmpl_var addfile.label></a>\r\n                 </tmpl_if>\r\n   </td>\r\n</tr>\r\n\r\n<tr>\r\n  <td class=\"tableHeader\"><a href=\"<tmpl_var titleColumn.url>\"><tmpl_var titleColumn.label></a></td>\r\n  <td class=\"tableHeader\"><a href=\"<tmpl_var descriptionColumn.url>\"><tmpl_var descriptionColumn.label></a></td>\r\n  <td class=\"tableHeader\"><a href=\"<tmpl_var dateColumn.url>\"><tmpl_var dateColumn.label></a></td>\r\n</tr>\r\n\r\n<tmpl_loop file_loop>\r\n   <tmpl_if file.canView>\r\n        <tr>\r\n           <td class=\"tableData\" valign=\"top\">\r\n             <tmpl_if session.var.adminOn>\r\n                   <tmpl_var file.controls>\r\n              </tmpl_if>\r\n              <a href=\"<tmpl_var file.version1.url>\"><tmpl_var file.title></a>\r\n               &nbsp;&middot;&nbsp;\r\n              <a href=\"<tmpl_var file.version1.url>\"><img src=\"<tmpl_var file.version1.icon>\" border=\"0\" width=\"16\" height=\"16\" align=\"middle\" /><tmpl_var file.version1.type>/<tmpl_var file.version1.size></a>\r\n              <tmpl_if file.version2.name>\r\n                   &nbsp;&middot;&nbsp;\r\n                   <a href=\"<tmpl_var file.version2.url>\"><img src=\"<tmpl_var file.version2.icon>\" border=0 width=\"16\" height=\"16\" align=\"middle\" /><tmpl_var file.version2.type>/<tmpl_var file.version2.size></a>\r\n              </tmpl_if>\r\n              <tmpl_if file.version3.name>\r\n                   &nbsp;&middot;&nbsp;\r\n                   <a href=\"<tmpl_var file.version3.url>\"><img src=\"<tmpl_var file.version3.icon>\" border=\"0\" width=\"16\" height=\"16\" align=\"middle\" /><tmpl_var file.version3.type>/<tmpl_var file.version3.size></a>\r\n              </tmpl_if>\r\n           </td>\r\n           <td class=\"tableData\" valign=\"top\">\r\n                    <tmpl_if file.version1.isImage>\r\n                           <img src=\"<tmpl_var file.version1.thumbnail>\" border=0 align=\"middle\" hspace=\"3\">\r\n                    </tmpl_if>\r\n                <tmpl_var file.description>\r\n           </td>\r\n           <td class=\"tableData\" valign=\"top\">\r\n                 <tmpl_var file.date>\r\n           </td>\r\n        </tr>\r\n      </tmpl_if>\r\n</tmpl_loop>\r\n\r\n<tmpl_if noresults>\r\n    <tr><td class=\"tableData\" colspan=\"3\"><tmpl_var noresults.message></td></tr>\r\n</tmpl_if>\r\n\r\n</table>\r\n\r\n<tmpl_if multiplePages>\r\n  <div class=\"pagination\">\r\n    <tmpl_var previousPage> &middot; <tmpl_var pageList> &middot; <tmpl_var nextPage>\r\n  </div>\r\n</tmpl_if>','FileManager');
INSERT INTO template VALUES (2,'Events List','<tmpl_if displayTitle>\r\n    <h1><tmpl_var title></h1>\r\n</tmpl_if>\r\n\r\n<tmpl_if description>\r\n    <tmpl_var description><p />\r\n</tmpl_if>\r\n\r\n<tmpl_if session.var.adminOn>\r\n    <a href=\"<tmpl_var addevent.url>\"><tmpl_var addevent.label></a>\r\n    <p />\r\n</tmpl_if>\r\n\r\n<tmpl_loop list_loop>\r\n   <tmpl_unless list.sameAsPrevious>\r\n        <b><tmpl_var list.date></b>\r\n   </tmpl_unless>\r\n  <blockquote>\r\n     <tmpl_if session.var.adminOn>\r\n         <tmpl_var list.controls>\r\n     </tmpl_if>\r\n     <i><tmpl_var list.title></i>\r\n     <tmpl_if list.description>\r\n       - <tmpl_var list.description>\r\n     </tmpl_if>\r\n     <p />\r\n  </blockquote>\r\n</tmpl_loop>\r\n\r\n<tmpl_if list.multiplePages>\r\n  <div class=\"pagination\">\r\n    <tmpl_var list.previousPage>  &middot; <tmpl_var list.nextPage>\r\n  </div>\r\n</tmpl_if>','EventsCalendar');
INSERT INTO template VALUES (3,'Calendar Month (Small)','<tmpl_if displayTitle>\r\n    <h1><tmpl_var title></h1>\r\n</tmpl_if>\r\n\r\n<tmpl_if description>\r\n    <tmpl_var description><p />\r\n</tmpl_if>\r\n\r\n<tmpl_if session.var.adminOn>\r\n    <a href=\"<tmpl_var addevent.url>\"><tmpl_var addevent.label></a>\r\n    <p />\r\n</tmpl_if>\r\n\r\n<tmpl_var calendar.small>\r\n\r\n<tmpl_if calendar.multiplePages>\r\n  <div class=\"pagination\">\r\n    <tmpl_var calendar.previousPage> &middot; <tmpl_var calendar.nextPage>\r\n  </div>\r\n</tmpl_if>','EventsCalendar');
INSERT INTO template VALUES (1,'Default Event','<h1><tmpl_var title></h1>\r\n\r\n<table width=\"100%\" cellspacing=\"0\" cellpadding=\"5\" border=\"0\">\r\n<tr>\r\n<td valign=\"top\" class=\"tableHeader\" width=\"100%\">\r\n<b><tmpl_var start.label>:</b> <tmpl_var start.date><br />\r\n<b><tmpl_var end.label>:</b> <tmpl_var end.date><br />\r\n</td><td valign=\"top\" class=\"tableMenu\" nowrap=\"1\">\r\n\r\n<tmpl_if canEdit>\r\n     <a href=\"<tmpl_var edit.url>\"><tmpl_var edit.label></a><br />\r\n     <a href=\"<tmpl_var delete.url>\"><tmpl_var delete.label></a><br />\r\n</tmpl_if>\r\n\r\n<tmpl_if previous.url>\r\n     <a href=\"<tmpl_var previous.url>\"><tmpl_var previous.label></a><br />\r\n</tmpl_if>\r\n\r\n<tmpl_if next.url>\r\n     <a href=\"<tmpl_var next.url>\"><tmpl_var next.label></a><br />\r\n</tmpl_if>\r\n\r\n</td></tr>\r\n</table>\r\n<tmpl_var description>','EventsCalendar/Event');
INSERT INTO template VALUES (1,'Default File Manager','<tmpl_if displayTitle>\r\n    <h1><tmpl_var title></h1>\r\n</tmpl_if>\r\n\r\n<tmpl_if description>\r\n    <tmpl_var description><p />\r\n</tmpl_if>\r\n\r\n<tmpl_if session.scratch.search>\r\n <tmpl_var search.form>\r\n</tmpl_if>\r\n<table cellpadding=\"3\" cellspacing=\"1\" border=\"0\" width=\"100%\">\r\n\r\n<tr>\r\n  <td colspan=\"3\" align=\"right\" class=\"tableMenu\">\r\n                <a href=\"<tmpl_var search.url>\"><tmpl_var search.label></a>\r\n                <tmpl_if session.var.adminOn>\r\n                      &middot; <a href=\"<tmpl_var addfile.url>\"><tmpl_var addfile.label></a>\r\n                 </tmpl_if>\r\n   </td>\r\n</tr>\r\n\r\n<tr>\r\n  <td class=\"tableHeader\"><a href=\"<tmpl_var titleColumn.url>\"><tmpl_var titleColumn.label></a></td>\r\n  <td class=\"tableHeader\"><a href=\"<tmpl_var descriptionColumn.url>\"><tmpl_var descriptionColumn.label></a></td>\r\n  <td class=\"tableHeader\"><a href=\"<tmpl_var dateColumn.url>\"><tmpl_var dateColumn.label></a></td>\r\n</tr>\r\n\r\n<tmpl_loop file_loop>\r\n   <tmpl_if file.canView>\r\n        <tr>\r\n           <td class=\"tableData\" valign=\"top\">\r\n             <tmpl_if session.var.adminOn>\r\n                   <tmpl_var file.controls>\r\n              </tmpl_if>\r\n              <a href=\"<tmpl_var file.version1.url>\"><tmpl_var file.title></a>\r\n               &nbsp;&middot;&nbsp;\r\n              <a href=\"<tmpl_var file.version1.url>\"><img src=\"<tmpl_var file.version1.icon>\" border=\"0\" width=\"16\" height=\"16\" align=\"middle\" /><tmpl_var file.version1.type>/<tmpl_var file.version1.size></a>\r\n              <tmpl_if file.version2.name>\r\n                   &nbsp;&middot;&nbsp;\r\n                   <a href=\"<tmpl_var file.version2.url>\"><img src=\"<tmpl_var file.version2.icon>\" border=0 width=\"16\" height=\"16\" align=\"middle\" /><tmpl_var file.version2.type>/<tmpl_var file.version2.size></a>\r\n              </tmpl_if>\r\n              <tmpl_if file.version3.name>\r\n                   &nbsp;&middot;&nbsp;\r\n                   <a href=\"<tmpl_var file.version3.url>\"><img src=\"<tmpl_var file.version3.icon>\" border=\"0\" width=\"16\" height=\"16\" align=\"middle\" /><tmpl_var file.version3.type>/<tmpl_var file.version3.size></a>\r\n              </tmpl_if>\r\n           </td>\r\n           <td class=\"tableData\" valign=\"top\">\r\n                <tmpl_var file.description>\r\n           </td>\r\n           <td class=\"tableData\" valign=\"top\">\r\n                 <tmpl_var file.date>\r\n           </td>\r\n        </tr>\r\n      </tmpl_if>\r\n</tmpl_loop>\r\n\r\n<tmpl_if noresults>\r\n    <tr><td class=\"tableData\" colspan=\"3\"><tmpl_var noresults.message></td></tr>\r\n</tmpl_if>\r\n\r\n</table>\r\n\r\n<tmpl_if multiplePages>\r\n  <div class=\"pagination\">\r\n    <tmpl_var previousPage> &middot; <tmpl_var pageList> &middot; <tmpl_var nextPage>\r\n  </div>\r\n</tmpl_if>','FileManager');
INSERT INTO template VALUES (1,'Calendar Month (Big)','<tmpl_if displayTitle>\r\n    <h1><tmpl_var title></h1>\r\n</tmpl_if>\r\n\r\n<tmpl_if description>\r\n    <tmpl_var description><p />\r\n</tmpl_if>\r\n\r\n<tmpl_if session.var.adminOn>\r\n    <a href=\"<tmpl_var addevent.url>\"><tmpl_var addevent.label></a>\r\n    <p />\r\n</tmpl_if>\r\n\r\n<tmpl_var calendar.big>\r\n\r\n<tmpl_if calendar.multiplePages>\r\n  <div class=\"pagination\">\r\n    <tmpl_var calendar.previousPage>  &middot; <tmpl_var calendar.pageList> &middot; <tmpl_var calendar.nextPage>\r\n  </div>\r\n</tmpl_if>','EventsCalendar');
INSERT INTO template VALUES (1,'Default Article','<tmpl_if displayTitle>\r\n    <h1><tmpl_var title></h1>\r\n</tmpl_if>\r\n\r\n<tmpl_if image.url>\r\n  <table width=\"100%\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\"><tr><td class=\"content\">\r\n  <img src=\"<tmpl_var image.url>\" align=\"right\" border=\"0\">\r\n</tmpl_if>\r\n\r\n<tmpl_if description>\r\n  <tmpl_var description><p />\r\n</tmpl_if>\r\n\r\n<tmpl_if linkUrl>\r\n  <tmpl_if linkTitle>\r\n    <p /><a href=\"<tmpl_var linkUrl>\"><tmpl_var linkTitle></a>\r\n  </tmpl_if>\r\n</tmpl_if>\r\n\r\n<tmpl_var attachment.box>\r\n\r\n<tmpl_if image.url>\r\n  </td></tr></table>\r\n</tmpl_if>\r\n\r\n<tmpl_if allowDiscussion>\r\n  <p><table width=\"100%\" cellspacing=\"2\" cellpadding=\"1\" border=\"0\">\r\n  <tr><td align=\"center\" width=\"50%\" class=\"tableMenu\"><a href=\"<tmpl_var replies.URL>\"><tmpl_var replies.label> (<tmpl_var replies.count>)</a></td>\r\n  <td align=\"center\" width=\"50%\" class=\"tableMenu\"><a href=\"<tmpl_var post.url>\"><tmpl_var post.label></a></td></tr>\r\n  </table>\r\n</tmpl_if>\r\n','Article');
INSERT INTO template VALUES (2,'Center Image','<tmpl_if displayTitle>\r\n    <h1><tmpl_var title></h1>\r\n</tmpl_if>\r\n\r\n<tmpl_if image.url>\r\n  <div align=\"center\"><img src=\"<tmpl_var image.url>\" border=\"0\"></div>\r\n</tmpl_if>\r\n\r\n<tmpl_if description>\r\n  <tmpl_var description><p />\r\n</tmpl_if>\r\n\r\n<tmpl_if linkurl>\r\n  <tmpl_if linktitle>\r\n    <p /><a href=\"<tmpl_var linkUrl>\"><tmpl_var linkTitle></a>\r\n  </tmpl_if>\r\n</tmpl_if>\r\n\r\n<tmpl_var attachment.box>\r\n\r\n\r\n<tmpl_if allowDiscussion>\r\n  <p><table width=\"100%\" cellspacing=\"2\" cellpadding=\"1\" border=\"0\">\r\n  <tr><td align=\"center\" width=\"50%\" class=\"tableMenu\"><a href=\"<tmpl_var replies.URL>\"><tmpl_var replies.label> (<tmpl_var replies.count>)</a></td>\r\n  <td align=\"center\" width=\"50%\" class=\"tableMenu\"><a href=\"<tmpl_var post.url>\"><tmpl_var post.label></a></td></tr>\r\n  </table>\r\n</tmpl_if>\r\n','Article');
INSERT INTO template VALUES (3,'Left Align Image','<tmpl_if displayTitle>\r\n    <h1><tmpl_var title></h1>\r\n</tmpl_if>\r\n\r\n<tmpl_if image.url>\r\n  <table width=\"100%\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\"><tr><td class=\"content\">\r\n  <img src=\"<tmpl_var image.url>\" align=\"left\" border=\"0\">\r\n</tmpl_if>\r\n\r\n<tmpl_if description>\r\n  <tmpl_var description><p />\r\n</tmpl_if>\r\n\r\n<tmpl_if linkurl>\r\n  <tmpl_if linktitle>\r\n    <p /><a href=\"<tmpl_var linkUrl>\"><tmpl_var linkTitle></a>\r\n  </tmpl_if>\r\n</tmpl_if>\r\n\r\n<tmpl_var attachment.box>\r\n\r\n<tmpl_if image.url>\r\n  </td></tr></table>\r\n</tmpl_if>\r\n\r\n<tmpl_if allowDiscussion>\r\n  <p><table width=\"100%\" cellspacing=\"2\" cellpadding=\"1\" border=\"0\">\r\n  <tr><td align=\"center\" width=\"50%\" class=\"tableMenu\"><a href=\"<tmpl_var replies.URL>\"><tmpl_var replies.label> (<tmpl_var replies.count>)</a></td>\r\n  <td align=\"center\" width=\"50%\" class=\"tableMenu\"><a href=\"<tmpl_var post.url>\"><tmpl_var post.label></a></td></tr>\r\n  </table>\r\n</tmpl_if>\r\n','Article');
INSERT INTO template VALUES (1,'Default USS','<tmpl_if displayTitle>\r\n    <h1><tmpl_var title></h1>\r\n</tmpl_if>\r\n\r\n<tmpl_if description>\r\n    <tmpl_var description><p />\r\n</tmpl_if>\r\n\r\n<tmpl_if session.scratch.search>\r\n <tmpl_var search.form>\r\n</tmpl_if>\r\n\r\n<table width=\"100%\" cellpadding=2 cellspacing=1 border=0><tr>\r\n<td align=\"right\" class=\"tableMenu\">\r\n\r\n<tmpl_if canPost>\r\n   <a href=\"<tmpl_var post.url>\"><tmpl_var post.label></a> &middot;\r\n</tmpl_if>\r\n\r\n<a href=\"<tmpl_var search.url>\"><tmpl_var search.label></a>\r\n\r\n</td></tr></table>\r\n\r\n<table width=\"100%\" cellspacing=1 cellpadding=2 border=0>\r\n<tr>\r\n<td class=\"tableHeader\"><tmpl_var title.label></td>\r\n<td class=\"tableHeader\"><tmpl_var date.label></td>\r\n<td class=\"tableHeader\"><tmpl_var by.label></td>\r\n</tr>\r\n\r\n<tmpl_loop submissions_loop>\r\n\r\n<tr>\r\n<td class=\"tableData\">\r\n     <a href=\"<tmpl_var submission.URL>\">  <tmpl_var submission.title>\r\n    <tmpl_if submission.currentUser>\r\n        (<tmpl_var submission.status>)\r\n     </tmpl_if>\r\n</td>\r\n<td class=\"tableData\"><tmpl_var submission.date></td>\r\n<td class=\"tableData\"><a href=\"<tmpl_var submission.userProfile>\"><tmpl_var submission.username></a></td>\r\n</tr>\r\n\r\n</tmpl_loop>\r\n\r\n</table>\r\n\r\n<tmpl_if multiplePages>\r\n  <div class=\"pagination\">\r\n    <tmpl_var previousPage>  &middot; <tmpl_var pageList> &middot; <tmpl_var nextPage>\r\n  </div>\r\n</tmpl_if>\r\n','USS');
INSERT INTO template VALUES (1,'Default Item','<tmpl_if displaytitle>\r\n   <tmpl_if linkurl>\r\n       <a href=\"<tmpl_var linkurl>\">\r\n    </tmpl_if>\r\n     <span class=\"itemTitle\"><tmpl_var title></span>\r\n   <tmpl_if linkurl>\r\n      </a>\r\n    </tmpl_if>\r\n</tmpl_if>\r\n\r\n<tmpl_if attachment.name>\r\n   <tmpl_if displaytitle> - </tmpl_if>\r\n   <a href=\"<tmpl_var attachment.url>\"><img src=\"<tmpl_var attachment.Icon>\" border=\"0\" alt=\"<tmpl_var attachment.name>\" width=\"16\" height=\"16\" border=\"0\" align=\"middle\" /></a>\r\n</tmpl_if>\r\n\r\n<tmpl_if description>\r\n  - <tmpl_var description>\r\n</tmpl_if>','Item');
INSERT INTO template VALUES (2,'Traditional with Thumbnails','<tmpl_if displayTitle>\r\n    <h1><tmpl_var title></h1>\r\n</tmpl_if>\r\n\r\n<tmpl_if description>\r\n    <tmpl_var description><p />\r\n</tmpl_if>\r\n\r\n\r\n<tmpl_if session.scratch.search>\r\n <tmpl_var search.form>\r\n</tmpl_if>\r\n\r\n\r\n<table width=\"100%\" cellpadding=2 cellspacing=1 border=0><tr>\r\n<td align=\"right\" class=\"tableMenu\">\r\n\r\n<tmpl_if canPost>\r\n   <a href=\"<tmpl_var post.url>\"><tmpl_var post.label></a> &middot;\r\n</tmpl_if>\r\n\r\n<a href=\"<tmpl_var search.url>\"><tmpl_var search.label></a>\r\n\r\n</td></tr></table>\r\n\r\n<table width=\"100%\" cellspacing=1 cellpadding=2 border=0>\r\n<tr>\r\n<td class=\"tableHeader\"><tmpl_var title.label></td>\r\n<td class=\"tableHeader\"><tmpl_var thumbnail.label></td>\r\n<td class=\"tableHeader\"><tmpl_var date.label></td>\r\n<td class=\"tableHeader\"><tmpl_var by.label></td>\r\n</tr>\r\n\r\n<tmpl_loop submissions_loop>\r\n\r\n<tr>\r\n<td class=\"tableData\">\r\n     <a href=\"<tmpl_var submission.URL>\">  <tmpl_var submission.title>\r\n    <tmpl_if submission.currentUser>\r\n        (<tmpl_var submission.status>)\r\n     </tmpl_if>\r\n</td>\r\n   <td class=\"tableData\">\r\n      <tmpl_if submission.thumbnail>\r\n             <a href=\"<tmpl_var submission.url>\"><img src=\"<tmpl_var submission.thumbnail>\" border=\"0\"></a>\r\n      </tmpl_if>\r\n  </td>\r\n\r\n<td class=\"tableData\"><tmpl_var submission.date></td>\r\n<td class=\"tableData\"><a href=\"<tmpl_var submission.userProfile>\"><tmpl_var submission.username></a></td>\r\n</tr>\r\n\r\n</tmpl_loop>\r\n\r\n</table>\r\n\r\n<tmpl_if multiplePages>\r\n  <div class=\"pagination\">\r\n    <tmpl_var previousPage>  &middot; <tmpl_var pageList> &middot; <tmpl_var nextPage>\r\n  </div>\r\n</tmpl_if>\r\n\r\n','USS');
INSERT INTO template VALUES (3,'Weblog','<tmpl_if displayTitle>\r\n    <h1><tmpl_var title></h1>\r\n</tmpl_if>\r\n\r\n<tmpl_if description>\r\n    <tmpl_var description><p />\r\n</tmpl_if>\r\n\r\n\r\n<tmpl_if session.scratch.search>\r\n <tmpl_var search.form>\r\n</tmpl_if>\r\n\r\n\r\n<tmpl_if canPost>\r\n   <a href=\"<tmpl_var post.url>\"><tmpl_var post.label></a> &middot;\r\n</tmpl_if>\r\n\r\n\r\n<a href=\"<tmpl_var search.url>\"><tmpl_var search.label></a>\r\n<p />\r\n<table width=\"100%\" cellpadding=2 cellspacing=1 border=0>\r\n\r\n<tmpl_loop submissions_loop>\r\n\r\n<tr><td class=\"tableHeader\"><tmpl_var submission.title>\r\n  <tmpl_if submission.currentUser>\r\n            (<tmpl_var submission.status>)\r\n  </tmpl_if>\r\n</td></tr><tr><td class=\"tableData\"><b>\r\n  <tmpl_if submission.thumbnail>\r\n    <a href=\"<tmpl_var submission.url>\"><img src=\"<tmpl_var submission.thumbnail>\" border=\"0\" align=\"right\"/></a>\r\n   </tmpl_if>\r\n <tmpl_var by.label> <a href=\"<tmpl_var submission.userProfile>\"><tmpl_var submission.username></a>  - <tmpl_var submission.date></b><br />\r\n<tmpl_var submission.content>\r\n<p /> ( <a href=\"<tmpl_var submission.url>\"><tmpl_var readmore.label></a>\r\n                <tmpl_if submission.responses>\r\n                         | <tmpl_var submission.responses> <tmpl_var responses.label>\r\n                </tmpl_if>\r\n         )<p/>\r\n</td></tr>\r\n\r\n</tmpl_loop>\r\n\r\n</table>\r\n\r\n<tmpl_if multiplePages>\r\n  <div class=\"pagination\">\r\n    <tmpl_var previousPage>  &middot; <tmpl_var nextPage>\r\n  </div>\r\n</tmpl_if>\r\n','USS');
INSERT INTO template VALUES (4,'Photo Gallery','<tmpl_if displayTitle>\r\n    <h1><tmpl_var title></h1>\r\n</tmpl_if>\r\n\r\n<tmpl_if description>\r\n    <tmpl_var description><p/>\r\n</tmpl_if>\r\n\r\n<tmpl_if session.scratch.search>\r\n <tmpl_var search.form>\r\n</tmpl_if>\r\n\r\n<tmpl_if canPost>\r\n   <a href=\"<tmpl_var post.url>\"><tmpl_var post.label></a> &middot;\r\n</tmpl_if>\r\n\r\n\r\n<a href=\"<tmpl_var search.url>\"><tmpl_var search.label></a><p />\r\n\r\n<table width=\"100%\" cellpadding=2 cellspacing=1 border=0>\r\n<tr>\r\n<tmpl_loop submissions_loop>\r\n\r\n<td align=\"center\" class=\"tableData\">\r\n  \r\n  <tmpl_if submission.thumbnail>\r\n       <a href=\"<tmpl_var submission.url>\"><img src=\"<tmpl_var submission.thumbnail>\" border=\"0\"/></a><br />\r\n  </tmpl_if>\r\n  <a href=\"<tmpl_var submission.url>\"><tmpl_var submission.title></a>\r\n  <tmpl_if submission.currentUser>\r\n    (<tmpl_var submission.status>)\r\n  </tmpl_if>\r\n</td>\r\n\r\n<tmpl_if submission.thirdColumn>\r\n  </tr><tr>\r\n</tmpl_if>\r\n\r\n</tmpl_loop>\r\n</tr>\r\n</table>\r\n\r\n<tmpl_if multiplePages>\r\n  <div class=\"pagination\">\r\n    <tmpl_var previousPage>  &middot; <tmpl_var pageList> &middot; <tmpl_var nextPage>\r\n  </div>\r\n</tmpl_if>\r\n','USS');
INSERT INTO template VALUES (1,'Default Submission','<h1><tmpl_var title></h1>\r\n<table width=\"100%\" cellpadding=2 cellspacing=1 border=0>\r\n<tr><td valign=\"top\" class=\"tableHeader\" width=\"100%\">\r\n<b><tmpl_var user.label>:</b> <a href=\"<tmpl_var user.Profile>\"><tmpl_var user.username></a><br />\r\n<b><tmpl_var date.label>:</b> <tmpl_var date.human><br />\r\n<b><tmpl_var status.label>:</b> <tmpl_var status.status><br />\r\n<b><tmpl_var views.label>:</b> <tmpl_var views.count><br />\r\n</td>\r\n<td rowspan=\"2\" class=\"tableMenu\" nowrap=\"1\" valign=\"top\">\r\n\r\n<tmpl_if previous.more>\r\n   <a href=\"<tmpl_var previous.url>\">&laquo;<tmpl_var previous.label></a><br />\r\n</tmpl_if>\r\n<tmpl_if next.more>\r\n   <a href=\"<tmpl_var next.url>\"><tmpl_var next.label>&raquo;</a><br />\r\n</tmpl_if>\r\n<tmpl_if canEdit>\r\n   <a href=\"<tmpl_var edit.url>\"><tmpl_var edit.label></a><br />\r\n   <a href=\"<tmpl_var delete.url>\"><tmpl_var delete.label></a><br />\r\n</tmpl_if>\r\n<tmpl_if canChangeStatus>\r\n   <a href=\"<tmpl_var approve.url>\"><tmpl_var approve.label></a><br />\r\n   <a href=\"<tmpl_var leave.url>\"><tmpl_var leave.label></a><br />\r\n   <a href=\"<tmpl_var deny.url>\"><tmpl_var deny.label></a><br />\r\n</tmpl_if>\r\n<tmpl_if canReply>\r\n   <a href=\"<tmpl_var reply.url>\"><tmpl_var reply.label></a><br />\r\n</tmpl_if>\r\n<tmpl_if canPost>\r\n   <a href=\"<tmpl_var post.url>\"><tmpl_var post.label></a><br />\r\n</tmpl_if>\r\n<a href=\"<tmpl_var search.url>\"><tmpl_var search.label></a><br />\r\n<a href=\"<tmpl_var back.url>\"><tmpl_var back.label></a><br />\r\n\r\n</td</tr><tr><td class=\"tableData\">\r\n<tmpl_if image.url>\r\n  <img src=\"<tmpl_var image.url>\" border=\"0\"><p />\r\n</tmpl_if>\r\n<tmpl_var content><p />\r\n<tmpl_var attachment.box><br />\r\n\r\n</td></tr></table>\r\n\r\n<tmpl_var replies>','USS/Submission');
INSERT INTO template VALUES (5,'Classifieds','<tmpl_if displayTitle>\r\n    <h1><tmpl_var title></h1>\r\n</tmpl_if>\r\n\r\n<tmpl_if description>\r\n    <tmpl_var description><p />\r\n</tmpl_if>\r\n\r\n<tmpl_if session.scratch.search>\r\n <tmpl_var search.form>\r\n</tmpl_if>\r\n\r\n<tmpl_if canPost>\r\n   <a href=\"<tmpl_var post.url>\"><tmpl_var post.label></a> &middot;\r\n</tmpl_if>\r\n\r\n<a href=\"<tmpl_var search.url>\"><tmpl_var search.label></a><p />\r\n\r\n<table width=\"100%\" cellpadding=3 cellspacing=0 border=0>\r\n<tr>\r\n<tmpl_loop submissions_loop>\r\n\r\n<td valign=\"top\" class=\"tableData\" width=\"33%\" style=\"border: 1px dotted #aaaaaa; padding: 10px;\">\r\n  <h2><a href=\"<tmpl_var submission.url>\"><tmpl_var submission.title></a></h2>\r\n  <tmpl_if submission.currentUser>\r\n    (<tmpl_var submission.status>)\r\n  </tmpl_if>\r\n<br />\r\n  <tmpl_if submission.thumbnail>\r\n       <a href=\"<tmpl_var submission.url>\"><img src=\"<tmpl_var submission.thumbnail>\" border=\"0\"/ align=\"right\"></a><br />\r\n  </tmpl_if>\r\n<tmpl_var submission.content>\r\n</td>\r\n\r\n<tmpl_if submission.thirdColumn>\r\n  </tr><tr>\r\n</tmpl_if>\r\n\r\n</tmpl_loop>\r\n</tr>\r\n</table>\r\n\r\n<tmpl_if multiplePages>\r\n  <div class=\"pagination\">\r\n    <tmpl_var previousPage>   <tmpl_var pageList>  <tmpl_var nextPage>\r\n  </div>\r\n</tmpl_if>\r\n','USS');
INSERT INTO template VALUES (2,'Item w/pop-up Links','<tmpl_if displaytitle>\r\n   <tmpl_if linkurl>\r\n       <a href=\"<tmpl_var linkurl>\" target=\"_blank\">\r\n    </tmpl_if>\r\n     <span class=\"itemTitle\"><tmpl_var title></span>\r\n   <tmpl_if linkurl>\r\n      </a>\r\n    </tmpl_if>\r\n</tmpl_if>\r\n\r\n<tmpl_if attachment.name>\r\n   <tmpl_if displaytitle> - </tmpl_if>\r\n   <a href=\"<tmpl_var attachment.url>\" target=\"_blank\"><img src=\"<tmpl_var attachment.Icon>\" border=\"0\" alt=\"<tmpl_var attachment.name>\" width=\"16\" height=\"16\" border=\"0\" align=\"middle\" /></a>\r\n</tmpl_if>\r\n\r\n<tmpl_if description>\r\n  - <tmpl_var description>\r\n</tmpl_if>','Item');
INSERT INTO template VALUES (1,'Default FAQ','<a name=\"top\"></a>\r\n<tmpl_if displayTitle>\r\n    <h1><tmpl_var title></h1>\r\n</tmpl_if>\r\n\r\n<tmpl_if description>\r\n    <tmpl_var description><p />\r\n</tmpl_if>\r\n\r\n<tmpl_if session.var.adminOn>\r\n   <a href=\"<tmpl_var addquestion.url>\"><tmpl_var addquestion.label></a><p />\r\n</tmpl_if>\r\n\r\n<ul>\r\n<tmpl_loop qa_loop>\r\n   <li><a href=\"#<tmpl_var qa.id>\"><span class=\"faqQuestion\"><tmpl_var qa.question></span></a>\r\n</tmpl_loop>\r\n</ul>\r\n<p />\r\n\r\n\r\n<tmpl_loop qa_loop>\r\n\r\n  <tmpl_if session.var.adminOn>\r\n       <tmpl_var qa.controls>\r\n  </tmpl_if>\r\n\r\n  <a name=\"<tmpl_var qa.id>\"><span class=\"faqQuestion\"><tmpl_var qa.question></span></a><br />\r\n  <tmpl_var qa.answer>\r\n  <p /><a href=\"#top\">[top]</a><p />\r\n</tmpl_loop>\r\n\r\n','FAQ');
INSERT INTO template VALUES (2,'Q and A','<tmpl_if displayTitle>\r\n    <h1><tmpl_var title></h1>\r\n</tmpl_if>\r\n\r\n<tmpl_if description>\r\n    <tmpl_var description><p />\r\n</tmpl_if>\r\n\r\n<tmpl_if session.var.adminOn>\r\n   <a href=\"<tmpl_var addquestion.url>\"><tmpl_var addquestion.label></a><p />\r\n</tmpl_if>\r\n\r\n\r\n<tmpl_loop qa_loop>\r\n   <tmpl_if session.var.adminOn>\r\n     <tmpl_var qa.controls>\r\n   </tmpl_if>\r\n  <b>Q: <tmpl_var qa.question></b><br />\r\n  A: <tmpl_var qa.answer>\r\n  <p />\r\n</tmpl_loop>\r\n\r\n','FAQ');
INSERT INTO template VALUES (1,'Default Product','<style>\r\n.productFeatureHeader,.productSpecificationHeader,.productRelatedHeader,.productAccessoryHeader, .productBenefitHeader  {\r\n    font-weight: bold;\r\n    font-size: 15px;\r\n}\r\n.productFeature,.productSpecification,.productRelated,.productAccessory, .productBenefit {\r\n    font-size: 12px;\r\n}\r\n.productAttributeSeperator {\r\n    background-color: black;\r\n}\r\n</style>\r\n\r\n<tmpl_if displayTitle>\r\n    <h1><tmpl_var title></h1>\r\n</tmpl_if>\r\n\r\n<table width=\"100%\" cellpadding=\"3\" cellspacing=\"0\" border=\"0\">\r\n<tr>\r\n  <td class=\"content\" valign=\"top\">\r\n\r\n<tmpl_if description>\r\n   <tmpl_var description><p />\r\n</tmpl_if>\r\n\r\n<tmpl_if price>\r\n    <b>Price:</b> <tmpl_var price><br />\r\n</tmpl_if>\r\n\r\n<tmpl_if productnumber>\r\n    <b>Product Number:</b> <tmpl_var productNumber><br />\r\n</tmpl_if>\r\n\r\n<br>\r\n\r\n<tmpl_if brochure.url>\r\n    <a href=\"<tmpl_var brochure.url>\"><img src=\"<tmpl_var brochure.icon>\" border=0 align=\"absmiddle\"><tmpl_var brochure.label></a><br />\r\n</tmpl_if>\r\n\r\n<tmpl_if manual.url>\r\n    <a href=\"<tmpl_var manual.url>\"><img src=\"<tmpl_var manual.icon>\" border=0 align=\"absmiddle\"><tmpl_var manual.label></a><br />\r\n</tmpl_if>\r\n\r\n<tmpl_if warranty.url>\r\n    <a href=\"<tmpl_var warranty.url>\"><img src=\"<tmpl_var warranty.icon>\" border=0 align=\"absmiddle\"><tmpl_var warranty.label></a><br />\r\n</tmpl_if>\r\n\r\n  </td>\r\n\r\n<td valign=\"top\">\r\n<tmpl_if thumbnail1>\r\n    <a href=\"<tmpl_var image1>\"><img src=\"<tmpl_var thumbnail1>\" border=\"0\" /></a><p />\r\n</tmpl_if>\r\n<tmpl_if thumbnail2>\r\n    <a href=\"<tmpl_var image2>\"><img src=\"<tmpl_var thumbnail2>\" border=\"0\" /></a><p />\r\n</tmpl_if>\r\n<tmpl_if thumbnail3>\r\n    <a href=\"<tmpl_var image3>\"><img src=\"<tmpl_var thumbnail3>\" border=\"0\" /></a><p />\r\n</tmpl_if>\r\n  </td>\r\n</tr>\r\n</table>\r\n\r\n\r\n<table border=\"0\" cellpadding=\"0\" cellspacing=\"5\">\r\n<tr>\r\n<td valign=\"top\" class=\"productFeature\"><div class=\"productFeatureHeader\">Features</div>\r\n\r\n<tmpl_if session.var.adminOn>\r\n  <a href=\"<tmpl_var addfeature.url>\"><tmpl_var addfeature.label></a><p />\r\n</tmpl_if>\r\n\r\n<tmpl_loop feature_loop>\r\n  <tmpl_if session.var.adminOn><tmpl_var feature.controls></tmpl_if><tmpl_var feature.feature><br />\r\n</tmpl_loop>\r\n<p/>\r\n</td>\r\n\r\n  <td class=\"productAttributeSeperator\"><img src=\"^Extras;spacer.gif\" width=\"1\" height=\"1\"></td>\r\n\r\n  <td valign=\"top\" class=\"productBenefit\"><div class=\"productBenefitHeader\">Benefits</div>\r\n<tmpl_if session.var.adminOn>\r\n  <a href=\"<tmpl_var addBenefit.url>\"><tmpl_var addBenefit.label></a><p />\r\n</tmpl_if>\r\n<tmpl_loop benefit_loop>\r\n  <tmpl_if session.var.adminOn><tmpl_var benefit.controls></tmpl_if><tmpl_var benefit.benefit><br />\r\n</tmpl_loop>\r\n<p/></td>\r\n\r\n  <td class=\"productAttributeSeperator\"><img src=\"^Extras;spacer.gif\" width=\"1\" height=\"1\"></td>\r\n\r\n  <td valign=\"top\" class=\"productSpecification\"><div class=\"productSpecificationHeader\">Specifications</div>\r\n<tmpl_if session.var.adminOn>\r\n  <a href=\"<tmpl_var addSpecification.url>\"><tmpl_var addSpecification.label></a><p />\r\n</tmpl_if>\r\n<tmpl_loop specification_loop>\r\n  <tmpl_if session.var.adminOn><tmpl_var specification.controls></tmpl_if><b><tmpl_var specification.label>:</b> <tmpl_var specification.specification> <tmpl_var specification.units><br />\r\n</tmpl_loop>\r\n<p/></td>\r\n\r\n  <td class=\"productAttributeSeperator\"><img src=\"^Extras;spacer.gif\" width=\"1\" height=\"1\"></td>\r\n\r\n  <td valign=\"top\" class=\"productAccessory\"><div class=\"productAccessoryHeader\">Accessories</div>\r\n<tmpl_if session.var.adminOn>\r\n  <a href=\"<tmpl_var addaccessory.url>\"><tmpl_var addaccessory.label></a><p />\r\n</tmpl_if>\r\n\r\n<tmpl_loop accessory_loop>\r\n  <tmpl_if session.var.adminOn><tmpl_var accessory.controls></tmpl_if><a href=\"<tmpl_var accessory.url>\"><tmpl_var accessory.title></a><br />\r\n</tmpl_loop>\r\n<p/></td>\r\n\r\n  <td class=\"productAttributeSeperator\"><img src=\"^Extras;spacer.gif\" width=\"1\" height=\"1\"></td>\r\n\r\n  <td valign=\"top\" class=\"productRelated\"><div class=\"productRelatedHeader\">Related Products</div>\r\n<tmpl_if session.var.adminOn>\r\n  <a href=\"<tmpl_var addRelatedProduct.url>\"><tmpl_var addRelatedProduct.label></a><p />\r\n</tmpl_if>\r\n\r\n<tmpl_loop relatedproduct_loop>\r\n  <tmpl_if session.var.adminOn><tmpl_var RelatedProduct.controls></tmpl_if><a href=\"<tmpl_var relatedproduct.url>\"><tmpl_var relatedproduct.title></a><br />\r\n</tmpl_loop>\r\n</td>\r\n\r\n</tr>\r\n</table>\r\n\r\n','Product');
INSERT INTO template VALUES (2,'Benefits Showcase','<style>\r\n.productOptions {\r\n  font-family: Helvetica, Arial, sans-serif;\r\n  font-size: 11px;\r\n}\r\n</style>\r\n\r\n<tmpl_if displayTitle>\r\n    <h1><tmpl_var title></h1>\r\n</tmpl_if>\r\n\r\n\r\n<tmpl_if image1>\r\n    <img src=\"<tmpl_var image1>\" border=\"0\" /><p />\r\n</tmpl_if>\r\n<table width=\"100%\" cellpadding=\"3\" cellspacing=\"0\" border=\"0\">\r\n<tr>\r\n  <td class=\"content\" valign=\"top\" width=\"66%\"><tmpl_if description>\r\n<tmpl_var description><p />\r\n</tmpl_if>\r\n\r\n  <b>Benefits</b><br />\r\n<tmpl_if session.var.adminOn>\r\n  <a href=\"<tmpl_var addBenefit.url>\"><tmpl_var addBenefit.label></a><p />\r\n</tmpl_if>\r\n\r\n<tmpl_loop benefit_loop>\r\n  <tmpl_if session.var.adminOn><tmpl_var benefit.controls></tmpl_if><tmpl_var benefit.benefit><br />\r\n</tmpl_loop>\r\n\r\n  </td>\r\n  <td valign=\"top\" width=\"34%\" class=\"productOptions\">\r\n\r\n<tmpl_if thumbnail2>\r\n    <a href=\"<tmpl_var image2>\"><img src=\"<tmpl_var thumbnail2>\" border=\"0\" /></a><p />\r\n</tmpl_if>\r\n\r\n<b>Specifications</b><br />\r\n<tmpl_if session.var.adminOn>\r\n  <a href=\"<tmpl_var addSpecification.url>\"><tmpl_var addSpecification.label></a><p />\r\n</tmpl_if>\r\n<tmpl_loop specification_loop>\r\n  <tmpl_if session.var.adminOn><tmpl_var specification.controls></tmpl_if><b><tmpl_var specification.label>:</b> <tmpl_var specification.specification> <tmpl_var specification.units><br />\r\n</tmpl_loop>\r\n\r\n<b>Options</b><br />\r\n<tmpl_if session.var.adminOn>\r\n  <a href=\"<tmpl_var addaccessory.url>\"><tmpl_var addaccessory.label></a><p />\r\n</tmpl_if>\r\n\r\n<tmpl_loop accessory_loop>\r\n  <tmpl_if session.var.adminOn><tmpl_var accessory.controls></tmpl_if><a href=\"<tmpl_var accessory.url>\"><tmpl_var accessory.title></a><br />\r\n</tmpl_loop>\r\n\r\n<b>Other Products</b><br />\r\n<tmpl_if session.var.adminOn>\r\n  <a href=\"<tmpl_var addRelatedProduct.url>\"><tmpl_var addRelatedProduct.label></a><p />\r\n</tmpl_if>\r\n<tmpl_loop relatedproduct_loop>\r\n  <tmpl_if session.var.adminOn><tmpl_var RelatedProduct.controls></tmpl_if><a href=\"<tmpl_var relatedproduct.url>\"><tmpl_var relatedproduct.title></a><br />\r\n</tmpl_loop>\r\n\r\n  </td>\r\n</tr>\r\n</table>\r\n\r\n','Product');
INSERT INTO template VALUES (3,'Three Columns','<style>\r\n.productFeatureHeader,.productSpecificationHeader,.productRelatedHeader,.productAccessoryHeader, .productBenefitHeader  {\r\n   font-weight: bold;\r\n   font-size: 15px;\r\n}\r\n.productFeature,.productSpecification,.productRelated,.productAccessory, .productBenefit {\r\n   font-size: 12px;\r\n}\r\n\r\n</style>\r\n\r\n\r\n<tmpl_if displayTitle>\r\n    <h1><tmpl_var title></h1>\r\n</tmpl_if>\r\n\r\n<tmpl_if description>\r\n    <tmpl_var description><p />\r\n</tmpl_if>\r\n\r\n<table width=\"100%\" cellpadding=\"3\" cellspacing=\"0\" border=\"0\">\r\n<tr>\r\n  <td align=\"center\">\r\n<tmpl_if thumbnail1>\r\n    <a href=\"<tmpl_var image1>\"><img src=\"<tmpl_var thumbnail1>\" border=\"0\" /></a>\r\n</tmpl_if>\r\n</td>\r\n   <td align=\"center\">\r\n<tmpl_if thumbnail2>\r\n    <a href=\"<tmpl_var image2>\"><img src=\"<tmpl_var thumbnail2>\" border=\"0\" /></a>\r\n</tmpl_if>\r\n</td>\r\n  <td align=\"center\">\r\n<tmpl_if thumbnail3>\r\n    <a href=\"<tmpl_var image3>\"><img src=\"<tmpl_var thumbnail3>\" border=\"0\" /></a>\r\n</tmpl_if>\r\n</td>\r\n</tr>\r\n</table>\r\n<table border=\"0\" cellpadding=\"0\" cellspacing=\"5\" width=\"100%\">\r\n<tr>\r\n  <td valign=\"top\" class=\"tableData\" width=\"35%\">\r\n\r\n<b>Features</b><br />\r\n<tmpl_if session.var.adminOn>\r\n  <a href=\"<tmpl_var addfeature.url>\"><tmpl_var addfeature.label></a><p />\r\n</tmpl_if>\r\n<tmpl_loop feature_loop>\r\n  <tmpl_if session.var.adminOn><tmpl_var feature.controls></tmpl_if><tmpl_var feature.feature><br />\r\n</tmpl_loop>\r\n<p />\r\n\r\n<b>Benefits</b><br/>\r\n<tmpl_if session.var.adminOn>\r\n  <a href=\"<tmpl_var addBenefit.url>\"><tmpl_var addBenefit.label></a><p />\r\n</tmpl_if>\r\n\r\n<tmpl_loop benefit_loop>\r\n  <tmpl_if session.var.adminOn><tmpl_var benefit.controls></tmpl_if><tmpl_var benefit.benefit><br />\r\n</tmpl_loop>\r\n<p />\r\n\r\n</td>\r\n  <td valign=\"top\" class=\"tableData\" width=\"35%\">\r\n\r\n<b>Specifications</b><br />\r\n<tmpl_if session.var.adminOn>\r\n  <a href=\"<tmpl_var addSpecification.url>\"><tmpl_var addSpecification.label></a><p />\r\n</tmpl_if>\r\n<tmpl_loop specification_loop>\r\n  <tmpl_if session.var.adminOn><tmpl_var specification.controls></tmpl_if><b><tmpl_var specification.label>:</b> <tmpl_var specification.specification> <tmpl_var specification.units><br />\r\n</tmpl_loop>\r\n<p />\r\n\r\n<b>Accessories</b><br />\r\n<tmpl_if session.var.adminOn>\r\n  <a href=\"<tmpl_var addaccessory.url>\"><tmpl_var addaccessory.label></a><p />\r\n</tmpl_if>\r\n\r\n<tmpl_loop accessory_loop>\r\n  <tmpl_if session.var.adminOn><tmpl_var accessory.controls></tmpl_if><a href=\"<tmpl_var accessory.url>\"><tmpl_var accessory.title></a><br />\r\n</tmpl_loop>\r\n<p />\r\n\r\n<b>Related Products</b><br />\r\n<tmpl_if session.var.adminOn>\r\n  <a href=\"<tmpl_var addRelatedProduct.url>\"><tmpl_var addRelatedProduct.label></a><p />\r\n</tmpl_if>\r\n<tmpl_loop relatedproduct_loop>\r\n   <tmpl_if session.var.adminOn><tmpl_var RelatedProduct.controls></tmpl_if><a href=\"<tmpl_var relatedproduct.url>\"><tmpl_var relatedproduct.title></a><br />\r\n</tmpl_loop>\r\n<p />\r\n</td>\r\n  <td class=\"tableData\" valign=\"top\" width=\"30%\">\r\n    <tmpl_if price> \r\n    <b>Price:</b> <tmpl_var price><br />\r\n</tmpl_if>\r\n\r\n<tmpl_if productnumber>\r\n    <b>Product Number:</b> <tmpl_var productNumber><br />\r\n</tmpl_if>\r\n<br />\r\n<tmpl_if brochure.url>\r\n    <a href=\"<tmpl_var brochure.url>\"><img src=\"<tmpl_var brochure.icon>\" border=0 align=\"absmiddle\" /><tmpl_var brochure.label></a><br />\r\n</tmpl_if>\r\n<tmpl_if manual.url>\r\n    <a href=\"<tmpl_var manual.url>\"><img src=\"<tmpl_var manual.icon>\" border=0 align=\"absmiddle\" /><tmpl_var manual.label></a><br />\r\n</tmpl_if>\r\n<tmpl_if warranty.url>\r\n    <a href=\"<tmpl_var warranty.url>\"><img src=\"<tmpl_var warranty.icon>\" border=0 align=\"absmiddle\" /><tmpl_var warranty.label></a><br />\r\n</tmpl_if>\r\n  </td>\r\n</tr>\r\n</table>\r\n\r\n\r\n','Product');
INSERT INTO template VALUES (5,'Left Column','<table cellpadding=\"3\" cellspacing=\"0\" border=\"0\" width=\"100%\">\r\n<tr>\r\n  <td valign=\"top\" class=\"content\" width=\"34%\"><tmpl_var page.position1></td>\r\n  <td valign=\"top\" class=\"content\" width=\"66%\"><tmpl_var page.position2></td>\r\n</tr>\r\n</table>','Page');
INSERT INTO template VALUES (4,'Left Column Collateral','<style>\r\n.productCollateral {\r\n   font-size: 11px;\r\n}\r\n</style>\r\n\r\n\r\n<tmpl_if displayTitle>\r\n    <h1><tmpl_var title></h1>\r\n</tmpl_if>\r\n\r\n\r\n<table width=\"100%\">\r\n<tr><td valign=\"top\" class=\"productCollateral\" width=\"100\">\r\n<img src=\"^Extras;spacer.gif\" width=\"100\" height=\"1\" /><br />\r\n<tmpl_if brochure.url>\r\n    <a href=\"<tmpl_var brochure.url>\"><img src=\"<tmpl_var brochure.icon>\" border=0 align=\"absmiddle\" /><tmpl_var brochure.label></a><br />\r\n</tmpl_if>\r\n<tmpl_if manual.url>\r\n    <a href=\"<tmpl_var manual.url>\"><img src=\"<tmpl_var manual.icon>\" border=0 align=\"absmiddle\" /><tmpl_var manual.label></a><br />\r\n</tmpl_if>\r\n<tmpl_if warranty.url>\r\n    <a href=\"<tmpl_var warranty.url>\"><img src=\"<tmpl_var warranty.icon>\" border=0 align=\"absmiddle\" /><tmpl_var warranty.label></a><br />\r\n</tmpl_if>\r\n<br/>\r\n<div align=\"center\">\r\n<tmpl_if thumbnail1>\r\n    <a href=\"<tmpl_var image1>\"><img src=\"<tmpl_var thumbnail1>\" border=\"0\" /></a><p />\r\n</tmpl_if>\r\n<tmpl_if thumbnail2>\r\n    <a href=\"<tmpl_var image2>\"><img src=\"<tmpl_var thumbnail2>\" border=\"0\" /></a><p />\r\n</tmpl_if>\r\n<tmpl_if thumbnail3>\r\n    <a href=\"<tmpl_var image3>\"><img src=\"<tmpl_var thumbnail3>\" border=\"0\" /></a><p />\r\n</tmpl_if>\r\n</div>\r\n</td><td valign=\"top\" class=\"content\" width=\"100%\">\r\n<tmpl_if description>\r\n<tmpl_var description><p />\r\n</tmpl_if>\r\n\r\n<b>Specs:</b><br/>\r\n<tmpl_if session.var.adminOn>\r\n  <a href=\"<tmpl_var addSpecification.url>\"><tmpl_var addSpecification.label></a><p />\r\n</tmpl_if>\r\n<tmpl_loop specification_loop>\r\n  <tmpl_if session.var.adminOn><tmpl_var specification.controls></tmpl_if><b><tmpl_var specification.label>:</b> <tmpl_var specification.specification> <tmpl_var specification.units><br />\r\n</tmpl_loop>\r\n<p />\r\n\r\n<b>Features:</b><br/>\r\n<tmpl_if session.var.adminOn>\r\n  <a href=\"<tmpl_var addfeature.url>\"><tmpl_var addfeature.label></a><p />\r\n</tmpl_if>\r\n<tmpl_loop feature_loop>\r\n  <tmpl_if session.var.adminOn><tmpl_var feature.controls></tmpl_if><tmpl_var feature.feature><br />\r\n</tmpl_loop>\r\n<p />\r\n\r\n<b>Options:</b><br />\r\n<tmpl_if session.var.adminOn>\r\n  <a href=\"<tmpl_var addaccessory.url>\"><tmpl_var addaccessory.label></a><p />\r\n</tmpl_if>\r\n<tmpl_loop accessory_loop>\r\n  &middot;<tmpl_if session.var.adminOn><tmpl_var accessory.controls></tmpl_if><a href=\"<tmpl_var accessory.url>\"><tmpl_var accessory.title></a><br />\r\n</tmpl_loop>\r\n\r\n</td></tr>\r\n</table>\r\n','Product');
INSERT INTO template VALUES (4,'Three Over One','<table cellpadding=\"3\" cellspacing=\"0\" border=\"0\" width=\"100%\">\r\n<tr>\r\n  <td valign=\"top\" class=\"content\" width=\"33%\"><tmpl_var page.position1></td>\r\n  <td valign=\"top\" class=\"content\" width=\"34%\"><tmpl_var page.position2></td>\r\n  <td valign=\"top\" class=\"content\" width=\"33%\"><tmpl_var page.position3></td>\r\n</tr>\r\n<tr>\r\n  <td valign=\"top\" class=\"content\" colspan=\"3\"><tmpl_var page.position4></td>\r\n</tr>\r\n</table>','Page');
INSERT INTO template VALUES (3,'One Over Three','<table cellpadding=\"3\" cellspacing=\"0\" border=\"0\" width=\"100%\">\r\n<tr>\r\n  <td valign=\"top\" class=\"content\" colspan=\"3\"><tmpl_var page.position1></td>\r\n</tr>\r\n<tr>\r\n  <td valign=\"top\" class=\"content\" width=\"33%\"><tmpl_var page.position2></td>\r\n  <td valign=\"top\" class=\"content\" width=\"34%\"><tmpl_var page.position3></td>\r\n  <td valign=\"top\" class=\"content\" width=\"33%\"><tmpl_var page.position4></td>\r\n</tr>\r\n</table>','Page');
INSERT INTO template VALUES (2,'News','<table cellpadding=\"3\" cellspacing=\"0\" border=\"0\" width=\"100%\">\r\n<tr>\r\n  <td valign=\"top\" class=\"content\" colspan=\"2\" width=\"100%\"><tmpl_var page.position1></td></tr>\r\n<tr>\r\n  <td valign=\"top\" class=\"content\" width=\"50%\"><tmpl_var page.position2></td>\r\n  <td valign=\"top\" class=\"content\" width=\"50%\"><tmpl_var page.position3></td>\r\n</tr>\r\n<tr>\r\n  <td valign=\"top\" class=\"content\" colspan=\"2\" width=\"100%\"><tmpl_var page.position4></td>\r\n</tr>\r\n</table>\r\n','Page');
INSERT INTO template VALUES (7,'Side By Side','<table cellpadding=\"3\" cellspacing=\"0\" border=\"0\" width=\"100%\">\r\n<tr>\r\n  <td valign=\"top\" class=\"content\" width=\"50%\"><tmpl_var page.position1></td>\r\n  <td valign=\"top\" class=\"content\" width=\"50%\"><tmpl_var page.position2></td>\r\n</tr>\r\n</table>\r\n','Page');
INSERT INTO template VALUES (6,'Right Column','<table cellpadding=\"3\" cellspacing=\"0\" border=\"0\" width=\"100%\">\r\n<tr>\r\n  <td valign=\"top\" class=\"content\" width=\"66%\"><tmpl_var page.position1></td>\r\n  <td valign=\"top\" class=\"content\" width=\"34%\"><tmpl_var page.position2></td>\r\n</tr>\r\n</table>\r\n','Page');
INSERT INTO template VALUES (1,'Default Page','<table cellpadding=\"0\" cellspacing=\"0\" border=\"0\" width=\"100%\">\r\n<tr>\r\n<td valign=\"top\" class=\"content\"><tmpl_var page.position1></td>\r\n</tr>\r\n</table>\r\n','Page');
INSERT INTO template VALUES (2,'Descriptive Site Map','<tmpl_if displayTitle>\r\n    <h1><tmpl_var title></h1>\r\n</tmpl_if>\r\n\r\n<tmpl_if description>\r\n    <tmpl_var description><p />\r\n</tmpl_if>\r\n\r\n<tmpl_loop page_loop>\r\n  <tmpl_var page.indent><a href=\"<tmpl_var page.url>\"><tmpl_var page.title></a> \r\n   <tmpl_if page.synopsis>\r\n       - <tmpl_var page.synopsis>\r\n   </tmpl_if>\r\n <p />\r\n</tmpl_loop>','SiteMap');
INSERT INTO template VALUES (6,'Guest Book','<tmpl_if displayTitle>\r\n    <h1><tmpl_var title></h1>\r\n</tmpl_if>\r\n\r\n<tmpl_if description>\r\n    <tmpl_var description><p />\r\n</tmpl_if>\r\n\r\n<tmpl_if canPost>\r\n   <a href=\"<tmpl_var post.url>\"><tmpl_var post.label></a> <p />\r\n</tmpl_if>\r\n\r\n\r\n<tmpl_loop submissions_loop>\r\n\r\n<tmpl_if __odd__>\r\n<div class=\"highlight\">\r\n</tmpl_if>\r\n\r\n<b>On <tmpl_var submission.date> <a href=\"<tmpl_var submission.userProfile>\"><tmpl_var submission.username></a> from <a href=\"<tmpl_var submission.url>\">the <tmpl_var submission.title> department</a> wrote</b>, <i><tmpl_var submission.content></i>\r\n\r\n<tmpl_if __odd__>\r\n</div >\r\n</tmpl_if>\r\n\r\n<p/>\r\n\r\n</tmpl_loop>\r\n\r\n<tmpl_if multiplePages>\r\n  <div class=\"pagination\">\r\n    <tmpl_var previousPage>  <tmpl_var nextPage>\r\n  </div>\r\n</tmpl_if>\r\n','USS');
INSERT INTO template VALUES (1,'Default Syndicated Content','<tmpl_if displayTitle>\r\n    <h1><tmpl_var title></h1>\r\n</tmpl_if>\r\n\r\n<tmpl_if description>\r\n    <tmpl_var description><p />\r\n</tmpl_if>\r\n\r\n<h1>\r\n<tmpl_if channel.link>\r\n     <a href=\"<tmpl_var channel.link>\" target=\"_blank\"><tmpl_var channel.title></a>    \r\n<tmpl_else>\r\n     <tmpl_var channel.title>\r\n</tmpl_if>\r\n</h1>\r\n\r\n<tmpl_if channel.description>\r\n    <tmpl_var channel.description><p />\r\n</tmpl_if>\r\n\r\n\r\n<tmpl_loop item_loop>\r\n<li>\r\n  <tmpl_if link>\r\n       <a href=\"<tmpl_var link>\" target=\"_blank\"><tmpl_var title></a>    \r\n    <tmpl_else>\r\n       <tmpl_var title>\r\n  </tmpl_if>\r\n     <tmpl_if description>\r\n        - <tmpl_var description>\r\n     </tmpl_if>\r\n     <br>\r\n\r\n</tmpl_loop>','SyndicatedContent');

--
-- Table structure for table 'userLoginLog'
--

CREATE TABLE userLoginLog (
  userId int(11) default NULL,
  status varchar(30) default NULL,
  timeStamp int(11) default NULL,
  ipAddress varchar(128) default NULL,
  userAgent text
) TYPE=MyISAM;

--
-- Dumping data for table 'userLoginLog'
--



--
-- Table structure for table 'userProfileCategory'
--

CREATE TABLE userProfileCategory (
  profileCategoryId int(11) NOT NULL default '0',
  categoryName varchar(255) default NULL,
  sequenceNumber int(11) NOT NULL default '1',
  PRIMARY KEY  (profileCategoryId)
) TYPE=MyISAM;

--
-- Dumping data for table 'userProfileCategory'
--


INSERT INTO userProfileCategory VALUES (1,'WebGUI::International::get(449,\"WebGUI\");',6);
INSERT INTO userProfileCategory VALUES (2,'WebGUI::International::get(440,\"WebGUI\");',2);
INSERT INTO userProfileCategory VALUES (3,'WebGUI::International::get(439,\"WebGUI\");',1);
INSERT INTO userProfileCategory VALUES (4,'WebGUI::International::get(445,\"WebGUI\");',7);
INSERT INTO userProfileCategory VALUES (5,'WebGUI::International::get(443,\"WebGUI\");',3);
INSERT INTO userProfileCategory VALUES (6,'WebGUI::International::get(442,\"WebGUI\");',4);
INSERT INTO userProfileCategory VALUES (7,'WebGUI::International::get(444,\"WebGUI\");',5);

--
-- Table structure for table 'userProfileData'
--

CREATE TABLE userProfileData (
  userId int(11) NOT NULL default '0',
  fieldName varchar(128) NOT NULL default '',
  fieldData text,
  PRIMARY KEY  (userId,fieldName)
) TYPE=MyISAM;

--
-- Dumping data for table 'userProfileData'
--


INSERT INTO userProfileData VALUES (1,'language','1');
INSERT INTO userProfileData VALUES (3,'language','1');
INSERT INTO userProfileData VALUES (3,'uiLevel','9');

--
-- Table structure for table 'userProfileField'
--

CREATE TABLE userProfileField (
  fieldName varchar(128) NOT NULL default '',
  fieldLabel varchar(255) default NULL,
  visible int(11) NOT NULL default '0',
  required int(11) NOT NULL default '0',
  dataType varchar(128) NOT NULL default 'text',
  dataValues text,
  dataDefault text,
  sequenceNumber int(11) NOT NULL default '1',
  profileCategoryId int(11) NOT NULL default '1',
  protected int(11) NOT NULL default '0',
  PRIMARY KEY  (fieldName)
) TYPE=MyISAM;

--
-- Dumping data for table 'userProfileField'
--


INSERT INTO userProfileField VALUES ('email','WebGUI::International::get(56,\"WebGUI\");',1,1,'email',NULL,NULL,1,2,1);
INSERT INTO userProfileField VALUES ('firstName','WebGUI::International::get(314,\"WebGUI\");',1,0,'text',NULL,NULL,1,3,1);
INSERT INTO userProfileField VALUES ('middleName','WebGUI::International::get(315,\"WebGUI\");',1,0,'text',NULL,NULL,2,3,1);
INSERT INTO userProfileField VALUES ('lastName','WebGUI::International::get(316,\"WebGUI\");',1,0,'text',NULL,NULL,3,3,1);
INSERT INTO userProfileField VALUES ('icq','WebGUI::International::get(317,\"WebGUI\");',1,0,'text',NULL,NULL,2,2,1);
INSERT INTO userProfileField VALUES ('aim','WebGUI::International::get(318,\"WebGUI\");',1,0,'text',NULL,NULL,3,2,1);
INSERT INTO userProfileField VALUES ('msnIM','WebGUI::International::get(319,\"WebGUI\");',1,0,'text',NULL,NULL,4,2,1);
INSERT INTO userProfileField VALUES ('yahooIM','WebGUI::International::get(320,\"WebGUI\");',1,0,'text',NULL,NULL,5,2,1);
INSERT INTO userProfileField VALUES ('cellPhone','WebGUI::International::get(321,\"WebGUI\");',1,0,'phone',NULL,NULL,6,2,1);
INSERT INTO userProfileField VALUES ('pager','WebGUI::International::get(322,\"WebGUI\");',1,0,'phone',NULL,NULL,7,2,1);
INSERT INTO userProfileField VALUES ('emailToPager','WebGUI::International::get(441,\"WebGUI\");',1,0,'email',NULL,NULL,8,2,1);
INSERT INTO userProfileField VALUES ('language','WebGUI::International::get(304,\"WebGUI\");',1,0,'select','WebGUI::International::getLanguages()','[1]',1,4,1);
INSERT INTO userProfileField VALUES ('homeAddress','WebGUI::International::get(323,\"WebGUI\");',1,0,'text',NULL,NULL,1,5,1);
INSERT INTO userProfileField VALUES ('homeCity','WebGUI::International::get(324,\"WebGUI\");',1,0,'text',NULL,NULL,2,5,1);
INSERT INTO userProfileField VALUES ('homeState','WebGUI::International::get(325,\"WebGUI\");',1,0,'text',NULL,NULL,3,5,1);
INSERT INTO userProfileField VALUES ('homeZip','WebGUI::International::get(326,\"WebGUI\");',1,0,'zipcode',NULL,NULL,4,5,1);
INSERT INTO userProfileField VALUES ('homeCountry','WebGUI::International::get(327,\"WebGUI\");',1,0,'text',NULL,NULL,5,5,1);
INSERT INTO userProfileField VALUES ('homePhone','WebGUI::International::get(328,\"WebGUI\");',1,0,'phone',NULL,NULL,6,5,1);
INSERT INTO userProfileField VALUES ('workAddress','WebGUI::International::get(329,\"WebGUI\");',1,0,'text',NULL,NULL,2,6,1);
INSERT INTO userProfileField VALUES ('workCity','WebGUI::International::get(330,\"WebGUI\");',1,0,'text',NULL,NULL,3,6,1);
INSERT INTO userProfileField VALUES ('workState','WebGUI::International::get(331,\"WebGUI\");',1,0,'text',NULL,NULL,4,6,1);
INSERT INTO userProfileField VALUES ('workZip','WebGUI::International::get(332,\"WebGUI\");',1,0,'zipcode',NULL,NULL,5,6,1);
INSERT INTO userProfileField VALUES ('workCountry','WebGUI::International::get(333,\"WebGUI\");',1,0,'text',NULL,NULL,6,6,1);
INSERT INTO userProfileField VALUES ('workPhone','WebGUI::International::get(334,\"WebGUI\");',1,0,'phone',NULL,NULL,7,6,1);
INSERT INTO userProfileField VALUES ('gender','WebGUI::International::get(335,\"WebGUI\");',1,0,'select','{\r\n  \'neuter\'=>WebGUI::International::get(403),\r\n  \'male\'=>WebGUI::International::get(339),\r\n  \'female\'=>WebGUI::International::get(340)\r\n}','[\'neuter\']',1,7,1);
INSERT INTO userProfileField VALUES ('birthdate','WebGUI::International::get(336,\"WebGUI\");',1,0,'text',NULL,NULL,2,7,1);
INSERT INTO userProfileField VALUES ('homeURL','WebGUI::International::get(337,\"WebGUI\");',1,0,'url',NULL,NULL,7,5,1);
INSERT INTO userProfileField VALUES ('workURL','WebGUI::International::get(446,\"WebGUI\");',1,0,'url',NULL,NULL,8,6,1);
INSERT INTO userProfileField VALUES ('workName','WebGUI::International::get(450,\"WebGUI\");',1,0,'text',NULL,NULL,1,6,1);
INSERT INTO userProfileField VALUES ('timeOffset','WebGUI::International::get(460,\"WebGUI\");',1,0,'text',NULL,'\'0\'',3,4,1);
INSERT INTO userProfileField VALUES ('dateFormat','WebGUI::International::get(461,\"WebGUI\");',1,0,'select','{\r\n \'%M/%D/%y\'=>WebGUI::DateTime::epochToHuman(\"\",\"%M/%D/%y\"),\r\n \'%y-%m-%d\'=>WebGUI::DateTime::epochToHuman(\"\",\"%y-%m-%d\"),\r\n \'%D-%c-%y\'=>WebGUI::DateTime::epochToHuman(\"\",\"%D-%c-%y\"),\r\n \'%c %D, %y\'=>WebGUI::DateTime::epochToHuman(\"\",\"%c %D, %y\")\r\n}\r\n','[\'%M/%D/%y\']',4,4,1);
INSERT INTO userProfileField VALUES ('timeFormat','WebGUI::International::get(462,\"WebGUI\");',1,0,'select','{\r\n \'%H:%n %p\'=>WebGUI::DateTime::epochToHuman(\"\",\"%H:%n %p\"),\r\n \'%H:%n:%s %p\'=>WebGUI::DateTime::epochToHuman(\"\",\"%H:%n:%s %p\"),\r\n \'%j:%n\'=>WebGUI::DateTime::epochToHuman(\"\",\"%j:%n\"),\r\n \'%j:%n:%s\'=>WebGUI::DateTime::epochToHuman(\"\",\"%j:%n:%s\")\r\n}\r\n','[\'%H:%n %p\']',5,4,1);
INSERT INTO userProfileField VALUES ('discussionLayout','WebGUI::International::get(509)',1,0,'select','{\r\n  threaded=>WebGUI::International::get(511),\r\n  flat=>WebGUI::International::get(510)\r\n}','[\'threaded\']',6,4,0);
INSERT INTO userProfileField VALUES ('INBOXNotifications','WebGUI::International::get(518)',1,0,'select','{ \r\n  none=>WebGUI::International::get(519),\r\n email=>WebGUI::International::get(520),\r\n  emailToPager=>WebGUI::International::get(521),\r\n  icq=>WebGUI::International::get(522)\r\n}','[\'email\']',7,4,0);
INSERT INTO userProfileField VALUES ('firstDayOfWeek','WebGUI::International::get(699,\"WebGUI\");',1,0,'select','{0=>WebGUI::International::get(27,\"WebGUI\"),1=>WebGUI::International::get(28,\"WebGUI\")}','[0]',3,4,1);
INSERT INTO userProfileField VALUES ('uiLevel','WebGUI::International::get(739,\"WebGUI\");',0,0,'select','{\r\n0=>WebGUI::International::get(729,\"WebGUI\"),\r\n1=>WebGUI::International::get(730,\"WebGUI\"),\r\n2=>WebGUI::International::get(731,\"WebGUI\"),\r\n3=>WebGUI::International::get(732,\"WebGUI\"),\r\n4=>WebGUI::International::get(733,\"WebGUI\"),\r\n5=>WebGUI::International::get(734,\"WebGUI\"),\r\n6=>WebGUI::International::get(735,\"WebGUI\"),\r\n7=>WebGUI::International::get(736,\"WebGUI\"),\r\n8=>WebGUI::International::get(737,\"WebGUI\"),\r\n9=>WebGUI::International::get(738,\"WebGUI\")\r\n}','[5]',8,4,1);
INSERT INTO userProfileField VALUES ('alias','WebGUI::International::get(858)',1,0,'text','','',4,3,0);
INSERT INTO userProfileField VALUES ('signature','WebGUI::International::get(859)',1,0,'HTMLArea','','',5,3,0);
INSERT INTO userProfileField VALUES ('publicProfile','WebGUI::International::get(861)',1,0,'yesNo','','1',9,4,0);
INSERT INTO userProfileField VALUES ('publicEmail','WebGUI::International::get(860)',1,0,'yesNo','','1',10,4,0);
INSERT INTO userProfileField VALUES ('richEditor','WebGUI::International::get(496)',1,0,'select','{\r\nhtmlArea=>WebGUI::International::get(495),\r\nmidas=>WebGUI::International::get(887),\r\n#editOnPro2=>WebGUI::International::get(494),\r\nclassic=>WebGUI::International::get(879),\r\nlastResort=>WebGUI::International::get(880),\r\nnone=>WebGUI::International::get(881)\r\n}','[\'htmlArea\']',11,4,0);
INSERT INTO userProfileField VALUES ('richEditorMode','WebGUI::International::get(882)',1,0,'select','{\r\ninline=>WebGUI::International::get(883),\r\npopup=>WebGUI::International::get(884)\r\n}','[\'inline\']',12,4,0);

--
-- Table structure for table 'userSession'
--

CREATE TABLE userSession (
  sessionId varchar(60) NOT NULL default '',
  expires int(11) default NULL,
  lastPageView int(11) default NULL,
  adminOn int(11) NOT NULL default '0',
  lastIP varchar(50) default NULL,
  userId int(11) default NULL,
  PRIMARY KEY  (sessionId)
) TYPE=MyISAM;

--
-- Dumping data for table 'userSession'
--



--
-- Table structure for table 'userSessionScratch'
--

CREATE TABLE userSessionScratch (
  sessionId varchar(60) default NULL,
  name varchar(255) default NULL,
  value varchar(255) default NULL
) TYPE=MyISAM;

--
-- Dumping data for table 'userSessionScratch'
--



--
-- Table structure for table 'users'
--

CREATE TABLE users (
  userId int(11) NOT NULL default '0',
  username varchar(35) default NULL,
  authMethod varchar(30) NOT NULL default 'WebGUI',
  dateCreated int(11) NOT NULL default '1019867418',
  lastUpdated int(11) NOT NULL default '1019867418',
  karma int(11) NOT NULL default '0',
  status varchar(35) NOT NULL default 'Active',
  PRIMARY KEY  (userId)
) TYPE=MyISAM;

--
-- Dumping data for table 'users'
--


INSERT INTO users VALUES (1,'Visitor','WebGUI',1019867418,1019867418,0,'Active');
INSERT INTO users VALUES (3,'Admin','WebGUI',1019867418,1019935552,0,'Active');

--
-- Table structure for table 'webguiVersion'
--

CREATE TABLE webguiVersion (
  webguiVersion varchar(10) default NULL,
  versionType varchar(30) default NULL,
  dateApplied int(11) default NULL
) TYPE=MyISAM;

--
-- Dumping data for table 'webguiVersion'
--


INSERT INTO webguiVersion VALUES ('5.2.5','initial install',unix_timestamp());

--
-- Table structure for table 'wobject'
--

CREATE TABLE wobject (
  wobjectId int(11) NOT NULL default '0',
  pageId int(11) default NULL,
  namespace varchar(35) default NULL,
  sequenceNumber int(11) NOT NULL default '1',
  title varchar(255) default NULL,
  displayTitle int(11) NOT NULL default '1',
  description mediumtext,
  dateAdded int(11) default NULL,
  addedBy int(11) default NULL,
  lastEdited int(11) default NULL,
  editedBy int(11) default NULL,
  templatePosition int(11) NOT NULL default '1',
  startDate int(11) NOT NULL default '946710000',
  endDate int(11) NOT NULL default '2114406000',
  groupToPost int(11) NOT NULL default '2',
  editTimeout int(11) NOT NULL default '1',
  groupToModerate int(11) NOT NULL default '4',
  karmaPerPost int(11) NOT NULL default '0',
  moderationType varchar(30) NOT NULL default 'after',
  userDefined1 varchar(255) default NULL,
  userDefined2 varchar(255) default NULL,
  userDefined3 varchar(255) default NULL,
  userDefined4 varchar(255) default NULL,
  userDefined5 varchar(255) default NULL,
  filterPost varchar(30) NOT NULL default 'javascript',
  addEditStampToPosts int(11) NOT NULL default '1',
  allowDiscussion int(11) NOT NULL default '0',
  PRIMARY KEY  (wobjectId)
) TYPE=MyISAM;

--
-- Dumping data for table 'wobject'
--


INSERT INTO wobject VALUES (-1,4,'SiteMap',0,'Page Not Found',1,'The page you were looking for could not be found on this system. Perhaps it has been deleted or renamed. The following list is a site map of this site. If you don\'t find what you\'re looking for on the site map, you can always start from the <a href=\"^/;\">Home Page</a>.',1001744792,3,1016077239,3,1,1001744792,1336444487,2,3600,4,0,'after',NULL,NULL,NULL,NULL,NULL,'javascript',1,0);
INSERT INTO wobject VALUES (-4,-2,'Article',1,'Who is using WebGUI?',1,'<b>Large Corporations</b><br />\nCorporations need powerful web platforms to support hundreds and thousands of users.  These platforms must be reliable, secure, and provide content at blazing fast speeds. \n<div align=\"center\">[ <a href=\"http://www.adobe.com\">Adobe Systems</a> | <a href=\"http://www.mercurymarine.com\">Mercury Marine</a> | <a href=\"http://quintiles.com\">Quintiles</a> ]</div>\n \n<p /> \n\n<b>Small Businesses</b><br />\nNeed a sure fire way to overcome your competition?  How about a dynamic web presence that will allow you to easily integrate E-Commerce, account profiles, and much more? \n<div align=\"center\">[ <a href=\"http://www.oliverecords.com\">Olive Records</a> | <a href=\"http://www.centraltile.net\">Central Tile</a> | <a href=\"http://mansfieldbankonline.com/\">Mansfield Bank</a> ]</div>\n \n<p /> \n\n<b>Non-Profit Organizations</b><br />\nMany non-profit organizations do not have a large budget, but need a web solution to distribute content and manage membership. \n<div align=\"center\">[ <a href=\"http://www.donorware.com\">DonorWare</a> | <a href=\"http://www.openserve.org/\">OpenServe</a> | <a href=\"http://www.kernel-panic.org\">KPLUG</a> ]</div>\n\n<p /> \n\n<b>Educational Institutions</b><br />\nSchools and universities are continuously integrating online resources into their daily operations. \n<div align=\"center\">[ <a href=\"http://www.troy30c.org\">Troy School District</a> | <a href=\"http://cubby.chs.chico.k12.ca.us\">Chico High School</a> | <a href=\"http://geography.stbedescollege.net/\">St. Bede\'s College</a> ]</div>\n \n<p /> \n\n<b>Government Institutions</b><br />\nGovernment institutions need a secure and reliable way of storing and communicating important information. Many government and quasi-government organizations are using WebGUI already; including a few that are so secure that we\'d have to kill you if we told you who they are. =) \n\n<div align=\"center\">[ <a href=\"http://doacs.state.fl.us/\">Florida Department of Agriculture</a> | <a href=\"http://www.euromeeting.org/\">Euro Meeting</a> | A Secret Federal Agency ]</div>\n\n<br />\n<p />\n\nThere are literally hundreds of <a href=\"http://www.plainblack.com/examples\">sites using</a> WebGUI. You could be next.\n',1038221932,3,1038222654,3,1,946728000,2082801600,7,3600,4,0,'after',NULL,NULL,NULL,NULL,NULL,'javascript',1,0);
INSERT INTO wobject VALUES (-3,1,'Article',1,'Article',0,'<div align=\"center\">\n<a href=\"^/;getting_started\"><img src=\"^Extras;styles/webgui5/promotion.gif\" border=\"0\" /></a>\n</div>',1038219356,3,1038219356,3,1,946728000,2082801600,7,3600,4,0,'after',NULL,NULL,NULL,NULL,NULL,'javascript',1,0);
INSERT INTO wobject VALUES (-2,-1,'Article',1,'Welcome to WebGUI!',1,'If you\'re reading this message it means that you\'ve got WebGUI up and running. Good job! The installation is not trivial.\n\n<p/>\n \nIn order to do anything useful with your new installation you\'ll need to log in as the default administrator account. Follow these steps to get started:\n\n<p/>\n\n<ol>\n<li><a href=\"^a(linkonly);\">Click here to log in.</a> (username: Admin password: 123qwe)\n<li><a href=\"^\\;?op=switchOnAdmin\">Click here to turn the administrative interface on.</a>\n</ol>\n\n<p/>\n\nNow that you\'re in as the administrator, you should <a href=\"^a(linkonly);\">change your password</a> so no one else can log in and mess with your site. You might also want to <a href=\"^\\;?op=listUsers\">create another account</a> for yourself with Administrative privileges in case you can\'t log in with the Admin account for some reason.\n\n<p/>\n \nYou\'ll notice three menus at the top of your screen. Those are your administrative menus. Going from left to right they are Content, Clipboard, and Admin. The content menu allows you to add new pages and content to your site. The clipboard menu is currently empty, but if you cut or copy anything from any of your pages, it will end up there. The admin menu controls things like system settings and users.\n\n<p/>\n\nFor more information about how to administer <a href=\"http://www.plainblack.com/webgui\">WebGUI</a> consider getting a copy of <a href=\"http://www.plainblack.com/ruling_webgui\">Ruling WebGUI</a>. <a href=\"http://www.plainblack.com\">Plain Black Software</a> also provides several <a href=\"http://www.plainblack.com/support_programs\">Support Programs</a> for WebGUI if you run into trouble.\n\n<p/>\n \nEnjoy your new WebGUI site!',1023555430,3,1038220053,3,1,1023537600,1338897600,2,3600,4,0,'after',NULL,NULL,NULL,NULL,NULL,'javascript',1,0);
INSERT INTO wobject VALUES (-5,-3,'Article',1,'What should you do next?',1,'To learn more about WebGUI and how you can best implement WebGUI in your organization, please see the choices below.\n\n<p />\n \n<a href=\"http://www.plainblack.com\">Talk to the Experts</a><br />\nOur website contains all of the different methods for reaching us.  Our friendly staff will be happy to assist you in any way possible.\n \n<p />\n\n<a href=\"http://plainblack.com/presentation_cd\">Request an Interactive Product Demonstration CD</a><br />\nThis CD shows all of the excellent features that WebGUI provides and gives you a brief overview of the product.  It also provides examples of how the product works and how it can be used in your environment.\n \n<p />\n\n<a href=\"http://www.plainblack.com/ruling_webgui\">Purchase the Manual for WebGUI</a><br />\n<i>Ruling WebGUI</i> is the definitive guide to everything WebGUI related. It has been compiled by the experts at Plain Black Software and covers almost all aspects of WebGUI. When you purchase Ruling WebGUI, you will receive updates to this great manual for one full year.\n \n<p />\n\n<a href=\"http://www.plainblack.com/support_programs\">Purchase Technical Support</a><br />\nThe WebGUI Support Center is there to help you when you get stuck. With a system as large as WebGUI, you\'ll likely have some questions, and our courteous and knowlegable staff is available to answer those questions. And best of all, you get <i>Ruling WebGUI</i> free when you sign up for the Support Center.\n \n<p />\n\n<a href=\"http://www.plainblack.com/hosting\">Sign Up for Plain Black Hosting</a><br />\nWe provide professional hosting services for you so you don\'t have to go through the trouble of finding a hoster who likely won\'t know what to do with WebGUI anyway.\n',1038244102,3,1038705736,3,1,946728000,2082801600,7,3600,4,0,'after',NULL,NULL,NULL,NULL,NULL,'javascript',1,0);

delete from language where languageId=13;
insert into language (languageId,language,characterSet,toolbar) values (13, 'Suomi (Finnish)', 'ISO-8859-1', 'charcoal');

delete from international where languageId=13 and namespace='WebGUI' and internationalId=453;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (453,13,'WebGUI','Tunnus luotu', 1050110356);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=399;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (399,13,'WebGUI','Tarkasta t?m? sivu.', 1050109538);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=435;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (435,13,'WebGUI','Istunnon tunnus', 1050109119);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=430;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (430,13,'WebGUI','Katsonut sivua viimeksi', 1050109103);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=613;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (613,13,'WebGUI','K?ytt?j?t ovat j?rjestelm?n tunnuksia joille on annettu oikeuksia tehd? erilaisia asioita siell?.\r\nJ?rjestelm?ss? on kaksi oletustunnusta: Admin ja Visitor.<p>\r\n<i><b>Admin</b><br>\r\nAdmin on se mit? ep?iletkin. Se on j?rjestelm?n p??k?ytt?j? joka voi tehd? mit? vain j?rjestelm?ss? voi.<p>\r\n<b>Visitor</b><br>\r\nVisitor on Adminin vastakohta. Visitor ei voi tehd? j?rjestelm??n mit??n. Oletuksena k?ytt?j? joka ei kirjaudu j?rjestelm??n on Visitor.<p>\r\n<b>Lis?? uusi k?ytt?j?</b><br>\r\nPaina t?st? lis?t?ksesi uuden k?ytt?j?n.<p>\r\n<b>Etsi</b><br>\r\nVoit etsi? k?ytt?ji? nimella tai s?hk?postiosoitteela. Haussa voit k?ytt?? my?s osaa nimest? tai s?hk?postiosoitteesta.</i>', 1050108816);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=640;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (640,13,'WebGUI','Mallipohjan poistaminen ei ole hyv? ajatus. (jokin sis?lt? saattaa yh? k?ytt?? mallipohjaa)', 1050108304);
delete from international where languageId=13 and namespace='SyndicatedContent' and internationalId=61;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (61,13,'SyndicatedContent','Syndicated Content, Lis??/Muokkaa', 1050108119);
delete from international where languageId=13 and namespace='Discussion' and internationalId=525;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (525,13,'Discussion','Muokannut', 1050108057);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=509;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (509,13,'WebGUI','Keskustelun ulkoasu', 1050107998);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=105;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (105,13,'WebGUI','Ulkoasu', 1050107981);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=107;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (107,13,'WebGUI','Oikeudet/ajastus', 1049121374);
delete from international where languageId=13 and namespace='Product' and internationalId=62;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (62,13,'Product','Tuotteen mallipohja', 1048552377);
delete from international where languageId=13 and namespace='SQLReport' and internationalId=18;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (18,13,'SQLReport','Kysely ei tuottanut tulosta.', 1048552282);
delete from international where languageId=13 and namespace='MailForm' and internationalId=18;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (18,13,'MailForm','Paluu lomakkeelle', 1048538727);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=841;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (841,13,'WebGUI','Navigointimakrot', 1048535258);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=843;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (843,13,'WebGUI','K?ytt?j?makrot', 1048535243);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=364;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (364,13,'WebGUI','Etsi', 1048535194);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=170;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (170,13,'WebGUI','Etsi', 1048535175);
delete from international where languageId=13 and namespace='WobjectProxy' and internationalId=4;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (4,13,'WobjectProxy','Wobjectin v?limuistitus ep?onnistui. V?limuistitettava Wobjecti on ehk? poistettu.', 1048535102);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=835;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (835,13,'WebGUI','Leike, Lis??/Muokkaa', 1048535012);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=578;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (578,13,'WebGUI','Sinulle on viesti hyv?ksytt?v?ksi.', 1048534908);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=579;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (579,13,'WebGUI','Viestisi on hyv?ksytty.', 1048534875);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=346;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (346,13,'WebGUI','T?m? k?ytt?j? ei ole en?? sivustomme j?senen?. Meill? ei ole en?? mit??n tietoja h?nest?.', 1048534540);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=839;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (839,13,'WebGUI','Ohjelmointimakrot', 1048534324);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=831;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (831,13,'WebGUI','Kokoelma makrot', 1048534254);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=827;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (827,13,'WebGUI','Wobject mallipohja', 1048534238);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=677;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (677,13,'WebGUI','Wobject, Lis??/Muokkaa', 1048534219);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=671;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (671,13,'WebGUI','Wobjects, K?ytt?minen', 1048534205);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=669;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (669,13,'WebGUI','Makrot, K?ytt?minen', 1048534186);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=668;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (668,13,'WebGUI','Tyylit, K?ytt?minen', 1048534167);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=663;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (663,13,'WebGUI','Viestiasetukset, Muokkaa', 1048534121);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=103;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (103,13,'WebGUI','Sivun ominaisuudet', 1048534080);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=367;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (367,13,'WebGUI','Vanhenee j?lkeen', 1048534041);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=418;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (418,13,'WebGUI','Suodata sis?lt?', 1048534004);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=419;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (419,13,'WebGUI','Poista kaikki paitsi teksti.', 1048533977);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=421;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (421,13,'WebGUI','Poista kaikki paitsi perusmuotoilu.', 1048533788);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=495;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (495,13,'WebGUI','htmlArea (Internet Explorer 5.5+)', 1048533773);
delete from international where languageId=13 and namespace='SiteMap' and internationalId=72;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (72,13,'SiteMap','Sivukartan mallipohja', 1048533740);
delete from international where languageId=13 and namespace='MessageBoard' and internationalId=61;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (61,13,'MessageBoard','Keskustelualue, Lis??/Muokkaa', 1048533726);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=420;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (420,13,'WebGUI','?l? poista mit??n.', 1048533707);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=494;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (494,13,'WebGUI','RealObjects edit-on Pro 2.x', 1048533673);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=526;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (526,13,'WebGUI','Poista JavaScript ja est? makrot.', 1048533645);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=845;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (845,13,'WebGUI','Tyylimakrot', 1048533167);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=887;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (887,13,'WebGUI','Midas (Mozilla 1.3+)', 1048533152);
delete from international where languageId=13 and namespace='Article' and internationalId=61;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (61,13,'Article','Artikkeli, Lis??/Muokkaa', 1048533129);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=854;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (854,13,'WebGUI','Listaa kaikki mallipohjat kuten t?m?.', 1048533106);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=857;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (857,13,'WebGUI','IP osoite', 1048533069);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=858;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (858,13,'WebGUI','Alias', 1048533053);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=859;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (859,13,'WebGUI','Allekirjoitus', 1048533036);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=861;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (861,13,'WebGUI','Tee profiilista julkinen?', 1048533009);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=862;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (862,13,'WebGUI','T?m?n k?ytt?j?n profiili ei ole julkinen.', 1048532987);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=865;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (865,13,'WebGUI','Muistuta k?ytt?j?? tunnuksen vanhentumisesta?', 1048532943);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=866;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (866,13,'WebGUI','Vanhentumisilmoituksen viesti', 1048532907);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=873;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (873,13,'WebGUI','Liity keskusteluun', 1048532862);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=875;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (875,13,'WebGUI','Uusi viesti on saapunut keskusteluun johon olet liittynyt.', 1048532843);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=876;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (876,13,'WebGUI','N?yt? keskusteluihin osallistumiset.', 1048532802);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=877;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (877,13,'WebGUI','Keskusteluihin liittyminen', 1048532763);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=878;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (878,13,'WebGUI','Et ole liittynyt mihink??n keskusteluun.', 1048532731);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=881;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (881,13,'WebGUI','Tyhj?', 1048532699);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=892;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (892,13,'WebGUI','Keskustelu', 1048532596);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=893;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (893,13,'WebGUI','Wobjectin ominaisuudet', 1048532564);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=895;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (895,13,'WebGUI','Sivuv?limuistin aikakatkaisu', 1048532543);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=896;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (896,13,'WebGUI','Sivuv?limuistin aikakatkaisu (Visitors)', 1048532528);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=874;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (874,13,'WebGUI','Eroa viestiketjusta', 1048532496);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=748;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (748,13,'WebGUI','K?ytt?j?laskuri', 1048532182);
delete from international where languageId=13 and namespace='MailForm' and internationalId=28;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (28,13,'MailForm','Valinnainen tekstialueelle', 1048532134);
delete from international where languageId=13 and namespace='MailForm' and internationalId=27;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (27,13,'MailForm','Korkeus', 1048532111);
delete from international where languageId=13 and namespace='MailForm' and internationalId=29;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (29,13,'MailForm','on pakollinen kentt?.', 1048532097);
delete from international where languageId=13 and namespace='MailForm' and internationalId=30;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (30,13,'MailForm','pit?? olla numero.', 1048532077);
delete from international where languageId=13 and namespace='MailForm' and internationalId=31;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (31,13,'MailForm','ei ole t?ytetty oikein.', 1048532058);
delete from international where languageId=13 and namespace='MailForm' and internationalId=32;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (32,13,'MailForm','ei ole kelvollinen s?hk?postiosoite.', 1048532037);
delete from international where languageId=13 and namespace='MailForm' and internationalId=73;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (73,13,'MailForm','L?het?', 1048531762);
delete from international where languageId=13 and namespace='HttpProxy' and internationalId=9;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (9,13,'HttpProxy','Cookie Jar', 1048531740);
delete from international where languageId=13 and namespace='HttpProxy' and internationalId=8;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (8,13,'HttpProxy','Seuraa uudelleenohjauksia?', 1048531724);
delete from international where languageId=13 and namespace='HttpProxy' and internationalId=6;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (6,13,'HttpProxy','Poista tyyli?', 1048531699);
delete from international where languageId=13 and namespace='HttpProxy' and internationalId=5;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (5,13,'HttpProxy','Salli muiden domainien v?limuistitus?', 1048531682);
delete from international where languageId=13 and namespace='HttpProxy' and internationalId=4;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (4,13,'HttpProxy','Aikakatkaisu', 1048531651);
delete from international where languageId=13 and namespace='HttpProxy' and internationalId=3;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (3,13,'HttpProxy','HTTP proxy', 1048531638);
delete from international where languageId=13 and namespace='HttpProxy' and internationalId=2;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (2,13,'HttpProxy','Muokkaa HTTP proxy', 1048531623);
delete from international where languageId=13 and namespace='HttpProxy' and internationalId=10;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (10,13,'HttpProxy','HTTP proxy, Lis??/Muokkaa', 1048531602);
delete from international where languageId=13 and namespace='HttpProxy' and internationalId=1;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (1,13,'HttpProxy','Osoite', 1048531574);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=879;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (879,13,'WebGUI','Classic Editor (Internet Explorer 5+)', 1046873168);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=882;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (882,13,'WebGUI','Muokkaustila', 1046873122);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=884;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (884,13,'WebGUI','Pop Up', 1046873088);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=885;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (885,13,'WebGUI','Salli k?ytt?j?n poistaa oma k?ytt?j?tunnus?', 1046873073);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=888;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (888,13,'WebGUI','Tekstileikkeen esikatselun pituus', 1046873009);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=148;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (148,13,'WebGUI','Wobjekteja', 1046716620);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=810;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (810,13,'WebGUI','L?het?', 1045414375);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=860;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (860,13,'WebGUI','Tee s?hk?postiosoite julkiseksi?', 1045414351);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=868;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (868,13,'WebGUI','L?het? tervetuloa viesti?', 1045414300);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=869;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (869,13,'WebGUI','Tervetuloa viesti', 1045414282);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=872;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (872,13,'WebGUI','Kuka voi n?hd??', 1045414250);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=870;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (870,13,'WebGUI','Tervetuloa', 1045414233);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=871;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (871,13,'WebGUI','Kuka voi muokata?', 1045414218);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=886;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (886,13,'WebGUI','Piilota navigoinnista?', 1045414156);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=133;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (133,13,'WebGUI','Muokkaa viestitys asetuksia', 1045414105);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=802;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (802,13,'WebGUI','WebGUI ei t?ll? hetkell? seuraa sivujen statistiikkaa. Voit kytke? seurannan p??lle asetuksista.', 1043841764);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=743;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (743,13,'WebGUI','Sinun pit?? m??ritell? oikea s?hk?postiosoite, jotta voit palauttaa salasanasi.', 1043841727);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=68;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (68,13,'WebGUI','Kirjautumisesi ep?onnistui. Joko k?ytt?j?tunnusta ei l?ydy tai salasana on virheellinen.', 1043841562);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=651;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (651,13,'WebGUI','Jos tyhjenn?t roskiksen, koko sen sis?lt? h?vi?? lopullisesti. Jos haluat s?ilytt?? jotakin roskiksen sis?ll?st?, voit siirt? sen ensin leikep?yd?lle.', 1043841497);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=307;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (307,13,'WebGUI','K?yt? oletus meta-tietoja?', 1043841213);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=134;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (134,13,'WebGUI','Salasanan uusinta-viesti', 1043841184);
delete from international where languageId=13 and namespace='Product' and internationalId=2;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (2,13,'Product','Oletko varma ett? haluat poistaa riippuvuudet t?h?n tarvikkeeseen?', 1043841017);
delete from international where languageId=13 and namespace='Product' and internationalId=17;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (17,13,'Product','Tarvike', 1043840971);
delete from international where languageId=13 and namespace='Product' and internationalId=16;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (16,13,'Product','Lis?? tarvike', 1043840952);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=366;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (366,13,'WebGUI','Etsint? ei tuottanut yht??n tulosta.', 1043765335);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=774;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (774,13,'WebGUI','Oletko varma ett? haluat poistaa t?m?n kokoelmasta? Poistamisen j?lkeen sit? ei voi palauttaa.', 1043746780);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=437;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (437,13,'WebGUI','Statistiikka', 1043705976);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=400;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (400,13,'WebGUI','Est? Proxyn v?limuistitus', 1043676260);
delete from international where languageId=13 and namespace='MessageBoard' and internationalId=73;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (73,13,'MessageBoard','Viestialue mallipohja', 1043676052);
delete from international where languageId=13 and namespace='Item' and internationalId=73;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (73,13,'Item','Kappale mallipohja', 1043676024);
delete from international where languageId=13 and namespace='Auth/WebGUI' and internationalId=1;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (1,13,'Auth/WebGUI','WebGUI tunnistautumisen lis?asetukset', 1043676006);
delete from international where languageId=13 and namespace='Auth/SMB' and internationalId=2;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (2,13,'Auth/SMB','SMB palvelin virhe (1)<br>\r\nJokin virhe domain controllerin yhteydess?. Ehk? aikakatkaisu. Ole hyv? yrit? uudelleen tai ota yhteytt? p??k?ytt?j??n.', 1043675974);
delete from international where languageId=13 and namespace='Survey' and internationalId=49;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (49,13,'Survey','Ette voi osallistua t?h?n visailuun.', 1043675894);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=856;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (856,13,'WebGUI','Sinulla ei ole muutosoikeuksia.', 1043675549);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=817;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (817,13,'WebGUI','Aktivoi', 1043675408);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=793;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (793,13,'WebGUI','Kokoelman osat.', 1043675358);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=790;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (790,13,'WebGUI','Poista t?m? profiilin kategoria.', 1043675333);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=789;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (789,13,'WebGUI','Muokkaa t?t? profiilin kategoriaa.', 1043675312);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=788;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (788,13,'WebGUI','Poista t?m? profiilin kentt?.', 1043675290);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=787;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (787,13,'WebGUI','Muokkaa t?t? profiilin kentt??.', 1043675273);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=786;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (786,13,'WebGUI','WebGUI:n kokoelman hallintaj?rjestelm? mahdollistaa sinun tallentaa tiedostoja, kuvia ja tekstej? keskitetysti. Kokoelman osia voit k?ytt?? miss? tahansa kohtaa sis?ll?ss?.', 1043675254);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=785;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (785,13,'WebGUI','Kokoelma, Hallitse', 1043675152);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=781;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (781,13,'WebGUI','Teksti', 1043675132);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=771;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (771,13,'WebGUI','Teksti', 1043675080);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=770;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (770,13,'WebGUI','Muokkaa teksti', 1043675069);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=767;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (767,13,'WebGUI','Kokoelman tunnus', 1043675053);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=766;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (766,13,'WebGUI','Takaisin kokoelma listaan.', 1043675035);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=765;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (765,13,'WebGUI','Poista t?m? kokoelmasta.', 1043674975);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=764;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (764,13,'WebGUI','Muokkaa t?t? kokoelman asiaa.', 1043673540);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=763;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (763,13,'WebGUI','Lis?? teksti.', 1043673513);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=757;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (757,13,'WebGUI','Hallitse kokoelmaa', 1043673486);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=751;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (751,13,'WebGUI','Siirry t?ksi k?ytt?j?ksi.', 1043673467);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=734;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (734,13,'WebGUI','5 Taitava', 1043673248);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=733;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (733,13,'WebGUI','4 Taitava', 1043673221);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=723;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (723,13,'WebGUI','Vastustettu', 1043673187);
delete from international where languageId=13 and namespace='USS' and internationalId=72;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (72,13,'USS','Perusmallipohja', 1043672815);
delete from international where languageId=13 and namespace='MessageBoard' and internationalId=72;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (72,13,'MessageBoard','Perusmallipohja', 1043672787);
delete from international where languageId=13 and namespace='SQLReport' and internationalId=6;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (6,13,'SQLReport','Tietokannan k?ytt?j?tunnus', 1043672536);
delete from international where languageId=13 and namespace='SQLReport' and internationalId=14;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (14,13,'SQLReport','Vastausta / sivu', 1043672512);
delete from international where languageId=13 and namespace='SQLReport' and internationalId=9;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (9,13,'SQLReport','<b>Virheenselvitys:</b> Virhe: DSN m??ritys on v??r?ss? muodossa.', 1043672429);
delete from international where languageId=13 and namespace='SQLReport' and internationalId=17;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (17,13,'SQLReport','<b>Virheenselvitys:</b> Kysely:', 1043672415);
delete from international where languageId=13 and namespace='SQLReport' and internationalId=12;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (12,13,'SQLReport','<b>Virheenselvitys:</b> Virhe: Ei tietokantayhteytt?.', 1043672389);
delete from international where languageId=13 and namespace='SQLReport' and internationalId=11;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (11,13,'SQLReport','<b>Virheenselvitys:</b> Virhe: Kyselyss? on virhe.', 1043672375);
delete from international where languageId=13 and namespace='SQLReport' and internationalId=10;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (10,13,'SQLReport','<b>Virheenselvitys:</b> Virhe: SQL kysely on v??rin muotoiltu.', 1043672355);
delete from international where languageId=13 and namespace='SQLReport' and internationalId=16;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (16,13,'SQLReport','Virheenselvitys?', 1043672190);
delete from international where languageId=13 and namespace='SyndicatedContent' and internationalId=1;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (1,13,'SyndicatedContent','RSS tiedoston URL', 1043672138);
delete from international where languageId=13 and namespace='EventsCalendar' and internationalId=19;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (19,13,'EventsCalendar','Tapahtumia / sivu', 1043672039);
delete from international where languageId=13 and namespace='FileManager' and internationalId=20;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (20,13,'FileManager','Tiedostoa / sivu', 1043672004);
delete from international where languageId=13 and namespace='Survey' and internationalId=38;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (38,13,'Survey','T?ysin eri mielt?', 1043671188);
delete from international where languageId=13 and namespace='Survey' and internationalId=36;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (36,13,'Survey','V?h?n eri mielt?', 1043671174);
delete from international where languageId=13 and namespace='Survey' and internationalId=37;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (37,13,'Survey','Eri mielt?', 1043671139);
delete from international where languageId=13 and namespace='Survey' and internationalId=35;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (35,13,'Survey','V?h?n samaa mielt?', 1043671121);
delete from international where languageId=13 and namespace='Survey' and internationalId=34;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (34,13,'Survey','Samaa mielt?', 1043671094);
delete from international where languageId=13 and namespace='Survey' and internationalId=33;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (33,13,'Survey','T?ysin samaa mielt?', 1043671072);
delete from international where languageId=13 and namespace='Survey' and internationalId=39;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (39,13,'Survey','En osaa sanoa', 1043671029);
delete from international where languageId=13 and namespace='Survey' and internationalId=13;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (13,13,'Survey','Kuka voi katsoa vastauksia?', 1043670262);
delete from international where languageId=13 and namespace='Survey' and internationalId=10;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (10,13,'Survey','Visailu', 1043670191);
delete from international where languageId=13 and namespace='Survey' and internationalId=5;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (5,13,'Survey','J?rjestyksess?', 1043670040);
delete from international where languageId=13 and namespace='Survey' and internationalId=6;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (6,13,'Survey','Satunnainen', 1043670007);
delete from international where languageId=13 and namespace='Survey' and internationalId=2;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (2,13,'Survey','Muokkaa kysely?', 1043669924);
delete from international where languageId=13 and namespace='Survey' and internationalId=46;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (46,13,'Survey','Kiitos ajastasi kun suoritit kyselymme.', 1043669853);
delete from international where languageId=13 and namespace='Survey' and internationalId=60;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (60,13,'Survey','Takaisin kyselyyn.', 1043669832);
delete from international where languageId=13 and namespace='Survey' and internationalId=3;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (3,13,'Survey','Kysely, Lis??/Muokkaa', 1043669812);
delete from international where languageId=13 and namespace='Poll' and internationalId=61;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (61,13,'Poll','Gallup, Lis??/Muokkaa', 1043669647);
delete from international where languageId=13 and namespace='Poll' and internationalId=20;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (20,13,'Poll','Karma / Gallup', 1043669631);
delete from international where languageId=13 and namespace='Poll' and internationalId=10;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (10,13,'Poll','Nollaa gallupit.', 1043669611);
delete from international where languageId=13 and namespace='Poll' and internationalId=1;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (1,13,'Poll','Gallup', 1043669578);
delete from international where languageId=13 and namespace='Survey' and internationalId=70;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (70,13,'Survey','Yksil?i vastaukset', 1043669492);
delete from international where languageId=13 and namespace='Survey' and internationalId=48;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (48,13,'Survey','Ette voi osallistua t?h?n kyselyyn.', 1043669251);
delete from international where languageId=13 and namespace='Survey' and internationalId=47;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (47,13,'Survey','Olet suorittanut t?m?n kyselyn.', 1043669200);
delete from international where languageId=13 and namespace='Survey' and internationalId=42;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (42,13,'Survey','Satunnaisesti', 1043669112);
delete from international where languageId=13 and namespace='Survey' and internationalId=27;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (27,13,'Survey','Lis?? mielipiteen (hyv?ksyn/en hyv?ksy) vastausasteikko.', 1043668949);
delete from international where languageId=13 and namespace='Survey' and internationalId=12;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (12,13,'Survey','Kuka voi osallistua kyselyyn?', 1043668879);
delete from international where languageId=13 and namespace='Survey' and internationalId=65;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (65,13,'Survey','Yhteenvedon vienti.', 1043668856);
delete from international where languageId=13 and namespace='Survey' and internationalId=75;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (75,13,'Survey','Muokkaa t?t? kysymyst?.', 1043668813);
delete from international where languageId=13 and namespace='Survey' and internationalId=76;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (76,13,'Survey','Aloitusaika', 1043668794);
delete from international where languageId=13 and namespace='Survey' and internationalId=77;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (77,13,'Survey','Lopetusaika', 1043668781);
delete from international where languageId=13 and namespace='Survey' and internationalId=78;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (78,13,'Survey','Kokonaisaika', 1043668758);
delete from international where languageId=13 and namespace='Survey' and internationalId=79;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (79,13,'Survey','minuutit', 1043668745);
delete from international where languageId=13 and namespace='Survey' and internationalId=80;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (80,13,'Survey','sekunnit', 1043668733);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=601;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (601,13,'WebGUI','Kansainv?linen tunnus', 1043668708);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=521;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (521,13,'WebGUI','Haluan muistutuksen s?hk?postista hakulaitteeseen.', 1043668682);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=8;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (8,13,'WebGUI','Sivua ei l?ydy.', 1043668591);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=86;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (86,13,'WebGUI','Haluatko todella poistaa t?m?n ryhm?n. Huomaa ett? ryhm?n poistaminen poistaa my?s kaikki ryhm??n liittyv?t sidokset.', 1043668521);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=722;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (722,13,'WebGUI','Tunnus', 1043668444);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=707;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (707,13,'WebGUI','N?yt? virheenselvitys?', 1043668389);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=611;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (611,13,'WebGUI','<b>Yrityksen nimi</b><br>\r\nYrityksen nime? k?ytet?? kaikissa s?hk?posteissa ja "Company name" makroissa.<p>\r\n<b>Yrityksen s?hk?postiosoite</b><br>\r\nS?hk?postiosoite jota k?ytet??n j?rjestelm?n l?hett?mien viestien l?hett?j?-kent?ss?. Lis?ksi sit? k?ytet??n makroissa.<p>\r\n<b>Yrityksen URL</b><br>\r\nwww-osoite jota k?ytet??n j?rjestelm?n l?hett?miss? viesteiss?. Lis?ksi sit? k?ytet??n makroissa.<p>', 1043668195);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=588;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (588,13,'WebGUI','Oletko varma ett? haluat l?hett?? k??nn?ksesi Plain Black:ille heid?n viralliseen WebGUI jakeluun. Painamalla "Kyll?" annat samalla Plain Black:ille t?ydet oikeudet k?ytt?? k??nn?st?si virallisissa WebGUI versioissa.', 1043667933);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=60;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (60,13,'WebGUI','Oletko varma ett? haluat poistaa k?ytt?j?tunnuksesi? Jos jatkat, k?ytt?j?tunnuksesi poistetaan pysyv?sti.', 1043667794);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=587;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (587,13,'WebGUI','Oletko varma ett? haluat poistaa t?m?n kielen ja kaikki sen opasteet ja k??nn?kset?', 1043667721);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=41;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (41,13,'WebGUI','Yrit?t poistaa WebGUI:n elint?rke?? komponenttia. Jos jatkat saattaa WebGUI lakata toimimasta.', 1043667577);
delete from international where languageId=13 and namespace='FileManager' and internationalId=73;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (73,13,'FileManager','<b>Tiedoston otsikko</b><br>\r\nOtsikko joka tiedostolle n?ytet??n. Jos j?t?t t?m?n tyhj?ksi n?ytet??n tiedoston nimi otsikkona.<p>\r\n\r\n<b>Tiedosto</b><br>\r\nValitse tallennettava tiedosto.<p>\r\n\r\n<b>1. vaihtoehtoinen versio</b><br>\r\nEsimerkiksi jos alkuper?inen on JPG muodossa t?m? voisi olla saman tiedoston toinen formaatti (BMP, TIFF)<p>\r\n\r\n<b>2. vaihtoehtoinen versio</b><br>\r\nEsimerkiksi jos alkuper?inen on JPG muodossa t?m? voisi olla saman tiedoston toinen formaatti (BMP, TIFF)<p>\r\n\r\n<b>Kuvaus</b><br>\r\nLyhyt kuvaus tiedostosta. Sis?llyt? my?s avainsanat t?h?n jolloin haku l?yt?? kuvan niiden perusteella.<p>\r\n\r\n<b>Tallennusryhm?</b><br>\r\nValitse ryhm? jonne tiedosto tallennetaan.<p>\r\n\r\n<b>Mit? seuraavaksi?</b><br>\r\nValitse mit? tallennuksen j?lkeen tehd??n.', 1043667384);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=394;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (394,13,'WebGUI','Hallitse kokoelmaa.', 1043665737);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=499;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (499,13,'WebGUI','Wobjectin tunnus', 1043333303);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=363;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (363,13,'WebGUI','Sis?ll?n sijainti', 1043333242);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=85;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (85,13,'WebGUI','Sis?lt?', 1043333113);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=529;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (529,13,'WebGUI','tulosta', 1043332925);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=530;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (530,13,'WebGUI','<b>kaikki n?m?</b> sanat', 1043332881);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=533;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (533,13,'WebGUI','<b>ilman n?it?</b> sanoja', 1043332862);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=532;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (532,13,'WebGUI','<b>mik? tahansa</b> n?ist? sanoista', 1043332683);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=531;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (531,13,'WebGUI','juuri <b>t?m? fraasi</b>', 1043332622);
delete from international where languageId=13 and namespace='Auth/LDAP' and internationalId=1;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (1,13,'Auth/LDAP','LDAP tunnistautumisen asetukset', 1043327610);
delete from international where languageId=13 and namespace='Auth/SMB' and internationalId=1;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (1,13,'Auth/SMB','SMB tunnistautumisen asetukset', 1043327592);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=816;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (816,13,'WebGUI','Tila', 1042620003);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=820;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (820,13,'WebGUI','K?ytt?j?tunnustasi ei ole aktivoitu. Et voi kirjautua ennen kuin p??k?ytt?j? on sen aktivoinut.', 1042619895);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=823;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (823,13,'WebGUI','Siirry uudelle sivulle.', 1042619846);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=824;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (824,13,'WebGUI','S?hk?postin alatunniste', 1042619825);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=829;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (829,13,'WebGUI','Sivun mallipohja', 1042619792);
delete from international where languageId=13 and namespace='Survey' and internationalId=26;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (26,13,'Survey','Lis?? yleisimmin (aina/ei koskaan) vastausten skaala.', 1042619546);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=815;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (815,13,'WebGUI','Tallennettava tiedosto on liian iso.', 1040587014);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=814;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (814,13,'WebGUI','Takaisin tyyleihin', 1040586942);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=821;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (821,13,'WebGUI','Mik? tahansa', 1040586911);
delete from international where languageId=13 and namespace='Auth/SMB' and internationalId=3;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (3,13,'Auth/SMB','SMB protokollavirhe (2)\r\nOta yhteys yll?pit?j??n.', 1040078279);
delete from international where languageId=13 and namespace='Auth/SMB' and internationalId=4;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (4,13,'Auth/SMB','SMB kirjautumisvirhe (3)\r\nKirjoitit kirjautumisnimen tai salasanan v??rin, kokeile uudestaan.', 1040078257);
delete from international where languageId=13 and namespace='Auth/SMB' and internationalId=5;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (5,13,'Auth/SMB','PDC', 1040078201);
delete from international where languageId=13 and namespace='Auth/SMB' and internationalId=6;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (6,13,'Auth/SMB','BDC', 1040078194);
delete from international where languageId=13 and namespace='Auth/SMB' and internationalId=7;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (7,13,'Auth/SMB','NT toimialue', 1040078186);
delete from international where languageId=13 and namespace='Auth/SMB' and internationalId=8;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (8,13,'Auth/SMB','NT kirjautuminen', 1040078177);
delete from international where languageId=13 and namespace='Auth/SMB' and internationalId=9;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (9,13,'Auth/SMB','NT salasana', 1040078161);
delete from international where languageId=13 and namespace='SQLReport' and internationalId=1;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (1,13,'SQLReport','SQL-kysely', 1040046921);
delete from international where languageId=13 and namespace='SiteMap' and internationalId=75;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (75,13,'SiteMap','Kaikki juuret', 1040046776);
delete from international where languageId=13 and namespace='SiteMap' and internationalId=74;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (74,13,'SiteMap','T?m? sivu', 1040046763);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=847;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (847,13,'WebGUI','Palaa nykyiselle sivulle', 1040046710);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=848;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (848,13,'WebGUI','T?ss? mallipohjassa on virhe. Korjaa ole hyv?.', 1040046692);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=851;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (851,13,'WebGUI','Muokkaa t?t? mallipohjaa', 1040046659);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=852;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (852,13,'WebGUI','Kopioi t?m? mallipohja', 1040046648);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=853;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (853,13,'WebGUI','Poista t?m? mallipohja', 1040046634);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=855;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (855,13,'WebGUI','Listaa mallipohjat', 1040046613);
delete from international where languageId=13 and namespace='Survey' and internationalId=9;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (9,13,'Survey','Kysely', 1040046537);
delete from international where languageId=13 and namespace='Survey' and internationalId=7;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (7,13,'Survey','Vastausten ohjaama', 1040046523);
delete from international where languageId=13 and namespace='Survey' and internationalId=1;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (1,13,'Survey','Kysely', 1040040184);
delete from international where languageId=13 and namespace='SiteMap' and internationalId=3;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (3,13,'SiteMap','Aloitustaso', 1040039632);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=1;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (1,13,'WebGUI','Lis?? sis?lt??...', 1039414304);
delete from international where languageId=13 and namespace='Article' and internationalId=1;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (1,13,'Article','Artikkeli', 1039413890);
delete from international where languageId=13 and namespace='EventsCalendar' and internationalId=79;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (79,13,'EventsCalendar','Perusmallipohja', 1039002226);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=703;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (703,13,'WebGUI','Vuosi', 1039002044);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=701;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (701,13,'WebGUI','Viikko', 1039002028);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=700;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (700,13,'WebGUI','P?iv?', 1039002004);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=706;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (706,13,'WebGUI','Tunti', 1039001994);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=705;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (705,13,'WebGUI','Minuutti', 1039001984);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=704;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (704,13,'WebGUI','Sekunti', 1039001974);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=568;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (568,13,'WebGUI','V?litt?m?sti', 1039001914);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=567;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (567,13,'WebGUI','Hyv?ksynn?n j?lkeen', 1039001896);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=569;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (569,13,'WebGUI','Hyv?ksymistapa', 1039001786);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=833;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (833,13,'WebGUI','Tiedosto, Lis??/Muokkaa', 1039001591);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=825;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (825,13,'WebGUI','Mallipohja, kieli', 1039001573);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=837;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (837,13,'WebGUI','Kansio, Lis??/Muokkaa', 1039001542);
delete from international where languageId=13 and namespace='USS' and internationalId=71;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (71,13,'USS','', 1039001524);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=685;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (685,13,'WebGUI','Malli, Poista', 1039001519);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=684;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (684,13,'WebGUI','Mallipohja, Lis??/Muokkaa', 1039001516);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=683;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (683,13,'WebGUI','Mallit, Hallitse', 1039001514);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=681;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (681,13,'WebGUI','Paketit, Luonti', 1039001512);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=680;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (680,13,'WebGUI','Paketti, Lis??', 1039001510);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=679;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (679,13,'WebGUI','Sis?ll?n asetukset, Muokkaa', 1039001506);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=675;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (675,13,'WebGUI','Hakukone, k?yt?', 1039001504);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=674;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (674,13,'WebGUI','Sekalaiset asetukset, muokkaa', 1039001502);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=670;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (670,13,'WebGUI','Kuva, Lis??/Muokkaa', 1039001500);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=666;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (666,13,'WebGUI','Tyyli, Lis??/Muokkaa', 1039001495);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=656;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (656,13,'WebGUI','Yrityksen tiedot, muokkaa', 1039001489);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=642;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (642,13,'WebGUI','Sivu, Lis??/Poista', 1039001486);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=639;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (639,13,'WebGUI','', 1039001479);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=638;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (638,13,'WebGUI','', 1039001477);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=636;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (636,13,'WebGUI','', 1039001474);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=635;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (635,13,'WebGUI','', 1039001472);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=634;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (634,13,'WebGUI','', 1039001470);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=630;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (630,13,'WebGUI','', 1039001467);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=629;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (629,13,'WebGUI','', 1039001465);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=625;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (625,13,'WebGUI','', 1039001463);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=624;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (624,13,'WebGUI','', 1039001461);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=621;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (621,13,'WebGUI','', 1039001459);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=618;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (618,13,'WebGUI','', 1039001456);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=606;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (606,13,'WebGUI','', 1039001450);
delete from international where languageId=13 and namespace='USS' and internationalId=61;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (61,13,'USS','User Submission System, Add/Edit', 1039001442);
delete from international where languageId=13 and namespace='Product' and internationalId=63;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (63,13,'Product','', 1039001438);
delete from international where languageId=13 and namespace='SiteMap' and internationalId=71;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (71,13,'SiteMap','', 1039001435);
delete from international where languageId=13 and namespace='SiteMap' and internationalId=61;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (61,13,'SiteMap','Sivukartta, Lis??/Muokkaa', 1039001432);
delete from international where languageId=13 and namespace='Product' and internationalId=39;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (39,13,'Product','', 1039001426);
delete from international where languageId=13 and namespace='Product' and internationalId=38;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (38,13,'Product','Tuote, Lis??/Muokkaa', 1039001422);
delete from international where languageId=13 and namespace='MessageBoard' and internationalId=71;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (71,13,'MessageBoard','', 1039001416);
delete from international where languageId=13 and namespace='MailForm' and internationalId=72;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (72,13,'MailForm','', 1039001407);
delete from international where languageId=13 and namespace='MailForm' and internationalId=71;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (71,13,'MailForm','', 1039001404);
delete from international where languageId=13 and namespace='MailForm' and internationalId=62;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (62,13,'MailForm','Palautelomakkeen kent?t, Lis??/Muokkaa', 1039001389);
delete from international where languageId=13 and namespace='MailForm' and internationalId=61;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (61,13,'MailForm','Palautelomake, Lis??/Muokkaa', 1039001287);
delete from international where languageId=13 and namespace='LinkList' and internationalId=73;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (73,13,'LinkList','', 1039001277);
delete from international where languageId=13 and namespace='LinkList' and internationalId=72;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (72,13,'LinkList','Linkki, Lis??/Muokkaa', 1039001274);
delete from international where languageId=13 and namespace='LinkList' and internationalId=71;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (71,13,'LinkList','', 1039001269);
delete from international where languageId=13 and namespace='LinkList' and internationalId=61;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (61,13,'LinkList','Linkkilista, Lis??/Muokkaa', 1039001263);
delete from international where languageId=13 and namespace='Item' and internationalId=71;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (71,13,'Item','', 1039001246);
delete from international where languageId=13 and namespace='Item' and internationalId=61;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (61,13,'Item','Kappale, Lis??/Muokkaa', 1039001240);
delete from international where languageId=13 and namespace='FileManager' and internationalId=9;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (9,13,'FileManager','Muokkaa tiedostonhallintaa', 1039001227);
delete from international where languageId=13 and namespace='FileManager' and internationalId=71;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (71,13,'FileManager','', 1039001209);
delete from international where languageId=13 and namespace='FileManager' and internationalId=72;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (72,13,'FileManager','Tiedoston lataus, Lis??/Muokkaa', 1039001205);
delete from international where languageId=13 and namespace='FileManager' and internationalId=61;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (61,13,'FileManager','Tiedostohallinta, Lis??/Muokkaa', 1039001198);
delete from international where languageId=13 and namespace='FileManager' and internationalId=6;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (6,13,'FileManager','Tiedosto', 1039001185);
delete from international where languageId=13 and namespace='FileManager' and internationalId=19;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (19,13,'FileManager','Tiedostoja ei ole ladattavaksi.', 1039001173);
delete from international where languageId=13 and namespace='FileManager' and internationalId=12;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (12,13,'FileManager','Oletko varma ett? haluat poistaa t?m?n tiedoston?', 1039001164);
delete from international where languageId=13 and namespace='FileManager' and internationalId=11;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (11,13,'FileManager','Lis?? uusi tiedosto.', 1039001160);
delete from international where languageId=13 and namespace='FileManager' and internationalId=10;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (10,13,'FileManager','Muokkaa latausta', 1039001157);
delete from international where languageId=13 and namespace='FAQ' and internationalId=73;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (73,13,'FAQ','', 1039001145);
delete from international where languageId=13 and namespace='FileManager' and internationalId=1;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (1,13,'FileManager','Tiedostohallinta', 1039001139);
delete from international where languageId=13 and namespace='FAQ' and internationalId=72;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (72,13,'FAQ','Kysymys, Lis??/Muokkaa', 1039001135);
delete from international where languageId=13 and namespace='FAQ' and internationalId=71;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (71,13,'FAQ','', 1039001130);
delete from international where languageId=13 and namespace='FAQ' and internationalId=61;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (61,13,'FAQ','Usein kysytyt kysymykset, Lis??/Muokkaa', 1039001126);
delete from international where languageId=13 and namespace='EventsCalendar' and internationalId=71;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (71,13,'EventsCalendar','', 1039001120);
delete from international where languageId=13 and namespace='EventsCalendar' and internationalId=73;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (73,13,'EventsCalendar','', 1039001117);
delete from international where languageId=13 and namespace='ExtraColumn' and internationalId=71;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (71,13,'ExtraColumn','', 1039001114);
delete from international where languageId=13 and namespace='ExtraColumn' and internationalId=61;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (61,13,'ExtraColumn','Ylim??r?inen palsta, Lis??/Muokkaa', 1039001109);
delete from international where languageId=13 and namespace='EventsCalendar' and internationalId=72;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (72,13,'EventsCalendar','Tapahtuma, Lis??/Muokkaa', 1039001105);
delete from international where languageId=13 and namespace='EventsCalendar' and internationalId=61;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (61,13,'EventsCalendar','Tapahtumakalenteri, Lis??/Muokkaa', 1039001099);
delete from international where languageId=13 and namespace='Article' and internationalId=71;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (71,13,'Article','', 1039001091);
delete from international where languageId=13 and namespace='LinkList' and internationalId=75;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (75,13,'LinkList','Linkkilistan mallipohja', 1039000938);
delete from international where languageId=13 and namespace='FileManager' and internationalId=75;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (75,13,'FileManager','Tiedostohallinnan mallipohja', 1039000911);
delete from international where languageId=13 and namespace='FileManager' and internationalId=74;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (74,13,'FileManager','Lis?? uusi tiedosto.', 1039000895);
delete from international where languageId=13 and namespace='FAQ' and internationalId=76;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (76,13,'FAQ','Usein kysytyt kysymykset -mallipohja', 1039000879);
delete from international where languageId=13 and namespace='EventsCalendar' and internationalId=96;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (96,13,'EventsCalendar','Tapahtuman mallipohja', 1039000854);
delete from international where languageId=13 and namespace='EventsCalendar' and internationalId=94;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (94,13,'EventsCalendar','Tapahtumakalenterin mallipohja', 1039000840);
delete from international where languageId=13 and namespace='EventsCalendar' and internationalId=93;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (93,13,'EventsCalendar','Seuraava tapahtuma', 1039000828);
delete from international where languageId=13 and namespace='EventsCalendar' and internationalId=92;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (92,13,'EventsCalendar','Edellinen tapahtuma', 1039000818);
delete from international where languageId=13 and namespace='EventsCalendar' and internationalId=91;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (91,13,'EventsCalendar','Lis?? uusi tapahtuma.', 1039000809);
delete from international where languageId=13 and namespace='EventsCalendar' and internationalId=90;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (90,13,'EventsCalendar','Oletuskuukausi', 1039000798);
delete from international where languageId=13 and namespace='EventsCalendar' and internationalId=89;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (89,13,'EventsCalendar','N?yt? 3 kuukautta alkamisesta.', 1039000788);
delete from international where languageId=13 and namespace='EventsCalendar' and internationalId=88;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (88,13,'EventsCalendar','N?yt? 6 kuukautta alkamisesta.', 1039000781);
delete from international where languageId=13 and namespace='EventsCalendar' and internationalId=87;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (87,13,'EventsCalendar','N?yt? 9 kuukautta alkamisesta.', 1039000772);
delete from international where languageId=13 and namespace='EventsCalendar' and internationalId=86;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (86,13,'EventsCalendar','N?yt? 12 kuukautta alkamisesta.', 1039000757);
delete from international where languageId=13 and namespace='EventsCalendar' and internationalId=85;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (85,13,'EventsCalendar','Viimeinen kalenterissa.', 1039000738);
delete from international where languageId=13 and namespace='EventsCalendar' and internationalId=84;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (84,13,'EventsCalendar','P??ttymiskuukausi', 1039000727);
delete from international where languageId=13 and namespace='EventsCalendar' and internationalId=83;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (83,13,'EventsCalendar','Ensimm?inen kalenterissa.', 1039000715);
delete from international where languageId=13 and namespace='EventsCalendar' and internationalId=82;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (82,13,'EventsCalendar','Nykyinen.', 1039000691);
delete from international where languageId=13 and namespace='EventsCalendar' and internationalId=81;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (81,13,'EventsCalendar','Aloituskuukausi', 1039000682);
delete from international where languageId=13 and namespace='EventsCalendar' and internationalId=80;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (80,13,'EventsCalendar','Tapahtuma-mallipohja', 1039000672);
delete from international where languageId=13 and namespace='Article' and internationalId=72;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (72,13,'Article','Artikkelin mallipohja', 1039000616);
delete from international where languageId=13 and namespace='WobjectProxy' and internationalId=6;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (6,13,'WobjectProxy','', 1037820825);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=698;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (698,13,'WebGUI','', 1037820798);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=637;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (637,13,'WebGUI','', 1037820754);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=633;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (633,13,'WebGUI','', 1037820717);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=627;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (627,13,'WebGUI','', 1037820696);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=626;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (626,13,'WebGUI','', 1037820689);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=623;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (623,13,'WebGUI','', 1037820676);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=622;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (622,13,'WebGUI','', 1037820668);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=620;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (620,13,'WebGUI','', 1037820653);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=619;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (619,13,'WebGUI','', 1037820645);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=617;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (617,13,'WebGUI','', 1037820629);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=155;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (155,13,'WebGUI','', 1037820594);
delete from international where languageId=13 and namespace='FAQ' and internationalId=13;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (13,13,'FAQ','Laita [top] linkki k?ytt??n?', 1037820534);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=388;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (388,13,'WebGUI','Tallennettu', 1037820131);
delete from international where languageId=13 and namespace='Survey' and internationalId=64;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (64,13,'Survey','Vastausten vienti.', 1037819708);
delete from international where languageId=13 and namespace='Survey' and internationalId=66;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (66,13,'Survey','Vastaukset', 1037819690);
delete from international where languageId=13 and namespace='Survey' and internationalId=67;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (67,13,'Survey','K?ytt?j?', 1037819680);
delete from international where languageId=13 and namespace='Survey' and internationalId=68;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (68,13,'Survey','N?yt? raportit ja viennit.', 1037819671);
delete from international where languageId=13 and namespace='Survey' and internationalId=69;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (69,13,'Survey','Poista t?m?n k?ytt?j?n vastaukset.', 1037819649);
delete from international where languageId=13 and namespace='Survey' and internationalId=72;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (72,13,'Survey','Oletko varma ett? haluat poistaa t?m?n k?ytt?j?n vastaukset?', 1037819621);
delete from international where languageId=13 and namespace='Survey' and internationalId=73;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (73,13,'Survey','Poista kaikki vastaukset.', 1037819596);
delete from international where languageId=13 and namespace='Survey' and internationalId=74;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (74,13,'Survey','Oletko varma ett? haluat poistaa kaikki vastaukset?', 1037819582);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=750;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (750,13,'WebGUI','Poista k?ytt?j?.', 1037819512);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=752;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (752,13,'WebGUI','N?yt? k?ytt?j?n profiili.', 1037819488);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=753;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (753,13,'WebGUI','Muokkaa ryhm??.', 1037819468);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=754;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (754,13,'WebGUI','Hallitse ryhm?n k?ytt?ji?.', 1037819455);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=756;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (756,13,'WebGUI','Takaisin ryhm?listaan.', 1037819432);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=758;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (758,13,'WebGUI','Lis?? kansio.', 1037819403);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=759;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (759,13,'WebGUI','Muokkaa kansiota.', 1037819393);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=760;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (760,13,'WebGUI','Poista kansio.', 1037819376);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=761;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (761,13,'WebGUI','Lis?? kuva.', 1037819364);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=762;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (762,13,'WebGUI','Lis?? tiedosto.', 1037819343);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=768;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (768,13,'WebGUI','Nimi', 1037819310);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=769;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (769,13,'WebGUI','Kansion j?rjestys', 1037819299);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=772;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (772,13,'WebGUI','Muokkaa tiedostoa', 1037819273);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=773;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (773,13,'WebGUI','Tiedosto', 1037819257);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=775;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (775,13,'WebGUI','Oletko varma ett? haluat poistaa t?m?n kansion ja siirt?? sen sis?ll?n sen juurikansioon?', 1037819238);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=776;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (776,13,'WebGUI','Muokkaa kansiota', 1037819112);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=777;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (777,13,'WebGUI','Kansion tunnus', 1037819102);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=778;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (778,13,'WebGUI','Kansion kuvaus', 1037819084);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=779;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (779,13,'WebGUI','Kuva', 1037819063);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=780;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (780,13,'WebGUI','Tiedosto', 1037819054);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=782;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (782,13,'WebGUI','Mik? tahansa', 1037819038);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=783;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (783,13,'WebGUI','Tyyppi', 1037819026);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=784;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (784,13,'WebGUI','Pikkukuva', 1037819014);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=799;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (799,13,'WebGUI','Sivua katsottu', 1037818963);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=804;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (804,13,'WebGUI','Kopioi tyyli.', 1037818944);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=803;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (803,13,'WebGUI','Muokkaa tyyli?.', 1037818880);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=805;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (805,13,'WebGUI','Poista t?m? tyyli.', 1037818868);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=806;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (806,13,'WebGUI','Poista t?m? ryhm?.', 1037818854);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=807;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (807,13,'WebGUI','Hallitse ryhmi? t?ss? ryhm?ss?.', 1037818839);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=809;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (809,13,'WebGUI','Postitusryhm?', 1037818807);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=811;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (811,13,'WebGUI','Kenelt?', 1037818793);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=812;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (812,13,'WebGUI','Viestisi on l?hetetty.', 1037818782);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=813;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (813,13,'WebGUI','Ryhm?t t?ss? ryhm?ss?', 1037818766);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=800;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (800,13,'WebGUI','Eri k?vij?it?', 1037712845);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=798;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (798,13,'WebGUI','Sivun otsikko', 1037712807);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=796;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (796,13,'WebGUI','N?yt? sivujen statistiikka.', 1037712657);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=749;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (749,13,'WebGUI','Seuraa sivun statistiikkaa?', 1037712391);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=797;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (797,13,'WebGUI','N?yt? liikennestatistiikka.', 1037712364);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=794;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (794,13,'WebGUI','Paketteja', 1037712238);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=146;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (146,13,'WebGUI','Aktiivisia istuntoja', 1037712181);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=425;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (425,13,'WebGUI','Aktiiviset istunnot', 1037712162);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=427;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (427,13,'WebGUI','Tyylej?', 1037712034);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=89;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (89,13,'WebGUI','Ryhmi?', 1037711997);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=149;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (149,13,'WebGUI','K?ytt?ji?', 1037711981);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=792;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (792,13,'WebGUI','Mallipohjia', 1037711938);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=795;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (795,13,'WebGUI','Juuria', 1037711898);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=593;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (593,13,'WebGUI','L?het? k??nn?ksesi.', 1037711825);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=594;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (594,13,'WebGUI','K??nn? viestej?.', 1037711786);
delete from international where languageId=13 and namespace='Survey' and internationalId=8;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (8,13,'Survey','Kysymysten j?rjestys', 1037711450);
delete from international where languageId=13 and namespace='Survey' and internationalId=63;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (63,13,'Survey','Kysymysten vienti.', 1037711408);
delete from international where languageId=13 and namespace='Survey' and internationalId=62;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (62,13,'Survey','Vastausten vienti.', 1037711396);
delete from international where languageId=13 and namespace='Survey' and internationalId=59;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (59,13,'Survey','N?yt? tilastollinen katsaus.', 1037711306);
delete from international where languageId=13 and namespace='Survey' and internationalId=58;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (58,13,'Survey','Tilastollinen katsaus', 1037711288);
delete from international where languageId=13 and namespace='Survey' and internationalId=57;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (57,13,'Survey','Kommentit', 1037711269);
delete from international where languageId=13 and namespace='Survey' and internationalId=56;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (56,13,'Survey','N?yt? kommentit.', 1037711258);
delete from international where languageId=13 and namespace='Survey' and internationalId=55;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (55,13,'Survey','N?yt? vastaukset.', 1037711245);
delete from international where languageId=13 and namespace='Survey' and internationalId=54;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (54,13,'Survey','Prosenttia', 1037711233);
delete from international where languageId=13 and namespace='Survey' and internationalId=53;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (53,13,'Survey','Vastaukset', 1037711222);
delete from international where languageId=13 and namespace='Survey' and internationalId=52;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (52,13,'Survey','Pisteet', 1037711212);
delete from international where languageId=13 and namespace='Survey' and internationalId=51;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (51,13,'Survey','Kommentoi?', 1037711202);
delete from international where languageId=13 and namespace='Survey' and internationalId=50;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (50,13,'Survey','Seuraava', 1037711191);
delete from international where languageId=13 and namespace='Survey' and internationalId=45;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (45,13,'Survey','Oletko varma ett? haluat poistaa t?m?n kysymyksen ja sen vastaukset?', 1037711128);
delete from international where languageId=13 and namespace='Survey' and internationalId=43;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (43,13,'Survey','Ei koskaan', 1037711096);
delete from international where languageId=13 and namespace='Survey' and internationalId=41;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (41,13,'Survey','Yleisimmin', 1037711084);
delete from international where languageId=13 and namespace='Survey' and internationalId=40;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (40,13,'Survey','Aina', 1037711073);
delete from international where languageId=13 and namespace='Survey' and internationalId=32;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (32,13,'Survey','Ep?tosi', 1037710998);
delete from international where languageId=13 and namespace='Survey' and internationalId=31;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (31,13,'Survey','Tosi', 1037710988);
delete from international where languageId=13 and namespace='Survey' and internationalId=30;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (30,13,'Survey','Lis?? uusi kysymys.', 1037710977);
delete from international where languageId=13 and namespace='Survey' and internationalId=29;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (29,13,'Survey','Lis?? tekstivastaus.', 1037710942);
delete from international where languageId=13 and namespace='Survey' and internationalId=28;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (28,13,'Survey','Lis?? kysymys.', 1037710926);
delete from international where languageId=13 and namespace='Survey' and internationalId=25;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (25,13,'Survey','Lis?? oikein/v??rin vastaus.', 1037710894);
delete from international where languageId=13 and namespace='Survey' and internationalId=24;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (24,13,'Survey','Lis?? monivalintavastaus.', 1037710879);
delete from international where languageId=13 and namespace='Survey' and internationalId=23;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (23,13,'Survey','Lis?? uusi vastaus.', 1037710859);
delete from international where languageId=13 and namespace='Survey' and internationalId=22;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (22,13,'Survey','Vastauksen tyyppi', 1037710802);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=791;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (791,13,'WebGUI','Poista t?m? k??nn?s.', 1037710786);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=584;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (584,13,'WebGUI','Lis?? uusi k??nn?s.', 1037710583);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=589;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (589,13,'WebGUI','Muokkaa k??nn?st?', 1037710571);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=586;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (586,13,'WebGUI','Hallitse k??nn?ksi?', 1037710556);
delete from international where languageId=13 and namespace='Survey' and internationalId=21;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (21,13,'Survey','Siirry', 1037710485);
delete from international where languageId=13 and namespace='Survey' and internationalId=20;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (20,13,'Survey','Onko t?m? vastaus oikein?', 1037710473);
delete from international where languageId=13 and namespace='Survey' and internationalId=19;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (19,13,'Survey','Vastaus', 1037710446);
delete from international where languageId=13 and namespace='Survey' and internationalId=18;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (18,13,'Survey','Muokkaa vastausta', 1037710307);
delete from international where languageId=13 and namespace='Survey' and internationalId=17;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (17,13,'Survey','Muokkaa kysymyst?', 1037710283);
delete from international where languageId=13 and namespace='Survey' and internationalId=16;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (16,13,'Survey','Arvo vastaukset?', 1037710273);
delete from international where languageId=13 and namespace='Survey' and internationalId=15;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (15,13,'Survey','Salli kommentointi?', 1037710258);
delete from international where languageId=13 and namespace='Survey' and internationalId=14;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (14,13,'Survey','Kysymys', 1037710227);
delete from international where languageId=13 and namespace='Survey' and internationalId=11;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (11,13,'Survey','Tila', 1037710192);
delete from international where languageId=13 and namespace='PhotoGallery' and internationalId=4;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (4,13,'PhotoGallery','Kuvan j?rjestys', 1037710144);
delete from international where languageId=13 and namespace='PhotoGallery' and internationalId=12;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (12,13,'PhotoGallery','Jatka kuvien lis??mist?.', 1037710098);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=598;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (598,13,'WebGUI','Muokkaa k??nn?st?.', 1037709738);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=718;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (718,13,'WebGUI','K??nn?ksen vienti.', 1037709663);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=616;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (616,13,'WebGUI','', 1036574631);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=615;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (615,13,'WebGUI','', 1036574624);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=612;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (612,13,'WebGUI','', 1036574598);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=610;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (610,13,'WebGUI','', 1036574582);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=609;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (609,13,'WebGUI','', 1036574574);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=608;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (608,13,'WebGUI','', 1036574564);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=607;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (607,13,'WebGUI','', 1036574557);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=502;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (502,13,'WebGUI','', 1036574512);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=466;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (466,13,'WebGUI','', 1036574501);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=402;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (402,13,'WebGUI','', 1036574493);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=417;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (417,13,'WebGUI','', 1036574484);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=416;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (416,13,'WebGUI','', 1036574476);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=377;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (377,13,'WebGUI','', 1036574458);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=38;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (38,13,'WebGUI','', 1036574450);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=36;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (36,13,'WebGUI','', 1036574434);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=381;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (381,13,'WebGUI','', 1036574426);
delete from international where languageId=13 and namespace='SyndicatedContent' and internationalId=71;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (71,13,'SyndicatedContent','', 1036574393);
delete from international where languageId=13 and namespace='Product' and internationalId=57;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (57,13,'Product','', 1036574380);
delete from international where languageId=13 and namespace='Product' and internationalId=48;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (48,13,'Product','', 1036574366);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=614;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (614,13,'WebGUI','', 1036574249);
delete from international where languageId=13 and namespace='Survey' and internationalId=44;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (44,13,'Survey','Haluatko varmasti poistaa t?m?n kysymyksen, sen vastaukset ja vastineet?', 1036573453);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=721;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (721,13,'WebGUI','Sijainti', 1036573388);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=729;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (729,13,'WebGUI','0 Aloittelija', 1036573336);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=730;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (730,13,'WebGUI','1 Noviisi', 1036573322);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=731;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (731,13,'WebGUI','2 Harjoittelija', 1036573309);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=732;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (732,13,'WebGUI','3 Aloittelija', 1036573297);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=735;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (735,13,'WebGUI','6 Ammattilainen', 1036573269);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=736;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (736,13,'WebGUI','7 Expertti', 1036573257);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=737;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (737,13,'WebGUI','8 Mestari', 1036573247);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=738;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (738,13,'WebGUI','9 Guru', 1036573230);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=739;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (739,13,'WebGUI','K?ytt?j?n taso', 1036573219);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=741;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (741,13,'WebGUI','Muokkaa t?t? mallia.', 1036573203);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=742;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (742,13,'WebGUI','Hallitse malleja.', 1036573189);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=744;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (744,13,'WebGUI','Mit? seuraavaksi?', 1036573166);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=745;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (745,13,'WebGUI','Palaa sivulle.', 1036573155);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=746;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (746,13,'WebGUI','Ty?kalurivin napit', 1036573137);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=747;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (747,13,'WebGUI','K?ytt?j?nimiss? saa olla ainoastaa kirjaimia ja/tai numeroita.', 1036573072);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=632;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (632,13,'WebGUI','', 1036572996);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=511;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (511,13,'WebGUI','Ketjutettu', 1036530565);
delete from international where languageId=13 and namespace='Item' and internationalId=72;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (72,13,'Item','Malli', 1036530228);
delete from international where languageId=13 and namespace='FAQ' and internationalId=74;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (74,13,'FAQ','Malli', 1036530222);
delete from international where languageId=13 and namespace='FAQ' and internationalId=75;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (75,13,'FAQ','Lis?? kysymys.', 1036530213);
delete from international where languageId=13 and namespace='SQLReport' and internationalId=71;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (71,13,'SQLReport','', 1036528060);
delete from international where languageId=13 and namespace='Product' and internationalId=50;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (50,13,'Product','', 1036528040);
delete from international where languageId=13 and namespace='Product' and internationalId=47;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (47,13,'Product','', 1036528032);
delete from international where languageId=13 and namespace='Product' and internationalId=45;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (45,13,'Product','', 1036528024);
delete from international where languageId=13 and namespace='Product' and internationalId=43;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (43,13,'Product','', 1036528017);
delete from international where languageId=13 and namespace='Product' and internationalId=41;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (41,13,'Product','', 1036528008);
delete from international where languageId=13 and namespace='Product' and internationalId=4;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (4,13,'Product','', 1036528000);
delete from international where languageId=13 and namespace='MailForm' and internationalId=26;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (26,13,'MailForm','', 1036527962);
delete from international where languageId=13 and namespace='Poll' and internationalId=71;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (71,13,'Poll','', 1036527902);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=719;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (719,13,'WebGUI','Vanhentunut', 1036527514);
delete from international where languageId=13 and namespace='PhotoGallery' and internationalId=23;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (23,13,'PhotoGallery','Suosituimmuus', 1036527473);
delete from international where languageId=13 and namespace='PhotoGallery' and internationalId=21;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (21,13,'PhotoGallery','N?yt? kuvan tiedot', 1036527452);
delete from international where languageId=13 and namespace='PhotoGallery' and internationalId=20;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (20,13,'PhotoGallery','Kuvien v?li', 1036527438);
delete from international where languageId=13 and namespace='PhotoGallery' and internationalId=2;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (2,13,'PhotoGallery','Lis?? kuva', 1036527423);
delete from international where languageId=13 and namespace='PhotoGallery' and internationalId=19;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (19,13,'PhotoGallery','Tallenna kuva', 1036527410);
delete from international where languageId=13 and namespace='PhotoGallery' and internationalId=18;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (18,13,'PhotoGallery','Kuvateksti', 1036527398);
delete from international where languageId=13 and namespace='PhotoGallery' and internationalId=16;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (16,13,'PhotoGallery','Pikkukuvan korkeus', 1036527376);
delete from international where languageId=13 and namespace='PhotoGallery' and internationalId=15;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (15,13,'PhotoGallery','Pikkukuvan leveys', 1036527365);
delete from international where languageId=13 and namespace='PhotoGallery' and internationalId=14;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (14,13,'PhotoGallery','Kuvan nimi', 1036527353);
delete from international where languageId=13 and namespace='PhotoGallery' and internationalId=13;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (13,13,'PhotoGallery','Kuva', 1036527342);
delete from international where languageId=13 and namespace='PhotoGallery' and internationalId=22;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (22,13,'PhotoGallery','J?rjestys lis?tty', 1036497044);
delete from international where languageId=13 and namespace='PhotoGallery' and internationalId=24;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (24,13,'PhotoGallery','Tallennusp?iv?', 1036497025);
delete from international where languageId=13 and namespace='PhotoGallery' and internationalId=25;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (25,13,'PhotoGallery','Kuvan nimi', 1036497011);
delete from international where languageId=13 and namespace='PhotoGallery' and internationalId=3;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (3,13,'PhotoGallery','Tallenna kuva', 1036496997);
delete from international where languageId=13 and namespace='PhotoGallery' and internationalId=5;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (5,13,'PhotoGallery','Uusi', 1036496978);
delete from international where languageId=13 and namespace='PhotoGallery' and internationalId=6;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (6,13,'PhotoGallery','Muokkaa', 1036496971);
delete from international where languageId=13 and namespace='PhotoGallery' and internationalId=7;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (7,13,'PhotoGallery','Pikkukuvia rivill?', 1036496963);
delete from international where languageId=13 and namespace='PhotoGallery' and internationalId=8;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (8,13,'PhotoGallery','Ryhm?, jolla tallennusoikeus', 1036496922);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=720;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (720,13,'WebGUI','OK', 1036496844);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=724;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (724,13,'WebGUI','K?ytt?j?tunnus ei voi alkaa tai loppua v?lily?ntiin.', 1036496786);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=725;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (725,13,'WebGUI','K?ytt?j?tunnus ei voi olla tyhj?.', 1036496755);
delete from international where languageId=13 and namespace='Auth/WebGUI' and internationalId=4;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (4,13,'Auth/WebGUI','Salasanaa ei voi j?tt?? tyhj?ksi.', 1036496729);
delete from international where languageId=13 and namespace='Auth/WebGUI' and internationalId=5;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (5,13,'Auth/WebGUI','Salasana ei voi olla "password".', 1036496691);
delete from international where languageId=13 and namespace='PhotoGallery' and internationalId=1;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (1,13,'PhotoGallery','Kuvagalleria', 1036496620);
delete from international where languageId=13 and namespace='Poll' and internationalId=12;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (12,13,'Poll','??nia annettu:', 1035450220);
delete from international where languageId=13 and namespace='MessageBoard' and internationalId=9;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (9,13,'MessageBoard','Viestin tunnus:', 1033388903);
delete from international where languageId=13 and namespace='Article' and internationalId=13;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (13,13,'Article','Poista', 1033388805);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=894;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (894,13,'WebGUI','Salli keskustelu?', 1033388801);
delete from international where languageId=13 and namespace='EventsCalendar' and internationalId=77;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (77,13,'EventsCalendar','Poista t?m? tapahtuma ja kaikki sen toistumat.', 1033388797);
delete from international where languageId=13 and namespace='EventsCalendar' and internationalId=76;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (76,13,'EventsCalendar','Poista vain t?m? tapahtuma.', 1033388795);
delete from international where languageId=13 and namespace='EventsCalendar' and internationalId=75;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (75,13,'EventsCalendar','Mit? haluaisit tehd??', 1033388792);
delete from international where languageId=13 and namespace='EventsCalendar' and internationalId=4;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (4,13,'EventsCalendar','Tapahtuu ainoastaan kerran.', 1033388776);
delete from international where languageId=13 and namespace='EventsCalendar' and internationalId=20;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (20,13,'EventsCalendar','Lis?? tapahtuma.', 1033388771);
delete from international where languageId=13 and namespace='EventsCalendar' and internationalId=2;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (2,13,'EventsCalendar','Tapahtumakalenteri', 1033388768);
delete from international where languageId=13 and namespace='EventsCalendar' and internationalId=15;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (15,13,'EventsCalendar','P??ttymisp?iv?', 1033388756);
delete from international where languageId=13 and namespace='EventsCalendar' and internationalId=14;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (14,13,'EventsCalendar','Alkamisp?iv?', 1033388754);
delete from international where languageId=13 and namespace='EventsCalendar' and internationalId=13;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (13,13,'EventsCalendar','Lis?? tapahtuma', 1033388751);
delete from international where languageId=13 and namespace='EventsCalendar' and internationalId=12;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (12,13,'EventsCalendar','Muokkaa tapahtumakalenteria', 1033388749);
delete from international where languageId=13 and namespace='FileManager' and internationalId=8;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (8,13,'FileManager','Selitys', 1033388740);
delete from international where languageId=13 and namespace='FileManager' and internationalId=7;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (7,13,'FileManager','Ryhm? joka saa tallentaa', 1033388731);
delete from international where languageId=13 and namespace='FileManager' and internationalId=5;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (5,13,'FileManager','Tiedoston otsikko', 1033388723);
delete from international where languageId=13 and namespace='FileManager' and internationalId=3;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (3,13,'FileManager','Lis?t??nk? tiedostoja?', 1033388720);
delete from international where languageId=13 and namespace='FileManager' and internationalId=18;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (18,13,'FileManager','Vaihtoehtoinen versio 2', 1033388706);
delete from international where languageId=13 and namespace='FileManager' and internationalId=17;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (17,13,'FileManager','Vaihtoehtoinen versio 1', 1033388703);
delete from international where languageId=13 and namespace='FileManager' and internationalId=16;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (16,13,'FileManager','Tallennettu', 1033388701);
delete from international where languageId=13 and namespace='FileManager' and internationalId=15;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (15,13,'FileManager','Selitys', 1033388698);
delete from international where languageId=13 and namespace='FileManager' and internationalId=14;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (14,13,'FileManager','Tiedosto', 1033388695);
delete from international where languageId=13 and namespace='Article' and internationalId=9;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (9,13,'Article','Liite', 1033388681);
delete from international where languageId=13 and namespace='Article' and internationalId=7;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (7,13,'Article','Linkin otsikko', 1033388678);
delete from international where languageId=13 and namespace='Article' and internationalId=6;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (6,13,'Article','Kuva', 1033388675);
delete from international where languageId=13 and namespace='Article' and internationalId=4;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (4,13,'Article','Loppumisp?iv?', 1033388672);
delete from international where languageId=13 and namespace='Article' and internationalId=3;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (3,13,'Article','Alkamisp?iv?', 1033388670);
delete from international where languageId=13 and namespace='Article' and internationalId=28;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (28,13,'Article','N?yt? vastaukset', 1033388667);
delete from international where languageId=13 and namespace='Article' and internationalId=24;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (24,13,'Article','L?het? vastine', 1033388663);
delete from international where languageId=13 and namespace='Article' and internationalId=22;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (22,13,'Article','Kirjoittaja', 1033388660);
delete from international where languageId=13 and namespace='Article' and internationalId=23;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (23,13,'Article','P?iv?ys', 1033388657);
delete from international where languageId=13 and namespace='Article' and internationalId=27;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (27,13,'Article','Takaisin artikkeleihin', 1033388654);
delete from international where languageId=13 and namespace='Article' and internationalId=8;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (8,13,'Article','Linkin URL', 1033388650);
delete from international where languageId=13 and namespace='Article' and internationalId=12;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (12,13,'Article','Muokkaa artikkelia', 1033388636);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=395;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (395,13,'WebGUI','Lis?? uusi kuva.', 1033388623);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=62;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (62,13,'WebGUI','Tallenna', 1033388612);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=61;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (61,13,'WebGUI','P?ivit? tilin tiedot', 1033388588);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=605;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (605,13,'WebGUI','Lis?? ryhmi?', 1033388577);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=6;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (6,13,'WebGUI','Hallitse tyylej?.', 1033388571);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=597;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (597,13,'WebGUI','Muokkaa kansainv?lisi? ilmoituksia', 1033388567);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=596;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (596,13,'WebGUI','PUUTTUU', 1033388565);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=595;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (595,13,'WebGUI','Kansainv?liset viestit', 1033388563);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=592;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (592,13,'WebGUI','Merkist?', 1033388556);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=591;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (591,13,'WebGUI','Kieli', 1033388554);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=590;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (590,13,'WebGUI','Kieli ID', 1033388552);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=59;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (59,13,'WebGUI','Unohdin salasanani.', 1033388550);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=585;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (585,13,'WebGUI','Hallitse k??nn?ksi?.', 1033388539);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=583;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (583,13,'WebGUI','Suurin kuvakoko', 1033388535);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=582;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (582,13,'WebGUI','J?t? tyhj?ksi', 1033388533);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=581;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (581,13,'WebGUI','Lis?? uusi arvo', 1033388531);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=580;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (580,13,'WebGUI','Viestisi on estetty.', 1033388529);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=58;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (58,13,'WebGUI','Minulla on jo tili.', 1033388527);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=577;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (577,13,'WebGUI','L?het? vastaus', 1033388520);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=576;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (576,13,'WebGUI','Poista', 1033388517);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=575;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (575,13,'WebGUI','Muokkaa', 1033388515);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=574;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (574,13,'WebGUI','Est?', 1033388512);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=573;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (573,13,'WebGUI','Leave Pending', 1033388510);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=572;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (572,13,'WebGUI','Approve', 1033388508);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=571;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (571,13,'WebGUI','Avaa viestiketju', 1033388505);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=570;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (570,13,'WebGUI','Lukitse viestiketju', 1033388503);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=57;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (57,13,'WebGUI','T?t? tarvitaan ainoastaan email ominaisuuksissa.', 1033388501);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=566;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (566,13,'WebGUI','Muokkaamisen aikakatkaisu', 1033388493);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=565;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (565,13,'WebGUI','Kuka voi muokata?', 1033388491);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=564;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (564,13,'WebGUI','Kuka voi postittaa?', 1033388489);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=563;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (563,13,'WebGUI','Oletustila', 1033388486);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=562;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (562,13,'WebGUI','Ratkaisematon', 1033388484);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=561;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (561,13,'WebGUI','Estetty', 1033388482);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=560;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (560,13,'WebGUI','Suostuttu', 1033388480);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=56;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (56,13,'WebGUI','email osoite', 1033388478);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=559;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (559,13,'WebGUI','Suorita rekister?inti', 1033388476);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=558;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (558,13,'WebGUI','Muokkaa k?ytt?jien Karma', 1033388474);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=557;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (557,13,'WebGUI','Selitys', 1033388472);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=556;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (556,13,'WebGUI','Amount', 1033388470);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=555;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (555,13,'WebGUI','Muokka t?m?n k?ytt?j?n Karma.', 1033388468);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=554;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (554,13,'WebGUI','Toimia', 1033388466);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=553;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (553,13,'WebGUI','Tila', 1033388464);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=552;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (552,13,'WebGUI','Ratkaisematon', 1033388462);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=551;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (551,13,'WebGUI','Huomautus', 1033388460);
delete from international where languageId=13 and namespace='Auth/WebGUI' and internationalId=2;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (2,13,'Auth/WebGUI','Salasana (vahvista)', 1033388456);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=543;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (543,13,'WebGUI','Lis?? ryhm? kuville.', 1033388441);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=542;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (542,13,'WebGUI','Edellinen...', 1033388439);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=541;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (541,13,'WebGUI','Karma / postitus', 1033388437);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=540;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (540,13,'WebGUI','Karma / kirjautuminen', 1033388435);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=54;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (54,13,'WebGUI','Luo tili', 1033388433);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=539;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (539,13,'WebGUI','K?ytet??nk? Karmaa?', 1033388431);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=538;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (538,13,'WebGUI','Karma Threshold', 1033388429);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=537;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (537,13,'WebGUI','Karma', 1033388426);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=536;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (536,13,'WebGUI','K?ytt?j? ^@; on liittynyt sivustoon.', 1033388424);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=535;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (535,13,'WebGUI','Ryhm?, jolle ilmoitetaan uudesta k?ytt?j?st?', 1033388422);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=534;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (534,13,'WebGUI','Ilmoita uudesta k?ytt?j?st??', 1033388420);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=53;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (53,13,'WebGUI','Tee sivusta tulostettava', 1033388408);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=528;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (528,13,'WebGUI','Pohjan nimi', 1033388403);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=527;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (527,13,'WebGUI','Oletuskotisivu', 1033388401);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=525;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (525,13,'WebGUI','Muokkaa sis?ll?n asetuksia', 1033388396);
delete from international where languageId=13 and namespace='Discussion' and internationalId=524;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (524,13,'Discussion','Lis?? muokkausp?iv? postituksiin?', 1033388394);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=523;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (523,13,'WebGUI','Huomautukset', 1033388392);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=522;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (522,13,'WebGUI','Haluan muistutuksen ICQ:n kautta.', 1033388390);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=520;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (520,13,'WebGUI','Haluan muistutuksen s?hk?postiini.', 1033388385);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=52;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (52,13,'WebGUI','Kirjaudu', 1033388383);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=519;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (519,13,'WebGUI','En halua ilmoituksia.', 1033388381);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=518;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (518,13,'WebGUI','Saapuneiden huomautukset', 1033388379);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=517;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (517,13,'WebGUI','Hallinta pois!', 1033388377);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=516;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (516,13,'WebGUI','Hallinta p??lle!', 1033388374);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=515;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (515,13,'WebGUI','Lis?? muokkausaika postituksiin?', 1033388368);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=514;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (514,13,'WebGUI','Katsottu', 1033388366);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=513;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (513,13,'WebGUI','Edellinen viestiketju', 1033388364);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=512;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (512,13,'WebGUI','Seuraava viestiketju', 1033388363);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=510;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (510,13,'WebGUI','Flat', 1033388359);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=51;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (51,13,'WebGUI','Salasana', 1033388357);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=508;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (508,13,'WebGUI','Hallitse mallipohjia.', 1033388353);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=507;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (507,13,'WebGUI','Muokkaa mallia', 1033388351);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=506;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (506,13,'WebGUI','Hallitse mallipohjia', 1033388349);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=505;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (505,13,'WebGUI','Lis?? uusi mallipohja.', 1033388347);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=504;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (504,13,'WebGUI','Mallipohja', 1033388345);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=503;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (503,13,'WebGUI','Mallin ID', 1033388343);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=501;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (501,13,'WebGUI','Body', 1033388340);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=500;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (500,13,'WebGUI','Sivu ID', 1033388338);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=50;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (50,13,'WebGUI','K?ytt?j?nimi', 1033388336);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=5;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (5,13,'WebGUI','Hallitse ryhmi?.', 1033388334);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=498;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (498,13,'WebGUI','P??ttymisp?iv?', 1033388329);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=497;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (497,13,'WebGUI','Alkamisp?iv?', 1033388327);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=496;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (496,13,'WebGUI','K?ytett?v? editori', 1033388325);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=493;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (493,13,'WebGUI','Takaisin sivustoon.', 1033388319);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=492;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (492,13,'WebGUI','Profiilikenttien lista.', 1033388317);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=491;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (491,13,'WebGUI','Lis?? profiilikentt?', 1033388315);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=490;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (490,13,'WebGUI','Lis?? profiili kategoria.', 1033388313);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=49;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (49,13,'WebGUI','Kirjaudu ulos t?st?.', 1033388311);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=489;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (489,13,'WebGUI','Profiili kategoria', 1033388309);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=488;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (488,13,'WebGUI','Oletusarvo(t)', 1033388307);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=487;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (487,13,'WebGUI','Mahdolliset arvot', 1033388305);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=486;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (486,13,'WebGUI','Tietotyyppi', 1033388303);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=485;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (485,13,'WebGUI','Boolean (Valintaruutu)', 1033388301);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=484;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (484,13,'WebGUI','Valintalista', 1033388299);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=483;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (483,13,'WebGUI','Kyll? vai Ei', 1033388297);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=482;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (482,13,'WebGUI','Numero (kokonaisluku)', 1033388295);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=481;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (481,13,'WebGUI','Puhelinnumero', 1033388293);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=480;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (480,13,'WebGUI','S?hk?postiosoite', 1033388291);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=48;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (48,13,'WebGUI','Hei', 1033388289);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=479;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (479,13,'WebGUI','P?iv?m??r?', 1033388286);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=478;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (478,13,'WebGUI','URL', 1033388284);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=477;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (477,13,'WebGUI','HTML alue', 1033388282);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=476;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (476,13,'WebGUI','Tekstialue', 1033388280);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=475;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (475,13,'WebGUI','Teksti', 1033388278);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=474;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (474,13,'WebGUI','Pakollinen?', 1033388276);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=473;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (473,13,'WebGUI','N?kyv??', 1033388274);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=472;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (472,13,'WebGUI','Label', 1033388271);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=471;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (471,13,'WebGUI','Muokkaa k?ytt?j?profiilin kentt??', 1033388269);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=470;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (470,13,'WebGUI','Nimi', 1033388267);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=47;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (47,13,'WebGUI','Alkuun', 1033388266);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=469;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (469,13,'WebGUI','ID', 1033388264);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=468;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (468,13,'WebGUI','Muokkaa k?ytt?j?n profiili kategoriaa', 1033388262);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=467;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (467,13,'WebGUI','Oletko varma ett? haluat poistaa t?m?n kent?n ja kaiken tiedon joka on liitetty siihen?', 1033388260);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=465;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (465,13,'WebGUI','Tekstiruudun koko', 1033388256);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=464;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (464,13,'WebGUI','Tekstialue palstat', 1033388253);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=463;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (463,13,'WebGUI','Tekstialue rivit', 1033388251);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=462;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (462,13,'WebGUI','Ajan esitysmuoto', 1033388249);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=461;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (461,13,'WebGUI','P?iv?yksen esitysmuoto', 1033388247);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=460;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (460,13,'WebGUI','Aikaero', 1033388245);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=46;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (46,13,'WebGUI','Kirjautuminen', 1033388243);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=459;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (459,13,'WebGUI','Muokkaa t?m?n k?ytt?j?n profiilia?', 1033388240);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=458;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (458,13,'WebGUI','Muokkaa t?m?n k?ytt?j?n ryhmi??', 1033388238);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=457;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (457,13,'WebGUI','Muokkaa t?m?n k?ytt?j?n tunnusta.', 1033388236);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=456;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (456,13,'WebGUI','Takaisin k?ytt?j?listaan.', 1033388234);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=455;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (455,13,'WebGUI','Muokkaa k?ytt?j?n profiilia', 1033388232);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=454;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (454,13,'WebGUI','Viimeksi p?ivitetty', 1033388230);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=452;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (452,13,'WebGUI','Odota hetki...', 1033388225);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=451;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (451,13,'WebGUI','on pakollinen.', 1033388223);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=450;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (450,13,'WebGUI','Yrityksen nimi', 1033388221);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=45;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (45,13,'WebGUI','Ei, tein virheen.', 1033388219);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=449;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (449,13,'WebGUI','Sekalaisia tietoja', 1033388218);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=448;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (448,13,'WebGUI','Sivupuu', 1033388216);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=447;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (447,13,'WebGUI','Hallitse sivurakennetta.', 1033388214);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=446;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (446,13,'WebGUI','Yrityksen kotisivu', 1033388212);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=445;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (445,13,'WebGUI','Preferences', 1033388210);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=444;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (444,13,'WebGUI','V?est?tilastollinen tieto', 1033388208);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=443;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (443,13,'WebGUI','Kodin tiedot', 1033388206);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=442;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (442,13,'WebGUI','Ty?paikan tiedot', 1033388203);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=441;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (441,13,'WebGUI','email => hakulaite yhdysk?yt?v?', 1033388201);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=440;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (440,13,'WebGUI','Yhteystiedot', 1033388199);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=44;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (44,13,'WebGUI','Kyll?, olen varma.', 1033388197);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=439;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (439,13,'WebGUI','Henkil?kohtaiset tiedot', 1033388195);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=438;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (438,13,'WebGUI','Nimesi', 1033388193);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=436;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (436,13,'WebGUI','Keskeyt? istunto', 1033388189);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=434;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (434,13,'WebGUI','Tila', 1033388185);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=433;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (433,13,'WebGUI','K?ytt?j?agentti', 1033388183);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=432;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (432,13,'WebGUI','Vanhenee', 1033388181);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=431;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (431,13,'WebGUI','IP osoite', 1033388179);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=43;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (43,13,'WebGUI','Oletko varma ett? haluat poistaa t?m?n sis?ll?n?', 1033388175);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=429;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (429,13,'WebGUI','Kirjautumisaika', 1033388173);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=428;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (428,13,'WebGUI','K?ytt?j?n (ID)', 1033388171);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=426;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (426,13,'WebGUI','Kirjautumishistoria', 1033388167);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=424;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (424,13,'WebGUI','N?yt? kirjautumishistoria.', 1033388163);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=423;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (423,13,'WebGUI','N?yt? aktiiviset istunnot.', 1033388161);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=422;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (422,13,'WebGUI','Kirjautuminen ep?onnistui!\r\nThe information supplied does not match the account.', 1033388159);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=42;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (42,13,'WebGUI','Vahvista, ole hyv?', 1033388151);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=412;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (412,13,'WebGUI','Synopsis', 1033388140);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=411;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (411,13,'WebGUI','Valikon otsikko', 1033388138);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=410;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (410,13,'WebGUI','Hallitse juuria.', 1033388136);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=409;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (409,13,'WebGUI','Lis?? uusi juuri.', 1033388132);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=408;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (408,13,'WebGUI','Hallitse juuria', 1033388130);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=407;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (407,13,'WebGUI','Rekister?idy t?st?.', 1033388128);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=406;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (406,13,'WebGUI','Pikkukuvan koko', 1033388126);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=405;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (405,13,'WebGUI','Viimeinen sivu', 1033388124);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=404;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (404,13,'WebGUI','Ensimm?inen sivu', 1033388122);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=403;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (403,13,'WebGUI','Prefer not to say.', 1033388119);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=401;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (401,13,'WebGUI','Oletko varma ett? haluat poistaa t?m?n ja kaikki sen alla olevat viestit?', 1033388114);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=40;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (40,13,'WebGUI','Elint?rke? komponentti', 1033388110);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=4;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (4,13,'WebGUI','Hallitse asetuksia', 1033388108);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=398;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (398,13,'WebGUI','Document Type Declaration', 1033388103);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=391;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (391,13,'WebGUI','Poista liitetiedosto.', 1033388095);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=39;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (39,13,'WebGUI','Sinulla ei ole riitt?vi? oikeuksia p??st?ksesi t?lle sivulle.', 1033388090);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=387;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (387,13,'WebGUI','Tallentanut', 1033388083);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=386;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (386,13,'WebGUI','Muokkaa kuvaa', 1033388080);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=385;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (385,13,'WebGUI','Parametrit', 1033388078);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=384;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (384,13,'WebGUI','Tiedosto', 1033388075);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=380;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (380,13,'WebGUI','Tyyli ID', 1033388066);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=379;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (379,13,'WebGUI','Ryhm? ID', 1033388062);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=378;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (378,13,'WebGUI','K?ytt?j? ID', 1033388060);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=376;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (376,13,'WebGUI','Paketti', 1033388056);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=375;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (375,13,'WebGUI','Select Package To Deploy', 1033388053);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=374;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (374,13,'WebGUI','Hallitse paketteja.', 1033388051);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=372;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (372,13,'WebGUI','Muokkaa k?ytt?j?n ryhmi?', 1033388048);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=371;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (371,13,'WebGUI','Lis?? ryhmitys', 1033388046);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=370;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (370,13,'WebGUI','Muokkaa ryhmityst?', 1033388044);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=37;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (37,13,'WebGUI','P??sy kielletty!', 1033388042);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=369;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (369,13,'WebGUI','Vanhentumisp?iv?', 1033388040);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=368;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (368,13,'WebGUI','Lis?? uusi ryhm? t?lle k?ytt?j?lle.', 1033388037);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=365;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (365,13,'WebGUI','Etsinn?n tulokset...', 1033388031);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=362;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (362,13,'WebGUI','Vierekk?in', 1033388024);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=361;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (361,13,'WebGUI','3 yhden yl?puolella', 1033388022);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=360;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (360,13,'WebGUI','1 kolmen yl?puolella', 1033388020);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=359;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (359,13,'WebGUI','Oikea palsta', 1033388015);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=358;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (358,13,'WebGUI','Vasen palsta', 1033388013);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=357;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (357,13,'WebGUI','Uutiset', 1033388011);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=356;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (356,13,'WebGUI','Pohja', 1033388009);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=355;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (355,13,'WebGUI','Oletus', 1033388007);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=354;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (354,13,'WebGUI','N?yt? saapuneet.', 1033388005);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=353;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (353,13,'WebGUI','Sinulle ei ole saapuneita viestej?.', 1033388003);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=352;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (352,13,'WebGUI','Date Of Entry', 1033388001);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=351;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (351,13,'WebGUI','Viesti', 1033387999);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=350;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (350,13,'WebGUI','Suoritettu', 1033387996);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=35;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (35,13,'WebGUI','P??k?ytt?j?n toiminnot', 1033387994);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=349;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (349,13,'WebGUI','Viimeisin versio saatavilla', 1033387992);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=348;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (348,13,'WebGUI','Nimi', 1033387990);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=347;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (347,13,'WebGUI','View Profile For', 1033387988);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=345;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (345,13,'WebGUI','Ei j?senen?', 1033387983);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=343;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (343,13,'WebGUI','N?yt? profiili.', 1033387981);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=342;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (342,13,'WebGUI','Muokkaa tilin tietoja', 1033387979);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=341;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (341,13,'WebGUI','Muokkaa profiilia.', 1033387977);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=340;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (340,13,'WebGUI','Nainen', 1033387975);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=34;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (34,13,'WebGUI','Aseta p?iv?', 1033387973);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=339;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (339,13,'WebGUI','Mies', 1033387971);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=338;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (338,13,'WebGUI','Muokkaa profiilia', 1033387969);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=337;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (337,13,'WebGUI','Kotisivun URL', 1033387967);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=336;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (336,13,'WebGUI','Syntym?p?iv?', 1033387965);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=335;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (335,13,'WebGUI','Sukupuoli', 1033387963);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=334;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (334,13,'WebGUI','Ty?puhelin', 1033387961);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=333;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (333,13,'WebGUI','Ty?skentelymaa', 1033387958);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=332;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (332,13,'WebGUI','Ty?paikan postinumero', 1033387956);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=331;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (331,13,'WebGUI','Ty?paikan osavaltio', 1033387954);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=330;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (330,13,'WebGUI','Ty?paikan postitoimipaikka', 1033387952);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=33;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (33,13,'WebGUI','Lauantai', 1033387950);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=329;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (329,13,'WebGUI','Ty?paikan l?hiosoite', 1033387947);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=328;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (328,13,'WebGUI','Kotipuhelin', 1033387945);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=327;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (327,13,'WebGUI','Kotimaa', 1033387943);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=326;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (326,13,'WebGUI','Kodin postinumero', 1033387941);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=325;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (325,13,'WebGUI','Kodin osavaltio', 1033387938);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=324;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (324,13,'WebGUI','Kodin postitoimipaikka', 1033387936);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=323;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (323,13,'WebGUI','Kotiosoite', 1033387933);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=322;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (322,13,'WebGUI','Hakulaite', 1033387931);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=321;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (321,13,'WebGUI','Matkapuhelin', 1033387929);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=320;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (320,13,'WebGUI','Yahoo! Messenger tunnus', 1033387927);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=32;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (32,13,'WebGUI','Perjantai', 1033387925);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=319;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (319,13,'WebGUI','MSN Messenger tunnus', 1033387923);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=318;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (318,13,'WebGUI','AIM tunnus', 1033387921);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=317;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (317,13,'WebGUI','ICQ UIN', 1033387918);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=316;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (316,13,'WebGUI','Sukunimi', 1033387916);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=315;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (315,13,'WebGUI','Toinen nimi', 1033387914);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=314;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (314,13,'WebGUI','Etunimi', 1033387912);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=313;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (313,13,'WebGUI','Salli sekalaiset tiedot?', 1033387910);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=312;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (312,13,'WebGUI','Salli yrityksen tiedot?', 1033387908);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=311;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (311,13,'WebGUI','Salli kodin tiedot?', 1033387906);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=310;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (310,13,'WebGUI','Salli ylim??r?iset yhteystiedot?', 1033387903);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=31;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (31,13,'WebGUI','Torstai', 1033387901);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=309;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (309,13,'WebGUI','Salli todellinen nimi?', 1033387898);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=308;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (308,13,'WebGUI','Muokkaa profiiliasetuksia', 1033387896);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=304;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (304,13,'WebGUI','Kieli', 1033387889);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=30;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (30,13,'WebGUI','Keskiviikko', 1033387887);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=3;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (3,13,'WebGUI','Liit? leikep?yd?lt?...', 1033387885);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=29;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (29,13,'WebGUI','Tiistai', 1033387883);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=28;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (28,13,'WebGUI','Maanantai', 1033387881);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=27;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (27,13,'WebGUI','Sunnuntai', 1033387879);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=26;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (26,13,'WebGUI','Joulukuu', 1033387877);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=25;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (25,13,'WebGUI','Marraskuu', 1033387875);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=245;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (245,13,'WebGUI','P?iv?ys', 1033387873);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=244;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (244,13,'WebGUI','Kirjoittaja', 1033387870);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=240;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (240,13,'WebGUI','Viesti ID:', 1033387868);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=24;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (24,13,'WebGUI','Lokakuu', 1033387866);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=239;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (239,13,'WebGUI','P?iv?ys:', 1033387864);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=238;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (238,13,'WebGUI','Kirjoittaja:', 1033387861);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=237;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (237,13,'WebGUI','Aihe:', 1033387859);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=234;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (234,13,'WebGUI','L?het? vastaus...', 1033387855);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=233;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (233,13,'WebGUI','(eom)', 1033387853);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=232;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (232,13,'WebGUI','ei aihetta', 1033387851);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=231;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (231,13,'WebGUI','L?het? uusi viesti...', 1033387849);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=230;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (230,13,'WebGUI','Viesti', 1033387847);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=23;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (23,13,'WebGUI','Syyskuu', 1033387845);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=229;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (229,13,'WebGUI','Aihe', 1033387843);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=228;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (228,13,'WebGUI','Muokkaa viesti?...', 1033387841);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=22;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (22,13,'WebGUI','Elokuu', 1033387839);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=21;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (21,13,'WebGUI','Hein?kuu', 1033387837);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=20;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (20,13,'WebGUI','Kes?kuu', 1033387835);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=2;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (2,13,'WebGUI','Sivu', 1033387833);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=19;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (19,13,'WebGUI','Toukokuu', 1033387831);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=18;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (18,13,'WebGUI','Huhtikuu', 1033387829);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=175;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (175,13,'WebGUI','Suorita makroja?', 1033387827);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=174;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (174,13,'WebGUI','N?yt? otsikko?', 1033387824);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=171;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (171,13,'WebGUI','Muotoile teksti?', 1033387822);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=17;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (17,13,'WebGUI','Maaliskuu', 1033387818);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=169;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (169,13,'WebGUI','Lis?? uusi k?ytt?j?.', 1033387816);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=168;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (168,13,'WebGUI','Muokkaa k?ytt?j??', 1033387813);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=167;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (167,13,'WebGUI','Oletko varma ett? haluat poistaa t?m?n k?ytt?j?n? Kaikki k?ytt?j?n tiedot poistetaan jos jatkat.', 1033387811);
delete from international where languageId=13 and namespace='Auth/LDAP' and internationalId=4;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (4,13,'Auth/LDAP','Yhdist? DN', 1033387809);
delete from international where languageId=13 and namespace='Auth/LDAP' and internationalId=3;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (3,13,'Auth/LDAP','LDAP URL', 1033387806);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=164;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (164,13,'WebGUI','Tunnistaumismenetelm?', 1033387804);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=163;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (163,13,'WebGUI','Lis?? k?ytt?j?', 1033387802);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=162;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (162,13,'WebGUI','Are you certain that you wish to purge all the pages and wobjects in the trash?', 1033387800);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=161;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (161,13,'WebGUI','Submitted By', 1033387797);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=160;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (160,13,'WebGUI','Date Submitted', 1033387795);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=16;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (16,13,'WebGUI','Helmikuu', 1033387792);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=159;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (159,13,'WebGUI','Saapuneet', 1033387790);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=158;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (158,13,'WebGUI','Lis?? uusi tyyli.', 1033387788);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=157;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (157,13,'WebGUI','Tyylit', 1033387786);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=156;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (156,13,'WebGUI','Muokkaa tyyli?', 1033387784);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=154;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (154,13,'WebGUI','Tyylipohja', 1033387779);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=151;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (151,13,'WebGUI','Tyylin nimi', 1033387776);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=15;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (15,13,'WebGUI','Tammikuu', 1033387774);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=147;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (147,13,'WebGUI','Sivuja', 1033387766);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=145;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (145,13,'WebGUI','WebGUI Build Version', 1033387760);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=144;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (144,13,'WebGUI','N?yt? statistiikka.', 1033387758);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=143;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (143,13,'WebGUI','Hallitse asetuksia', 1033387756);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=142;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (142,13,'WebGUI','Istunnon aikakatkaisu', 1033387754);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=141;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (141,13,'WebGUI','"Sivua ei l?ydy" sivu', 1033387752);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=140;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (140,13,'WebGUI','Muokkaa sekalaisia asetuksia', 1033387749);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=14;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (14,13,'WebGUI','View pending submissions.', 1033387747);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=139;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (139,13,'WebGUI','Ei', 1033387744);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=138;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (138,13,'WebGUI','Kyll?', 1033387742);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=135;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (135,13,'WebGUI','SMTP palvelin', 1033387740);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=130;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (130,13,'WebGUI','Liitteen suurin koko', 1033387734);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=13;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (13,13,'WebGUI','N?yt? ohjeen sis?lt?.', 1033387731);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=127;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (127,13,'WebGUI','Yrityksen URL', 1033387729);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=126;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (126,13,'WebGUI','Yrityksen s?hk?postiosoite', 1033387727);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=125;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (125,13,'WebGUI','Yrityksen nimi', 1033387725);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=124;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (124,13,'WebGUI','Muokkaa yrityksen tietoja', 1033387723);
delete from international where languageId=13 and namespace='Auth/LDAP' and internationalId=8;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (8,13,'Auth/LDAP','LDAP salasana nimi', 1033387720);
delete from international where languageId=13 and namespace='Auth/LDAP' and internationalId=7;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (7,13,'Auth/LDAP','LDAP tunnistus nimi', 1033387718);
delete from international where languageId=13 and namespace='Auth/LDAP' and internationalId=6;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (6,13,'Auth/LDAP','LDAP tunnistus (oletus)', 1033387716);
delete from international where languageId=13 and namespace='Auth/LDAP' and internationalId=5;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (5,13,'Auth/LDAP','LDAP URL (oletus)', 1033387714);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=12;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (12,13,'WebGUI','Hallinta pois', 1033387712);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=119;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (119,13,'WebGUI','Tunnistamismenetelm? (oletus)', 1033387710);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=118;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (118,13,'WebGUI','Anonyymi rekister?ityminen', 1033387708);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=117;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (117,13,'WebGUI','Muokkaa k?ytt?j?asetuksia', 1033387706);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=116;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (116,13,'WebGUI','Valitse "Kyll?" vaihtaaksesi kaikkien alisivujen oikeudet samoiksi t?m?n sivun kanssa.', 1033387703);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=11;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (11,13,'WebGUI','Tyhj? roskis.', 1033387686);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=108;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (108,13,'WebGUI','Omistaja', 1033387681);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=106;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (106,13,'WebGUI','Valitse "Kyll?" vaihtaaksesi alasivut t?m?n sivun tyylisiksi.', 1033387676);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=104;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (104,13,'WebGUI','Sivu URL', 1033387671);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=102;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (102,13,'WebGUI','Muokkaa sivua', 1033387666);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=101;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (101,13,'WebGUI','Oletko varma ett? haluat poistaa t?m?n sivun ja kaiken siihen liittyv?n?', 1033387664);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=100;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (100,13,'WebGUI','Metatiedot (Tags)', 1033387662);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=10;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (10,13,'WebGUI','Hallitse roskista', 1033387660);
delete from international where languageId=13 and namespace='USS' and internationalId=6;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (6,13,'USS','Submissions Per Page', 1033387650);
delete from international where languageId=13 and namespace='USS' and internationalId=59;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (59,13,'USS','Next Submission', 1033387648);
delete from international where languageId=13 and namespace='USS' and internationalId=58;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (58,13,'USS','Previous Submission', 1033387646);
delete from international where languageId=13 and namespace='USS' and internationalId=57;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (57,13,'USS','Vastaukset', 1033387644);
delete from international where languageId=13 and namespace='USS' and internationalId=53;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (53,13,'USS','Ulkoasu', 1033387635);
delete from international where languageId=13 and namespace='USS' and internationalId=52;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (52,13,'USS','Pikkukuva', 1033387632);
delete from international where languageId=13 and namespace='USS' and internationalId=51;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (51,13,'USS','N?yt? pikkukuva?', 1033387630);
delete from international where languageId=13 and namespace='USS' and internationalId=5;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (5,13,'USS','Your submission has been denied.', 1033387627);
delete from international where languageId=13 and namespace='USS' and internationalId=48;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (48,13,'USS','Salli keskustelu?', 1033387625);
delete from international where languageId=13 and namespace='USS' and internationalId=47;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (47,13,'USS','Postita vastaus', 1033387622);
delete from international where languageId=13 and namespace='USS' and internationalId=46;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (46,13,'USS','Lue lis??...', 1033387620);
delete from international where languageId=13 and namespace='USS' and internationalId=45;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (45,13,'USS','Return to Submission', 1033387618);
delete from international where languageId=13 and namespace='USS' and internationalId=41;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (41,13,'USS','P?iv?ys', 1033387615);
delete from international where languageId=13 and namespace='USS' and internationalId=4;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (4,13,'USS','Your submission has been approved.', 1033387610);
delete from international where languageId=13 and namespace='USS' and internationalId=39;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (39,13,'USS','L?het? vastaus', 1033387608);
delete from international where languageId=13 and namespace='USS' and internationalId=38;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (38,13,'USS','(Select "No" if you\'re writing an HTML/Rich Edit submission.)', 1033387605);
delete from international where languageId=13 and namespace='USS' and internationalId=37;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (37,13,'USS','Poista', 1033387603);
delete from international where languageId=13 and namespace='USS' and internationalId=35;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (35,13,'USS','Otsikko', 1033387601);
delete from international where languageId=13 and namespace='USS' and internationalId=34;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (34,13,'USS','Muunna rivinvaihdot', 1033387598);
delete from international where languageId=13 and namespace='USS' and internationalId=33;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (33,13,'USS','Liite', 1033387596);
delete from international where languageId=13 and namespace='USS' and internationalId=32;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (32,13,'USS','Kuva', 1033387594);
delete from international where languageId=13 and namespace='USS' and internationalId=31;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (31,13,'USS','Sis?lt?', 1033387591);
delete from international where languageId=13 and namespace='USS' and internationalId=30;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (30,13,'USS','Karma Per Submission', 1033387589);
delete from international where languageId=13 and namespace='USS' and internationalId=3;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (3,13,'USS','You have a new user submission to approve.', 1033387586);
delete from international where languageId=13 and namespace='USS' and internationalId=29;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (29,13,'USS','User Submission System', 1033387584);
delete from international where languageId=13 and namespace='USS' and internationalId=28;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (28,13,'USS','Return To Submissions List', 1033387582);
delete from international where languageId=13 and namespace='USS' and internationalId=27;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (27,13,'USS','Muokkaa', 1033387580);
delete from international where languageId=13 and namespace='USS' and internationalId=21;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (21,13,'USS','Submitted By', 1033387573);
delete from international where languageId=13 and namespace='USS' and internationalId=20;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (20,13,'USS','Post New Submission', 1033387570);
delete from international where languageId=13 and namespace='USS' and internationalId=2;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (2,13,'USS','Ket? voi avustaa?', 1033387568);
delete from international where languageId=13 and namespace='USS' and internationalId=19;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (19,13,'USS','Edit Submission', 1033387566);
delete from international where languageId=13 and namespace='USS' and internationalId=18;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (18,13,'USS','Edit User Submission System', 1033387563);
delete from international where languageId=13 and namespace='USS' and internationalId=17;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (17,13,'USS','Are you certain you wish to delete this submission?', 1033387561);
delete from international where languageId=13 and namespace='USS' and internationalId=16;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (16,13,'USS','Nimet?n', 1033387558);
delete from international where languageId=13 and namespace='USS' and internationalId=15;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (15,13,'USS','Muokkaa/Poista', 1033387556);
delete from international where languageId=13 and namespace='USS' and internationalId=14;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (14,13,'USS','Tila', 1033387554);
delete from international where languageId=13 and namespace='USS' and internationalId=13;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (13,13,'USS','L?hetetty', 1033387551);
delete from international where languageId=13 and namespace='USS' and internationalId=12;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (12,13,'USS','(Uncheck if you\'re writing an HTML submission.)', 1033387549);
delete from international where languageId=13 and namespace='USS' and internationalId=1;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (1,13,'USS','Ket? voi suostua?', 1033387546);
delete from international where languageId=13 and namespace='SyndicatedContent' and internationalId=4;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (4,13,'SyndicatedContent','Edit Syndicated Content', 1033387530);
delete from international where languageId=13 and namespace='SyndicatedContent' and internationalId=2;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (2,13,'SyndicatedContent','Syndicated Content', 1033387527);
delete from international where languageId=13 and namespace='SiteMap' and internationalId=6;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (6,13,'SiteMap','Sisenn?', 1033387512);
delete from international where languageId=13 and namespace='SiteMap' and internationalId=5;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (5,13,'SiteMap','Muokkaa sivukarttaa', 1033387510);
delete from international where languageId=13 and namespace='SiteMap' and internationalId=4;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (4,13,'SiteMap','Valikon "syvyys"', 1033387508);
delete from international where languageId=13 and namespace='SiteMap' and internationalId=2;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (2,13,'SiteMap','Sivukartta', 1033387503);
delete from international where languageId=13 and namespace='SQLReport' and internationalId=8;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (8,13,'SQLReport','Muokkaa SQL-kysely?', 1033387498);
delete from international where languageId=13 and namespace='SQLReport' and internationalId=7;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (7,13,'SQLReport','Tietokannan salasana', 1033387494);
delete from international where languageId=13 and namespace='SQLReport' and internationalId=61;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (61,13,'SQLReport','SQL kysely, Lis??/Muokkaa', 1033387491);
delete from international where languageId=13 and namespace='SQLReport' and internationalId=5;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (5,13,'SQLReport','DSN', 1033387487);
delete from international where languageId=13 and namespace='SQLReport' and internationalId=4;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (4,13,'SQLReport','Kysely', 1033387485);
delete from international where languageId=13 and namespace='SQLReport' and internationalId=3;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (3,13,'SQLReport','Raporttipohja', 1033387483);
delete from international where languageId=13 and namespace='SQLReport' and internationalId=15;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (15,13,'SQLReport','Esik?sittele makrot kyselyss??', 1033387474);
delete from international where languageId=13 and namespace='SQLReport' and internationalId=13;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (13,13,'SQLReport','Muunna rivinvaihdot?', 1033387469);
delete from international where languageId=13 and namespace='Product' and internationalId=9;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (9,13,'Product','Tuotekuva 3', 1033387459);
delete from international where languageId=13 and namespace='Product' and internationalId=8;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (8,13,'Product','Tuotekuva 2', 1033387456);
delete from international where languageId=13 and namespace='Product' and internationalId=7;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (7,13,'Product','Tuotekuva 1', 1033387454);
delete from international where languageId=13 and namespace='Product' and internationalId=61;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (61,13,'Product','Tuote malli', 1033387447);
delete from international where languageId=13 and namespace='Product' and internationalId=60;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (60,13,'Product','Malli', 1033387445);
delete from international where languageId=13 and namespace='Product' and internationalId=6;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (6,13,'Product','Muokkaa tuotetta', 1033387443);
delete from international where languageId=13 and namespace='Product' and internationalId=59;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (59,13,'Product','Nimi', 1033387441);
delete from international where languageId=13 and namespace='Product' and internationalId=58;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (58,13,'Product','Muokkaa tuote pohjaa', 1033387439);
delete from international where languageId=13 and namespace='Product' and internationalId=56;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (56,13,'Product','Lis?? tuotepohja.', 1033387434);
delete from international where languageId=13 and namespace='Product' and internationalId=55;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (55,13,'Product','Lis?? hy?tyj?.', 1033387431);
delete from international where languageId=13 and namespace='Product' and internationalId=54;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (54,13,'Product','Hy?dyt', 1033387429);
delete from international where languageId=13 and namespace='Product' and internationalId=53;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (53,13,'Product','Muokkaa hy?ty?', 1033387427);
delete from international where languageId=13 and namespace='Product' and internationalId=52;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (52,13,'Product','Lis?? toinen hy?ty?', 1033387425);
delete from international where languageId=13 and namespace='Product' and internationalId=51;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (51,13,'Product','Benefit', 1033387422);
delete from international where languageId=13 and namespace='Product' and internationalId=5;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (5,13,'Product','Oletko varma ett? haluat poistaa t?m?n m??rittelyn?', 1033387418);
delete from international where languageId=13 and namespace='Product' and internationalId=49;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (49,13,'Product','Product Benefit, Add/Edit', 1033387415);
delete from international where languageId=13 and namespace='Product' and internationalId=46;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (46,13,'Product','Product (Related), Add/Edit', 1033387409);
delete from international where languageId=13 and namespace='Product' and internationalId=44;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (44,13,'Product','Product Accessory, Add/Edit', 1033387404);
delete from international where languageId=13 and namespace='Product' and internationalId=42;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (42,13,'Product','Product Specification, Add/Edit', 1033387400);
delete from international where languageId=13 and namespace='Product' and internationalId=40;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (40,13,'Product','Product Feature, Add/Edit', 1033387396);
delete from international where languageId=13 and namespace='Product' and internationalId=37;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (37,13,'Product','Add a related product.', 1033387389);
delete from international where languageId=13 and namespace='Product' and internationalId=36;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (36,13,'Product','Add an accessory.', 1033387387);
delete from international where languageId=13 and namespace='Product' and internationalId=35;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (35,13,'Product','Lis?? m??ritys.', 1033387385);
delete from international where languageId=13 and namespace='Product' and internationalId=34;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (34,13,'Product','Lis?? ominaisuus.', 1033387382);
delete from international where languageId=13 and namespace='Product' and internationalId=33;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (33,13,'Product','Related Products', 1033387380);
delete from international where languageId=13 and namespace='Product' and internationalId=32;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (32,13,'Product','Accessories', 1033387378);
delete from international where languageId=13 and namespace='Product' and internationalId=31;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (31,13,'Product','Specifications', 1033387375);
delete from international where languageId=13 and namespace='Product' and internationalId=30;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (30,13,'Product','Piirteet', 1033387373);
delete from international where languageId=13 and namespace='Product' and internationalId=3;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (3,13,'Product','Oletko varma ett? haluat poistaa t?m?n piirteen?', 1033387370);
delete from international where languageId=13 and namespace='Product' and internationalId=29;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (29,13,'Product','Yksik?t', 1033387368);
delete from international where languageId=13 and namespace='Product' and internationalId=28;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (28,13,'Product','Lis?? toinen m??rittely?', 1033387366);
delete from international where languageId=13 and namespace='Product' and internationalId=27;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (27,13,'Product','M??ritys', 1033387364);
delete from international where languageId=13 and namespace='Product' and internationalId=26;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (26,13,'Product','Label', 1033387361);
delete from international where languageId=13 and namespace='Product' and internationalId=25;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (25,13,'Product','Muokkaa m??rityksi?', 1033387359);
delete from international where languageId=13 and namespace='Product' and internationalId=24;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (24,13,'Product','Add another feature?', 1033387357);
delete from international where languageId=13 and namespace='Product' and internationalId=23;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (23,13,'Product','Piirre', 1033387355);
delete from international where languageId=13 and namespace='Product' and internationalId=22;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (22,13,'Product','Muokkaa piirrett?', 1033387353);
delete from international where languageId=13 and namespace='Product' and internationalId=21;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (21,13,'Product','Add another related product?', 1033387350);
delete from international where languageId=13 and namespace='Product' and internationalId=20;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (20,13,'Product','Related Product', 1033387348);
delete from international where languageId=13 and namespace='Product' and internationalId=19;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (19,13,'Product','Add Related Product', 1033387344);
delete from international where languageId=13 and namespace='Product' and internationalId=18;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (18,13,'Product','Lis?? toinen lis?laite?', 1033387342);
delete from international where languageId=13 and namespace='Product' and internationalId=15;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (15,13,'Product','Takuu', 1033387335);
delete from international where languageId=13 and namespace='Product' and internationalId=14;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (14,13,'Product','Opas', 1033387332);
delete from international where languageId=13 and namespace='Product' and internationalId=13;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (13,13,'Product','Esite', 1033387330);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=728;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (728,13,'WebGUI','Haluatko varmasti poistaa t?m?n tiedoston?', 1033387328);
delete from international where languageId=13 and namespace='Product' and internationalId=11;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (11,13,'Product','Tuotenumero', 1033387326);
delete from international where languageId=13 and namespace='Product' and internationalId=10;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (10,13,'Product','Hinta', 1033387324);
delete from international where languageId=13 and namespace='Product' and internationalId=1;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (1,13,'Product','Tuote', 1033387321);
delete from international where languageId=13 and namespace='Poll' and internationalId=9;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (9,13,'Poll','Muokkaa ??nestyst?', 1033387317);
delete from international where languageId=13 and namespace='Poll' and internationalId=8;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (8,13,'Poll','(Kirjoita yksi vastaus per rivi. Maksimi 20.)', 1033387315);
delete from international where languageId=13 and namespace='Poll' and internationalId=72;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (72,13,'Poll','Arvo vastaukset?', 1033387312);
delete from international where languageId=13 and namespace='Poll' and internationalId=7;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (7,13,'Poll','Vastaukset', 1033387310);
delete from international where languageId=13 and namespace='Poll' and internationalId=6;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (6,13,'Poll','Kysymys', 1033387304);
delete from international where languageId=13 and namespace='Poll' and internationalId=5;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (5,13,'Poll','K?yr?n leveys', 1033387302);
delete from international where languageId=13 and namespace='Poll' and internationalId=4;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (4,13,'Poll','Kuka voi ??nest???', 1033387299);
delete from international where languageId=13 and namespace='Poll' and internationalId=3;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (3,13,'Poll','Aktiivinen', 1033387297);
delete from international where languageId=13 and namespace='Poll' and internationalId=11;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (11,13,'Poll','??nest?!', 1033387292);
delete from international where languageId=13 and namespace='MessageBoard' and internationalId=8;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (8,13,'MessageBoard','P?iv?m??r?:', 1033387282);
delete from international where languageId=13 and namespace='MessageBoard' and internationalId=7;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (7,13,'MessageBoard','Kirjoittaja', 1033387280);
delete from international where languageId=13 and namespace='MessageBoard' and internationalId=6;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (6,13,'MessageBoard','Muokkaa keskustelualuetta', 1033387276);
delete from international where languageId=13 and namespace='MessageBoard' and internationalId=4;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (4,13,'MessageBoard','Viestej? / sivu', 1033387274);
delete from international where languageId=13 and namespace='MessageBoard' and internationalId=22;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (22,13,'MessageBoard','Poista viesti', 1033387271);
delete from international where languageId=13 and namespace='MessageBoard' and internationalId=20;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (20,13,'MessageBoard','Viimeisin vastaus', 1033387269);
delete from international where languageId=13 and namespace='MessageBoard' and internationalId=2;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (2,13,'MessageBoard','Keskustelualue', 1033387266);
delete from international where languageId=13 and namespace='MessageBoard' and internationalId=19;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (19,13,'MessageBoard','Vastaukset', 1033387263);
delete from international where languageId=13 and namespace='MessageBoard' and internationalId=18;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (18,13,'MessageBoard','Viestiketju aloitettu', 1033387261);
delete from international where languageId=13 and namespace='MessageBoard' and internationalId=17;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (17,13,'MessageBoard','Kirjoita uusi viesti', 1033387259);
delete from international where languageId=13 and namespace='MessageBoard' and internationalId=16;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (16,13,'MessageBoard','P?iv?ys', 1033387256);
delete from international where languageId=13 and namespace='MessageBoard' and internationalId=15;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (15,13,'MessageBoard','Kirjoittaja', 1033387254);
delete from international where languageId=13 and namespace='MessageBoard' and internationalId=12;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (12,13,'MessageBoard','Muokkaa viesti?', 1033387252);
delete from international where languageId=13 and namespace='MessageBoard' and internationalId=11;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (11,13,'MessageBoard','Takaisin viestilistaan', 1033387249);
delete from international where languageId=13 and namespace='MailForm' and internationalId=9;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (9,13,'MailForm','Lis?? kentt?', 1033387247);
delete from international where languageId=13 and namespace='MailForm' and internationalId=8;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (8,13,'MailForm','Leveys', 1033387245);
delete from international where languageId=13 and namespace='MailForm' and internationalId=7;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (7,13,'MailForm','Muokkaa mail-lomaketta', 1033387242);
delete from international where languageId=13 and namespace='MailForm' and internationalId=6;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (6,13,'MailForm','Muokattava', 1033387235);
delete from international where languageId=13 and namespace='MailForm' and internationalId=5;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (5,13,'MailForm','N?ytetty', 1033387233);
delete from international where languageId=13 and namespace='MailForm' and internationalId=4;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (4,13,'MailForm','Piilotettu', 1033387230);
delete from international where languageId=13 and namespace='MailForm' and internationalId=3;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (3,13,'MailForm','Kiitos palautteestasi!', 1033387228);
delete from international where languageId=13 and namespace='MailForm' and internationalId=25;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (25,13,'MailForm','Oletusarvo (valinnainen)', 1033387223);
delete from international where languageId=13 and namespace='MailForm' and internationalId=24;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (24,13,'MailForm','Mahdolliset arvot (Ainoastaan alasvetovalikossa)', 1033387220);
delete from international where languageId=13 and namespace='MailForm' and internationalId=23;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (23,13,'MailForm','Tyyppi', 1033387218);
delete from international where languageId=13 and namespace='MailForm' and internationalId=22;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (22,13,'MailForm','Tila', 1033387215);
delete from international where languageId=13 and namespace='MailForm' and internationalId=21;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (21,13,'MailForm','Kent?n nimi', 1033387213);
delete from international where languageId=13 and namespace='MailForm' and internationalId=20;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (20,13,'MailForm','Muokkaa kentt??', 1033387211);
delete from international where languageId=13 and namespace='MailForm' and internationalId=19;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (19,13,'MailForm','Oletko varma ett? haluat poistaa t?m?n kent?n?', 1033387208);
delete from international where languageId=13 and namespace='MailForm' and internationalId=17;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (17,13,'MailForm','Viesti l?hetetty', 1033387201);
delete from international where languageId=13 and namespace='MailForm' and internationalId=16;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (16,13,'MailForm','Acknowledgement', 1033387199);
delete from international where languageId=13 and namespace='MailForm' and internationalId=15;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (15,13,'MailForm','Lis?t??nk? kentti? viel??', 1033387197);
delete from international where languageId=13 and namespace='MailForm' and internationalId=13;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (13,13,'MailForm','Piilokopio', 1033387194);
delete from international where languageId=13 and namespace='MailForm' and internationalId=12;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (12,13,'MailForm','Kopio', 1033387191);
delete from international where languageId=13 and namespace='MailForm' and internationalId=11;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (11,13,'MailForm','Kenelle (s?hk?posti, k?ytt?j?nimi tai ryhm?n nimi)', 1033387189);
delete from international where languageId=13 and namespace='MailForm' and internationalId=10;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (10,13,'MailForm','Kenelt?', 1033387154);
delete from international where languageId=13 and namespace='MailForm' and internationalId=1;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (1,13,'MailForm','S?hk?postilomake', 1033387152);
delete from international where languageId=13 and namespace='LinkList' and internationalId=9;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (9,13,'LinkList','Haluatko todella poistaa t?m?n linkin?', 1033387149);
delete from international where languageId=13 and namespace='LinkList' and internationalId=8;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (8,13,'LinkList','URL', 1033387147);
delete from international where languageId=13 and namespace='LinkList' and internationalId=6;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (6,13,'LinkList','Linkkilista', 1033387132);
delete from international where languageId=13 and namespace='LinkList' and internationalId=3;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (3,13,'LinkList','Avaa uuteen ikkunaan?', 1033387125);
delete from international where languageId=13 and namespace='LinkList' and internationalId=13;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (13,13,'LinkList','Lis?? uusi linkki.', 1033387120);
delete from international where languageId=13 and namespace='LinkList' and internationalId=12;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (12,13,'LinkList','Muokkaa linkki?', 1033387118);
delete from international where languageId=13 and namespace='LinkList' and internationalId=10;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (10,13,'LinkList','Muokkaa linkkilistaa', 1033387115);
delete from international where languageId=13 and namespace='Item' and internationalId=6;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (6,13,'Item','Muokkaa kappaletta', 1033387105);
delete from international where languageId=13 and namespace='Item' and internationalId=5;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (5,13,'Item','Lataa liite', 1033387103);
delete from international where languageId=13 and namespace='Item' and internationalId=4;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (4,13,'Item','Kappale', 1033387100);
delete from international where languageId=13 and namespace='Item' and internationalId=3;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (3,13,'Item','Poista liite', 1033387098);
delete from international where languageId=13 and namespace='Item' and internationalId=2;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (2,13,'Item','Liite', 1033387096);
delete from international where languageId=13 and namespace='Item' and internationalId=1;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (1,13,'Item','Linkin URL', 1033387093);
delete from international where languageId=13 and namespace='FAQ' and internationalId=9;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (9,13,'FAQ','Lis?? uusi kysymys.', 1033387091);
delete from international where languageId=13 and namespace='FAQ' and internationalId=8;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (8,13,'FAQ','Muokkaa "Usein kysyttyj? kysymyksi?"', 1033387089);
delete from international where languageId=13 and namespace='FAQ' and internationalId=7;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (7,13,'FAQ','Oletko varma ett? haluat poistaa t?m?n kysymyksen?', 1033387077);
delete from international where languageId=13 and namespace='FAQ' and internationalId=6;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (6,13,'FAQ','Vastaus', 1033387072);
delete from international where languageId=13 and namespace='FAQ' and internationalId=5;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (5,13,'FAQ','Kysymys', 1033387069);
delete from international where languageId=13 and namespace='FAQ' and internationalId=2;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (2,13,'FAQ','Usein kysytyt kysymykset', 1033387066);
delete from international where languageId=13 and namespace='FAQ' and internationalId=12;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (12,13,'FAQ','Laita Q/A p??lle?', 1033387050);
delete from international where languageId=13 and namespace='FAQ' and internationalId=11;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (11,13,'FAQ','Laita TOC p??lle?', 1033387048);
delete from international where languageId=13 and namespace='FAQ' and internationalId=10;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (10,13,'FAQ','Muokkaa kysymyst?', 1033387045);
delete from international where languageId=13 and namespace='ExtraColumn' and internationalId=6;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (6,13,'ExtraColumn','Muokkaa ylim??r?ist? palstaa', 1033387035);
delete from international where languageId=13 and namespace='ExtraColumn' and internationalId=5;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (5,13,'ExtraColumn','Tyylipohjan luokka', 1033387033);
delete from international where languageId=13 and namespace='ExtraColumn' and internationalId=4;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (4,13,'ExtraColumn','Leveys', 1033387030);
delete from international where languageId=13 and namespace='ExtraColumn' and internationalId=3;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (3,13,'ExtraColumn','V?limerkki', 1033387028);
delete from international where languageId=13 and namespace='ExtraColumn' and internationalId=1;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (1,13,'ExtraColumn','Ylim??r?inen palsta', 1033387025);
delete from international where languageId=13 and namespace='EventsCalendar' and internationalId=9;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (9,13,'EventsCalendar','kunnes', 1033387022);
delete from international where languageId=13 and namespace='EventsCalendar' and internationalId=8;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (8,13,'EventsCalendar','Toista', 1033387019);
delete from international where languageId=13 and namespace='EventsCalendar' and internationalId=78;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (78,13,'EventsCalendar','?l? poista mit??n, tein virheen.', 1033387016);
delete from international where languageId=13 and namespace='Article' and internationalId=11;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (11,13,'Article','(Valitse "Kyll?" ainoastaan jos et ole lis?nnyt <br> merkkej? k?sin.)', 1033386968);
delete from international where languageId=13 and namespace='Article' and internationalId=10;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (10,13,'Article','Muunna rivinvaihdot?', 1033386955);
delete from international where languageId=13 and namespace='MailForm' and internationalId=2;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (2,13,'MailForm','Viestin aihe t?h?n', 1032541850);
delete from international where languageId=13 and namespace='MailForm' and internationalId=14;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (14,13,'MailForm','Aihe', 1032541832);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=84;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (84,13,'WebGUI','Ryhm?n nimi', 1032541803);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=82;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (82,13,'WebGUI','P??k?ytt?j?n toiminnot...', 1032541799);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=81;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (81,13,'WebGUI','K?ytt?j?tilin p?ivitys onnistui!', 1032541796);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=80;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (80,13,'WebGUI','K?ytt?j?tunnus luotu!', 1032541793);
delete from international where languageId=13 and namespace='Auth/LDAP' and internationalId=2;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (2,13,'Auth/LDAP','Ei yhteytt? LDAP palvelimeen.', 1032541787);
delete from international where languageId=13 and namespace='Auth/WebGUI' and internationalId=3;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (3,13,'Auth/WebGUI','Salasanasi ei t?sm??. Yrit? uudelleen.', 1032541784);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=77;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (77,13,'WebGUI','K?ytt?j?nimi on jo k?yt?ss?. Koita eri nime?, kuten esimerkiksi:', 1032541780);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=76;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (76,13,'WebGUI','S?hk?postiosoite ei ole tietokannassa.', 1032541777);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=75;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (75,13,'WebGUI','K?ytt?j?tilin tiedot on l?hetetty s?hk?postiosoitteeseenne.', 1032541774);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=74;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (74,13,'WebGUI','K?ytt?j?tilin tiedot', 1032541771);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=73;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (73,13,'WebGUI','Kirjaudu sis??n.', 1032541766);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=72;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (72,13,'WebGUI','L?het?', 1032541762);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=717;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (717,13,'WebGUI','Kirjaudu ulos', 1032541755);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=716;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (716,13,'WebGUI','Kirjaudu sis??n', 1032541752);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=715;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (715,13,'WebGUI','Uudelleenohjaa URL', 1032541749);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=71;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (71,13,'WebGUI','Anna uusi salasana', 1032541732);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=702;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (702,13,'WebGUI','Kuukausi', 1032541700);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=70;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (70,13,'WebGUI','Virhe', 1032541672);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=7;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (7,13,'WebGUI','Hallitse k?ytt?ji?.', 1032541669);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=699;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (699,13,'WebGUI','Viikon ensimm?inen p?iv?', 1032541664);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=697;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (697,13,'WebGUI','Karma, K?yt?', 1032541656);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=696;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (696,13,'WebGUI','Roskis, tyhj?', 1032541652);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=69;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (69,13,'WebGUI','Ota yhteys p??k?ytt?j??n saadaksesi apua.', 1032541649);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=682;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (682,13,'WebGUI','K?ytt?j?profiili, Muokkaa', 1032541628);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=678;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (678,13,'WebGUI','Juuri, hallitse', 1032541609);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=672;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (672,13,'WebGUI','Profiiliasetukset, Muokkaa', 1032541571);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=67;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (67,13,'WebGUI','Luo uusi k?ytt?j?tunnus.', 1032541557);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=667;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (667,13,'WebGUI','Ryhm?, Lis??/Muokkaa', 1032541540);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=665;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (665,13,'WebGUI','Ryhm?, poista', 1032541532);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=664;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (664,13,'WebGUI','Wobject, poista', 1032541529);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=662;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (662,13,'WebGUI','Asetukset, hallitse', 1032541521);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=661;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (661,13,'WebGUI','Tiedostoasetukset, muokkaa', 1032541516);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=660;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (660,13,'WebGUI','Ryhm?t, hallitse', 1032541513);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=66;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (66,13,'WebGUI','Kirjaudu sis??n', 1032541510);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=659;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (659,13,'WebGUI','Tyylit, hallitse', 1032541506);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=658;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (658,13,'WebGUI','K?ytt?j?t, hallitse', 1032541502);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=657;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (657,13,'WebGUI','K?ytt?j?, poista', 1032541499);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=655;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (655,13,'WebGUI','K?ytt?j?, Lis??/Muokkaa', 1032541492);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=654;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (654,13,'WebGUI','Tyyli, poista', 1032541488);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=653;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (653,13,'WebGUI','Sivu, poista', 1032541485);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=652;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (652,13,'WebGUI','K?ytt?j?asetukset, muokkaa', 1032541480);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=65;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (65,13,'WebGUI','Poistakaa k?ytt?j?tunnukseni pysyv?sti.', 1032541464);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=64;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (64,13,'WebGUI','Kirjaudu ulos.', 1032541448);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=63;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (63,13,'WebGUI','Hallinta p??lle.', 1032541329);
delete from international where languageId=13 and namespace='WobjectProxy' and internationalId=5;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (5,13,'WobjectProxy','Wobject Proxy, Lis??/Muokkaa', 1032541260);
delete from international where languageId=13 and namespace='WobjectProxy' and internationalId=3;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (3,13,'WobjectProxy','Wobject Proxy', 1032541249);
delete from international where languageId=13 and namespace='WobjectProxy' and internationalId=2;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (2,13,'WobjectProxy','Muokkaa Wobject proxy', 1032541244);
delete from international where languageId=13 and namespace='WobjectProxy' and internationalId=1;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (1,13,'WobjectProxy','Wobject To Proxy', 1032541240);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=95;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (95,13,'WebGUI','Ohjeen hakemisto', 1032541235);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=94;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (94,13,'WebGUI','Katso my?s', 1032541220);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=93;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (93,13,'WebGUI','Ohje', 1032541216);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=92;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (92,13,'WebGUI','Seuraava sivu', 1032541212);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=91;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (91,13,'WebGUI','Edellinen sivu', 1032541209);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=90;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (90,13,'WebGUI','Lis?? uusi ryhm?.', 1032541202);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=9;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (9,13,'WebGUI','N?yt? leikep?yt?.', 1032541195);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=88;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (88,13,'WebGUI','K?ytt?j?t ryhm?ss?', 1032541183);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=87;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (87,13,'WebGUI','Muokkaa ryhm??', 1032541166);
delete from international where languageId=13 and namespace='WebGUI' and internationalId=99;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (99,13,'WebGUI','Otsikko', 1032541149);

delete from international where languageId=6 and namespace='MessageBoard' and internationalId=71;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (71,6,'MessageBoard','Meddelandeforum, ven kallat diskussionsgrupper, r ett enkelt stt att skapa en interaktiv och levande webbplats. Meddelandeforumen kan ven vara av intern karaktr.\r\n\r\n<b>Meddelanden per sida</b>\r\nNr en beskare frst kommer till meddelandeforumet kommer denna att presenteras en lista med alla mnen (ven kallat trdar). Meddelanden per sida anger hur mnga mnen som kommer visas p varje sida.\r\n\r\n<b>Vem kan skicka inlgg?</b>\r\nVlj en grupp som tillts skicka inlgg.\r\n\r\n<b>Redigerings-timeout</b>\r\nHur lng tid har en anvndare p sig att redigera sitt inlgg innan det blir lst?\r\n\r\n<i>Kommentar:</i> Stt inte denna grns fr hgt. En bra sak med diskussionsforum r att de r en historik ver vad som sagts. Om anvndarna tillts ndra sina egna inlgg lngt bak i tiden kan det skapa oklarheter om vad som verkligen skrivits.\r\n\r\n<b>Karmaper inlgg</b>\r\nHur mycket karma ska ges till anvndaren fr ett inlgg?\r\n\r\n<b>Vem kan moderera?</b>\r\nVlj en grupp som modererar forumet.\r\n\r\n<b>Modereringstyp?</b>\r\nDu kan vlja vilken typ av moderering av anvndarnas inlgg. <i>Efterhand</i> betyder att inlgget visas fr alla direkt och att moderatorn kan ta bort det i efterhand. <i>Frhand</i> betyder att moderatorn mste godknna inlgget innan det publiceras.\r\n\r\n<i>Kommentar:</i> En moderator kan alltid g in och redigera och ta bort inlgg, oavsett modereringstyp.', 1050526877);
delete from international where languageId=6 and namespace='WebGUI' and internationalId=571;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (571,6,'WebGUI','Ls upp mne', 1050526350);
delete from international where languageId=6 and namespace='WebGUI' and internationalId=570;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (570,6,'WebGUI','Ls mne', 1050526307);
delete from international where languageId=6 and namespace='WebGUI' and internationalId=513;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (513,6,'WebGUI','Fregende mne', 1050526272);
delete from international where languageId=6 and namespace='WebGUI' and internationalId=512;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (512,6,'WebGUI','Nsta mne', 1050526234);
delete from international where languageId=6 and namespace='WebGUI' and internationalId=511;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (511,6,'WebGUI','mnesgrupperad', 1050526197);
delete from international where languageId=6 and namespace='WebGUI' and internationalId=401;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (401,6,'WebGUI','r du sker p att du vill radera meddelandet och alla undermeddelanden i denna diskussion?', 1050526159);
delete from international where languageId=6 and namespace='MessageBoard' and internationalId=18;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (18,6,'MessageBoard','Diskussion startad', 1050526115);
delete from international where languageId=6 and namespace='FileManager' and internationalId=71;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (71,6,'FileManager','Nerladdningshanteraren r designad fr att hjlpa dig hantera distrubitionen av filer p din webbplats. Den hjlper dig vlja vem som ska ha tilltrde till filerna.\r\n\r\n<b>Radbryt efter</b>\r\nHur mnga filer ska visas per sida. Om antalet filer verstiger detta vrde, delas listan upp p flera sidor.\r\n\r\n<b>Visa miniatyrbilder?</b>\r\nMarkera denna om du vill att visa miniatyrer av bilderna i filhanteraren. Notera att miniatyren endast syns fr huvudfilen, fr de alternativa versionerna visas ingen miniatyr.\r\n\r\n<b>Fortstt att lgga upp filer?</b>\r\nMarkera denna om du vill fortstta att lgga upp filer nr du gjort dina instllningar.', 1050403611);
delete from international where languageId=6 and namespace='WebGUI' and internationalId=77;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (77,6,'WebGUI','Anvndarnamnet du valde finns redan p denna webbplats. Var vnlig vlj ett annat. Hr r ngra frslag p alternativa anvndarnamn:', 1050403344);
delete from international where languageId=6 and namespace='SiteMap' and internationalId=2;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (2,6,'SiteMap','Innehllskarta', 1050403252);
delete from international where languageId=6 and namespace='WebGUI' and internationalId=446;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (446,6,'WebGUI','Arbetets webbplats', 1050403224);
delete from international where languageId=6 and namespace='SiteMap' and internationalId=5;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (5,6,'SiteMap','Redigera innehllskartan', 1050403176);
delete from international where languageId=6 and namespace='SiteMap' and internationalId=72;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (72,6,'SiteMap','Mall fr innehllskarta', 1050403150);
delete from international where languageId=6 and namespace='MessageBoard' and internationalId=73;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (73,6,'MessageBoard','Mall fr meddelandeforum', 1050403030);
delete from international where languageId=6 and namespace='FAQ' and internationalId=76;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (76,6,'FAQ','FAQ-mall', 1050402997);
delete from international where languageId=6 and namespace='WebGUI' and internationalId=703;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (703,6,'WebGUI','r', 1050402906);
delete from international where languageId=6 and namespace='WebGUI' and internationalId=702;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (702,6,'WebGUI','mnader', 1050402882);
delete from international where languageId=6 and namespace='WebGUI' and internationalId=701;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (701,6,'WebGUI','veckor', 1050402859);
delete from international where languageId=6 and namespace='WebGUI' and internationalId=700;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (700,6,'WebGUI','dagar', 1050402828);
delete from international where languageId=6 and namespace='WebGUI' and internationalId=706;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (706,6,'WebGUI','timmar', 1050402760);
delete from international where languageId=6 and namespace='WebGUI' and internationalId=705;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (705,6,'WebGUI','minuter', 1050402728);
delete from international where languageId=6 and namespace='WebGUI' and internationalId=704;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (704,6,'WebGUI','sekunder', 1050402705);
delete from international where languageId=6 and namespace='WebGUI' and internationalId=33;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (33,6,'WebGUI','lrdag', 1050401679);
delete from international where languageId=6 and namespace='WebGUI' and internationalId=32;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (32,6,'WebGUI','fredag', 1050401666);
delete from international where languageId=6 and namespace='WebGUI' and internationalId=31;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (31,6,'WebGUI','torsdag', 1050401655);
delete from international where languageId=6 and namespace='WebGUI' and internationalId=30;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (30,6,'WebGUI','onsdag', 1050401642);
delete from international where languageId=6 and namespace='WebGUI' and internationalId=29;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (29,6,'WebGUI','tisdag', 1050401631);
delete from international where languageId=6 and namespace='WebGUI' and internationalId=28;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (28,6,'WebGUI','mndag', 1050401619);
delete from international where languageId=6 and namespace='WebGUI' and internationalId=27;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (27,6,'WebGUI','sndag', 1050401606);
delete from international where languageId=6 and namespace='WebGUI' and internationalId=17;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (17,6,'WebGUI','mars', 1050401572);
delete from international where languageId=6 and namespace='WebGUI' and internationalId=16;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (16,6,'WebGUI','februari', 1050401556);
delete from international where languageId=6 and namespace='WebGUI' and internationalId=15;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (15,6,'WebGUI','januari', 1050401523);
delete from international where languageId=6 and namespace='WebGUI' and internationalId=26;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (26,6,'WebGUI','december', 1050401490);
delete from international where languageId=6 and namespace='WebGUI' and internationalId=25;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (25,6,'WebGUI','november', 1050401477);
delete from international where languageId=6 and namespace='WebGUI' and internationalId=24;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (24,6,'WebGUI','oktober', 1050401465);
delete from international where languageId=6 and namespace='WebGUI' and internationalId=23;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (23,6,'WebGUI','september', 1050401453);
delete from international where languageId=6 and namespace='WebGUI' and internationalId=22;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (22,6,'WebGUI','augusti', 1050401442);
delete from international where languageId=6 and namespace='WebGUI' and internationalId=21;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (21,6,'WebGUI','juli', 1050401430);
delete from international where languageId=6 and namespace='WebGUI' and internationalId=20;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (20,6,'WebGUI','juni', 1050401418);
delete from international where languageId=6 and namespace='WebGUI' and internationalId=19;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (19,6,'WebGUI','maj', 1050401402);
delete from international where languageId=6 and namespace='WebGUI' and internationalId=18;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (18,6,'WebGUI','april', 1050401249);
delete from international where languageId=6 and namespace='MessageBoard' and internationalId=11;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (11,6,'MessageBoard','Tillbaka till meddelandelista', 1050349447);
delete from international where languageId=6 and namespace='MailForm' and internationalId=3;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (3,6,'MailForm','Tack fr ditt meddelande!', 1050349422);
delete from international where languageId=6 and namespace='EventsCalendar' and internationalId=61;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (61,6,'EventsCalendar','Kalender, lgg till/redigera', 1050349132);
delete from international where languageId=6 and namespace='WebGUI' and internationalId=63;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (63,6,'WebGUI','Aktivera administrationsverktyg.', 1050349013);
delete from international where languageId=6 and namespace='WebGUI' and internationalId=76;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (76,6,'WebGUI','Den e-postadressen finns inte i systemet.', 1050348779);
delete from international where languageId=6 and namespace='WebGUI' and internationalId=739;
insert into international (internationalId,languageId,namespace,message,lastUpdated) values (739,6,'WebGUI','Niv p anvndargrnssnitt', 1050348568);


